(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 13.3' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[   1954475,      42527]
NotebookOptionsPosition[   1655398,      36441]
NotebookOutlinePosition[   1863478,      40630]
CellTagsIndexPosition[   1860340,      40514]
WindowTitle->3 | Association
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
 
 CounterBox["Section"],
 " | Association"
}], "Section",
 CellChangeTimes->{3.652728456208679*^9, 3.652728527108994*^9, 
  3.858336685562973*^9},
 CounterAssignments->{{"Section", 2}},
 CellTags->"p: 65",
 CellID->702470296,ExpressionUUID->"dbf1ed64-78ff-4a70-8984-f9f2699919b5"],

Cell[TextData[{
 "This chapter uses a data resource from the ",
 ButtonBox["Wolfram Data Repository",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://datarepository.wolframcloud.com/"], None},
  ButtonNote->"https://datarepository.wolframcloud.com/"],
 " (",
 ButtonBox["wolfr.am/WDR",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://wolfr.am/wdr"], None},
  ButtonNote->"https://wolfr.am/wdr"],
 "). To access the data, evaluate the following code."
}], "Text",
 CellChangeTimes->{{3.7788541127442904`*^9, 3.778854133414246*^9}, {
  3.8572256490833893`*^9, 3.857225653440201*^9}, {3.858239527815037*^9, 
  3.858239532155394*^9}, {3.858424346644807*^9, 3.858424359458304*^9}, {
  3.881405116028925*^9, 3.881405126665286*^9}, {3.882456298753354*^9, 
  3.88245631151073*^9}, {3.882456386237452*^9, 3.882456411907556*^9}, {
  3.882456487016274*^9, 3.882456505810841*^9}, {3.882459233780246*^9, 
  3.88245923595151*^9}, {3.888935910563281*^9, 3.888935910565523*^9}, {
  3.895812573301344*^9, 3.895812575574638*^9}, {3.895812616023617*^9, 
  3.895812616024707*^9}, {3.895815114290942*^9, 3.895815120266664*^9}},
 CellID->1568556788,ExpressionUUID->"7d5b10fd-cdc0-4143-b908-a21023bc8936"],

Cell[TextData[{
 "Acquire the ",
 ButtonBox["ResourceObject",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ResourceObject.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/ResourceObject.html"],
 " from the Wolfram Data Repository: "
}], "CodeCaption",
 CellChangeTimes->{{3.77549691973217*^9, 3.775496924283777*^9}, {
  3.888932934911173*^9, 3.888932972321426*^9}, {3.8889358606099052`*^9, 
  3.888935860612075*^9}},
 CellID->581810760,ExpressionUUID->"88959e21-1577-4708-b564-f3a528632cbc"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ro", "=", 
  RowBox[{
  "ResourceObject", "[", "\"\<Sample Data for Query Book\>\"", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.888932859088291*^9, 3.8889328965549097`*^9}},
 CellLabel->"In[3]:=",
 CellID->443800812,ExpressionUUID->"7ca3dc5a-04ab-4313-bf1d-29de93cd348e"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   TagBox["ResourceObject",
    "SummaryHead"], "[", 
   DynamicModuleBox[{Typeset`open$$ = False, Typeset`embedState$$ = "Ready"}, 
    
    TemplateBox[{
      PaneSelectorBox[{False -> GridBox[{{
            PaneBox[
             ButtonBox[
              DynamicBox[
               FEPrivate`FrontEndResource["FEBitmaps", "SummaryBoxOpener"], 
               ImageSizeCache -> {12., {0., 12.}}], Appearance -> None, 
              BaseStyle -> {}, ButtonFunction :> (Typeset`open$$ = True), 
              Evaluator -> Automatic, Method -> "Preemptive"], 
             Alignment -> {Center, Center}, ImageSize -> 
             Dynamic[{
               Automatic, 
                3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                 Magnification])}]], 
            StyleBox[
             GraphicsBox[
              RasterBox[CompressedData["
1:eJztnMeOHUUUhi1gwZJX4C3YskFia8QD2MJYbIxkIyFehp1ztsc55+xxzjnn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               "], {{0, 0}, {180., 180.}}, {0, 255}, ColorFunction -> 
               RGBColor], AspectRatio -> 1, Axes -> False, Background -> None,
               Frame -> None, FrameTicks -> None, ImageSize -> 
              Dynamic[{
                Automatic, 
                 3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                  Magnification])}], PlotRange -> {{0, 180.}, {0, 180.}}], 
             StripOnInput -> False, CacheGraphics -> False], 
            GridBox[{{
               RowBox[{
                 TagBox["\"Name: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                  TemplateBox[{"\"Sample Data for Query Book\"", "\" \"", 
                    
                    TemplateBox[{
                    "\"\[RightGuillemet]\"", 
                    "https://datarepository.wolframcloud.com/resources/\
bd67dc14-bd67-4f1a-acaa-ddb12a7a79e7/"}, "HyperlinkURL"]}, "RowDefault"], 
                  "SummaryItem"]}], 
               TagBox["\"\"", "SummaryItem"]}, {
               RowBox[{
                 TagBox["\"Type: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["\"DataResource\"", "SummaryItem"]}], 
               "\[SpanFromLeft]"}, {
               TagBox[
                DynamicModuleBox[{ResourceSystemClient`Private`len$$ = 1}, 
                 RowBox[{
                   TagBox["\"Description: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox[
                    ButtonBox[
                    DynamicBox[
                    ToBoxes[
                    Replace[
                    ResourceSystemClient`Private`snipDots[
                    "Data to support the Wolfram Media book Query: Getting \
Information from Data with the Wolfram Language", 
                    ResourceSystemClient`Private`len$$], Except[
                    Blank[String]] -> 
                    Snippet[
                    "Data to support the Wolfram Media book Query: Getting \
Information from Data with the Wolfram Language", 
                    ResourceSystemClient`Private`len$$], {0}], StandardForm], 
                    ImageSizeCache -> {466., {2.2265625, 8.94140625}}], 
                    Appearance -> None, BaseStyle -> {}, 
                    ButtonFunction :> (ResourceSystemClient`Private`len$$ = 
                    Ceiling[ResourceSystemClient`Private`len$$ 1.5]), 
                    Evaluator -> Automatic, Method -> "Preemptive"], 
                    "SummaryItem"]}], DynamicModuleValues :> {}], 
                "SummaryItem"], "\[SpanFromLeft]"}}, AutoDelete -> False, 
             BaseStyle -> {
              ShowStringCharacters -> False, NumberMarks -> False, 
               PrintPrecision -> 3, ShowSyntaxStyles -> False}, 
             GridBoxAlignment -> {
              "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {
              "Columns" -> {{2}}, "Rows" -> {{Automatic}}}]}}, AutoDelete -> 
          False, BaselinePosition -> {1, 1}, 
          GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], True -> 
        GridBox[{{
            PaneBox[
             ButtonBox[
              DynamicBox[
               FEPrivate`FrontEndResource["FEBitmaps", "SummaryBoxCloser"]], 
              Appearance -> None, BaseStyle -> {}, 
              ButtonFunction :> (Typeset`open$$ = False), Evaluator -> 
              Automatic, Method -> "Preemptive"], 
             Alignment -> {Center, Center}, ImageSize -> 
             Dynamic[{
               Automatic, 
                3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                 Magnification])}]], 
            StyleBox[
             GraphicsBox[
              RasterBox[CompressedData["
1:eJztnMeOHUUUhi1gwZJX4C3YskFia8QD2MJYbIxkIyFehp1ztsc55+xxzjnn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               "], {{0, 0}, {180., 180.}}, {0, 255}, ColorFunction -> 
               RGBColor], AspectRatio -> 1, Axes -> False, Background -> None,
               Frame -> None, FrameTicks -> None, ImageSize -> 
              Dynamic[{
                Automatic, 
                 3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                  Magnification])}], PlotRange -> {{0, 180.}, {0, 180.}}], 
             StripOnInput -> False, CacheGraphics -> False], 
            GridBox[{{
               RowBox[{
                 TagBox["\"Name: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                  TemplateBox[{"\"Sample Data for Query Book\"", "\" \"", 
                    
                    TemplateBox[{
                    "\"\[RightGuillemet]\"", 
                    "https://datarepository.wolframcloud.com/resources/\
bd67dc14-bd67-4f1a-acaa-ddb12a7a79e7/"}, "HyperlinkURL"]}, "RowDefault"], 
                  "SummaryItem"]}], 
               TagBox["\"\"", "SummaryItem"]}, {
               RowBox[{
                 TagBox["\"Type: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["\"DataResource\"", "SummaryItem"]}], 
               "\[SpanFromLeft]"}, {
               TagBox[
                DynamicModuleBox[{ResourceSystemClient`Private`len$$ = 1}, 
                 RowBox[{
                   TagBox["\"Description: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox[
                    ButtonBox[
                    DynamicBox[
                    ToBoxes[
                    Replace[
                    ResourceSystemClient`Private`snipDots[
                    "Data to support the Wolfram Media book Query: Getting \
Information from Data with the Wolfram Language", 
                    ResourceSystemClient`Private`len$$], Except[
                    Blank[String]] -> 
                    Snippet[
                    "Data to support the Wolfram Media book Query: Getting \
Information from Data with the Wolfram Language", 
                    ResourceSystemClient`Private`len$$], {0}], StandardForm]],
                     Appearance -> None, BaseStyle -> {}, 
                    ButtonFunction :> (ResourceSystemClient`Private`len$$ = 
                    Ceiling[ResourceSystemClient`Private`len$$ 1.5]), 
                    Evaluator -> Automatic, Method -> "Preemptive"], 
                    "SummaryItem"]}], DynamicModuleValues :> {}], 
                "SummaryItem"], "\[SpanFromLeft]"}, {
               RowBox[{
                 TagBox["\"Categories: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                  TagBox[
                   
                   TemplateBox[{
                    ",", "\",\"", "\"Astronomy\"", "\"History\"", 
                    "\"Human Activities\""}, "RowWithSeparators"], Short], 
                  "SummaryItem"]}], ""}, {
               RowBox[{
                 TagBox["\"ContentTypes: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                  TagBox[
                   
                   TemplateBox[{
                    ",", "\",\"", "\"Text\"", "\"Numerical Data\""}, 
                    "RowWithSeparators"], Short], "SummaryItem"]}], ""}, {
               RowBox[{
                 TagBox["\"Keywords: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                  TagBox[
                   
                   TemplateBox[{",", "\",\"", "\"Dataset\"", "\"Query\""}, 
                    "RowWithSeparators"], Short], "SummaryItem"]}], ""}, {
               RowBox[{
                 TagBox["\"Documentation: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                  
                  TemplateBox[{
                   "\"https://datarepository.wolframcloud.com/resources/\
bd67dc14-bd67-4f1a-acaa-ddb12a7a79e7/\"", 
                    "https://datarepository.wolframcloud.com/resources/\
bd67dc14-bd67-4f1a-acaa-ddb12a7a79e7/"}, "HyperlinkURL"], "SummaryItem"]}], 
               ""}, {
               RowBox[{
                 TagBox["\"Data Location: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                  
                  DynamicModuleBox[{
                   ResourceSystemClient`Private`typesetstorage$$ = 
                    ResourceSystemClient`Private`typesetstorageLocation, 
                    ResourceSystemClient`Private`info$$}, 
                   DynamicBox[
                    ToBoxes[
                    ResourceSystemClient`Private`info$$ = 
                    ResourceSystemClient`Private`resourceInfo[
                    "bd67dc14-bd67-4f1a-acaa-ddb12a7a79e7"]; If[
                    AssociationQ[ResourceSystemClient`Private`info$$], 
                    ResourceSystemClient`Private`typesetstorage$$[
                    Lookup[
                    ResourceSystemClient`Private`info$$, 
                    "ContentElementLocations", None]], 
                    Missing["NotAvailable"]], StandardForm]], 
                   DynamicModuleValues :> {}], "SummaryItem"]}], ""}, {
               RowBox[{
                 TagBox["\"UUID: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                 "\"bd67dc14-bd67-4f1a-acaa-ddb12a7a79e7\"", "SummaryItem"]}],
                ""}, {
               RowBox[{
                 TagBox["\"Version: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["\"1.0.1\"", "SummaryItem"]}], ""}, {
               RowBox[{
                 TagBox["\"Size: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                  
                  TemplateBox[{
                   "918.7280000000001`", "\"kB\"", "kilobytes", 
                    "\"Kilobytes\""}, "Quantity"], "SummaryItem"]}], ""}, {
               RowBox[{
                 TagBox["\"Elements: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                  TagBox[
                   RowBox[{"\"aAssociation\"", ",", "\"Content\"", ",", 
                    RowBox[{"\[LeftSkeleton]", "20", "\[RightSkeleton]"}], 
                    ",", "\"Titanic List of Associations\"", ",", 
                    "\"Titanic List of Associations Dataset\""}], 
                   Short[#, 2]& ], "SummaryItem"]}], ""}}, AutoDelete -> 
             False, BaseStyle -> {
              ShowStringCharacters -> False, NumberMarks -> False, 
               PrintPrecision -> 3, ShowSyntaxStyles -> False}, 
             GridBoxAlignment -> {
              "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {
              "Columns" -> {{2}}, "Rows" -> {{Automatic}}}]}}, AutoDelete -> 
          False, BaselinePosition -> {1, 1}, 
          GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, 
       Dynamic[Typeset`open$$], ImageSize -> Automatic]},
     "SummaryPanel"],
    DynamicModuleValues:>{}], "]"}],
  ResourceObject[<|
   "Name" -> "Sample Data for Query Book", "UUID" -> 
    "bd67dc14-bd67-4f1a-acaa-ddb12a7a79e7", "ResourceType" -> "DataResource", 
    "Version" -> "1.0.1", "Description" -> 
    "Data to support the Wolfram Media book Query: Getting Information from \
Data with the Wolfram Language", "RepositoryLocation" -> 
    URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
    "ContentSize" -> Quantity[918.7280000000001, "Kilobytes"], 
    "ContentElements" -> {
     "aAssociation", "Content", "Dinghy Association of Associations", 
      "Dinghy Association of Associations Dataset", 
      "Dinghy List of Associations", "Dinghy List of Associations Dataset", 
      "Eastern Cities List", "IDWeight List of Associations", 
      "Lifeboat List of Associations", 
      "Lifeboat List of Associations Dataset", "Mars Association", 
      "MLS List of Associations", "MLS List of Associations Dataset", 
      "MLS List of Lists", "MLS List of Lists Dataset", 
      "Planets Deeply Nested Structure", 
      "Planets Deeply Nested Structure Dataset", "Pops List", 
      "Titanic Cabins 2 List of Associations", 
      "Titanic Cabins 2 List of Associations Dataset", 
      "Titanic Cabins List of Associations", 
      "Titanic Cabins List of Associations Dataset", 
      "Titanic List of Associations", 
      "Titanic List of Associations Dataset"}|>, {
   ResourceSystemBase -> 
    "https://www.wolframcloud.com/obj/resourcesystem/api/1.0"}],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{
  3.888932908054226*^9, 3.888933667462413*^9, 3.89946053551606*^9, 
   3.899480149933816*^9, {3.899544850701754*^9, 3.8995448729630527`*^9}},
 CellLabel->"Out[3]=",
 CellID->1590202819,ExpressionUUID->"2c40304a-7cdb-411a-98c7-2442d889ae80"]
}, Open  ]],

Cell[TextData[{
 "In a traditional Wolfram Language expression, one automatically gets to \
access components of that expression through the ",
 ButtonBox["Part",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Part.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Part.html"],
 " function (or its cousins like ",
 ButtonBox["Take",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Take.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Take.html"],
 " and ",
 ButtonBox["Drop",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Drop.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Drop.html"],
 ") and through an automatic indexing between those components and integers \
(or a list of integers), so to get the second part of ",
 Cell[BoxData[
  RowBox[{"{", 
   RowBox[{"\"\<a\>\"", ",", "\"\<b\>\""}], "}"}]], "InlineCodeText",
  ExpressionUUID->"2eaf2189-a335-48c5-9c8b-b7853af3feb8"],
 ", I don\[CloseCurlyQuote]t have to tell Mathematica anything. It already \
knows that ",
 Cell[BoxData[
 "\"\<a\>\""], "InlineCodeText",ExpressionUUID->
  "bab87dda-c11a-43c6-a19d-3bb26dce95b0"],
 " is ",
 ButtonBox["Part",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Part.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Part.html"],
 " 1 and ",
 Cell[BoxData[
 "\"\<b\>\""], "InlineCodeText",ExpressionUUID->
  "769caf7a-1c38-4d1c-9c50-56ebe65c1bf8"],
 " is ",
 ButtonBox["Part",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Part.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Part.html"],
 " 2. Indeed, I couldn\[CloseCurlyQuote]t change that even if I wanted to. "
}], "Text",
 CellChangeTimes->{{3.76919498168384*^9, 3.769195140456131*^9}, {
  3.769255550876027*^9, 3.76925555797359*^9}, {3.775816228139609*^9, 
  3.7758162397817726`*^9}, {3.7758163122410183`*^9, 3.775816345335327*^9}, {
  3.858333273031096*^9, 3.858333277870483*^9}, {3.8661261564657793`*^9, 
  3.8661261568992453`*^9}, {3.8661902196505976`*^9, 3.8661902207234097`*^9}, {
  3.867164252915174*^9, 3.8671642533709717`*^9}},
 CellTags->"i:1",
 CellID->319773756,ExpressionUUID->"f42517f3-740b-4726-a825-09501d372e80"],

Cell["\<\
This system works quite well, but it has at least one shortcoming. It \
requires a good deal of human memory. If I have, for example, a matrix of \
employee data in which each row contains seven elements, I might have to \
remember that the salary information is contained in column five. Now, of \
course this might not be too burdensome if there were just seven columns in \
the data. Perhaps I could manage that, but even those with great memories \
might be challenged where, as is often the case, each row of data contains \
one hundred or one thousand values. \
\>", "Text",
 CellChangeTimes->{{3.769195146847142*^9, 3.76919538441637*^9}, {
  3.7692501193555593`*^9, 3.76925016950807*^9}, {3.769256260060664*^9, 
  3.7692562867296762`*^9}, {3.771856809345578*^9, 3.771856838492873*^9}, {
  3.7758166761664066`*^9, 3.775816689256716*^9}, {3.7758167455713468`*^9, 
  3.775816746434433*^9}, {3.8661262078049374`*^9, 3.8661262079064317`*^9}, {
  3.867164271873377*^9, 3.8671642850702276`*^9}},
 CellID->1205575406,ExpressionUUID->"f3d27db6-5b34-4a46-aba7-21f4ffe70af0"],

Cell[TextData[{
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " is the Wolfram Language construction created as of Version 10 to solve \
this problem (and do more as well). It lets one create a correspondence \
between the values in a ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 "-like data structure and names that are called keys. ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " is similar (though not identical) to containers from other computer \
languages, such as Consed pairs, Dicts, Dictionary, Hashes, Keylists, Maps, \
HashMaps, Associative Arrays, and Key-Value pairs (or stores). "
}], "Text",
 CellChangeTimes->{{3.769195146847142*^9, 3.76919538441637*^9}, {
   3.7692501193555593`*^9, 3.76925016950807*^9}, {3.769256260060664*^9, 
   3.7692562867296762`*^9}, {3.771856809345578*^9, 3.7718569382988043`*^9}, {
   3.7718569783613997`*^9, 3.771857055941329*^9}, {3.7718571045269337`*^9, 
   3.771857137442813*^9}, {3.7758167702428136`*^9, 3.775816806472436*^9}, {
   3.7758173179916086`*^9, 3.7758173459476085`*^9}, {3.778854215081874*^9, 
   3.778854215649497*^9}, {3.8569776077632923`*^9, 3.856977608247822*^9}, 
   3.857225969536224*^9, {3.858239636433514*^9, 3.8582396371648283`*^9}, {
   3.866126230905673*^9, 3.8661262512013874`*^9}, {3.867920491034608*^9, 
   3.867920491854068*^9}},
 CellTags->"LastCellOfAPage",
 CellID->1826654303,ExpressionUUID->"cd5827ac-2eb6-4bb2-b8b6-6e6cc8d5c5fb"],

Cell[CellGroupData[{

Cell["A Home-Brewed Indexed Data Structure", "Subsection",
 CellChangeTimes->{{3.7718571480651617`*^9, 3.771857158909334*^9}, {
  3.7755774396708775`*^9, 3.775577440838994*^9}, {3.7755775959575043`*^9, 
  3.7755776024401526`*^9}, {3.7758173730576086`*^9, 3.7758173735386086`*^9}},
 CellTags->"p: 66",
 CellID->1811859785,ExpressionUUID->"600c4ae9-86e1-499c-b5d9-8495e59e3b12"],

Cell[TextData[{
 "Before turning to the real ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 ", it\[CloseCurlyQuote]s worth considering how one might brew it oneself. \
What I would likely need to do is set up some sort of correspondence between \
the integers and some descriptive account of the columns. Thus, if I revert \
to the Major League Soccer (MLS) data discussed in a prior chapter, I could \
write it down in some sort of code book, or, if I felt more programmatically \
inclined, I might write a set of rules like this."
}], "Text",
 CellChangeTimes->{{3.769195146847142*^9, 3.76919538441637*^9}, {
   3.7692501193555593`*^9, 3.76925016950807*^9}, {3.769256260060664*^9, 
   3.7692562867296762`*^9}, {3.771857060665883*^9, 3.771857079622864*^9}, 
   3.7758174718476086`*^9, {3.867164392251057*^9, 3.867164394128418*^9}},
 CellTags->"i:2",
 CellID->120115379,ExpressionUUID->"6ee83312-da4d-4293-b2c4-3ed957534c92"],

Cell["Create rules that enumerate column names:", "CodeText",
 CellChangeTimes->{{3.769419244979033*^9, 3.76941925488466*^9}, 
   3.775817935216608*^9},
 CellID->381746018,ExpressionUUID->"24f98738-4370-49c5-8471-989a34f99dd8"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"soccerColumnIndex", "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"\"\<team\>\"", "\[Rule]", "1"}], ",", 
    RowBox[{"\"\<lastName\>\"", "\[Rule]", "2"}], ",", 
    RowBox[{"\"\<firstName\>\"", "\[Rule]", "3"}], ",", 
    RowBox[{"\"\<position\>\"", "\[Rule]", "4"}], ",", 
    RowBox[{"\"\<baseSalary\>\"", "\[Rule]", "5"}], ",", 
    RowBox[{"\"\<guaranteedSalary\>\"", "\[Rule]", "6"}], ",", 
    RowBox[{"\"\<year\>\"", "\[Rule]", "7"}]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.769195596032655*^9, 3.769195599550456*^9}},
 CellLabel->"In[205]:=",
 CellID->615027098,ExpressionUUID->"046b85a7-ac4f-4823-9f9b-c4c75917cde1"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"\<\"team\"\>", "\[Rule]", "1"}], ",", 
   RowBox[{"\<\"lastName\"\>", "\[Rule]", "2"}], ",", 
   RowBox[{"\<\"firstName\"\>", "\[Rule]", "3"}], ",", 
   RowBox[{"\<\"position\"\>", "\[Rule]", "4"}], ",", 
   RowBox[{"\<\"baseSalary\"\>", "\[Rule]", "5"}], ",", 
   RowBox[{"\<\"guaranteedSalary\"\>", "\[Rule]", "6"}], ",", 
   RowBox[{"\<\"year\"\>", "\[Rule]", "7"}]}], "}"}]], "Output",
 CellChangeTimes->{3.7691956065538197`*^9, 3.7693322478668833`*^9, 
  3.769352994789076*^9, 3.769375578059369*^9, 3.769955122477146*^9, 
  3.769955267788465*^9, 3.7719298021897373`*^9, 3.880634006261265*^9, 
  3.8814189010753527`*^9},
 CellLabel->"Out[205]=",
 CellID->866675581,ExpressionUUID->"33aad246-fffd-4599-9ed2-f31a7d566a76"]
}, Open  ]],

Cell["\<\
Then, when I want to extract information on a player\[CloseCurlyQuote]s \
salary, I might do something like this.\
\>", "Text",
 CellChangeTimes->{{3.769195472052843*^9, 3.769195493161646*^9}, {
  3.775816622619053*^9, 3.775816623459137*^9}, {3.7758179394416084`*^9, 
  3.7758179445206084`*^9}},
 CellID->934344285,ExpressionUUID->"5513a5ca-0b5f-408e-b0f8-b31df1ea2004"],

Cell["\<\
Use substitution rules to convert column names into integers:\
\>", "CodeText",
 CellChangeTimes->{{3.769419274129987*^9, 3.769419300906413*^9}, 
   3.7758179497526083`*^9},
 CellID->305322318,ExpressionUUID->"8d84a6b5-8a72-4cb0-9273-e6a1a44a5754"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Part", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "\"\<HOU\>\"", ",", "\"\<Ching\>\"", ",", "\"\<Brian\>\"", ",", 
     "\"\<F\>\"", ",", 
     TemplateBox[{
       InterpretationBox[
        TagBox[
         InterpretationBox[
         "\"220\[ThinSpace]000.00\"", 220000., AutoDelete -> True], 
         NumberForm[#, {Infinity, 2}, DigitBlock -> 3, NumberSeparator -> 
          "\[ThinSpace]"]& ], 220000., Selectable -> False], 
       RowBox[{
         FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
       "US dollars", "\"USDollars\""},
      "QuantityPrefix"], ",", 
     TemplateBox[{
       InterpretationBox[
        TagBox[
         InterpretationBox[
         "\"220\[ThinSpace]000.00\"", 220000., AutoDelete -> True], 
         NumberForm[#, {Infinity, 2}, DigitBlock -> 3, NumberSeparator -> 
          "\[ThinSpace]"]& ], 220000., Selectable -> False], 
       RowBox[{
         FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
       "US dollars", "\"USDollars\""},
      "QuantityPrefix"], ",", 
     TemplateBox[{
       RowBox[{
         StyleBox[
         "\"Year: \"", FontColor -> GrayLevel[0.5], FontWeight -> Plain], 
         "\"2007\""}], 
       RowBox[{"DateObject", "[", 
         RowBox[{
           RowBox[{"{", "2007", "}"}], ",", "\"Year\"", ",", "\"Gregorian\"", 
           ",", 
           RowBox[{"-", "5.`"}]}], "]"}]},
      "DateObject",
      Editable->False]}], "}"}], ",", 
   RowBox[{"\"\<baseSalary\>\"", "/.", "soccerColumnIndex"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.769195544601131*^9, 3.769195574505041*^9}},
 CellLabel->"In[206]:=",
 CellID->1361498235,ExpressionUUID->"702bbbb9-c180-4165-b3aa-2c96046f4a70"],

Cell[BoxData[
 TemplateBox[{
   InterpretationBox[
    TagBox[
     InterpretationBox[
      StyleBox["\"220\[ThinSpace]000.00\"", ShowStringCharacters -> False], 
      220000., AutoDelete -> True], 
     NumberForm[#, {Infinity, 2}, DigitBlock -> 3, NumberSeparator -> 
      "\[ThinSpace]"]& ], 220000., Selectable -> False], 
   RowBox[{
     FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars", 
   "\"USDollars\""},
  "QuantityPrefix"]], "Output",
 CellChangeTimes->{3.769195575142062*^9, 3.769195610875139*^9, 
  3.7693322478984947`*^9, 3.769352994838964*^9, 3.769375578132224*^9, 
  3.76995512251554*^9, 3.769955267831766*^9, 3.771929802222321*^9, 
  3.8806340063044233`*^9, 3.881418908272134*^9},
 CellLabel->"Out[206]=",
 CellID->1331595806,ExpressionUUID->"16c621bf-625f-49bb-9393-1163548163f2"]
}, Open  ]],

Cell["\<\
However, having to do this every time I want to access data is rather \
cumbersome. Moreover, for better or worse, the indexing information becomes \
decoupled from the data.\
\>", "Text",
 CellChangeTimes->{{3.7691956360133047`*^9, 3.7691957761283493`*^9}, 
   3.769250305007697*^9, {3.7755774490948195`*^9, 3.7755774492708373`*^9}, {
   3.7758179655666084`*^9, 3.7758179674076085`*^9}},
 CellID->2089738030,ExpressionUUID->"19813762-2e5f-4d8d-ad18-90f6a2b39648"]
}, Open  ]],

Cell[CellGroupData[{

Cell["The Association", "Subsection",
 CellChangeTimes->{{3.7718571693957157`*^9, 3.771857174647736*^9}},
 CellID->602756267,ExpressionUUID->"1a9a328b-b3e9-4774-9cd9-d5e6aae06d34"],

Cell[TextData[{
 "These issues, and others, give rise to ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 ", in which the user basically gets to tightly couple their own desired \
names (the \[OpenCurlyDoubleQuote]keys\[CloseCurlyDoubleQuote]) to the values \
in the expression. An ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " is written as a sequence or ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of Rules in which the left-hand sides represent the \
\[OpenCurlyDoubleQuote]keys\[CloseCurlyDoubleQuote] (kind of like ",
 ButtonBox["Part",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Part.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Part.html"],
 " numbers), and the right-hand sides represent the \
\[OpenCurlyDoubleQuote]values.\[CloseCurlyDoubleQuote] Each ",
 ButtonBox["Rule",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Rule.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Rule.html"],
 " in the sequence is often known as a key-value pair. The ",
 ButtonBox["Head",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Head.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Head.html"],
 " of the expression is ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 "."
}], "Text",
 CellChangeTimes->{{3.7691956360133047`*^9, 3.7691957761283493`*^9}, {
   3.769250309953258*^9, 3.769250337301447*^9}, {3.769250390415003*^9, 
   3.769250440734129*^9}, {3.7692505396013107`*^9, 3.769250541572475*^9}, {
   3.769255614194963*^9, 3.769255633593555*^9}, 3.771857098253962*^9, {
   3.7755793420804815`*^9, 3.7755793449084816`*^9}, {3.7758179776876087`*^9, 
   3.7758179836046085`*^9}, {3.7758183521816487`*^9, 3.775818372006631*^9}, {
   3.775818406512081*^9, 3.7758184067061005`*^9}, 3.7758185254849772`*^9, 
   3.778854324039695*^9, {3.778854402913782*^9, 3.778854405169273*^9}, 
   3.857226102179872*^9, 3.857226165780759*^9, {3.858239932997058*^9, 
   3.858239940876072*^9}, {3.858240017506658*^9, 3.858240079249359*^9}, {
   3.8661263169524574`*^9, 3.8661263234757123`*^9}, {3.866130448407796*^9, 
   3.8661304730105906`*^9}, 3.866550786155154*^9, {3.866642343565082*^9, 
   3.866642344559132*^9}, {3.868001055804007*^9, 3.868001059361641*^9}},
 CellTags->"i:3",
 CellID->1916435276,ExpressionUUID->"9632c52d-bbc9-4491-9db2-92f32a27592d"],

Cell[TextData[{
 "For something like the MLS data, one would write the following. I\
\[CloseCurlyQuote]m going to reuse this example, so I assign it to the \
variable ",
 Cell[BoxData[
 "chingAssociation"], "InlineCodeText",ExpressionUUID->
  "8a029eea-96e0-4daa-92b6-6597d1747116"],
 "."
}], "Text",
 CellChangeTimes->{{3.7691956360133047`*^9, 3.7691957186200113`*^9}, {
  3.769195779498065*^9, 3.769195782602332*^9}, {3.76919662525706*^9, 
  3.7691966382419786`*^9}, {3.769255644930471*^9, 3.769255647727523*^9}, {
  3.7758185294113703`*^9, 3.775818552474676*^9}, {3.8671645318459244`*^9, 
  3.867164532316047*^9}},
 CellTags->"LastCellOfAPage",
 CellID->743132205,ExpressionUUID->"642c3874-b2bc-4bf4-bf9e-74465355e37a"],

Cell[TextData[{
 "An ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " uses Rules wrapped with the ",
 ButtonBox["Head",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Head.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Head.html"],
 " ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.76941931045789*^9, 3.7694193406535053`*^9}, {
  3.775818562645693*^9, 3.775818567945223*^9}, {3.8572262258578463`*^9, 
  3.857226242491664*^9}, {3.8661263463192196`*^9, 3.8661263482616262`*^9}},
 CellTags->"p: 67",
 CellID->1878922074,ExpressionUUID->"b45c31f9-4291-4544-a3c1-4eb98e231308"],

Cell[BoxData[
 RowBox[{
  RowBox[{"chingAssociation", "=", 
   RowBox[{"Association", "[", 
    RowBox[{
     RowBox[{"\"\<team\>\"", "\[Rule]", "\"\<HOU\>\""}], ",", 
     RowBox[{"\"\<lastName\>\"", "\[Rule]", "\"\<Ching\>\""}], ",", 
     RowBox[{"\"\<firstName\>\"", "\[Rule]", "\"\<Brian\>\""}], ",", 
     RowBox[{"\"\<position\>\"", "\[Rule]", "\"\<F\>\""}], ",", 
     RowBox[{"\"\<baseSalary\>\"", "\[Rule]", 
      TemplateBox[{"220000", 
        RowBox[{
          FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
        "US dollars", "\"USDollars\""},
       "QuantityPrefix"]}], ",", 
     RowBox[{"\"\<guaranteedSalary\>\"", "\[Rule]", 
      TemplateBox[{"220000", 
        RowBox[{
          FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
        "US dollars", "\"USDollars\""},
       "QuantityPrefix"]}], ",", 
     RowBox[{"\"\<year\>\"", "\[Rule]", 
      TemplateBox[{
        RowBox[{
          StyleBox[
          "\"Year: \"", FontColor -> GrayLevel[0.5], FontWeight -> Plain], 
          "\"2007\""}], 
        RowBox[{"DateObject", "[", 
          RowBox[{
            RowBox[{"{", "2007", "}"}], ",", "\"Year\"", ",", "\"Gregorian\"",
             ",", 
            RowBox[{"-", "5.`"}]}], "]"}]},
       "DateObject",
       Editable->False]}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.769195866366733*^9, 3.769195986676105*^9}, {
  3.7691965653382587`*^9, 3.769196566469865*^9}, {3.769250912298663*^9, 
  3.769250913846155*^9}},
 CellLabel->"In[207]:=",
 CellID->892096982,ExpressionUUID->"1f441e35-572c-40c0-a1a9-19356c6f6e5b"],

Cell[TextData[{
 "I could equivalently have created a ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of Rules rather than a sequence. The Wolfram Language would basically \
unwrap the ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " and create a sequence."
}], "Text",
 CellChangeTimes->{{3.71075721700072*^9, 3.710757269311457*^9}, {
   3.74212843415511*^9, 3.742128438788775*^9}, {3.7697766689539013`*^9, 
   3.7697766827569857`*^9}, 3.77185716433034*^9, {3.857226268676762*^9, 
   3.8572262773577623`*^9}, {3.8671645662560883`*^9, 3.8671645757185574`*^9}},
 
 CellID->1675395398,ExpressionUUID->"3fe42992-574d-42d0-b530-25574e2b2986"],

Cell["Another way to do it:", "CodeText",
 CellChangeTimes->{{3.778854986364444*^9, 3.778854988208823*^9}},
 CellID->1208443488,ExpressionUUID->"903ccc1c-43e8-4008-876d-4801fe6c0451"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Association", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"\"\<team\>\"", "\[Rule]", "\"\<HOU\>\""}], ",", 
     RowBox[{"\"\<lastName\>\"", "\[Rule]", "\"\<Ching\>\""}], ",", 
     RowBox[{"\"\<firstName\>\"", "\[Rule]", "\"\<Brian\>\""}], ",", 
     RowBox[{"\"\<position\>\"", "\[Rule]", "\"\<F\>\""}], ",", 
     RowBox[{"\"\<baseSalary\>\"", "\[Rule]", 
      TemplateBox[{"220000", 
        RowBox[{
          FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
        "US dollars", "\"USDollars\""},
       "QuantityPrefix"]}], ",", 
     RowBox[{"\"\<guaranteedSalary\>\"", "\[Rule]", 
      TemplateBox[{"220000", 
        RowBox[{
          FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
        "US dollars", "\"USDollars\""},
       "QuantityPrefix"]}], ",", 
     RowBox[{"\"\<year\>\"", "\[Rule]", 
      TemplateBox[{
        RowBox[{
          StyleBox[
          "\"Year: \"", FontColor -> GrayLevel[0.5], FontWeight -> Plain], 
          "\"2007\""}], 
        RowBox[{"DateObject", "[", 
          RowBox[{
            RowBox[{"{", "2007", "}"}], ",", "\"Year\"", ",", "\"Gregorian\"",
             ",", 
            RowBox[{"-", "5.`"}]}], "]"}]},
       "DateObject",
       Editable->False]}]}], "}"}], "]"}], "===", 
  "chingAssociation"}]], "Input",
 CellChangeTimes->{{3.710757231594489*^9, 3.7107572428251762`*^9}, 
   3.739614108353438*^9, 3.740414364471135*^9, {3.769776691353621*^9, 
   3.76977673243799*^9}},
 CellLabel->"In[208]:=",
 CellID->564874722,ExpressionUUID->"ffd67e82-24b3-49cb-8da3-6bb3ba195ebd"],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.7404147239516077`*^9, 3.7404242545224323`*^9, 
  3.7404961445838957`*^9, 3.740500452926571*^9, 3.741109497571103*^9, 
  3.7415373856105623`*^9, 3.74169111888262*^9, 3.741773664953434*^9, 
  3.7417752106395073`*^9, 3.741787981989149*^9, 3.741876413922729*^9, 
  3.7418794704996147`*^9, 3.741956389512645*^9, 3.7421229238358603`*^9, 
  3.76977673303953*^9, 3.769955122566222*^9, 3.769955267890329*^9, 
  3.7719298022660913`*^9, 3.880634006322735*^9, 3.8814189252268143`*^9},
 CellLabel->"Out[208]=",
 CellID->1959043734,ExpressionUUID->"5a17938f-9621-47c0-a141-17a3a62a9d74"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "Using ",
 StyleBox[ButtonBox["Part",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Part.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Part.html"],
  FontColor->RGBColor[
   0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]],
 " with ",
 StyleBox[ButtonBox["Association",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
  FontColor->RGBColor[
   0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]]
}], "Subsection",
 CellID->49123224,ExpressionUUID->"43ca9055-cea3-4d64-84b6-e94542557efa"],

Cell[TextData[{
 "I can continue to remember that, for example, base salary is the fifth \
key-value pair in the ",
 Cell[BoxData[
 "chingAssociation"], "InlineCodeText",ExpressionUUID->
  "fe5c7c88-8800-4bd0-a90d-77a09b3ea302"],
 " data structure, so I can still use ",
 ButtonBox["Part",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Part.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Part.html"],
 " with integer arguments."
}], "Text",
 CellChangeTimes->{{3.7692561531514883`*^9, 3.769256205538025*^9}, {
  3.775818869383605*^9, 3.775818885522605*^9}},
 CellTags->"i:4",
 CellID->1103934746,ExpressionUUID->"22f3b6a3-28ef-4221-b2ff-d11ac8813a57"],

Cell[TextData[{
 "The key-value pairs in an ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " have numbers that can be used for extraction: "
}], "CodeText",
 CellChangeTimes->{{3.769419344529993*^9, 3.7694193671901503`*^9}, {
   3.775579154539481*^9, 3.7755791561064816`*^9}, 3.7758218099734325`*^9, 
   3.857226318777153*^9, {3.8582400663424883`*^9, 3.858240070911396*^9}},
 CellID->329500012,ExpressionUUID->"18524a7d-5ad8-4a90-b972-5ade59d6c9f5"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Part", "[", 
  RowBox[{"chingAssociation", ",", "5"}], "]"}]], "Input",
 CellChangeTimes->{{3.7692562067123117`*^9, 3.76925620954805*^9}},
 CellLabel->"In[209]:=",
 CellID->673291081,ExpressionUUID->"45970cc8-8441-4a7e-90eb-34dc1d616a1c"],

Cell[BoxData[
 TemplateBox[{"220000", 
   RowBox[{
     FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars", 
   "\"USDollars\""},
  "QuantityPrefix"]], "Output",
 CellChangeTimes->{3.7692562099801826`*^9, 3.769332248037154*^9, 
  3.769352994945394*^9, 3.769375578195257*^9, 3.769955122577791*^9, 
  3.7699552679249496`*^9, 3.771929802274899*^9, 3.88063400635102*^9, 
  3.881418930973065*^9},
 CellLabel->"Out[209]=",
 CellID->1767875045,ExpressionUUID->"73405a94-d23c-4166-9544-fe5c4fa24688"]
}, Open  ]],

Cell[TextData[{
 "But now I don\[CloseCurlyQuote]t have to remember that base salary is in \
the fifth position or set up an explicit index like ",
 Cell[BoxData[
 "soccerColumnIndex"], "InlineCodeText",ExpressionUUID->
  "3b1f0d62-87e3-4a4a-9ddb-93c8fff02b02"],
 ". Instead, I can directly use the ",
 ButtonBox["Part",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Part.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Part.html"],
 " function."
}], "Text",
 CellChangeTimes->{{3.769195997358238*^9, 3.769196063365843*^9}, {
  3.7692562156698914`*^9, 3.769256225638649*^9}, {3.7758166271725082`*^9, 
  3.7758166278605766`*^9}, {3.7758218209734325`*^9, 3.775821844151432*^9}},
 CellID->20543936,ExpressionUUID->"3a1bc94b-db74-4df2-9162-73e911d547a7"],

Cell[TextData[{
 "The key-value pairs in an ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " can be referenced by the name of the key wrapped in ",
 ButtonBox["Key",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Key.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Key.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.769419377537562*^9, 3.769419399353491*^9}, {
   3.7755791601074815`*^9, 3.775579166914481*^9}, {3.775822064087432*^9, 
   3.7758220687204323`*^9}, {3.778855013089028*^9, 3.7788550157364388`*^9}, {
   3.857226370359743*^9, 3.857226380240398*^9}, 3.8661263889732704`*^9},
 CellID->41780021,ExpressionUUID->"ce877035-086f-46fa-83ed-f793cf6ba3e7"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Part", "[", 
  RowBox[{"chingAssociation", ",", 
   RowBox[{"Key", "[", "\"\<baseSalary\>\"", "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.769196059820671*^9, 3.7691960763623753`*^9}, {
  3.769196641172463*^9, 3.769196647778605*^9}, {3.769197430991467*^9, 
  3.769197433649036*^9}, {3.769250916616407*^9, 3.769250917623859*^9}},
 CellLabel->"In[210]:=",
 CellID->1683390483,ExpressionUUID->"f6d89acb-c843-477c-895a-bb6ac753cc60"],

Cell[BoxData[
 TemplateBox[{"220000", 
   RowBox[{
     FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars", 
   "\"USDollars\""},
  "QuantityPrefix"]], "Output",
 CellChangeTimes->{
  3.7691960766675787`*^9, {3.769196648308414*^9, 3.769196652047759*^9}, 
   3.769197433973905*^9, 3.769250917982383*^9, 3.7693322480748453`*^9, 
   3.769352994994712*^9, 3.76937557821272*^9, 3.769955122621894*^9, 
   3.7699552679413652`*^9, 3.771929802317346*^9, 3.8806340063772097`*^9, 
   3.881418937928941*^9},
 CellLabel->"Out[210]=",
 CellID->2099774861,ExpressionUUID->"fb454b16-5059-45c9-a398-99b5adc80455"]
}, Open  ]],

Cell[TextData[{
 "Or I can use double-square-bracket notation (",
 ButtonBox["[[",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Part.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Part.html"],
 StyleBox[ButtonBox["...",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/RepeatedNull.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/RepeatedNull.html"],
  
  FontColor->GrayLevel[0.6]],
 ButtonBox["]]",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Part.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Part.html"],
 ")."
}], "Text",
 CellChangeTimes->{{3.769196080028099*^9, 3.769196091768902*^9}, {
   3.775579172025481*^9, 3.7755791764254813`*^9}, {3.775822389620432*^9, 
   3.775822397460432*^9}, {3.775822465375432*^9, 3.775822471063432*^9}, 
   3.7758225337004323`*^9, {3.778855034866056*^9, 3.7788550376006107`*^9}, {
   3.7790411975616617`*^9, 3.779041200440015*^9}, 3.780305885503931*^9, 
   3.78030606288336*^9, {3.8661263997733765`*^9, 3.8661264038117685`*^9}, 
   3.866126530139621*^9},
 CellID->627124156,ExpressionUUID->"61ea2cc1-958a-40cd-9507-d66417a9d62e"],

Cell[TextData[{
 "Double square brackets are syntactic sugar for ",
 ButtonBox["Part",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Part.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Part.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.769419407283978*^9, 3.7694194187637377`*^9}, {
   3.775822405979432*^9, 3.775822409261432*^9}, 3.857226410119566*^9, {
   3.8661264108065166`*^9, 3.8661264175389776`*^9}, {3.8661264526697598`*^9, 
   3.8661264536897025`*^9}, {3.8661264878743362`*^9, 
   3.8661265206878476`*^9}, {3.8661266316753845`*^9, 3.8661266514160433`*^9}},
 
 CellID->3210268,ExpressionUUID->"087f6f76-e927-42e3-8b87-e260c6af988d"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"chingAssociation", "[", 
  RowBox[{"[", 
   RowBox[{"Key", "[", "\"\<baseSalary\>\"", "]"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.769196096975687*^9, 3.769196101702739*^9}, {
  3.769196644941903*^9, 3.769196645749711*^9}, {3.7691974369004498`*^9, 
  3.769197440081902*^9}, {3.769250919783946*^9, 3.769250921121664*^9}},
 CellLabel->"In[211]:=",
 CellID->1051357885,ExpressionUUID->"fc7fbf4f-ba00-480f-b61c-6b5ec1608b70"],

Cell[BoxData[
 TemplateBox[{"220000", 
   RowBox[{
     FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars", 
   "\"USDollars\""},
  "QuantityPrefix"]], "Output",
 CellChangeTimes->{3.769196102061895*^9, 3.7691966536774*^9, 
  3.7691974403484907`*^9, 3.769250921714003*^9, 3.769332248092463*^9, 
  3.769352995012957*^9, 3.7693755782275953`*^9, 3.769955122640135*^9, 
  3.7699552679809027`*^9, 3.771929802332653*^9, 3.880634006390267*^9, 
  3.881418942351164*^9},
 CellLabel->"Out[211]=",
 CellID->822349033,ExpressionUUID->"f4d08405-5f58-4220-bce6-c0d8ed7e08ce"]
}, Open  ]],

Cell[TextData[{
 "If the key is a string, I don\[CloseCurlyQuote]t have to wrap the key in ",
 ButtonBox["Key",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Key.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Key.html"],
 ". The Wolfram Language figures it out for me. Thus, both of these work. \
This syntactic sugar is one reason that people very frequently use strings as \
keys in their Associations."
}], "Text",
 CellChangeTimes->{{3.769197442090736*^9, 3.769197510721424*^9}, {
   3.769250380277034*^9, 3.7692503821729097`*^9}, {3.7692504529592857`*^9, 
   3.769250467858595*^9}, {3.7758166315879498`*^9, 3.7758166319879894`*^9}, 
   3.775822769731432*^9, {3.857226421605444*^9, 3.857226439976989*^9}, {
   3.8654191997741756`*^9, 3.865419201551771*^9}, {3.86612562488933*^9, 
   3.8661256293097744`*^9}, {3.8661306016539683`*^9, 3.866130608395606*^9}, {
   3.867166562504035*^9, 3.8671665678984165`*^9}},
 CellTags->{"LastCellOfAPage", "i:5"},
 CellID->1132535585,ExpressionUUID->"ee1402b2-495f-4d1a-adf5-6c14ea7fff83"],

Cell[TextData[{
 "The ",
 ButtonBox["Key",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Key.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Key.html"],
 " wrapper can be omitted if the ",
 ButtonBox["Key",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Key.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Key.html"],
 " is a string:"
}], "CodeText",
 CellChangeTimes->{{3.7694194252661552`*^9, 3.7694194406507177`*^9}, 
   3.7758229062634325`*^9, {3.85722646158679*^9, 3.8572264699337482`*^9}},
 CellTags->"p: 68",
 CellID->399706635,ExpressionUUID->"0bba545a-7081-49ab-882c-d0a8ea20f238"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"Part", "[", 
    RowBox[{"chingAssociation", ",", "\"\<baseSalary\>\""}], "]"}], ",", 
   RowBox[{"chingAssociation", "[", 
    RowBox[{"[", "\"\<baseSalary\>\"", "]"}], "]"}]}], "}"}]], "Input",
 CellChangeTimes->{{3.769197472142006*^9, 3.769197484766367*^9}, {
  3.769250923799519*^9, 3.769250951898547*^9}},
 CellLabel->"In[212]:=",
 CellID->1937837340,ExpressionUUID->"c775788e-2ce5-4861-a78f-64cde0b6488f"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   TemplateBox[{"220000", 
     RowBox[{
       FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars", 
     "\"USDollars\""},
    "QuantityPrefix"], ",", 
   TemplateBox[{"220000", 
     RowBox[{
       FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars", 
     "\"USDollars\""},
    "QuantityPrefix"]}], "}"}]], "Output",
 CellChangeTimes->{3.769197485258754*^9, 3.769250952301755*^9, 
  3.7693322481298857`*^9, 3.769352995061634*^9, 3.769375578280651*^9, 
  3.769955122689848*^9, 3.7699552679982986`*^9, 3.7719298023690147`*^9, 
  3.880634006415946*^9, 3.881418948938025*^9},
 CellLabel->"Out[212]=",
 CellID->78896427,ExpressionUUID->"c8f48a03-3d6e-4969-bda5-0a486a576e91"]
}, Open  ]],

Cell[TextData[{
 "There is more syntactic sugar for Associations that many people like. It\
\[CloseCurlyQuote]s similar to the idea of using ",
 Cell[BoxData[
  RowBox[{"{", "\[NegativeThinSpace]", 
   StyleBox["...",
    FontColor->GrayLevel[0.6]], "}"}]], "InlineCodeText",ExpressionUUID->
  "37ac3f98-4c64-4b0f-a02a-1533f680563c"],
 " to enclose Lists rather than writing ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " and then enclosing the arguments in ",
 Cell[BoxData[
  RowBox[{"[", "\[NegativeThinSpace]", 
   StyleBox["...",
    FontColor->GrayLevel[0.6]], "]"}]], "InlineCodeText",ExpressionUUID->
  "1952994d-8e97-4f9a-97ca-87bf2a73704b"],
 ". For Associations, one uses ",
 Cell[BoxData[
  ButtonBox[
   RowBox[{"<|", "\[NegativeThinSpace]", 
    StyleBox["...",
     FontColor->GrayLevel[0.6]], "|>"}],
   BaseStyle->"FunctionHyperlink",
   ButtonData->{
     URL["https://reference.wolfram.com/language/ref/Association.html"], None},
   ButtonNote->
    "https://reference.wolfram.com/language/ref/Association.html"]],
  ExpressionUUID->"e4639289-7867-4f9c-83a5-1bd016e293af"],
 " to enclose the arguments."
}], "Text",
 CellChangeTimes->{{3.769196728015259*^9, 3.769196761307893*^9}, {
   3.769250475844935*^9, 3.769250531560008*^9}, {3.7758229702204323`*^9, 
   3.775822976967432*^9}, {3.775823075557432*^9, 3.7758231231024323`*^9}, {
   3.778855221803514*^9, 3.778855221803554*^9}, {3.7790410573376207`*^9, 
   3.779041057337674*^9}, {3.77904112985745*^9, 3.7790411375850573`*^9}, {
   3.779041179777136*^9, 3.7790411852892923`*^9}, {3.856977667614046*^9, 
   3.856977672870891*^9}, 3.857226487076621*^9, {3.8661309823688173`*^9, 
   3.8661310054959154`*^9}, {3.866131434471404*^9, 3.866131445112835*^9}, 
   3.8661911797569923`*^9, {3.866551006274622*^9, 3.866551006274753*^9}, 
   3.86716663138535*^9, {3.867852394667428*^9, 3.8678524496946683`*^9}},
 CellTags->"i:6",
 CellID->1882544255,ExpressionUUID->"2b502328-b7cc-455d-9dda-3191016f33e8"],

Cell[TextData[{
 "Using ",
 Cell[BoxData[
  ButtonBox[
   RowBox[{"<|", "\[NegativeThinSpace]", 
    StyleBox["...",
     FontColor->GrayLevel[0.6]], "|>"}],
   BaseStyle->"FunctionHyperlink",
   ButtonData->{
     URL["https://reference.wolfram.com/language/ref/Association.html"], None},
   ButtonNote->
    "https://reference.wolfram.com/language/ref/Association.html"]],
  ExpressionUUID->"6cf4980a-d765-4345-b7c9-a1e089b7f016"],
 " to wrap a ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " or ",
 ButtonBox["Sequence",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Sequence.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Sequence.html"],
 " of Rules creates an ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 ":"
}], "CodeText",
 CellID->1168169129,ExpressionUUID->"9ee3014b-f8e3-4f8c-aaeb-40b58d1fb646"],

Cell[BoxData[
 RowBox[{
  RowBox[{"<|", 
   RowBox[{
    RowBox[{"\"\<team\>\"", "\[Rule]", "\"\<HOU\>\""}], ",", 
    RowBox[{"\"\<lastName\>\"", "\[Rule]", "\"\<Ching\>\""}], ",", 
    RowBox[{"\"\<firstName\>\"", "\[Rule]", "\"\<Brian\>\""}], ",", 
    RowBox[{"\"\<position\>\"", "\[Rule]", "\"\<F\>\""}], ",", 
    RowBox[{"\"\<baseSalary\>\"", "\[Rule]", 
     TemplateBox[{"220000", 
       RowBox[{
         FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
       "US dollars", "\"USDollars\""},
      "QuantityPrefix"]}], ",", 
    RowBox[{"\"\<guaranteedSalary\>\"", "\[Rule]", 
     TemplateBox[{"220000", 
       RowBox[{
         FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
       "US dollars", "\"USDollars\""},
      "QuantityPrefix"]}], ",", 
    RowBox[{"\"\<year\>\"", "\[Rule]", 
     TemplateBox[{
       RowBox[{
         StyleBox[
         "\"Year: \"", FontColor -> GrayLevel[0.5], FontWeight -> Plain], 
         "\"2007\""}], 
       RowBox[{"DateObject", "[", 
         RowBox[{
           RowBox[{"{", "2007", "}"}], ",", "\"Year\"", ",", "\"Gregorian\"", 
           ",", 
           RowBox[{"-", "5.`"}]}], "]"}]},
      "DateObject",
      Editable->False]}]}], "|>"}], ";"}]], "Input",
 CellChangeTimes->{{3.769196764491385*^9, 3.769196775046623*^9}},
 CellLabel->"In[213]:=",
 CellID->919164513,ExpressionUUID->"06dd0be6-e6d3-4310-a965-2f66c167faee"],

Cell[TextData[{
 "Even if I change the order of these key-value pairs within the ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 ", the command works the same. Here I move the base salary key-value pair to \
the beginning, but the ",
 ButtonBox["Part",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Part.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Part.html"],
 " function doesn\[CloseCurlyQuote]t care. It works."
}], "Text",
 CellChangeTimes->{{3.769196134904829*^9, 3.76919620880672*^9}, {
   3.769256464525207*^9, 3.769256465986472*^9}, 3.775577459223832*^9, {
   3.775823343779191*^9, 3.7758233466264763`*^9}, {3.775823412605073*^9, 
   3.7758234189227047`*^9}, 3.857226534420905*^9},
 CellTags->"i:7",
 CellID->307264177,ExpressionUUID->"de4cceba-dd43-45e2-b88e-6c1b19de08ae"],

Cell[TextData[{
 "Results are invariant to key-value pair order within the ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " when one uses a key (rather than an integer) for access:"
}], "CodeText",
 CellChangeTimes->{{3.7694195049491034`*^9, 3.769419600087146*^9}, 
   3.7758234350783205`*^9, 3.857226550811164*^9, {3.867167297646072*^9, 
   3.8671673047400227`*^9}, {3.8679214686278677`*^9, 3.8679214731370764`*^9}},
 CellID->1054061102,ExpressionUUID->"35faaeb4-c031-40ee-9d2b-2975b17c57d8"],

Cell[BoxData[
 RowBox[{
  RowBox[{"chingAssociation2", "=", 
   RowBox[{"Association", "[", 
    RowBox[{
     RowBox[{"\"\<baseSalary\>\"", "\[Rule]", 
      TemplateBox[{"220000", 
        RowBox[{
          FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
        "US dollars", "\"USDollars\""},
       "QuantityPrefix"]}], ",", 
     RowBox[{"\"\<team\>\"", "\[Rule]", "\"\<HOU\>\""}], ",", 
     RowBox[{"\"\<lastName\>\"", "\[Rule]", "\"\<Ching\>\""}], ",", 
     RowBox[{"\"\<firstName\>\"", "\[Rule]", "\"\<Brian\>\""}], ",", 
     RowBox[{"\"\<position\>\"", "\[Rule]", "\"\<F\>\""}], ",", 
     RowBox[{"\"\<guaranteedSalary\>\"", "\[Rule]", 
      TemplateBox[{"220000", 
        RowBox[{
          FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
        "US dollars", "\"USDollars\""},
       "QuantityPrefix"]}], ",", 
     RowBox[{"\"\<year\>\"", "\[Rule]", 
      TemplateBox[{
        RowBox[{
          StyleBox[
          "\"Year: \"", FontColor -> GrayLevel[0.5], FontWeight -> Plain], 
          "\"2007\""}], 
        RowBox[{"DateObject", "[", 
          RowBox[{
            RowBox[{"{", "2007", "}"}], ",", "\"Year\"", ",", "\"Gregorian\"",
             ",", 
            RowBox[{"-", "5.`"}]}], "]"}]},
       "DateObject",
       Editable->False]}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.7692563746618357`*^9, 3.7692563795715446`*^9}, {
  3.769256470991933*^9, 3.769256479049708*^9}},
 CellLabel->"In[214]:=",
 CellID->894997592,ExpressionUUID->"360d663e-6721-4233-92c1-15bd35f228cf"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"chingAssociation2", "[", 
  RowBox[{"[", "\"\<baseSalary\>\"", "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.769196176752832*^9, 3.7691961804240837`*^9}, {
  3.769256382238247*^9, 3.769256384162849*^9}},
 CellLabel->"In[215]:=",
 CellID->774281246,ExpressionUUID->"01b04e49-77d7-412a-ac34-bb35f540ecea"],

Cell[BoxData[
 TemplateBox[{"220000", 
   RowBox[{
     FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars", 
   "\"USDollars\""},
  "QuantityPrefix"]], "Output",
 CellChangeTimes->{
  3.769196181295762*^9, 3.769256384606575*^9, {3.769256476321487*^9, 
   3.769256480740808*^9}, 3.7693322482156353`*^9, 3.769352995140009*^9, 
   3.769375578347521*^9, 3.769955122750952*^9, 3.7699552680892887`*^9, 
   3.7719298024215097`*^9, 3.880634006454534*^9, 3.881418965518303*^9},
 CellLabel->"Out[215]=",
 CellID->276830444,ExpressionUUID->"f0e0bd12-9456-4c8f-8ce0-95ce83e3c9de"]
}, Open  ]],

Cell["\<\
I can extract multiple parts the same as with traditional expressions. \
\>", "Text",
 CellChangeTimes->{{3.769196115018488*^9, 3.76919612190201*^9}, {
  3.769196545748084*^9, 3.769196551828705*^9}, {3.76919667327071*^9, 
  3.769196701965479*^9}},
 CellTags->"i:8",
 CellID->88312204,ExpressionUUID->"d88fff3a-68e5-4c05-ac08-928a7e11ebaf"],

Cell[TextData[{
 "Multiple key-value pairs can be accessed with a single ",
 ButtonBox["Part",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Part.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Part.html"],
 " function:"
}], "CodeText",
 CellChangeTimes->{{3.769419604759314*^9, 3.769419624909943*^9}, {
  3.7755791842254815`*^9, 3.7755791860884814`*^9}, {3.775823481720984*^9, 
  3.7758234869675083`*^9}},
 CellID->1556526207,ExpressionUUID->"0b29f294-880a-4092-8b2a-1372ec72ea42"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"chingAssociation2", "[", 
  RowBox[{"[", 
   RowBox[{"{", 
    RowBox[{"\"\<baseSalary\>\"", ",", "\"\<position\>\""}], "}"}], "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.769196658408979*^9, 3.769196668734191*^9}, {
   3.769250958888276*^9, 3.769250959862895*^9}, 3.769256389120441*^9},
 CellLabel->"In[216]:=",
 CellID->535831284,ExpressionUUID->"5b08a144-aabd-4116-a0b5-b7b388d6534d"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"baseSalary\"\>", "\[Rule]", 
    TemplateBox[{"220000", 
      RowBox[{
        FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars",
       "\"USDollars\""},
     "QuantityPrefix"]}], ",", 
   RowBox[{"\<\"position\"\>", "\[Rule]", "\<\"F\"\>"}]}], 
  "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{3.7691966690841722`*^9, 3.769250960226565*^9, 
  3.769256389703787*^9, 3.7692564821411343`*^9, 3.7693322482534313`*^9, 
  3.7693529951873417`*^9, 3.7693755783647537`*^9, 3.769955122791856*^9, 
  3.769955268106275*^9, 3.7719298024607887`*^9, 3.880634006481731*^9, 
  3.88141897009196*^9},
 CellLabel->"Out[216]=",
 CellID->1786736680,ExpressionUUID->"0483fb74-f7b0-416f-8360-b1f23073af60"]
}, Open  ]],

Cell[TextData[{
 "The output is an ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 ", so I can continue to reference components using the keys."
}], "Text",
 CellChangeTimes->{{3.769196703403757*^9, 3.769196710831752*^9}, {
   3.7758234957533875`*^9, 3.775823498920704*^9}, 3.857226571209011*^9},
 CellID->1162323739,ExpressionUUID->"3640e381-c159-4202-b8d3-91d46c295c82"],

Cell[TextData[{
 ButtonBox["Part",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Part.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Part.html"],
 " preserves the ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " ",
 ButtonBox["Head",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Head.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Head.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.7694196295873957`*^9, 3.769419635319672*^9}, {
  3.775823501800992*^9, 3.7758235122810397`*^9}, {3.8572265965346317`*^9, 
  3.857226610097889*^9}, {3.866131701465963*^9, 3.8661317023033004`*^9}},
 CellID->205174793,ExpressionUUID->"144631df-6ddf-4ff8-89d8-9e373fa15a26"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"chingAssociation2", "[", 
   RowBox[{"[", 
    RowBox[{"{", 
     RowBox[{"\"\<baseSalary\>\"", ",", "\"\<position\>\""}], "}"}], "]"}], 
   "]"}], "[", 
  RowBox[{"[", "\"\<position\>\"", "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.769196658408979*^9, 3.769196668734191*^9}, {
   3.769196712434465*^9, 3.769196718461792*^9}, {3.7692509621224613`*^9, 
   3.7692509630874987`*^9}, 3.769256394932835*^9},
 CellLabel->"In[217]:=",
 CellID->1663828261,ExpressionUUID->"6833251a-2809-4628-b98d-7615062b5204"],

Cell[BoxData["\<\"F\"\>"], "Output",
 CellChangeTimes->{3.7691967188373127`*^9, 3.769250963485075*^9, 
  3.76925639549193*^9, 3.769256483658779*^9, 3.769332248271315*^9, 
  3.7693529952050657`*^9, 3.769375578415453*^9, 3.769955122807423*^9, 
  3.7699552681457157`*^9, 3.7719298024743834`*^9, 3.880634006494851*^9, 
  3.881418975058165*^9},
 CellLabel->"Out[217]=",
 CellID->1651595272,ExpressionUUID->"87a4a9f2-87ba-4133-b720-750f37d55704"]
}, Open  ]],

Cell[TextData[{
 "Indeed, using the Keys is a more robust way of retrieving information from \
an ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 ". If, for example, I think that the base salary information is contained in \
column 5, I will get the right answer if I use that on ",
 Cell[BoxData[
 "chingAssociation"], "InlineCodeText",ExpressionUUID->
  "94d8b139-9e75-4944-88b9-4524ee87f991"],
 ", but I will get the wrong answer if I use it on ",
 Cell[BoxData[
 "chingAssociation2"], "InlineCodeText",ExpressionUUID->
  "a10ca17d-9dfe-499d-a18c-80ad53e09c8e"],
 ", so where one is uncertain about the order of key-value pairs within an ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 ", using integer representations for ",
 ButtonBox["Part",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Part.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Part.html"],
 " is a very bad idea."
}], "Text",
 CellChangeTimes->{{3.769256351414625*^9, 3.769256367172985*^9}, {
   3.769256398864472*^9, 3.7692564423797913`*^9}, {3.769256490084506*^9, 
   3.769256516618167*^9}, {3.775824684774392*^9, 3.775824686134392*^9}, {
   3.775824838303392*^9, 3.775824851149392*^9}, 3.7758253474053917`*^9, {
   3.857226630595121*^9, 3.857226658664714*^9}},
 CellTags->{"LastCellOfAPage", "i:9"},
 CellID->1781689593,ExpressionUUID->"c876004f-65ce-432d-97c4-f64f6d2bff46"],

Cell[TextData[{
 "The ",
 ButtonBox["Keys",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Keys.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Keys.html"],
 " function yields the keys of an ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.769196914095149*^9, 3.769196918813218*^9}, {
   3.769196979118264*^9, 3.769197011166985*^9}, 3.7758253726663923`*^9, {
   3.780306391047778*^9, 3.7803063916074333`*^9}, 3.8572266690744953`*^9},
 CellTags->"p: 69",
 CellID->1078059337,ExpressionUUID->"c6901929-23f3-4669-809d-a98553127571"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"Part", "[", 
    RowBox[{"chingAssociation", ",", "5"}], "]"}], ",", 
   RowBox[{"Part", "[", 
    RowBox[{"chingAssociation2", ",", "5"}], "]"}]}], "}"}]], "Input",
 CellChangeTimes->{{3.769256444425997*^9, 3.769256455131514*^9}},
 CellLabel->"In[218]:=",
 CellID->1450168704,ExpressionUUID->"f7df23c0-0716-40e3-ad2b-05d78a8d21b9"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   TemplateBox[{"220000", 
     RowBox[{
       FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars", 
     "\"USDollars\""},
    "QuantityPrefix"], ",", "\<\"F\"\>"}], "}"}]], "Output",
 CellChangeTimes->{3.7692564554613132`*^9, 3.7692564855654793`*^9, 
  3.769332248303174*^9, 3.7693529952464*^9, 3.769375578428652*^9, 
  3.7699551228427153`*^9, 3.769955268157508*^9, 3.7719298025081472`*^9, 
  3.880634006520103*^9, 3.881418980323093*^9},
 CellLabel->"Out[218]=",
 CellID->1364411337,ExpressionUUID->"344aab92-511e-4c9e-8da8-1443bee0e7e1"]
}, Open  ]],

Cell[TextData[{
 ButtonBox["Keys",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Keys.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Keys.html"],
 " gets the keys of an ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.769419647899172*^9, 3.769419654069646*^9}, {
   3.775825706494392*^9, 3.775825708531392*^9}, 3.780306406184197*^9, 
   3.8572266768417397`*^9},
 CellID->862751286,ExpressionUUID->"00fc0dab-597d-44de-b102-bed8f3467f51"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Keys", "[", "chingAssociation", "]"}]], "Input",
 CellChangeTimes->{{3.7691970140619497`*^9, 3.769197015526867*^9}, {
  3.769250966111176*^9, 3.769250967111569*^9}},
 CellLabel->"In[219]:=",
 CellID->2048669232,ExpressionUUID->"c009f62c-640d-41b8-8bc7-ef354e9af2f9"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"team\"\>", ",", "\<\"lastName\"\>", ",", "\<\"firstName\"\>", 
   ",", "\<\"position\"\>", ",", "\<\"baseSalary\"\>", 
   ",", "\<\"guaranteedSalary\"\>", ",", "\<\"year\"\>"}], "}"}]], "Output",
 CellChangeTimes->{3.769197015957344*^9, 3.769250967448835*^9, 
  3.769332248320819*^9, 3.769352995263653*^9, 3.769375578479968*^9, 
  3.7699551228583508`*^9, 3.769955268196245*^9, 3.771929802523481*^9, 
  3.880634006537342*^9, 3.881418988795045*^9},
 CellLabel->"Out[219]=",
 CellID->1933682452,ExpressionUUID->"c832ce9d-b838-4866-9d00-85677719ad4f"]
}, Open  ]],

Cell[TextData[{
 "The ",
 ButtonBox["Values",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Values.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Values.html"],
 " function yields the values of an ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 "."
}], "Text",
 CellChangeTimes->{{3.769197018639296*^9, 3.769197029167555*^9}, {
   3.7758257760563917`*^9, 3.775825781293392*^9}, 3.857226682762569*^9},
 CellTags->"i:10",
 CellID->504222693,ExpressionUUID->"4781775b-bd7b-4efa-8826-bb5d6948666f"],

Cell[TextData[{
 ButtonBox["Values",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Values.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Values.html"],
 " gets the values of an ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.769419656537593*^9, 3.7694196654873877`*^9}, {
  3.7758257874163923`*^9, 3.775825790143392*^9}, {3.8572266863414373`*^9, 
  3.8572266921232347`*^9}},
 CellID->39034508,ExpressionUUID->"eee53fe0-1e8d-4800-b9b2-fb3732a3bf85"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Values", "[", "chingAssociation", "]"}]], "Input",
 CellChangeTimes->{{3.769197031062467*^9, 3.769197032657804*^9}, {
  3.769250969232995*^9, 3.769250970290545*^9}},
 CellLabel->"In[220]:=",
 CellID->1608201819,ExpressionUUID->"812ef0ef-3500-4ce0-854d-40cdeb82b4ad"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"HOU\"\>", ",", "\<\"Ching\"\>", ",", "\<\"Brian\"\>", 
   ",", "\<\"F\"\>", ",", 
   TemplateBox[{"220000", 
     RowBox[{
       FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars", 
     "\"USDollars\""},
    "QuantityPrefix"], ",", 
   TemplateBox[{"220000", 
     RowBox[{
       FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars", 
     "\"USDollars\""},
    "QuantityPrefix"], ",", 
   TemplateBox[{
     RowBox[{
       StyleBox["\"Year: \"", "DateObjectLabel"], "\"2007\""}], 
     RowBox[{"DateObject", "[", 
       RowBox[{
         RowBox[{"{", "2007", "}"}], ",", "\"Year\"", ",", "\"Gregorian\"", 
         ",", 
         RowBox[{"-", "5.`"}]}], "]"}]},
    "DateObject",
    Editable->False]}], "}"}]], "Output",
 CellChangeTimes->{3.76919703308993*^9, 3.76925097072645*^9, 
  3.7693322483527737`*^9, 3.769352995306169*^9, 3.769375578492751*^9, 
  3.769955122893241*^9, 3.769955268208826*^9, 3.7719298025555353`*^9, 
  3.880634006564961*^9, 3.881418993794745*^9},
 CellLabel->"Out[220]=",
 CellID->357216452,ExpressionUUID->"3a878bd3-02f4-4895-9e3a-034bddfda73a"]
}, Open  ]],

Cell[TextData[{
 "The ",
 ButtonBox["Normal",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Normal.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Normal.html"],
 " function yields the key-value pairs as rules stripped of the ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " ",
 ButtonBox["Head",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Head.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Head.html"],
 "."
}], "Text",
 CellChangeTimes->{{3.769257562744892*^9, 3.769257584696507*^9}, {
   3.7755791947284813`*^9, 3.7755791961534815`*^9}, {3.7758257954903917`*^9, 
   3.775825803111392*^9}, 3.857226702547699*^9},
 CellTags->"i:11",
 CellID->1027792185,ExpressionUUID->"5bb83254-b94a-4389-a4ad-75608597c16d"],

Cell[TextData[{
 ButtonBox["Normal",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Normal.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Normal.html"],
 " converts ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " into a ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of Rules:"
}], "CodeText",
 CellChangeTimes->{{3.7694196692880173`*^9, 3.7694196798597717`*^9}, {
   3.775825809661392*^9, 3.775825815672392*^9}, 3.8572267095174*^9},
 CellID->980976974,ExpressionUUID->"34add821-76b2-4965-ab06-9b9f5ca3bd0e"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Normal", "[", "chingAssociation", "]"}]], "Input",
 CellChangeTimes->{{3.769257578796501*^9, 3.769257581210288*^9}},
 CellLabel->"In[221]:=",
 CellID->124651616,ExpressionUUID->"94b7e9dc-b3f3-482c-b422-621c36790cc0"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"\<\"team\"\>", "\[Rule]", "\<\"HOU\"\>"}], ",", 
   RowBox[{"\<\"lastName\"\>", "\[Rule]", "\<\"Ching\"\>"}], ",", 
   RowBox[{"\<\"firstName\"\>", "\[Rule]", "\<\"Brian\"\>"}], ",", 
   RowBox[{"\<\"position\"\>", "\[Rule]", "\<\"F\"\>"}], ",", 
   RowBox[{"\<\"baseSalary\"\>", "\[Rule]", 
    TemplateBox[{"220000", 
      RowBox[{
        FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars",
       "\"USDollars\""},
     "QuantityPrefix"]}], ",", 
   RowBox[{"\<\"guaranteedSalary\"\>", "\[Rule]", 
    TemplateBox[{"220000", 
      RowBox[{
        FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars",
       "\"USDollars\""},
     "QuantityPrefix"]}], ",", 
   RowBox[{"\<\"year\"\>", "\[Rule]", 
    TemplateBox[{
      RowBox[{
        StyleBox["\"Year: \"", "DateObjectLabel"], "\"2007\""}], 
      RowBox[{"DateObject", "[", 
        RowBox[{
          RowBox[{"{", "2007", "}"}], ",", "\"Year\"", ",", "\"Gregorian\"", 
          ",", 
          RowBox[{"-", "5.`"}]}], "]"}]},
     "DateObject",
     Editable->False]}]}], "}"}]], "Output",
 CellChangeTimes->{3.7692575817267113`*^9, 3.7693322483822193`*^9, 
  3.769352995414566*^9, 3.76937557854976*^9, 3.769955122914487*^9, 
  3.7699552683229027`*^9, 3.7719298026447477`*^9, 3.880634006578895*^9, 
  3.881419000464026*^9},
 CellLabel->"Out[221]=",
 CellID->658905152,ExpressionUUID->"ed13b914-231b-47fa-a3d0-797c939d6719"]
}, Open  ]],

Cell["\<\
These expressions, of course, can be further manipulated. Here I sort the \
keys by their number of characters.\
\>", "Text",
 CellChangeTimes->{{3.76919704119788*^9, 3.76919707900419*^9}, 
   3.8572267183789787`*^9},
 CellID->2098286298,ExpressionUUID->"465060ac-828d-45b4-bba1-d71938ca14a9"],

Cell[TextData[{
 ButtonBox["SortBy",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/SortBy.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/SortBy.html"],
 " works on the values of an ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.769419686178931*^9, 3.769419694702124*^9}, {
   3.775826020918392*^9, 3.7758260231623917`*^9}, 3.857226726741438*^9},
 CellTags->"i:12",
 CellID->488664433,ExpressionUUID->"7b86556e-c2e3-4544-b0bb-40b10ca29315"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SortBy", "[", 
  RowBox[{
   RowBox[{"Keys", "[", "chingAssociation", "]"}], ",", "StringLength"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.769197081335081*^9, 3.769197091440715*^9}, {
  3.769250973265481*^9, 3.769250974311605*^9}},
 CellLabel->"In[222]:=",
 CellID->1792434972,ExpressionUUID->"141fdc8c-1caa-4f78-9d0d-d5398e466d9f"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"team\"\>", ",", "\<\"year\"\>", ",", "\<\"lastName\"\>", 
   ",", "\<\"position\"\>", ",", "\<\"firstName\"\>", 
   ",", "\<\"baseSalary\"\>", ",", "\<\"guaranteedSalary\"\>"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.769197092039517*^9, 3.76925097790206*^9, 
  3.7693322484288273`*^9, 3.7693529954699993`*^9, 3.7693755785762663`*^9, 
  3.7699551229589376`*^9, 3.769955268345168*^9, 3.7719298026868*^9, 
  3.8806340066057253`*^9, 3.881419007759516*^9},
 CellLabel->"Out[222]=",
 CellID->1445100463,ExpressionUUID->"d197afa3-25d4-4afd-b162-319642d18891"]
}, Open  ]],

Cell[TextData[{
 "With ",
 ButtonBox["KeySortBy",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/KeySortBy.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/KeySortBy.html"],
 ", one can also sort based on the keys. Here I sort the key-value pairs \
based on the number of bytes consumed by the key. In a succeeding chapter, I\
\[CloseCurlyQuote]ll show that ",
 ButtonBox["KeySort",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/KeySort.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/KeySort.html"],
 " can be surprisingly useful when dealing with Datasets."
}], "Text",
 CellChangeTimes->{{3.769419713314291*^9, 3.7694197987528877`*^9}, 
   3.7755774626961794`*^9, {3.775826032448392*^9, 3.775826048867392*^9}, {
   3.8661321031313763`*^9, 3.866132103702938*^9}, {3.866551235607127*^9, 
   3.866551236044536*^9}},
 CellTags->"i:13",
 CellID->525455587,ExpressionUUID->"8632074e-a4d8-4cf9-a96d-fa8f865df3e5"],

Cell[TextData[{
 "Use ",
 ButtonBox["KeySortBy",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/KeySortBy.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/KeySortBy.html"],
 " to sort key-value pairs based on the key:"
}], "CodeText",
 CellChangeTimes->{{3.7694198048694277`*^9, 3.769419817547656*^9}, {
   3.775579200152481*^9, 3.7755792021044817`*^9}, 3.775826056608392*^9, 
   3.857226751535199*^9},
 CellID->1084248619,ExpressionUUID->"609174b8-9883-4365-ae2f-3117db0a0da7"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"KeySortBy", "[", 
  RowBox[{"chingAssociation", ",", "ByteCount"}], "]"}]], "Input",
 CellChangeTimes->{{3.769419733240234*^9, 3.769419745693611*^9}},
 CellLabel->"In[223]:=",
 CellID->1336397708,ExpressionUUID->"bdb0282e-495d-4bd2-9886-d504051098cf"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"team\"\>", "\[Rule]", "\<\"HOU\"\>"}], ",", 
   RowBox[{"\<\"year\"\>", "\[Rule]", 
    TemplateBox[{
      RowBox[{
        StyleBox["\"Year: \"", "DateObjectLabel"], "\"2007\""}], 
      RowBox[{"DateObject", "[", 
        RowBox[{
          RowBox[{"{", "2007", "}"}], ",", "\"Year\"", ",", "\"Gregorian\"", 
          ",", 
          RowBox[{"-", "5.`"}]}], "]"}]},
     "DateObject",
     Editable->False]}], ",", 
   RowBox[{"\<\"baseSalary\"\>", "\[Rule]", 
    TemplateBox[{"220000", 
      RowBox[{
        FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars",
       "\"USDollars\""},
     "QuantityPrefix"]}], ",", 
   RowBox[{"\<\"firstName\"\>", "\[Rule]", "\<\"Brian\"\>"}], ",", 
   RowBox[{"\<\"lastName\"\>", "\[Rule]", "\<\"Ching\"\>"}], ",", 
   RowBox[{"\<\"position\"\>", "\[Rule]", "\<\"F\"\>"}], ",", 
   RowBox[{"\<\"guaranteedSalary\"\>", "\[Rule]", 
    TemplateBox[{"220000", 
      RowBox[{
        FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars",
       "\"USDollars\""},
     "QuantityPrefix"]}]}], "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{3.769419746680977*^9, 3.769955122968264*^9, 
  3.769955268380163*^9, 3.771929802699316*^9, 3.880634006625112*^9, 
  3.8814190144454603`*^9},
 CellLabel->"Out[223]=",
 CellID->2038620599,ExpressionUUID->"b949d4a2-5522-4c48-a9cb-ae6c346c3da4"]
}, Open  ]],

Cell[TextData[{
 "In theory, I can use most Wolfram Language expressions for either a ",
 ButtonBox["Key",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Key.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Key.html"],
 " or a Value in the ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 ". And neither the Keys nor ",
 ButtonBox["Values",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Values.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Values.html"],
 " within an ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " have to be of the same type. Thus, this is a nutty but perfectly valid ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 "."
}], "Text",
 CellChangeTimes->{{3.769197105520907*^9, 3.769197182707625*^9}, {
   3.769197279741349*^9, 3.7691972809714737`*^9}, {3.769197601452302*^9, 
   3.7691976044515553`*^9}, {3.769251542938858*^9, 3.769251545130887*^9}, 
   3.775577466112521*^9, {3.775826449301469*^9, 3.7758264511808443`*^9}, {
   3.857226763702816*^9, 3.857226786256804*^9}, {3.866191572124459*^9, 
   3.8661915788120623`*^9}, {3.866191748152712*^9, 3.8661917841553593`*^9}, 
   3.866551319044511*^9, {3.8672502604476957`*^9, 3.8672502916609783`*^9}},
 CellTags->"LastCellOfAPage",
 CellID->1292441370,ExpressionUUID->"49e88caa-5e2a-4a31-b4d8-af139909543c"],

Cell["One can use almost any Wolfram Language expression as a key:", \
"CodeText",
 CellChangeTimes->{{3.7694198229172907`*^9, 3.769419837117649*^9}, 
   3.7758261213723917`*^9, {3.8672329079309435`*^9, 3.8672329127539597`*^9}, {
   3.867922048504086*^9, 3.8679220541930017`*^9}},
 CellTags->"p: 70",
 CellID->108158990,ExpressionUUID->"7dc9eef0-d00f-4696-b070-38c63000be5f"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"nutty", "=", 
  RowBox[{"\[LeftAssociation]", 
   RowBox[{
    RowBox[{"8", "\[Rule]", "1"}], ",", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "2", ",", "3", ",", "4", ",", "5", ",", "6"}], "}"}], 
     "\[Rule]", "23"}], ",", 
    RowBox[{"4.5`", "\[Rule]", "True"}], ",", 
    RowBox[{"2", "\[Rule]", 
     TemplateBox[{
       RowBox[{"\"Mon 1 Jan 1900 00:33:39\"", 
         StyleBox[
          RowBox[{"\"GMT\"", "\[InvisibleSpace]", 
            StyleBox[
             RowBox[{"-", "5.`"}], NumberMarks -> False, StripOnInput -> 
             False]}], FontColor -> GrayLevel[0.5]]}], 
       RowBox[{"DateObject", "[", 
         RowBox[{
           RowBox[{"{", 
             
             RowBox[{"1900", ",", "1", ",", "1", ",", "0", ",", "33", ",", 
               "39.`"}], "}"}], ",", "\"Instant\"", ",", "\"Gregorian\"", ",", 
           RowBox[{"-", "5.`"}]}], "]"}]},
      "DateObject",
      Editable->False]}], ",", 
    RowBox[{"\"\<stringkey\>\"", "\[Rule]", "8"}], ",", 
    RowBox[{"False", "\[Rule]", "\[Pi]"}], ",", 
    RowBox[{"\"\<a\>\"", "\[Rule]", "6"}], ",", 
    RowBox[{"\"\<b\>\"", "\[Rule]", "\"\<gee\>\""}]}], 
   "\[RightAssociation]"}]}]], "Input",
 CellChangeTimes->{{3.769197184549294*^9, 3.769197328673766*^9}, 
   3.769197611100191*^9, {3.769249979019878*^9, 3.769249995425248*^9}, {
   3.7693253297818117`*^9, 3.769325334408793*^9}},
 CellLabel->"In[224]:=",
 CellID->1917936895,ExpressionUUID->"c4b0ee75-0e0d-4b2c-b867-516d97c37e22"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"8", "\[Rule]", "1"}], ",", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"1", ",", "2", ",", "3", ",", "4", ",", "5", ",", "6"}], "}"}], 
    "\[Rule]", "23"}], ",", 
   RowBox[{"4.5`", "\[Rule]", "True"}], ",", 
   RowBox[{"2", "\[Rule]", 
    TemplateBox[{
      RowBox[{"\"Mon 1 Jan 1900 00:33:39\"", 
        StyleBox[
         RowBox[{"\"GMT\"", "\[InvisibleSpace]", 
           StyleBox[
            RowBox[{"-", "5"}], NumberMarks -> False, StripOnInput -> 
            False]}], FontColor -> GrayLevel[0.5]]}], 
      RowBox[{"DateObject", "[", 
        RowBox[{
          RowBox[{"{", 
            
            RowBox[{"1900", ",", "1", ",", "1", ",", "0", ",", "33", ",", 
              "39.`"}], "}"}], ",", "\"Instant\"", ",", "\"Gregorian\"", ",", 
          
          RowBox[{"-", "5.`"}]}], "]"}]},
     "DateObject",
     Editable->False]}], ",", 
   RowBox[{"\<\"stringkey\"\>", "\[Rule]", "8"}], ",", 
   RowBox[{"False", "\[Rule]", "\[Pi]"}], ",", 
   RowBox[{"\<\"a\"\>", "\[Rule]", "6"}], ",", 
   RowBox[{"\<\"b\"\>", "\[Rule]", "\<\"gee\"\>"}]}], 
  "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{3.7691972619520397`*^9, 3.769197296494108*^9, 
  3.769197329354678*^9, 3.7691975314893084`*^9, 3.769249997429082*^9, 
  3.7693253362477283`*^9, 3.769332248445413*^9, 3.7693529954836197`*^9, 
  3.7693755786216373`*^9, 3.769955123015177*^9, 3.7699552684066477`*^9, 
  3.771929802741433*^9, 3.880634006652343*^9, 3.8814190208773603`*^9},
 CellLabel->"Out[224]=",
 CellID->1161416349,ExpressionUUID->"4ab69993-d03f-4da2-bfc9-6ea5f8a61622"]
}, Open  ]],

Cell["I can extract components as before.", "Text",
 CellChangeTimes->{{3.7691973332287197`*^9, 3.769197348284103*^9}, {
  3.76919762509089*^9, 3.769197626192148*^9}},
 CellID->175956359,ExpressionUUID->"a29425e1-612a-442c-b1ab-bb077b87d2d3"],

Cell[TextData[{
 "Wrapping ",
 ButtonBox["Key",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Key.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Key.html"],
 " around exotic keys often permits extraction with ",
 ButtonBox["Part",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Part.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Part.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.769419840585927*^9, 3.7694198726795197`*^9}, {
  3.775826128017392*^9, 3.7758261348313923`*^9}, {3.8661937313755045`*^9, 
  3.8661937372607203`*^9}},
 CellID->711453177,ExpressionUUID->"a69eccad-ab4a-4b71-80a2-613a3958ed03"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"nutty", "[", 
    RowBox[{"[", 
     RowBox[{"Key", "[", "4.5", "]"}], "]"}], "]"}], ",", 
   RowBox[{"nutty", "[", 
    RowBox[{"[", 
     RowBox[{"Key", "[", "8", "]"}], "]"}], "]"}], ",", 
   RowBox[{"nutty", "[", 
    RowBox[{"[", 
     RowBox[{"Key", "[", 
      RowBox[{"Range", "[", "6", "]"}], "]"}], "]"}], "]"}], ",", 
   RowBox[{"nutty", "[", 
    RowBox[{"[", 
     RowBox[{"Key", "[", "False", "]"}], "]"}], "]"}]}], "}"}]], "Input",
 CellChangeTimes->{{3.769197350304358*^9, 3.769197386739551*^9}, {
  3.769197522313856*^9, 3.769197588546465*^9}, {3.769250801583495*^9, 
  3.76925080945287*^9}},
 CellLabel->"In[225]:=",
 CellID->1431815968,ExpressionUUID->"1f9018d3-02c1-4a81-b022-aeba5003304c"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"True", ",", "1", ",", "23", ",", "\[Pi]"}], "}"}]], "Output",
 CellChangeTimes->{{3.769197567111081*^9, 3.7691975888312674`*^9}, 
   3.769250809967106*^9, 3.7693253402302847`*^9, 3.769332248482133*^9, 
   3.769352995525805*^9, 3.769375578635803*^9, 3.769955123027923*^9, 
   3.769955268443678*^9, 3.771929802754027*^9, 3.880634006672977*^9, 
   3.8814190263774*^9},
 CellLabel->"Out[225]=",
 CellID->1264275499,ExpressionUUID->"77474908-f3e9-4b1c-b549-31d9bb3fc038"]
}, Open  ]],

Cell[TextData[{
 "I would ordinarily recommend avoiding this degree of creativity. There are \
other crucial capabilities of Associations that face challenges unless the ",
 ButtonBox["Key",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Key.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Key.html"],
 " is a non-negative integer or a string."
}], "Text",
 CellChangeTimes->{{3.769251550562286*^9, 3.769251594506908*^9}, {
   3.769251626555386*^9, 3.769251650568865*^9}, {3.769256533470903*^9, 
   3.769256539381509*^9}, {3.7758261462983923`*^9, 3.7758261570813923`*^9}, 
   3.8572268235352077`*^9},
 CellID->1436269954,ExpressionUUID->"716f3841-61ec-40e2-ac69-a4a577f30fcb"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Functions on Associations", "Subsection",
 CellChangeTimes->{{3.76925076215989*^9, 3.769250790682374*^9}},
 CellID->1684754425,ExpressionUUID->"ea0ae37f-75d9-4061-a6e6-e2a526c48dd1"],

Cell[TextData[{
 "A function can have an ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " as an argument. Thus, one can clearly do the following."
}], "Text",
 CellChangeTimes->{{3.769250824512108*^9, 3.769250884190694*^9}, {
   3.775826497658764*^9, 3.775826498634861*^9}, 3.857226962723934*^9},
 CellTags->"i:14",
 CellID->96719719,ExpressionUUID->"8078c14d-a379-4f3b-a096-4578c068a3c7"],

Cell["Functions can work on Associations:", "CodeText",
 CellChangeTimes->{{3.769419883518607*^9, 3.769419891627315*^9}, 
   3.7758265032273207`*^9},
 CellID->2053322758,ExpressionUUID->"c63a37e2-d0d1-493d-ab8d-e594c553fe8a"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"Length", "[", "chingAssociation", "]"}], ",", 
   RowBox[{"Reverse", "[", "chingAssociation", "]"}]}], "}"}]], "Input",
 CellChangeTimes->{{3.769250854327558*^9, 3.769250860924943*^9}, {
  3.769250989151124*^9, 3.7692510141555567`*^9}},
 CellLabel->"In[226]:=",
 CellID->714965412,ExpressionUUID->"a98148b8-10c2-46ca-82a3-ca1a67925177"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"7", ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"year\"\>", "\[Rule]", 
      TemplateBox[{
        RowBox[{
          StyleBox["\"Year: \"", "DateObjectLabel"], "\"2007\""}], 
        RowBox[{"DateObject", "[", 
          RowBox[{
            RowBox[{"{", "2007", "}"}], ",", "\"Year\"", ",", "\"Gregorian\"",
             ",", 
            RowBox[{"-", "5.`"}]}], "]"}]},
       "DateObject",
       Editable->False]}], ",", 
     RowBox[{"\<\"guaranteedSalary\"\>", "\[Rule]", 
      TemplateBox[{"220000", 
        RowBox[{
          FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
        "US dollars", "\"USDollars\""},
       "QuantityPrefix"]}], ",", 
     RowBox[{"\<\"baseSalary\"\>", "\[Rule]", 
      TemplateBox[{"220000", 
        RowBox[{
          FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
        "US dollars", "\"USDollars\""},
       "QuantityPrefix"]}], ",", 
     RowBox[{"\<\"position\"\>", "\[Rule]", "\<\"F\"\>"}], ",", 
     RowBox[{"\<\"firstName\"\>", "\[Rule]", "\<\"Brian\"\>"}], ",", 
     RowBox[{"\<\"lastName\"\>", "\[Rule]", "\<\"Ching\"\>"}], ",", 
     RowBox[{"\<\"team\"\>", "\[Rule]", "\<\"HOU\"\>"}]}], 
    "\[RightAssociation]"}]}], "}"}]], "Output",
 CellChangeTimes->{3.7692508612772512`*^9, 3.769250997334507*^9, 
  3.7693322484962397`*^9, 3.7693529955377502`*^9, 3.76937557868291*^9, 
  3.7699551230630093`*^9, 3.769955268456155*^9, 3.771929802786355*^9, 
  3.880634006698847*^9, 3.881419032885474*^9},
 CellLabel->"Out[226]=",
 CellID->1643214562,ExpressionUUID->"ddb390a4-bd26-4f5a-b7a9-2c2f1c149523"]
}, Open  ]],

Cell[TextData[{
 "One can also have a function that works on the values of an ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 ". To do so, the best way is to use a variant of the ",
 ButtonBox["Slot",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Slot.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Slot.html"],
 " function. Here\[CloseCurlyQuote]s a function that gets the difference \
between the guaranteed salary and the base salary. I\[CloseCurlyQuote]m going \
to write it out very explicitly. In a few moments, I\[CloseCurlyQuote]ll show \
syntactic sugar that simplifies the input."
}], "Text",
 CellChangeTimes->{{3.7692510185429773`*^9, 3.769251064115036*^9}, {
   3.769251168332816*^9, 3.7692511931858788`*^9}, 3.7694199141325827`*^9, {
   3.7758265143494325`*^9, 3.7758265321072083`*^9}, 3.857226976839302*^9},
 CellTags->"i:15",
 CellID->1149561194,ExpressionUUID->"2a8b5108-95af-4b83-8807-fb1dbbdb8188"],

Cell[TextData[{
 "Use ",
 ButtonBox["Slot",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Slot.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Slot.html"],
 " to make functions that work on particular values within an ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 ", not the entire ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.76941992440283*^9, 3.769419962765668*^9}, {
  3.7758265441744146`*^9, 3.7758265550545025`*^9}, {3.857226999394623*^9, 
  3.8572270031229773`*^9}},
 CellID->159243869,ExpressionUUID->"299b3f10-1b69-4dcb-b8f6-e0baebdc976c"],

Cell[BoxData[
 RowBox[{
  RowBox[{"bonus", "=", 
   RowBox[{"Function", "[", 
    RowBox[{
     RowBox[{"Slot", "[", "\"\<guaranteedSalary\>\"", "]"}], "-", 
     RowBox[{"Slot", "[", "\"\<baseSalary\>\"", "]"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.7692510696129637`*^9, 3.7692511617909737`*^9}, {
  3.7692513263802032`*^9, 3.7692513478971777`*^9}},
 CellLabel->"In[227]:=",
 CellID->355925663,ExpressionUUID->"b14951db-5a48-4cda-aabd-2e106e021e1f"],

Cell[TextData[{
 "I can now apply the bonus function to the ",
 Cell[BoxData[
 "chingAssociation"], "InlineCode",ExpressionUUID->
  "76225e90-ea81-45c3-8b86-e245b956a93c"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.775826562805278*^9, 3.7758265772067175`*^9}, {
  3.867233345006916*^9, 3.8672333505704975`*^9}, {3.8679222760153713`*^9, 
  3.867922284607476*^9}},
 CellID->106897554,ExpressionUUID->"c62d6396-c232-45df-a739-228a1f8445dd"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"bonus", "[", "chingAssociation", "]"}]], "Input",
 CellChangeTimes->{{3.76925121307113*^9, 3.769251215356881*^9}},
 CellLabel->"In[228]:=",
 CellID->1124173026,ExpressionUUID->"13b5dcf4-4529-4375-84ff-95c6f0781adb"],

Cell[BoxData[
 TemplateBox[{"0", 
   RowBox[{
     FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars", 
   "\"USDollars\""},
  "QuantityPrefix"]], "Output",
 CellChangeTimes->{3.769251216186022*^9, 3.7692513501594677`*^9, 
  3.7693322485491333`*^9, 3.769352995601468*^9, 3.7693755787475033`*^9, 
  3.769955123115419*^9, 3.769955268507495*^9, 3.7719298028371077`*^9, 
  3.880634006732101*^9, 3.881419043198289*^9},
 CellLabel->"Out[228]=",
 CellID->1443512006,ExpressionUUID->"ef61edb8-9053-4137-bba0-5bdc9d3d7967"]
}, Open  ]],

Cell[TextData[{
 "What you see is that instead of having numbers as ",
 ButtonBox["Slot",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Slot.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Slot.html"],
 " arguments, there are strings that correspond to keys in the ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 ", and you also see that the function operates on the values in the ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 ". Most functions do not operate on the keys (in the same way that most \
Wolfram Language functions do not operate on the ",
 ButtonBox["Part",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Part.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Part.html"],
 " indices of a traditional expression). Also, notice that one does ",
 StyleBox["not",
  FontSlant->"Italic"],
 " surround the string with the function ",
 ButtonBox["Key",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Key.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Key.html"],
 ". The Wolfram Language already assumes that the stuff inside ",
 ButtonBox["Slot",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Slot.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Slot.html"],
 " is a ",
 ButtonBox["Key",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Key.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Key.html"],
 "."
}], "Text",
 CellChangeTimes->{{3.769251236320961*^9, 3.769251309386734*^9}, {
  3.769251360066627*^9, 3.769251401323883*^9}, {3.769251511737282*^9, 
  3.7692515134740753`*^9}, {3.77582661683368*^9, 3.7758266866646624`*^9}, {
  3.857227014347097*^9, 3.857227033314253*^9}, {3.8661943657435746`*^9, 
  3.8661943933934436`*^9}, {3.866551552666314*^9, 3.866551556304987*^9}, {
  3.8672333787038*^9, 3.8672333836711254`*^9}, {3.8679225489503217`*^9, 
  3.8679225496060047`*^9}},
 CellTags->"p: 71",
 CellID->469851141,ExpressionUUID->"6c979f06-15ad-41e3-82df-525620d792a7"],

Cell[TextData[{
 "Here\[CloseCurlyQuote]s the first piece of syntactic sugar for functions \
that work on Associations. Just as one can write ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["Slot",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Slot.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Slot.html"], "[", 
   "3", "]"}]], "InlineCodeText",ExpressionUUID->
  "ba75cffb-5c58-4ab9-9915-a16d00fa9591"],
 " as ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["#",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Slot.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Slot.html"], 
   "3"}]], "InlineCodeText",ExpressionUUID->
  "d1b0339c-6b8d-40b3-a43f-56a3725c299f"],
 ", one can write ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["Slot",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Slot.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Slot.html"], "[", 
   "\"\<\!\(\*StyleBox[\"something\", \"TI\"]\)\>\"", "]"}]], 
  "InlineCodeText",ExpressionUUID->"6c1812a7-ca39-4b95-9601-ef56059b173a"],
 " as ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["#",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Slot.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Slot.html"], 
   "\"\<\!\(\*StyleBox[\"something\", \"TI\"]\)\>\""}]], "InlineCodeText",
  ExpressionUUID->"86e3e2d6-ec9f-4d09-a13a-39634e5c4cd9"],
 " or ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["#",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Slot.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Slot.html"], 
   StyleBox["something", "TI"]}]], "InlineCodeText",ExpressionUUID->
  "8619fb55-0c8d-4704-a130-c8114919673f"],
 ". Here\[CloseCurlyQuote]s an example."
}], "Text",
 CellTags->"i:16",
 CellID->79345232,ExpressionUUID->"83631210-cdd3-458e-8b84-a1c75df20e80"],

Cell[TextData[{
 "The ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["#",
    FontColor->GrayLevel[0]],
   BaseStyle->"Hyperlink",
   ButtonData->{
     URL["https://reference.wolfram.com/language/ref/Slot.html"], None},
   ButtonNote->"https://reference.wolfram.com/language/ref/Slot.html"]], 
  "InlineCode",ExpressionUUID->"1171b21c-7341-4dc2-8d37-1ff7d02a5afe"],
 " can be used to denote a ",
 ButtonBox["Slot",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Slot.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Slot.html"],
 " function:"
}], "CodeText",
 CellID->1927422152,ExpressionUUID->"78446ce9-1f4b-42a3-861c-0574919c4d98"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"#\"position\"", "&"}], "[", "chingAssociation", "]"}]], "Input",
 CellChangeTimes->{{3.76925454479493*^9, 3.769254561476424*^9}},
 CellLabel->"In[229]:=",
 CellID->1865893501,ExpressionUUID->"307c870a-63a9-4f0f-8816-e204a319e1b3"],

Cell[BoxData["\<\"F\"\>"], "Output",
 CellChangeTimes->{{3.769254557860551*^9, 3.769254562219356*^9}, 
   3.769332248586852*^9, 3.769352995648478*^9, 3.769375578765469*^9, 
   3.769955123129991*^9, 3.769955268549095*^9, 3.771929802851077*^9, 
   3.8806340067448263`*^9, 3.881419048066966*^9},
 CellLabel->"Out[229]=",
 CellID->828990400,ExpressionUUID->"9374e15d-3f0f-4a54-83c3-a8a22ed509c5"]
}, Open  ]],

Cell[TextData[{
 "One can write complex functions using this ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["#",
    FontColor->GrayLevel[0]],
   BaseStyle->"Hyperlink",
   ButtonData->{
     URL["https://reference.wolfram.com/language/ref/Slot.html"], None},
   ButtonNote->"https://reference.wolfram.com/language/ref/Slot.html"]], 
  "InlineCode",ExpressionUUID->"a8f6b5ac-6c73-4911-8194-ac7fa9365a26"],
 " syntax:"
}], "CodeText",
 CellChangeTimes->{{3.7758269366296563`*^9, 3.7758269540974026`*^9}, {
  3.8661944521895866`*^9, 3.866194453919734*^9}, {3.8661945015552044`*^9, 
  3.8661945094634976`*^9}, {3.8661947157162075`*^9, 3.8661947219918275`*^9}, {
  3.866551812037816*^9, 3.8665518137764387`*^9}, {3.867233833738371*^9, 
  3.8672338475691547`*^9}, {3.8672338793878627`*^9, 3.867233879705062*^9}},
 CellID->203334174,ExpressionUUID->"905a9068-7713-4fbf-9279-b7dbb88e9cbe"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"StringJoin", "[", 
      RowBox[{"#\"firstName\"", ",", "\"\< \>\"", ",", "#\"lastName\""}], 
      "]"}], ",", "#\"guaranteedSalary\""}], "}"}], "&"}], "[", 
  "chingAssociation", "]"}]], "Input",
 CellChangeTimes->{{3.769254591413138*^9, 3.769254623796913*^9}, {
  3.769254655899767*^9, 3.769254669549004*^9}},
 CellLabel->"In[230]:=",
 CellID->1766409678,ExpressionUUID->"ee6067c1-8835-41a1-a564-bdd6935baa2e"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"Brian Ching\"\>", ",", 
   TemplateBox[{"220000", 
     RowBox[{
       FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars", 
     "\"USDollars\""},
    "QuantityPrefix"]}], "}"}]], "Output",
 CellChangeTimes->{3.769254624069065*^9, 3.769254670323139*^9, 
  3.769332248598737*^9, 3.769352995659616*^9, 3.769375578811644*^9, 
  3.7699551231644087`*^9, 3.769955268559319*^9, 3.771929802882284*^9, 
  3.880634006763927*^9, 3.8814190522894697`*^9},
 CellLabel->"Out[230]=",
 CellID->619741174,ExpressionUUID->"20e5e200-49d3-4ed0-9bb4-75cff6574b20"]
}, Open  ]],

Cell[TextData[{
 "Indeed, if the string argument to ",
 ButtonBox["Slot",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Slot.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Slot.html"],
 " could have been a Wolfram Language symbol, then there\[CloseCurlyQuote]s a \
nice piece of syntactic sugar that can be applied: get rid of the quotation \
marks."
}], "Text",
 CellChangeTimes->{{3.769251322927746*^9, 3.769251323760116*^9}, {
   3.769251406562669*^9, 3.769251453930272*^9}, {3.769254642367285*^9, 
   3.7692546446176443`*^9}, {3.769254678258058*^9, 3.769254736866343*^9}, 
   3.7758270011881113`*^9, 3.780306568455793*^9, {3.8572271243238153`*^9, 
   3.8572271248181953`*^9}},
 CellID->1585478529,ExpressionUUID->"1cd45467-459f-485a-a1a6-7330737ef5e5"],

Cell[TextData[{
 "If the key name could have been a symbol, quotation marks aren\
\[CloseCurlyQuote]t needed with ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["#",
    FontColor->GrayLevel[0]],
   BaseStyle->"Hyperlink",
   ButtonData->{
     URL["https://reference.wolfram.com/language/ref/Slot.html"], None},
   ButtonNote->"https://reference.wolfram.com/language/ref/Slot.html"]], 
  "InlineCode",ExpressionUUID->"8ccbe195-4419-4d7d-a327-7b24a37a9793"],
 ":"
}], "CodeText",
 CellTags->"i:17",
 CellID->26786031,ExpressionUUID->"f6004d3b-9f1e-48cf-9e91-f08c5ce03438"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"StringJoin", "[", 
      RowBox[{"#firstName", ",", "\"\< \>\"", ",", "#lastName"}], "]"}], ",", 
     "#guaranteedSalary"}], "}"}], "&"}], "[", "chingAssociation", 
  "]"}]], "Input",
 CellLabel->"In[231]:=",
 CellID->408423430,ExpressionUUID->"0dcda09a-661c-4e8e-963c-68e38c6d8769"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"Brian Ching\"\>", ",", 
   TemplateBox[{"220000", 
     RowBox[{
       FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars", 
     "\"USDollars\""},
    "QuantityPrefix"]}], "}"}]], "Output",
 CellChangeTimes->{3.769254676166061*^9, 3.769332248636516*^9, 
  3.7693529957059183`*^9, 3.769375578828105*^9, 3.769955123179316*^9, 
  3.7699552686000967`*^9, 3.771929802897729*^9, 3.880634018992022*^9, 
  3.881419057251902*^9},
 CellLabel->"Out[231]=",
 CellID->983114039,ExpressionUUID->"54b494a3-e7bb-4da5-a8b8-38c375701e94"]
}, Open  ]],

Cell[TextData[{
 "This is enough of an advantage that I generally try to convert keys that \
have an annoying space in them that prevents them from being used as a symbol \
into their camel case variant, for example, \[OpenCurlyDoubleQuote]base \
salary\[CloseCurlyDoubleQuote] would become ",
 Cell[BoxData[
 "\"\<baseSalary\>\""], "InlineCodeText",ExpressionUUID->
  "e2c303be-6a1a-4e15-b350-26aafd776358"],
 ". Note, though, that if one is using ",
 ButtonBox["Slot",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Slot.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Slot.html"],
 " explicitly instead of ",
 Cell[BoxData[
  ButtonBox["#",
   BaseStyle->"FunctionHyperlink",
   ButtonData->{
     URL["https://reference.wolfram.com/language/ref/Slot.html"], None},
   ButtonNote->"https://reference.wolfram.com/language/ref/Slot.html"]],
  ExpressionUUID->"df3196f1-b9a9-470f-b4db-84c4f28eccdb"],
 ", one must keep the quotation marks."
}], "Text",
 CellChangeTimes->{{3.769254738053336*^9, 3.769254780252019*^9}, {
   3.775827108277819*^9, 3.7758271533953304`*^9}, {3.856977816033307*^9, 
   3.856977817507063*^9}, 3.858240118555196*^9, {3.866194945988432*^9, 
   3.8661949555339212`*^9}, {3.8661950102211075`*^9, 
   3.8661950121683297`*^9}, {3.866195055915243*^9, 3.866195056186062*^9}, {
   3.866551941855719*^9, 3.8665520056560793`*^9}, {3.8672348701851916`*^9, 
   3.867234952563941*^9}, {3.867922875119175*^9, 3.86792291072961*^9}},
 CellID->1873594708,ExpressionUUID->"211596fd-15f9-4f40-8351-1f89a47f543c"],

Cell["\<\
The following code fails because quotation marks were not used: \
\>", "CodeText",
 CellChangeTimes->{{3.76942004945896*^9, 3.769420065432823*^9}, {
  3.775827213577348*^9, 3.7758272302600164`*^9}},
 CellID->1776497026,ExpressionUUID->"89850d53-1b24-469f-a6b3-1c16d02d22e4"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"bonusFail", "=", 
   RowBox[{"Function", "[", 
    RowBox[{
     RowBox[{"Slot", "[", "guaranteedSalary", "]"}], "-", 
     RowBox[{"Slot", "[", "baseSalary", "]"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.769251455732337*^9, 3.76925147376108*^9}, {
  3.7692547865856133`*^9, 3.769254787436956*^9}},
 CellLabel->"In[232]:=",
 CellID->627299728,ExpressionUUID->"0bcde2a5-d8e8-4c57-8440-3b235e794e5f"],

Cell[BoxData[
 TemplateBox[{
  "Function", "slot", 
   "\"\\!\\(\\*RowBox[{\\\"Slot\\\", \\\"[\\\", \\\"guaranteedSalary\\\", \
\\\"]\\\"}]\\) (in \\!\\(\\*RowBox[{RowBox[{RowBox[{\\\"Slot\\\", \\\"[\\\", \
\\\"guaranteedSalary\\\", \\\"]\\\"}], \\\"-\\\", RowBox[{\\\"Slot\\\", \\\"[\
\\\", \\\"baseSalary\\\", \\\"]\\\"}]}], \\\"&\\\"}]\\)) should contain a \
non-negative integer or string.\"", 2, 39, 1, 27285886807158689176, "Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.769251474502549*^9, 3.7692547878594427`*^9, 
  3.769332248696053*^9, 3.769352995754449*^9, 3.769375578879908*^9, 
  3.769955123218289*^9, 3.7699552686459713`*^9, 3.7719298029352617`*^9},
 CellLabel->"During evaluation of In[39]:=",
 CellID->1550229205,ExpressionUUID->"e9ea0614-9714-4fe6-a103-5c143445b8a6"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Associations inside Other Expressions", "Subsection",
 CellChangeTimes->{{3.769250768813952*^9, 3.76925079068342*^9}, {
  3.7755786857674813`*^9, 3.7755786911414814`*^9}},
 CellTags->"p: 72",
 CellID->693759614,ExpressionUUID->"53fb099c-cabb-46cf-b5c3-51040388abfc"],

Cell[TextData[{
 "One can nest Associations inside other Wolfram Language expressions. Here \
is a ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of Associations. It\[CloseCurlyQuote]s a description of some of the people \
on board an (imaginary) dinghy on the doomed Titanic."
}], "Text",
 CellChangeTimes->{{3.769254872812834*^9, 3.76925489413568*^9}, {
   3.76925504392763*^9, 3.76925506688288*^9}, {3.769953229807981*^9, 
   3.769953230647193*^9}, 3.857227234977461*^9},
 CellTags->"i:18",
 CellID->1022460034,ExpressionUUID->"6b64bee8-2322-4966-85ee-4006c9caf54d"],

Cell["\<\
Describe the passengers on an imaginary dinghy launched from the Titanic:\
\>", "CodeText",
 CellChangeTimes->{{3.769420069905962*^9, 3.76942007355702*^9}, {
  3.7699550039019403`*^9, 3.769955022644006*^9}, {3.775827306677657*^9, 
  3.7758273095179415`*^9}},
 CellID->1966955692,ExpressionUUID->"7e629513-82c7-4dae-bd7a-a13de6c816f0"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"dinghy", "=", 
  RowBox[{"ResourceData", "[", 
   RowBox[{"ro", ",", "\"\<Dinghy List of Associations\>\""}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.7692549588813953`*^9, 3.769254967456526*^9}, {
  3.769255010051605*^9, 3.769255028654314*^9}, {3.769280149233502*^9, 
  3.769280152016642*^9}, {3.7699532335802393`*^9, 3.769953246711214*^9}, {
  3.77192970859899*^9, 3.771929709729187*^9}},
 CellLabel->"In[79]:=",
 CellID->917851144,ExpressionUUID->"5d325d07-8f1e-4d2f-bcd3-faca73ae6e87"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "16"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "True"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"1st\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "65"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"male\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "2"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", 
      RowBox[{"Missing", "[", "]"}]}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "True"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "18"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
    "\[RightAssociation]"}]}], "}"}]], "Output",
 CellChangeTimes->{3.7693757359311237`*^9, 3.769953247639292*^9, 
  3.769955123232131*^9, 3.769955268691065*^9, 3.7699759165778*^9, 
  3.771929802977099*^9, 3.856983630440959*^9, 3.88141907917647*^9, 
  3.88228700304318*^9},
 CellLabel->"Out[79]=",
 CellID->1815827635,ExpressionUUID->"a173db00-78a0-4d6c-b790-1a148327963d"]
}, Open  ]],

Cell[TextData[{
 "I can display this nicely, by the way, via ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["ResourceFunction",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/ResourceFunction.html"],
       None},
    ButtonNote->
     "https://reference.wolfram.com/language/ref/ResourceFunction.html"], 
   "[", "\"\<DatasetForm\>\"", "]"}]], "InlineCode",ExpressionUUID->
  "f1ce7ee7-58fd-410e-b615-a1d3189d045a"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.769255171247286*^9, 3.769255210136958*^9}, {
  3.775827325215511*^9, 3.7758273399319825`*^9}, {3.866552224892516*^9, 
  3.8665522384191933`*^9}},
 CellTags->"i:19",
 CellID->1779699089,ExpressionUUID->"6f14b270-7b6e-4ecd-bf4c-68e70a10b503"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  InterpretationBox[
   TagBox[
    TagBox[
     DynamicModuleBox[{Typeset`open = False}, 
      FrameBox[
       PaneSelectorBox[{False->GridBox[{
          {
           PaneBox[GridBox[{
              {
               StyleBox[
                StyleBox[
                 AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                  BoxBaselineShift->-0.25,
                  BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                 
                 FontColor->RGBColor[
                  0.8745098039215686, 0.2784313725490196, 
                   0.03137254901960784]],
                ShowStringCharacters->False,
                FontFamily->"Source Sans Pro Black",
                FontSize->0.6538461538461539 Inherited,
                FontWeight->"Heavy",
                PrivateFontOptions->{"OperatorSubstitution"->False}], 
               StyleBox[
                RowBox[{
                 StyleBox["DatasetForm", "ResourceFunctionLabel"], " "}],
                ShowAutoStyles->False,
                ShowStringCharacters->False,
                FontSize->Rational[12, 13] Inherited,
                FontColor->GrayLevel[0.1]]}
             },
             GridBoxSpacings->{"Columns" -> {{0.25}}}],
            Alignment->Left,
            BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
            BaselinePosition->Baseline,
            FrameMargins->{{3, 0}, {0, 0}}], 
           ItemBox[
            PaneBox[
             TogglerBox[Dynamic[Typeset`open], {True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeCloser"],
               ImageSizeCache->{11., {2., 9.}}], False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeOpener"],
               ImageSizeCache->{11., {2., 9.}}]},
              Appearance->None,
              BaselinePosition->Baseline,
              ContentPadding->False,
              FrameMargins->0],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{1, 1}, {0, 0}}],
            Frame->{{
               RGBColor[
               0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                0.5], False}, {False, False}}]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
         GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
        GridBox[{
          {GridBox[{
             {
              PaneBox[GridBox[{
                 {
                  StyleBox[
                   StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                   ShowStringCharacters->False,
                   FontFamily->"Source Sans Pro Black",
                   FontSize->0.6538461538461539 Inherited,
                   FontWeight->"Heavy",
                   PrivateFontOptions->{"OperatorSubstitution"->False}], 
                  StyleBox[
                   RowBox[{
                    StyleBox["DatasetForm", "ResourceFunctionLabel"], " "}],
                   ShowAutoStyles->False,
                   ShowStringCharacters->False,
                   FontSize->Rational[12, 13] Inherited,
                   FontColor->GrayLevel[0.1]]}
                },
                GridBoxSpacings->{"Columns" -> {{0.25}}}],
               Alignment->Left,
               BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
               BaselinePosition->Baseline,
               FrameMargins->{{3, 0}, {0, 0}}], 
              ItemBox[
               PaneBox[
                TogglerBox[Dynamic[Typeset`open], {True->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeCloser"]], False->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeOpener"]]},
                 Appearance->None,
                 BaselinePosition->Baseline,
                 ContentPadding->False,
                 FrameMargins->0],
                Alignment->Left,
                BaselinePosition->Baseline,
                FrameMargins->{{1, 1}, {0, 0}}],
               Frame->{{
                  RGBColor[
                  0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                   0.5], False}, {False, False}}]}
            },
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
          {
           StyleBox[
            PaneBox[GridBox[{
               {
                RowBox[{
                 TagBox["\<\"Version (latest): \"\>",
                  "IconizedLabel"], " ", 
                 TagBox["\<\"1.0.0\"\>",
                  "IconizedItem"]}]},
               {
                TagBox[
                 
                 TemplateBox[{
                  "\"Documentation \[RightGuillemet]\"", 
                   "https://resources.wolframcloud.com/FunctionRepository/\
resources/a2034fb9-e46f-4b36-ac04-a3ea684b9d1e/"},
                  "HyperlinkURL"],
                 "IconizedItem"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
            FontFamily->"Roboto",
            FontSize->11]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
              GrayLevel[0.8]}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
        Typeset`open],
        BaselinePosition->Baseline,
        ImageSize->Automatic],
       Background->RGBColor[
        0.9686274509803922, 0.9764705882352941, 0.984313725490196],
       BaselinePosition->Baseline,
       DefaultBaseStyle->{},
       FrameMargins->{{0, 0}, {1, 0}},
       FrameStyle->RGBColor[
        0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
       RoundingRadius->4]],
     #& ,
     TagBoxNote->" "],
    {"FunctionResourceBox", 
     RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
     "DatasetForm"},
    TagBoxNote->"FunctionResourceBox"],
   ResourceFunction[
    ResourceObject[<|
     "Name" -> "DatasetForm", "ShortName" -> "DatasetForm", "UUID" -> 
      "a2034fb9-e46f-4b36-ac04-a3ea684b9d1e", "ResourceType" -> "Function", 
      "Version" -> "1.0.0", "Description" -> 
      "Display data formatted like a dataset", "RepositoryLocation" -> 
      URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
      "SymbolName" -> 
      "FunctionRepository`$9011b47ab6d048f099e90511f6c24686`DatasetForm", 
      "FunctionLocation" -> 
      CloudObject[
       "https://www.wolframcloud.com/obj/d6b6cd3f-340f-4c5a-91b5-\
d391d60da0b9"]|>, ResourceSystemBase -> Automatic]],
   Selectable->False], "[", "dinghy", "]"}]], "Input",
 CellChangeTimes->{{3.769375717314803*^9, 3.769375722283101*^9}, {
   3.769953250634654*^9, 3.7699532514900208`*^9}, 3.8811477727692137`*^9},
 CellLabel->"In[234]:=",
 CellID->1682124858,ExpressionUUID->"5de7f1c0-86ab-4da6-9dc6-d9ba2a9c3baa"],

Cell[BoxData[
 InterpretationBox[
  DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
   "InitialData" -> {<|
      "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
       True|>, <|
      "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> False|>, <|
      "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
       False|>, <|
      "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
       True|>, <|
      "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
       False|>}, "AllowEmbedding" -> True, "InitialShape" -> 
    TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
       1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
      TypeSystem`PackageScope`Limited[
       TypeSystem`PackageScope`ColumnShape[
        TypeSystem`PackageScope`Limited[
         TypeSystem`PackageScope`RowShape[<|
          "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
           TypeSystem`PackageScope`AtomShape[34], "sex" -> 
           TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
           TypeSystem`PackageScope`AtomShape[36]|>], 
         DirectedInfinity[1], 4, {All}]], 5, 
       DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
      TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
        TypeSystem`Atom[
         TypeSystem`Enumeration["1st", "3rd"]], 
        TypeSystem`Atom[Integer], 
        TypeSystem`Atom[
         TypeSystem`Enumeration["female", "male"]], 
        TypeSystem`Atom[TypeSystem`Boolean]}], 5], "Meta" -> <||>, 
    "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
    TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
       1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
      TypeSystem`PackageScope`Limited[
       TypeSystem`PackageScope`ColumnShape[
        TypeSystem`PackageScope`Limited[
         TypeSystem`PackageScope`RowShape[<|
          "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
           TypeSystem`PackageScope`AtomShape[34], "sex" -> 
           TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
           TypeSystem`PackageScope`AtomShape[36]|>], 
         DirectedInfinity[1], 4, {All}]], 5, 
       DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
      TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
        TypeSystem`Atom[
         TypeSystem`Enumeration["1st", "3rd"]], 
        TypeSystem`Atom[Integer], 
        TypeSystem`Atom[
         TypeSystem`Enumeration["female", "male"]], 
        TypeSystem`Atom[TypeSystem`Boolean]}], 5], "Path" -> {}, 
    "DisplayedRowCount" -> 5, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
    5, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
    "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
   TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
   TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
   TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
   TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
   TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
   DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
       Style[
        Grid[{{
           Item[
            Pane[
             Annotation[
              EventHandler[
               MouseAppearance[
                Mouseover["class", 
                 Style[
                 "class", FontColor -> 
                  RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
               If[
                 TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                 TypeSystem`NestedGrid`PackagePrivate`updateState[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                  All, "class"}, 1]]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
               All, "class"}, "ColumnHeader", True], "Mouse"], 
             ImageSize -> {{1, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.95],
             Alignment -> {Left, Baseline}], 
           Item[
            Pane[
             Annotation[
              EventHandler[
               MouseAppearance[
                Mouseover["age", 
                 Style[
                 "age", FontColor -> 
                  RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
               If[
                 TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                 TypeSystem`NestedGrid`PackagePrivate`updateState[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                  All, "age"}, 1]]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
               All, "age"}, "ColumnHeader", True], "Mouse"], 
             ImageSize -> {{1, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.95],
             Alignment -> {Left, Baseline}], 
           Item[
            Pane[
             Annotation[
              EventHandler[
               MouseAppearance[
                Mouseover["sex", 
                 Style[
                 "sex", FontColor -> 
                  RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
               If[
                 TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                 TypeSystem`NestedGrid`PackagePrivate`updateState[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                  All, "sex"}, 1]]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
               All, "sex"}, "ColumnHeader", True], "Mouse"], 
             ImageSize -> {{1, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.95],
             Alignment -> {Left, Baseline}], 
           Item[
            Pane[
             Annotation[
              EventHandler[
               MouseAppearance[
                Mouseover["survived", 
                 Style[
                 "survived", FontColor -> 
                  RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
               If[
                 TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                 TypeSystem`NestedGrid`PackagePrivate`updateState[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                  All, "survived"}, 1]]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
               All, "survived"}, "ColumnHeader", True], "Mouse"], 
             ImageSize -> {{1, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.95],
             Alignment -> {Left, Baseline}]}, {
           Item[
            Pane[
             Annotation["3rd", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{1, 
                Key["class"]}, "Item", False], "Mouse"], 
             ImageSize -> {{31.5, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["16"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{1, 
                Key["age"]}, "Item", False], "Mouse"], 
             ImageSize -> {{34, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation["female", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{1, 
                Key["sex"]}, "Item", False], "Mouse"], 
             ImageSize -> {{63., Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["True"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{1, 
                Key["survived"]}, "Item", False], "Mouse"], 
             ImageSize -> {{36, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}]}, {
           Item[
            Pane[
             Annotation["1st", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{2, 
                Key["class"]}, "Item", False], "Mouse"], 
             ImageSize -> {{31.5, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["65"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{2, 
                Key["age"]}, "Item", False], "Mouse"], 
             ImageSize -> {{34, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation["male", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{2, 
                Key["sex"]}, "Item", False], "Mouse"], 
             ImageSize -> {{63., Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["False"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{2, 
                Key["survived"]}, "Item", False], "Mouse"], 
             ImageSize -> {{36, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}]}, {
           Item[
            Pane[
             Annotation["3rd", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{3, 
                Key["class"]}, "Item", False], "Mouse"], 
             ImageSize -> {{31.5, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["2"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{3, 
                Key["age"]}, "Item", False], "Mouse"], 
             ImageSize -> {{34, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation["female", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{3, 
                Key["sex"]}, "Item", False], "Mouse"], 
             ImageSize -> {{63., Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["False"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{3, 
                Key["survived"]}, "Item", False], "Mouse"], 
             ImageSize -> {{36, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}]}, {
           Item[
            Pane[
             Annotation["3rd", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{4, 
                Key["class"]}, "Item", False], "Mouse"], 
             ImageSize -> {{31.5, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              Style["\[LongDash]", 
               GrayLevel[0.75]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{4, 
                Key["age"]}, "Item", False], "Mouse"], 
             ImageSize -> {{34, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation["female", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{4, 
                Key["sex"]}, "Item", False], "Mouse"], 
             ImageSize -> {{63., Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["True"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{4, 
                Key["survived"]}, "Item", False], "Mouse"], 
             ImageSize -> {{36, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}]}, {
           Item[
            Pane[
             Annotation["3rd", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{5, 
                Key["class"]}, "Item", False], "Mouse"], 
             ImageSize -> {{31.5, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["18"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{5, 
                Key["age"]}, "Item", False], "Mouse"], 
             ImageSize -> {{34, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation["female", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{5, 
                Key["sex"]}, "Item", False], "Mouse"], 
             ImageSize -> {{63., Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["False"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{5, 
                Key["survived"]}, "Item", False], "Mouse"], 
             ImageSize -> {{36, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}]}}, 
         BaseStyle -> {
          ContextMenu -> 
           Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
             Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
               TypeSystem`NestedGrid`PackagePrivate`localHold[
                TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
               TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
               TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
               TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
               TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
               TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                  
                  With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                   Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
           "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
         All, FrameStyle -> GrayLevel[0.7490196078431373], Spacings -> {0, 0},
          Alignment -> Left, 
         BaseStyle -> {
          FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
           Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
        False, ShowAutoStyles -> False]], 
     TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
    Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
     TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
        Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
        Module[{
         TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
          TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
          TypeSystem`NestedGrid`PackagePrivate`datasetData[
           TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
         TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
            FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
            TypeSystem`NestedGrid`PackagePrivate`renderGrid[
            TypeSystem`NestedGrid`PackagePrivate`$state$$, 
             TypeSystem`NestedGrid`PackagePrivate`$path$$, 
             TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
             TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
             TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
             TypeSystem`NestedGrid`PackagePrivate`localHold[
             TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
            TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
           Not[
            FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
           TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
           TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
      TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
      TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
        FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
        TypeSystem`SparseGrid[
         TypeSystem`H["(data no longer present)"]], 
        TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
     TrackedSymbols :> {
      TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
    DynamicModuleValues :> {}], 
   TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
    TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
     TypeSystem`PackageScope`SubViewPathbar[
     TypeSystem`NestedGrid`PackagePrivate`$path$$, 
      TypeSystem`NestedGrid`PackagePrivate`updateState[
      TypeSystem`NestedGrid`PackagePrivate`$state$$, 
       TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
       TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
       TypeSystem`NestedGrid`PackagePrivate`localHold[
       TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
    TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
   TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
    Framed[
     Dynamic[
      Replace[
      TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
       TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
          Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
          Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
           Blank[]], 
          Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
           Blank[]], 
          Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
           Blank[]]] :> (
         Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
         TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
          TypeSystem`NestedGrid`PackagePrivate`path$; 
         TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
          TypeSystem`NestedGrid`PackagePrivate`pathType$; 
         TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
          TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
         TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
          TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
         TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
          TypeSystem`NestedGrid`PackagePrivate`path$, 
           TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
        Spacer[10], Blank[] :> Spacer[10]}], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
     None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
     ImageSize -> {Automatic, 15}], FontSize -> 1], 
   TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
   DynamicWrapperBox[
    DynamicBox[ToBoxes[
      Dataset`DatasetContent[
      2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], "Grid" -> 
       Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
       Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
       Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
       Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
       Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
       Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
       Hold[
         TypeSystem`NestedGrid`PackagePrivate`localHold[
         TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
     ImageSizeCache->{213., {86.8837890625, 94.1162109375}},
     TrackedSymbols:>{
      TypeSystem`NestedGrid`PackagePrivate`$state$$, 
       TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = MouseAnnotation[],
    ImageSizeCache->{213., {86.8837890625, 94.1162109375}}],
   BaseStyle->{LineBreakWithin -> False},
   DynamicModuleValues:>{},
   Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
    CreateUUID[]),
   UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
  {<|"class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> True|>, <|
   "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> False|>, <|
   "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> False|>, <|
   "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
    True|>, <|"class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
    False|>}]], "Output",
 CellChangeTimes->{{3.769375722830574*^9, 3.769375741895772*^9}, 
   3.769953253088251*^9, 3.769955123273127*^9, 3.769955268927734*^9, 
   3.771929803249947*^9, 3.881419085219778*^9},
 CellLabel->"Out[234]=",
 CellID->1578410091,ExpressionUUID->"9caa6df2-10e3-471a-a37e-7ded080c2dda"]
}, Open  ]],

Cell[TextData[{
 "One can use ",
 ButtonBox["Part",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Part.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Part.html"],
 " on this structure. Here are some examples. Notice that because the Keys \
are strings, I don\[CloseCurlyQuote]t have to wrap the string with ",
 ButtonBox["Key",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Key.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Key.html"],
 ". Also notice that ",
 ButtonBox["All",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/All.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/All.html"],
 " means every possible part at the specified level."
}], "Text",
 CellChangeTimes->{{3.769255075365106*^9, 3.769255110137149*^9}, {
   3.76925689378085*^9, 3.769256919254632*^9}, {3.7694201132855997`*^9, 
   3.769420129385004*^9}, {3.7758274127172604`*^9, 3.7758274412671146`*^9}, {
   3.77582979448218*^9, 3.77582979478418*^9}, 3.780306708378458*^9, {
   3.857227277048862*^9, 3.857227293961102*^9}},
 CellTags->"i:20",
 CellID->2126984584,ExpressionUUID->"f2621924-de41-48b2-899b-eec7c627fd54"],

Cell[TextData[{
 ButtonBox["Part",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Part.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Part.html"],
 " works on structures of Associations:"
}], "CodeText",
 CellChangeTimes->{{3.769420087750266*^9, 3.769420100132202*^9}, {
  3.77582987215518*^9, 3.7758298764071803`*^9}},
 CellID->1187880311,ExpressionUUID->"907d0726-fa59-48ce-8386-204578c184fe"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"Part", "[", 
    RowBox[{"dinghy", ",", "3"}], "]"}], ",", 
   RowBox[{"Part", "[", 
    RowBox[{"dinghy", ",", "All", ",", 
     RowBox[{"Key", "[", "\"\<sex\>\"", "]"}]}], "]"}], ",", 
   RowBox[{"Part", "[", 
    RowBox[{"dinghy", ",", "2", ",", 
     RowBox[{"Key", "[", "\"\<survived\>\"", "]"}]}], "]"}], ",", 
   RowBox[{"dinghy", "[", 
    RowBox[{"[", 
     RowBox[{"5", ",", "\"\<class\>\""}], "]"}], "]"}]}], "}"}]], "Input",
 CellChangeTimes->{{3.769255094911756*^9, 3.769255153474092*^9}, {
  3.769953266915729*^9, 3.769953270092074*^9}},
 CellLabel->"In[235]:=",
 CellID->1087109536,ExpressionUUID->"d0e668c1-5d6a-48fe-a291-edf39f7e9cc4"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "2"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"female\"\>", ",", "\<\"male\"\>", ",", "\<\"female\"\>", 
     ",", "\<\"female\"\>", ",", "\<\"female\"\>"}], "}"}], ",", "False", 
   ",", "\<\"3rd\"\>"}], "}"}]], "Output",
 CellChangeTimes->{{3.769255139060584*^9, 3.769255153892578*^9}, 
   3.7693322490106993`*^9, 3.76937576981389*^9, 3.769955123313074*^9, 
   3.769955269021977*^9, 3.771929803367272*^9, 3.880633942846418*^9, 
   3.880634019241096*^9, 3.881419093439021*^9},
 CellLabel->"Out[235]=",
 CellID->785864588,ExpressionUUID->"0c122b57-4c4d-4fb3-9c3f-9f6ac65a995a"]
}, Open  ]],

Cell[TextData[{
 "Or one can have an ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " of Associations. Indeed, one frequently does."
}], "Text",
 CellChangeTimes->{{3.769255161122135*^9, 3.7692551666866293`*^9}, {
   3.76925522404537*^9, 3.769255230713726*^9}, {3.7692557217335253`*^9, 
   3.769255729995142*^9}, {3.769420162842717*^9, 3.769420170815785*^9}, {
   3.77582988598718*^9, 3.77582988785018*^9}, {3.77582993091918*^9, 
   3.77582993261518*^9}, {3.856977835710074*^9, 3.856977835990011*^9}, 
   3.85722731857584*^9},
 CellTags->{"LastCellOfAPage", "i:21"},
 CellID->2033961104,ExpressionUUID->"8955a232-137f-4aa4-b29a-1dd17b05cd55"],

Cell[TextData[{
 "Here\[CloseCurlyQuote]s an example of an ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " of Associations:"
}], "CodeText",
 CellChangeTimes->{{3.77582989134618*^9, 3.7758299019861803`*^9}, 
   3.857227334655333*^9},
 CellTags->"p: 73",
 CellID->301516895,ExpressionUUID->"6b679b22-81b5-49ac-b6ea-e5a4a06941a6"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"dinghyk", "=", 
  RowBox[{"ResourceData", "[", 
   RowBox[{"ro", ",", "\"\<Dinghy Association of Associations\>\""}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.769255700524037*^9, 3.76925571675599*^9}, {
  3.769280165608691*^9, 3.7692802214358673`*^9}, {3.769953272102371*^9, 
  3.769953306739336*^9}, {3.7719297224175367`*^9, 3.771929727459818*^9}},
 CellLabel->"In[75]:=",
 CellID->1726303981,ExpressionUUID->"5d87fff0-d796-4527-8f18-02d6f454afb7"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"Anna\"\>", "\[Rule]", 
    RowBox[{"\[LeftAssociation]", 
     RowBox[{
      RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
      RowBox[{"\<\"age\"\>", "\[Rule]", "16"}], ",", 
      RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
      RowBox[{"\<\"survived\"\>", "\[Rule]", "True"}]}], 
     "\[RightAssociation]"}]}], ",", 
   RowBox[{"\<\"Bob\"\>", "\[Rule]", 
    RowBox[{"\[LeftAssociation]", 
     RowBox[{
      RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"1st\"\>"}], ",", 
      RowBox[{"\<\"age\"\>", "\[Rule]", "65"}], ",", 
      RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"male\"\>"}], ",", 
      RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
     "\[RightAssociation]"}]}], ",", 
   RowBox[{"\<\"Clarisse\"\>", "\[Rule]", 
    RowBox[{"\[LeftAssociation]", 
     RowBox[{
      RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
      RowBox[{"\<\"age\"\>", "\[Rule]", "2"}], ",", 
      RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
      RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
     "\[RightAssociation]"}]}], ",", 
   RowBox[{"\<\"Diane\"\>", "\[Rule]", 
    RowBox[{"\[LeftAssociation]", 
     RowBox[{
      RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
      RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
      RowBox[{"\<\"survived\"\>", "\[Rule]", "True"}]}], 
     "\[RightAssociation]"}]}], ",", 
   RowBox[{"\<\"Emily\"\>", "\[Rule]", 
    RowBox[{"\[LeftAssociation]", 
     RowBox[{
      RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
      RowBox[{"\<\"age\"\>", "\[Rule]", "18"}], ",", 
      RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
      RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
     "\[RightAssociation]"}]}]}], "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{{3.769280190789638*^9, 3.769280222063455*^9}, 
   3.769332423424718*^9, 3.769375772445101*^9, 3.769953307478093*^9, 
   3.7699551233478537`*^9, 3.769955269057541*^9, 3.771929803399898*^9, 
   3.8805463512466803`*^9, 3.880548271524687*^9, 3.880633946959323*^9, 
   3.8806340192667093`*^9, 3.8814190992201967`*^9, 3.882286126138764*^9},
 CellLabel->"Out[75]=",
 CellID->1773496438,ExpressionUUID->"f32102eb-539b-4f05-b331-3a27116e3a37"]
}, Open  ]],

Cell["\<\
Wolfram Language expressions most definitely include Associations of \
Associations.\
\>", "Text",
 CellChangeTimes->{{3.769420145089677*^9, 3.7694201592146053`*^9}, 
   3.8572274180135*^9},
 CellID->650012428,ExpressionUUID->"bf3b3c3b-1f7f-4c25-811b-32a5b41d1978"],

Cell[TextData[{
 "Again, I can use ",
 ButtonBox["DatasetForm",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
DatasetForm"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/\
DatasetForm"],
 " to assist with visualization:"
}], "CodeText",
 CellChangeTimes->{
  3.77583000296418*^9, {3.78030680737869*^9, 3.780306808806328*^9}, {
   3.8661960303264885`*^9, 3.8661960552851324`*^9}, {3.8665523316456747`*^9, 
   3.866552332285078*^9}, {3.866552445199609*^9, 3.866552450043023*^9}, {
   3.8665524987574453`*^9, 3.866552499728097*^9}, 3.866552580059053*^9, 
   3.86655265669827*^9, {3.8665534468315153`*^9, 3.8665534524217367`*^9}, 
   3.866554255864541*^9, 3.867924463062527*^9, {3.869916972477355*^9, 
   3.869917014738138*^9}, {3.8849603227632318`*^9, 3.884960323188088*^9}},
 CellTags->"i:22",
 CellID->43846513,ExpressionUUID->"0757c688-1940-419c-ba88-5045027e9d01"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  InterpretationBox[
   TagBox[
    TagBox[
     DynamicModuleBox[{Typeset`open = False}, 
      FrameBox[
       PaneSelectorBox[{False->GridBox[{
          {
           PaneBox[GridBox[{
              {
               StyleBox[
                StyleBox[
                 AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                  BoxBaselineShift->-0.25,
                  BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                 
                 FontColor->RGBColor[
                  0.8745098039215686, 0.2784313725490196, 
                   0.03137254901960784]],
                ShowStringCharacters->False,
                FontFamily->"Source Sans Pro Black",
                FontSize->0.6538461538461539 Inherited,
                FontWeight->"Heavy",
                PrivateFontOptions->{"OperatorSubstitution"->False}], 
               StyleBox[
                RowBox[{
                 StyleBox["DatasetForm", "ResourceFunctionLabel"], " "}],
                ShowAutoStyles->False,
                ShowStringCharacters->False,
                FontSize->Rational[12, 13] Inherited,
                FontColor->GrayLevel[0.1]]}
             },
             GridBoxSpacings->{"Columns" -> {{0.25}}}],
            Alignment->Left,
            BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
            BaselinePosition->Baseline,
            FrameMargins->{{3, 0}, {0, 0}}], 
           ItemBox[
            PaneBox[
             TogglerBox[Dynamic[Typeset`open], {True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeCloser"],
               ImageSizeCache->{11., {2., 9.}}], False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeOpener"],
               ImageSizeCache->{11., {2., 9.}}]},
              Appearance->None,
              BaselinePosition->Baseline,
              ContentPadding->False,
              FrameMargins->0],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{1, 1}, {0, 0}}],
            Frame->{{
               RGBColor[
               0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                0.5], False}, {False, False}}]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
         GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
        GridBox[{
          {GridBox[{
             {
              PaneBox[GridBox[{
                 {
                  StyleBox[
                   StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                   ShowStringCharacters->False,
                   FontFamily->"Source Sans Pro Black",
                   FontSize->0.6538461538461539 Inherited,
                   FontWeight->"Heavy",
                   PrivateFontOptions->{"OperatorSubstitution"->False}], 
                  StyleBox[
                   RowBox[{
                    StyleBox["DatasetForm", "ResourceFunctionLabel"], " "}],
                   ShowAutoStyles->False,
                   ShowStringCharacters->False,
                   FontSize->Rational[12, 13] Inherited,
                   FontColor->GrayLevel[0.1]]}
                },
                GridBoxSpacings->{"Columns" -> {{0.25}}}],
               Alignment->Left,
               BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
               BaselinePosition->Baseline,
               FrameMargins->{{3, 0}, {0, 0}}], 
              ItemBox[
               PaneBox[
                TogglerBox[Dynamic[Typeset`open], {True->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeCloser"]], False->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeOpener"]]},
                 Appearance->None,
                 BaselinePosition->Baseline,
                 ContentPadding->False,
                 FrameMargins->0],
                Alignment->Left,
                BaselinePosition->Baseline,
                FrameMargins->{{1, 1}, {0, 0}}],
               Frame->{{
                  RGBColor[
                  0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                   0.5], False}, {False, False}}]}
            },
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
          {
           StyleBox[
            PaneBox[GridBox[{
               {
                RowBox[{
                 TagBox["\<\"Version (latest): \"\>",
                  "IconizedLabel"], " ", 
                 TagBox["\<\"1.0.0\"\>",
                  "IconizedItem"]}]},
               {
                TagBox[
                 
                 TemplateBox[{
                  "\"Documentation \[RightGuillemet]\"", 
                   "https://resources.wolframcloud.com/FunctionRepository/\
resources/a2034fb9-e46f-4b36-ac04-a3ea684b9d1e/"},
                  "HyperlinkURL"],
                 "IconizedItem"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
            FontFamily->"Roboto",
            FontSize->11]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
              GrayLevel[0.8]}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
        Typeset`open],
        BaselinePosition->Baseline,
        ImageSize->Automatic],
       Background->RGBColor[
        0.9686274509803922, 0.9764705882352941, 0.984313725490196],
       BaselinePosition->Baseline,
       DefaultBaseStyle->{},
       FrameMargins->{{0, 0}, {1, 0}},
       FrameStyle->RGBColor[
        0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
       RoundingRadius->4]],
     #& ,
     TagBoxNote->" "],
    {"FunctionResourceBox", 
     RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
     "DatasetForm"},
    TagBoxNote->"FunctionResourceBox"],
   ResourceFunction[
    ResourceObject[<|
     "Name" -> "DatasetForm", "ShortName" -> "DatasetForm", "UUID" -> 
      "a2034fb9-e46f-4b36-ac04-a3ea684b9d1e", "ResourceType" -> "Function", 
      "Version" -> "1.0.0", "Description" -> 
      "Display data formatted like a dataset", "RepositoryLocation" -> 
      URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
      "SymbolName" -> 
      "FunctionRepository`$9011b47ab6d048f099e90511f6c24686`DatasetForm", 
      "FunctionLocation" -> 
      CloudObject[
       "https://www.wolframcloud.com/obj/d6b6cd3f-340f-4c5a-91b5-\
d391d60da0b9"]|>, ResourceSystemBase -> Automatic]],
   Selectable->False], "[", "dinghyk", "]"}]], "Input",
 CellChangeTimes->{{3.7692557501669703`*^9, 3.769255765021591*^9}, {
   3.769332427277795*^9, 3.769332439802314*^9}, 3.7693330838630037`*^9, {
   3.769953312652499*^9, 3.7699533162288017`*^9}, 3.88114784983911*^9},
 CellLabel->"In[237]:=",
 CellID->1831414238,ExpressionUUID->"d481dd34-c5db-40c5-b03a-5483aa52d46e"],

Cell[BoxData[
 InterpretationBox[
  DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
   "InitialData" -> <|
     "Anna" -> <|
       "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> True|>,
       "Bob" -> <|
       "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> False|>, 
      "Clarisse" -> <|
       "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> False|>,
       "Diane" -> <|"class" -> "3rd", "sex" -> "female", "survived" -> True|>,
       "Emily" -> <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        False|>|>, "AllowEmbedding" -> True, "InitialShape" -> 
    TypeSystem`PackageScope`HeaderShape[<|{All, 
         TypeSystem`PackageScope`KeyDummy[0]} -> 1, {All, "class"} -> 
       1, {All, "age"} -> 1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
      TypeSystem`PackageScope`Limited[
       TypeSystem`PackageScope`ColumnShape[
        TypeSystem`PackageScope`KeyValueShape[
         TypeSystem`PackageScope`AtomShape[89.60000000000001], 
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[33.6], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[67.2], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]]], 5, 
       DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Assoc[
      TypeSystem`Atom[String], 
      TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
        TypeSystem`Atom[String], 
        TypeSystem`Atom[Integer], 
        TypeSystem`Atom[String], 
        TypeSystem`Atom[TypeSystem`Boolean]}], 5], "Meta" -> <||>, 
    "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
    TypeSystem`PackageScope`HeaderShape[<|{All, 
         TypeSystem`PackageScope`KeyDummy[0]} -> 1, {All, "class"} -> 
       1, {All, "age"} -> 1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
      TypeSystem`PackageScope`Limited[
       TypeSystem`PackageScope`ColumnShape[
        TypeSystem`PackageScope`KeyValueShape[
         TypeSystem`PackageScope`AtomShape[89.60000000000001], 
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[33.6], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[67.2], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]]], 5, 
       DirectedInfinity[1], {}]], "Type" -> TypeSystem`Assoc[
      TypeSystem`Atom[String], 
      TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
        TypeSystem`Atom[String], 
        TypeSystem`Atom[Integer], 
        TypeSystem`Atom[String], 
        TypeSystem`Atom[TypeSystem`Boolean]}], 5], "Path" -> {}, 
    "DisplayedRowCount" -> 5, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
    5, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
    "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
   TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
   TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
   TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
   TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
   TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
   DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
       Style[
        Grid[{{
           Item[
            Pane[
             Annotation[
              Mouseover[
               
               Graphics[{}, ImageSize -> 6, BaselinePosition -> 
                Scaled[-0.15]], 
               Graphics[{
                 GrayLevel[0.6], 
                 
                 Polygon[{{2^Rational[-1, 2], -2^Rational[-1, 2]}, {
                   2^Rational[-1, 2], 2^Rational[-1, 2]}, {-2^Rational[-1, 2],
                     2^Rational[-1, 2]}, {-2^Rational[-1, 2], -2^
                    Rational[-1, 2]}}]}, ImageSize -> 6, BaselinePosition -> 
                Scaled[-0.15]]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{All, Keys},
                "KeyDummy", True], "Mouse"], 
             ImageSize -> {{1, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.95],
             Alignment -> {Left, Baseline}], 
           Item[
            Pane[
             Annotation[
              EventHandler[
               MouseAppearance[
                Mouseover["class", 
                 Style[
                 "class", FontColor -> 
                  RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
               If[
                 TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                 TypeSystem`NestedGrid`PackagePrivate`updateState[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                  All, "class"}, 1]]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
               All, "class"}, "ColumnHeader", True], "Mouse"], 
             ImageSize -> {{1, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.95],
             Alignment -> {Left, Baseline}], 
           Item[
            Pane[
             Annotation[
              EventHandler[
               MouseAppearance[
                Mouseover["age", 
                 Style[
                 "age", FontColor -> 
                  RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
               If[
                 TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                 TypeSystem`NestedGrid`PackagePrivate`updateState[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                  All, "age"}, 1]]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
               All, "age"}, "ColumnHeader", True], "Mouse"], 
             ImageSize -> {{1, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.95],
             Alignment -> {Left, Baseline}], 
           Item[
            Pane[
             Annotation[
              EventHandler[
               MouseAppearance[
                Mouseover["sex", 
                 Style[
                 "sex", FontColor -> 
                  RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
               If[
                 TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                 TypeSystem`NestedGrid`PackagePrivate`updateState[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                  All, "sex"}, 1]]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
               All, "sex"}, "ColumnHeader", True], "Mouse"], 
             ImageSize -> {{1, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.95],
             Alignment -> {Left, Baseline}], 
           Item[
            Pane[
             Annotation[
              EventHandler[
               MouseAppearance[
                Mouseover["survived", 
                 Style[
                 "survived", FontColor -> 
                  RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
               If[
                 TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                 TypeSystem`NestedGrid`PackagePrivate`updateState[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                  All, "survived"}, 1]]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
               All, "survived"}, "ColumnHeader", True], "Mouse"], 
             ImageSize -> {{1, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.95],
             Alignment -> {Left, Baseline}]}, {
           Item[
            Pane[
             Annotation[
              EventHandler[
               MouseAppearance[
                Mouseover["Anna", 
                 Style[
                 "Anna", FontColor -> 
                  RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
               If[
                 TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                 TypeSystem`NestedGrid`PackagePrivate`updateState[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   Key["Anna"]}, 1]]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
                Key["Anna"]}, "RowHeader", False], "Mouse"], 
             ImageSize -> {{89.60000000000001, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.95],
             Alignment -> {Left, Baseline}], 
           Item[
            Pane[
             Annotation["3rd", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
                Key["Anna"], 
                Key["class"]}, "Item", False], "Mouse"], 
             ImageSize -> {{33.6, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["16"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
                Key["Anna"], 
                Key["age"]}, "Item", False], "Mouse"], 
             ImageSize -> {{34, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation["female", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
                Key["Anna"], 
                Key["sex"]}, "Item", False], "Mouse"], 
             ImageSize -> {{67.2, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["True"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
                Key["Anna"], 
                Key["survived"]}, "Item", False], "Mouse"], 
             ImageSize -> {{36, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}]}, {
           Item[
            Pane[
             Annotation[
              EventHandler[
               MouseAppearance[
                Mouseover["Bob", 
                 Style[
                 "Bob", FontColor -> 
                  RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
               If[
                 TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                 TypeSystem`NestedGrid`PackagePrivate`updateState[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   Key["Bob"]}, 1]]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
                Key["Bob"]}, "RowHeader", False], "Mouse"], 
             ImageSize -> {{89.60000000000001, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.95],
             Alignment -> {Left, Baseline}], 
           Item[
            Pane[
             Annotation["1st", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
                Key["Bob"], 
                Key["class"]}, "Item", False], "Mouse"], 
             ImageSize -> {{33.6, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["65"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
                Key["Bob"], 
                Key["age"]}, "Item", False], "Mouse"], 
             ImageSize -> {{34, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation["male", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
                Key["Bob"], 
                Key["sex"]}, "Item", False], "Mouse"], 
             ImageSize -> {{67.2, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["False"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
                Key["Bob"], 
                Key["survived"]}, "Item", False], "Mouse"], 
             ImageSize -> {{36, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}]}, {
           Item[
            Pane[
             Annotation[
              EventHandler[
               MouseAppearance[
                Mouseover["Clarisse", 
                 Style[
                 "Clarisse", FontColor -> 
                  RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
               If[
                 TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                 TypeSystem`NestedGrid`PackagePrivate`updateState[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   Key["Clarisse"]}, 1]]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
                Key["Clarisse"]}, "RowHeader", False], "Mouse"], 
             ImageSize -> {{89.60000000000001, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.95],
             Alignment -> {Left, Baseline}], 
           Item[
            Pane[
             Annotation["3rd", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
                Key["Clarisse"], 
                Key["class"]}, "Item", False], "Mouse"], 
             ImageSize -> {{33.6, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["2"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
                Key["Clarisse"], 
                Key["age"]}, "Item", False], "Mouse"], 
             ImageSize -> {{34, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation["female", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
                Key["Clarisse"], 
                Key["sex"]}, "Item", False], "Mouse"], 
             ImageSize -> {{67.2, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["False"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
                Key["Clarisse"], 
                Key["survived"]}, "Item", False], "Mouse"], 
             ImageSize -> {{36, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}]}, {
           Item[
            Pane[
             Annotation[
              EventHandler[
               MouseAppearance[
                Mouseover["Diane", 
                 Style[
                 "Diane", FontColor -> 
                  RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
               If[
                 TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                 TypeSystem`NestedGrid`PackagePrivate`updateState[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   Key["Diane"]}, 1]]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
                Key["Diane"]}, "RowHeader", False], "Mouse"], 
             ImageSize -> {{89.60000000000001, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.95],
             Alignment -> {Left, Baseline}], 
           Item[
            Pane[
             Annotation["3rd", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
                Key["Diane"], 
                Key["class"]}, "Item", False], "Mouse"], 
             ImageSize -> {{33.6, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Style["\[LongDash]", 
              GrayLevel[0.75]], ImageMargins -> {{5, 3}, {4, 5}}], 
            Alignment -> {Left, Baseline}], 
           Item[
            Pane[
             Annotation["female", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
                Key["Diane"], 
                Key["sex"]}, "Item", False], "Mouse"], 
             ImageSize -> {{67.2, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["True"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
                Key["Diane"], 
                Key["survived"]}, "Item", False], "Mouse"], 
             ImageSize -> {{36, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}]}, {
           Item[
            Pane[
             Annotation[
              EventHandler[
               MouseAppearance[
                Mouseover["Emily", 
                 Style[
                 "Emily", FontColor -> 
                  RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
               If[
                 TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                 TypeSystem`NestedGrid`PackagePrivate`updateState[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   Key["Emily"]}, 1]]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
                Key["Emily"]}, "RowHeader", False], "Mouse"], 
             ImageSize -> {{89.60000000000001, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.95],
             Alignment -> {Left, Baseline}], 
           Item[
            Pane[
             Annotation["3rd", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
                Key["Emily"], 
                Key["class"]}, "Item", False], "Mouse"], 
             ImageSize -> {{33.6, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["18"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
                Key["Emily"], 
                Key["age"]}, "Item", False], "Mouse"], 
             ImageSize -> {{34, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation["female", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
                Key["Emily"], 
                Key["sex"]}, "Item", False], "Mouse"], 
             ImageSize -> {{67.2, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["False"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
                Key["Emily"], 
                Key["survived"]}, "Item", False], "Mouse"], 
             ImageSize -> {{36, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}]}}, 
         BaseStyle -> {
          ContextMenu -> 
           Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
             Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
               TypeSystem`NestedGrid`PackagePrivate`localHold[
                TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
               TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
               TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
               TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
               TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
               TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                  
                  With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                   Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
           "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
         All, FrameStyle -> GrayLevel[0.7490196078431373], Spacings -> {0, 0},
          Alignment -> Left, 
         BaseStyle -> {
          FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
           Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
        False, ShowAutoStyles -> False]], 
     TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
    Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
     TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
        Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
        Module[{
         TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
          TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
          TypeSystem`NestedGrid`PackagePrivate`datasetData[
           TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
         TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
            FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
            TypeSystem`NestedGrid`PackagePrivate`renderGrid[
            TypeSystem`NestedGrid`PackagePrivate`$state$$, 
             TypeSystem`NestedGrid`PackagePrivate`$path$$, 
             TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
             TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
             TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
             TypeSystem`NestedGrid`PackagePrivate`localHold[
             TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
            TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
           Not[
            FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
           TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
           TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
      TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
      TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
        FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
        TypeSystem`SparseGrid[
         TypeSystem`H["(data no longer present)"]], 
        TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
     TrackedSymbols :> {
      TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
    DynamicModuleValues :> {}], 
   TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
    TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
     TypeSystem`PackageScope`SubViewPathbar[
     TypeSystem`NestedGrid`PackagePrivate`$path$$, 
      TypeSystem`NestedGrid`PackagePrivate`updateState[
      TypeSystem`NestedGrid`PackagePrivate`$state$$, 
       TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
       TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
       TypeSystem`NestedGrid`PackagePrivate`localHold[
       TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
    TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
   TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
    Framed[
     Dynamic[
      Replace[
      TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
       TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
          Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
          Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
           Blank[]], 
          Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
           Blank[]], 
          Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
           Blank[]]] :> (
         Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
         TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
          TypeSystem`NestedGrid`PackagePrivate`path$; 
         TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
          TypeSystem`NestedGrid`PackagePrivate`pathType$; 
         TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
          TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
         TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
          TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
         TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
          TypeSystem`NestedGrid`PackagePrivate`path$, 
           TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
        Spacer[10], Blank[] :> Spacer[10]}], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
     None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
     ImageSize -> {Automatic, 15}], FontSize -> 1], 
   TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
   DynamicWrapperBox[
    DynamicBox[ToBoxes[
      Dataset`DatasetContent[
      2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], "Grid" -> 
       Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
       Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
       Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
       Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
       Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
       Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
       Hold[
         TypeSystem`NestedGrid`PackagePrivate`localHold[
         TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
     ImageSizeCache->{318., {86.8837890625, 94.1162109375}},
     TrackedSymbols:>{
      TypeSystem`NestedGrid`PackagePrivate`$state$$, 
       TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = MouseAnnotation[],
    ImageSizeCache->{318., {86.8837890625, 94.1162109375}}],
   BaseStyle->{LineBreakWithin -> False},
   DynamicModuleValues:>{},
   Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
    CreateUUID[]),
   UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
  <|"Anna" -> <|
    "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> True|>, 
   "Bob" -> <|
    "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> False|>, 
   "Clarisse" -> <|
    "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> False|>, 
   "Diane" -> <|"class" -> "3rd", "sex" -> "female", "survived" -> True|>, 
   "Emily" -> <|
    "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
     False|>|>]], "Output",
 CellChangeTimes->{3.769255765476811*^9, 3.769280228996262*^9, 
  3.7693322490662622`*^9, 3.7693330860307093`*^9, 3.76937577505158*^9, 
  3.769953316927844*^9, 3.76995512336591*^9, 3.769955269112214*^9, 
  3.771929803445033*^9, 3.88063394941912*^9, 3.880634019283093*^9, 
  3.881419106390085*^9},
 CellLabel->"Out[237]=",
 CellID->1616067246,ExpressionUUID->"da897c30-5294-4b04-bcd2-e5a4f5913104"]
}, Open  ]],

Cell[TextData[{
 "Now I can use ",
 ButtonBox["Part",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Part.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Part.html"],
 " to extract Bob\[CloseCurlyQuote]s age or Clarisse\[CloseCurlyQuote]s \
survival or all the data on Diane or all the values for sex."
}], "Text",
 CellChangeTimes->{{3.769255776305366*^9, 3.769255802516954*^9}, {
   3.769255855905212*^9, 3.7692558681481*^9}, {3.769255899462302*^9, 
   3.7692559362456636`*^9}, {3.7758164721410065`*^9, 3.7758164797337656`*^9}, 
   3.77583004112018*^9, 3.7803068484121113`*^9},
 CellID->242240999,ExpressionUUID->"9b01e496-905d-4930-bb1a-a72262bc36cb"],

Cell[TextData[{
 ButtonBox["Part",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Part.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Part.html"],
 " sequences get specific values out of a structure of Associations:"
}], "CodeText",
 CellChangeTimes->{{3.7694201890055723`*^9, 3.769420208645113*^9}, {
  3.7758300519581804`*^9, 3.77583005604118*^9}},
 CellID->92507879,ExpressionUUID->"3dd4a1d9-dfe1-4aaf-bcc5-ba758cf4b855"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"Part", "[", 
    RowBox[{"dinghyk", ",", "\"\<Bob\>\"", ",", "\"\<age\>\""}], "]"}], ",", 
   RowBox[{"dinghyk", "[", 
    RowBox[{"[", 
     RowBox[{"\"\<Clarisse\>\"", ",", "\"\<survived\>\""}], "]"}], "]"}], ",", 
   RowBox[{"Part", "[", 
    RowBox[{"dinghyk", ",", "\"\<Diane\>\""}], "]"}], ",", 
   RowBox[{"Part", "[", 
    RowBox[{"dinghyk", ",", "All", ",", "\"\<sex\>\""}], "]"}]}], 
  "}"}]], "Input",
 CellChangeTimes->{{3.769255804666134*^9, 3.7692558788698883`*^9}, {
  3.769953324217889*^9, 3.769953325821042*^9}, {3.769955167488648*^9, 
  3.7699551695786953`*^9}},
 CellLabel->"In[238]:=",
 CellID->1749145703,ExpressionUUID->"9d6b6c2b-5dd7-4c6d-b5f1-a1609881d85b"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"65", ",", "False", ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "True"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"Anna\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"Bob\"\>", "\[Rule]", "\<\"male\"\>"}], ",", 
     RowBox[{"\<\"Clarisse\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"Diane\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"Emily\"\>", "\[Rule]", "\<\"female\"\>"}]}], 
    "\[RightAssociation]"}]}], "}"}]], "Output",
 CellChangeTimes->{3.769955269190604*^9, 3.771929803518038*^9, 
  3.88063395254272*^9, 3.880634019466589*^9, 3.881419113326171*^9},
 CellLabel->"Out[238]=",
 CellID->220482194,ExpressionUUID->"9c6f512c-5df2-4bc2-9863-d7b0867ba262"]
}, Open  ]],

Cell[TextData[{
 "Notice that when I do this and call for more than one piece of information, \
the ",
 ButtonBox["Part",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Part.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Part.html"],
 " function returns an ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 ". When I want just one piece of information, however, the ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " disappears and we just get the value."
}], "Text",
 CellChangeTimes->{{3.76925593727534*^9, 3.769255940420576*^9}, 
   3.7758303681894264`*^9, {3.857227461373302*^9, 3.8572274690482683`*^9}, {
   3.8661961811704016`*^9, 3.8661961819061685`*^9}, {3.8661962369045067`*^9, 
   3.8661962374693003`*^9}, {3.8661963588413515`*^9, 3.8661963589731045`*^9}},
 
 CellID->248207576,ExpressionUUID->"6b9f6162-c156-4a9e-b343-d75f1f2544ed"],

Cell["\<\
Of course, Associations can also be nested inside things other than Lists. \
This is a perfectly usable Wolfram Language expression.\
\>", "Text",
 CellChangeTimes->{{3.769255951635887*^9, 3.769255968053644*^9}, {
  3.76925600720339*^9, 3.769256015687315*^9}},
 CellTags->"LastCellOfAPage",
 CellID->1175568699,ExpressionUUID->"34fef641-8cc0-4294-be84-850ba4a8e6dc"],

Cell[TextData[{
 "Another nested ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.769420213580267*^9, 3.7694202330321712`*^9}, 
   3.7758304063422413`*^9, 3.857227481239015*^9},
 CellTags->"p: 74",
 CellID->1360252059,ExpressionUUID->"cfda3d9e-13f4-4ebb-bb12-df47b5c29da8"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"g", "[", 
  RowBox[{"7", ",", "chingAssociation"}], "]"}]], "Input",
 CellLabel->"In[239]:=",
 CellID->396539007,ExpressionUUID->"3c978bed-7cf2-4f17-8bd9-008679d25f22"],

Cell[BoxData[
 RowBox[{"g", "[", 
  RowBox[{"7", ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"team\"\>", "\[Rule]", "\<\"HOU\"\>"}], ",", 
     RowBox[{"\<\"lastName\"\>", "\[Rule]", "\<\"Ching\"\>"}], ",", 
     RowBox[{"\<\"firstName\"\>", "\[Rule]", "\<\"Brian\"\>"}], ",", 
     RowBox[{"\<\"position\"\>", "\[Rule]", "\<\"F\"\>"}], ",", 
     RowBox[{"\<\"baseSalary\"\>", "\[Rule]", 
      TemplateBox[{"220000", 
        RowBox[{
          FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
        "US dollars", "\"USDollars\""},
       "QuantityPrefix"]}], ",", 
     RowBox[{"\<\"guaranteedSalary\"\>", "\[Rule]", 
      TemplateBox[{"220000", 
        RowBox[{
          FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
        "US dollars", "\"USDollars\""},
       "QuantityPrefix"]}], ",", 
     RowBox[{"\<\"year\"\>", "\[Rule]", 
      TemplateBox[{
        RowBox[{
          StyleBox["\"Year: \"", "DateObjectLabel"], "\"2007\""}], 
        RowBox[{"DateObject", "[", 
          RowBox[{
            RowBox[{"{", "2007", "}"}], ",", "\"Year\"", ",", "\"Gregorian\"",
             ",", 
            RowBox[{"-", "5.`"}]}], "]"}]},
       "DateObject",
       Editable->False]}]}], "\[RightAssociation]"}]}], "]"}]], "Output",
 CellChangeTimes->{3.769332249140822*^9, 3.769375785278473*^9, 
  3.7699551234895763`*^9, 3.769955269243309*^9, 3.771929803529942*^9, 
  3.880633984322812*^9, 3.88063401947991*^9, 3.88141912055403*^9},
 CellLabel->"Out[239]=",
 CellID->506028369,ExpressionUUID->"5fdd936a-60cc-4f36-90b0-5c93c2d7063c"]
}, Open  ]],

Cell[TextData[{
 "I can still use ",
 ButtonBox["Part",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Part.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Part.html"],
 " to extract information:"
}], "CodeText",
 CellChangeTimes->{{3.769256058445887*^9, 3.769256073610532*^9}, {
  3.7758304310957165`*^9, 3.7758304365162587`*^9}},
 CellID->1918277382,ExpressionUUID->"b9b39e09-725e-499c-afb5-e5ad8da6e29b"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Part", "[", 
  RowBox[{
   RowBox[{"g", "[", 
    RowBox[{"7", ",", "chingAssociation"}], "]"}], ",", "2", ",", 
   RowBox[{"Key", "[", "\"\<firstName\>\"", "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.769256019404682*^9, 3.7692560412889*^9}},
 CellLabel->"In[240]:=",
 CellID->350433770,ExpressionUUID->"beb2e98d-6ac1-450f-a28c-f61f4817ef0e"],

Cell[BoxData["\<\"Brian\"\>"], "Output",
 CellChangeTimes->{{3.769256026047192*^9, 3.769256042021813*^9}, 
   3.7692560765931396`*^9, 3.76933224918603*^9, 3.7693757891894197`*^9, 
   3.769955123534067*^9, 3.769955269265154*^9, 3.771929803572805*^9, 
   3.880634019506764*^9, 3.881419124011829*^9},
 CellLabel->"Out[240]=",
 CellID->1713846921,ExpressionUUID->"c0f37429-9421-4b62-90f2-bee6dc851789"]
}, Open  ]],

Cell[TextData[{
 "Although ",
 ButtonBox["Part",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Part.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Part.html"],
 " does not have a pre-built operator form, the ",
 ButtonBox["Wolfram Function Repository",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/"], None},
  ButtonNote->"https://resources.wolframcloud.com/FunctionRepository/"],
 " (",
 ButtonBox["wolfr.am/WFR",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://wolfr.am/wfr"], None},
  ButtonNote->"https://wolfr.am/wfr"],
 ") contains ",
 ButtonBox["Slice",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
Slice"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/Slice"],
 ", which works as one. Observe."
}], "Text",
 CellChangeTimes->{{3.858240177372284*^9, 3.858240244685465*^9}, {
  3.866197653277822*^9, 3.8661976669290476`*^9}, {3.8661977084138575`*^9, 
  3.866197710064844*^9}, {3.866553516238721*^9, 3.866553517821999*^9}, {
  3.866554233649613*^9, 3.866554236526946*^9}, {3.8699170432259274`*^9, 
  3.86991706225395*^9}, {3.895815320251543*^9, 3.895815321290372*^9}},
 CellID->1604354778,ExpressionUUID->"64efee36-cab5-4b90-aeaa-71c63e562bf7"],

Cell[TextData[{
 " ",
 ButtonBox["Slice",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
Slice"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/Slice"],
 " works as a ",
 ButtonBox["Part",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Part.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Part.html"],
 " operator form:"
}], "CodeText",
 CellChangeTimes->{{3.7694202419743233`*^9, 3.769420252765778*^9}, 
   3.775830848121415*^9, 3.775830971726774*^9, {3.780307060666408*^9, 
   3.780307095055437*^9}, {3.780309043967876*^9, 3.780309064693472*^9}, {
   3.780309300342495*^9, 3.7803093003427773`*^9}, {3.7814432714001913`*^9, 
   3.781443280672701*^9}, {3.8665536248159122`*^9, 3.866553625696048*^9}, {
   3.866554227320839*^9, 3.866554228368835*^9}, {3.8699176937630043`*^9, 
   3.869917703140975*^9}},
 CellTags->"i:23",
 CellID->413798181,ExpressionUUID->"35cbb00b-c7ec-4e94-be5d-466d6b33762c"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   InterpretationBox[
    TagBox[
     TagBox[
      DynamicModuleBox[{Typeset`open = False}, 
       FrameBox[
        PaneSelectorBox[{False->GridBox[{
           {
            PaneBox[GridBox[{
               {
                StyleBox[
                 StyleBox[
                  AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                   BoxBaselineShift->-0.25,
                   BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                  
                  FontColor->RGBColor[
                   0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                 ShowStringCharacters->False,
                 FontFamily->"Source Sans Pro Black",
                 FontSize->0.6538461538461539 Inherited,
                 FontWeight->"Heavy",
                 PrivateFontOptions->{"OperatorSubstitution"->False}], 
                StyleBox[
                 RowBox[{
                  StyleBox["Slice", "ResourceFunctionLabel"], " "}],
                 ShowAutoStyles->False,
                 ShowStringCharacters->False,
                 FontSize->Rational[12, 13] Inherited,
                 FontColor->GrayLevel[0.1]]}
              },
              GridBoxSpacings->{"Columns" -> {{0.25}}}],
             Alignment->Left,
             BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
             BaselinePosition->Baseline,
             FrameMargins->{{3, 0}, {0, 0}}], 
            ItemBox[
             PaneBox[
              TogglerBox[Dynamic[Typeset`open], {True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "IconizeCloser"],
                ImageSizeCache->{11., {2., 9.}}], False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "IconizeOpener"],
                ImageSizeCache->{11., {2., 9.}}]},
               Appearance->None,
               BaselinePosition->Baseline,
               ContentPadding->False,
               FrameMargins->0],
              Alignment->Left,
              BaselinePosition->Baseline,
              FrameMargins->{{1, 1}, {0, 0}}],
             Frame->{{
                RGBColor[
                0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                 0.5], False}, {False, False}}]}
          },
          BaselinePosition->{1, 1},
          GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
         GridBox[{
           {GridBox[{
              {
               PaneBox[GridBox[{
                  {
                   StyleBox[
                    StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                    ShowStringCharacters->False,
                    FontFamily->"Source Sans Pro Black",
                    FontSize->0.6538461538461539 Inherited,
                    FontWeight->"Heavy",
                    PrivateFontOptions->{"OperatorSubstitution"->False}], 
                   StyleBox[
                    RowBox[{
                    StyleBox["Slice", "ResourceFunctionLabel"], " "}],
                    ShowAutoStyles->False,
                    ShowStringCharacters->False,
                    FontSize->Rational[12, 13] Inherited,
                    FontColor->GrayLevel[0.1]]}
                 },
                 GridBoxSpacings->{"Columns" -> {{0.25}}}],
                Alignment->Left,
                BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
                BaselinePosition->Baseline,
                FrameMargins->{{3, 0}, {0, 0}}], 
               ItemBox[
                PaneBox[
                 TogglerBox[Dynamic[Typeset`open], {True->
                  
                  DynamicBox[FEPrivate`FrontEndResource[
                   "FEBitmaps", "IconizeCloser"]], False->
                  
                  DynamicBox[FEPrivate`FrontEndResource[
                   "FEBitmaps", "IconizeOpener"]]},
                  Appearance->None,
                  BaselinePosition->Baseline,
                  ContentPadding->False,
                  FrameMargins->0],
                 Alignment->Left,
                 BaselinePosition->Baseline,
                 FrameMargins->{{1, 1}, {0, 0}}],
                Frame->{{
                   RGBColor[
                   0.8313725490196079, 0.8470588235294118, 0.8509803921568627,
                     0.5], False}, {False, False}}]}
             },
             BaselinePosition->{1, 1},
             GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
           {
            StyleBox[
             PaneBox[GridBox[{
                {
                 RowBox[{
                  TagBox["\<\"Version (latest): \"\>",
                   "IconizedLabel"], " ", 
                  TagBox["\<\"1.0.0\"\>",
                   "IconizedItem"]}]},
                {
                 TagBox[
                  
                  TemplateBox[{
                   "\"Documentation \[RightGuillemet]\"", 
                    "https://resources.wolframcloud.com/FunctionRepository/\
resources/6480efeb-6565-4850-9ed0-e2c00631d9f6/"},
                   "HyperlinkURL"],
                  "IconizedItem"]}
               },
               DefaultBaseStyle->"Column",
               GridBoxAlignment->{"Columns" -> {{Left}}},
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
              Alignment->Left,
              BaselinePosition->Baseline,
              FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
             FontFamily->"Roboto",
             FontSize->11]}
          },
          BaselinePosition->{1, 1},
          GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
          GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
               GrayLevel[0.8]}, False}},
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
         Typeset`open],
         BaselinePosition->Baseline,
         ImageSize->Automatic],
        Background->RGBColor[
         0.9686274509803922, 0.9764705882352941, 0.984313725490196],
        BaselinePosition->Baseline,
        DefaultBaseStyle->{},
        FrameMargins->{{0, 0}, {1, 0}},
        FrameStyle->RGBColor[
         0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
        RoundingRadius->4]],
      #& ,
      TagBoxNote->" "],
     {"FunctionResourceBox", 
      RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
      "Slice"},
     TagBoxNote->"FunctionResourceBox"],
    ResourceFunction[
     ResourceObject[<|
      "Name" -> "Slice", "ShortName" -> "Slice", "UUID" -> 
       "6480efeb-6565-4850-9ed0-e2c00631d9f6", "ResourceType" -> "Function", 
       "Version" -> "1.0.0", "Description" -> "An operator form of Part", 
       "RepositoryLocation" -> 
       URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
       "SymbolName" -> 
       "FunctionRepository`$1dcc7ca341c64d76bd036187ddf47d79`Slice", 
       "FunctionLocation" -> 
       CloudObject[
        "https://www.wolframcloud.com/objects/ca819436-f7a1-48ec-8b80-\
afd0b05e2067"]|>, ResourceSystemBase -> Automatic]],
    Selectable->False], "[", "\"\<firstName\>\"", "]"}], "[", 
  "chingAssociation", "]"}]], "Input",
 CellChangeTimes->{{3.769257286114212*^9, 3.7692573016778097`*^9}, {
   3.76933233429252*^9, 3.769332338320774*^9}, 3.881148239684379*^9},
 CellLabel->"In[241]:=",
 CellID->1724622515,ExpressionUUID->"9fcdf2be-a956-4866-b9f7-5f4a8c6f71b5"],

Cell[BoxData["\<\"Brian\"\>"], "Output",
 CellChangeTimes->{3.7692573020445957`*^9, 3.769332249208666*^9, 
  3.769332308693513*^9, 3.7693323394351254`*^9, 3.7693757980405607`*^9, 
  3.769955123690321*^9, 3.769955269417109*^9, 3.771929803607808*^9, 
  3.880634028479557*^9, 3.881419132680293*^9},
 CellLabel->"Out[241]=",
 CellID->2008263695,ExpressionUUID->"d37b432d-a975-4fd5-8d3f-caace5271051"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   InterpretationBox[
    TagBox[
     TagBox[
      DynamicModuleBox[{Typeset`open = False}, 
       FrameBox[
        PaneSelectorBox[{False->GridBox[{
           {
            PaneBox[GridBox[{
               {
                StyleBox[
                 StyleBox[
                  AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                   BoxBaselineShift->-0.25,
                   BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                  
                  FontColor->RGBColor[
                   0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                 ShowStringCharacters->False,
                 FontFamily->"Source Sans Pro Black",
                 FontSize->0.6538461538461539 Inherited,
                 FontWeight->"Heavy",
                 PrivateFontOptions->{"OperatorSubstitution"->False}], 
                StyleBox[
                 RowBox[{
                  StyleBox["Slice", "ResourceFunctionLabel"], " "}],
                 ShowAutoStyles->False,
                 ShowStringCharacters->False,
                 FontSize->Rational[12, 13] Inherited,
                 FontColor->GrayLevel[0.1]]}
              },
              GridBoxSpacings->{"Columns" -> {{0.25}}}],
             Alignment->Left,
             BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
             BaselinePosition->Baseline,
             FrameMargins->{{3, 0}, {0, 0}}], 
            ItemBox[
             PaneBox[
              TogglerBox[Dynamic[Typeset`open], {True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "IconizeCloser"],
                ImageSizeCache->{11., {2., 9.}}], False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "IconizeOpener"],
                ImageSizeCache->{11., {2., 9.}}]},
               Appearance->None,
               BaselinePosition->Baseline,
               ContentPadding->False,
               FrameMargins->0],
              Alignment->Left,
              BaselinePosition->Baseline,
              FrameMargins->{{1, 1}, {0, 0}}],
             Frame->{{
                RGBColor[
                0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                 0.5], False}, {False, False}}]}
          },
          BaselinePosition->{1, 1},
          GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
         GridBox[{
           {GridBox[{
              {
               PaneBox[GridBox[{
                  {
                   StyleBox[
                    StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                    ShowStringCharacters->False,
                    FontFamily->"Source Sans Pro Black",
                    FontSize->0.6538461538461539 Inherited,
                    FontWeight->"Heavy",
                    PrivateFontOptions->{"OperatorSubstitution"->False}], 
                   StyleBox[
                    RowBox[{
                    StyleBox["Slice", "ResourceFunctionLabel"], " "}],
                    ShowAutoStyles->False,
                    ShowStringCharacters->False,
                    FontSize->Rational[12, 13] Inherited,
                    FontColor->GrayLevel[0.1]]}
                 },
                 GridBoxSpacings->{"Columns" -> {{0.25}}}],
                Alignment->Left,
                BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
                BaselinePosition->Baseline,
                FrameMargins->{{3, 0}, {0, 0}}], 
               ItemBox[
                PaneBox[
                 TogglerBox[Dynamic[Typeset`open], {True->
                  
                  DynamicBox[FEPrivate`FrontEndResource[
                   "FEBitmaps", "IconizeCloser"]], False->
                  
                  DynamicBox[FEPrivate`FrontEndResource[
                   "FEBitmaps", "IconizeOpener"]]},
                  Appearance->None,
                  BaselinePosition->Baseline,
                  ContentPadding->False,
                  FrameMargins->0],
                 Alignment->Left,
                 BaselinePosition->Baseline,
                 FrameMargins->{{1, 1}, {0, 0}}],
                Frame->{{
                   RGBColor[
                   0.8313725490196079, 0.8470588235294118, 0.8509803921568627,
                     0.5], False}, {False, False}}]}
             },
             BaselinePosition->{1, 1},
             GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
           {
            StyleBox[
             PaneBox[GridBox[{
                {
                 RowBox[{
                  TagBox["\<\"Version (latest): \"\>",
                   "IconizedLabel"], " ", 
                  TagBox["\<\"1.0.0\"\>",
                   "IconizedItem"]}]},
                {
                 TagBox[
                  
                  TemplateBox[{
                   "\"Documentation \[RightGuillemet]\"", 
                    "https://resources.wolframcloud.com/FunctionRepository/\
resources/6480efeb-6565-4850-9ed0-e2c00631d9f6/"},
                   "HyperlinkURL"],
                  "IconizedItem"]}
               },
               DefaultBaseStyle->"Column",
               GridBoxAlignment->{"Columns" -> {{Left}}},
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
              Alignment->Left,
              BaselinePosition->Baseline,
              FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
             FontFamily->"Roboto",
             FontSize->11]}
          },
          BaselinePosition->{1, 1},
          GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
          GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
               GrayLevel[0.8]}, False}},
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
         Typeset`open],
         BaselinePosition->Baseline,
         ImageSize->Automatic],
        Background->RGBColor[
         0.9686274509803922, 0.9764705882352941, 0.984313725490196],
        BaselinePosition->Baseline,
        DefaultBaseStyle->{},
        FrameMargins->{{0, 0}, {1, 0}},
        FrameStyle->RGBColor[
         0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
        RoundingRadius->4]],
      #& ,
      TagBoxNote->" "],
     {"FunctionResourceBox", 
      RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
      "Slice"},
     TagBoxNote->"FunctionResourceBox"],
    ResourceFunction[
     ResourceObject[<|
      "Name" -> "Slice", "ShortName" -> "Slice", "UUID" -> 
       "6480efeb-6565-4850-9ed0-e2c00631d9f6", "ResourceType" -> "Function", 
       "Version" -> "1.0.0", "Description" -> "An operator form of Part", 
       "RepositoryLocation" -> 
       URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
       "SymbolName" -> 
       "FunctionRepository`$1dcc7ca341c64d76bd036187ddf47d79`Slice", 
       "FunctionLocation" -> 
       CloudObject[
        "https://www.wolframcloud.com/objects/ca819436-f7a1-48ec-8b80-\
afd0b05e2067"]|>, ResourceSystemBase -> Automatic]],
    Selectable->False], "[", 
   RowBox[{"{", 
    RowBox[{
    "\"\<firstName\>\"", ",", "\"\<lastName\>\"", ",", "\"\<position\>\""}], 
    "}"}], "]"}], "[", "chingAssociation", "]"}]], "Input",
 CellChangeTimes->{{3.769257286114212*^9, 3.7692573200028257`*^9}, {
   3.769332344778097*^9, 3.769332347763833*^9}, 3.881148242923997*^9},
 CellLabel->"In[242]:=",
 CellID->660153953,ExpressionUUID->"eabf552a-ef1d-4c9b-9a50-c813188c16ca"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"firstName\"\>", "\[Rule]", "\<\"Brian\"\>"}], ",", 
   RowBox[{"\<\"lastName\"\>", "\[Rule]", "\<\"Ching\"\>"}], ",", 
   RowBox[{"\<\"position\"\>", "\[Rule]", "\<\"F\"\>"}]}], 
  "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{3.7692573205823793`*^9, 3.76933224926169*^9, 
  3.769332348446164*^9, 3.769375800270214*^9, 3.769955123700742*^9, 
  3.7699552694291153`*^9, 3.77192980361876*^9, 3.880634030460505*^9, 
  3.881419135751567*^9},
 CellLabel->"Out[242]=",
 CellID->672297543,ExpressionUUID->"df4f8777-661b-497b-ba0b-6c75afa9425b"]
}, Open  ]],

Cell[TextData[{
 "I will make good use of this added capability, and we will see that the ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " function actually uses the progenitor of ",
 ButtonBox["Slice",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
Slice"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/Slice"],
 " quite extensively in doing its work."
}], "Text",
 CellChangeTimes->{{3.769257329405141*^9, 3.76925737146142*^9}, {
   3.775830978334435*^9, 3.775830988094411*^9}, {3.780307105522966*^9, 
   3.7803071061502523`*^9}, {3.780309005841011*^9, 3.780309005841299*^9}, {
   3.780309293057025*^9, 3.7803092930573*^9}, {3.866553650354432*^9, 
   3.866553653068021*^9}, {3.866554220350092*^9, 3.866554221916565*^9}, 
   3.867924434641659*^9, {3.86991772520226*^9, 3.8699177363266754`*^9}},
 CellID->1234489263,ExpressionUUID->"c2d5ee66-3d3b-44a5-9028-061e234e09ed"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox[ButtonBox["Position",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Position.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Position.html"],
  FontColor->RGBColor[
   0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]],
 " on ",
 StyleBox[ButtonBox["Association",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
  FontColor->RGBColor[
   0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]]
}], "Subsection",
 CellID->639889059,ExpressionUUID->"b1d821e5-5ba6-421d-aca8-ff616f52eb9d"],

Cell[TextData[{
 "By using ",
 ButtonBox["Position",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Position.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Position.html"],
 ", one can see all of the specifications to ",
 ButtonBox["Part",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Part.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Part.html"],
 " one might use to access components of an ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 ". Here I show all of the Parts in ",
 Cell[BoxData[
 "dinghy"], "InlineCodeText",ExpressionUUID->
  "b78ab0a7-180e-45b6-b3ac-4190af9a2064"],
 ", which, you will recall, is a ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of Associations. You can see that the rows of the data have an integer as \
their first index and a ",
 ButtonBox["Key",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Key.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Key.html"],
 " as their second index."
}], "Text",
 CellChangeTimes->{{3.7692568606729307`*^9, 3.769256882533011*^9}, {
   3.769256931416604*^9, 3.769257018559854*^9}, {3.769954916697569*^9, 
   3.769954923883709*^9}, {3.775831272683175*^9, 3.775831289590175*^9}, {
   3.8570303866871243`*^9, 3.857030386789851*^9}, {3.857227699611397*^9, 
   3.857227727371722*^9}, {3.8661992016765833`*^9, 3.86619920187699*^9}, {
   3.866210337365076*^9, 3.8662103429267817`*^9}, 3.866210375341216*^9},
 CellTags->"i:24",
 CellID->28591120,ExpressionUUID->"8e0ce34f-312c-4a70-b304-d1bc96da6323"],

Cell[TextData[{
 ButtonBox["Position",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Position.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Position.html"],
 " used with Associations extracts the name of Keys each wrapped in ",
 ButtonBox["Key",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Key.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Key.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.7694202576035748`*^9, 3.769420281233041*^9}, {
  3.775831310352175*^9, 3.775831319899175*^9}},
 CellID->247693268,ExpressionUUID->"5d3de938-7e73-4fb9-ad42-9059f95ce9f6"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Position", "[", 
  RowBox[{"dinghy", ",", "_", ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "2"}], "}"}], ",", 
   RowBox[{"Heads", "\[Rule]", "False"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.769256818594936*^9, 3.769256853110813*^9}, {
   3.769256958307061*^9, 3.769256961160057*^9}, 3.7699549376422873`*^9},
 CellLabel->"In[243]:=",
 CellID->168416409,ExpressionUUID->"688c0e43-ea6d-4626-bd1e-2d670cf066ce"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"1", ",", 
     RowBox[{"Key", "[", "\<\"class\"\>", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", 
     RowBox[{"Key", "[", "\<\"age\"\>", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", 
     RowBox[{"Key", "[", "\<\"sex\"\>", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", 
     RowBox[{"Key", "[", "\<\"survived\"\>", "]"}]}], "}"}], ",", 
   RowBox[{"{", "1", "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2", ",", 
     RowBox[{"Key", "[", "\<\"class\"\>", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2", ",", 
     RowBox[{"Key", "[", "\<\"age\"\>", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2", ",", 
     RowBox[{"Key", "[", "\<\"sex\"\>", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2", ",", 
     RowBox[{"Key", "[", "\<\"survived\"\>", "]"}]}], "}"}], ",", 
   RowBox[{"{", "2", "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"3", ",", 
     RowBox[{"Key", "[", "\<\"class\"\>", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"3", ",", 
     RowBox[{"Key", "[", "\<\"age\"\>", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"3", ",", 
     RowBox[{"Key", "[", "\<\"sex\"\>", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"3", ",", 
     RowBox[{"Key", "[", "\<\"survived\"\>", "]"}]}], "}"}], ",", 
   RowBox[{"{", "3", "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"4", ",", 
     RowBox[{"Key", "[", "\<\"class\"\>", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"4", ",", 
     RowBox[{"Key", "[", "\<\"age\"\>", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"4", ",", 
     RowBox[{"Key", "[", "\<\"sex\"\>", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"4", ",", 
     RowBox[{"Key", "[", "\<\"survived\"\>", "]"}]}], "}"}], ",", 
   RowBox[{"{", "4", "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"5", ",", 
     RowBox[{"Key", "[", "\<\"class\"\>", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"5", ",", 
     RowBox[{"Key", "[", "\<\"age\"\>", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"5", ",", 
     RowBox[{"Key", "[", "\<\"sex\"\>", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"5", ",", 
     RowBox[{"Key", "[", "\<\"survived\"\>", "]"}]}], "}"}], ",", 
   RowBox[{"{", "5", "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.769256827206547*^9, 3.7692568535953608`*^9}, {
   3.7692569586458883`*^9, 3.7692569615413*^9}, 3.7693322492859287`*^9, 
   3.769375804574132*^9, 3.769955123738496*^9, 3.769955269466866*^9, 
   3.771929803650507*^9, 3.880634053186192*^9, 3.881419142640662*^9},
 CellLabel->"Out[243]=",
 CellID->1265821792,ExpressionUUID->"974271ac-4f3a-4875-a0b8-038b2dc73633"]
}, Open  ]],

Cell[TextData[{
 "When the data is an ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " of Associations, the Parts are a ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of Keys. The rows themselves contain just one element: the key for the \
row. The individual items like \[OpenCurlyDoubleQuote]male\
\[CloseCurlyDoubleQuote] or \[OpenCurlyDoubleQuote]65\[CloseCurlyDoubleQuote] \
contain two elements, one key for the row and one key for the column."
}], "Text",
 CellChangeTimes->{{3.7692569997297153`*^9, 3.769257093525455*^9}, {
  3.7758314437401752`*^9, 3.7758314451321754`*^9}, {3.7803085671161222`*^9, 
  3.780308570091658*^9}, {3.857227741482171*^9, 3.857227749234337*^9}},
 CellTags->"LastCellOfAPage",
 CellID->1164965992,ExpressionUUID->"8c077631-ad70-4d44-9a72-49ca90d4a985"],

Cell[TextData[{
 ButtonBox["Part",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Part.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Part.html"],
 " specifications for nested Associations are Lists of Keys:"
}], "CodeText",
 CellChangeTimes->{{3.7694202915488253`*^9, 3.769420311064788*^9}, {
   3.775831437116175*^9, 3.7758314579481754`*^9}, 3.7803086061002493`*^9},
 CellTags->"p: 75",
 CellID->1677020723,ExpressionUUID->"afb99c14-a2a0-4960-bfa2-4f57611abacc"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Position", "[", 
  RowBox[{"dinghyk", ",", " ", "_", ",", " ", 
   RowBox[{"{", 
    RowBox[{"1", ",", " ", "2"}], "}"}], ",", " ", 
   RowBox[{"Heads", " ", "->", " ", "False"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.769256818594936*^9, 3.769256853110813*^9}, {
   3.769256958307061*^9, 3.769256961160057*^9}, {3.769256994254636*^9, 
   3.769257005723123*^9}, {3.769333105468058*^9, 3.769333110839748*^9}, 
   3.7699549385371437`*^9},
 CellLabel->"In[244]:=",
 CellID->927681528,ExpressionUUID->"2ff0b698-4759-4924-a1d4-590a90ee4e48"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Key", "[", "\<\"Anna\"\>", "]"}], ",", 
     RowBox[{"Key", "[", "\<\"class\"\>", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Key", "[", "\<\"Anna\"\>", "]"}], ",", 
     RowBox[{"Key", "[", "\<\"age\"\>", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Key", "[", "\<\"Anna\"\>", "]"}], ",", 
     RowBox[{"Key", "[", "\<\"sex\"\>", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Key", "[", "\<\"Anna\"\>", "]"}], ",", 
     RowBox[{"Key", "[", "\<\"survived\"\>", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"Key", "[", "\<\"Anna\"\>", "]"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Key", "[", "\<\"Bob\"\>", "]"}], ",", 
     RowBox[{"Key", "[", "\<\"class\"\>", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Key", "[", "\<\"Bob\"\>", "]"}], ",", 
     RowBox[{"Key", "[", "\<\"age\"\>", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Key", "[", "\<\"Bob\"\>", "]"}], ",", 
     RowBox[{"Key", "[", "\<\"sex\"\>", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Key", "[", "\<\"Bob\"\>", "]"}], ",", 
     RowBox[{"Key", "[", "\<\"survived\"\>", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"Key", "[", "\<\"Bob\"\>", "]"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Key", "[", "\<\"Clarisse\"\>", "]"}], ",", 
     RowBox[{"Key", "[", "\<\"class\"\>", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Key", "[", "\<\"Clarisse\"\>", "]"}], ",", 
     RowBox[{"Key", "[", "\<\"age\"\>", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Key", "[", "\<\"Clarisse\"\>", "]"}], ",", 
     RowBox[{"Key", "[", "\<\"sex\"\>", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Key", "[", "\<\"Clarisse\"\>", "]"}], ",", 
     RowBox[{"Key", "[", "\<\"survived\"\>", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"Key", "[", "\<\"Clarisse\"\>", "]"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Key", "[", "\<\"Diane\"\>", "]"}], ",", 
     RowBox[{"Key", "[", "\<\"class\"\>", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Key", "[", "\<\"Diane\"\>", "]"}], ",", 
     RowBox[{"Key", "[", "\<\"sex\"\>", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Key", "[", "\<\"Diane\"\>", "]"}], ",", 
     RowBox[{"Key", "[", "\<\"survived\"\>", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"Key", "[", "\<\"Diane\"\>", "]"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Key", "[", "\<\"Emily\"\>", "]"}], ",", 
     RowBox[{"Key", "[", "\<\"class\"\>", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Key", "[", "\<\"Emily\"\>", "]"}], ",", 
     RowBox[{"Key", "[", "\<\"age\"\>", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Key", "[", "\<\"Emily\"\>", "]"}], ",", 
     RowBox[{"Key", "[", "\<\"sex\"\>", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Key", "[", "\<\"Emily\"\>", "]"}], ",", 
     RowBox[{"Key", "[", "\<\"survived\"\>", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"Key", "[", "\<\"Emily\"\>", "]"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.7692569968969097`*^9, 3.769333111641371*^9, 
  3.7693758073589783`*^9, 3.769955123747712*^9, 3.769955269477079*^9, 
  3.771929803686564*^9, 3.880634053226294*^9, 3.881419149007646*^9},
 CellLabel->"Out[244]=",
 CellID->2116676562,ExpressionUUID->"e8ccbb75-59bc-4c53-ac16-95a49db0a11a"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox[ButtonBox["KeyTake",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/KeyTake.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/KeyTake.html"],
  FontColor->RGBColor[
   0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]],
 " and ",
 StyleBox[ButtonBox["KeyDrop",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/KeyDrop.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/KeyDrop.html"],
  FontColor->RGBColor[
   0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]]
}], "Subsection",
 CellID->1977193827,ExpressionUUID->"df96383b-8942-49cf-8c1b-7c525d991a4c"],

Cell[TextData[{
 "There are two functions used all the time in referencing components of an ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 ": ",
 ButtonBox["KeyTake",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/KeyTake.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/KeyTake.html"],
 " and ",
 ButtonBox["KeyDrop",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/KeyDrop.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/KeyDrop.html"],
 ". They are similar to ",
 ButtonBox["Take",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Take.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Take.html"],
 " and ",
 ButtonBox["Drop",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Drop.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Drop.html"],
 ", which operate on normal expressions such as those existing before the \
Wolfram Language had Associations. ",
 ButtonBox["KeyTake",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/KeyTake.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/KeyTake.html"],
 " uses the ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " as its first argument and then either a single key (with ",
 StyleBox["no",
  FontSlant->"Italic"],
 " ",
 ButtonBox["Key",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Key.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Key.html"],
 " wrapper) as its second argument or a list of keys as its second argument. ",
 ButtonBox["KeyTake",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/KeyTake.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/KeyTake.html"],
 " and ",
 ButtonBox["KeyDrop",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/KeyDrop.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/KeyDrop.html"],
 ", when successful, always return Associations, and this is true even when \
one requests just one item from the ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 "."
}], "Text",
 CellChangeTimes->{{3.769257109973845*^9, 3.769257148761373*^9}, {
  3.769257216272572*^9, 3.7692572195226*^9}, {3.769257389760373*^9, 
  3.769257421596546*^9}, {3.769257907027348*^9, 3.769257932495727*^9}, {
  3.7758314919811754`*^9, 3.7758314959951754`*^9}, {3.775832124888175*^9, 
  3.775832139178175*^9}, {3.7758321873321753`*^9, 3.775832189083175*^9}, {
  3.857030512539057*^9, 3.85703057083502*^9}, {3.857227810360549*^9, 
  3.857227890107319*^9}, {3.8572279269917393`*^9, 3.8572279338436937`*^9}, {
  3.8661993232966304`*^9, 3.86619933289521*^9}, {3.8661993720044355`*^9, 
  3.86619937277771*^9}},
 CellTags->"i:25",
 CellID->1196192676,ExpressionUUID->"7d7f043c-c8ba-495e-bd2e-886da9aaba6c"],

Cell[TextData[{
 ButtonBox["KeyTake",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/KeyTake.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/KeyTake.html"],
 " extracts single or multiple key-value pairs:"
}], "CodeText",
 CellChangeTimes->{{3.769420504063471*^9, 3.7694205270205173`*^9}, {
  3.7755790496254816`*^9, 3.7755790508894815`*^9}, {3.7758322009031754`*^9, 
  3.775832202567175*^9}},
 CellID->1789882006,ExpressionUUID->"e434c699-e973-4fa6-a063-7136abba5b11"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"KeyTake", "[", 
    RowBox[{"chingAssociation", ",", "\"\<baseSalary\>\""}], "]"}], ",", 
   RowBox[{"KeyTake", "[", 
    RowBox[{"chingAssociation", ",", 
     RowBox[{"{", 
      RowBox[{"\"\<baseSalary\>\"", ",", "\"\<team\>\""}], "}"}]}], "]"}]}], 
  "}"}]], "Input",
 CellChangeTimes->{{3.769257154045657*^9, 3.7692571711866703`*^9}, {
  3.769257423969097*^9, 3.76925742847683*^9}},
 CellLabel->"In[245]:=",
 CellID->1023418643,ExpressionUUID->"9a45ed45-e957-4e5d-9226-0e0faa0c47c3"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"\[LeftAssociation]", 
    RowBox[{"\<\"baseSalary\"\>", "\[Rule]", 
     TemplateBox[{"220000", 
       RowBox[{
         FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
       "US dollars", "\"USDollars\""},
      "QuantityPrefix"]}], "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"baseSalary\"\>", "\[Rule]", 
      TemplateBox[{"220000", 
        RowBox[{
          FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
        "US dollars", "\"USDollars\""},
       "QuantityPrefix"]}], ",", 
     RowBox[{"\<\"team\"\>", "\[Rule]", "\<\"HOU\"\>"}]}], 
    "\[RightAssociation]"}]}], "}"}]], "Output",
 CellChangeTimes->{3.769257171727453*^9, 3.769257428826929*^9, 
  3.769332249319038*^9, 3.769375811481352*^9, 3.769955123763207*^9, 
  3.7699552694933023`*^9, 3.771929803697774*^9, 3.880634053241153*^9, 
  3.881419155909049*^9},
 CellLabel->"Out[245]=",
 CellID->1315731501,ExpressionUUID->"74ee7df7-9f3e-45a3-9742-ad3f8fea1e44"]
}, Open  ]],

Cell[TextData[{
 ButtonBox["KeyTake",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/KeyTake.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/KeyTake.html"],
 " has an operator form that uses the key designation as its argument:"
}], "CodeText",
 CellChangeTimes->{{3.769420530414217*^9, 3.769420541146121*^9}, {
   3.775832234534175*^9, 3.775832238513175*^9}, {3.85824028127249*^9, 
   3.858240283101871*^9}, 3.858333403804823*^9},
 CellID->616607258,ExpressionUUID->"63029839-301d-4185-89df-06689aadf0e7"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"KeyTake", "[", 
   RowBox[{"{", 
    RowBox[{"\"\<baseSalary\>\"", ",", "\"\<team\>\""}], "}"}], "]"}], "[", 
  "chingAssociation", "]"}]], "Input",
 CellChangeTimes->{{3.769257225781959*^9, 3.769257237837283*^9}},
 CellLabel->"In[246]:=",
 CellID->2072517240,ExpressionUUID->"8f4ba71a-3c93-43bc-947a-b879eceea552"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"baseSalary\"\>", "\[Rule]", 
    TemplateBox[{"220000", 
      RowBox[{
        FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars",
       "\"USDollars\""},
     "QuantityPrefix"]}], ",", 
   RowBox[{"\<\"team\"\>", "\[Rule]", "\<\"HOU\"\>"}]}], 
  "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{3.769257238320402*^9, 3.769332249342161*^9, 
  3.769375815100585*^9, 3.769955123805361*^9, 3.76995526953813*^9, 
  3.7719298037380457`*^9, 3.880634053254301*^9, 3.88141916100939*^9},
 CellLabel->"Out[246]=",
 CellID->1578958145,ExpressionUUID->"73e3e092-4eef-49be-9e9f-cd9f2a0bfebd"]
}, Open  ]],

Cell[TextData[{
 "Three other points. First, again, do not wrap the strings in ",
 ButtonBox["Key",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Key.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Key.html"],
 ". "
}], "Text",
 CellChangeTimes->{{3.7692574649709663`*^9, 3.769257491367382*^9}, {
   3.769257713463449*^9, 3.769257714589838*^9}, {3.769258002120483*^9, 
   3.7692580253721657`*^9}, {3.769258081651095*^9, 3.769258083184552*^9}, 
   3.8572280382068357`*^9},
 CellID->1016740374,ExpressionUUID->"bb9cb9ab-13c8-4305-94a8-0beeb7917f8b"],

Cell[TextData[{
 "Don\[CloseCurlyQuote]t wrap keys in ",
 ButtonBox["Key",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Key.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Key.html"],
 " when using ",
 ButtonBox["KeyTake",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/KeyTake.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/KeyTake.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.769420544819477*^9, 3.769420556988352*^9}, {
  3.7758166460603967`*^9, 3.775816646460437*^9}, {3.775832245886175*^9, 
  3.775832251477175*^9}},
 CellID->684384169,ExpressionUUID->"d379dc41-42c3-4df0-be9e-a110f1a845d7"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"KeyTake", "[", 
  RowBox[{"chingAssociation", ",", 
   RowBox[{"Key", "[", "\"\<baseSalary\>\"", "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.769257188845409*^9, 3.769257197497128*^9}},
 CellLabel->"In[247]:=",
 CellID->960320957,ExpressionUUID->"3a270fb1-ff9b-48bb-9bf2-e31083311134"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{3.7692571978044*^9, 3.769332249379277*^9, 
  3.769375817065124*^9, 3.769955123817634*^9, 3.769955269553893*^9, 
  3.7719298037520123`*^9, 3.880634053280933*^9, 3.881419166036372*^9},
 CellLabel->"Out[247]=",
 CellID->1900946066,ExpressionUUID->"b8402955-c8a6-4578-ba2e-7ba9a4df93ec"]
}, Open  ]],

Cell[TextData[{
 "Second, ",
 ButtonBox["KeyTake",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/KeyTake.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/KeyTake.html"],
 " works on the ",
 ButtonBox["Normal",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Normal.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Normal.html"],
 " form of Associations but does not work on non-Associations."
}], "Text",
 CellChangeTimes->{{3.769257496932053*^9, 3.769257505774762*^9}, {
   3.769257545207657*^9, 3.769257547932857*^9}, {3.769257602286628*^9, 
   3.769257614361024*^9}, 3.7755774732242327`*^9, {3.775579054480481*^9, 
   3.7755790555294814`*^9}, 3.7758323031531754`*^9, 3.7758329756969395`*^9, 
   3.857228049216289*^9},
 CellTags->{"LastCellOfAPage", "i:26"},
 CellID->229071444,ExpressionUUID->"f0577c0b-6f49-4c6c-a23c-6afbf98d0742"],

Cell[TextData[{
 ButtonBox["KeyTake",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/KeyTake.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/KeyTake.html"],
 " doesn\[CloseCurlyQuote]t work on bare Lists:"
}], "CodeText",
 CellChangeTimes->{{3.769420563120431*^9, 3.769420600441181*^9}, {
  3.775816488357628*^9, 3.7758164903418264`*^9}, {3.7758330379821672`*^9, 
  3.775833042256595*^9}, {3.78030870841968*^9, 3.780308709011265*^9}},
 CellTags->"p: 76",
 CellID->1547089227,ExpressionUUID->"dc80e6d3-6ef3-4535-8d6e-43ec8d3e07d2"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"KeyTake", "[", 
    RowBox[{
     RowBox[{"Normal", "[", "chingAssociation", "]"}], ",", 
     "\"\<firstName\>\""}], "]"}], ",", 
   RowBox[{"KeyTake", "[", 
    RowBox[{
     RowBox[{"Values", "[", "chingAssociation", "]"}], ",", 
     "\"\<firstName\>\""}], "]"}], ",", 
   RowBox[{"KeyTake", "[", 
    RowBox[{
     RowBox[{"Values", "[", "chingAssociation", "]"}], ",", "3"}], "]"}]}], 
  "}"}]], "Input",
 CellChangeTimes->{{3.7692575094107437`*^9, 3.769257535855475*^9}, {
  3.7692577696869717`*^9, 3.7692577782941008`*^9}},
 CellLabel->"In[248]:=",
 CellID->1876424154,ExpressionUUID->"447322ef-604d-411e-907f-cdce60d0ec49"],

Cell[BoxData[
 TemplateBox[{
  "KeyTake", "invru", 
   "\"The argument \\!\\(\\*RowBox[{\\\"{\\\", \
RowBox[{\\\"\\\\\\\"HOU\\\\\\\"\\\", \\\",\\\", \
\\\"\\\\\\\"Ching\\\\\\\"\\\", \\\",\\\", \\\"\\\\\\\"Brian\\\\\\\"\\\", \
\\\",\\\", \\\"\\\\\\\"F\\\\\\\"\\\", \\\",\\\", \
TemplateBox[List[\\\"220000\\\", \
RowBox[List[FormBox[\\\"\\\\\\\"$\\\\\\\"\\\", TraditionalForm], \
\\\"\\\\[VeryThinSpace]\\\"]], \\\"US dollars\\\", \
\\\"\\\\\\\"USDollars\\\\\\\"\\\"], \\\"QuantityPrefix\\\", Rule[SyntaxForm, \
Mod]], \\\",\\\", TemplateBox[List[\\\"220000\\\", RowBox[List[FormBox[\\\"\\\
\\\\\"$\\\\\\\"\\\", TraditionalForm], \\\"\\\\[VeryThinSpace]\\\"]], \\\"US \
dollars\\\", \\\"\\\\\\\"USDollars\\\\\\\"\\\"], \\\"QuantityPrefix\\\", \
Rule[SyntaxForm, Mod]], \\\",\\\", RowBox[{\\\"DateObject\\\", \\\"[\\\", \
RowBox[{RowBox[{\\\"{\\\", \\\"2007\\\", \\\"}\\\"}], \\\",\\\", \
\\\"\\\\\\\"Year\\\\\\\"\\\", \\\",\\\", \\\"\\\\\\\"Gregorian\\\\\\\"\\\", \
\\\",\\\", RowBox[{\\\"-\\\", \\\"5.`\\\"}]}], \\\"]\\\"}]}], \\\"}\\\"}]\\) \
is not a valid Association or a list of rules.\"", 2, 194, 19, 
   30672011955391748895, "Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.769257536214303*^9, 3.7692576183943644`*^9, 
  3.769257778808579*^9, 3.769332249415753*^9, 3.769375822083197*^9, 
  3.769955123857353*^9, 3.76995526959417*^9, 3.771929803788425*^9, 
  3.8806340533159513`*^9},
 CellLabel->"During evaluation of In[194]:=",
 CellID->724995332,ExpressionUUID->"a5132b53-3d2d-451c-8240-37388821f594"],

Cell[BoxData[
 TemplateBox[{
  "KeyTake", "invru", 
   "\"The argument \\!\\(\\*RowBox[{\\\"{\\\", \
RowBox[{\\\"\\\\\\\"HOU\\\\\\\"\\\", \\\",\\\", \
\\\"\\\\\\\"Ching\\\\\\\"\\\", \\\",\\\", \\\"\\\\\\\"Brian\\\\\\\"\\\", \
\\\",\\\", \\\"\\\\\\\"F\\\\\\\"\\\", \\\",\\\", \
TemplateBox[List[\\\"220000\\\", \
RowBox[List[FormBox[\\\"\\\\\\\"$\\\\\\\"\\\", TraditionalForm], \
\\\"\\\\[VeryThinSpace]\\\"]], \\\"US dollars\\\", \
\\\"\\\\\\\"USDollars\\\\\\\"\\\"], \\\"QuantityPrefix\\\", Rule[SyntaxForm, \
Mod]], \\\",\\\", TemplateBox[List[\\\"220000\\\", RowBox[List[FormBox[\\\"\\\
\\\\\"$\\\\\\\"\\\", TraditionalForm], \\\"\\\\[VeryThinSpace]\\\"]], \\\"US \
dollars\\\", \\\"\\\\\\\"USDollars\\\\\\\"\\\"], \\\"QuantityPrefix\\\", \
Rule[SyntaxForm, Mod]], \\\",\\\", RowBox[{\\\"DateObject\\\", \\\"[\\\", \
RowBox[{RowBox[{\\\"{\\\", \\\"2007\\\", \\\"}\\\"}], \\\",\\\", \
\\\"\\\\\\\"Year\\\\\\\"\\\", \\\",\\\", \\\"\\\\\\\"Gregorian\\\\\\\"\\\", \
\\\",\\\", RowBox[{\\\"-\\\", \\\"5.`\\\"}]}], \\\"]\\\"}]}], \\\"}\\\"}]\\) \
is not a valid Association or a list of rules.\"", 2, 194, 20, 
   30672011955391748895, "Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.769257536214303*^9, 3.7692576183943644`*^9, 
  3.769257778808579*^9, 3.769332249415753*^9, 3.769375822083197*^9, 
  3.769955123857353*^9, 3.76995526959417*^9, 3.771929803788425*^9, 
  3.880634053334132*^9},
 CellLabel->"During evaluation of In[194]:=",
 CellID->174331846,ExpressionUUID->"dfe78fa5-293d-4c7c-ab9b-5c630242fc48"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"\[LeftAssociation]", 
    RowBox[{"\<\"firstName\"\>", "\[Rule]", "\<\"Brian\"\>"}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"KeyTake", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\<\"HOU\"\>", ",", "\<\"Ching\"\>", ",", "\<\"Brian\"\>", 
       ",", "\<\"F\"\>", ",", 
       TemplateBox[{"220000", 
         RowBox[{
           FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
         "US dollars", "\"USDollars\""},
        "QuantityPrefix"], ",", 
       TemplateBox[{"220000", 
         RowBox[{
           FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
         "US dollars", "\"USDollars\""},
        "QuantityPrefix"], ",", 
       TemplateBox[{
         RowBox[{
           StyleBox["\"Year: \"", "DateObjectLabel"], "\"2007\""}], 
         RowBox[{"DateObject", "[", 
           RowBox[{
             RowBox[{"{", "2007", "}"}], ",", "\"Year\"", ",", 
             "\"Gregorian\"", ",", 
             RowBox[{"-", "5.`"}]}], "]"}]},
        "DateObject",
        Editable->False]}], "}"}], ",", "\<\"firstName\"\>"}], "]"}], ",", 
   RowBox[{"KeyTake", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\<\"HOU\"\>", ",", "\<\"Ching\"\>", ",", "\<\"Brian\"\>", 
       ",", "\<\"F\"\>", ",", 
       TemplateBox[{"220000", 
         RowBox[{
           FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
         "US dollars", "\"USDollars\""},
        "QuantityPrefix"], ",", 
       TemplateBox[{"220000", 
         RowBox[{
           FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
         "US dollars", "\"USDollars\""},
        "QuantityPrefix"], ",", 
       TemplateBox[{
         RowBox[{
           StyleBox["\"Year: \"", "DateObjectLabel"], "\"2007\""}], 
         RowBox[{"DateObject", "[", 
           RowBox[{
             RowBox[{"{", "2007", "}"}], ",", "\"Year\"", ",", 
             "\"Gregorian\"", ",", 
             RowBox[{"-", "5.`"}]}], "]"}]},
        "DateObject",
        Editable->False]}], "}"}], ",", "3"}], "]"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.7692575137359743`*^9, 3.7692575362364273`*^9}, 
   3.7692576184238043`*^9, 3.769257778851234*^9, 3.7693322494639397`*^9, 
   3.769375822121648*^9, 3.769955123886697*^9, 3.769955269623785*^9, 
   3.771929803821596*^9, 3.8806340533485947`*^9, 3.8814191728797493`*^9},
 CellLabel->"Out[248]=",
 CellID->1450219110,ExpressionUUID->"2d0f1221-769f-4e84-8a5d-411857701e06"]
}, Open  ]],

Cell[TextData[{
 "Third, if ",
 ButtonBox["KeyTake",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/KeyTake.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/KeyTake.html"],
 " can\[CloseCurlyQuote]t find the ",
 ButtonBox["Key",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Key.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Key.html"],
 ", it returns an ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " without the requested key-value pair. That\[CloseCurlyQuote]s the intended \
behavior. It does ",
 StyleBox["not",
  FontSlant->"Italic"],
 " return an error message. Here\[CloseCurlyQuote]s an example of how ",
 ButtonBox["KeyTake",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/KeyTake.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/KeyTake.html"],
 " behaves in this circumstance. I use the operator form of ",
 ButtonBox["KeyTake",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/KeyTake.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/KeyTake.html"],
 ", but the result would be the same if I used the conventional two-argument \
form."
}], "Text",
 CellChangeTimes->{{3.769258085341372*^9, 3.769258124074361*^9}, {
  3.7692581576509933`*^9, 3.769258181330271*^9}, {3.769258412287706*^9, 
  3.769258451855443*^9}, {3.7758164947662687`*^9, 3.7758164953593283`*^9}, {
  3.7758330470780773`*^9, 3.7758330823046*^9}, {3.8572280689058647`*^9, 
  3.8572280737382107`*^9}},
 CellTags->"i:27",
 CellID->318614271,ExpressionUUID->"e6369828-5a5a-4a5e-b3f6-30a055f1c87b"],

Cell[TextData[{
 "If a key is not present, ",
 ButtonBox["KeyTake",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/KeyTake.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/KeyTake.html"],
 " does not give an error:"
}], "CodeText",
 CellChangeTimes->{{3.769420606272882*^9, 3.769420635161489*^9}, {
  3.775833098260195*^9, 3.775833100456414*^9}},
 CellID->837380298,ExpressionUUID->"6d4d0b95-19b9-4dfb-9cfb-8722bb683311"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"KeyTake", "[", "\"\<goals\>\"", "]"}], "[", "chingAssociation", 
    "]"}], ",", 
   RowBox[{
    RowBox[{"KeyTake", "[", 
     RowBox[{"{", 
      RowBox[{"\"\<goals\>\"", ",", "\"\<year\>\""}], "}"}], "]"}], "[", 
    "chingAssociation", "]"}]}], "}"}]], "Input",
 CellChangeTimes->{{3.769258126056594*^9, 3.769258150178256*^9}, {
  3.769258386623476*^9, 3.769258399046403*^9}},
 CellLabel->"In[249]:=",
 CellID->1240209624,ExpressionUUID->"a97a9669-926c-4372-9190-08fe81d3ff7e"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"\[LeftAssociation]", "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{"\<\"year\"\>", "\[Rule]", 
     TemplateBox[{
       RowBox[{
         StyleBox["\"Year: \"", "DateObjectLabel"], "\"2007\""}], 
       RowBox[{"DateObject", "[", 
         RowBox[{
           RowBox[{"{", "2007", "}"}], ",", "\"Year\"", ",", "\"Gregorian\"", 
           ",", 
           RowBox[{"-", "5.`"}]}], "]"}]},
      "DateObject",
      Editable->False]}], "\[RightAssociation]"}]}], "}"}]], "Output",
 CellChangeTimes->{3.769258150442637*^9, 3.769258399678568*^9, 
  3.769332249521291*^9, 3.7693758272034492`*^9, 3.7699551239196243`*^9, 
  3.769955269688534*^9, 3.771929803849782*^9, 3.881419221123983*^9},
 CellLabel->"Out[249]=",
 CellID->1857453811,ExpressionUUID->"645749e1-8c4c-42b2-9c0b-08733f19526b"]
}, Open  ]],

Cell[TextData[{
 "The ",
 ButtonBox["Lookup",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Lookup.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Lookup.html"],
 " function discussed in a moment is what you want if you want more specific \
control over missing keys."
}], "Text",
 CellChangeTimes->{{3.7692584134503603`*^9, 3.769258416058503*^9}, 
   3.775833122660635*^9},
 CellTags->"i:28",
 CellID->582453422,ExpressionUUID->"4622f190-5a7b-49a8-adeb-b69099e9def9"],

Cell[TextData[{
 ButtonBox["KeyDrop",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/KeyDrop.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/KeyDrop.html"],
 " is KeyTake\[CloseCurlyQuote]s negative cousin. It has the same syntax as \
",
 ButtonBox["KeyTake",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/KeyTake.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/KeyTake.html"],
 " and does exactly what you think it does. It has a similar operator form."
}], "Text",
 CellChangeTimes->{{3.7692576224808073`*^9, 3.7692576790758543`*^9}, {
   3.775816500230815*^9, 3.775816500821874*^9}, {3.7758331401893873`*^9, 
   3.7758331494933176`*^9}, 3.857228113790546*^9, {3.866199839819216*^9, 
   3.8661998471659408`*^9}},
 CellTags->"i:29",
 CellID->834154799,ExpressionUUID->"186b4316-724b-4d25-9216-2861f261eca8"],

Cell[TextData[{
 ButtonBox["KeyDrop",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/KeyDrop.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/KeyDrop.html"],
 " drops key-value pairs based on the key:"
}], "CodeText",
 CellChangeTimes->{{3.769420643005558*^9, 3.7694206509147387`*^9}, {
  3.7755790795754814`*^9, 3.775579081711481*^9}, {3.775833154290797*^9, 
  3.7758331560999784`*^9}},
 CellID->583530763,ExpressionUUID->"04d484fe-ff4d-416f-ae94-a0a33434a7d0"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"KeyDrop", "[", 
    RowBox[{"chingAssociation", ",", 
     RowBox[{"{", 
      RowBox[{"\"\<baseSalary\>\"", ",", "\"\<firstName\>\""}], "}"}]}], 
    "]"}], ",", 
   RowBox[{
    RowBox[{"KeyDrop", "[", 
     RowBox[{"{", 
      RowBox[{"\"\<baseSalary\>\"", ",", "\"\<firstName\>\""}], "}"}], "]"}], 
    "[", "chingAssociation", "]"}]}], "}"}]], "Input",
 CellChangeTimes->{{3.76925720341086*^9, 3.769257210228711*^9}, {
  3.769257641938596*^9, 3.769257692778507*^9}},
 CellLabel->"In[250]:=",
 CellID->2074492455,ExpressionUUID->"e4a6d6d2-55f6-4858-8275-c94367c93051"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"team\"\>", "\[Rule]", "\<\"HOU\"\>"}], ",", 
     RowBox[{"\<\"lastName\"\>", "\[Rule]", "\<\"Ching\"\>"}], ",", 
     RowBox[{"\<\"position\"\>", "\[Rule]", "\<\"F\"\>"}], ",", 
     RowBox[{"\<\"guaranteedSalary\"\>", "\[Rule]", 
      TemplateBox[{"220000", 
        RowBox[{
          FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
        "US dollars", "\"USDollars\""},
       "QuantityPrefix"]}], ",", 
     RowBox[{"\<\"year\"\>", "\[Rule]", 
      TemplateBox[{
        RowBox[{
          StyleBox["\"Year: \"", "DateObjectLabel"], "\"2007\""}], 
        RowBox[{"DateObject", "[", 
          RowBox[{
            RowBox[{"{", "2007", "}"}], ",", "\"Year\"", ",", "\"Gregorian\"",
             ",", 
            RowBox[{"-", "5.`"}]}], "]"}]},
       "DateObject",
       Editable->False]}]}], "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"team\"\>", "\[Rule]", "\<\"HOU\"\>"}], ",", 
     RowBox[{"\<\"lastName\"\>", "\[Rule]", "\<\"Ching\"\>"}], ",", 
     RowBox[{"\<\"position\"\>", "\[Rule]", "\<\"F\"\>"}], ",", 
     RowBox[{"\<\"guaranteedSalary\"\>", "\[Rule]", 
      TemplateBox[{"220000", 
        RowBox[{
          FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
        "US dollars", "\"USDollars\""},
       "QuantityPrefix"]}], ",", 
     RowBox[{"\<\"year\"\>", "\[Rule]", 
      TemplateBox[{
        RowBox[{
          StyleBox["\"Year: \"", "DateObjectLabel"], "\"2007\""}], 
        RowBox[{"DateObject", "[", 
          RowBox[{
            RowBox[{"{", "2007", "}"}], ",", "\"Year\"", ",", "\"Gregorian\"",
             ",", 
            RowBox[{"-", "5.`"}]}], "]"}]},
       "DateObject",
       Editable->False]}]}], "\[RightAssociation]"}]}], "}"}]], "Output",
 CellChangeTimes->{3.76925721072567*^9, 3.7692576565614634`*^9, 
  3.769257693289694*^9, 3.769332249536304*^9, 3.76937583107233*^9, 
  3.769955123956156*^9, 3.7699552697005444`*^9, 3.771929803883717*^9, 
  3.881419231485958*^9},
 CellLabel->"Out[250]=",
 CellID->693738908,ExpressionUUID->"3956dfc2-68e1-45e8-8133-6b249f37d8fc"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[StyleBox[ButtonBox["Lookup",
 BaseStyle->"Hyperlink",
 ButtonData->{
   URL["https://reference.wolfram.com/language/ref/Lookup.html"], None},
 ButtonNote->"https://reference.wolfram.com/language/ref/Lookup.html"],
 FontColor->RGBColor[
  0.9019607843137255, 0.4117647058823529, 
   0.027450980392156862`]]], "Subsection",
 CellID->1264666041,ExpressionUUID->"3290e642-357d-4035-892c-15f72161ed28"],

Cell[TextData[{
 ButtonBox["Lookup",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Lookup.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Lookup.html"],
 " is somewhat like ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["KeyTake",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/KeyTake.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/KeyTake.html"], 
   ButtonBox[
    StyleBox["/*",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/RightComposition.html"],
       None},
    ButtonNote->
     "https://reference.wolfram.com/language/ref/RightComposition.html"], 
   ButtonBox[
    StyleBox["Values",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Values.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Values.html"]}]], 
  "InlineCodeText",ExpressionUUID->"18ac758f-f6f7-4d02-8ebe-e140843ab0cb"],
 " but addresses the missing key problem differently. Here\[CloseCurlyQuote]s \
an example where it basically works the same as ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["KeyTake",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/KeyTake.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/KeyTake.html"], 
   ButtonBox[
    StyleBox["/*",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/RightComposition.html"],
       None},
    ButtonNote->
     "https://reference.wolfram.com/language/ref/RightComposition.html"], 
   ButtonBox[
    StyleBox["Values",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Values.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Values.html"]}]], 
  "InlineCodeText",ExpressionUUID->"dbb12a81-ca0f-4dbe-a0d8-8094f18a7141"],
 "."
}], "Text",
 CellTags->{"LastCellOfAPage", "i:30"},
 CellID->1630985658,ExpressionUUID->"dea03844-7622-43a9-a404-749b81408036"],

Cell[TextData[{
 ButtonBox["Lookup",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Lookup.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Lookup.html"],
 " extracts just the values based on the key, not the key-value pair:"
}], "CodeText",
 CellChangeTimes->{{3.769420658625235*^9, 3.769420694384549*^9}, {
  3.775579107237481*^9, 3.7755791087334814`*^9}, {3.7758333008644533`*^9, 
  3.7758333047638435`*^9}},
 CellTags->"p: 77",
 CellID->1651721658,ExpressionUUID->"839e2052-3ef0-4643-858d-07aa6d0c187a"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"KeyTake", "[", 
       RowBox[{"{", 
        RowBox[{"\"\<baseSalary\>\"", ",", "\"\<team\>\""}], "}"}], "]"}], "/*",
       "Values"}], ")"}], "[", "chingAssociation", "]"}], ",", 
   RowBox[{"Lookup", "[", 
    RowBox[{"chingAssociation", ",", 
     RowBox[{"{", 
      RowBox[{"\"\<baseSalary\>\"", ",", "\"\<team\>\""}], "}"}]}], "]"}]}], 
  "}"}]], "Input",
 CellChangeTimes->{{3.769258208147094*^9, 3.7692582785386744`*^9}},
 CellLabel->"In[251]:=",
 CellID->1751211788,ExpressionUUID->"7e1f8bef-4954-4c51-acb9-222457e1c7e5"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     TemplateBox[{"220000", 
       RowBox[{
         FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
       "US dollars", "\"USDollars\""},
      "QuantityPrefix"], ",", "\<\"HOU\"\>"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     TemplateBox[{"220000", 
       RowBox[{
         FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
       "US dollars", "\"USDollars\""},
      "QuantityPrefix"], ",", "\<\"HOU\"\>"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.769258278833929*^9, 3.769332249584455*^9, 
  3.7693758461348763`*^9, 3.7699551239787827`*^9, 3.7699552697488832`*^9, 
  3.7719298039301577`*^9, 3.881419237804112*^9},
 CellLabel->"Out[251]=",
 CellID->211678567,ExpressionUUID->"52ba9897-ac91-41fa-afcb-c572b5468350"]
}, Open  ]],

Cell[TextData[{
 "It has an operator form, just like ",
 ButtonBox["KeyTake",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/KeyTake.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/KeyTake.html"],
 "."
}], "Text",
 CellChangeTimes->{{3.7692584997275543`*^9, 3.769258509104113*^9}, {
  3.775833332426609*^9, 3.775833337127079*^9}},
 CellTags->"i:31",
 CellID->998681096,ExpressionUUID->"d7a0c8c7-61cb-4f3c-b9af-4d26ed7897c1"],

Cell[TextData[{
 ButtonBox["Lookup",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Lookup.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Lookup.html"],
 " has an operator form:"
}], "CodeText",
 CellChangeTimes->{{3.769420699609507*^9, 3.769420704985756*^9}, {
  3.775833338890256*^9, 3.7758333430126677`*^9}},
 CellID->522303647,ExpressionUUID->"c69eab4d-25e5-4bf7-901e-06e265a2503e"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Lookup", "[", 
   RowBox[{"{", 
    RowBox[{"\"\<baseSalary\>\"", ",", "\"\<team\>\""}], "}"}], "]"}], "[", 
  "chingAssociation", "]"}]], "Input",
 CellChangeTimes->{{3.7692585150595913`*^9, 3.7692585192318687`*^9}},
 CellLabel->"In[252]:=",
 CellID->176832921,ExpressionUUID->"0927115b-d9ff-4135-9524-cb16c05e1941"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   TemplateBox[{"220000", 
     RowBox[{
       FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars", 
     "\"USDollars\""},
    "QuantityPrefix"], ",", "\<\"HOU\"\>"}], "}"}]], "Output",
 CellChangeTimes->{3.769258519658472*^9, 3.769332249607664*^9, 
  3.76937584931811*^9, 3.7699551240210114`*^9, 3.7699552698001537`*^9, 
  3.771929803949335*^9, 3.8814192440085287`*^9},
 CellLabel->"Out[252]=",
 CellID->1760545594,ExpressionUUID->"cfb2ac58-efc3-404c-bbb9-c2183531cae9"]
}, Open  ]],

Cell["\<\
Here\[CloseCurlyQuote]s an example where the behavior is different. I ask for \
a key that isn\[CloseCurlyQuote]t present in the data; it doesn\
\[CloseCurlyQuote]t say anything about how many goals Brian Ching might have \
scored.\
\>", "Text",
 CellChangeTimes->{{3.7692583316738853`*^9, 3.769258343537722*^9}, {
   3.769375869133217*^9, 3.769375899745378*^9}, {3.7758165102628183`*^9, 
   3.775816511990991*^9}, 3.7758333508204484`*^9, {3.866201118946254*^9, 
   3.86620113184326*^9}},
 CellID->900995876,ExpressionUUID->"4fda7f9c-d8ae-4ccb-b93f-e9e2810018f7"],

Cell[TextData[{
 ButtonBox["Lookup",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Lookup.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Lookup.html"],
 " produces Missings by default if it can\[CloseCurlyQuote]t find the key:"
}], "CodeText",
 CellChangeTimes->{{3.769420709638362*^9, 3.769420722736171*^9}, {
  3.7758165159583874`*^9, 3.7758165166164536`*^9}, {3.7758339295231686`*^9, 
  3.7758339317501683`*^9}},
 CellTags->"i:32",
 CellID->1513583576,ExpressionUUID->"3de1179d-abd3-4f32-8085-32793cef110c"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"KeyTake", "[", 
       RowBox[{"{", 
        RowBox[{"\"\<goals\>\"", ",", "\"\<year\>\""}], "}"}], "]"}], "/*", 
      "Values"}], ")"}], "[", "chingAssociation", "]"}], ",", 
   RowBox[{
    RowBox[{"Lookup", "[", 
     RowBox[{"{", 
      RowBox[{"\"\<goals\>\"", ",", "\"\<year\>\""}], "}"}], "]"}], "[", 
    "chingAssociation", "]"}]}], "}"}]], "Input",
 CellChangeTimes->{{3.769258356340241*^9, 3.7692583737101097`*^9}, {
  3.7692584634645767`*^9, 3.7692584910258303`*^9}},
 CellLabel->"In[253]:=",
 CellID->435706583,ExpressionUUID->"814b62f3-c0fa-4e9c-83c5-ef595d59ae76"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    TemplateBox[{
      RowBox[{
        StyleBox["\"Year: \"", "DateObjectLabel"], "\"2007\""}], 
      RowBox[{"DateObject", "[", 
        RowBox[{
          RowBox[{"{", "2007", "}"}], ",", "\"Year\"", ",", "\"Gregorian\"", 
          ",", 
          RowBox[{"-", "5.`"}]}], "]"}]},
     "DateObject",
     Editable->False], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Missing", "[", 
      RowBox[{"\<\"KeyAbsent\"\>", ",", "\<\"goals\"\>"}], "]"}], ",", 
     TemplateBox[{
       RowBox[{
         StyleBox["\"Year: \"", "DateObjectLabel"], "\"2007\""}], 
       RowBox[{"DateObject", "[", 
         RowBox[{
           RowBox[{"{", "2007", "}"}], ",", "\"Year\"", ",", "\"Gregorian\"", 
           ",", 
           RowBox[{"-", "5.`"}]}], "]"}]},
      "DateObject",
      Editable->False]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.76925849134785*^9, 3.7693322496455317`*^9, 
  3.769375859138338*^9, 3.769955124034382*^9, 3.76995526981701*^9, 
  3.771929803986223*^9, 3.881419250579206*^9},
 CellLabel->"Out[253]=",
 CellID->1703848222,ExpressionUUID->"b7be0302-5596-42e4-9be2-c30fe8ea2f6f"]
}, Open  ]],

Cell[TextData[{
 "Notice that instead of just omitting the unfound goals information from the \
output, ",
 ButtonBox["Lookup",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Lookup.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Lookup.html"],
 " yields a ",
 ButtonBox["Missing",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Missing.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Missing.html"],
 " expression and provides information that it can\[CloseCurlyQuote]t find a \
goals key. "
}], "Text",
 CellChangeTimes->{{3.769258524882174*^9, 3.7692586045562687`*^9}, {
  3.7758339524461684`*^9, 3.7758339735381684`*^9}},
 CellID->1931708255,ExpressionUUID->"aa086ad3-9f60-404f-9d22-c26592327eb8"],

Cell[TextData[{
 "The provision of a ",
 ButtonBox["Missing",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Missing.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Missing.html"],
 " is the default behavior for ",
 ButtonBox["Lookup",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Lookup.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Lookup.html"],
 ", and it\[CloseCurlyQuote]s the only behavior I can get if I want to use \
the built-in operator form, but by adding a third argument, I can get more \
control over what to do when ",
 ButtonBox["Lookup",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Lookup.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Lookup.html"],
 " seeks a key that is not present."
}], "Text",
 CellChangeTimes->{{3.769258524882174*^9, 3.769258648380418*^9}, {
   3.7758339862281685`*^9, 3.7758340090871687`*^9}, 3.857228255269932*^9, {
   3.8662016128350286`*^9, 3.8662016246666565`*^9}},
 CellID->721981035,ExpressionUUID->"d6678ec8-80d3-45f2-a9de-0041b79c9e31"],

Cell["One can change Lookup\[CloseCurlyQuote]s output when it doesn\
\[CloseCurlyQuote]t find a key:", "CodeText",
 CellChangeTimes->{{3.769420728223687*^9, 3.7694207463310347`*^9}, {
   3.7758165207668686`*^9, 3.7758165256873603`*^9}, 3.7758340140641685`*^9, {
   3.8679246476845765`*^9, 3.867924648891368*^9}},
 CellTags->"i:33",
 CellID->133024003,ExpressionUUID->"1a59e276-a37c-4b20-bcf9-94bc6e188e4e"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Lookup", "[", 
  RowBox[{"chingAssociation", ",", 
   RowBox[{"{", 
    RowBox[{"\"\<goals\>\"", ",", "\"\<year\>\""}], "}"}], ",", 
   RowBox[{"Style", "[", 
    RowBox[{"\"\<Hey, I can't find any information\>\"", ",", 
     RowBox[{"{", 
      RowBox[{"Red", ",", "24"}], "}"}]}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.769258650647089*^9, 3.769258715700194*^9}, 
   3.8570305971580973`*^9},
 CellLabel->"In[254]:=",
 CellID->1769611386,ExpressionUUID->"19ead272-c90f-41c1-887c-068081c04571"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   StyleBox["\<\"Hey, I can't find any information\"\>",
    StripOnInput->False,
    LineColor->RGBColor[1, 0, 0],
    FrontFaceColor->RGBColor[1, 0, 0],
    BackFaceColor->RGBColor[1, 0, 0],
    GraphicsColor->RGBColor[1, 0, 0],
    FontSize->24,
    FontColor->RGBColor[1, 0, 0]], ",", 
   TemplateBox[{
     RowBox[{
       StyleBox["\"Year: \"", "DateObjectLabel"], "\"2007\""}], 
     RowBox[{"DateObject", "[", 
       RowBox[{
         RowBox[{"{", "2007", "}"}], ",", "\"Year\"", ",", "\"Gregorian\"", 
         ",", 
         RowBox[{"-", "5.`"}]}], "]"}]},
    "DateObject",
    Editable->False]}], "}"}]], "Output",
 CellChangeTimes->{
  3.7692586793104467`*^9, {3.769258711112977*^9, 3.769258716047926*^9}, 
   3.769332249706768*^9, 3.769375905474972*^9, 3.7699551240748*^9, 
   3.769955269857074*^9, 3.771929804000271*^9, 3.857030599711433*^9, 
   3.8570306504612703`*^9, 3.8814192588311253`*^9},
 CellLabel->"Out[254]=",
 CellID->1622948958,ExpressionUUID->"25b45066-e4a7-44c9-ae86-96aedd77ddd8"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[StyleBox[ButtonBox["Slice",
 BaseStyle->"Hyperlink",
 ButtonData->{
   URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
Slice"], None},
 ButtonNote->
  "https://resources.wolframcloud.com/FunctionRepository/resources/Slice"],
 FontColor->RGBColor[
  0.9019607843137255, 0.4117647058823529, 
   0.027450980392156862`]]], "Subsubsection",
 CellID->41405543,ExpressionUUID->"7033ff26-d756-4ef3-8223-0c1876917ae8"],

Cell[TextData[{
 "The ",
 ButtonBox["ResourceFunction",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ResourceFunction.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/ResourceFunction.html"],
 " ",
 ButtonBox["Slice",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
Slice"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/Slice"],
 " is an extremely useful chimera of ",
 ButtonBox["Part",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Part.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Part.html"],
 ", the ",
 ButtonBox["KeyTake",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/KeyTake.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/KeyTake.html"],
 " operator, and the ",
 ButtonBox["Lookup",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Lookup.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Lookup.html"],
 " operator. Here, it looks just like ",
 ButtonBox["KeyTake",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/KeyTake.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/KeyTake.html"],
 ". For single key requests, it returns just the Value. For multiple key \
requests, it returns an ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 ". It can also work with ",
 ButtonBox["Integer",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Integer.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Integer.html"],
 " specifications for Parts."
}], "Text",
 CellChangeTimes->{{3.769258580919964*^9, 3.769258586279174*^9}, {
   3.769258999658149*^9, 3.769259149126128*^9}, {3.7692593696867943`*^9, 
   3.769259387076295*^9}, 3.7758343365651684`*^9, 3.775834374621168*^9, {
   3.7758345470871687`*^9, 3.7758345576631684`*^9}, {3.7758345912751684`*^9, 
   3.7758345950501685`*^9}, {3.7803091736401*^9, 3.780309179176683*^9}, 
   3.78030931634991*^9, {3.857228358895822*^9, 3.857228373700996*^9}, {
   3.8662048457724752`*^9, 3.8662048472575307`*^9}, {3.866553905371908*^9, 
   3.866553959663786*^9}, {3.866554200369841*^9, 3.866554203158339*^9}, {
   3.8699179702566323`*^9, 3.869917979717667*^9}},
 CellTags->{"LastCellOfAPage", "i:34"},
 CellID->120914358,ExpressionUUID->"53f9efe4-ee95-49bf-bf05-57e5730fcb18"],

Cell[TextData[{
 ButtonBox["Slice",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
Slice"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/Slice"],
 " is kind of like ",
 ButtonBox["KeyTake",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/KeyTake.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/KeyTake.html"],
 " in that it returns key-value pairs:"
}], "CodeText",
 CellChangeTimes->{{3.769420761951483*^9, 3.76942082771307*^9}, {
   3.769420870734593*^9, 3.769420878011237*^9}, {3.7758346154381685`*^9, 
   3.7758346176621685`*^9}, 3.7803093392861567`*^9, {3.7814435180320263`*^9, 
   3.781443542967304*^9}, {3.866553975853174*^9, 3.866553987857696*^9}, 
   3.866554196340582*^9, {3.869917992442103*^9, 3.869918002756722*^9}},
 CellTags->"p: 78",
 CellID->170864780,ExpressionUUID->"7d408fe9-090e-4b35-b591-a9b7201fe310"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{
     InterpretationBox[
      TagBox[
       TagBox[
        DynamicModuleBox[{Typeset`open = False}, 
         FrameBox[
          PaneSelectorBox[{False->GridBox[{
             {
              PaneBox[GridBox[{
                 {
                  StyleBox[
                   StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                   ShowStringCharacters->False,
                   FontFamily->"Source Sans Pro Black",
                   FontSize->0.6538461538461539 Inherited,
                   FontWeight->"Heavy",
                   PrivateFontOptions->{"OperatorSubstitution"->False}], 
                  StyleBox[
                   RowBox[{
                    StyleBox["Slice", "ResourceFunctionLabel"], " "}],
                   ShowAutoStyles->False,
                   ShowStringCharacters->False,
                   FontSize->Rational[12, 13] Inherited,
                   FontColor->GrayLevel[0.1]]}
                },
                GridBoxSpacings->{"Columns" -> {{0.25}}}],
               Alignment->Left,
               BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
               BaselinePosition->Baseline,
               FrameMargins->{{3, 0}, {0, 0}}], 
              ItemBox[
               PaneBox[
                TogglerBox[Dynamic[Typeset`open], {True->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeCloser"],
                  ImageSizeCache->{11., {2., 9.}}], False->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeOpener"],
                  ImageSizeCache->{11., {2., 9.}}]},
                 Appearance->None,
                 BaselinePosition->Baseline,
                 ContentPadding->False,
                 FrameMargins->0],
                Alignment->Left,
                BaselinePosition->Baseline,
                FrameMargins->{{1, 1}, {0, 0}}],
               Frame->{{
                  RGBColor[
                  0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                   0.5], False}, {False, False}}]}
            },
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
           GridBox[{
             {GridBox[{
                {
                 PaneBox[GridBox[{
                    {
                    StyleBox[
                    StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                    ShowStringCharacters->False,
                    FontFamily->"Source Sans Pro Black",
                    FontSize->0.6538461538461539 Inherited,
                    FontWeight->"Heavy",
                    PrivateFontOptions->{"OperatorSubstitution"->False}], 
                    StyleBox[
                    RowBox[{
                    StyleBox["Slice", "ResourceFunctionLabel"], " "}],
                    ShowAutoStyles->False,
                    ShowStringCharacters->False,
                    FontSize->Rational[12, 13] Inherited,
                    FontColor->GrayLevel[0.1]]}
                   },
                   GridBoxSpacings->{"Columns" -> {{0.25}}}],
                  Alignment->Left,
                  BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
                  BaselinePosition->Baseline,
                  FrameMargins->{{3, 0}, {0, 0}}], 
                 ItemBox[
                  PaneBox[
                   TogglerBox[Dynamic[Typeset`open], {True->
                    
                    DynamicBox[FEPrivate`FrontEndResource[
                    "FEBitmaps", "IconizeCloser"]], False->
                    
                    DynamicBox[FEPrivate`FrontEndResource[
                    "FEBitmaps", "IconizeOpener"]]},
                    Appearance->None,
                    BaselinePosition->Baseline,
                    ContentPadding->False,
                    FrameMargins->0],
                   Alignment->Left,
                   BaselinePosition->Baseline,
                   FrameMargins->{{1, 1}, {0, 0}}],
                  Frame->{{
                    RGBColor[
                    0.8313725490196079, 0.8470588235294118, 
                    0.8509803921568627, 0.5], False}, {False, False}}]}
               },
               BaselinePosition->{1, 1},
               
               GridBoxAlignment->{
                "Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
               GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
             {
              StyleBox[
               PaneBox[GridBox[{
                  {
                   RowBox[{
                    TagBox["\<\"Version (latest): \"\>",
                    "IconizedLabel"], " ", 
                    TagBox["\<\"1.0.0\"\>",
                    "IconizedItem"]}]},
                  {
                   TagBox[
                    
                    TemplateBox[{
                    "\"Documentation \[RightGuillemet]\"", 
                    "https://resources.wolframcloud.com/FunctionRepository/\
resources/6480efeb-6565-4850-9ed0-e2c00631d9f6/"},
                    "HyperlinkURL"],
                    "IconizedItem"]}
                 },
                 DefaultBaseStyle->"Column",
                 GridBoxAlignment->{"Columns" -> {{Left}}},
                 
                 GridBoxItemSize->{
                  "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
                Alignment->Left,
                BaselinePosition->Baseline,
                FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
               FontFamily->"Roboto",
               FontSize->11]}
            },
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
            GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
                 GrayLevel[0.8]}, False}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
           Typeset`open],
           BaselinePosition->Baseline,
           ImageSize->Automatic],
          
          Background->RGBColor[
           0.9686274509803922, 0.9764705882352941, 0.984313725490196],
          BaselinePosition->Baseline,
          DefaultBaseStyle->{},
          FrameMargins->{{0, 0}, {1, 0}},
          
          FrameStyle->RGBColor[
           0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
          RoundingRadius->4]],
        #& ,
        TagBoxNote->" "],
       {"FunctionResourceBox", 
        RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784],
         "Slice"},
       TagBoxNote->"FunctionResourceBox"],
      ResourceFunction[
       ResourceObject[<|
        "Name" -> "Slice", "ShortName" -> "Slice", "UUID" -> 
         "6480efeb-6565-4850-9ed0-e2c00631d9f6", "ResourceType" -> "Function",
          "Version" -> "1.0.0", "Description" -> "An operator form of Part", 
         "RepositoryLocation" -> 
         URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
         "SymbolName" -> 
         "FunctionRepository`$1dcc7ca341c64d76bd036187ddf47d79`Slice", 
         "FunctionLocation" -> 
         CloudObject[
          "https://www.wolframcloud.com/objects/ca819436-f7a1-48ec-8b80-\
afd0b05e2067"]|>, ResourceSystemBase -> Automatic]],
      Selectable->False], "[", "\"\<baseSalary\>\"", "]"}], "[", 
    "chingAssociation", "]"}], ",", 
   RowBox[{
    RowBox[{
     InterpretationBox[
      TagBox[
       TagBox[
        DynamicModuleBox[{Typeset`open = False}, 
         FrameBox[
          PaneSelectorBox[{False->GridBox[{
             {
              PaneBox[GridBox[{
                 {
                  StyleBox[
                   StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                   ShowStringCharacters->False,
                   FontFamily->"Source Sans Pro Black",
                   FontSize->0.6538461538461539 Inherited,
                   FontWeight->"Heavy",
                   PrivateFontOptions->{"OperatorSubstitution"->False}], 
                  StyleBox[
                   RowBox[{
                    StyleBox["Slice", "ResourceFunctionLabel"], " "}],
                   ShowAutoStyles->False,
                   ShowStringCharacters->False,
                   FontSize->Rational[12, 13] Inherited,
                   FontColor->GrayLevel[0.1]]}
                },
                GridBoxSpacings->{"Columns" -> {{0.25}}}],
               Alignment->Left,
               BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
               BaselinePosition->Baseline,
               FrameMargins->{{3, 0}, {0, 0}}], 
              ItemBox[
               PaneBox[
                TogglerBox[Dynamic[Typeset`open], {True->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeCloser"],
                  ImageSizeCache->{11., {2., 9.}}], False->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeOpener"],
                  ImageSizeCache->{11., {2., 9.}}]},
                 Appearance->None,
                 BaselinePosition->Baseline,
                 ContentPadding->False,
                 FrameMargins->0],
                Alignment->Left,
                BaselinePosition->Baseline,
                FrameMargins->{{1, 1}, {0, 0}}],
               Frame->{{
                  RGBColor[
                  0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                   0.5], False}, {False, False}}]}
            },
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
           GridBox[{
             {GridBox[{
                {
                 PaneBox[GridBox[{
                    {
                    StyleBox[
                    StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                    ShowStringCharacters->False,
                    FontFamily->"Source Sans Pro Black",
                    FontSize->0.6538461538461539 Inherited,
                    FontWeight->"Heavy",
                    PrivateFontOptions->{"OperatorSubstitution"->False}], 
                    StyleBox[
                    RowBox[{
                    StyleBox["Slice", "ResourceFunctionLabel"], " "}],
                    ShowAutoStyles->False,
                    ShowStringCharacters->False,
                    FontSize->Rational[12, 13] Inherited,
                    FontColor->GrayLevel[0.1]]}
                   },
                   GridBoxSpacings->{"Columns" -> {{0.25}}}],
                  Alignment->Left,
                  BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
                  BaselinePosition->Baseline,
                  FrameMargins->{{3, 0}, {0, 0}}], 
                 ItemBox[
                  PaneBox[
                   TogglerBox[Dynamic[Typeset`open], {True->
                    
                    DynamicBox[FEPrivate`FrontEndResource[
                    "FEBitmaps", "IconizeCloser"]], False->
                    
                    DynamicBox[FEPrivate`FrontEndResource[
                    "FEBitmaps", "IconizeOpener"]]},
                    Appearance->None,
                    BaselinePosition->Baseline,
                    ContentPadding->False,
                    FrameMargins->0],
                   Alignment->Left,
                   BaselinePosition->Baseline,
                   FrameMargins->{{1, 1}, {0, 0}}],
                  Frame->{{
                    RGBColor[
                    0.8313725490196079, 0.8470588235294118, 
                    0.8509803921568627, 0.5], False}, {False, False}}]}
               },
               BaselinePosition->{1, 1},
               
               GridBoxAlignment->{
                "Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
               GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
             {
              StyleBox[
               PaneBox[GridBox[{
                  {
                   RowBox[{
                    TagBox["\<\"Version (latest): \"\>",
                    "IconizedLabel"], " ", 
                    TagBox["\<\"1.0.0\"\>",
                    "IconizedItem"]}]},
                  {
                   TagBox[
                    
                    TemplateBox[{
                    "\"Documentation \[RightGuillemet]\"", 
                    "https://resources.wolframcloud.com/FunctionRepository/\
resources/6480efeb-6565-4850-9ed0-e2c00631d9f6/"},
                    "HyperlinkURL"],
                    "IconizedItem"]}
                 },
                 DefaultBaseStyle->"Column",
                 GridBoxAlignment->{"Columns" -> {{Left}}},
                 
                 GridBoxItemSize->{
                  "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
                Alignment->Left,
                BaselinePosition->Baseline,
                FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
               FontFamily->"Roboto",
               FontSize->11]}
            },
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
            GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
                 GrayLevel[0.8]}, False}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
           Typeset`open],
           BaselinePosition->Baseline,
           ImageSize->Automatic],
          
          Background->RGBColor[
           0.9686274509803922, 0.9764705882352941, 0.984313725490196],
          BaselinePosition->Baseline,
          DefaultBaseStyle->{},
          FrameMargins->{{0, 0}, {1, 0}},
          
          FrameStyle->RGBColor[
           0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
          RoundingRadius->4]],
        #& ,
        TagBoxNote->" "],
       {"FunctionResourceBox", 
        RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784],
         "Slice"},
       TagBoxNote->"FunctionResourceBox"],
      ResourceFunction[
       ResourceObject[<|
        "Name" -> "Slice", "ShortName" -> "Slice", "UUID" -> 
         "6480efeb-6565-4850-9ed0-e2c00631d9f6", "ResourceType" -> "Function",
          "Version" -> "1.0.0", "Description" -> "An operator form of Part", 
         "RepositoryLocation" -> 
         URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
         "SymbolName" -> 
         "FunctionRepository`$1dcc7ca341c64d76bd036187ddf47d79`Slice", 
         "FunctionLocation" -> 
         CloudObject[
          
          "https://www.wolframcloud.com/objects/ca819436-f7a1-48ec-8b80-\
afd0b05e2067"]|>, ResourceSystemBase -> Automatic]],
      Selectable->False], "[", 
     RowBox[{"{", 
      RowBox[{"\"\<baseSalary\>\"", ",", "\"\<team\>\""}], "}"}], "]"}], "[", 
    "chingAssociation", "]"}], ",", 
   RowBox[{
    RowBox[{
     InterpretationBox[
      TagBox[
       TagBox[
        DynamicModuleBox[{Typeset`open = False}, 
         FrameBox[
          PaneSelectorBox[{False->GridBox[{
             {
              PaneBox[GridBox[{
                 {
                  StyleBox[
                   StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                   ShowStringCharacters->False,
                   FontFamily->"Source Sans Pro Black",
                   FontSize->0.6538461538461539 Inherited,
                   FontWeight->"Heavy",
                   PrivateFontOptions->{"OperatorSubstitution"->False}], 
                  StyleBox[
                   RowBox[{
                    StyleBox["Slice", "ResourceFunctionLabel"], " "}],
                   ShowAutoStyles->False,
                   ShowStringCharacters->False,
                   FontSize->Rational[12, 13] Inherited,
                   FontColor->GrayLevel[0.1]]}
                },
                GridBoxSpacings->{"Columns" -> {{0.25}}}],
               Alignment->Left,
               BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
               BaselinePosition->Baseline,
               FrameMargins->{{3, 0}, {0, 0}}], 
              ItemBox[
               PaneBox[
                TogglerBox[Dynamic[Typeset`open], {True->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeCloser"],
                  ImageSizeCache->{11., {2., 9.}}], False->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeOpener"],
                  ImageSizeCache->{11., {2., 9.}}]},
                 Appearance->None,
                 BaselinePosition->Baseline,
                 ContentPadding->False,
                 FrameMargins->0],
                Alignment->Left,
                BaselinePosition->Baseline,
                FrameMargins->{{1, 1}, {0, 0}}],
               Frame->{{
                  RGBColor[
                  0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                   0.5], False}, {False, False}}]}
            },
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
           GridBox[{
             {GridBox[{
                {
                 PaneBox[GridBox[{
                    {
                    StyleBox[
                    StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                    ShowStringCharacters->False,
                    FontFamily->"Source Sans Pro Black",
                    FontSize->0.6538461538461539 Inherited,
                    FontWeight->"Heavy",
                    PrivateFontOptions->{"OperatorSubstitution"->False}], 
                    StyleBox[
                    RowBox[{
                    StyleBox["Slice", "ResourceFunctionLabel"], " "}],
                    ShowAutoStyles->False,
                    ShowStringCharacters->False,
                    FontSize->Rational[12, 13] Inherited,
                    FontColor->GrayLevel[0.1]]}
                   },
                   GridBoxSpacings->{"Columns" -> {{0.25}}}],
                  Alignment->Left,
                  BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
                  BaselinePosition->Baseline,
                  FrameMargins->{{3, 0}, {0, 0}}], 
                 ItemBox[
                  PaneBox[
                   TogglerBox[Dynamic[Typeset`open], {True->
                    
                    DynamicBox[FEPrivate`FrontEndResource[
                    "FEBitmaps", "IconizeCloser"]], False->
                    
                    DynamicBox[FEPrivate`FrontEndResource[
                    "FEBitmaps", "IconizeOpener"]]},
                    Appearance->None,
                    BaselinePosition->Baseline,
                    ContentPadding->False,
                    FrameMargins->0],
                   Alignment->Left,
                   BaselinePosition->Baseline,
                   FrameMargins->{{1, 1}, {0, 0}}],
                  Frame->{{
                    RGBColor[
                    0.8313725490196079, 0.8470588235294118, 
                    0.8509803921568627, 0.5], False}, {False, False}}]}
               },
               BaselinePosition->{1, 1},
               
               GridBoxAlignment->{
                "Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
               GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
             {
              StyleBox[
               PaneBox[GridBox[{
                  {
                   RowBox[{
                    TagBox["\<\"Version (latest): \"\>",
                    "IconizedLabel"], " ", 
                    TagBox["\<\"1.0.0\"\>",
                    "IconizedItem"]}]},
                  {
                   TagBox[
                    
                    TemplateBox[{
                    "\"Documentation \[RightGuillemet]\"", 
                    "https://resources.wolframcloud.com/FunctionRepository/\
resources/6480efeb-6565-4850-9ed0-e2c00631d9f6/"},
                    "HyperlinkURL"],
                    "IconizedItem"]}
                 },
                 DefaultBaseStyle->"Column",
                 GridBoxAlignment->{"Columns" -> {{Left}}},
                 
                 GridBoxItemSize->{
                  "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
                Alignment->Left,
                BaselinePosition->Baseline,
                FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
               FontFamily->"Roboto",
               FontSize->11]}
            },
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
            GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
                 GrayLevel[0.8]}, False}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
           Typeset`open],
           BaselinePosition->Baseline,
           ImageSize->Automatic],
          
          Background->RGBColor[
           0.9686274509803922, 0.9764705882352941, 0.984313725490196],
          BaselinePosition->Baseline,
          DefaultBaseStyle->{},
          FrameMargins->{{0, 0}, {1, 0}},
          
          FrameStyle->RGBColor[
           0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
          RoundingRadius->4]],
        #& ,
        TagBoxNote->" "],
       {"FunctionResourceBox", 
        RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784],
         "Slice"},
       TagBoxNote->"FunctionResourceBox"],
      ResourceFunction[
       ResourceObject[<|
        "Name" -> "Slice", "ShortName" -> "Slice", "UUID" -> 
         "6480efeb-6565-4850-9ed0-e2c00631d9f6", "ResourceType" -> "Function",
          "Version" -> "1.0.0", "Description" -> "An operator form of Part", 
         "RepositoryLocation" -> 
         URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
         "SymbolName" -> 
         "FunctionRepository`$1dcc7ca341c64d76bd036187ddf47d79`Slice", 
         "FunctionLocation" -> 
         CloudObject[
          "https://www.wolframcloud.com/objects/ca819436-f7a1-48ec-8b80-\
afd0b05e2067"]|>, ResourceSystemBase -> Automatic]],
      Selectable->False], "[", 
     RowBox[{"{", 
      RowBox[{"2", ",", 
       RowBox[{"-", "1"}]}], "}"}], "]"}], "[", "chingAssociation", "]"}]}], 
  "}"}]], "Input",
 CellChangeTimes->{{3.769258956525115*^9, 3.769258994431562*^9}, {
  3.769259074756507*^9, 3.769259130658155*^9}, {3.769332363714307*^9, 
  3.769332373162158*^9}, {3.881148300045487*^9, 3.881148304987988*^9}},
 CellLabel->"In[255]:=",
 CellID->10206468,ExpressionUUID->"34c80144-08f6-47c1-88fb-c44799c1bd53"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   TemplateBox[{"220000", 
     RowBox[{
       FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars", 
     "\"USDollars\""},
    "QuantityPrefix"], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"baseSalary\"\>", "\[Rule]", 
      TemplateBox[{"220000", 
        RowBox[{
          FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
        "US dollars", "\"USDollars\""},
       "QuantityPrefix"]}], ",", 
     RowBox[{"\<\"team\"\>", "\[Rule]", "\<\"HOU\"\>"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"lastName\"\>", "\[Rule]", "\<\"Ching\"\>"}], ",", 
     RowBox[{"\<\"year\"\>", "\[Rule]", 
      TemplateBox[{
        RowBox[{
          StyleBox["\"Year: \"", "DateObjectLabel"], "\"2007\""}], 
        RowBox[{"DateObject", "[", 
          RowBox[{
            RowBox[{"{", "2007", "}"}], ",", "\"Year\"", ",", "\"Gregorian\"",
             ",", 
            RowBox[{"-", "5.`"}]}], "]"}]},
       "DateObject",
       Editable->False]}]}], "\[RightAssociation]"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.769258977178193*^9, 3.7692589953840227`*^9}, 
   3.769259093092999*^9, {3.769259124784233*^9, 3.769259130985968*^9}, 
   3.769332249756792*^9, 3.7693323738368893`*^9, 3.769375910140853*^9, 
   3.7699551241269913`*^9, 3.769955269873667*^9, 3.771929804035536*^9, 
   3.881419266272937*^9},
 CellLabel->"Out[255]=",
 CellID->677925044,ExpressionUUID->"4231429b-416e-40a8-a87a-8444cd5ce9a5"]
}, Open  ]],

Cell[TextData[{
 "When one gives ",
 ButtonBox["Slice",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
Slice"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/Slice"],
 " an argument that contains missing Keys, it neither omits the key-value \
pair altogether nor omits the missing key. Instead, it gives a key-value pair \
in which the ",
 ButtonBox["Key",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Key.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Key.html"],
 " is the (missing) ",
 ButtonBox["Key",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Key.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Key.html"],
 " requested and the Value is a ",
 ButtonBox["Missing",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Missing.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Missing.html"],
 " expression. Very useful!"
}], "Text",
 CellChangeTimes->{{3.769259167252343*^9, 3.7692592448939447`*^9}, {
   3.7758346699031687`*^9, 3.775834671062168*^9}, {3.780309164408272*^9, 
   3.780309165455946*^9}, {3.8572283963934793`*^9, 3.857228413887545*^9}, {
   3.866205133237069*^9, 3.8662051347452655`*^9}, {3.866553990430319*^9, 
   3.866553990905366*^9}, 3.866554054417898*^9, {3.866554184372993*^9, 
   3.866554189482047*^9}, {3.867236810440835*^9, 3.867236811461982*^9}, {
   3.867237164881275*^9, 3.8672371671921396`*^9}, {3.8680012169088373`*^9, 
   3.868001251488317*^9}, {3.8699180208411093`*^9, 3.8699180310242662`*^9}},
 CellID->584612605,ExpressionUUID->"a0200895-c6c9-43df-87ee-63f035b6816c"],

Cell[TextData[{
 ButtonBox["Slice",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
Slice"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/Slice"],
 " doesn\[CloseCurlyQuote]t omit key-value pairs for missing keys. It keeps \
the pair but sets the value to ",
 ButtonBox["Missing",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Missing.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Missing.html"],
 "; indeed, this is one of the reasons why the function was created:"
}], "CodeText",
 CellChangeTimes->{{3.769420797758891*^9, 3.769420867131382*^9}, {
   3.7758346872811685`*^9, 3.7758347218961687`*^9}, {3.857228482307394*^9, 
   3.857228515009848*^9}, {3.86542236119031*^9, 3.865422370798216*^9}, {
   3.8662114496323442`*^9, 3.8662114512198005`*^9}, 3.866554063968961*^9, {
   3.866554171021093*^9, 3.866554180318707*^9}, {3.8699180478503957`*^9, 
   3.8699180555260096`*^9}},
 CellTags->"i:35",
 CellID->152966638,ExpressionUUID->"ad893368-4ad7-41b4-a887-e5ac16bc59d4"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   InterpretationBox[
    TagBox[
     TagBox[
      DynamicModuleBox[{Typeset`open = False}, 
       FrameBox[
        PaneSelectorBox[{False->GridBox[{
           {
            PaneBox[GridBox[{
               {
                StyleBox[
                 StyleBox[
                  AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                   BoxBaselineShift->-0.25,
                   BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                  
                  FontColor->RGBColor[
                   0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                 ShowStringCharacters->False,
                 FontFamily->"Source Sans Pro Black",
                 FontSize->0.6538461538461539 Inherited,
                 FontWeight->"Heavy",
                 PrivateFontOptions->{"OperatorSubstitution"->False}], 
                StyleBox[
                 RowBox[{
                  StyleBox["Slice", "ResourceFunctionLabel"], " "}],
                 ShowAutoStyles->False,
                 ShowStringCharacters->False,
                 FontSize->Rational[12, 13] Inherited,
                 FontColor->GrayLevel[0.1]]}
              },
              GridBoxSpacings->{"Columns" -> {{0.25}}}],
             Alignment->Left,
             BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
             BaselinePosition->Baseline,
             FrameMargins->{{3, 0}, {0, 0}}], 
            ItemBox[
             PaneBox[
              TogglerBox[Dynamic[Typeset`open], {True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "IconizeCloser"],
                ImageSizeCache->{11., {2., 9.}}], False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "IconizeOpener"],
                ImageSizeCache->{11., {2., 9.}}]},
               Appearance->None,
               BaselinePosition->Baseline,
               ContentPadding->False,
               FrameMargins->0],
              Alignment->Left,
              BaselinePosition->Baseline,
              FrameMargins->{{1, 1}, {0, 0}}],
             Frame->{{
                RGBColor[
                0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                 0.5], False}, {False, False}}]}
          },
          BaselinePosition->{1, 1},
          GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
         GridBox[{
           {GridBox[{
              {
               PaneBox[GridBox[{
                  {
                   StyleBox[
                    StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                    ShowStringCharacters->False,
                    FontFamily->"Source Sans Pro Black",
                    FontSize->0.6538461538461539 Inherited,
                    FontWeight->"Heavy",
                    PrivateFontOptions->{"OperatorSubstitution"->False}], 
                   StyleBox[
                    RowBox[{
                    StyleBox["Slice", "ResourceFunctionLabel"], " "}],
                    ShowAutoStyles->False,
                    ShowStringCharacters->False,
                    FontSize->Rational[12, 13] Inherited,
                    FontColor->GrayLevel[0.1]]}
                 },
                 GridBoxSpacings->{"Columns" -> {{0.25}}}],
                Alignment->Left,
                BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
                BaselinePosition->Baseline,
                FrameMargins->{{3, 0}, {0, 0}}], 
               ItemBox[
                PaneBox[
                 TogglerBox[Dynamic[Typeset`open], {True->
                  
                  DynamicBox[FEPrivate`FrontEndResource[
                   "FEBitmaps", "IconizeCloser"]], False->
                  
                  DynamicBox[FEPrivate`FrontEndResource[
                   "FEBitmaps", "IconizeOpener"]]},
                  Appearance->None,
                  BaselinePosition->Baseline,
                  ContentPadding->False,
                  FrameMargins->0],
                 Alignment->Left,
                 BaselinePosition->Baseline,
                 FrameMargins->{{1, 1}, {0, 0}}],
                Frame->{{
                   RGBColor[
                   0.8313725490196079, 0.8470588235294118, 0.8509803921568627,
                     0.5], False}, {False, False}}]}
             },
             BaselinePosition->{1, 1},
             GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
           {
            StyleBox[
             PaneBox[GridBox[{
                {
                 RowBox[{
                  TagBox["\<\"Version (latest): \"\>",
                   "IconizedLabel"], " ", 
                  TagBox["\<\"1.0.0\"\>",
                   "IconizedItem"]}]},
                {
                 TagBox[
                  
                  TemplateBox[{
                   "\"Documentation \[RightGuillemet]\"", 
                    "https://resources.wolframcloud.com/FunctionRepository/\
resources/6480efeb-6565-4850-9ed0-e2c00631d9f6/"},
                   "HyperlinkURL"],
                  "IconizedItem"]}
               },
               DefaultBaseStyle->"Column",
               GridBoxAlignment->{"Columns" -> {{Left}}},
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
              Alignment->Left,
              BaselinePosition->Baseline,
              FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
             FontFamily->"Roboto",
             FontSize->11]}
          },
          BaselinePosition->{1, 1},
          GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
          GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
               GrayLevel[0.8]}, False}},
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
         Typeset`open],
         BaselinePosition->Baseline,
         ImageSize->Automatic],
        Background->RGBColor[
         0.9686274509803922, 0.9764705882352941, 0.984313725490196],
        BaselinePosition->Baseline,
        DefaultBaseStyle->{},
        FrameMargins->{{0, 0}, {1, 0}},
        FrameStyle->RGBColor[
         0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
        RoundingRadius->4]],
      #& ,
      TagBoxNote->" "],
     {"FunctionResourceBox", 
      RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
      "Slice"},
     TagBoxNote->"FunctionResourceBox"],
    ResourceFunction[
     ResourceObject[<|
      "Name" -> "Slice", "ShortName" -> "Slice", "UUID" -> 
       "6480efeb-6565-4850-9ed0-e2c00631d9f6", "ResourceType" -> "Function", 
       "Version" -> "1.0.0", "Description" -> "An operator form of Part", 
       "RepositoryLocation" -> 
       URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
       "SymbolName" -> 
       "FunctionRepository`$1dcc7ca341c64d76bd036187ddf47d79`Slice", 
       "FunctionLocation" -> 
       CloudObject[
        "https://www.wolframcloud.com/objects/ca819436-f7a1-48ec-8b80-\
afd0b05e2067"]|>, ResourceSystemBase -> Automatic]],
    Selectable->False], "[", 
   RowBox[{"{", 
    RowBox[{"\"\<baseSalary\>\"", ",", "\"\<goals\>\""}], "}"}], "]"}], "[", 
  "chingAssociation", "]"}]], "Input",
 CellChangeTimes->{{3.769258956525115*^9, 3.769258994431562*^9}, {
   3.7692590291667013`*^9, 3.769259032016292*^9}, {3.769332378473534*^9, 
   3.769332378730947*^9}, 3.88114834066179*^9},
 CellLabel->"In[256]:=",
 CellID->437756167,ExpressionUUID->"4697c315-159f-441b-b8ad-02c14c15df8a"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"baseSalary\"\>", "\[Rule]", 
    TemplateBox[{"220000", 
      RowBox[{
        FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars",
       "\"USDollars\""},
     "QuantityPrefix"]}], ",", 
   RowBox[{"\<\"goals\"\>", "\[Rule]", 
    RowBox[{"Missing", "[", 
     RowBox[{"\<\"KeyAbsent\"\>", ",", "\<\"goals\"\>"}], "]"}]}]}], 
  "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{3.769259032390435*^9, 3.769332249841445*^9, 
  3.76933237926663*^9, 3.769375914511058*^9, 3.769955124175004*^9, 
  3.769955269920817*^9, 3.771929804057886*^9, 3.8814192729538717`*^9},
 CellLabel->"Out[256]=",
 CellID->635015375,ExpressionUUID->"cc3a7fa5-be5e-404e-912a-024371d79620"]
}, Open  ]],

Cell[TextData[{
 ButtonBox["Slice",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
Slice"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/Slice"],
 ", like ",
 ButtonBox["Part",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Part.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Part.html"],
 ", can also work on Associations contained in deeper structures."
}], "Text",
 CellChangeTimes->{{3.769259418847464*^9, 3.7692594553728857`*^9}, 
   3.7758350713631687`*^9, {3.78144358927936*^9, 3.781443589894473*^9}, 
   3.781443644329348*^9, {3.781443697559276*^9, 3.781443698583808*^9}, {
   3.8572285224899282`*^9, 3.857228545855402*^9}, {3.8665540702258377`*^9, 
   3.866554071008807*^9}, 3.866554165799932*^9, {3.869918071686247*^9, 
   3.8699180779259605`*^9}, 3.895815509138111*^9},
 CellID->812956515,ExpressionUUID->"234e132a-18bd-455f-9453-f555f7df8714"],

Cell[TextData[{
 ButtonBox["Slice",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
Slice"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/Slice"],
 " works on nested structures with Associations:"
}], "CodeText",
 CellChangeTimes->{{3.769420886461945*^9, 3.76942090222143*^9}, {
   3.7758351030971684`*^9, 3.7758351049541683`*^9}, 3.7803094767476807`*^9, {
   3.781443597654696*^9, 3.7814435982943974`*^9}, {3.781443776930311*^9, 
   3.781443778594899*^9}, {3.8662115434715343`*^9, 3.8662115518036814`*^9}, {
   3.866554082876433*^9, 3.8665540839638853`*^9}, 3.8665541618491898`*^9, 
   3.8672371870683928`*^9, {3.8699181059879284`*^9, 3.8699181170000362`*^9}, 
   3.8958154994910307`*^9},
 CellID->725966997,ExpressionUUID->"fe6409e7-16cb-4f82-ae48-95c3ad4fb044"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   InterpretationBox[
    TagBox[
     TagBox[
      DynamicModuleBox[{Typeset`open = False}, 
       FrameBox[
        PaneSelectorBox[{False->GridBox[{
           {
            PaneBox[GridBox[{
               {
                StyleBox[
                 StyleBox[
                  AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                   BoxBaselineShift->-0.25,
                   BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                  
                  FontColor->RGBColor[
                   0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                 ShowStringCharacters->False,
                 FontFamily->"Source Sans Pro Black",
                 FontSize->0.6538461538461539 Inherited,
                 FontWeight->"Heavy",
                 PrivateFontOptions->{"OperatorSubstitution"->False}], 
                StyleBox[
                 RowBox[{
                  StyleBox["Slice", "ResourceFunctionLabel"], " "}],
                 ShowAutoStyles->False,
                 ShowStringCharacters->False,
                 FontSize->Rational[12, 13] Inherited,
                 FontColor->GrayLevel[0.1]]}
              },
              GridBoxSpacings->{"Columns" -> {{0.25}}}],
             Alignment->Left,
             BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
             BaselinePosition->Baseline,
             FrameMargins->{{3, 0}, {0, 0}}], 
            ItemBox[
             PaneBox[
              TogglerBox[Dynamic[Typeset`open], {True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "IconizeCloser"],
                ImageSizeCache->{11., {2., 9.}}], False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "IconizeOpener"],
                ImageSizeCache->{11., {2., 9.}}]},
               Appearance->None,
               BaselinePosition->Baseline,
               ContentPadding->False,
               FrameMargins->0],
              Alignment->Left,
              BaselinePosition->Baseline,
              FrameMargins->{{1, 1}, {0, 0}}],
             Frame->{{
                RGBColor[
                0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                 0.5], False}, {False, False}}]}
          },
          BaselinePosition->{1, 1},
          GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
         GridBox[{
           {GridBox[{
              {
               PaneBox[GridBox[{
                  {
                   StyleBox[
                    StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                    ShowStringCharacters->False,
                    FontFamily->"Source Sans Pro Black",
                    FontSize->0.6538461538461539 Inherited,
                    FontWeight->"Heavy",
                    PrivateFontOptions->{"OperatorSubstitution"->False}], 
                   StyleBox[
                    RowBox[{
                    StyleBox["Slice", "ResourceFunctionLabel"], " "}],
                    ShowAutoStyles->False,
                    ShowStringCharacters->False,
                    FontSize->Rational[12, 13] Inherited,
                    FontColor->GrayLevel[0.1]]}
                 },
                 GridBoxSpacings->{"Columns" -> {{0.25}}}],
                Alignment->Left,
                BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
                BaselinePosition->Baseline,
                FrameMargins->{{3, 0}, {0, 0}}], 
               ItemBox[
                PaneBox[
                 TogglerBox[Dynamic[Typeset`open], {True->
                  
                  DynamicBox[FEPrivate`FrontEndResource[
                   "FEBitmaps", "IconizeCloser"]], False->
                  
                  DynamicBox[FEPrivate`FrontEndResource[
                   "FEBitmaps", "IconizeOpener"]]},
                  Appearance->None,
                  BaselinePosition->Baseline,
                  ContentPadding->False,
                  FrameMargins->0],
                 Alignment->Left,
                 BaselinePosition->Baseline,
                 FrameMargins->{{1, 1}, {0, 0}}],
                Frame->{{
                   RGBColor[
                   0.8313725490196079, 0.8470588235294118, 0.8509803921568627,
                     0.5], False}, {False, False}}]}
             },
             BaselinePosition->{1, 1},
             GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
           {
            StyleBox[
             PaneBox[GridBox[{
                {
                 RowBox[{
                  TagBox["\<\"Version (latest): \"\>",
                   "IconizedLabel"], " ", 
                  TagBox["\<\"1.0.0\"\>",
                   "IconizedItem"]}]},
                {
                 TagBox[
                  
                  TemplateBox[{
                   "\"Documentation \[RightGuillemet]\"", 
                    "https://resources.wolframcloud.com/FunctionRepository/\
resources/6480efeb-6565-4850-9ed0-e2c00631d9f6/"},
                   "HyperlinkURL"],
                  "IconizedItem"]}
               },
               DefaultBaseStyle->"Column",
               GridBoxAlignment->{"Columns" -> {{Left}}},
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
              Alignment->Left,
              BaselinePosition->Baseline,
              FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
             FontFamily->"Roboto",
             FontSize->11]}
          },
          BaselinePosition->{1, 1},
          GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
          GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
               GrayLevel[0.8]}, False}},
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
         Typeset`open],
         BaselinePosition->Baseline,
         ImageSize->Automatic],
        Background->RGBColor[
         0.9686274509803922, 0.9764705882352941, 0.984313725490196],
        BaselinePosition->Baseline,
        DefaultBaseStyle->{},
        FrameMargins->{{0, 0}, {1, 0}},
        FrameStyle->RGBColor[
         0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
        RoundingRadius->4]],
      #& ,
      TagBoxNote->" "],
     {"FunctionResourceBox", 
      RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
      "Slice"},
     TagBoxNote->"FunctionResourceBox"],
    ResourceFunction[
     ResourceObject[<|
      "Name" -> "Slice", "ShortName" -> "Slice", "UUID" -> 
       "6480efeb-6565-4850-9ed0-e2c00631d9f6", "ResourceType" -> "Function", 
       "Version" -> "1.0.0", "Description" -> "An operator form of Part", 
       "RepositoryLocation" -> 
       URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
       "SymbolName" -> 
       "FunctionRepository`$1dcc7ca341c64d76bd036187ddf47d79`Slice", 
       "FunctionLocation" -> 
       CloudObject[
        "https://www.wolframcloud.com/objects/ca819436-f7a1-48ec-8b80-\
afd0b05e2067"]|>, ResourceSystemBase -> Automatic]],
    Selectable->False], "[", 
   RowBox[{"All", ",", "\"\<sex\>\""}], "]"}], "[", "dinghy", "]"}]], "Input",
 CellChangeTimes->{{3.769259407583139*^9, 3.769259413047186*^9}, {
   3.769332381814577*^9, 3.769332382049849*^9}, 3.769954939556391*^9, 
   3.8811483688698463`*^9},
 CellLabel->"In[257]:=",
 CellID->1703203616,ExpressionUUID->"066c2ef4-c27f-45f2-b228-affdb0d17d28"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"female\"\>", ",", "\<\"male\"\>", ",", "\<\"female\"\>", 
   ",", "\<\"female\"\>", ",", "\<\"female\"\>"}], "}"}]], "Output",
 CellChangeTimes->{3.76925941350991*^9, 3.76928024863741*^9, 
  3.76933224987634*^9, 3.769332382611246*^9, 3.7693759167072287`*^9, 
  3.769955124190321*^9, 3.7699552699381123`*^9, 3.771929804095916*^9, 
  3.881419278907282*^9},
 CellLabel->"Out[257]=",
 CellID->55136316,ExpressionUUID->"8a398977-ca4e-4811-afd8-0a2b0af79a1f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   InterpretationBox[
    TagBox[
     TagBox[
      DynamicModuleBox[{Typeset`open = False}, 
       FrameBox[
        PaneSelectorBox[{False->GridBox[{
           {
            PaneBox[GridBox[{
               {
                StyleBox[
                 StyleBox[
                  AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                   BoxBaselineShift->-0.25,
                   BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                  
                  FontColor->RGBColor[
                   0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                 ShowStringCharacters->False,
                 FontFamily->"Source Sans Pro Black",
                 FontSize->0.6538461538461539 Inherited,
                 FontWeight->"Heavy",
                 PrivateFontOptions->{"OperatorSubstitution"->False}], 
                StyleBox[
                 RowBox[{
                  StyleBox["Slice", "ResourceFunctionLabel"], " "}],
                 ShowAutoStyles->False,
                 ShowStringCharacters->False,
                 FontSize->Rational[12, 13] Inherited,
                 FontColor->GrayLevel[0.1]]}
              },
              GridBoxSpacings->{"Columns" -> {{0.25}}}],
             Alignment->Left,
             BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
             BaselinePosition->Baseline,
             FrameMargins->{{3, 0}, {0, 0}}], 
            ItemBox[
             PaneBox[
              TogglerBox[Dynamic[Typeset`open], {True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "IconizeCloser"],
                ImageSizeCache->{11., {2., 9.}}], False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "IconizeOpener"],
                ImageSizeCache->{11., {2., 9.}}]},
               Appearance->None,
               BaselinePosition->Baseline,
               ContentPadding->False,
               FrameMargins->0],
              Alignment->Left,
              BaselinePosition->Baseline,
              FrameMargins->{{1, 1}, {0, 0}}],
             Frame->{{
                RGBColor[
                0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                 0.5], False}, {False, False}}]}
          },
          BaselinePosition->{1, 1},
          GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
         GridBox[{
           {GridBox[{
              {
               PaneBox[GridBox[{
                  {
                   StyleBox[
                    StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                    ShowStringCharacters->False,
                    FontFamily->"Source Sans Pro Black",
                    FontSize->0.6538461538461539 Inherited,
                    FontWeight->"Heavy",
                    PrivateFontOptions->{"OperatorSubstitution"->False}], 
                   StyleBox[
                    RowBox[{
                    StyleBox["Slice", "ResourceFunctionLabel"], " "}],
                    ShowAutoStyles->False,
                    ShowStringCharacters->False,
                    FontSize->Rational[12, 13] Inherited,
                    FontColor->GrayLevel[0.1]]}
                 },
                 GridBoxSpacings->{"Columns" -> {{0.25}}}],
                Alignment->Left,
                BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
                BaselinePosition->Baseline,
                FrameMargins->{{3, 0}, {0, 0}}], 
               ItemBox[
                PaneBox[
                 TogglerBox[Dynamic[Typeset`open], {True->
                  
                  DynamicBox[FEPrivate`FrontEndResource[
                   "FEBitmaps", "IconizeCloser"]], False->
                  
                  DynamicBox[FEPrivate`FrontEndResource[
                   "FEBitmaps", "IconizeOpener"]]},
                  Appearance->None,
                  BaselinePosition->Baseline,
                  ContentPadding->False,
                  FrameMargins->0],
                 Alignment->Left,
                 BaselinePosition->Baseline,
                 FrameMargins->{{1, 1}, {0, 0}}],
                Frame->{{
                   RGBColor[
                   0.8313725490196079, 0.8470588235294118, 0.8509803921568627,
                     0.5], False}, {False, False}}]}
             },
             BaselinePosition->{1, 1},
             GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
           {
            StyleBox[
             PaneBox[GridBox[{
                {
                 RowBox[{
                  TagBox["\<\"Version (latest): \"\>",
                   "IconizedLabel"], " ", 
                  TagBox["\<\"1.0.0\"\>",
                   "IconizedItem"]}]},
                {
                 TagBox[
                  
                  TemplateBox[{
                   "\"Documentation \[RightGuillemet]\"", 
                    "https://resources.wolframcloud.com/FunctionRepository/\
resources/6480efeb-6565-4850-9ed0-e2c00631d9f6/"},
                   "HyperlinkURL"],
                  "IconizedItem"]}
               },
               DefaultBaseStyle->"Column",
               GridBoxAlignment->{"Columns" -> {{Left}}},
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
              Alignment->Left,
              BaselinePosition->Baseline,
              FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
             FontFamily->"Roboto",
             FontSize->11]}
          },
          BaselinePosition->{1, 1},
          GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
          GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
               GrayLevel[0.8]}, False}},
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
         Typeset`open],
         BaselinePosition->Baseline,
         ImageSize->Automatic],
        Background->RGBColor[
         0.9686274509803922, 0.9764705882352941, 0.984313725490196],
        BaselinePosition->Baseline,
        DefaultBaseStyle->{},
        FrameMargins->{{0, 0}, {1, 0}},
        FrameStyle->RGBColor[
         0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
        RoundingRadius->4]],
      #& ,
      TagBoxNote->" "],
     {"FunctionResourceBox", 
      RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
      "Slice"},
     TagBoxNote->"FunctionResourceBox"],
    ResourceFunction[
     ResourceObject[<|
      "Name" -> "Slice", "ShortName" -> "Slice", "UUID" -> 
       "6480efeb-6565-4850-9ed0-e2c00631d9f6", "ResourceType" -> "Function", 
       "Version" -> "1.0.0", "Description" -> "An operator form of Part", 
       "RepositoryLocation" -> 
       URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
       "SymbolName" -> 
       "FunctionRepository`$1dcc7ca341c64d76bd036187ddf47d79`Slice", 
       "FunctionLocation" -> 
       CloudObject[
        "https://www.wolframcloud.com/objects/ca819436-f7a1-48ec-8b80-\
afd0b05e2067"]|>, ResourceSystemBase -> Automatic]],
    Selectable->False], "[", 
   RowBox[{"\"\<Anna\>\"", ",", "\"\<sex\>\""}], "]"}], "[", "dinghyk", 
  "]"}]], "Input",
 CellChangeTimes->{{3.769259407583139*^9, 3.769259413047186*^9}, {
   3.769259457230468*^9, 3.7692594644414873`*^9}, {3.7693323865061073`*^9, 
   3.769332386865018*^9}, 3.76995494042038*^9, 3.8811483714164257`*^9},
 CellLabel->"In[258]:=",
 CellID->239120928,ExpressionUUID->"dc3d5033-2020-4ae6-ab0f-eab5980abcea"],

Cell[BoxData["\<\"female\"\>"], "Output",
 CellChangeTimes->{3.769259464786457*^9, 3.769280251344692*^9, 
  3.769332249918044*^9, 3.769332387439238*^9, 3.769333124878878*^9, 
  3.7693759241007*^9, 3.769955124225168*^9, 3.769955269974773*^9, 
  3.771929804105585*^9, 3.881419281663486*^9},
 CellLabel->"Out[258]=",
 CellID->1751975497,ExpressionUUID->"94205089-c9a5-4a36-bf86-8310aa85ad8a"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   InterpretationBox[
    TagBox[
     TagBox[
      DynamicModuleBox[{Typeset`open = False}, 
       FrameBox[
        PaneSelectorBox[{False->GridBox[{
           {
            PaneBox[GridBox[{
               {
                StyleBox[
                 StyleBox[
                  AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                   BoxBaselineShift->-0.25,
                   BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                  
                  FontColor->RGBColor[
                   0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                 ShowStringCharacters->False,
                 FontFamily->"Source Sans Pro Black",
                 FontSize->0.6538461538461539 Inherited,
                 FontWeight->"Heavy",
                 PrivateFontOptions->{"OperatorSubstitution"->False}], 
                StyleBox[
                 RowBox[{
                  StyleBox["Slice", "ResourceFunctionLabel"], " "}],
                 ShowAutoStyles->False,
                 ShowStringCharacters->False,
                 FontSize->Rational[12, 13] Inherited,
                 FontColor->GrayLevel[0.1]]}
              },
              GridBoxSpacings->{"Columns" -> {{0.25}}}],
             Alignment->Left,
             BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
             BaselinePosition->Baseline,
             FrameMargins->{{3, 0}, {0, 0}}], 
            ItemBox[
             PaneBox[
              TogglerBox[Dynamic[Typeset`open], {True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "IconizeCloser"],
                ImageSizeCache->{11., {2., 9.}}], False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "IconizeOpener"],
                ImageSizeCache->{11., {2., 9.}}]},
               Appearance->None,
               BaselinePosition->Baseline,
               ContentPadding->False,
               FrameMargins->0],
              Alignment->Left,
              BaselinePosition->Baseline,
              FrameMargins->{{1, 1}, {0, 0}}],
             Frame->{{
                RGBColor[
                0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                 0.5], False}, {False, False}}]}
          },
          BaselinePosition->{1, 1},
          GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
         GridBox[{
           {GridBox[{
              {
               PaneBox[GridBox[{
                  {
                   StyleBox[
                    StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                    ShowStringCharacters->False,
                    FontFamily->"Source Sans Pro Black",
                    FontSize->0.6538461538461539 Inherited,
                    FontWeight->"Heavy",
                    PrivateFontOptions->{"OperatorSubstitution"->False}], 
                   StyleBox[
                    RowBox[{
                    StyleBox["Slice", "ResourceFunctionLabel"], " "}],
                    ShowAutoStyles->False,
                    ShowStringCharacters->False,
                    FontSize->Rational[12, 13] Inherited,
                    FontColor->GrayLevel[0.1]]}
                 },
                 GridBoxSpacings->{"Columns" -> {{0.25}}}],
                Alignment->Left,
                BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
                BaselinePosition->Baseline,
                FrameMargins->{{3, 0}, {0, 0}}], 
               ItemBox[
                PaneBox[
                 TogglerBox[Dynamic[Typeset`open], {True->
                  
                  DynamicBox[FEPrivate`FrontEndResource[
                   "FEBitmaps", "IconizeCloser"]], False->
                  
                  DynamicBox[FEPrivate`FrontEndResource[
                   "FEBitmaps", "IconizeOpener"]]},
                  Appearance->None,
                  BaselinePosition->Baseline,
                  ContentPadding->False,
                  FrameMargins->0],
                 Alignment->Left,
                 BaselinePosition->Baseline,
                 FrameMargins->{{1, 1}, {0, 0}}],
                Frame->{{
                   RGBColor[
                   0.8313725490196079, 0.8470588235294118, 0.8509803921568627,
                     0.5], False}, {False, False}}]}
             },
             BaselinePosition->{1, 1},
             GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
           {
            StyleBox[
             PaneBox[GridBox[{
                {
                 RowBox[{
                  TagBox["\<\"Version (latest): \"\>",
                   "IconizedLabel"], " ", 
                  TagBox["\<\"1.0.0\"\>",
                   "IconizedItem"]}]},
                {
                 TagBox[
                  
                  TemplateBox[{
                   "\"Documentation \[RightGuillemet]\"", 
                    "https://resources.wolframcloud.com/FunctionRepository/\
resources/6480efeb-6565-4850-9ed0-e2c00631d9f6/"},
                   "HyperlinkURL"],
                  "IconizedItem"]}
               },
               DefaultBaseStyle->"Column",
               GridBoxAlignment->{"Columns" -> {{Left}}},
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
              Alignment->Left,
              BaselinePosition->Baseline,
              FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
             FontFamily->"Roboto",
             FontSize->11]}
          },
          BaselinePosition->{1, 1},
          GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
          GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
               GrayLevel[0.8]}, False}},
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
         Typeset`open],
         BaselinePosition->Baseline,
         ImageSize->Automatic],
        Background->RGBColor[
         0.9686274509803922, 0.9764705882352941, 0.984313725490196],
        BaselinePosition->Baseline,
        DefaultBaseStyle->{},
        FrameMargins->{{0, 0}, {1, 0}},
        FrameStyle->RGBColor[
         0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
        RoundingRadius->4]],
      #& ,
      TagBoxNote->" "],
     {"FunctionResourceBox", 
      RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
      "Slice"},
     TagBoxNote->"FunctionResourceBox"],
    ResourceFunction[
     ResourceObject[<|
      "Name" -> "Slice", "ShortName" -> "Slice", "UUID" -> 
       "6480efeb-6565-4850-9ed0-e2c00631d9f6", "ResourceType" -> "Function", 
       "Version" -> "1.0.0", "Description" -> "An operator form of Part", 
       "RepositoryLocation" -> 
       URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
       "SymbolName" -> 
       "FunctionRepository`$1dcc7ca341c64d76bd036187ddf47d79`Slice", 
       "FunctionLocation" -> 
       CloudObject[
        "https://www.wolframcloud.com/objects/ca819436-f7a1-48ec-8b80-\
afd0b05e2067"]|>, ResourceSystemBase -> Automatic]],
    Selectable->False], "[", 
   RowBox[{"All", ",", "\"\<age\>\""}], "]"}], "[", "dinghyk", "]"}]], "Input",
 CellChangeTimes->{{3.769259407583139*^9, 3.769259413047186*^9}, {
   3.769259457230468*^9, 3.769259474334484*^9}, 3.7699549413493357`*^9, 
   3.881148373622096*^9, {3.882286073513123*^9, 3.882286087500403*^9}},
 CellLabel->"In[76]:=",
 CellID->924977853,ExpressionUUID->"26f5305b-1405-4809-8911-3a2f89d1fbc1"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"Anna\"\>", "\[Rule]", "16"}], ",", 
   RowBox[{"\<\"Bob\"\>", "\[Rule]", "65"}], ",", 
   RowBox[{"\<\"Clarisse\"\>", "\[Rule]", "2"}], ",", 
   RowBox[{"\<\"Diane\"\>", "\[Rule]", 
    RowBox[{"Missing", "[", 
     RowBox[{"\<\"KeyAbsent\"\>", ",", "\<\"age\"\>"}], "]"}]}], ",", 
   RowBox[{"\<\"Emily\"\>", "\[Rule]", "18"}]}], 
  "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{3.769259474754857*^9, 3.769280252968034*^9, 
  3.76933224993647*^9, 3.7693331266151733`*^9, 3.7693759258960648`*^9, 
  3.769955124234435*^9, 3.769955270031364*^9, 3.7719298041402817`*^9, 
  3.881419284512774*^9, 3.882286090154098*^9, 3.882286136221888*^9},
 CellLabel->"Out[76]=",
 CellID->959353465,ExpressionUUID->"fefff4d7-64bf-4cdd-baf2-c14101ad5de3"]
}, Open  ]],

Cell[TextData[{
 ButtonBox["Slice",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
Slice"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/Slice"],
 ", to its credit, works on Associations and non-Associations alike."
}], "Text",
 CellChangeTimes->{{3.769259265577179*^9, 3.769259284884102*^9}, {
   3.775816529991791*^9, 3.7758165304088326`*^9}, 3.7758351391041684`*^9, 
   3.8572285527037077`*^9, {3.8662116576571207`*^9, 3.8662116587624598`*^9}, {
   3.867237201517891*^9, 3.867237216979761*^9}, {3.8699181577447987`*^9, 
   3.869918166240399*^9}},
 CellTags->"i:36",
 CellID->1148894748,ExpressionUUID->"d856d6d5-ab59-4031-b9ca-eff76ccca4ab"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Building Associations", "Subsection",
 CellChangeTimes->{{3.76926057195441*^9, 3.7692605795774918`*^9}},
 CellID->920077458,ExpressionUUID->"958f6bf4-122b-4b45-a4a2-658629a8b060"],

Cell[TextData[{
 "The Wolfram Language contains numerous ways to build an ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 ". Typing out Rules going from keys to values is one way of building an ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 ", but the Wolfram Language contains many other methods of construction."
}], "Text",
 CellChangeTimes->{{3.769260581554831*^9, 3.769260635476976*^9}, {
  3.857228576174617*^9, 3.85722858804071*^9}, {3.858240314588357*^9, 
  3.8582403301142273`*^9}, {3.8662124728389854`*^9, 3.866212474177743*^9}},
 CellTags->"LastCellOfAPage",
 CellID->804730587,ExpressionUUID->"d2bd0bfb-8fb0-4686-a759-c0a6aca0d447"],

Cell[CellGroupData[{

Cell[TextData[StyleBox[ButtonBox["AssociationThread",
 BaseStyle->"Hyperlink",
 ButtonData->{
   URL["https://reference.wolfram.com/language/ref/AssociationThread.html"], 
   None},
 ButtonNote->
  "https://reference.wolfram.com/language/ref/AssociationThread.html"],
 FontColor->RGBColor[
  0.9019607843137255, 0.4117647058823529, 
   0.027450980392156862`]]], "Subsubsection",
 CellTags->"p: 79",
 CellID->2019678993,ExpressionUUID->"521333f4-5f59-43a2-8eba-2cb4b8ad3ef2"],

Cell[TextData[{
 "One frequently used method of construction is the built-in ",
 ButtonBox["AssociationThread",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/AssociationThread.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/AssociationThread.html"],
 " function. One can think of it as being the ",
 ButtonBox["RightComposition",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/RightComposition.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/RightComposition.html"],
 " of (1) a function that Threads ",
 ButtonBox["Rule",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Rule.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Rule.html"],
 " over its first and second arguments and (2) the ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " function."
}], "Text",
 CellChangeTimes->{{3.7692606954620457`*^9, 3.769260730800539*^9}, {
   3.7692608467552137`*^9, 3.769260893050873*^9}, {3.7758352355861683`*^9, 
   3.7758352626561685`*^9}, 3.857228647264627*^9, {3.8672372380331717`*^9, 
   3.8672372390702934`*^9}},
 CellTags->"i:37",
 CellID->118867265,ExpressionUUID->"40954ed4-85fc-4ca4-8e5e-8164ca6b261e"],

Cell[TextData[{
 "A reconstruction of ",
 ButtonBox["AssociationThread",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/AssociationThread.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/AssociationThread.html"],
 " using ",
 ButtonBox["Thread",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Thread.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Thread.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.7694209228937197`*^9, 3.769420933514268*^9}, 
   3.771857198677247*^9, {3.7758352681451683`*^9, 3.7758352765041685`*^9}},
 CellID->1234786428,ExpressionUUID->"399d19f4-39c8-4c51-9053-49cfc2d46d2d"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"fakeAssociationThread", "=", 
   RowBox[{
    RowBox[{"Function", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"keys", ",", "values"}], "}"}], ",", 
      RowBox[{"Thread", "[", 
       RowBox[{"Rule", "[", 
        RowBox[{"keys", ",", "values"}], "]"}], "]"}]}], "]"}], "/*", 
    "Association"}]}], ";"}], "\n", 
 RowBox[{"fakeAssociationThread", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\"\<a\>\"", ",", "\"\<b\>\"", ",", "\"\<c\>\""}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"5", ",", "9", ",", "\"\<hello\>\""}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.769260731969966*^9, 3.769260779088933*^9}, 
   3.769420914231522*^9},
 CellLabel->"In[260]:=",
 CellID->167075957,ExpressionUUID->"31b76d89-8b70-48e0-82eb-5729bf5327e6"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"a\"\>", "\[Rule]", "5"}], ",", 
   RowBox[{"\<\"b\"\>", "\[Rule]", "9"}], ",", 
   RowBox[{"\<\"c\"\>", "\[Rule]", "\<\"hello\"\>"}]}], 
  "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{3.7692607970141973`*^9, 3.7693322499753323`*^9, 
  3.769375957097777*^9, 3.7694209175920277`*^9, 3.769955124271186*^9, 
  3.7699552700691957`*^9, 3.771929804151292*^9, 3.881419338213297*^9},
 CellLabel->"Out[261]=",
 CellID->477977016,ExpressionUUID->"263c6d60-8a6c-4927-86d2-31075bf816cd"]
}, Open  ]],

Cell[TextData[{
 ButtonBox["AssociationThread",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/AssociationThread.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/AssociationThread.html"],
 " lets me skip all that and just write it this way."
}], "Text",
 CellChangeTimes->{{3.769260802343555*^9, 3.7692608094111853`*^9}, {
  3.7692609027344933`*^9, 3.7692609113740587`*^9}, {3.7758352808791685`*^9, 
  3.7758352857631683`*^9}, {3.867237752929505*^9, 3.8672377536338954`*^9}},
 CellID->1092351900,ExpressionUUID->"c4cb065e-88f2-4e80-ab16-e04b9b36b6f7"],

Cell[TextData[{
 ButtonBox["AssociationThread",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/AssociationThread.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/AssociationThread.html"],
 " is easy to use:"
}], "CodeText",
 CellChangeTimes->{{3.7694209360174303`*^9, 3.769420940895606*^9}, {
  3.775835291567168*^9, 3.7758352956301684`*^9}},
 CellID->295114712,ExpressionUUID->"7e848e6c-f5c3-4d92-88e1-bab3baa96b04"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"AssociationThread", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\"\<a\>\"", ",", "\"\<b\>\"", ",", "\"\<c\>\""}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"5", ",", "9", ",", "\"\<hello\>\""}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7692608117265244`*^9, 3.769260820696488*^9}},
 CellLabel->"In[262]:=",
 CellID->1198722540,ExpressionUUID->"31e5f6d4-64d1-4104-a7d1-e2859336f9a3"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"a\"\>", "\[Rule]", "5"}], ",", 
   RowBox[{"\<\"b\"\>", "\[Rule]", "9"}], ",", 
   RowBox[{"\<\"c\"\>", "\[Rule]", "\<\"hello\"\>"}]}], 
  "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{3.769260821930119*^9, 3.769332250008761*^9, 
  3.769375960107647*^9, 3.7699551242802153`*^9, 3.769955270079493*^9, 
  3.77192980418285*^9, 3.8814193437521152`*^9},
 CellLabel->"Out[262]=",
 CellID->379032049,ExpressionUUID->"508a387f-8386-45b6-8952-a59c32ff43f4"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[StyleBox[ButtonBox["AssociationMap",
 BaseStyle->"Hyperlink",
 ButtonData->{
   URL["https://reference.wolfram.com/language/ref/AssociationMap.html"], 
   None},
 ButtonNote->"https://reference.wolfram.com/language/ref/AssociationMap.html"],
 FontColor->RGBColor[
  0.9019607843137255, 0.4117647058823529, 
   0.027450980392156862`]]], "Subsubsection",
 CellID->1551208727,ExpressionUUID->"615feb37-e0fc-4934-a705-e0cb516d7263"],

Cell[TextData[{
 ButtonBox["AssociationMap",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/AssociationMap.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/AssociationMap.html"],
 " is used when one wants to compute the values in an ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " based on a ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of keys."
}], "Text",
 CellChangeTimes->{{3.769260916703803*^9, 3.769260947383688*^9}, 
   3.769375968727971*^9, 3.7758353020661683`*^9, {3.8572286790155163`*^9, 
   3.857228683914692*^9}},
 CellTags->"i:38",
 CellID->4552669,ExpressionUUID->"034e7473-e470-4fb8-86e6-bc55a9539a68"],

Cell[TextData[{
 ButtonBox["AssociationMap",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/AssociationMap.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/AssociationMap.html"],
 " builds Associations from potential keys:"
}], "CodeText",
 CellChangeTimes->{{3.7694209471741734`*^9, 3.7694209676431293`*^9}, {
  3.7758353250071683`*^9, 3.775835326661168*^9}},
 CellID->1371682411,ExpressionUUID->"421243ae-3a08-4b7c-980e-9f8c58dd2a03"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"AssociationMap", "[", 
  RowBox[{"StringLength", ",", 
   RowBox[{"{", 
    RowBox[{"\"\<yak\>\"", ",", "\"\<zebra\>\"", ",", "\"\<armadillo\>\""}], 
    "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7692609489219627`*^9, 3.769260971298588*^9}},
 CellLabel->"In[263]:=",
 CellID->1359436790,ExpressionUUID->"a988f783-e121-4754-981d-b4511fc26c41"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"yak\"\>", "\[Rule]", "3"}], ",", 
   RowBox[{"\<\"zebra\"\>", "\[Rule]", "5"}], ",", 
   RowBox[{"\<\"armadillo\"\>", "\[Rule]", "9"}]}], 
  "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{3.7692609718170633`*^9, 3.7693322500219316`*^9, 
  3.769375971905081*^9, 3.769955124317581*^9, 3.769955270118052*^9, 
  3.77192980419477*^9, 3.881419348427452*^9},
 CellLabel->"Out[263]=",
 CellID->1088535026,ExpressionUUID->"505bd2a9-aad1-4dfe-a8ef-759ea633e72a"]
}, Open  ]],

Cell[TextData[{
 ButtonBox["AssociationMap",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/AssociationMap.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/AssociationMap.html"],
 " has an operator form:"
}], "CodeText",
 CellChangeTimes->{{3.769420970184731*^9, 3.769420976082334*^9}, {
  3.7758353310451684`*^9, 3.7758353357401686`*^9}},
 CellID->954631211,ExpressionUUID->"ca76cc93-1b42-469c-9ccf-3e71368eb631"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"AssociationMap", "[", "StringLength", "]"}], "[", 
  RowBox[{"{", 
   RowBox[{"\"\<yak\>\"", ",", "\"\<zebra\>\"", ",", "\"\<armadillo\>\""}], 
   "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.769260997753892*^9, 3.7692610082733803`*^9}},
 CellLabel->"In[264]:=",
 CellID->391392083,ExpressionUUID->"1b6e20e6-9b8e-45e6-b15f-5b35d0dee443"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"yak\"\>", "\[Rule]", "3"}], ",", 
   RowBox[{"\<\"zebra\"\>", "\[Rule]", "5"}], ",", 
   RowBox[{"\<\"armadillo\"\>", "\[Rule]", "9"}]}], 
  "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{3.7692610087299213`*^9, 3.769332250055691*^9, 
  3.769375974158477*^9, 3.76995512432848*^9, 3.769955270128422*^9, 
  3.771929804228043*^9, 3.881419352435708*^9},
 CellLabel->"Out[264]=",
 CellID->88710125,ExpressionUUID->"d3ec29c0-bc92-4c4d-b53d-da8f35d49440"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[StyleBox[ButtonBox["Counts",
 BaseStyle->"Hyperlink",
 ButtonData->{
   URL["https://reference.wolfram.com/language/ref/Counts.html"], None},
 ButtonNote->"https://reference.wolfram.com/language/ref/Counts.html"],
 FontColor->RGBColor[
  0.9019607843137255, 0.4117647058823529, 
   0.027450980392156862`]]], "Subsubsection",
 CellID->1358934012,ExpressionUUID->"ba61bf98-2c38-454c-a719-2d4e1b2e0d19"],

Cell[TextData[{
 "Perhaps the ",
 ButtonBox["Counts",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Counts.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Counts.html"],
 " function doesn\[CloseCurlyQuote]t really belong here since it isn\
\[CloseCurlyQuote]t a typical way of building an ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 ", but (1) because it\[CloseCurlyQuote]s so useful and (2) because it\
\[CloseCurlyQuote]s very helpful to use it in the following code, I insert it \
into the seamless web of Wolfram Language programming right here. Basically, ",
 ButtonBox["Counts",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Counts.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Counts.html"],
 " forms an ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " in which the keys are the items it encounters and the values are the \
number of times it encounters them. The order of the key-value pairs depends \
on the order of data in the underlying data structure being probed."
}], "Text",
 CellChangeTimes->{{3.769261020708412*^9, 3.769261105653159*^9}, {
  3.769421506337281*^9, 3.769421535340201*^9}, {3.7758353430001683`*^9, 
  3.7758353695901685`*^9}, {3.780309729407483*^9, 3.780309782438843*^9}, {
  3.857228739371072*^9, 3.8572287604641*^9}, {3.8662126865817814`*^9, 
  3.86621269102489*^9}, {3.8672377663281507`*^9, 3.8672377687524967`*^9}, {
  3.868001494491864*^9, 3.868001497876204*^9}},
 CellTags->"i:39",
 CellID->1502312842,ExpressionUUID->"b64e4f58-64a8-40ff-b704-54a9642b9d9d"],

Cell[TextData[{
 "Here I show that the space followed by the letter \[OpenCurlyDoubleQuote]o\
\[CloseCurlyDoubleQuote] are the two most common characters in a line of \
dialog from ",
 StyleBox["Hamlet",
  FontSlant->"Italic"],
 ". "
}], "Text",
 CellChangeTimes->{{3.769261275096478*^9, 3.769261304843911*^9}, {
   3.769261370869062*^9, 3.769261381622753*^9}, {3.769261429184115*^9, 
   3.7692614520427723`*^9}, {3.769261506738105*^9, 3.7692615280194883`*^9}, {
   3.7758356842411685`*^9, 3.7758356849611683`*^9}, 3.866212880300274*^9},
 CellTags->"LastCellOfAPage",
 CellID->55916443,ExpressionUUID->"2e294d52-08be-446c-a133-323d5a9f7d6f"],

Cell[TextData[{
 ButtonBox["Counts",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Counts.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Counts.html"],
 " builds an ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " in which the expressions found are the keys and the frequency with which \
they are found are the values:"
}], "CodeText",
 CellChangeTimes->{{3.769421490634625*^9, 3.769421503119265*^9}, {
   3.769421538586256*^9, 3.7694215732679977`*^9}, {3.7758356986811686`*^9, 
   3.7758357042731686`*^9}, 3.857228797066628*^9},
 CellTags->"p: 80",
 CellID->1679730071,ExpressionUUID->"6ec0ec36-722f-4373-abdf-ae759bef9a0d"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ReverseSort", "@", 
  RowBox[{"Counts", "[", 
   RowBox[{"StringPartition", "[", 
    RowBox[{"\"\<To be or not to be\>\"", ",", "1"}], "]"}], "]"}]}]], "Input",\

 CellChangeTimes->{{3.769261478555417*^9, 3.7692614993001957`*^9}},
 CellLabel->"In[265]:=",
 CellID->412739345,ExpressionUUID->"ec490348-2a92-4d67-8e09-c3f87e76a435"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\" \"\>", "\[Rule]", "5"}], ",", 
   RowBox[{"\<\"o\"\>", "\[Rule]", "4"}], ",", 
   RowBox[{"\<\"t\"\>", "\[Rule]", "2"}], ",", 
   RowBox[{"\<\"e\"\>", "\[Rule]", "2"}], ",", 
   RowBox[{"\<\"b\"\>", "\[Rule]", "2"}], ",", 
   RowBox[{"\<\"n\"\>", "\[Rule]", "1"}], ",", 
   RowBox[{"\<\"r\"\>", "\[Rule]", "1"}], ",", 
   RowBox[{"\<\"T\"\>", "\[Rule]", "1"}]}], "\[RightAssociation]"}]], "Output",\

 CellChangeTimes->{{3.769261487024961*^9, 3.769261499830081*^9}, 
   3.769332250067993*^9, 3.7693760010169563`*^9, 3.769955124362759*^9, 
   3.7699552701664553`*^9, 3.7719298042367496`*^9, 3.8814193592658663`*^9},
 CellLabel->"Out[265]=",
 CellID->1251095351,ExpressionUUID->"bf35213b-3fa5-496b-8933-1021b4b8e172"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[StyleBox[ButtonBox["Merge",
 BaseStyle->"Hyperlink",
 ButtonData->{
   URL["https://reference.wolfram.com/language/ref/Merge.html"], None},
 ButtonNote->"https://reference.wolfram.com/language/ref/Merge.html"],
 FontColor->RGBColor[
  0.9019607843137255, 0.4117647058823529, 
   0.027450980392156862`]]], "Subsubsection",
 CellID->1781611568,ExpressionUUID->"e00971c6-9d51-4926-9baa-aa38601e471b"],

Cell[TextData[{
 "Right now, the data in ",
 Cell[BoxData[
 "dinghy"], "InlineCodeText",ExpressionUUID->
  "c2b084ea-ce74-4b19-a720-811382b45fd5"],
 " is stored in what can be described as a row-wise fashion. Each row has its \
own key-value pair. If the keys in a list of Associations tended to be quite \
similar, however, one might compress this information, as other computer \
languages do, by storing it in what could be called a column-wise fashion. \
The function with which to do this is ",
 ButtonBox["Merge",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Merge.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Merge.html"],
 "."
}], "Text",
 CellChangeTimes->{{3.740479257647208*^9, 3.740479333078479*^9}, {
   3.740488340783001*^9, 3.740488342917406*^9}, {3.741538014726128*^9, 
   3.7415380153550577`*^9}, {3.7421455282723637`*^9, 3.74214556311483*^9}, {
   3.742145608003023*^9, 3.742145612196891*^9}, {3.7424755157732973`*^9, 
   3.742475518803393*^9}, {3.769260333560218*^9, 3.769260336275329*^9}, {
   3.769376016891716*^9, 3.769376020802644*^9}, 3.7699549424093533`*^9, {
   3.7758357684651685`*^9, 3.775835804114168*^9}, {3.857030679980413*^9, 
   3.857030680240243*^9}, 3.8572288415363092`*^9, {3.8662142524168916`*^9, 
   3.866214253220487*^9}, {3.866554470630741*^9, 3.866554470990621*^9}, {
   3.8665545283309526`*^9, 3.8665545338024*^9}},
 CellTags->"i:40",
 CellID->1181133255,ExpressionUUID->"61169e99-ab86-4892-9135-a2fa92587d7f"],

Cell[TextData[{
 "I now ",
 ButtonBox["Merge",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Merge.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Merge.html"],
 " ",
 Cell[BoxData[
 "dinghy"], "InlineCodeText",ExpressionUUID->
  "4c5091f6-0539-4967-81f9-30f25a8544e9"],
 ", using the abstract function ",
 Cell[BoxData[
 "f"], "InlineCodeText",ExpressionUUID->
  "dc0b3648-ea0d-4d0a-8eec-2156584faf90"],
 " as the second argument. Notice that the values for each column are all now \
Listed together as the value (with the function ",
 Cell[BoxData[
 "f"], "InlineCodeText",ExpressionUUID->
  "13f2c695-90d6-4c8e-a08f-2380c9fd456d"],
 " applied) to a single common key."
}], "Text",
 CellChangeTimes->{{3.742145580435761*^9, 3.7421456033841877`*^9}, {
   3.742145637422777*^9, 3.742145643201055*^9}, {3.745853676029787*^9, 
   3.745853676652856*^9}, {3.745856209968844*^9, 3.745856211175654*^9}, {
   3.7458562458622503`*^9, 3.745856259139134*^9}, {3.769260351526915*^9, 
   3.7692603554016743`*^9}, {3.7692644933071213`*^9, 3.7692645205406647`*^9}, 
   3.769954943543108*^9, {3.7758358222681684`*^9, 3.7758358399341683`*^9}, {
   3.7758358728471684`*^9, 3.775835878062168*^9}, {3.7758359361721687`*^9, 
   3.7758359369641685`*^9}, {3.8662147424503126`*^9, 3.8662147467386227`*^9}, 
   3.866554574524414*^9},
 CellID->1450695100,ExpressionUUID->"51821e9a-7efb-4f17-834e-1720b8b9a701"],

Cell[TextData[{
 ButtonBox["Merge",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Merge.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Merge.html"],
 " turns multiple Associations into a single ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.7694215861546993`*^9, 3.769421594433056*^9}, {
   3.7758359438411684`*^9, 3.7758359479501686`*^9}, 3.857228911158915*^9},
 CellID->1598280766,ExpressionUUID->"87cbb61a-1f81-47b6-b332-f3800738657d"],

Cell[CellGroupData[{

Cell["Merge[dinghy,f]", "Input",
 CellChangeTimes->{{3.742145586076295*^9, 3.742145586945595*^9}, {
   3.76926037096377*^9, 3.769260372183423*^9}, 3.769954944462296*^9},
 CellLabel->"In[267]:=",
 CellID->1450701309,ExpressionUUID->"0606914f-4dbf-472c-beb9-23997774b65e"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"class\"\>", "\[Rule]", 
    RowBox[{"f", "[", 
     RowBox[{"{", 
      RowBox[{"\<\"3rd\"\>", ",", "\<\"1st\"\>", ",", "\<\"3rd\"\>", 
       ",", "\<\"3rd\"\>", ",", "\<\"3rd\"\>"}], "}"}], "]"}]}], ",", 
   RowBox[{"\<\"age\"\>", "\[Rule]", 
    RowBox[{"f", "[", 
     RowBox[{"{", 
      RowBox[{"16", ",", "65", ",", "2", ",", 
       RowBox[{"Missing", "[", "]"}], ",", "18"}], "}"}], "]"}]}], ",", 
   RowBox[{"\<\"sex\"\>", "\[Rule]", 
    RowBox[{"f", "[", 
     RowBox[{"{", 
      RowBox[{"\<\"female\"\>", ",", "\<\"male\"\>", ",", "\<\"female\"\>", 
       ",", "\<\"female\"\>", ",", "\<\"female\"\>"}], "}"}], "]"}]}], ",", 
   RowBox[{"\<\"survived\"\>", "\[Rule]", 
    RowBox[{"f", "[", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False", ",", "False", ",", "True", ",", "False"}],
       "}"}], "]"}]}]}], "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{3.742145648822764*^9, 3.769260372893194*^9, 
  3.769280260806777*^9, 3.76933225010112*^9, 3.769376028335251*^9, 
  3.769955124374621*^9, 3.769955270177513*^9, 3.771929804272367*^9, 
  3.881419364295257*^9, 3.8814193947892103`*^9},
 CellLabel->"Out[267]=",
 CellID->158519932,ExpressionUUID->"d7e6cfca-ff5e-4e48-b04e-ae382da69faa"]
}, Open  ]],

Cell[TextData[{
 ButtonBox["Merge",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Merge.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Merge.html"],
 " has an operator form in which the merging function is the sole argument:"
}], "CodeText",
 CellChangeTimes->{{3.76942160048345*^9, 3.7694216043278103`*^9}, {
   3.7758359581851683`*^9, 3.7758359618001685`*^9}, {3.8582404381036377`*^9, 
   3.858240438451091*^9}, 3.8661267264436646`*^9},
 CellTags->"i:41",
 CellID->1771751745,ExpressionUUID->"2c0d03a0-e075-4bed-9a2f-ca2534ef48ce"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Merge", "[", "f", "]"}], "[", "dinghy", "]"}]], "Input",
 CellChangeTimes->{{3.769260446086685*^9, 3.769260449253839*^9}, 
   3.769954945252831*^9},
 CellLabel->"In[268]:=",
 CellID->1185572909,ExpressionUUID->"c21c67c0-bbdf-45d3-aa4a-3500c9464112"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"class\"\>", "\[Rule]", 
    RowBox[{"f", "[", 
     RowBox[{"{", 
      RowBox[{"\<\"3rd\"\>", ",", "\<\"1st\"\>", ",", "\<\"3rd\"\>", 
       ",", "\<\"3rd\"\>", ",", "\<\"3rd\"\>"}], "}"}], "]"}]}], ",", 
   RowBox[{"\<\"age\"\>", "\[Rule]", 
    RowBox[{"f", "[", 
     RowBox[{"{", 
      RowBox[{"16", ",", "65", ",", "2", ",", 
       RowBox[{"Missing", "[", "]"}], ",", "18"}], "}"}], "]"}]}], ",", 
   RowBox[{"\<\"sex\"\>", "\[Rule]", 
    RowBox[{"f", "[", 
     RowBox[{"{", 
      RowBox[{"\<\"female\"\>", ",", "\<\"male\"\>", ",", "\<\"female\"\>", 
       ",", "\<\"female\"\>", ",", "\<\"female\"\>"}], "}"}], "]"}]}], ",", 
   RowBox[{"\<\"survived\"\>", "\[Rule]", 
    RowBox[{"f", "[", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False", ",", "False", ",", "True", ",", "False"}],
       "}"}], "]"}]}]}], "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{3.769260449900866*^9, 3.7693322501143208`*^9, 
  3.769376047727317*^9, 3.769955124409149*^9, 3.7699552702130833`*^9, 
  3.771929804283866*^9, 3.881419441107606*^9},
 CellLabel->"Out[268]=",
 CellID->962075691,ExpressionUUID->"ae69a9ef-0efd-44fe-8c64-e985438929df"]
}, Open  ]],

Cell[TextData[{
 "If the second argument to ",
 ButtonBox["Merge",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Merge.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Merge.html"],
 " is ",
 ButtonBox["Identity",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Identity.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Identity.html"],
 ", I get back just a list of values. This result occurs because ",
 ButtonBox["Identity",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Identity.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Identity.html"],
 " basically says to do nothing to its argument:"
}], "CodeText",
 CellChangeTimes->{
  3.742145663877078*^9, {3.742475538919064*^9, 3.7424755565292673`*^9}, {
   3.745853678812986*^9, 3.745853679276779*^9}, {3.7458576499554358`*^9, 
   3.74585768314137*^9}},
 CellTags->"i:42",
 CellID->24452198,ExpressionUUID->"e456aa8e-73e2-4442-9fc8-27efa1f16728"],

Cell[CellGroupData[{

Cell["Merge[dinghy,Identity]", "Input",
 CellChangeTimes->{{3.742145666181601*^9, 3.7421456719253883`*^9}, {
   3.769260382586246*^9, 3.7692603881316357`*^9}, {3.76937605966897*^9, 
   3.7693760793748617`*^9}, 3.7699549459804287`*^9},
 CellLabel->"In[75]:=",
 CellID->798715209,ExpressionUUID->"a0eba476-d727-4905-b6fb-3ced7087b164"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"class\"\>", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\<\"3rd\"\>", ",", "\<\"1st\"\>", ",", "\<\"3rd\"\>", 
      ",", "\<\"3rd\"\>", ",", "\<\"3rd\"\>"}], "}"}]}], ",", 
   RowBox[{"\<\"age\"\>", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"16", ",", "65", ",", "2", ",", 
      RowBox[{"Missing", "[", "]"}], ",", "18"}], "}"}]}], ",", 
   RowBox[{"\<\"sex\"\>", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\<\"female\"\>", ",", "\<\"male\"\>", ",", "\<\"female\"\>", 
      ",", "\<\"female\"\>", ",", "\<\"female\"\>"}], "}"}]}], ",", 
   RowBox[{"\<\"survived\"\>", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"True", ",", "False", ",", "False", ",", "True", ",", "False"}], 
     "}"}]}]}], "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{
  3.742145672180133*^9, {3.769260385273508*^9, 3.76926038867188*^9}, 
   3.769332250146871*^9, {3.769376060886784*^9, 3.769376079790306*^9}, 
   3.7699551244184027`*^9, 3.7699552702245417`*^9, 3.771929804334457*^9, 
   3.881419471463563*^9},
 CellLabel->"Out[269]=",
 CellID->1283107804,ExpressionUUID->"a7afd2b5-52f1-49c2-9eb4-c125cf19b981"]
}, Open  ]],

Cell[TextData[{
 "Here are some other examples of things one can do with ",
 ButtonBox["Merge",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Merge.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Merge.html"],
 ": just get the first value one confronts, ",
 ButtonBox["Compress",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Compress.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Compress.html"],
 " the information, find the ",
 ButtonBox["Commonest",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Commonest.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Commonest.html"],
 " value and then get only the first element of the resulting ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 ", and get ",
 ButtonBox["Counts",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Counts.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Counts.html"],
 " of the ",
 ButtonBox["Values",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Values.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Values.html"],
 ". I use ",
 ButtonBox["AssociationMap",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/AssociationMap.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/AssociationMap.html"],
 " to show which output goes with which argument to ",
 ButtonBox["Merge",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Merge.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Merge.html"],
 "."
}], "Text",
 CellChangeTimes->{{3.769260403722897*^9, 3.7692604147057943`*^9}, {
   3.769260464450058*^9, 3.769260486338797*^9}, {3.7692646026244507`*^9, 
   3.7692646077500772`*^9}, {3.76928027621376*^9, 3.769280289246876*^9}, {
   3.769280603190055*^9, 3.769280616476489*^9}, {3.7693762834923553`*^9, 
   3.769376284164605*^9}, 3.7758361279971685`*^9, {3.7758361826461687`*^9, 
   3.7758361965321684`*^9}, {3.857228982407353*^9, 3.85722902380967*^9}, {
   3.8662149635972195`*^9, 3.866214967089785*^9}, 3.867250640791419*^9},
 CellTags->"LastCellOfAPage",
 CellID->1852975908,ExpressionUUID->"8c55ad2d-54fc-49a1-bbbd-381505a081b3"],

Cell[TextData[{
 "The argument to the ",
 ButtonBox["Merge",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Merge.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Merge.html"],
 " operator determines how the values found with the same key are combined:"
}], "CodeText",
 CellChangeTimes->{{3.769421623245871*^9, 3.769421655771016*^9}, {
  3.775836239385168*^9, 3.7758362414811687`*^9}},
 CellTags->"p: 81",
 CellID->1456938870,ExpressionUUID->"37d3b631-26b1-4204-891e-25bd40281d65"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"AssociationMap", "[", 
  RowBox[{
   RowBox[{"function", "\[Function]", 
    RowBox[{
     RowBox[{"Merge", "[", "function", "]"}], "[", "dinghy", "]"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"First", ",", "Compress", ",", 
     RowBox[{"(", 
      RowBox[{"Commonest", "/*", "First"}], ")"}], ",", "Counts"}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.769280551012686*^9, 3.7692805861838923`*^9}, 
   3.769376287324932*^9, 3.769954947357676*^9},
 CellLabel->"In[270]:=",
 CellID->532692425,ExpressionUUID->"836bf755-2f56-4e90-8f0c-d9ab783e463b"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"First", "\[Rule]", 
    RowBox[{"\[LeftAssociation]", 
     RowBox[{
      RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
      RowBox[{"\<\"age\"\>", "\[Rule]", "16"}], ",", 
      RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
      RowBox[{"\<\"survived\"\>", "\[Rule]", "True"}]}], 
     "\[RightAssociation]"}]}], ",", 
   RowBox[{"Compress", "\[Rule]", 
    RowBox[{"\[LeftAssociation]", 
     RowBox[{
      RowBox[{"\<\"class\"\>", 
       "\[Rule]", "\<\"1:eJxTTMoPSmNlYGAoZgESPpnFJcHMQIZxUQqYNkTjI9EAPtoKrQ==\
\"\>"}], ",", 
      RowBox[{"\<\"age\"\>", 
       "\[Rule]", \
"\<\"1:eJxTTMoPSmNlYGAoZgESPpnFJZkCQEamI4hgAhJpDCBJdiDhm1lcnJmXnikEZAMAC+IJhg=\
=\"\>"}], ",", 
      RowBox[{"\<\"sex\"\>", 
       "\[Rule]", \
"\<\"1:eJxTTMoPSmNlYGAoZgESPpnFJcFsQEZaam5iTmowSAzMQBLDygQAMdQQxQ==\"\>"}], 
      ",", 
      RowBox[{"\<\"survived\"\>", 
       "\[Rule]", \
"\<\"1:eJxTTMoPSmNlYGAoZgESPpnFJWBGSFFpajFI2C0xpxiZhSkJAN6TDxo=\"\>"}]}], 
     "\[RightAssociation]"}]}], ",", 
   RowBox[{
    RowBox[{"Commonest", "/*", "First"}], "\[Rule]", 
    RowBox[{"\[LeftAssociation]", 
     RowBox[{
      RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
      RowBox[{"\<\"age\"\>", "\[Rule]", "16"}], ",", 
      RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
      RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
     "\[RightAssociation]"}]}], ",", 
   RowBox[{"Counts", "\[Rule]", 
    RowBox[{"\[LeftAssociation]", 
     RowBox[{
      RowBox[{"\<\"class\"\>", "\[Rule]", 
       RowBox[{"\[LeftAssociation]", 
        RowBox[{
         RowBox[{"\<\"3rd\"\>", "\[Rule]", "4"}], ",", 
         RowBox[{"\<\"1st\"\>", "\[Rule]", "1"}]}], "\[RightAssociation]"}]}],
       ",", 
      RowBox[{"\<\"age\"\>", "\[Rule]", 
       RowBox[{"\[LeftAssociation]", 
        RowBox[{
         RowBox[{"16", "\[Rule]", "1"}], ",", 
         RowBox[{"65", "\[Rule]", "1"}], ",", 
         RowBox[{"2", "\[Rule]", "1"}], ",", 
         RowBox[{
          RowBox[{"Missing", "[", "]"}], "\[Rule]", "1"}], ",", 
         RowBox[{"18", "\[Rule]", "1"}]}], "\[RightAssociation]"}]}], ",", 
      RowBox[{"\<\"sex\"\>", "\[Rule]", 
       RowBox[{"\[LeftAssociation]", 
        RowBox[{
         RowBox[{"\<\"female\"\>", "\[Rule]", "4"}], ",", 
         RowBox[{"\<\"male\"\>", "\[Rule]", "1"}]}], 
        "\[RightAssociation]"}]}], ",", 
      RowBox[{"\<\"survived\"\>", "\[Rule]", 
       RowBox[{"\[LeftAssociation]", 
        RowBox[{
         RowBox[{"True", "\[Rule]", "2"}], ",", 
         RowBox[{"False", "\[Rule]", "3"}]}], "\[RightAssociation]"}]}]}], 
     "\[RightAssociation]"}]}]}], "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{3.76928058689211*^9, 3.7693322501813793`*^9, 
  3.769376287865575*^9, 3.7699551244767942`*^9, 3.769955270256998*^9, 
  3.7719298043886127`*^9, 3.881419490862413*^9},
 CellLabel->"Out[270]=",
 CellID->1238254771,ExpressionUUID->"0be72795-de6c-46db-b434-ea0f07719bb3"]
}, Open  ]],

Cell[TextData[{
 "Here is a common usage of ",
 ButtonBox["Merge",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Merge.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Merge.html"],
 " in data analysis. We all know that there were second-class passengers on \
the Titanic, but if I perform a ",
 ButtonBox["Counts",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Counts.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Counts.html"],
 " of the classes in our dinghy, I find that there is no key-value pair that \
explicitly tells me the number of dinghy passengers from second class."
}], "Text",
 CellChangeTimes->{{3.7421459500193777`*^9, 3.7421460123602858`*^9}, 
   3.7458713547616453`*^9, {3.769277119568503*^9, 3.769277245775305*^9}, {
   3.7699550604731007`*^9, 3.769955084850325*^9}, {3.7758363373981686`*^9, 
   3.7758363541641684`*^9}, 3.857229053021064*^9, {3.866216485371145*^9, 
   3.866216488038414*^9}, {3.86724848644796*^9, 3.867248487736904*^9}},
 CellID->305182279,ExpressionUUID->"ec9c95d6-7d6c-4148-9b20-3904fa1d1602"],

Cell[TextData[{
 ButtonBox["Merge",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Merge.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Merge.html"],
 " can be used to modify the results from ",
 ButtonBox["Counts",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Counts.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Counts.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.7694216625727787`*^9, 3.769421676433907*^9}, {
  3.7758363753931684`*^9, 3.775836382541168*^9}},
 CellID->1627122286,ExpressionUUID->"af68f530-026f-4816-beba-9147b66ab039"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Counts", "[", 
  RowBox[{"Part", "[", 
   RowBox[{"dinghy", ",", "All", ",", "\"\<class\>\""}], "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.769277253242196*^9, 3.7692772688742743`*^9}, 
   3.7699549482320433`*^9},
 CellLabel->"In[271]:=",
 CellID->773251645,ExpressionUUID->"75fb7411-e3ba-4a5b-83f1-2b38bf2e36a3"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"3rd\"\>", "\[Rule]", "4"}], ",", 
   RowBox[{"\<\"1st\"\>", "\[Rule]", "1"}]}], 
  "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{{3.7692772639384003`*^9, 3.769277269154181*^9}, 
   3.769332250194233*^9, 3.769955124487977*^9, 3.769955270268457*^9, 
   3.771929804399115*^9, 3.881419550097273*^9},
 CellLabel->"Out[271]=",
 CellID->158893360,ExpressionUUID->"870fe122-fbce-49c7-84e4-17e4b87d570c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Merge", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Counts", "[", 
      RowBox[{"Part", "[", 
       RowBox[{"dinghy", ",", "All", ",", "\"\<class\>\""}], "]"}], "]"}], 
     ",", 
     RowBox[{"<|", 
      RowBox[{"\"\<2nd\>\"", "\[Rule]", "0"}], "|>"}]}], "}"}], ",", 
   "First"}], "]"}]], "Input",
 CellChangeTimes->{{3.769277293799361*^9, 3.7692773214526987`*^9}, 
   3.769954948945656*^9},
 CellLabel->"In[272]:=",
 CellID->107355996,ExpressionUUID->"a27dcea1-1697-4c48-88cf-a7265e0a28e4"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"3rd\"\>", "\[Rule]", "4"}], ",", 
   RowBox[{"\<\"1st\"\>", "\[Rule]", "1"}], ",", 
   RowBox[{"\<\"2nd\"\>", "\[Rule]", "0"}]}], 
  "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{3.7692773219166822`*^9, 3.7693322502257423`*^9, 
  3.7699551245251703`*^9, 3.769955270301751*^9, 3.771929804430574*^9, 
  3.8814195529341917`*^9},
 CellLabel->"Out[272]=",
 CellID->1025319084,ExpressionUUID->"7aaf344d-31a7-4572-b83c-c5094a7b62b1"]
}, Open  ]],

Cell[TextData[{
 "Here\[CloseCurlyQuote]s how to create an ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " that looks more like ",
 Cell[BoxData[
  RowBox[{"<|", 
   RowBox[{
    RowBox[{"\"\<3rd\>\"", "\[Rule]", "4"}], ",", " ", 
    RowBox[{"\"\<1st\>\"", "\[Rule]", "1"}], ",", 
    RowBox[{"\"\<2nd\>\"", "\[Rule]", "0"}]}], "|>"}]], "InlineCodeText",
  ExpressionUUID->"905910e0-8d43-4f28-9178-05e51081fa6e"],
 ". "
}], "Text",
 CellChangeTimes->{{3.7421460543916893`*^9, 3.742146058848559*^9}, {
   3.745853732908807*^9, 3.745853733308503*^9}, {3.769277278535852*^9, 
   3.769277287602721*^9}, {3.769277327715165*^9, 3.769277357559722*^9}, 
   3.775577486369547*^9, 3.7755775704629555`*^9, {3.7758364862396173`*^9, 
   3.7758364915786853`*^9}, {3.775836529205209*^9, 3.7758366423258286`*^9}, {
   3.78031005415086*^9, 3.780310072893846*^9}, 3.857229078662855*^9, 
   3.857229155310939*^9},
 CellID->119757751,ExpressionUUID->"7c79f958-13e2-4021-82c6-2e7e7b947c46"],

Cell[TextData[{
 "Use ",
 ButtonBox["AssociationThread",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/AssociationThread.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/AssociationThread.html"],
 " to construct an ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " that sets forth what to write when no instances of a particular key are \
found:"
}], "CodeText",
 CellChangeTimes->{{3.7421460543916893`*^9, 3.742146058848559*^9}, {
   3.745853732908807*^9, 3.745853733308503*^9}, {3.769277278535852*^9, 
   3.769277287602721*^9}, {3.769277327715165*^9, 3.769277357559722*^9}, 
   3.775577486369547*^9, 3.7755775704629555`*^9, {3.7758364862396173`*^9, 
   3.7758364915786853`*^9}, {3.775836529205209*^9, 3.7758366423258286`*^9}, 
   3.78031005415086*^9, 3.8572291664744368`*^9},
 CellID->15563290,ExpressionUUID->"17b06467-7387-45b4-aebe-dd539ce6a6ce"],

Cell[CellGroupData[{

Cell["default=AssociationThread[{\"1st\", \"2nd\", \"3rd\"}, 0]", "Input",
 CellChangeTimes->{{3.7421460646813383`*^9, 3.742146065505224*^9}, {
  3.769277463421764*^9, 3.76927746461337*^9}},
 CellLabel->"In[273]:=",
 CellID->576343818,ExpressionUUID->"2aba9408-4ae1-4d3a-8c1a-cd5d4a1521de"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"1st\"\>", "\[Rule]", "0"}], ",", 
   RowBox[{"\<\"2nd\"\>", "\[Rule]", "0"}], ",", 
   RowBox[{"\<\"3rd\"\>", "\[Rule]", "0"}]}], 
  "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{
  3.7421460663333178`*^9, {3.769277457916164*^9, 3.769277465199576*^9}, 
   3.769332250239562*^9, 3.769955124534704*^9, 3.769955270311515*^9, 
   3.7719298044380713`*^9, 3.8814195606875467`*^9},
 CellLabel->"Out[273]=",
 CellID->1757793400,ExpressionUUID->"6a51de98-0e4c-4f73-acca-771902db6ac3"]
}, Open  ]],

Cell[TextData[{
 "Now I use the operator form of ",
 ButtonBox["Merge",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Merge.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Merge.html"],
 " with ",
 ButtonBox["First",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/First.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/First.html"],
 " as its argument to merge the ",
 ButtonBox["Counts",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Counts.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Counts.html"],
 " result with the ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " now stored in the ",
 Cell[BoxData[
 "default"], "InlineCodeText",ExpressionUUID->
  "79af4105-bf0e-484b-9bfc-e438009e29a9"],
 " symbol. This technique will be used frequently throughout this book, \
particularly in several computational adventures. Perhaps at some point the \
",
 ButtonBox["Wolfram Function Repository",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/"], None},
  ButtonNote->"https://resources.wolframcloud.com/FunctionRepository/"],
 " or the Wolfram Language will incorporate a vehicle for getting this kind \
of output more directly."
}], "Text",
 CellChangeTimes->{{3.742146092943701*^9, 3.742146141743854*^9}, {
   3.7424756417424183`*^9, 3.742475666398118*^9}, 3.7458537423090343`*^9, {
   3.745853813364481*^9, 3.745853818613659*^9}, {3.745853861192655*^9, 
   3.745853899180368*^9}, {3.745853929640284*^9, 3.745853943155805*^9}, {
   3.769277361184382*^9, 3.769277399163662*^9}, {3.769376316511361*^9, 
   3.7693763429292107`*^9}, 3.775836476580686*^9, 3.775836727666893*^9, 
   3.7758368350012617`*^9, 3.780310156566049*^9, 3.8572292437970247`*^9, 
   3.8572292785329857`*^9, {3.857229328914404*^9, 3.85722932891866*^9}, {
   3.858240501689456*^9, 3.858240526575349*^9}, {3.858333528544401*^9, 
   3.858333567350601*^9}, {3.8672485184092426`*^9, 3.8672485321335907`*^9}, {
   3.8680017999381638`*^9, 3.8680018087129173`*^9}, 3.8958151988287888`*^9, 
   3.895815288330782*^9},
 CellTags->"LastCellOfAPage",
 CellID->20086465,ExpressionUUID->"53ad43c5-8201-497f-ac7c-810c884bf071"],

Cell[TextData[{
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["Merge",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Merge.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Merge.html"], "[", 
   ButtonBox[
    StyleBox["First",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/First.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/First.html"], 
   "]"}]], "InlineCode",ExpressionUUID->
  "b1b8416f-186a-4373-ac3d-05fd7a4bbf2c"],
 " combines with ",
 ButtonBox["Counts",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Counts.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Counts.html"],
 " to produce an output with default count values for missing items in the \
underlying data:"
}], "CodeText",
 CellChangeTimes->{{3.769421686540721*^9, 3.7694217247081833`*^9}, {
  3.775836905121273*^9, 3.775836918561617*^9}},
 CellTags->"p: 82",
 CellID->495813260,ExpressionUUID->"4333e063-954c-4217-b818-d3d3cebbb02b"],

Cell[CellGroupData[{

Cell["Merge[First][{Counts[Part[dinghy, All, \"class\"]], d efault}]", "Input",
 CellChangeTimes->{{3.742146148611112*^9, 3.742146149408638*^9}, {
   3.769277407007077*^9, 3.7692774522234373`*^9}, 3.76995494972027*^9},
 CellLabel->"In[274]:=",
 CellID->438284676,ExpressionUUID->"9d2bc0b7-4b5c-4d28-9e16-4904ca68d9ac"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"3rd\"\>", "\[Rule]", "4"}], ",", 
   RowBox[{"\<\"1st\"\>", "\[Rule]", "1"}], ",", 
   RowBox[{"\<\"2nd\"\>", "\[Rule]", "0"}]}], 
  "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{
  3.742146150139997*^9, {3.769277423471862*^9, 3.769277470219198*^9}, 
   3.769332250271536*^9, 3.769955124571756*^9, 3.7699552703465843`*^9, 
   3.77192980444741*^9, 3.881419565175905*^9},
 CellLabel->"Out[274]=",
 CellID->771597144,ExpressionUUID->"3eab64db-30b6-47bc-9ded-1409f84ceb39"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[StyleBox[ButtonBox["JoinAcross",
 BaseStyle->"Hyperlink",
 ButtonData->{
   URL["https://reference.wolfram.com/language/ref/JoinAcross.html"], None},
 ButtonNote->"https://reference.wolfram.com/language/ref/JoinAcross.html"],
 FontColor->RGBColor[
  0.9019607843137255, 0.4117647058823529, 
   0.027450980392156862`]]], "Subsubsection",
 CellID->655735118,ExpressionUUID->"52f80f9f-1373-4fe8-b7ee-1d90716e3cbc"],

Cell["\<\
Suppose I have additional information that describes the cabins on the \
Titanic by listing their class, their square footage, whether they include a \
window, and the decks on which they were located. (The actual values are \
imaginary, but that should not matter here.)\
\>", "Text",
 CellChangeTimes->{{3.742146894722761*^9, 3.742146917546736*^9}, 
   3.745854713881525*^9, {3.769278206830146*^9, 3.769278207499049*^9}},
 CellTags->"i:43",
 CellID->1588382636,ExpressionUUID->"f8164dd4-d80a-4117-90bd-35e16f3114b5"],

Cell["An imaginary data structure of cabins on the Titanic:", "CodeText",
 CellChangeTimes->{{3.769421730629428*^9, 3.769421745266397*^9}, 
   3.7758369524350033`*^9},
 CellID->456845819,ExpressionUUID->"d5acf416-9559-4e8d-91d2-ecb6e478abad"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"titanicCabins", "=", 
  RowBox[{"ResourceData", "[", 
   RowBox[{"ro", ",", "\"\<Titanic Cabins List of Associations\>\""}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.740402445296896*^9, 3.740402544501501*^9}, {
   3.7404813141719007`*^9, 3.740481357308236*^9}, 3.7424758359222603`*^9, {
   3.7692781841248407`*^9, 3.7692782005144157`*^9}, {3.769955974283873*^9, 
   3.769955997062579*^9}, {3.77192974012158*^9, 3.771929741497942*^9}},
 CellLabel->"In[275]:=",
 CellID->440184246,ExpressionUUID->"d7c9cae7-3ad0-4123-a7e6-36f7125a9e07"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"1st\"\>"}], ",", 
     RowBox[{"\<\"squarefeet\"\>", "\[Rule]", "300"}], ",", 
     RowBox[{"\<\"window\"\>", "\[Rule]", "True"}], ",", 
     RowBox[{"\<\"decklocations\"\>", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"1", ",", "2"}], "}"}]}]}], "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"2nd\"\>"}], ",", 
     RowBox[{"\<\"squarefeet\"\>", "\[Rule]", "200"}], ",", 
     RowBox[{"\<\"window\"\>", "\[Rule]", "True"}], ",", 
     RowBox[{"\<\"decklocations\"\>", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"3", ",", "4"}], "}"}]}]}], "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"squarefeet\"\>", "\[Rule]", "100"}], ",", 
     RowBox[{"\<\"window\"\>", "\[Rule]", "False"}], ",", 
     RowBox[{"\<\"decklocations\"\>", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"4", ",", "5", ",", "6"}], "}"}]}]}], "\[RightAssociation]"}], 
   ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"crew\"\>"}], ",", 
     RowBox[{"\<\"squarefeet\"\>", "\[Rule]", "80"}], ",", 
     RowBox[{"\<\"window\"\>", "\[Rule]", "False"}], ",", 
     RowBox[{"\<\"decklocations\"\>", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"6", ",", "7"}], "}"}]}]}], "\[RightAssociation]"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{
  3.742475836579867*^9, {3.769278193646049*^9, 3.769278201251769*^9}, 
   3.769332250284246*^9, 3.7693763518519487`*^9, 3.7699551245810432`*^9, 
   3.769955270358144*^9, {3.769955976818527*^9, 3.7699559977515078`*^9}, 
   3.771929804478902*^9, 3.8805463571797132`*^9, 3.880548278396852*^9, 
   3.880634076158875*^9, 3.881419573731035*^9},
 CellLabel->"Out[275]=",
 CellID->1281806036,ExpressionUUID->"1e3b0288-9588-4c07-af97-1a21c1facd53"]
}, Open  ]],

Cell[TextData[{
 "I now want a single list of Associations in which I have for each passenger \
not just their age, gender, survival, and cabin class, but the actual \
characteristics of their cabin. The function to do this is ",
 ButtonBox["JoinAcross",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/JoinAcross.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/JoinAcross.html"],
 ". It\[CloseCurlyQuote]s like the SQL function Join. The first two arguments \
are the lists of the Associations to be joined. The third argument determines \
the basis for the joinder, i.e. a key the two lists of Associations have in \
common. I show the results using ",
 ButtonBox["DatasetForm",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
DatasetForm"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/\
DatasetForm"],
 " to make them clearer."
}], "Text",
 CellChangeTimes->{{3.742147588061047*^9, 3.742147634354145*^9}, {
   3.745854727241787*^9, 3.7458547386658297`*^9}, {3.7692782141352262`*^9, 
   3.7692782432813883`*^9}, {3.769421755958578*^9, 3.769421760394772*^9}, {
   3.7758372023589935`*^9, 3.7758372131920767`*^9}, {3.780310335329261*^9, 
   3.780310335329569*^9}, {3.780310427209869*^9, 3.780310434057335*^9}, {
   3.857031381656478*^9, 3.857031383339429*^9}, 3.8662166725922394`*^9, 
   3.86655622397806*^9, {3.867248556599928*^9, 3.8672485574495378`*^9}, {
   3.869918224808795*^9, 3.869918241404465*^9}},
 CellID->95458607,ExpressionUUID->"c8454ca5-e6f9-4607-b6e9-4513d72dd967"],

Cell[TextData[{
 ButtonBox["JoinAcross",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/JoinAcross.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/JoinAcross.html"],
 " combines two structures of Associations:"
}], "CodeText",
 CellChangeTimes->{{3.769421765012331*^9, 3.769421775693695*^9}, {
  3.775837233982156*^9, 3.7758372373364906`*^9}},
 CellID->1728958728,ExpressionUUID->"8beeac37-d9bb-4d83-82d0-c9fae7d6184a"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   InterpretationBox[
    TagBox[
     TagBox[
      DynamicModuleBox[{Typeset`open = False}, 
       FrameBox[
        PaneSelectorBox[{False->GridBox[{
           {
            PaneBox[GridBox[{
               {
                StyleBox[
                 StyleBox[
                  AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                   BoxBaselineShift->-0.25,
                   BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                  
                  FontColor->RGBColor[
                   0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                 ShowStringCharacters->False,
                 FontFamily->"Source Sans Pro Black",
                 FontSize->0.6538461538461539 Inherited,
                 FontWeight->"Heavy",
                 PrivateFontOptions->{"OperatorSubstitution"->False}], 
                StyleBox[
                 RowBox[{
                  StyleBox["DatasetForm", "ResourceFunctionLabel"], " "}],
                 ShowAutoStyles->False,
                 ShowStringCharacters->False,
                 FontSize->Rational[12, 13] Inherited,
                 FontColor->GrayLevel[0.1]]}
              },
              GridBoxSpacings->{"Columns" -> {{0.25}}}],
             Alignment->Left,
             BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
             BaselinePosition->Baseline,
             FrameMargins->{{3, 0}, {0, 0}}], 
            ItemBox[
             PaneBox[
              TogglerBox[Dynamic[Typeset`open], {True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "IconizeCloser"],
                ImageSizeCache->{11., {2., 9.}}], False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "IconizeOpener"],
                ImageSizeCache->{11., {2., 9.}}]},
               Appearance->None,
               BaselinePosition->Baseline,
               ContentPadding->False,
               FrameMargins->0],
              Alignment->Left,
              BaselinePosition->Baseline,
              FrameMargins->{{1, 1}, {0, 0}}],
             Frame->{{
                RGBColor[
                0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                 0.5], False}, {False, False}}]}
          },
          BaselinePosition->{1, 1},
          GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
         GridBox[{
           {GridBox[{
              {
               PaneBox[GridBox[{
                  {
                   StyleBox[
                    StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                    ShowStringCharacters->False,
                    FontFamily->"Source Sans Pro Black",
                    FontSize->0.6538461538461539 Inherited,
                    FontWeight->"Heavy",
                    PrivateFontOptions->{"OperatorSubstitution"->False}], 
                   StyleBox[
                    RowBox[{
                    StyleBox["DatasetForm", "ResourceFunctionLabel"], " "}],
                    ShowAutoStyles->False,
                    ShowStringCharacters->False,
                    FontSize->Rational[12, 13] Inherited,
                    FontColor->GrayLevel[0.1]]}
                 },
                 GridBoxSpacings->{"Columns" -> {{0.25}}}],
                Alignment->Left,
                BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
                BaselinePosition->Baseline,
                FrameMargins->{{3, 0}, {0, 0}}], 
               ItemBox[
                PaneBox[
                 TogglerBox[Dynamic[Typeset`open], {True->
                  
                  DynamicBox[FEPrivate`FrontEndResource[
                   "FEBitmaps", "IconizeCloser"]], False->
                  
                  DynamicBox[FEPrivate`FrontEndResource[
                   "FEBitmaps", "IconizeOpener"]]},
                  Appearance->None,
                  BaselinePosition->Baseline,
                  ContentPadding->False,
                  FrameMargins->0],
                 Alignment->Left,
                 BaselinePosition->Baseline,
                 FrameMargins->{{1, 1}, {0, 0}}],
                Frame->{{
                   RGBColor[
                   0.8313725490196079, 0.8470588235294118, 0.8509803921568627,
                     0.5], False}, {False, False}}]}
             },
             BaselinePosition->{1, 1},
             GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
           {
            StyleBox[
             PaneBox[GridBox[{
                {
                 RowBox[{
                  TagBox["\<\"Version (latest): \"\>",
                   "IconizedLabel"], " ", 
                  TagBox["\<\"1.0.0\"\>",
                   "IconizedItem"]}]},
                {
                 TagBox[
                  
                  TemplateBox[{
                   "\"Documentation \[RightGuillemet]\"", 
                    "https://resources.wolframcloud.com/FunctionRepository/\
resources/a2034fb9-e46f-4b36-ac04-a3ea684b9d1e/"},
                   "HyperlinkURL"],
                  "IconizedItem"]}
               },
               DefaultBaseStyle->"Column",
               GridBoxAlignment->{"Columns" -> {{Left}}},
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
              Alignment->Left,
              BaselinePosition->Baseline,
              FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
             FontFamily->"Roboto",
             FontSize->11]}
          },
          BaselinePosition->{1, 1},
          GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
          GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
               GrayLevel[0.8]}, False}},
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
         Typeset`open],
         BaselinePosition->Baseline,
         ImageSize->Automatic],
        Background->RGBColor[
         0.9686274509803922, 0.9764705882352941, 0.984313725490196],
        BaselinePosition->Baseline,
        DefaultBaseStyle->{},
        FrameMargins->{{0, 0}, {1, 0}},
        FrameStyle->RGBColor[
         0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
        RoundingRadius->4]],
      #& ,
      TagBoxNote->" "],
     {"FunctionResourceBox", 
      RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
      "DatasetForm"},
     TagBoxNote->"FunctionResourceBox"],
    ResourceFunction[
     ResourceObject[<|
      "Name" -> "DatasetForm", "ShortName" -> "DatasetForm", "UUID" -> 
       "a2034fb9-e46f-4b36-ac04-a3ea684b9d1e", "ResourceType" -> "Function", 
       "Version" -> "1.0.0", "Description" -> 
       "Display data formatted like a dataset", "RepositoryLocation" -> 
       URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
       "SymbolName" -> 
       "FunctionRepository`$9011b47ab6d048f099e90511f6c24686`DatasetForm", 
       "FunctionLocation" -> 
       CloudObject[
        "https://www.wolframcloud.com/obj/d6b6cd3f-340f-4c5a-91b5-\
d391d60da0b9"]|>, ResourceSystemBase -> Automatic]],
    Selectable->False], ")"}], "[", 
  RowBox[{"JoinAcross", "[", 
   RowBox[{"dinghy", ",", "titanicCabins", ",", "\"\<class\>\""}], "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.769278220961684*^9, 3.769278262245886*^9}, 
   3.769954951185542*^9, {3.881148595939155*^9, 3.8811485987545233`*^9}},
 CellLabel->"In[276]:=",
 CellID->704850180,ExpressionUUID->"bfbfbe19-8b6c-40ca-a79b-3d3a3f454faa"],

Cell[BoxData[
 InterpretationBox[
  DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
   "InitialData" -> {<|
      "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> False, 
       "squarefeet" -> 300, "window" -> True, "decklocations" -> {1, 2}|>, <|
      "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> True, 
       "squarefeet" -> 100, "window" -> False, 
       "decklocations" -> {4, 5, 6}|>, <|
      "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> False, 
       "squarefeet" -> 100, "window" -> False, 
       "decklocations" -> {4, 5, 6}|>, <|
      "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
       True, "squarefeet" -> 100, "window" -> False, 
       "decklocations" -> {4, 5, 6}|>, <|
      "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> False, 
       "squarefeet" -> 100, "window" -> False, 
       "decklocations" -> {4, 5, 6}|>}, "AllowEmbedding" -> True, 
    "InitialShape" -> 
    TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
       1, {All, "sex"} -> 1, {All, "survived"} -> 1, {All, "squarefeet"} -> 
       1, {All, "window"} -> 1, {All, "decklocations"} -> 1|>, 
      TypeSystem`PackageScope`Limited[
       TypeSystem`PackageScope`ColumnShape[
        TypeSystem`PackageScope`Limited[
         TypeSystem`PackageScope`RowShape[<|
          "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
           TypeSystem`PackageScope`AtomShape[34], "sex" -> 
           TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
           TypeSystem`PackageScope`AtomShape[36], "squarefeet" -> 
           TypeSystem`PackageScope`AtomShape[34], "window" -> 
           TypeSystem`PackageScope`AtomShape[36], "decklocations" -> 
           TypeSystem`PackageScope`UnknownShape[False]|>], 
         DirectedInfinity[1], 7, {All}]], 5, 
       DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
      TypeSystem`Struct[{
       "class", "age", "sex", "survived", "squarefeet", "window", 
        "decklocations"}, {
        TypeSystem`Atom[
         TypeSystem`Enumeration["1st", "3rd"]], 
        TypeSystem`Atom[Integer], 
        TypeSystem`Atom[
         TypeSystem`Enumeration["female", "male"]], 
        TypeSystem`Atom[TypeSystem`Boolean], 
        TypeSystem`Atom[Integer], 
        TypeSystem`Atom[TypeSystem`Boolean], 
        TypeSystem`Vector[
         TypeSystem`Atom[Integer], TypeSystem`AnyLength]}], 5], 
    "Meta" -> <||>, "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
    TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
       1, {All, "sex"} -> 1, {All, "survived"} -> 1, {All, "squarefeet"} -> 
       1, {All, "window"} -> 1, {All, "decklocations"} -> 1|>, 
      TypeSystem`PackageScope`Limited[
       TypeSystem`PackageScope`ColumnShape[
        TypeSystem`PackageScope`Limited[
         TypeSystem`PackageScope`RowShape[<|
          "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
           TypeSystem`PackageScope`AtomShape[34], "sex" -> 
           TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
           TypeSystem`PackageScope`AtomShape[36], "squarefeet" -> 
           TypeSystem`PackageScope`AtomShape[34], "window" -> 
           TypeSystem`PackageScope`AtomShape[36], "decklocations" -> 
           TypeSystem`PackageScope`UnknownShape[False]|>], 
         DirectedInfinity[1], 7, {All}]], 5, 
       DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
      TypeSystem`Struct[{
       "class", "age", "sex", "survived", "squarefeet", "window", 
        "decklocations"}, {
        TypeSystem`Atom[
         TypeSystem`Enumeration["1st", "3rd"]], 
        TypeSystem`Atom[Integer], 
        TypeSystem`Atom[
         TypeSystem`Enumeration["female", "male"]], 
        TypeSystem`Atom[TypeSystem`Boolean], 
        TypeSystem`Atom[Integer], 
        TypeSystem`Atom[TypeSystem`Boolean], 
        TypeSystem`Vector[
         TypeSystem`Atom[Integer], TypeSystem`AnyLength]}], 5], "Path" -> {}, 
    "DisplayedRowCount" -> 5, "DisplayedColumnCount" -> 7, "DataRowCount" -> 
    5, "DataColumnCount" -> 7, "SortPaths" -> {}, "SortDirections" -> {}, 
    "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
   TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
   TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
   TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
   TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
   TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
   DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
       Style[
        Grid[{{
           Item[
            Pane[
             Annotation[
              EventHandler[
               MouseAppearance[
                Mouseover["class", 
                 Style[
                 "class", FontColor -> 
                  RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
               If[
                 TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                 TypeSystem`NestedGrid`PackagePrivate`updateState[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                  All, "class"}, 1]]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
               All, "class"}, "ColumnHeader", True], "Mouse"], 
             ImageSize -> {{1, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.95],
             Alignment -> {Left, Baseline}], 
           Item[
            Pane[
             Annotation[
              EventHandler[
               MouseAppearance[
                Mouseover["age", 
                 Style[
                 "age", FontColor -> 
                  RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
               If[
                 TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                 TypeSystem`NestedGrid`PackagePrivate`updateState[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                  All, "age"}, 1]]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
               All, "age"}, "ColumnHeader", True], "Mouse"], 
             ImageSize -> {{1, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.95],
             Alignment -> {Left, Baseline}], 
           Item[
            Pane[
             Annotation[
              EventHandler[
               MouseAppearance[
                Mouseover["sex", 
                 Style[
                 "sex", FontColor -> 
                  RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
               If[
                 TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                 TypeSystem`NestedGrid`PackagePrivate`updateState[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                  All, "sex"}, 1]]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
               All, "sex"}, "ColumnHeader", True], "Mouse"], 
             ImageSize -> {{1, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.95],
             Alignment -> {Left, Baseline}], 
           Item[
            Pane[
             Annotation[
              EventHandler[
               MouseAppearance[
                Mouseover["survived", 
                 Style[
                 "survived", FontColor -> 
                  RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
               If[
                 TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                 TypeSystem`NestedGrid`PackagePrivate`updateState[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                  All, "survived"}, 1]]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
               All, "survived"}, "ColumnHeader", True], "Mouse"], 
             ImageSize -> {{1, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.95],
             Alignment -> {Left, Baseline}], 
           Item[
            Pane[
             Annotation[
              EventHandler[
               MouseAppearance[
                Mouseover["squarefeet", 
                 Style[
                 "squarefeet", FontColor -> 
                  RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
               If[
                 TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                 TypeSystem`NestedGrid`PackagePrivate`updateState[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                  All, "squarefeet"}, 1]]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
               All, "squarefeet"}, "ColumnHeader", True], "Mouse"], 
             ImageSize -> {{1, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.95],
             Alignment -> {Left, Baseline}], 
           Item[
            Pane[
             Annotation[
              EventHandler[
               MouseAppearance[
                Mouseover["window", 
                 Style[
                 "window", FontColor -> 
                  RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
               If[
                 TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                 TypeSystem`NestedGrid`PackagePrivate`updateState[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                  All, "window"}, 1]]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
               All, "window"}, "ColumnHeader", True], "Mouse"], 
             ImageSize -> {{1, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.95],
             Alignment -> {Left, Baseline}], 
           Item[
            Pane[
             Annotation[
              EventHandler[
               MouseAppearance[
                Mouseover["decklocations", 
                 Style[
                 "decklocations", FontColor -> 
                  RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
               If[
                 TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                 TypeSystem`NestedGrid`PackagePrivate`updateState[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                  All, "decklocations"}, 1]]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
               All, "decklocations"}, "ColumnHeader", True], "Mouse"], 
             ImageSize -> {{1, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.95],
             Alignment -> {Left, Baseline}]}, {
           Item[
            Pane[
             Annotation["1st", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{1, 
                Key["class"]}, "Item", False], "Mouse"], 
             ImageSize -> {{31.5, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["65"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{1, 
                Key["age"]}, "Item", False], "Mouse"], 
             ImageSize -> {{34, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation["male", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{1, 
                Key["sex"]}, "Item", False], "Mouse"], 
             ImageSize -> {{63., Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["False"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{1, 
                Key["survived"]}, "Item", False], "Mouse"], 
             ImageSize -> {{36, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["300"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{1, 
                Key["squarefeet"]}, "Item", False], "Mouse"], 
             ImageSize -> {{34, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["True"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{1, 
                Key["window"]}, "Item", False], "Mouse"], 
             ImageSize -> {{36, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              EventHandler[
               MouseAppearance[
                Mouseover[
                 Style[{1, 2}, ShowStringCharacters -> False], 
                 Style[
                  Style[{1, 2}, ShowStringCharacters -> False], FontColor -> 
                  RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
               If[
                 TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                 TypeSystem`NestedGrid`PackagePrivate`updateState[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{1, 
                   Key["decklocations"]}, 4]]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{1, 
                Key["decklocations"]}, "Item", False], "Mouse"], 
             ImageMargins -> {{5, 3}, {4, 5}}]]}, {
           Item[
            Pane[
             Annotation["3rd", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{2, 
                Key["class"]}, "Item", False], "Mouse"], 
             ImageSize -> {{31.5, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["16"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{2, 
                Key["age"]}, "Item", False], "Mouse"], 
             ImageSize -> {{34, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation["female", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{2, 
                Key["sex"]}, "Item", False], "Mouse"], 
             ImageSize -> {{63., Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["True"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{2, 
                Key["survived"]}, "Item", False], "Mouse"], 
             ImageSize -> {{36, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["100"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{2, 
                Key["squarefeet"]}, "Item", False], "Mouse"], 
             ImageSize -> {{34, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["False"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{2, 
                Key["window"]}, "Item", False], "Mouse"], 
             ImageSize -> {{36, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              EventHandler[
               MouseAppearance[
                Mouseover[
                 Style[{4, 5, 6}, ShowStringCharacters -> False], 
                 Style[
                  Style[{4, 5, 6}, ShowStringCharacters -> False], FontColor -> 
                  RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
               If[
                 TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                 TypeSystem`NestedGrid`PackagePrivate`updateState[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{2, 
                   Key["decklocations"]}, 4]]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{2, 
                Key["decklocations"]}, "Item", False], "Mouse"], 
             ImageMargins -> {{5, 3}, {4, 5}}]]}, {
           Item[
            Pane[
             Annotation["3rd", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{3, 
                Key["class"]}, "Item", False], "Mouse"], 
             ImageSize -> {{31.5, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["2"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{3, 
                Key["age"]}, "Item", False], "Mouse"], 
             ImageSize -> {{34, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation["female", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{3, 
                Key["sex"]}, "Item", False], "Mouse"], 
             ImageSize -> {{63., Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["False"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{3, 
                Key["survived"]}, "Item", False], "Mouse"], 
             ImageSize -> {{36, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["100"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{3, 
                Key["squarefeet"]}, "Item", False], "Mouse"], 
             ImageSize -> {{34, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["False"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{3, 
                Key["window"]}, "Item", False], "Mouse"], 
             ImageSize -> {{36, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              EventHandler[
               MouseAppearance[
                Mouseover[
                 Style[{4, 5, 6}, ShowStringCharacters -> False], 
                 Style[
                  Style[{4, 5, 6}, ShowStringCharacters -> False], FontColor -> 
                  RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
               If[
                 TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                 TypeSystem`NestedGrid`PackagePrivate`updateState[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{3, 
                   Key["decklocations"]}, 4]]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{3, 
                Key["decklocations"]}, "Item", False], "Mouse"], 
             ImageMargins -> {{5, 3}, {4, 5}}]]}, {
           Item[
            Pane[
             Annotation["3rd", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{4, 
                Key["class"]}, "Item", False], "Mouse"], 
             ImageSize -> {{31.5, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              Style["\[LongDash]", 
               GrayLevel[0.75]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{4, 
                Key["age"]}, "Item", False], "Mouse"], 
             ImageSize -> {{34, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation["female", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{4, 
                Key["sex"]}, "Item", False], "Mouse"], 
             ImageSize -> {{63., Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["True"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{4, 
                Key["survived"]}, "Item", False], "Mouse"], 
             ImageSize -> {{36, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["100"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{4, 
                Key["squarefeet"]}, "Item", False], "Mouse"], 
             ImageSize -> {{34, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["False"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{4, 
                Key["window"]}, "Item", False], "Mouse"], 
             ImageSize -> {{36, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              EventHandler[
               MouseAppearance[
                Mouseover[
                 Style[{4, 5, 6}, ShowStringCharacters -> False], 
                 Style[
                  Style[{4, 5, 6}, ShowStringCharacters -> False], FontColor -> 
                  RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
               If[
                 TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                 TypeSystem`NestedGrid`PackagePrivate`updateState[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{4, 
                   Key["decklocations"]}, 4]]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{4, 
                Key["decklocations"]}, "Item", False], "Mouse"], 
             ImageMargins -> {{5, 3}, {4, 5}}]]}, {
           Item[
            Pane[
             Annotation["3rd", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{5, 
                Key["class"]}, "Item", False], "Mouse"], 
             ImageSize -> {{31.5, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["18"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{5, 
                Key["age"]}, "Item", False], "Mouse"], 
             ImageSize -> {{34, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation["female", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{5, 
                Key["sex"]}, "Item", False], "Mouse"], 
             ImageSize -> {{63., Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["False"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{5, 
                Key["survived"]}, "Item", False], "Mouse"], 
             ImageSize -> {{36, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["100"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{5, 
                Key["squarefeet"]}, "Item", False], "Mouse"], 
             ImageSize -> {{34, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["False"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{5, 
                Key["window"]}, "Item", False], "Mouse"], 
             ImageSize -> {{36, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              EventHandler[
               MouseAppearance[
                Mouseover[
                 Style[{4, 5, 6}, ShowStringCharacters -> False], 
                 Style[
                  Style[{4, 5, 6}, ShowStringCharacters -> False], FontColor -> 
                  RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
               If[
                 TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                 TypeSystem`NestedGrid`PackagePrivate`updateState[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{5, 
                   Key["decklocations"]}, 4]]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{5, 
                Key["decklocations"]}, "Item", False], "Mouse"], 
             ImageMargins -> {{5, 3}, {4, 5}}]]}}, 
         BaseStyle -> {
          ContextMenu -> 
           Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
             Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
               TypeSystem`NestedGrid`PackagePrivate`localHold[
                TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
               TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
               TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
               TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
               TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
               TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                  
                  With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                   Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
           "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
         All, FrameStyle -> GrayLevel[0.7490196078431373], Spacings -> {0, 0},
          Alignment -> Left, 
         BaseStyle -> {
          FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
           Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
        False, ShowAutoStyles -> False]], 
     TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
    Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
     TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
        Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
        Module[{
         TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
          TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
          TypeSystem`NestedGrid`PackagePrivate`datasetData[
           TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
         TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
            FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
            TypeSystem`NestedGrid`PackagePrivate`renderGrid[
            TypeSystem`NestedGrid`PackagePrivate`$state$$, 
             TypeSystem`NestedGrid`PackagePrivate`$path$$, 
             TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
             TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
             TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
             TypeSystem`NestedGrid`PackagePrivate`localHold[
             TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
            TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
           Not[
            FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
           TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
           TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
      TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
      TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
        FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
        TypeSystem`SparseGrid[
         TypeSystem`H["(data no longer present)"]], 
        TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
     TrackedSymbols :> {
      TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
    DynamicModuleValues :> {}], 
   TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
    TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
     TypeSystem`PackageScope`SubViewPathbar[
     TypeSystem`NestedGrid`PackagePrivate`$path$$, 
      TypeSystem`NestedGrid`PackagePrivate`updateState[
      TypeSystem`NestedGrid`PackagePrivate`$state$$, 
       TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
       TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
       TypeSystem`NestedGrid`PackagePrivate`localHold[
       TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
    TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
   TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
    Framed[
     Dynamic[
      Replace[
      TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
       TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
          Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
          Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
           Blank[]], 
          Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
           Blank[]], 
          Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
           Blank[]]] :> (
         Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
         TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
          TypeSystem`NestedGrid`PackagePrivate`path$; 
         TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
          TypeSystem`NestedGrid`PackagePrivate`pathType$; 
         TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
          TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
         TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
          TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
         TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
          TypeSystem`NestedGrid`PackagePrivate`path$, 
           TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
        Spacer[10], Blank[] :> Spacer[10]}], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
     None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
     ImageSize -> {Automatic, 15}], FontSize -> 1], 
   TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
   DynamicWrapperBox[
    DynamicBox[ToBoxes[
      Dataset`DatasetContent[
      2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], "Grid" -> 
       Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
       Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
       Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
       Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
       Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
       Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
       Hold[
         TypeSystem`NestedGrid`PackagePrivate`localHold[
         TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
     ImageSizeCache->{429., {86.8837890625, 94.1162109375}},
     TrackedSymbols:>{
      TypeSystem`NestedGrid`PackagePrivate`$state$$, 
       TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = MouseAnnotation[],
    ImageSizeCache->{429., {86.8837890625, 94.1162109375}}],
   BaseStyle->{LineBreakWithin -> False},
   DynamicModuleValues:>{},
   Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
    CreateUUID[]),
   UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
  {<|"class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> False, 
    "squarefeet" -> 300, "window" -> True, "decklocations" -> {1, 2}|>, <|
   "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> True, 
    "squarefeet" -> 100, "window" -> False, "decklocations" -> {4, 5, 6}|>, <|
   "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> False, 
    "squarefeet" -> 100, "window" -> False, "decklocations" -> {4, 5, 6}|>, <|
   "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
    True, "squarefeet" -> 100, "window" -> False, 
    "decklocations" -> {4, 5, 6}|>, <|
   "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> False, 
    "squarefeet" -> 100, "window" -> False, 
    "decklocations" -> {4, 5, 6}|>}]], "Output",
 CellChangeTimes->{3.7421476489603577`*^9, 3.769278225090755*^9, 
  3.769278262743848*^9, 3.769332250334506*^9, 3.769333150130959*^9, 
  3.76937635420046*^9, 3.7699551248021917`*^9, 3.769955270687416*^9, 
  3.76995600249065*^9, 3.771929804542014*^9, 3.881419580036976*^9},
 CellLabel->"Out[276]=",
 CellID->1768062714,ExpressionUUID->"75b68e9f-f44f-422b-a714-cb760fd76f20"]
}, Open  ]],

Cell[TextData[{
 ButtonBox["JoinAcross",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/JoinAcross.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/JoinAcross.html"],
 " is sometimes confused with ",
 ButtonBox["Merge",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Merge.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Merge.html"],
 ". Think ",
 ButtonBox["Merge",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Merge.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Merge.html"],
 " if you have a single list of Associations and want an ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " between the union of keys in the constituent Associations and some \
structure of values. ",
 "Think ",
 ButtonBox["JoinAcross",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/JoinAcross.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/JoinAcross.html"],
 " if you have two lists of Associations and want to combine them into a \
single list of Associations. An element from the first list is combined with \
an element from the second list based on their having identical values of \
specified sets of keys."
}], "Text",
 CellChangeTimes->{{3.7694218019536448`*^9, 3.769421821067734*^9}, {
   3.769421868593371*^9, 3.769421938932808*^9}, {3.7694220302325783`*^9, 
   3.76942205882127*^9}, {3.7758372565324106`*^9, 3.775837263567114*^9}, {
   3.7758373316519213`*^9, 3.7758373400837646`*^9}, {3.780310243734747*^9, 
   3.780310277661996*^9}, 3.857229509339305*^9, 3.866556316219322*^9, {
   3.8666424265666122`*^9, 3.86664242801274*^9}, {3.86664269966623*^9, 
   3.866642793743906*^9}},
 CellTags->{"i:44", "p: 83"},
 CellID->376770836,ExpressionUUID->"19ff2229-9f0f-40b7-b754-62a1e834ae78"],

Cell[TextData[{
 "Sometimes the name of the column in one list of Associations (or other \
data) will differ from the name of the column in another list of Associations \
(or other data), but the columns have the same meaning. Suppose, for example, \
the name of the first column in ",
 Cell[BoxData[
 "titanicCabins"], "InlineCodeText",ExpressionUUID->
  "d40af76a-f37a-4a1f-89a4-e0f689cb78c2"],
 " was ",
 Cell[BoxData[
 "\"\<cabinclass\>\""], "InlineCodeText",ExpressionUUID->
  "48fc29b3-f02d-4331-bcd9-71de837d2e2f"],
 " rather than ",
 Cell[BoxData[
 "\"\<class\>\""], "InlineCodeText",ExpressionUUID->
  "4f45dbcb-1a67-4c0c-aa0d-b237113a58fc"],
 " but the meaning of the column was the same as the ",
 Cell[BoxData[
 "\"\<class\>\""], "InlineCodeText",ExpressionUUID->
  "fb7f8909-ddfc-4365-a8cb-0718509a4a99"],
 " column in ",
 Cell[BoxData[
 "dinghy"], "InlineCodeText",ExpressionUUID->
  "c74fae5e-6b5e-4342-a10d-61413b62b2c9"],
 ". Later, I\[CloseCurlyQuote]ll show efficient mechanisms for changing the \
keys in an ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " or ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of Associations, but for right now, I\[CloseCurlyQuote]ll get the data \
from the repository for this book."
}], "Text",
 CellChangeTimes->{{3.7421476776670103`*^9, 3.7421477635209618`*^9}, {
   3.74214780637335*^9, 3.742147807661661*^9}, {3.742475872898363*^9, 
   3.74247589184804*^9}, {3.745854764163065*^9, 3.745854776230002*^9}, {
   3.745857892868125*^9, 3.745857894000971*^9}, 3.745870691178669*^9, {
   3.769278275947201*^9, 3.769278277612791*^9}, {3.7692784223973217`*^9, 
   3.769278424349268*^9}, {3.769280354118064*^9, 3.769280391956622*^9}, {
   3.76995495417944*^9, 3.769954954179503*^9}, {3.7758378951421595`*^9, 
   3.77583791353916*^9}, {3.77583806483216*^9, 3.77583809853016*^9}, {
   3.857229567396669*^9, 3.857229573204022*^9}, {3.8662789368689065`*^9, 
   3.8662789796048226`*^9}, {3.8662791224791565`*^9, 
   3.8662792140400553`*^9}, {3.8662795144532614`*^9, 
   3.8662795294121013`*^9}, {3.866556372608295*^9, 3.8665563843101397`*^9}},
 CellID->92915124,ExpressionUUID->"c3f3ca51-4ca0-44f3-98d7-21d583425d2b"],

Cell[TextData[{
 "The same data structure as ",
 Cell[BoxData[
 "titanicCabins"], "InlineCode",ExpressionUUID->
  "1170c943-0849-4446-81e5-b5258ecc40a5"],
 " but using ",
 Cell[BoxData[
 "\"\<cabinclass\>\""], "InlineCode",ExpressionUUID->
  "6146aecb-ef46-4640-8ab8-c091d8ccfeab"],
 " instead of ",
 Cell[BoxData[
 "\"\<class\>\""], "InlineCode",ExpressionUUID->
  "79b5505f-cb9c-4fae-9bcd-29457f1bcc3d"],
 " as a key:"
}], "CodeText",
 CellChangeTimes->{{3.769422100758875*^9, 3.7694221191758547`*^9}, {
  3.77583811849816*^9, 3.77583812194016*^9}, {3.8665564263649187`*^9, 
  3.866556434387143*^9}},
 CellID->2052509876,ExpressionUUID->"01403d86-f06f-487e-8301-f24eb455f61d"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"titanicCabins2", "=", 
  RowBox[{"ResourceData", "[", 
   RowBox[{"ro", ",", "\"\<Titanic Cabins 2 List of Associations\>\""}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.7692784318393717`*^9, 3.76927844244584*^9}, {
  3.76928033514887*^9, 3.7692803379422007`*^9}, {3.7699554104565268`*^9, 
  3.76995543225534*^9}, {3.771929748866941*^9, 3.771929752389071*^9}},
 CellLabel->"In[277]:=",
 CellID->1463421689,ExpressionUUID->"ffc5f37a-fe61-4e52-a726-db06b84fce32"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"cabinclass\"\>", "\[Rule]", "\<\"1st\"\>"}], ",", 
     RowBox[{"\<\"squarefeet\"\>", "\[Rule]", "300"}], ",", 
     RowBox[{"\<\"window\"\>", "\[Rule]", "True"}], ",", 
     RowBox[{"\<\"decklocations\"\>", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"1", ",", "2"}], "}"}]}]}], "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"cabinclass\"\>", "\[Rule]", "\<\"2nd\"\>"}], ",", 
     RowBox[{"\<\"squarefeet\"\>", "\[Rule]", "200"}], ",", 
     RowBox[{"\<\"window\"\>", "\[Rule]", "True"}], ",", 
     RowBox[{"\<\"decklocations\"\>", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"3", ",", "4"}], "}"}]}]}], "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"cabinclass\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"squarefeet\"\>", "\[Rule]", "100"}], ",", 
     RowBox[{"\<\"window\"\>", "\[Rule]", "False"}], ",", 
     RowBox[{"\<\"decklocations\"\>", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"4", ",", "5", ",", "6"}], "}"}]}]}], "\[RightAssociation]"}], 
   ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"cabinclass\"\>", "\[Rule]", "\<\"crew\"\>"}], ",", 
     RowBox[{"\<\"squarefeet\"\>", "\[Rule]", "80"}], ",", 
     RowBox[{"\<\"window\"\>", "\[Rule]", "False"}], ",", 
     RowBox[{"\<\"decklocations\"\>", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"6", ",", "7"}], "}"}]}]}], "\[RightAssociation]"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.769280333246018*^9, 3.769280338432867*^9}, 
   3.76928063574263*^9, 3.769332250344474*^9, 3.769376364643877*^9, 
   3.769955124904108*^9, 3.7699552707202883`*^9, {3.769955415972474*^9, 
   3.769955432722127*^9}, 3.771929804623662*^9, 3.8805463659295692`*^9, 
   3.8805482842458878`*^9, 3.881419588334138*^9},
 CellLabel->"Out[277]=",
 CellID->1445245510,ExpressionUUID->"9ef457d1-6838-45a6-9453-760ba74a0926"]
}, Open  ]],

Cell[TextData[{
 "Let\[CloseCurlyQuote]s join the two lists of Associations. I show the \
results using ",
 ButtonBox["DatasetForm",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
DatasetForm"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/\
DatasetForm"],
 "."
}], "Text",
 CellTags->"i:45",
 CellID->1058777069,ExpressionUUID->"22ab971d-8bdc-4d20-aa78-8f9620cefcb0"],

Cell[TextData[{
 "Use a ",
 ButtonBox["Rule",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Rule.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Rule.html"],
 " for the join specification when joining two columns with the same meaning \
but different names:"
}], "CodeText",
 CellChangeTimes->{{3.769422132575603*^9, 3.7694221671418047`*^9}, {
   3.77583817684016*^9, 3.77583819021516*^9}, 3.8572296047469807`*^9},
 CellID->211580175,ExpressionUUID->"d6b2669a-4b08-4577-9950-1c0b97525be3"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  InterpretationBox[
   TagBox[
    TagBox[
     DynamicModuleBox[{Typeset`open = False}, 
      FrameBox[
       PaneSelectorBox[{False->GridBox[{
          {
           PaneBox[GridBox[{
              {
               StyleBox[
                StyleBox[
                 AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                  BoxBaselineShift->-0.25,
                  BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                 
                 FontColor->RGBColor[
                  0.8745098039215686, 0.2784313725490196, 
                   0.03137254901960784]],
                ShowStringCharacters->False,
                FontFamily->"Source Sans Pro Black",
                FontSize->0.6538461538461539 Inherited,
                FontWeight->"Heavy",
                PrivateFontOptions->{"OperatorSubstitution"->False}], 
               StyleBox[
                RowBox[{
                 StyleBox["DatasetForm", "ResourceFunctionLabel"], " "}],
                ShowAutoStyles->False,
                ShowStringCharacters->False,
                FontSize->Rational[12, 13] Inherited,
                FontColor->GrayLevel[0.1]]}
             },
             GridBoxSpacings->{"Columns" -> {{0.25}}}],
            Alignment->Left,
            BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
            BaselinePosition->Baseline,
            FrameMargins->{{3, 0}, {0, 0}}], 
           ItemBox[
            PaneBox[
             TogglerBox[Dynamic[Typeset`open], {True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeCloser"],
               ImageSizeCache->{11., {2., 9.}}], False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeOpener"],
               ImageSizeCache->{11., {2., 9.}}]},
              Appearance->None,
              BaselinePosition->Baseline,
              ContentPadding->False,
              FrameMargins->0],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{1, 1}, {0, 0}}],
            Frame->{{
               RGBColor[
               0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                0.5], False}, {False, False}}]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
         GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
        GridBox[{
          {GridBox[{
             {
              PaneBox[GridBox[{
                 {
                  StyleBox[
                   StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                   ShowStringCharacters->False,
                   FontFamily->"Source Sans Pro Black",
                   FontSize->0.6538461538461539 Inherited,
                   FontWeight->"Heavy",
                   PrivateFontOptions->{"OperatorSubstitution"->False}], 
                  StyleBox[
                   RowBox[{
                    StyleBox["DatasetForm", "ResourceFunctionLabel"], " "}],
                   ShowAutoStyles->False,
                   ShowStringCharacters->False,
                   FontSize->Rational[12, 13] Inherited,
                   FontColor->GrayLevel[0.1]]}
                },
                GridBoxSpacings->{"Columns" -> {{0.25}}}],
               Alignment->Left,
               BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
               BaselinePosition->Baseline,
               FrameMargins->{{3, 0}, {0, 0}}], 
              ItemBox[
               PaneBox[
                TogglerBox[Dynamic[Typeset`open], {True->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeCloser"]], False->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeOpener"]]},
                 Appearance->None,
                 BaselinePosition->Baseline,
                 ContentPadding->False,
                 FrameMargins->0],
                Alignment->Left,
                BaselinePosition->Baseline,
                FrameMargins->{{1, 1}, {0, 0}}],
               Frame->{{
                  RGBColor[
                  0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                   0.5], False}, {False, False}}]}
            },
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
          {
           StyleBox[
            PaneBox[GridBox[{
               {
                RowBox[{
                 TagBox["\<\"Version (latest): \"\>",
                  "IconizedLabel"], " ", 
                 TagBox["\<\"1.0.0\"\>",
                  "IconizedItem"]}]},
               {
                TagBox[
                 
                 TemplateBox[{
                  "\"Documentation \[RightGuillemet]\"", 
                   "https://resources.wolframcloud.com/FunctionRepository/\
resources/a2034fb9-e46f-4b36-ac04-a3ea684b9d1e/"},
                  "HyperlinkURL"],
                 "IconizedItem"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
            FontFamily->"Roboto",
            FontSize->11]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
              GrayLevel[0.8]}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
        Typeset`open],
        BaselinePosition->Baseline,
        ImageSize->Automatic],
       Background->RGBColor[
        0.9686274509803922, 0.9764705882352941, 0.984313725490196],
       BaselinePosition->Baseline,
       DefaultBaseStyle->{},
       FrameMargins->{{0, 0}, {1, 0}},
       FrameStyle->RGBColor[
        0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
       RoundingRadius->4]],
     #& ,
     TagBoxNote->" "],
    {"FunctionResourceBox", 
     RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
     "DatasetForm"},
    TagBoxNote->"FunctionResourceBox"],
   ResourceFunction[
    ResourceObject[<|
     "Name" -> "DatasetForm", "ShortName" -> "DatasetForm", "UUID" -> 
      "a2034fb9-e46f-4b36-ac04-a3ea684b9d1e", "ResourceType" -> "Function", 
      "Version" -> "1.0.0", "Description" -> 
      "Display data formatted like a dataset", "RepositoryLocation" -> 
      URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
      "SymbolName" -> 
      "FunctionRepository`$9011b47ab6d048f099e90511f6c24686`DatasetForm", 
      "FunctionLocation" -> 
      CloudObject[
       "https://www.wolframcloud.com/obj/d6b6cd3f-340f-4c5a-91b5-\
d391d60da0b9"]|>, ResourceSystemBase -> Automatic]],
   Selectable->False], "[", 
  RowBox[{"JoinAcross", "[", 
   RowBox[{"dinghy", ",", "titanicCabins2", ",", 
    RowBox[{"\"\<class\>\"", "\[Rule]", "\"\<cabinclass\>\""}]}], "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.742147831770966*^9, 3.742147832690699*^9}, {
   3.769280404586378*^9, 3.769280405906375*^9}, {3.769280667003498*^9, 
   3.769280677126938*^9}, {3.769333163002346*^9, 3.7693331679191437`*^9}, 
   3.76995495533597*^9, {3.881148637274691*^9, 3.881148638626349*^9}},
 CellLabel->"In[278]:=",
 CellID->816699641,ExpressionUUID->"3a541f11-a165-4608-bd07-40eead868146"],

Cell[BoxData[
 InterpretationBox[
  DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
   "InitialData" -> {<|
      "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> False, 
       "cabinclass" -> "1st", "squarefeet" -> 300, "window" -> True, 
       "decklocations" -> {1, 2}|>, <|
      "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> True, 
       "cabinclass" -> "3rd", "squarefeet" -> 100, "window" -> False, 
       "decklocations" -> {4, 5, 6}|>, <|
      "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> False, 
       "cabinclass" -> "3rd", "squarefeet" -> 100, "window" -> False, 
       "decklocations" -> {4, 5, 6}|>, <|
      "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
       True, "cabinclass" -> "3rd", "squarefeet" -> 100, "window" -> False, 
       "decklocations" -> {4, 5, 6}|>, <|
      "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> False, 
       "cabinclass" -> "3rd", "squarefeet" -> 100, "window" -> False, 
       "decklocations" -> {4, 5, 6}|>}, "AllowEmbedding" -> True, 
    "InitialShape" -> 
    TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
       1, {All, "sex"} -> 1, {All, "survived"} -> 1, {All, "cabinclass"} -> 
       1, {All, "squarefeet"} -> 1, {All, "window"} -> 
       1, {All, "decklocations"} -> 1|>, 
      TypeSystem`PackageScope`Limited[
       TypeSystem`PackageScope`ColumnShape[
        TypeSystem`PackageScope`Limited[
         TypeSystem`PackageScope`RowShape[<|
          "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
           TypeSystem`PackageScope`AtomShape[34], "sex" -> 
           TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
           TypeSystem`PackageScope`AtomShape[36], "cabinclass" -> 
           TypeSystem`PackageScope`AtomShape[31.5], "squarefeet" -> 
           TypeSystem`PackageScope`AtomShape[34], "window" -> 
           TypeSystem`PackageScope`AtomShape[36], "decklocations" -> 
           TypeSystem`PackageScope`UnknownShape[False]|>], 
         DirectedInfinity[1], 8, {All}]], 5, 
       DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
      TypeSystem`Struct[{
       "class", "age", "sex", "survived", "cabinclass", "squarefeet", 
        "window", "decklocations"}, {
        TypeSystem`Atom[
         TypeSystem`Enumeration["1st", "3rd"]], 
        TypeSystem`Atom[Integer], 
        TypeSystem`Atom[
         TypeSystem`Enumeration["female", "male"]], 
        TypeSystem`Atom[TypeSystem`Boolean], 
        TypeSystem`Atom[
         TypeSystem`Enumeration["1st", "3rd"]], 
        TypeSystem`Atom[Integer], 
        TypeSystem`Atom[TypeSystem`Boolean], 
        TypeSystem`Vector[
         TypeSystem`Atom[Integer], TypeSystem`AnyLength]}], 5], 
    "Meta" -> <||>, "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
    TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
       1, {All, "sex"} -> 1, {All, "survived"} -> 1, {All, "cabinclass"} -> 
       1, {All, "squarefeet"} -> 1, {All, "window"} -> 
       1, {All, "decklocations"} -> 1|>, 
      TypeSystem`PackageScope`Limited[
       TypeSystem`PackageScope`ColumnShape[
        TypeSystem`PackageScope`Limited[
         TypeSystem`PackageScope`RowShape[<|
          "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
           TypeSystem`PackageScope`AtomShape[34], "sex" -> 
           TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
           TypeSystem`PackageScope`AtomShape[36], "cabinclass" -> 
           TypeSystem`PackageScope`AtomShape[31.5], "squarefeet" -> 
           TypeSystem`PackageScope`AtomShape[34], "window" -> 
           TypeSystem`PackageScope`AtomShape[36], "decklocations" -> 
           TypeSystem`PackageScope`UnknownShape[False]|>], 
         DirectedInfinity[1], 8, {All}]], 5, 
       DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
      TypeSystem`Struct[{
       "class", "age", "sex", "survived", "cabinclass", "squarefeet", 
        "window", "decklocations"}, {
        TypeSystem`Atom[
         TypeSystem`Enumeration["1st", "3rd"]], 
        TypeSystem`Atom[Integer], 
        TypeSystem`Atom[
         TypeSystem`Enumeration["female", "male"]], 
        TypeSystem`Atom[TypeSystem`Boolean], 
        TypeSystem`Atom[
         TypeSystem`Enumeration["1st", "3rd"]], 
        TypeSystem`Atom[Integer], 
        TypeSystem`Atom[TypeSystem`Boolean], 
        TypeSystem`Vector[
         TypeSystem`Atom[Integer], TypeSystem`AnyLength]}], 5], "Path" -> {}, 
    "DisplayedRowCount" -> 5, "DisplayedColumnCount" -> 8, "DataRowCount" -> 
    5, "DataColumnCount" -> 8, "SortPaths" -> {}, "SortDirections" -> {}, 
    "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
   TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
   TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
   TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
   TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
   TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
   DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
       Style[
        Grid[{{
           Item[
            Pane[
             Annotation[
              EventHandler[
               MouseAppearance[
                Mouseover["class", 
                 Style[
                 "class", FontColor -> 
                  RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
               If[
                 TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                 TypeSystem`NestedGrid`PackagePrivate`updateState[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                  All, "class"}, 1]]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
               All, "class"}, "ColumnHeader", True], "Mouse"], 
             ImageSize -> {{1, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.95],
             Alignment -> {Left, Baseline}], 
           Item[
            Pane[
             Annotation[
              EventHandler[
               MouseAppearance[
                Mouseover["age", 
                 Style[
                 "age", FontColor -> 
                  RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
               If[
                 TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                 TypeSystem`NestedGrid`PackagePrivate`updateState[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                  All, "age"}, 1]]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
               All, "age"}, "ColumnHeader", True], "Mouse"], 
             ImageSize -> {{1, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.95],
             Alignment -> {Left, Baseline}], 
           Item[
            Pane[
             Annotation[
              EventHandler[
               MouseAppearance[
                Mouseover["sex", 
                 Style[
                 "sex", FontColor -> 
                  RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
               If[
                 TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                 TypeSystem`NestedGrid`PackagePrivate`updateState[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                  All, "sex"}, 1]]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
               All, "sex"}, "ColumnHeader", True], "Mouse"], 
             ImageSize -> {{1, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.95],
             Alignment -> {Left, Baseline}], 
           Item[
            Pane[
             Annotation[
              EventHandler[
               MouseAppearance[
                Mouseover["survived", 
                 Style[
                 "survived", FontColor -> 
                  RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
               If[
                 TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                 TypeSystem`NestedGrid`PackagePrivate`updateState[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                  All, "survived"}, 1]]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
               All, "survived"}, "ColumnHeader", True], "Mouse"], 
             ImageSize -> {{1, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.95],
             Alignment -> {Left, Baseline}], 
           Item[
            Pane[
             Annotation[
              EventHandler[
               MouseAppearance[
                Mouseover["cabinclass", 
                 Style[
                 "cabinclass", FontColor -> 
                  RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
               If[
                 TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                 TypeSystem`NestedGrid`PackagePrivate`updateState[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                  All, "cabinclass"}, 1]]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
               All, "cabinclass"}, "ColumnHeader", True], "Mouse"], 
             ImageSize -> {{1, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.95],
             Alignment -> {Left, Baseline}], 
           Item[
            Pane[
             Annotation[
              EventHandler[
               MouseAppearance[
                Mouseover["squarefeet", 
                 Style[
                 "squarefeet", FontColor -> 
                  RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
               If[
                 TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                 TypeSystem`NestedGrid`PackagePrivate`updateState[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                  All, "squarefeet"}, 1]]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
               All, "squarefeet"}, "ColumnHeader", True], "Mouse"], 
             ImageSize -> {{1, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.95],
             Alignment -> {Left, Baseline}], 
           Item[
            Pane[
             Annotation[
              EventHandler[
               MouseAppearance[
                Mouseover["window", 
                 Style[
                 "window", FontColor -> 
                  RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
               If[
                 TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                 TypeSystem`NestedGrid`PackagePrivate`updateState[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                  All, "window"}, 1]]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
               All, "window"}, "ColumnHeader", True], "Mouse"], 
             ImageSize -> {{1, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.95],
             Alignment -> {Left, Baseline}], 
           Item[
            Pane[
             Annotation[
              EventHandler[
               MouseAppearance[
                Mouseover["decklocations", 
                 Style[
                 "decklocations", FontColor -> 
                  RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
               If[
                 TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                 TypeSystem`NestedGrid`PackagePrivate`updateState[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                  All, "decklocations"}, 1]]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
               All, "decklocations"}, "ColumnHeader", True], "Mouse"], 
             ImageSize -> {{1, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.95],
             Alignment -> {Left, Baseline}]}, {
           Item[
            Pane[
             Annotation["1st", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{1, 
                Key["class"]}, "Item", False], "Mouse"], 
             ImageSize -> {{31.5, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["65"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{1, 
                Key["age"]}, "Item", False], "Mouse"], 
             ImageSize -> {{34, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation["male", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{1, 
                Key["sex"]}, "Item", False], "Mouse"], 
             ImageSize -> {{63., Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["False"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{1, 
                Key["survived"]}, "Item", False], "Mouse"], 
             ImageSize -> {{36, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation["1st", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{1, 
                Key["cabinclass"]}, "Item", False], "Mouse"], 
             ImageSize -> {{31.5, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["300"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{1, 
                Key["squarefeet"]}, "Item", False], "Mouse"], 
             ImageSize -> {{34, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["True"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{1, 
                Key["window"]}, "Item", False], "Mouse"], 
             ImageSize -> {{36, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              EventHandler[
               MouseAppearance[
                Mouseover[
                 Style[{1, 2}, ShowStringCharacters -> False], 
                 Style[
                  Style[{1, 2}, ShowStringCharacters -> False], FontColor -> 
                  RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
               If[
                 TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                 TypeSystem`NestedGrid`PackagePrivate`updateState[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{1, 
                   Key["decklocations"]}, 4]]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{1, 
                Key["decklocations"]}, "Item", False], "Mouse"], 
             ImageMargins -> {{5, 3}, {4, 5}}]]}, {
           Item[
            Pane[
             Annotation["3rd", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{2, 
                Key["class"]}, "Item", False], "Mouse"], 
             ImageSize -> {{31.5, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["16"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{2, 
                Key["age"]}, "Item", False], "Mouse"], 
             ImageSize -> {{34, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation["female", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{2, 
                Key["sex"]}, "Item", False], "Mouse"], 
             ImageSize -> {{63., Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["True"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{2, 
                Key["survived"]}, "Item", False], "Mouse"], 
             ImageSize -> {{36, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation["3rd", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{2, 
                Key["cabinclass"]}, "Item", False], "Mouse"], 
             ImageSize -> {{31.5, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["100"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{2, 
                Key["squarefeet"]}, "Item", False], "Mouse"], 
             ImageSize -> {{34, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["False"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{2, 
                Key["window"]}, "Item", False], "Mouse"], 
             ImageSize -> {{36, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              EventHandler[
               MouseAppearance[
                Mouseover[
                 Style[{4, 5, 6}, ShowStringCharacters -> False], 
                 Style[
                  Style[{4, 5, 6}, ShowStringCharacters -> False], FontColor -> 
                  RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
               If[
                 TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                 TypeSystem`NestedGrid`PackagePrivate`updateState[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{2, 
                   Key["decklocations"]}, 4]]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{2, 
                Key["decklocations"]}, "Item", False], "Mouse"], 
             ImageMargins -> {{5, 3}, {4, 5}}]]}, {
           Item[
            Pane[
             Annotation["3rd", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{3, 
                Key["class"]}, "Item", False], "Mouse"], 
             ImageSize -> {{31.5, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["2"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{3, 
                Key["age"]}, "Item", False], "Mouse"], 
             ImageSize -> {{34, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation["female", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{3, 
                Key["sex"]}, "Item", False], "Mouse"], 
             ImageSize -> {{63., Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["False"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{3, 
                Key["survived"]}, "Item", False], "Mouse"], 
             ImageSize -> {{36, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation["3rd", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{3, 
                Key["cabinclass"]}, "Item", False], "Mouse"], 
             ImageSize -> {{31.5, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["100"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{3, 
                Key["squarefeet"]}, "Item", False], "Mouse"], 
             ImageSize -> {{34, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["False"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{3, 
                Key["window"]}, "Item", False], "Mouse"], 
             ImageSize -> {{36, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              EventHandler[
               MouseAppearance[
                Mouseover[
                 Style[{4, 5, 6}, ShowStringCharacters -> False], 
                 Style[
                  Style[{4, 5, 6}, ShowStringCharacters -> False], FontColor -> 
                  RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
               If[
                 TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                 TypeSystem`NestedGrid`PackagePrivate`updateState[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{3, 
                   Key["decklocations"]}, 4]]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{3, 
                Key["decklocations"]}, "Item", False], "Mouse"], 
             ImageMargins -> {{5, 3}, {4, 5}}]]}, {
           Item[
            Pane[
             Annotation["3rd", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{4, 
                Key["class"]}, "Item", False], "Mouse"], 
             ImageSize -> {{31.5, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              Style["\[LongDash]", 
               GrayLevel[0.75]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{4, 
                Key["age"]}, "Item", False], "Mouse"], 
             ImageSize -> {{34, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation["female", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{4, 
                Key["sex"]}, "Item", False], "Mouse"], 
             ImageSize -> {{63., Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["True"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{4, 
                Key["survived"]}, "Item", False], "Mouse"], 
             ImageSize -> {{36, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation["3rd", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{4, 
                Key["cabinclass"]}, "Item", False], "Mouse"], 
             ImageSize -> {{31.5, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["100"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{4, 
                Key["squarefeet"]}, "Item", False], "Mouse"], 
             ImageSize -> {{34, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["False"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{4, 
                Key["window"]}, "Item", False], "Mouse"], 
             ImageSize -> {{36, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              EventHandler[
               MouseAppearance[
                Mouseover[
                 Style[{4, 5, 6}, ShowStringCharacters -> False], 
                 Style[
                  Style[{4, 5, 6}, ShowStringCharacters -> False], FontColor -> 
                  RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
               If[
                 TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                 TypeSystem`NestedGrid`PackagePrivate`updateState[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{4, 
                   Key["decklocations"]}, 4]]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{4, 
                Key["decklocations"]}, "Item", False], "Mouse"], 
             ImageMargins -> {{5, 3}, {4, 5}}]]}, {
           Item[
            Pane[
             Annotation["3rd", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{5, 
                Key["class"]}, "Item", False], "Mouse"], 
             ImageSize -> {{31.5, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["18"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{5, 
                Key["age"]}, "Item", False], "Mouse"], 
             ImageSize -> {{34, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation["female", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{5, 
                Key["sex"]}, "Item", False], "Mouse"], 
             ImageSize -> {{63., Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["False"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{5, 
                Key["survived"]}, "Item", False], "Mouse"], 
             ImageSize -> {{36, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation["3rd", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{5, 
                Key["cabinclass"]}, "Item", False], "Mouse"], 
             ImageSize -> {{31.5, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["100"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{5, 
                Key["squarefeet"]}, "Item", False], "Mouse"], 
             ImageSize -> {{34, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["False"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{5, 
                Key["window"]}, "Item", False], "Mouse"], 
             ImageSize -> {{36, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              EventHandler[
               MouseAppearance[
                Mouseover[
                 Style[{4, 5, 6}, ShowStringCharacters -> False], 
                 Style[
                  Style[{4, 5, 6}, ShowStringCharacters -> False], FontColor -> 
                  RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
               If[
                 TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                 TypeSystem`NestedGrid`PackagePrivate`updateState[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{5, 
                   Key["decklocations"]}, 4]]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{5, 
                Key["decklocations"]}, "Item", False], "Mouse"], 
             ImageMargins -> {{5, 3}, {4, 5}}]]}}, 
         BaseStyle -> {
          ContextMenu -> 
           Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
             Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
               TypeSystem`NestedGrid`PackagePrivate`localHold[
                TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
               TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
               TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
               TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
               TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
               TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                  
                  With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                   Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
           "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
         All, FrameStyle -> GrayLevel[0.7490196078431373], Spacings -> {0, 0},
          Alignment -> Left, 
         BaseStyle -> {
          FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
           Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
        False, ShowAutoStyles -> False]], 
     TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
    Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
     TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
        Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
        Module[{
         TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
          TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
          TypeSystem`NestedGrid`PackagePrivate`datasetData[
           TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
         TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
            FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
            TypeSystem`NestedGrid`PackagePrivate`renderGrid[
            TypeSystem`NestedGrid`PackagePrivate`$state$$, 
             TypeSystem`NestedGrid`PackagePrivate`$path$$, 
             TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
             TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
             TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
             TypeSystem`NestedGrid`PackagePrivate`localHold[
             TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
            TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
           Not[
            FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
           TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
           TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
      TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
      TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
        FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
        TypeSystem`SparseGrid[
         TypeSystem`H["(data no longer present)"]], 
        TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
     TrackedSymbols :> {
      TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
    DynamicModuleValues :> {}], 
   TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
    TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
     TypeSystem`PackageScope`SubViewPathbar[
     TypeSystem`NestedGrid`PackagePrivate`$path$$, 
      TypeSystem`NestedGrid`PackagePrivate`updateState[
      TypeSystem`NestedGrid`PackagePrivate`$state$$, 
       TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
       TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
       TypeSystem`NestedGrid`PackagePrivate`localHold[
       TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
    TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
   TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
    Framed[
     Dynamic[
      Replace[
      TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
       TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
          Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
          Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
           Blank[]], 
          Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
           Blank[]], 
          Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
           Blank[]]] :> (
         Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
         TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
          TypeSystem`NestedGrid`PackagePrivate`path$; 
         TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
          TypeSystem`NestedGrid`PackagePrivate`pathType$; 
         TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
          TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
         TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
          TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
         TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
          TypeSystem`NestedGrid`PackagePrivate`path$, 
           TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
        Spacer[10], Blank[] :> Spacer[10]}], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
     None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
     ImageSize -> {Automatic, 15}], FontSize -> 1], 
   TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
   DynamicWrapperBox[
    DynamicBox[ToBoxes[
      Dataset`DatasetContent[
      2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], "Grid" -> 
       Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
       Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
       Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
       Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
       Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
       Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
       Hold[
         TypeSystem`NestedGrid`PackagePrivate`localHold[
         TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
     ImageSizeCache->{498., {86.8837890625, 94.1162109375}},
     TrackedSymbols:>{
      TypeSystem`NestedGrid`PackagePrivate`$state$$, 
       TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = MouseAnnotation[],
    ImageSizeCache->{498., {86.8837890625, 94.1162109375}}],
   BaseStyle->{LineBreakWithin -> False},
   DynamicModuleValues:>{},
   Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
    CreateUUID[]),
   UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
  {<|"class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> False, 
    "cabinclass" -> "1st", "squarefeet" -> 300, "window" -> True, 
    "decklocations" -> {1, 2}|>, <|
   "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> True, 
    "cabinclass" -> "3rd", "squarefeet" -> 100, "window" -> False, 
    "decklocations" -> {4, 5, 6}|>, <|
   "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> False, 
    "cabinclass" -> "3rd", "squarefeet" -> 100, "window" -> False, 
    "decklocations" -> {4, 5, 6}|>, <|
   "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
    True, "cabinclass" -> "3rd", "squarefeet" -> 100, "window" -> False, 
    "decklocations" -> {4, 5, 6}|>, <|
   "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> False, 
    "cabinclass" -> "3rd", "squarefeet" -> 100, "window" -> False, 
    "decklocations" -> {4, 5, 6}|>}]], "Output",
 CellChangeTimes->{3.88141959822054*^9},
 CellLabel->"Out[278]=",
 CellID->503531477,ExpressionUUID->"8de2d4d4-f62a-4de0-8347-8cd2c0138ef8"]
}, Open  ]],

Cell[TextData[{
 "Notice how there are now two duplicate columns, one named ",
 Cell[BoxData[
 "\"\<class\>\""], "InlineCodeText",ExpressionUUID->
  "8bd7e14b-7121-4bc7-943c-e03510c638da"],
 " and the other named",
 Cell[BoxData[
  RowBox[{" ", "\"\<cabinclass\>\""}]], "InlineCodeText",ExpressionUUID->
  "237f7acf-9ef8-4563-ad55-539107bdf675"],
 " in which the values match up. There are several methods to eliminate the \
duplication. The first is simply to delete one of the offending columns."
}], "Text",
 CellChangeTimes->{{3.769280685780542*^9, 3.7692807360937233`*^9}, {
   3.77583821404716*^9, 3.77583822620516*^9}, {3.857031419012751*^9, 
   3.857031420733576*^9}, 3.858240578684681*^9, {3.858255006149755*^9, 
   3.858255103797578*^9}, {3.858333694278585*^9, 3.85833369498842*^9}, {
   3.866556602767742*^9, 3.866556608091914*^9}, {3.867248895916837*^9, 
   3.8672489023971405`*^9}},
 CellTags->"LastCellOfAPage",
 CellID->942929089,ExpressionUUID->"9360fcb1-29e6-4d9b-9e77-687a18825e66"],

Cell[TextData[{
 ButtonBox["Map",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Map.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Map.html"],
 " ",
 ButtonBox["KeyDrop",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/KeyDrop.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/KeyDrop.html"],
 " over the joined data to eliminate a duplicative column:"
}], "CodeCaption",
 CellChangeTimes->{{3.858255199433647*^9, 3.858255227565086*^9}},
 CellTags->"p: 84",
 CellID->754978352,ExpressionUUID->"4f9ae235-6872-4c57-9f49-ae5e26a478fa"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  InterpretationBox[
   TagBox[
    DynamicModuleBox[{Typeset`open = False}, 
     FrameBox[
      PaneSelectorBox[{False->GridBox[{
         {
          PaneBox[GridBox[{
             {
              StyleBox[
               StyleBox[
                AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                 BoxBaselineShift->-0.25,
                 BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                
                FontColor->RGBColor[
                 0.8745098039215686, 0.2784313725490196, 0.03137254901960784]],
               ShowStringCharacters->False,
               FontFamily->"Source Sans Pro Black",
               FontSize->0.6538461538461539 Inherited,
               FontWeight->"Heavy",
               PrivateFontOptions->{"OperatorSubstitution"->False}], 
              StyleBox[
               RowBox[{
                StyleBox["DatasetForm", "ResourceFunctionLabel"], " "}],
               ShowAutoStyles->False,
               ShowStringCharacters->False,
               FontSize->Rational[12, 13] Inherited,
               FontColor->GrayLevel[0.1]]}
            },
            GridBoxSpacings->{"Columns" -> {{0.25}}}],
           Alignment->Left,
           BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
           BaselinePosition->Baseline,
           FrameMargins->{{3, 0}, {0, 0}}], 
          ItemBox[
           PaneBox[
            TogglerBox[Dynamic[Typeset`open], {True->
             
             DynamicBox[FEPrivate`FrontEndResource[
              "FEBitmaps", "IconizeCloser"],
              ImageSizeCache->{11., {2., 9.}}], False->
             
             DynamicBox[FEPrivate`FrontEndResource[
              "FEBitmaps", "IconizeOpener"],
              ImageSizeCache->{11., {2., 9.}}]},
             Appearance->None,
             BaselinePosition->Baseline,
             ContentPadding->False,
             FrameMargins->0],
            Alignment->Left,
            BaselinePosition->Baseline,
            FrameMargins->{{1, 1}, {0, 0}}],
           Frame->{{
              RGBColor[
              0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
               0.5], False}, {False, False}}]}
        },
        BaselinePosition->{1, 1},
        GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
        GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
        GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
       GridBox[{
         {GridBox[{
            {
             PaneBox[GridBox[{
                {
                 StyleBox[
                  StyleBox[
                   AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                   
                   FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                  ShowStringCharacters->False,
                  FontFamily->"Source Sans Pro Black",
                  FontSize->0.6538461538461539 Inherited,
                  FontWeight->"Heavy",
                  PrivateFontOptions->{"OperatorSubstitution"->False}], 
                 StyleBox[
                  RowBox[{
                   StyleBox["DatasetForm", "ResourceFunctionLabel"], " "}],
                  ShowAutoStyles->False,
                  ShowStringCharacters->False,
                  FontSize->Rational[12, 13] Inherited,
                  FontColor->GrayLevel[0.1]]}
               },
               GridBoxSpacings->{"Columns" -> {{0.25}}}],
              Alignment->Left,
              BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
              BaselinePosition->Baseline,
              FrameMargins->{{3, 0}, {0, 0}}], 
             ItemBox[
              PaneBox[
               TogglerBox[Dynamic[Typeset`open], {True->
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "IconizeCloser"]], False->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "IconizeOpener"]]},
                Appearance->None,
                BaselinePosition->Baseline,
                ContentPadding->False,
                FrameMargins->0],
               Alignment->Left,
               BaselinePosition->Baseline,
               FrameMargins->{{1, 1}, {0, 0}}],
              Frame->{{
                 RGBColor[
                 0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                  0.5], False}, {False, False}}]}
           },
           BaselinePosition->{1, 1},
           GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
           
           GridBoxItemSize->{
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
           GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
         {
          StyleBox[
           PaneBox[GridBox[{
              {
               RowBox[{
                TagBox["\<\"Version (latest): \"\>",
                 "IconizedLabel"], " ", 
                TagBox["\<\"1.0.0\"\>",
                 "IconizedItem"]}]},
              {
               TagBox[
                
                TemplateBox[{
                 "\"Documentation \[RightGuillemet]\"", 
                  "https://resources.wolframcloud.com/FunctionRepository/\
resources/a2034fb9-e46f-4b36-ac04-a3ea684b9d1e/"},
                 "HyperlinkURL"],
                "IconizedItem"]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
            Alignment->Left,
            BaselinePosition->Baseline,
            FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
           FontFamily->"Roboto",
           FontSize->11]}
        },
        BaselinePosition->{1, 1},
        GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
        GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
             GrayLevel[0.8]}, False}},
        GridBoxItemSize->{
         "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
       Typeset`open],
       BaselinePosition->Baseline,
       ImageSize->Automatic],
      Background->RGBColor[
       0.9686274509803922, 0.9764705882352941, 0.984313725490196],
      BaselinePosition->Baseline,
      DefaultBaseStyle->{},
      FrameMargins->{{0, 0}, {1, 0}},
      FrameStyle->RGBColor[
       0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
      RoundingRadius->4]],
    {"FunctionResourceBox", 
     RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
     "DatasetForm"},
    TagBoxNote->"FunctionResourceBox"],
   ResourceFunction[
    ResourceObject[<|
     "Name" -> "DatasetForm", "ShortName" -> "DatasetForm", "UUID" -> 
      "a2034fb9-e46f-4b36-ac04-a3ea684b9d1e", "ResourceType" -> "Function", 
      "Version" -> "1.0.0", "Description" -> 
      "Display data formatted like a dataset", "RepositoryLocation" -> 
      URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
      "SymbolName" -> 
      "FunctionRepository`$9011b47ab6d048f099e90511f6c24686`DatasetForm", 
      "FunctionLocation" -> 
      CloudObject[
       "https://www.wolframcloud.com/obj/d6b6cd3f-340f-4c5a-91b5-\
d391d60da0b9"]|>, {
     ResourceSystemBase -> 
      "https://www.wolframcloud.com/obj/resourcesystem/api/1.0"}]],
   Selectable->False], "[", 
  RowBox[{
   RowBox[{"Map", "[", 
    RowBox[{"KeyDrop", "[", "\"\<class\>\"", "]"}], "]"}], "[", 
   RowBox[{"JoinAcross", "[", 
    RowBox[{"dinghy", ",", "titanicCabins2", ",", 
     RowBox[{"\"\<class\>\"", "\[Rule]", "\"\<cabinclass\>\""}]}], "]"}], 
   "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.8582551076951647`*^9, 3.85825519520015*^9}},
 CellLabel->"In[279]:=",
 CellID->121203932,ExpressionUUID->"a0bd1800-f0a6-4009-8cde-3101f5ad66c2"],

Cell[BoxData[
 InterpretationBox[
  DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
   "InitialData" -> {<|
      "age" -> 65, "sex" -> "male", "survived" -> False, "cabinclass" -> 
       "1st", "squarefeet" -> 300, "window" -> True, 
       "decklocations" -> {1, 2}|>, <|
      "age" -> 16, "sex" -> "female", "survived" -> True, "cabinclass" -> 
       "3rd", "squarefeet" -> 100, "window" -> False, 
       "decklocations" -> {4, 5, 6}|>, <|
      "age" -> 2, "sex" -> "female", "survived" -> False, "cabinclass" -> 
       "3rd", "squarefeet" -> 100, "window" -> False, 
       "decklocations" -> {4, 5, 6}|>, <|
      "age" -> Missing[], "sex" -> "female", "survived" -> True, "cabinclass" -> 
       "3rd", "squarefeet" -> 100, "window" -> False, 
       "decklocations" -> {4, 5, 6}|>, <|
      "age" -> 18, "sex" -> "female", "survived" -> False, "cabinclass" -> 
       "3rd", "squarefeet" -> 100, "window" -> False, 
       "decklocations" -> {4, 5, 6}|>}, "AllowEmbedding" -> True, 
    "InitialShape" -> 
    TypeSystem`PackageScope`HeaderShape[<|{All, "age"} -> 1, {All, "sex"} -> 
       1, {All, "survived"} -> 1, {All, "cabinclass"} -> 
       1, {All, "squarefeet"} -> 1, {All, "window"} -> 
       1, {All, "decklocations"} -> 1|>, 
      TypeSystem`PackageScope`Limited[
       TypeSystem`PackageScope`ColumnShape[
        TypeSystem`PackageScope`Limited[
         TypeSystem`PackageScope`RowShape[<|
          "age" -> TypeSystem`PackageScope`AtomShape[34], "sex" -> 
           TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
           TypeSystem`PackageScope`AtomShape[36], "cabinclass" -> 
           TypeSystem`PackageScope`AtomShape[31.5], "squarefeet" -> 
           TypeSystem`PackageScope`AtomShape[34], "window" -> 
           TypeSystem`PackageScope`AtomShape[36], "decklocations" -> 
           TypeSystem`PackageScope`UnknownShape[False]|>], 
         DirectedInfinity[1], 7, {All}]], 5, 
       DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
      TypeSystem`Struct[{
       "age", "sex", "survived", "cabinclass", "squarefeet", "window", 
        "decklocations"}, {
        TypeSystem`Atom[Integer], 
        TypeSystem`Atom[
         TypeSystem`Enumeration["female", "male"]], 
        TypeSystem`Atom[TypeSystem`Boolean], 
        TypeSystem`Atom[
         TypeSystem`Enumeration["1st", "3rd"]], 
        TypeSystem`Atom[Integer], 
        TypeSystem`Atom[TypeSystem`Boolean], 
        TypeSystem`Vector[
         TypeSystem`Atom[Integer], TypeSystem`AnyLength]}], 5], 
    "Meta" -> <||>, "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
    TypeSystem`PackageScope`HeaderShape[<|{All, "age"} -> 1, {All, "sex"} -> 
       1, {All, "survived"} -> 1, {All, "cabinclass"} -> 
       1, {All, "squarefeet"} -> 1, {All, "window"} -> 
       1, {All, "decklocations"} -> 1|>, 
      TypeSystem`PackageScope`Limited[
       TypeSystem`PackageScope`ColumnShape[
        TypeSystem`PackageScope`Limited[
         TypeSystem`PackageScope`RowShape[<|
          "age" -> TypeSystem`PackageScope`AtomShape[34], "sex" -> 
           TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
           TypeSystem`PackageScope`AtomShape[36], "cabinclass" -> 
           TypeSystem`PackageScope`AtomShape[31.5], "squarefeet" -> 
           TypeSystem`PackageScope`AtomShape[34], "window" -> 
           TypeSystem`PackageScope`AtomShape[36], "decklocations" -> 
           TypeSystem`PackageScope`UnknownShape[False]|>], 
         DirectedInfinity[1], 7, {All}]], 5, 
       DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
      TypeSystem`Struct[{
       "age", "sex", "survived", "cabinclass", "squarefeet", "window", 
        "decklocations"}, {
        TypeSystem`Atom[Integer], 
        TypeSystem`Atom[
         TypeSystem`Enumeration["female", "male"]], 
        TypeSystem`Atom[TypeSystem`Boolean], 
        TypeSystem`Atom[
         TypeSystem`Enumeration["1st", "3rd"]], 
        TypeSystem`Atom[Integer], 
        TypeSystem`Atom[TypeSystem`Boolean], 
        TypeSystem`Vector[
         TypeSystem`Atom[Integer], TypeSystem`AnyLength]}], 5], "Path" -> {}, 
    "DisplayedRowCount" -> 5, "DisplayedColumnCount" -> 7, "DataRowCount" -> 
    5, "DataColumnCount" -> 7, "SortPaths" -> {}, "SortDirections" -> {}, 
    "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
   TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
   TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
   TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
   TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
   TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
   DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
       Style[
        Grid[{{
           Item[
            Pane[
             Annotation[
              EventHandler[
               MouseAppearance[
                Mouseover["age", 
                 Style[
                 "age", FontColor -> 
                  RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
               If[
                 TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                 TypeSystem`NestedGrid`PackagePrivate`updateState[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                  All, "age"}, 1]]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
               All, "age"}, "ColumnHeader", True], "Mouse"], 
             ImageSize -> {{1, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.95],
             Alignment -> {Left, Baseline}], 
           Item[
            Pane[
             Annotation[
              EventHandler[
               MouseAppearance[
                Mouseover["sex", 
                 Style[
                 "sex", FontColor -> 
                  RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
               If[
                 TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                 TypeSystem`NestedGrid`PackagePrivate`updateState[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                  All, "sex"}, 1]]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
               All, "sex"}, "ColumnHeader", True], "Mouse"], 
             ImageSize -> {{1, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.95],
             Alignment -> {Left, Baseline}], 
           Item[
            Pane[
             Annotation[
              EventHandler[
               MouseAppearance[
                Mouseover["survived", 
                 Style[
                 "survived", FontColor -> 
                  RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
               If[
                 TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                 TypeSystem`NestedGrid`PackagePrivate`updateState[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                  All, "survived"}, 1]]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
               All, "survived"}, "ColumnHeader", True], "Mouse"], 
             ImageSize -> {{1, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.95],
             Alignment -> {Left, Baseline}], 
           Item[
            Pane[
             Annotation[
              EventHandler[
               MouseAppearance[
                Mouseover["cabinclass", 
                 Style[
                 "cabinclass", FontColor -> 
                  RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
               If[
                 TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                 TypeSystem`NestedGrid`PackagePrivate`updateState[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                  All, "cabinclass"}, 1]]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
               All, "cabinclass"}, "ColumnHeader", True], "Mouse"], 
             ImageSize -> {{1, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.95],
             Alignment -> {Left, Baseline}], 
           Item[
            Pane[
             Annotation[
              EventHandler[
               MouseAppearance[
                Mouseover["squarefeet", 
                 Style[
                 "squarefeet", FontColor -> 
                  RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
               If[
                 TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                 TypeSystem`NestedGrid`PackagePrivate`updateState[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                  All, "squarefeet"}, 1]]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
               All, "squarefeet"}, "ColumnHeader", True], "Mouse"], 
             ImageSize -> {{1, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.95],
             Alignment -> {Left, Baseline}], 
           Item[
            Pane[
             Annotation[
              EventHandler[
               MouseAppearance[
                Mouseover["window", 
                 Style[
                 "window", FontColor -> 
                  RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
               If[
                 TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                 TypeSystem`NestedGrid`PackagePrivate`updateState[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                  All, "window"}, 1]]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
               All, "window"}, "ColumnHeader", True], "Mouse"], 
             ImageSize -> {{1, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.95],
             Alignment -> {Left, Baseline}], 
           Item[
            Pane[
             Annotation[
              EventHandler[
               MouseAppearance[
                Mouseover["decklocations", 
                 Style[
                 "decklocations", FontColor -> 
                  RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
               If[
                 TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                 TypeSystem`NestedGrid`PackagePrivate`updateState[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                  All, "decklocations"}, 1]]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
               All, "decklocations"}, "ColumnHeader", True], "Mouse"], 
             ImageSize -> {{1, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.95],
             Alignment -> {Left, Baseline}]}, {
           Item[
            Pane[
             Annotation[
              RawBoxes["65"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{1, 
                Key["age"]}, "Item", False], "Mouse"], 
             ImageSize -> {{34, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation["male", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{1, 
                Key["sex"]}, "Item", False], "Mouse"], 
             ImageSize -> {{63., Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["False"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{1, 
                Key["survived"]}, "Item", False], "Mouse"], 
             ImageSize -> {{36, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation["1st", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{1, 
                Key["cabinclass"]}, "Item", False], "Mouse"], 
             ImageSize -> {{31.5, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["300"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{1, 
                Key["squarefeet"]}, "Item", False], "Mouse"], 
             ImageSize -> {{34, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["True"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{1, 
                Key["window"]}, "Item", False], "Mouse"], 
             ImageSize -> {{36, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              EventHandler[
               MouseAppearance[
                Mouseover[
                 Style[{1, 2}, ShowStringCharacters -> False], 
                 Style[
                  Style[{1, 2}, ShowStringCharacters -> False], FontColor -> 
                  RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
               If[
                 TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                 TypeSystem`NestedGrid`PackagePrivate`updateState[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{1, 
                   Key["decklocations"]}, 4]]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{1, 
                Key["decklocations"]}, "Item", False], "Mouse"], 
             ImageMargins -> {{5, 3}, {4, 5}}]]}, {
           Item[
            Pane[
             Annotation[
              RawBoxes["16"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{2, 
                Key["age"]}, "Item", False], "Mouse"], 
             ImageSize -> {{34, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation["female", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{2, 
                Key["sex"]}, "Item", False], "Mouse"], 
             ImageSize -> {{63., Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["True"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{2, 
                Key["survived"]}, "Item", False], "Mouse"], 
             ImageSize -> {{36, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation["3rd", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{2, 
                Key["cabinclass"]}, "Item", False], "Mouse"], 
             ImageSize -> {{31.5, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["100"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{2, 
                Key["squarefeet"]}, "Item", False], "Mouse"], 
             ImageSize -> {{34, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["False"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{2, 
                Key["window"]}, "Item", False], "Mouse"], 
             ImageSize -> {{36, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              EventHandler[
               MouseAppearance[
                Mouseover[
                 Style[{4, 5, 6}, ShowStringCharacters -> False], 
                 Style[
                  Style[{4, 5, 6}, ShowStringCharacters -> False], FontColor -> 
                  RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
               If[
                 TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                 TypeSystem`NestedGrid`PackagePrivate`updateState[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{2, 
                   Key["decklocations"]}, 4]]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{2, 
                Key["decklocations"]}, "Item", False], "Mouse"], 
             ImageMargins -> {{5, 3}, {4, 5}}]]}, {
           Item[
            Pane[
             Annotation[
              RawBoxes["2"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{3, 
                Key["age"]}, "Item", False], "Mouse"], 
             ImageSize -> {{34, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation["female", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{3, 
                Key["sex"]}, "Item", False], "Mouse"], 
             ImageSize -> {{63., Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["False"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{3, 
                Key["survived"]}, "Item", False], "Mouse"], 
             ImageSize -> {{36, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation["3rd", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{3, 
                Key["cabinclass"]}, "Item", False], "Mouse"], 
             ImageSize -> {{31.5, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["100"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{3, 
                Key["squarefeet"]}, "Item", False], "Mouse"], 
             ImageSize -> {{34, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["False"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{3, 
                Key["window"]}, "Item", False], "Mouse"], 
             ImageSize -> {{36, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              EventHandler[
               MouseAppearance[
                Mouseover[
                 Style[{4, 5, 6}, ShowStringCharacters -> False], 
                 Style[
                  Style[{4, 5, 6}, ShowStringCharacters -> False], FontColor -> 
                  RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
               If[
                 TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                 TypeSystem`NestedGrid`PackagePrivate`updateState[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{3, 
                   Key["decklocations"]}, 4]]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{3, 
                Key["decklocations"]}, "Item", False], "Mouse"], 
             ImageMargins -> {{5, 3}, {4, 5}}]]}, {
           Item[
            Pane[
             Annotation[
              Style["\[LongDash]", 
               GrayLevel[0.75]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{4, 
                Key["age"]}, "Item", False], "Mouse"], 
             ImageSize -> {{34, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation["female", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{4, 
                Key["sex"]}, "Item", False], "Mouse"], 
             ImageSize -> {{63., Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["True"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{4, 
                Key["survived"]}, "Item", False], "Mouse"], 
             ImageSize -> {{36, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation["3rd", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{4, 
                Key["cabinclass"]}, "Item", False], "Mouse"], 
             ImageSize -> {{31.5, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["100"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{4, 
                Key["squarefeet"]}, "Item", False], "Mouse"], 
             ImageSize -> {{34, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["False"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{4, 
                Key["window"]}, "Item", False], "Mouse"], 
             ImageSize -> {{36, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              EventHandler[
               MouseAppearance[
                Mouseover[
                 Style[{4, 5, 6}, ShowStringCharacters -> False], 
                 Style[
                  Style[{4, 5, 6}, ShowStringCharacters -> False], FontColor -> 
                  RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
               If[
                 TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                 TypeSystem`NestedGrid`PackagePrivate`updateState[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{4, 
                   Key["decklocations"]}, 4]]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{4, 
                Key["decklocations"]}, "Item", False], "Mouse"], 
             ImageMargins -> {{5, 3}, {4, 5}}]]}, {
           Item[
            Pane[
             Annotation[
              RawBoxes["18"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{5, 
                Key["age"]}, "Item", False], "Mouse"], 
             ImageSize -> {{34, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation["female", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{5, 
                Key["sex"]}, "Item", False], "Mouse"], 
             ImageSize -> {{63., Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["False"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{5, 
                Key["survived"]}, "Item", False], "Mouse"], 
             ImageSize -> {{36, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation["3rd", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{5, 
                Key["cabinclass"]}, "Item", False], "Mouse"], 
             ImageSize -> {{31.5, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["100"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{5, 
                Key["squarefeet"]}, "Item", False], "Mouse"], 
             ImageSize -> {{34, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["False"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{5, 
                Key["window"]}, "Item", False], "Mouse"], 
             ImageSize -> {{36, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              EventHandler[
               MouseAppearance[
                Mouseover[
                 Style[{4, 5, 6}, ShowStringCharacters -> False], 
                 Style[
                  Style[{4, 5, 6}, ShowStringCharacters -> False], FontColor -> 
                  RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
               If[
                 TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                 TypeSystem`NestedGrid`PackagePrivate`updateState[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{5, 
                   Key["decklocations"]}, 4]]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{5, 
                Key["decklocations"]}, "Item", False], "Mouse"], 
             ImageMargins -> {{5, 3}, {4, 5}}]]}}, 
         BaseStyle -> {
          ContextMenu -> 
           Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
             Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
               TypeSystem`NestedGrid`PackagePrivate`localHold[
                TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
               TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
               TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
               TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
               TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
               TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                  
                  With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                   Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
           "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
         All, FrameStyle -> GrayLevel[0.7490196078431373], Spacings -> {0, 0},
          Alignment -> Left, 
         BaseStyle -> {
          FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
           Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
        False, ShowAutoStyles -> False]], 
     TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
    Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
     TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
        Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
        Module[{
         TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
          TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
          TypeSystem`NestedGrid`PackagePrivate`datasetData[
           TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
         TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
            FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
            TypeSystem`NestedGrid`PackagePrivate`renderGrid[
            TypeSystem`NestedGrid`PackagePrivate`$state$$, 
             TypeSystem`NestedGrid`PackagePrivate`$path$$, 
             TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
             TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
             TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
             TypeSystem`NestedGrid`PackagePrivate`localHold[
             TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
            TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
           Not[
            FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
           TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
           TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
      TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
      TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
        FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
        TypeSystem`SparseGrid[
         TypeSystem`H["(data no longer present)"]], 
        TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
     TrackedSymbols :> {
      TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
    DynamicModuleValues :> {}], 
   TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
    TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
     TypeSystem`PackageScope`SubViewPathbar[
     TypeSystem`NestedGrid`PackagePrivate`$path$$, 
      TypeSystem`NestedGrid`PackagePrivate`updateState[
      TypeSystem`NestedGrid`PackagePrivate`$state$$, 
       TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
       TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
       TypeSystem`NestedGrid`PackagePrivate`localHold[
       TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
    TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
   TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
    Framed[
     Dynamic[
      Replace[
      TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
       TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
          Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
          Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
           Blank[]], 
          Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
           Blank[]], 
          Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
           Blank[]]] :> (
         Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
         TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
          TypeSystem`NestedGrid`PackagePrivate`path$; 
         TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
          TypeSystem`NestedGrid`PackagePrivate`pathType$; 
         TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
          TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
         TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
          TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
         TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
          TypeSystem`NestedGrid`PackagePrivate`path$, 
           TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
        Spacer[10], Blank[] :> Spacer[10]}], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
     None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
     ImageSize -> {Automatic, 15}], FontSize -> 1], 
   TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
   DynamicWrapperBox[
    DynamicBox[ToBoxes[
      Dataset`DatasetContent[
      2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], "Grid" -> 
       Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
       Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
       Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
       Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
       Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
       Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
       Hold[
         TypeSystem`NestedGrid`PackagePrivate`localHold[
         TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
     ImageSizeCache->{458., {86.8837890625, 94.1162109375}},
     TrackedSymbols:>{
      TypeSystem`NestedGrid`PackagePrivate`$state$$, 
       TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = MouseAnnotation[],
    ImageSizeCache->{458., {86.8837890625, 94.1162109375}}],
   BaseStyle->{LineBreakWithin -> False},
   DynamicModuleValues:>{},
   Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
    CreateUUID[]),
   UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
  {<|"age" -> 65, "sex" -> "male", "survived" -> False, "cabinclass" -> "1st",
     "squarefeet" -> 300, "window" -> True, "decklocations" -> {1, 2}|>, <|
   "age" -> 16, "sex" -> "female", "survived" -> True, "cabinclass" -> "3rd", 
    "squarefeet" -> 100, "window" -> False, "decklocations" -> {4, 5, 6}|>, <|
   "age" -> 2, "sex" -> "female", "survived" -> False, "cabinclass" -> "3rd", 
    "squarefeet" -> 100, "window" -> False, "decklocations" -> {4, 5, 6}|>, <|
   "age" -> Missing[], "sex" -> "female", "survived" -> True, "cabinclass" -> 
    "3rd", "squarefeet" -> 100, "window" -> False, 
    "decklocations" -> {4, 5, 6}|>, <|
   "age" -> 18, "sex" -> "female", "survived" -> False, "cabinclass" -> "3rd",
     "squarefeet" -> 100, "window" -> False, 
    "decklocations" -> {4, 5, 6}|>}]], "Output",
 CellChangeTimes->{{3.858255166169298*^9, 3.85825519549498*^9}, 
   3.881419645325411*^9},
 CellLabel->"Out[279]=",
 CellID->933064975,ExpressionUUID->"3e3c06d2-a979-41f4-949f-4ae2a0a37811"]
}, Open  ]],

Cell[TextData[{
 "A second method would be to change the name of the column in one of the \
datasets so that it precisely matched that of the corresponding column in the \
other dataset. One can then use a simple form of ",
 ButtonBox["JoinAcross",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/JoinAcross.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/JoinAcross.html"],
 ", specifying the now common key name as the joining column."
}], "Text",
 CellChangeTimes->{{3.858255235870656*^9, 3.858255289686994*^9}, {
  3.858255347572913*^9, 3.8582554011795273`*^9}, {3.8582561943456593`*^9, 
  3.858256201259828*^9}},
 CellID->877802713,ExpressionUUID->"396342c7-d084-486c-9ee6-9e0eed3c4b77"],

Cell[TextData[{
 StyleBox["Map", "InlineCode"],
 " the ",
 ButtonBox["KeyReplace",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
KeyReplace"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/\
KeyReplace"],
 " function over the dinghy data so that the key ",
 Cell[BoxData[
 "\"\<class\>\""], "InlineCode",ExpressionUUID->
  "53a34134-00f7-41f9-8983-8dcf7ab8a0cb"],
 " is turned into ",
 Cell[BoxData[
 "\"\<cabinclass\>\""], "InlineCode",ExpressionUUID->
  "398eb8b0-6a9f-45e1-914c-6ccd66020184"],
 ". Then use ",
 ButtonBox["JoinAcross",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/JoinAcross.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/JoinAcross.html"],
 " with the common ",
 Cell[BoxData[
 "\"\<cabinclass\>\""], "InlineCode",ExpressionUUID->
  "69e6ce1a-42b9-4ed6-bd6b-0eb5c5986eb8"],
 " key to join the two related pieces of data together:"
}], "CodeCaption",
 CellChangeTimes->{{3.8582554048554573`*^9, 3.858255480930159*^9}, 
   3.858256211681727*^9, {3.866556709885757*^9, 3.866556711950594*^9}, {
   3.866556754701026*^9, 3.866556767609434*^9}, {3.869918327752433*^9, 
   3.869918344331128*^9}, 3.895815607796809*^9},
 CellTags->"i:46",
 CellID->759883930,ExpressionUUID->"76542b25-227c-4835-a066-7f2cd6820858"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  InterpretationBox[
   TagBox[
    DynamicModuleBox[{Typeset`open = False}, 
     FrameBox[
      PaneSelectorBox[{False->GridBox[{
         {
          PaneBox[GridBox[{
             {
              StyleBox[
               StyleBox[
                AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                 BoxBaselineShift->-0.25,
                 BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                
                FontColor->RGBColor[
                 0.8745098039215686, 0.2784313725490196, 0.03137254901960784]],
               ShowStringCharacters->False,
               FontFamily->"Source Sans Pro Black",
               FontSize->0.6538461538461539 Inherited,
               FontWeight->"Heavy",
               PrivateFontOptions->{"OperatorSubstitution"->False}], 
              StyleBox[
               RowBox[{
                StyleBox["DatasetForm", "ResourceFunctionLabel"], " "}],
               ShowAutoStyles->False,
               ShowStringCharacters->False,
               FontSize->Rational[12, 13] Inherited,
               FontColor->GrayLevel[0.1]]}
            },
            GridBoxSpacings->{"Columns" -> {{0.25}}}],
           Alignment->Left,
           BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
           BaselinePosition->Baseline,
           FrameMargins->{{3, 0}, {0, 0}}], 
          ItemBox[
           PaneBox[
            TogglerBox[Dynamic[Typeset`open], {True->
             
             DynamicBox[FEPrivate`FrontEndResource[
              "FEBitmaps", "IconizeCloser"],
              ImageSizeCache->{11., {2., 9.}}], False->
             
             DynamicBox[FEPrivate`FrontEndResource[
              "FEBitmaps", "IconizeOpener"],
              ImageSizeCache->{11., {2., 9.}}]},
             Appearance->None,
             BaselinePosition->Baseline,
             ContentPadding->False,
             FrameMargins->0],
            Alignment->Left,
            BaselinePosition->Baseline,
            FrameMargins->{{1, 1}, {0, 0}}],
           Frame->{{
              RGBColor[
              0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
               0.5], False}, {False, False}}]}
        },
        BaselinePosition->{1, 1},
        GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
        GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
        GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
       GridBox[{
         {GridBox[{
            {
             PaneBox[GridBox[{
                {
                 StyleBox[
                  StyleBox[
                   AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                   
                   FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                  ShowStringCharacters->False,
                  FontFamily->"Source Sans Pro Black",
                  FontSize->0.6538461538461539 Inherited,
                  FontWeight->"Heavy",
                  PrivateFontOptions->{"OperatorSubstitution"->False}], 
                 StyleBox[
                  RowBox[{
                   StyleBox["DatasetForm", "ResourceFunctionLabel"], " "}],
                  ShowAutoStyles->False,
                  ShowStringCharacters->False,
                  FontSize->Rational[12, 13] Inherited,
                  FontColor->GrayLevel[0.1]]}
               },
               GridBoxSpacings->{"Columns" -> {{0.25}}}],
              Alignment->Left,
              BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
              BaselinePosition->Baseline,
              FrameMargins->{{3, 0}, {0, 0}}], 
             ItemBox[
              PaneBox[
               TogglerBox[Dynamic[Typeset`open], {True->
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "IconizeCloser"]], False->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "IconizeOpener"]]},
                Appearance->None,
                BaselinePosition->Baseline,
                ContentPadding->False,
                FrameMargins->0],
               Alignment->Left,
               BaselinePosition->Baseline,
               FrameMargins->{{1, 1}, {0, 0}}],
              Frame->{{
                 RGBColor[
                 0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                  0.5], False}, {False, False}}]}
           },
           BaselinePosition->{1, 1},
           GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
           
           GridBoxItemSize->{
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
           GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
         {
          StyleBox[
           PaneBox[GridBox[{
              {
               RowBox[{
                TagBox["\<\"Version (latest): \"\>",
                 "IconizedLabel"], " ", 
                TagBox["\<\"1.0.0\"\>",
                 "IconizedItem"]}]},
              {
               TagBox[
                
                TemplateBox[{
                 "\"Documentation \[RightGuillemet]\"", 
                  "https://resources.wolframcloud.com/FunctionRepository/\
resources/a2034fb9-e46f-4b36-ac04-a3ea684b9d1e/"},
                 "HyperlinkURL"],
                "IconizedItem"]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
            Alignment->Left,
            BaselinePosition->Baseline,
            FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
           FontFamily->"Roboto",
           FontSize->11]}
        },
        BaselinePosition->{1, 1},
        GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
        GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
             GrayLevel[0.8]}, False}},
        GridBoxItemSize->{
         "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
       Typeset`open],
       BaselinePosition->Baseline,
       ImageSize->Automatic],
      Background->RGBColor[
       0.9686274509803922, 0.9764705882352941, 0.984313725490196],
      BaselinePosition->Baseline,
      DefaultBaseStyle->{},
      FrameMargins->{{0, 0}, {1, 0}},
      FrameStyle->RGBColor[
       0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
      RoundingRadius->4]],
    {"FunctionResourceBox", 
     RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
     "DatasetForm"},
    TagBoxNote->"FunctionResourceBox"],
   ResourceFunction[
    ResourceObject[<|
     "Name" -> "DatasetForm", "ShortName" -> "DatasetForm", "UUID" -> 
      "a2034fb9-e46f-4b36-ac04-a3ea684b9d1e", "ResourceType" -> "Function", 
      "Version" -> "1.0.0", "Description" -> 
      "Display data formatted like a dataset", "RepositoryLocation" -> 
      URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
      "SymbolName" -> 
      "FunctionRepository`$9011b47ab6d048f099e90511f6c24686`DatasetForm", 
      "FunctionLocation" -> 
      CloudObject[
       "https://www.wolframcloud.com/obj/d6b6cd3f-340f-4c5a-91b5-\
d391d60da0b9"]|>, {
     ResourceSystemBase -> 
      "https://www.wolframcloud.com/obj/resourcesystem/api/1.0"}]],
   Selectable->False], "[", 
  RowBox[{"JoinAcross", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Map", "[", 
      RowBox[{
       InterpretationBox[
        TagBox[
         DynamicModuleBox[{Typeset`open = False}, 
          FrameBox[
           PaneSelectorBox[{False->GridBox[{
              {
               PaneBox[GridBox[{
                  {
                   StyleBox[
                    StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                    ShowStringCharacters->False,
                    FontFamily->"Source Sans Pro Black",
                    FontSize->0.6538461538461539 Inherited,
                    FontWeight->"Heavy",
                    PrivateFontOptions->{"OperatorSubstitution"->False}], 
                   StyleBox[
                    RowBox[{
                    StyleBox["KeyReplace", "ResourceFunctionLabel"], " "}],
                    ShowAutoStyles->False,
                    ShowStringCharacters->False,
                    FontSize->Rational[12, 13] Inherited,
                    FontColor->GrayLevel[0.1]]}
                 },
                 GridBoxSpacings->{"Columns" -> {{0.25}}}],
                Alignment->Left,
                BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
                BaselinePosition->Baseline,
                FrameMargins->{{3, 0}, {0, 0}}], 
               ItemBox[
                PaneBox[
                 TogglerBox[Dynamic[Typeset`open], {True->
                  
                  DynamicBox[FEPrivate`FrontEndResource[
                   "FEBitmaps", "IconizeCloser"],
                   ImageSizeCache->{11., {2., 9.}}], False->
                  
                  DynamicBox[FEPrivate`FrontEndResource[
                   "FEBitmaps", "IconizeOpener"],
                   ImageSizeCache->{11., {2., 9.}}]},
                  Appearance->None,
                  BaselinePosition->Baseline,
                  ContentPadding->False,
                  FrameMargins->0],
                 Alignment->Left,
                 BaselinePosition->Baseline,
                 FrameMargins->{{1, 1}, {0, 0}}],
                Frame->{{
                   RGBColor[
                   0.8313725490196079, 0.8470588235294118, 0.8509803921568627,
                     0.5], False}, {False, False}}]}
             },
             BaselinePosition->{1, 1},
             GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
            GridBox[{
              {GridBox[{
                 {
                  PaneBox[GridBox[{
                    {
                    StyleBox[
                    StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                    ShowStringCharacters->False,
                    FontFamily->"Source Sans Pro Black",
                    FontSize->0.6538461538461539 Inherited,
                    FontWeight->"Heavy",
                    PrivateFontOptions->{"OperatorSubstitution"->False}], 
                    StyleBox[
                    RowBox[{
                    StyleBox["KeyReplace", "ResourceFunctionLabel"], " "}],
                    ShowAutoStyles->False,
                    ShowStringCharacters->False,
                    FontSize->Rational[12, 13] Inherited,
                    FontColor->GrayLevel[0.1]]}
                    },
                    GridBoxSpacings->{"Columns" -> {{0.25}}}],
                   Alignment->Left,
                   
                   BaseStyle->{
                    LineSpacing -> {0, 0}, LineBreakWithin -> False},
                   BaselinePosition->Baseline,
                   FrameMargins->{{3, 0}, {0, 0}}], 
                  ItemBox[
                   PaneBox[
                    TogglerBox[Dynamic[Typeset`open], {True->
                    
                    DynamicBox[FEPrivate`FrontEndResource[
                    "FEBitmaps", "IconizeCloser"]], False->
                    
                    DynamicBox[FEPrivate`FrontEndResource[
                    "FEBitmaps", "IconizeOpener"]]},
                    Appearance->None,
                    BaselinePosition->Baseline,
                    ContentPadding->False,
                    FrameMargins->0],
                    Alignment->Left,
                    BaselinePosition->Baseline,
                    FrameMargins->{{1, 1}, {0, 0}}],
                   Frame->{{
                    RGBColor[
                    0.8313725490196079, 0.8470588235294118, 
                    0.8509803921568627, 0.5], False}, {False, False}}]}
                },
                BaselinePosition->{1, 1},
                
                GridBoxAlignment->{
                 "Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
                
                GridBoxItemSize->{
                 "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
                GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
              {
               StyleBox[
                PaneBox[GridBox[{
                   {
                    RowBox[{
                    TagBox["\<\"Version (latest): \"\>",
                    "IconizedLabel"], " ", 
                    TagBox["\<\"1.0.0\"\>",
                    "IconizedItem"]}]},
                   {
                    TagBox[
                    
                    TemplateBox[{
                    "\"Documentation \[RightGuillemet]\"", 
                    "https://resources.wolframcloud.com/FunctionRepository/\
resources/KeyReplace"},
                    "HyperlinkURL"],
                    "IconizedItem"]}
                  },
                  DefaultBaseStyle->"Column",
                  GridBoxAlignment->{"Columns" -> {{Left}}},
                  
                  GridBoxItemSize->{
                   "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
                 Alignment->Left,
                 BaselinePosition->Baseline,
                 FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
                FontFamily->"Roboto",
                FontSize->11]}
             },
             BaselinePosition->{1, 1},
             GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
             GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
                  GrayLevel[0.8]}, False}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
            Typeset`open],
            BaselinePosition->Baseline,
            ImageSize->Automatic],
           
           Background->RGBColor[
            0.9686274509803922, 0.9764705882352941, 0.984313725490196],
           BaselinePosition->Baseline,
           DefaultBaseStyle->{},
           FrameMargins->{{0, 0}, {1, 0}},
           
           FrameStyle->RGBColor[
            0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
           RoundingRadius->4]],
         {"FunctionResourceBox", 
          RGBColor[
          0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
          "KeyReplace"},
         TagBoxNote->"FunctionResourceBox"],
        ResourceFunction[
         ResourceObject[<|
          "Name" -> "KeyReplace", "ShortName" -> "KeyReplace", "UUID" -> 
           "f08fa72b-f05b-4d12-b1c4-1e140d332123", "ResourceType" -> 
           "Function", "Version" -> "1.0.0", "Description" -> 
           "Replace keys in an association", "RepositoryLocation" -> 
           URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
           "SymbolName" -> 
           "FunctionRepository`$b7fbb364305d4f709d93d157687413d0`KeyReplace", 
           "FunctionLocation" -> 
           CloudObject[
            "https://www.wolframcloud.com/objects/ecc10687-b693-4282-9255-\
14e8bb591c2d"]|>, ResourceSystemBase -> Automatic]],
        Selectable->False], "[", 
       RowBox[{"\"\<class\>\"", "\[Rule]", "\"\<cabinclass\>\""}], "]"}], 
      "]"}], "[", "dinghy", "]"}], ",", "titanicCabins2", ",", 
    "\"\<cabinclass\>\""}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.858255299735731*^9, 3.858255341418873*^9}},
 CellLabel->"In[280]:=",
 CellID->283007184,ExpressionUUID->"7df76156-0260-43ea-8745-b7fe50644593"],

Cell[BoxData[
 InterpretationBox[
  DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
   "InitialData" -> {<|
      "cabinclass" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> 
       False, "squarefeet" -> 300, "window" -> True, 
       "decklocations" -> {1, 2}|>, <|
      "cabinclass" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
       True, "squarefeet" -> 100, "window" -> False, 
       "decklocations" -> {4, 5, 6}|>, <|
      "cabinclass" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
       False, "squarefeet" -> 100, "window" -> False, 
       "decklocations" -> {4, 5, 6}|>, <|
      "cabinclass" -> "3rd", "age" -> Missing[], "sex" -> "female", 
       "survived" -> True, "squarefeet" -> 100, "window" -> False, 
       "decklocations" -> {4, 5, 6}|>, <|
      "cabinclass" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
       False, "squarefeet" -> 100, "window" -> False, 
       "decklocations" -> {4, 5, 6}|>}, "AllowEmbedding" -> True, 
    "InitialShape" -> 
    TypeSystem`PackageScope`HeaderShape[<|{All, "cabinclass"} -> 
       1, {All, "age"} -> 1, {All, "sex"} -> 1, {All, "survived"} -> 
       1, {All, "squarefeet"} -> 1, {All, "window"} -> 
       1, {All, "decklocations"} -> 1|>, 
      TypeSystem`PackageScope`Limited[
       TypeSystem`PackageScope`ColumnShape[
        TypeSystem`PackageScope`Limited[
         TypeSystem`PackageScope`RowShape[<|
          "cabinclass" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
           TypeSystem`PackageScope`AtomShape[34], "sex" -> 
           TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
           TypeSystem`PackageScope`AtomShape[36], "squarefeet" -> 
           TypeSystem`PackageScope`AtomShape[34], "window" -> 
           TypeSystem`PackageScope`AtomShape[36], "decklocations" -> 
           TypeSystem`PackageScope`UnknownShape[False]|>], 
         DirectedInfinity[1], 7, {All}]], 5, 
       DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
      TypeSystem`Struct[{
       "cabinclass", "age", "sex", "survived", "squarefeet", "window", 
        "decklocations"}, {
        TypeSystem`Atom[
         TypeSystem`Enumeration["1st", "3rd"]], 
        TypeSystem`Atom[Integer], 
        TypeSystem`Atom[
         TypeSystem`Enumeration["female", "male"]], 
        TypeSystem`Atom[TypeSystem`Boolean], 
        TypeSystem`Atom[Integer], 
        TypeSystem`Atom[TypeSystem`Boolean], 
        TypeSystem`Vector[
         TypeSystem`Atom[Integer], TypeSystem`AnyLength]}], 5], 
    "Meta" -> <||>, "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
    TypeSystem`PackageScope`HeaderShape[<|{All, "cabinclass"} -> 
       1, {All, "age"} -> 1, {All, "sex"} -> 1, {All, "survived"} -> 
       1, {All, "squarefeet"} -> 1, {All, "window"} -> 
       1, {All, "decklocations"} -> 1|>, 
      TypeSystem`PackageScope`Limited[
       TypeSystem`PackageScope`ColumnShape[
        TypeSystem`PackageScope`Limited[
         TypeSystem`PackageScope`RowShape[<|
          "cabinclass" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
           TypeSystem`PackageScope`AtomShape[34], "sex" -> 
           TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
           TypeSystem`PackageScope`AtomShape[36], "squarefeet" -> 
           TypeSystem`PackageScope`AtomShape[34], "window" -> 
           TypeSystem`PackageScope`AtomShape[36], "decklocations" -> 
           TypeSystem`PackageScope`UnknownShape[False]|>], 
         DirectedInfinity[1], 7, {All}]], 5, 
       DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
      TypeSystem`Struct[{
       "cabinclass", "age", "sex", "survived", "squarefeet", "window", 
        "decklocations"}, {
        TypeSystem`Atom[
         TypeSystem`Enumeration["1st", "3rd"]], 
        TypeSystem`Atom[Integer], 
        TypeSystem`Atom[
         TypeSystem`Enumeration["female", "male"]], 
        TypeSystem`Atom[TypeSystem`Boolean], 
        TypeSystem`Atom[Integer], 
        TypeSystem`Atom[TypeSystem`Boolean], 
        TypeSystem`Vector[
         TypeSystem`Atom[Integer], TypeSystem`AnyLength]}], 5], "Path" -> {}, 
    "DisplayedRowCount" -> 5, "DisplayedColumnCount" -> 7, "DataRowCount" -> 
    5, "DataColumnCount" -> 7, "SortPaths" -> {}, "SortDirections" -> {}, 
    "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
   TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
   TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
   TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
   TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
   TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
   DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
       Style[
        Grid[{{
           Item[
            Pane[
             Annotation[
              EventHandler[
               MouseAppearance[
                Mouseover["cabinclass", 
                 Style[
                 "cabinclass", FontColor -> 
                  RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
               If[
                 TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                 TypeSystem`NestedGrid`PackagePrivate`updateState[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                  All, "cabinclass"}, 1]]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
               All, "cabinclass"}, "ColumnHeader", True], "Mouse"], 
             ImageSize -> {{1, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.95],
             Alignment -> {Left, Baseline}], 
           Item[
            Pane[
             Annotation[
              EventHandler[
               MouseAppearance[
                Mouseover["age", 
                 Style[
                 "age", FontColor -> 
                  RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
               If[
                 TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                 TypeSystem`NestedGrid`PackagePrivate`updateState[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                  All, "age"}, 1]]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
               All, "age"}, "ColumnHeader", True], "Mouse"], 
             ImageSize -> {{1, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.95],
             Alignment -> {Left, Baseline}], 
           Item[
            Pane[
             Annotation[
              EventHandler[
               MouseAppearance[
                Mouseover["sex", 
                 Style[
                 "sex", FontColor -> 
                  RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
               If[
                 TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                 TypeSystem`NestedGrid`PackagePrivate`updateState[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                  All, "sex"}, 1]]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
               All, "sex"}, "ColumnHeader", True], "Mouse"], 
             ImageSize -> {{1, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.95],
             Alignment -> {Left, Baseline}], 
           Item[
            Pane[
             Annotation[
              EventHandler[
               MouseAppearance[
                Mouseover["survived", 
                 Style[
                 "survived", FontColor -> 
                  RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
               If[
                 TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                 TypeSystem`NestedGrid`PackagePrivate`updateState[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                  All, "survived"}, 1]]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
               All, "survived"}, "ColumnHeader", True], "Mouse"], 
             ImageSize -> {{1, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.95],
             Alignment -> {Left, Baseline}], 
           Item[
            Pane[
             Annotation[
              EventHandler[
               MouseAppearance[
                Mouseover["squarefeet", 
                 Style[
                 "squarefeet", FontColor -> 
                  RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
               If[
                 TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                 TypeSystem`NestedGrid`PackagePrivate`updateState[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                  All, "squarefeet"}, 1]]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
               All, "squarefeet"}, "ColumnHeader", True], "Mouse"], 
             ImageSize -> {{1, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.95],
             Alignment -> {Left, Baseline}], 
           Item[
            Pane[
             Annotation[
              EventHandler[
               MouseAppearance[
                Mouseover["window", 
                 Style[
                 "window", FontColor -> 
                  RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
               If[
                 TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                 TypeSystem`NestedGrid`PackagePrivate`updateState[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                  All, "window"}, 1]]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
               All, "window"}, "ColumnHeader", True], "Mouse"], 
             ImageSize -> {{1, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.95],
             Alignment -> {Left, Baseline}], 
           Item[
            Pane[
             Annotation[
              EventHandler[
               MouseAppearance[
                Mouseover["decklocations", 
                 Style[
                 "decklocations", FontColor -> 
                  RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
               If[
                 TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                 TypeSystem`NestedGrid`PackagePrivate`updateState[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                  All, "decklocations"}, 1]]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
               All, "decklocations"}, "ColumnHeader", True], "Mouse"], 
             ImageSize -> {{1, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.95],
             Alignment -> {Left, Baseline}]}, {
           Item[
            Pane[
             Annotation["1st", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{1, 
                Key["cabinclass"]}, "Item", False], "Mouse"], 
             ImageSize -> {{31.5, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["65"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{1, 
                Key["age"]}, "Item", False], "Mouse"], 
             ImageSize -> {{34, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation["male", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{1, 
                Key["sex"]}, "Item", False], "Mouse"], 
             ImageSize -> {{63., Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["False"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{1, 
                Key["survived"]}, "Item", False], "Mouse"], 
             ImageSize -> {{36, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["300"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{1, 
                Key["squarefeet"]}, "Item", False], "Mouse"], 
             ImageSize -> {{34, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["True"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{1, 
                Key["window"]}, "Item", False], "Mouse"], 
             ImageSize -> {{36, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              EventHandler[
               MouseAppearance[
                Mouseover[
                 Style[{1, 2}, ShowStringCharacters -> False], 
                 Style[
                  Style[{1, 2}, ShowStringCharacters -> False], FontColor -> 
                  RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
               If[
                 TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                 TypeSystem`NestedGrid`PackagePrivate`updateState[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{1, 
                   Key["decklocations"]}, 4]]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{1, 
                Key["decklocations"]}, "Item", False], "Mouse"], 
             ImageMargins -> {{5, 3}, {4, 5}}]]}, {
           Item[
            Pane[
             Annotation["3rd", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{2, 
                Key["cabinclass"]}, "Item", False], "Mouse"], 
             ImageSize -> {{31.5, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["16"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{2, 
                Key["age"]}, "Item", False], "Mouse"], 
             ImageSize -> {{34, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation["female", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{2, 
                Key["sex"]}, "Item", False], "Mouse"], 
             ImageSize -> {{63., Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["True"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{2, 
                Key["survived"]}, "Item", False], "Mouse"], 
             ImageSize -> {{36, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["100"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{2, 
                Key["squarefeet"]}, "Item", False], "Mouse"], 
             ImageSize -> {{34, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["False"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{2, 
                Key["window"]}, "Item", False], "Mouse"], 
             ImageSize -> {{36, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              EventHandler[
               MouseAppearance[
                Mouseover[
                 Style[{4, 5, 6}, ShowStringCharacters -> False], 
                 Style[
                  Style[{4, 5, 6}, ShowStringCharacters -> False], FontColor -> 
                  RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
               If[
                 TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                 TypeSystem`NestedGrid`PackagePrivate`updateState[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{2, 
                   Key["decklocations"]}, 4]]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{2, 
                Key["decklocations"]}, "Item", False], "Mouse"], 
             ImageMargins -> {{5, 3}, {4, 5}}]]}, {
           Item[
            Pane[
             Annotation["3rd", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{3, 
                Key["cabinclass"]}, "Item", False], "Mouse"], 
             ImageSize -> {{31.5, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["2"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{3, 
                Key["age"]}, "Item", False], "Mouse"], 
             ImageSize -> {{34, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation["female", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{3, 
                Key["sex"]}, "Item", False], "Mouse"], 
             ImageSize -> {{63., Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["False"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{3, 
                Key["survived"]}, "Item", False], "Mouse"], 
             ImageSize -> {{36, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["100"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{3, 
                Key["squarefeet"]}, "Item", False], "Mouse"], 
             ImageSize -> {{34, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["False"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{3, 
                Key["window"]}, "Item", False], "Mouse"], 
             ImageSize -> {{36, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              EventHandler[
               MouseAppearance[
                Mouseover[
                 Style[{4, 5, 6}, ShowStringCharacters -> False], 
                 Style[
                  Style[{4, 5, 6}, ShowStringCharacters -> False], FontColor -> 
                  RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
               If[
                 TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                 TypeSystem`NestedGrid`PackagePrivate`updateState[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{3, 
                   Key["decklocations"]}, 4]]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{3, 
                Key["decklocations"]}, "Item", False], "Mouse"], 
             ImageMargins -> {{5, 3}, {4, 5}}]]}, {
           Item[
            Pane[
             Annotation["3rd", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{4, 
                Key["cabinclass"]}, "Item", False], "Mouse"], 
             ImageSize -> {{31.5, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              Style["\[LongDash]", 
               GrayLevel[0.75]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{4, 
                Key["age"]}, "Item", False], "Mouse"], 
             ImageSize -> {{34, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation["female", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{4, 
                Key["sex"]}, "Item", False], "Mouse"], 
             ImageSize -> {{63., Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["True"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{4, 
                Key["survived"]}, "Item", False], "Mouse"], 
             ImageSize -> {{36, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["100"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{4, 
                Key["squarefeet"]}, "Item", False], "Mouse"], 
             ImageSize -> {{34, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["False"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{4, 
                Key["window"]}, "Item", False], "Mouse"], 
             ImageSize -> {{36, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              EventHandler[
               MouseAppearance[
                Mouseover[
                 Style[{4, 5, 6}, ShowStringCharacters -> False], 
                 Style[
                  Style[{4, 5, 6}, ShowStringCharacters -> False], FontColor -> 
                  RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
               If[
                 TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                 TypeSystem`NestedGrid`PackagePrivate`updateState[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{4, 
                   Key["decklocations"]}, 4]]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{4, 
                Key["decklocations"]}, "Item", False], "Mouse"], 
             ImageMargins -> {{5, 3}, {4, 5}}]]}, {
           Item[
            Pane[
             Annotation["3rd", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{5, 
                Key["cabinclass"]}, "Item", False], "Mouse"], 
             ImageSize -> {{31.5, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["18"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{5, 
                Key["age"]}, "Item", False], "Mouse"], 
             ImageSize -> {{34, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation["female", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{5, 
                Key["sex"]}, "Item", False], "Mouse"], 
             ImageSize -> {{63., Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["False"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{5, 
                Key["survived"]}, "Item", False], "Mouse"], 
             ImageSize -> {{36, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["100"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{5, 
                Key["squarefeet"]}, "Item", False], "Mouse"], 
             ImageSize -> {{34, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["False"], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{5, 
                Key["window"]}, "Item", False], "Mouse"], 
             ImageSize -> {{36, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              EventHandler[
               MouseAppearance[
                Mouseover[
                 Style[{4, 5, 6}, ShowStringCharacters -> False], 
                 Style[
                  Style[{4, 5, 6}, ShowStringCharacters -> False], FontColor -> 
                  RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
               If[
                 TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                 TypeSystem`NestedGrid`PackagePrivate`updateState[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{5, 
                   Key["decklocations"]}, 4]]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{5, 
                Key["decklocations"]}, "Item", False], "Mouse"], 
             ImageMargins -> {{5, 3}, {4, 5}}]]}}, 
         BaseStyle -> {
          ContextMenu -> 
           Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
             Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
               TypeSystem`NestedGrid`PackagePrivate`localHold[
                TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
               TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
               TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
               TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
               TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
               TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                  
                  With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                   Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
           "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
         All, FrameStyle -> GrayLevel[0.7490196078431373], Spacings -> {0, 0},
          Alignment -> Left, 
         BaseStyle -> {
          FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
           Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
        False, ShowAutoStyles -> False]], 
     TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
    Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
     TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
        Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
        Module[{
         TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
          TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
          TypeSystem`NestedGrid`PackagePrivate`datasetData[
           TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
         TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
            FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
            TypeSystem`NestedGrid`PackagePrivate`renderGrid[
            TypeSystem`NestedGrid`PackagePrivate`$state$$, 
             TypeSystem`NestedGrid`PackagePrivate`$path$$, 
             TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
             TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
             TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
             TypeSystem`NestedGrid`PackagePrivate`localHold[
             TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
            TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
           Not[
            FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
           TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
           TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
      TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
      TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
        FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
        TypeSystem`SparseGrid[
         TypeSystem`H["(data no longer present)"]], 
        TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
     TrackedSymbols :> {
      TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
    DynamicModuleValues :> {}], 
   TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
    TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
     TypeSystem`PackageScope`SubViewPathbar[
     TypeSystem`NestedGrid`PackagePrivate`$path$$, 
      TypeSystem`NestedGrid`PackagePrivate`updateState[
      TypeSystem`NestedGrid`PackagePrivate`$state$$, 
       TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
       TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
       TypeSystem`NestedGrid`PackagePrivate`localHold[
       TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
    TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
   TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
    Framed[
     Dynamic[
      Replace[
      TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
       TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
          Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
          Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
           Blank[]], 
          Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
           Blank[]], 
          Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
           Blank[]]] :> (
         Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
         TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
          TypeSystem`NestedGrid`PackagePrivate`path$; 
         TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
          TypeSystem`NestedGrid`PackagePrivate`pathType$; 
         TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
          TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
         TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
          TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
         TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
          TypeSystem`NestedGrid`PackagePrivate`path$, 
           TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
        Spacer[10], Blank[] :> Spacer[10]}], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
     None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
     ImageSize -> {Automatic, 15}], FontSize -> 1], 
   TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
   DynamicWrapperBox[
    DynamicBox[ToBoxes[
      Dataset`DatasetContent[
      2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], "Grid" -> 
       Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
       Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
       Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
       Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
       Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
       Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
       Hold[
         TypeSystem`NestedGrid`PackagePrivate`localHold[
         TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
     ImageSizeCache->{458., {86.8837890625, 94.1162109375}},
     TrackedSymbols:>{
      TypeSystem`NestedGrid`PackagePrivate`$state$$, 
       TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = MouseAnnotation[],
    ImageSizeCache->{458., {86.8837890625, 94.1162109375}}],
   BaseStyle->{LineBreakWithin -> False},
   DynamicModuleValues:>{},
   Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
    CreateUUID[]),
   UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
  {<|"cabinclass" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> False,
     "squarefeet" -> 300, "window" -> True, "decklocations" -> {1, 2}|>, <|
   "cabinclass" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> True, 
    "squarefeet" -> 100, "window" -> False, "decklocations" -> {4, 5, 6}|>, <|
   "cabinclass" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> False, 
    "squarefeet" -> 100, "window" -> False, "decklocations" -> {4, 5, 6}|>, <|
   "cabinclass" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
    True, "squarefeet" -> 100, "window" -> False, 
    "decklocations" -> {4, 5, 6}|>, <|
   "cabinclass" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> False,
     "squarefeet" -> 100, "window" -> False, 
    "decklocations" -> {4, 5, 6}|>}]], "Output",
 CellChangeTimes->{{3.8582553336839533`*^9, 3.858255341756895*^9}, 
   3.8814196730748367`*^9},
 CellLabel->"Out[280]=",
 CellID->136957108,ExpressionUUID->"4c99d4c9-5d4e-4022-b838-593d6daaaa50"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Functional Programming Constructs Used on Associations", "Subsection",
 CellChangeTimes->{{3.742157772279398*^9, 3.742157786613247*^9}, {
  3.7421578393888493`*^9, 3.742157847472471*^9}, {3.769281686137322*^9, 
  3.769281695259102*^9}},
 CellID->141344902,ExpressionUUID->"a58a83e1-67a9-4aee-a4f1-ceb6e9d51825"],

Cell["\<\
Most of the functional programming constructs examined in a prior chapter for \
use on non-Association data work in a highly analogous fashion on \
Associations.\
\>", "Text",
 CellChangeTimes->{{3.7692816965049763`*^9, 3.7692817678137617`*^9}, {
  3.7755791119714813`*^9, 3.7755791131344814`*^9}, {3.857031432117282*^9, 
  3.8570314333000727`*^9}, {3.857229817012434*^9, 3.8572298231992283`*^9}, {
  3.8662778385642896`*^9, 3.866277844007064*^9}},
 CellID->1562681532,ExpressionUUID->"b5b3cad8-1199-4c0a-90f3-738ccbf8a74d"],

Cell[CellGroupData[{

Cell[TextData[StyleBox[ButtonBox["Map",
 BaseStyle->"Hyperlink",
 ButtonData->{
   URL["https://reference.wolfram.com/language/ref/Map.html"], None},
 ButtonNote->"https://reference.wolfram.com/language/ref/Map.html"],
 FontColor->RGBColor[
  0.9019607843137255, 0.4117647058823529, 
   0.027450980392156862`]]], "Subsubsection",
 CellID->1614944190,ExpressionUUID->"47647d0d-7a61-4f5c-a142-c80e417502e9"],

Cell[TextData[{
 "Various ",
 ButtonBox["Map",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Map.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Map.html"],
 " constructs that can work over non-atomic Wolfram Language expressions that \
are not Associations can also work on Associations. Suppose, for example, \
that one wished to take the ",
 Cell[BoxData[
 "CRC32"], "InlineCodeText",ExpressionUUID->
  "801dba77-29ad-4e1e-bfe3-4829f031dc6d"],
 " hash of every value in ",
 Cell[BoxData[
 "chingAssociation"], "InlineCodeText",ExpressionUUID->
  "019c1ae8-0223-489b-a21c-ee5cd821d9be"],
 ". (You don\[CloseCurlyQuote]t need to worry about exactly what this is; \
just assume it somehow turns expressions into strings.)"
}], "Text",
 CellTags->{"LastCellOfAPage", "i:47", "p: 85"},
 CellID->161877745,ExpressionUUID->"8fb8ca76-f927-4a09-a19e-bf957e81da8e"],

Cell["The keys are preserved and the values are hashed:", "CodeText",
 CellChangeTimes->{{3.739402174232935*^9, 3.739402274003104*^9}, {
  3.739440407021006*^9, 3.739440428675825*^9}, {3.7421578080436783`*^9, 
  3.742157825368903*^9}, {3.742157876172318*^9, 3.742157895805255*^9}, {
  3.742157943364854*^9, 3.742157950349121*^9}, {3.742163809801876*^9, 
  3.742163812059475*^9}, {3.742163843501671*^9, 3.7421638501997843`*^9}, {
  3.742476138808724*^9, 3.742476160946567*^9}, {3.745864539498431*^9, 
  3.7458645450094433`*^9}},
 CellID->357761409,ExpressionUUID->"2e9f9b02-5908-475b-a970-7971756ebf93"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"CRC32", "=", 
  RowBox[{
   RowBox[{"Hash", "[", 
    RowBox[{"#", ",", "\"\<CRC32\>\"", ",", "\"\<HexString\>\""}], "]"}], 
   "&"}]}]], "Input",
 CellChangeTimes->{{3.7421580692392273`*^9, 3.742158072839209*^9}, {
  3.742163852686367*^9, 3.7421638626018267`*^9}},
 CellLabel->"In[281]:=",
 CellID->1919246769,ExpressionUUID->"28221f8e-955b-4531-9de9-e95e3567d9c5"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Hash", "[", 
   RowBox[{"#1", ",", "\<\"CRC32\"\>", ",", "\<\"HexString\"\>"}], "]"}], 
  "&"}]], "Output",
 CellChangeTimes->{
  3.74215807359711*^9, {3.742163854673315*^9, 3.742163863102083*^9}, 
   3.7424762499284554`*^9, 3.769281924350789*^9, 3.7693322512548*^9, 
   3.76995512515691*^9, 3.7699552711391582`*^9, 3.771929804751049*^9, 
   3.881419681100123*^9},
 CellLabel->"Out[281]=",
 CellID->1540261091,ExpressionUUID->"d3f69a62-97ea-4f1f-b51e-89842842cf4d"]
}, Open  ]],

Cell[TextData[{
 ButtonBox["Map",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Map.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Map.html"],
 " works on the values of Associations:"
}], "CodeText",
 CellChangeTimes->{{3.769422177927227*^9, 3.7694221861124363`*^9}, 
   3.7758412032728815`*^9, 3.857229921874268*^9, {3.866556794392799*^9, 
   3.866556794584322*^9}},
 CellID->159588484,ExpressionUUID->"e4c85b11-2a51-44ed-93ac-a26dc8001bf3"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Map", "[", 
  RowBox[{"CRC32", ",", "chingAssociation"}], "]"}]], "Input",
 CellChangeTimes->{{3.742157901539941*^9, 3.742157923499234*^9}, {
  3.742158078567906*^9, 3.7421580804817257`*^9}, {3.742163869789854*^9, 
  3.742163871227936*^9}, {3.769281918200281*^9, 3.769281919811666*^9}},
 CellLabel->"In[282]:=",
 CellID->1005306710,ExpressionUUID->"19732f33-9392-4307-85c6-fee19710091e"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"team\"\>", "\[Rule]", "\<\"ed28f3db\"\>"}], ",", 
   RowBox[{"\<\"lastName\"\>", "\[Rule]", "\<\"484d4815\"\>"}], ",", 
   RowBox[{"\<\"firstName\"\>", "\[Rule]", "\<\"b4cd7235\"\>"}], ",", 
   RowBox[{"\<\"position\"\>", "\[Rule]", "\<\"4dbd0b28\"\>"}], ",", 
   RowBox[{"\<\"baseSalary\"\>", "\[Rule]", "\<\"a2b68986\"\>"}], ",", 
   RowBox[{"\<\"guaranteedSalary\"\>", "\[Rule]", "\<\"a2b68986\"\>"}], ",", 
   RowBox[{"\<\"year\"\>", "\[Rule]", "\<\"282b30d5\"\>"}]}], 
  "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{
  3.742157923843321*^9, 3.742158080981736*^9, 3.7421638716827507`*^9, {
   3.769281920317572*^9, 3.769281925619918*^9}, 3.769332251266408*^9, 
   3.769955125227969*^9, 3.769955271148823*^9, 3.771929804760828*^9, 
   3.8814196846257*^9},
 CellLabel->"Out[282]=",
 CellID->1996147024,ExpressionUUID->"fd491a8c-c85e-4a9b-b9ba-cfc0ae6156c1"]
}, Open  ]],

Cell[TextData[{
 "Or use the operator form of ",
 ButtonBox["Map",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Map.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Map.html"],
 ". The result is the same; ",
 ButtonBox["Hash",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Hash.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Hash.html"],
 " is deterministic:"
}], "CodeText",
 CellChangeTimes->{{3.7421579645853357`*^9, 3.742158001266951*^9}, {
   3.742158193114546*^9, 3.7421582056036177`*^9}, {3.745864550009626*^9, 
   3.745864550945601*^9}, 3.77584121996455*^9, {3.8679251722688866`*^9, 
   3.8679251729043875`*^9}},
 CellID->1932679589,ExpressionUUID->"dafb4b42-6dcf-40b3-bbcc-bd5675e27f32"],

Cell[CellGroupData[{

Cell["Map[CRC32][chingAssociation]", "Input",
 CellChangeTimes->{{3.7421579783473186`*^9, 3.742157987667583*^9}, {
  3.7421580847578583`*^9, 3.742158086611497*^9}, {3.7421639048871317`*^9, 
  3.7421639062277937`*^9}, {3.769281931842183*^9, 3.769281934636961*^9}},
 CellLabel->"In[283]:=",
 CellID->1855691448,ExpressionUUID->"212a381f-4d40-413d-828e-c21125bdffbb"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"team\"\>", "\[Rule]", "\<\"ed28f3db\"\>"}], ",", 
   RowBox[{"\<\"lastName\"\>", "\[Rule]", "\<\"484d4815\"\>"}], ",", 
   RowBox[{"\<\"firstName\"\>", "\[Rule]", "\<\"b4cd7235\"\>"}], ",", 
   RowBox[{"\<\"position\"\>", "\[Rule]", "\<\"4dbd0b28\"\>"}], ",", 
   RowBox[{"\<\"baseSalary\"\>", "\[Rule]", "\<\"a2b68986\"\>"}], ",", 
   RowBox[{"\<\"guaranteedSalary\"\>", "\[Rule]", "\<\"a2b68986\"\>"}], ",", 
   RowBox[{"\<\"year\"\>", "\[Rule]", "\<\"282b30d5\"\>"}]}], 
  "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{3.742157988396358*^9, 3.742158096199415*^9, 
  3.742163906644621*^9, 3.769281935069161*^9, 3.7693322512983427`*^9, 
  3.7699551252369337`*^9, 3.769955271190762*^9, 3.771929804793619*^9, 
  3.881419689238947*^9},
 CellLabel->"Out[283]=",
 CellID->468530947,ExpressionUUID->"d41fb229-0a44-4010-944f-58ae7ab146c7"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[StyleBox[ButtonBox["MapAt",
 BaseStyle->"Hyperlink",
 ButtonData->{
   URL["https://reference.wolfram.com/language/ref/MapAt.html"], None},
 ButtonNote->"https://reference.wolfram.com/language/ref/MapAt.html"],
 FontColor->RGBColor[
  0.9019607843137255, 0.4117647058823529, 
   0.027450980392156862`]]], "Subsubsection",
 CellID->1701897865,ExpressionUUID->"8a06df97-2eb0-4966-9bdb-f155271fb235"],

Cell[TextData[{
 "Suppose one wanted to only hash the values that have the keys ",
 Cell[BoxData[
 "\"\<baseSalary\>\""], "InlineCodeText",ExpressionUUID->
  "4ae3b26a-822c-4818-a54b-81df11469e4a"],
 " and ",
 Cell[BoxData[
 "\"\<team\>\""], "InlineCodeText",ExpressionUUID->
  "39dd8c20-3775-430e-ab04-bc41c5dc671f"],
 ". (Notice that if one wants to use multiple keys, one needs to wrap the \
keys in Lists.) ",
 ButtonBox["MapAt",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/MapAt.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/MapAt.html"],
 " can be used. The function is applied only to those values associated with \
the listed keys. The other values (associated with the keys ",
 Cell[BoxData[
 "\"\<lastName\>\""], "InlineCodeText",ExpressionUUID->
  "0f6f334c-6b06-419d-bcb5-adb459278b21"],
 ", ",
 Cell[BoxData[
 "\"\<firstName\>\""], "InlineCodeText",ExpressionUUID->
  "46854a9a-5372-4cd5-81cf-b7312af8080b"],
 ", ",
 Cell[BoxData[
 "\"\<position\>\""], "InlineCodeText",ExpressionUUID->
  "7fb5df11-b606-4725-ba1a-372d6177740b"],
 ", ",
 Cell[BoxData[
 "\"\<guaranteedSalary\>\""], "InlineCodeText",ExpressionUUID->
  "ee80cb89-2289-4ce2-89b0-af6d6cd0cdd9"],
 ", and ",
 Cell[BoxData[
 "\"\<year\>\""], "InlineCodeText",ExpressionUUID->
  "26dfad87-59fe-46b3-afcd-08eb9cdb51c4"],
 ") are left alone."
}], "Text",
 CellChangeTimes->{{3.739402329395048*^9, 3.739402350235558*^9}, {
  3.7394404524735327`*^9, 3.739440481601863*^9}, {3.741541949262464*^9, 
  3.7415419544714003`*^9}, {3.74154262565341*^9, 3.741542650066318*^9}, {
  3.742158108151039*^9, 3.7421581406470118`*^9}, {3.74586456431367*^9, 
  3.7458646274417953`*^9}, {3.7692819443902884`*^9, 3.7692820151446857`*^9}, {
  3.775841367445297*^9, 3.7758414009666486`*^9}, {3.7758414350080523`*^9, 
  3.7758414752270737`*^9}, {3.857031487917292*^9, 3.857031489414472*^9}, {
  3.8572299872773027`*^9, 3.8572299875906076`*^9}, {3.866278646686754*^9, 
  3.866278647343173*^9}, {3.867925209146216*^9, 3.8679252102721395`*^9}, {
  3.8679255338487015`*^9, 3.8679255713027077`*^9}},
 CellTags->"i:48",
 CellID->123845133,ExpressionUUID->"d340be42-205c-4b78-aed7-e97a2f274298"],

Cell[TextData[{
 ButtonBox["MapAt",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/MapAt.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/MapAt.html"],
 " works on Associations with key specifications:"
}], "CodeText",
 CellChangeTimes->{{3.7694231441774893`*^9, 3.769423163831905*^9}, {
  3.7758414829428453`*^9, 3.7758414848140326`*^9}},
 CellID->511142606,ExpressionUUID->"4b02ec52-5bc7-4717-a347-510fef7ae658"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MapAt", "[", 
  RowBox[{"CRC32", ",", "chingAssociation", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "\"\<baseSalary\>\"", "}"}], ",", 
     RowBox[{"{", "\"\<team\>\"", "}"}]}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.739402352982431*^9, 3.739402388931327*^9}, {
  3.741541973776806*^9, 3.741541974249268*^9}, {3.7421581439379253`*^9, 
  3.74215817962324*^9}, {3.7421639107917433`*^9, 3.742163913158257*^9}, {
  3.769281958203401*^9, 3.769281968036902*^9}},
 CellLabel->"In[284]:=",
 CellID->553496388,ExpressionUUID->"219186db-272b-4ff4-b7c7-2e720beb8274"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"team\"\>", "\[Rule]", "\<\"ed28f3db\"\>"}], ",", 
   RowBox[{"\<\"lastName\"\>", "\[Rule]", "\<\"Ching\"\>"}], ",", 
   RowBox[{"\<\"firstName\"\>", "\[Rule]", "\<\"Brian\"\>"}], ",", 
   RowBox[{"\<\"position\"\>", "\[Rule]", "\<\"F\"\>"}], ",", 
   RowBox[{"\<\"baseSalary\"\>", "\[Rule]", "\<\"a2b68986\"\>"}], ",", 
   RowBox[{"\<\"guaranteedSalary\"\>", "\[Rule]", 
    TemplateBox[{"220000", 
      RowBox[{
        FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars",
       "\"USDollars\""},
     "QuantityPrefix"]}], ",", 
   RowBox[{"\<\"year\"\>", "\[Rule]", 
    TemplateBox[{
      RowBox[{
        StyleBox["\"Year: \"", "DateObjectLabel"], "\"2007\""}], 
      RowBox[{"DateObject", "[", 
        RowBox[{
          RowBox[{"{", "2007", "}"}], ",", "\"Year\"", ",", "\"Gregorian\"", 
          ",", 
          RowBox[{"-", "5.`"}]}], "]"}]},
     "DateObject",
     Editable->False]}]}], "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{3.740414731501402*^9, 3.7404242588607073`*^9, 
  3.7404961688528643`*^9, 3.740500466952821*^9, 3.741541975022112*^9, 
  3.741542613371312*^9, 3.7416911299497747`*^9, 3.741773671226177*^9, 
  3.741775218962616*^9, 3.7417879895815496`*^9, 3.741876419122233*^9, 
  3.7418794756221123`*^9, 3.741956396648048*^9, 3.74212295899045*^9, 
  3.7421581801778603`*^9, 3.7421639136157303`*^9, 3.7692819685219727`*^9, 
  3.769282018068513*^9, 3.769332251310878*^9, 3.7699551252764063`*^9, 
  3.769955271201285*^9, 3.7719298048033257`*^9, 3.881419696058744*^9},
 CellLabel->"Out[284]=",
 CellID->357081512,ExpressionUUID->"aacef37b-ca1c-4abe-8192-e6449bdb9c6d"]
}, Open  ]],

Cell[TextData[{
 "The operator form of ",
 ButtonBox["MapAt",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/MapAt.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/MapAt.html"],
 " works analogously too."
}], "Text",
 CellChangeTimes->{{3.739641960388008*^9, 3.739641968850726*^9}, 
   3.7415426689099007`*^9, {3.7421582311164093`*^9, 3.742158270179324*^9}, {
   3.7458646339700623`*^9, 3.745864634801116*^9}, {3.769282027945754*^9, 
   3.769282052905974*^9}},
 CellID->1337349182,ExpressionUUID->"185a6c8d-a5a1-4630-b82e-051fae434e48"],

Cell[TextData[{
 ButtonBox["MapAt",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/MapAt.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/MapAt.html"],
 " has an operator form:"
}], "CodeText",
 CellChangeTimes->{{3.769423166551529*^9, 3.7694231709623137`*^9}, {
  3.7758414987664275`*^9, 3.775841502560807*^9}},
 CellID->306426399,ExpressionUUID->"7e30ee63-cae1-4306-baef-3eaf61e7ff53"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"MapAt", "[", 
   RowBox[{"CRC32", ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", "\"\<baseSalary\>\"", "}"}], ",", 
      RowBox[{"{", "\"\<team\>\"", "}"}]}], "}"}]}], "]"}], "[", 
  "chingAssociation", "]"}]], "Input",
 CellChangeTimes->{{3.739641972382256*^9, 3.739641996256112*^9}, {
  3.741542617464561*^9, 3.7415426180821133`*^9}, {3.7421582430199747`*^9, 
  3.742158252669106*^9}, {3.742163916636647*^9, 3.7421639177805347`*^9}, {
  3.769282059163106*^9, 3.769282074033724*^9}},
 CellLabel->"In[285]:=",
 CellID->1263852372,ExpressionUUID->"2f9975d4-ffc2-44c1-af13-baa519aa0eef"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"team\"\>", "\[Rule]", "\<\"ed28f3db\"\>"}], ",", 
   RowBox[{"\<\"lastName\"\>", "\[Rule]", "\<\"Ching\"\>"}], ",", 
   RowBox[{"\<\"firstName\"\>", "\[Rule]", "\<\"Brian\"\>"}], ",", 
   RowBox[{"\<\"position\"\>", "\[Rule]", "\<\"F\"\>"}], ",", 
   RowBox[{"\<\"baseSalary\"\>", "\[Rule]", "\<\"a2b68986\"\>"}], ",", 
   RowBox[{"\<\"guaranteedSalary\"\>", "\[Rule]", 
    TemplateBox[{"220000", 
      RowBox[{
        FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars",
       "\"USDollars\""},
     "QuantityPrefix"]}], ",", 
   RowBox[{"\<\"year\"\>", "\[Rule]", 
    TemplateBox[{
      RowBox[{
        StyleBox["\"Year: \"", "DateObjectLabel"], "\"2007\""}], 
      RowBox[{"DateObject", "[", 
        RowBox[{
          RowBox[{"{", "2007", "}"}], ",", "\"Year\"", ",", "\"Gregorian\"", 
          ",", 
          RowBox[{"-", "5.`"}]}], "]"}]},
     "DateObject",
     Editable->False]}]}], "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{3.740414731597797*^9, 3.74042425891151*^9, 
  3.74049616901886*^9, 3.740500467117231*^9, 3.741542619155727*^9, 
  3.741691130015585*^9, 3.74177367128307*^9, 3.7417752190294857`*^9, 
  3.741787989672093*^9, 3.7418764191725492`*^9, 3.74187947567223*^9, 
  3.741956396710294*^9, 3.7421229590715637`*^9, 3.7421582529360943`*^9, 
  3.742163918249679*^9, 3.769282074909113*^9, 3.769332251351932*^9, 
  3.769955125293256*^9, 3.7699552712493677`*^9, 3.771929804843936*^9, 
  3.881419701178924*^9},
 CellLabel->"Out[285]=",
 CellID->1985669946,ExpressionUUID->"3d581715-6b2b-4272-b988-af2c746d0d4e"]
}, Open  ]],

Cell[TextData[{
 "One can also use ",
 ButtonBox["MapAt",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/MapAt.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/MapAt.html"],
 " at different levels. Suppose I want to perform a number of operations in \
place on the columns of the dataset. I might, for example, want to use the ",
 Cell[BoxData[
 "CRC32"], "InlineCodeText",ExpressionUUID->
  "b05ea168-582d-4bbc-b8b3-a16b3ddc7f17"],
 " function on the class and survived columns of the passengers in ",
 Cell[BoxData[
 "dinghy"], "InlineCodeText",ExpressionUUID->
  "2670bd2f-91bf-4681-971e-81b84a0471ca"],
 " but want to leave the other columns alone."
}], "Text",
 CellChangeTimes->{{3.74215828608597*^9, 3.742158315881343*^9}, {
   3.742158359784402*^9, 3.7421583637242613`*^9}, {3.742158395706272*^9, 
   3.742158415080471*^9}, {3.74215850218477*^9, 3.742158503706275*^9}, {
   3.742163925307087*^9, 3.742163947453144*^9}, {3.742164197052074*^9, 
   3.742164205141223*^9}, {3.7458647576815243`*^9, 3.7458647784492598`*^9}, {
   3.7458648144942636`*^9, 3.7458648319685593`*^9}, {3.769282085270503*^9, 
   3.7692821246173363`*^9}, 3.769282164734424*^9, {3.7699549568590193`*^9, 
   3.7699549568591423`*^9}, {3.7758415461711674`*^9, 
   3.7758415683133817`*^9}, {3.8662797755837426`*^9, 
   3.8662797757556314`*^9}, {3.8679256618429737`*^9, 3.867925662786023*^9}, 
   3.8679257098481603`*^9, {3.8811653377313037`*^9, 3.8811653433802195`*^9}},
 CellTags->{"i:49", "p: 86"},
 CellID->625344153,ExpressionUUID->"5b362f74-f69e-4413-8b41-20df59257f99"],

Cell[TextData[{
 ButtonBox["MapAt",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/MapAt.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/MapAt.html"],
 " takes a list of keys to operate on deep parts of structures using \
Associations:"
}], "CodeText",
 CellChangeTimes->{{3.7694231766520147`*^9, 3.769423215781386*^9}, {
  3.775841572538804*^9, 3.7758415767542257`*^9}, {3.77592194232627*^9, 
  3.775921942534291*^9}},
 CellID->664146411,ExpressionUUID->"b8a9e122-ed17-4b88-adbc-a49770a57240"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"MapAt", "[", 
   RowBox[{"CRC32", ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"All", ",", "\"\<class\>\""}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"All", ",", "\"\<survived\>\""}], "}"}]}], "}"}]}], "]"}], "[",
   "dinghy", "]"}]], "Input",
 CellChangeTimes->{{3.74216395331551*^9, 3.742163967867838*^9}, {
   3.769282142503909*^9, 3.769282150206993*^9}, 3.7699549578312893`*^9},
 CellLabel->"In[286]:=",
 CellID->1446788964,ExpressionUUID->"eee86dbf-71dc-4ce0-8afe-fe2022ab0183"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"8eba3cee\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "16"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "\<\"5acf213a\"\>"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"8992c9a5\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "65"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"male\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "\<\"7e6f7d72\"\>"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"8eba3cee\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "2"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "\<\"7e6f7d72\"\>"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"8eba3cee\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", 
      RowBox[{"Missing", "[", "]"}]}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "\<\"5acf213a\"\>"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"8eba3cee\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "18"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "\<\"7e6f7d72\"\>"}]}], 
    "\[RightAssociation]"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.742163968378661*^9, {3.7692821451080227`*^9, 3.7692821508710318`*^9}, 
   3.769332251372641*^9, 3.76995512533779*^9, 3.769955271268277*^9, 
   3.771929804861219*^9, 3.881419717180923*^9},
 CellLabel->"Out[286]=",
 CellID->687891045,ExpressionUUID->"d2752ba5-109e-49c1-8191-5dc98c25d4a6"]
}, Open  ]],

Cell["\<\
Or I can do yet more complex things, like applying the function only to the \
class column of the first two rows and the survived column of the last three \
rows.\
\>", "Text",
 CellChangeTimes->{{3.7692821910631657`*^9, 3.769282247779312*^9}, {
  3.775841596809231*^9, 3.7758416294514947`*^9}, {3.7759219643344707`*^9, 
  3.775921992543291*^9}, {3.8811653534135523`*^9, 3.8811653600708313`*^9}},
 CellID->702530163,ExpressionUUID->"ca9a5850-c36c-4253-bd0d-a450a1f5aa19"],

Cell[TextData[{
 "Key or part specifications for ",
 ButtonBox["MapAt",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/MapAt.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/MapAt.html"],
 " can be complicated:"
}], "CodeText",
 CellChangeTimes->{{3.769423230185169*^9, 3.7694232403886538`*^9}, {
  3.857230051173047*^9, 3.8572300650860863`*^9}, {3.858240727668633*^9, 
  3.858240740651125*^9}},
 CellID->2047898177,ExpressionUUID->"35f8aec4-cec4-4dc0-8a3e-68c04365c071"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"MapAt", "[", 
   RowBox[{"CRC32", ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"1", ",", "2"}], "}"}], ",", "\"\<class\>\""}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "3"}], ",", 
          RowBox[{"-", "2"}], ",", 
          RowBox[{"-", "1"}]}], "}"}], ",", "\"\<survived\>\""}], "}"}]}], 
     "}"}]}], "]"}], "[", "dinghy", "]"}]], "Input",
 CellChangeTimes->{{3.74216395331551*^9, 3.742163967867838*^9}, {
   3.769282142503909*^9, 3.7692822384507647`*^9}, 3.769954958585062*^9},
 CellLabel->"In[287]:=",
 CellID->660008608,ExpressionUUID->"6e4e35bf-ab66-4cee-8ff0-1617255aa44b"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"8eba3cee\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "16"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "True"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"8992c9a5\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "65"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"male\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "2"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "\<\"7e6f7d72\"\>"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", 
      RowBox[{"Missing", "[", "]"}]}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "\<\"5acf213a\"\>"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "18"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "\<\"7e6f7d72\"\>"}]}], 
    "\[RightAssociation]"}]}], "}"}]], "Output",
 CellChangeTimes->{3.76928218176414*^9, 3.769282249775753*^9, 
  3.76933225140574*^9, 3.7699551253496733`*^9, 3.7699552713064547`*^9, 
  3.771929804894446*^9, 3.881419724505775*^9},
 CellLabel->"Out[287]=",
 CellID->1486709587,ExpressionUUID->"3cbe862d-f6fa-4750-8a4f-28a442aa40d1"]
}, Open  ]],

Cell[TextData[{
 "I can also compose uses of ",
 ButtonBox["MapAt",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/MapAt.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/MapAt.html"],
 " (and other functions). Here I create a composition of (1) the ",
 ButtonBox["MapAt",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/MapAt.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/MapAt.html"],
 " operator with ",
 Cell[BoxData[
 "CRC32"], "InlineCodeText",ExpressionUUID->
  "df07c33b-5248-4827-99c2-fc042e667c3d"],
 " as its function and the ",
 Cell[BoxData[
 "\"\<class\>\""], "InlineCodeText",ExpressionUUID->
  "33a71489-a98a-49c1-a93d-b2e981e7fdc4"],
 " and ",
 Cell[BoxData[
 "\"\<sex\>\""], "InlineCodeText",ExpressionUUID->
  "7da941b0-733b-4645-9a97-35317ff83472"],
 " columns as its targets and (2) the ",
 ButtonBox["MapAt",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/MapAt.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/MapAt.html"],
 " operator with ",
 ButtonBox["Framed",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Framed.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Framed.html"],
 " as its function and the ",
 Cell[BoxData[
 "\"\<age\>\""], "InlineCodeText",ExpressionUUID->
  "2e8bb177-2e68-425e-9098-16c379307fd4"],
 " and ",
 Cell[BoxData[
 "\"\<survived\>\""], "InlineCodeText",ExpressionUUID->
  "2d77c774-3f7e-44f6-a92b-2377d4de2d82"],
 " columns as its targets. I then apply that composition to ",
 Cell[BoxData[
 "dinghy"], "InlineCodeText",ExpressionUUID->
  "81020a61-77f9-4fd7-bfdc-39e84bd16d17"],
 ". Notice that this composition permits me to perform different operations \
on different columns of data, just as I might in real life."
}], "Text",
 CellChangeTimes->{{3.769282256741989*^9, 3.769282267806291*^9}, {
   3.769282325739264*^9, 3.76928243928126*^9}, 3.76995495957843*^9, {
   3.77592436252833*^9, 3.7759244212393303`*^9}, 3.897755029802393*^9},
 CellTags->"i:50",
 CellID->1927522244,ExpressionUUID->"9a6e43b6-fa44-4611-bcac-048a9d630800"],

Cell[TextData[{
 ButtonBox["MapAt",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/MapAt.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/MapAt.html"],
 " can be used in compositions:"
}], "CodeText",
 CellChangeTimes->{{3.769423252900481*^9, 3.7694232623191147`*^9}, {
  3.77592442857833*^9, 3.77592443033333*^9}},
 CellID->1187352223,ExpressionUUID->"2a0c3567-3d21-442f-9494-bbc8498437b8"],

Cell[CellGroupData[{

Cell["\<\
(MapAt[CRC32, {{All, \"class\"}, {All, \"sex\"}}]/*MapAt[Framed, \
{{All,\"age\"}, {All, \"survived\"}}])[dinghy]\
\>", "Input",
 CellChangeTimes->{{3.742164077842142*^9, 3.742164078614089*^9}, {
   3.7424762406682243`*^9, 3.7424762419446287`*^9}, {3.76928227934041*^9, 
   3.769282284856711*^9}, 3.769954960473803*^9},
 CellLabel->"In[288]:=",
 CellID->902096762,ExpressionUUID->"5631ff6f-7e87-42ae-a812-fdb80d35aba2"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"8eba3cee\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", 
      FrameBox["16",
       StripOnInput->False]}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"4a748a6c\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", 
      FrameBox["True",
       StripOnInput->False]}]}], "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"8992c9a5\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", 
      FrameBox["65",
       StripOnInput->False]}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"558de0a9\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", 
      FrameBox["False",
       StripOnInput->False]}]}], "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"8eba3cee\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", 
      FrameBox["2",
       StripOnInput->False]}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"4a748a6c\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", 
      FrameBox["False",
       StripOnInput->False]}]}], "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"8eba3cee\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", 
      FrameBox[
       RowBox[{"Missing", "[", "]"}],
       StripOnInput->False]}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"4a748a6c\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", 
      FrameBox["True",
       StripOnInput->False]}]}], "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"8eba3cee\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", 
      FrameBox["18",
       StripOnInput->False]}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"4a748a6c\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", 
      FrameBox["False",
       StripOnInput->False]}]}], "\[RightAssociation]"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.74216407902838*^9, {3.7424762425492897`*^9, 3.7424762784059887`*^9}, 
   3.769282285761898*^9, 3.769332251419485*^9, 3.769955125385981*^9, 
   3.769955271316841*^9, 3.771929804904307*^9, 3.881419744741127*^9},
 CellLabel->"Out[288]=",
 CellID->449697690,ExpressionUUID->"c25903da-aed2-465f-bc38-774d7f4ead3a"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[StyleBox[ButtonBox["MapIndexed",
 BaseStyle->"Hyperlink",
 ButtonData->{
   URL["https://reference.wolfram.com/language/ref/MapIndexed.html"], None},
 ButtonNote->"https://reference.wolfram.com/language/ref/MapIndexed.html"],
 FontColor->RGBColor[
  0.9019607843137255, 0.4117647058823529, 
   0.027450980392156862`]]], "Subsubsection",
 CellTags->"p: 87",
 CellID->1294950611,ExpressionUUID->"be8e7d7b-442f-4ed4-a32b-0f4f8a6cd7e9"],

Cell[TextData[{
 ButtonBox["MapIndexed",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/MapIndexed.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/MapIndexed.html"],
 " also behaves with Associations in a way that should seem familiar. The \
first argument to the mapped function is the value associated with the key; \
the second is the key itself wrapped in a list."
}], "Text",
 CellChangeTimes->{{3.739440578046133*^9, 3.739440670041955*^9}, {
   3.7421645140253553`*^9, 3.742164561394865*^9}, 3.745864954665184*^9, {
   3.86627995959054*^9, 3.866279974303053*^9}, {3.867925764042346*^9, 
   3.8679257681340714`*^9}},
 CellTags->"i:51",
 CellID->1635640379,ExpressionUUID->"c05a03b5-67fe-434f-9c1a-c4f1d5db1998"],

Cell[TextData[{
 "Use ",
 ButtonBox["MapIndexed",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/MapIndexed.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/MapIndexed.html"],
 " with an abstract function ",
 Cell[BoxData[
 "f"], "InlineCode",ExpressionUUID->"e13297dc-48c9-4d79-9e2e-83a6b0ff3496"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.7421647915669537`*^9, 3.7421648215677834`*^9}, 
   3.7421648619421997`*^9, {3.745864956592564*^9, 3.745864973252327*^9}, {
   3.78031065349299*^9, 3.780310658921255*^9}, 3.867925784086626*^9},
 CellID->2015122956,ExpressionUUID->"57ea4f04-2fbb-49d3-8c53-d363290c04aa"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MapIndexed", "[", 
  RowBox[{"f", ",", " ", "chingAssociation"}], "]"}]], "Input",
 CellChangeTimes->{{3.739440597199747*^9, 3.739440604390132*^9}, {
   3.7394406423560247`*^9, 3.7394406485866823`*^9}, {3.7415426565576487`*^9, 
   3.74154265713129*^9}, 3.742164567966734*^9, {3.742164640300337*^9, 
   3.742164642542449*^9}, {3.769282903333609*^9, 3.769282909415579*^9}},
 CellLabel->"In[289]:=",
 CellID->269684606,ExpressionUUID->"afd5c416-dd12-494f-a3fe-827e97023fdc"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"team\"\>", "\[Rule]", 
    RowBox[{"f", "[", 
     RowBox[{"\<\"HOU\"\>", ",", 
      RowBox[{"{", 
       RowBox[{"Key", "[", "\<\"team\"\>", "]"}], "}"}]}], "]"}]}], ",", 
   RowBox[{"\<\"lastName\"\>", "\[Rule]", 
    RowBox[{"f", "[", 
     RowBox[{"\<\"Ching\"\>", ",", 
      RowBox[{"{", 
       RowBox[{"Key", "[", "\<\"lastName\"\>", "]"}], "}"}]}], "]"}]}], ",", 
   RowBox[{"\<\"firstName\"\>", "\[Rule]", 
    RowBox[{"f", "[", 
     RowBox[{"\<\"Brian\"\>", ",", 
      RowBox[{"{", 
       RowBox[{"Key", "[", "\<\"firstName\"\>", "]"}], "}"}]}], "]"}]}], ",", 
   
   RowBox[{"\<\"position\"\>", "\[Rule]", 
    RowBox[{"f", "[", 
     RowBox[{"\<\"F\"\>", ",", 
      RowBox[{"{", 
       RowBox[{"Key", "[", "\<\"position\"\>", "]"}], "}"}]}], "]"}]}], ",", 
   RowBox[{"\<\"baseSalary\"\>", "\[Rule]", 
    RowBox[{"f", "[", 
     RowBox[{
      TemplateBox[{"220000", 
        RowBox[{
          FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
        "US dollars", "\"USDollars\""},
       "QuantityPrefix"], ",", 
      RowBox[{"{", 
       RowBox[{"Key", "[", "\<\"baseSalary\"\>", "]"}], "}"}]}], "]"}]}], ",", 
   RowBox[{"\<\"guaranteedSalary\"\>", "\[Rule]", 
    RowBox[{"f", "[", 
     RowBox[{
      TemplateBox[{"220000", 
        RowBox[{
          FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
        "US dollars", "\"USDollars\""},
       "QuantityPrefix"], ",", 
      RowBox[{"{", 
       RowBox[{"Key", "[", "\<\"guaranteedSalary\"\>", "]"}], "}"}]}], 
     "]"}]}], ",", 
   RowBox[{"\<\"year\"\>", "\[Rule]", 
    RowBox[{"f", "[", 
     RowBox[{
      TemplateBox[{
        RowBox[{
          StyleBox["\"Year: \"", "DateObjectLabel"], "\"2007\""}], 
        RowBox[{"DateObject", "[", 
          RowBox[{
            RowBox[{"{", "2007", "}"}], ",", "\"Year\"", ",", "\"Gregorian\"",
             ",", 
            RowBox[{"-", "5.`"}]}], "]"}]},
       "DateObject",
       Editable->False], ",", 
      RowBox[{"{", 
       RowBox[{"Key", "[", "\<\"year\"\>", "]"}], "}"}]}], "]"}]}]}], 
  "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{3.740414731781901*^9, 3.740424258964921*^9, 
  3.740496169233947*^9, 3.740500467224409*^9, 3.741542658055777*^9, 
  3.7416911300818996`*^9, 3.7417736713312073`*^9, 3.741775219117635*^9, 
  3.741787989772067*^9, 3.741876419223054*^9, 3.741879475721178*^9, 
  3.741956396805279*^9, 3.742122959154531*^9, 3.742164568772558*^9, 
  3.769282909919498*^9, 3.7693322514530783`*^9, 3.769955125398644*^9, 
  3.7699552713582*^9, 3.7719298049397182`*^9, 3.881419771969059*^9},
 CellLabel->"Out[289]=",
 CellID->1812842132,ExpressionUUID->"ba6b15a2-0818-458f-9690-8746e614f30a"]
}, Open  ]],

Cell[TextData[{
 ButtonBox["MapIndexed",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/MapIndexed.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/MapIndexed.html"],
 " takes functions whose first argument will be the value of a key-value pair \
and whose second argument will be the key (wrapped in ",
 ButtonBox["Key",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Key.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Key.html"],
 ")."
}], "Text",
 CellChangeTimes->{{3.769423269591885*^9, 3.76942327633281*^9}, {
   3.769423324025497*^9, 3.769423354536216*^9}, {3.7755791242764816`*^9, 
   3.7755791254374814`*^9}, {3.7759250901731586`*^9, 3.7759251034858203`*^9}, 
   3.7759253329815187`*^9, {3.775925579895208*^9, 3.7759255801652346`*^9}},
 CellID->1856285076,ExpressionUUID->"ca5000f4-a2b3-4ef5-81e0-aba8aec7ddd9"],

Cell["\<\
There is an operator form when one wants to map the function at the first \
level of the data structure:\
\>", "CodeText",
 CellChangeTimes->{{3.74216483501001*^9, 3.7421648539264183`*^9}, {
  3.745864985752894*^9, 3.7458649862561407`*^9}},
 CellID->415078149,ExpressionUUID->"36ff1581-88e2-4049-8b98-203cdf73a608"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"MapIndexed", "[", "f", "]"}], "[", "chingAssociation", 
  "]"}]], "Input",
 CellChangeTimes->{{3.742164824209675*^9, 3.742164831887321*^9}, {
  3.769282927711936*^9, 3.769282931478486*^9}},
 CellLabel->"In[290]:=",
 CellID->866781981,ExpressionUUID->"4d37475e-90ee-45b4-b264-72431676bc58"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"team\"\>", "\[Rule]", 
    RowBox[{"f", "[", 
     RowBox[{"\<\"HOU\"\>", ",", 
      RowBox[{"{", 
       RowBox[{"Key", "[", "\<\"team\"\>", "]"}], "}"}]}], "]"}]}], ",", 
   RowBox[{"\<\"lastName\"\>", "\[Rule]", 
    RowBox[{"f", "[", 
     RowBox[{"\<\"Ching\"\>", ",", 
      RowBox[{"{", 
       RowBox[{"Key", "[", "\<\"lastName\"\>", "]"}], "}"}]}], "]"}]}], ",", 
   RowBox[{"\<\"firstName\"\>", "\[Rule]", 
    RowBox[{"f", "[", 
     RowBox[{"\<\"Brian\"\>", ",", 
      RowBox[{"{", 
       RowBox[{"Key", "[", "\<\"firstName\"\>", "]"}], "}"}]}], "]"}]}], ",", 
   
   RowBox[{"\<\"position\"\>", "\[Rule]", 
    RowBox[{"f", "[", 
     RowBox[{"\<\"F\"\>", ",", 
      RowBox[{"{", 
       RowBox[{"Key", "[", "\<\"position\"\>", "]"}], "}"}]}], "]"}]}], ",", 
   RowBox[{"\<\"baseSalary\"\>", "\[Rule]", 
    RowBox[{"f", "[", 
     RowBox[{
      TemplateBox[{"220000", 
        RowBox[{
          FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
        "US dollars", "\"USDollars\""},
       "QuantityPrefix"], ",", 
      RowBox[{"{", 
       RowBox[{"Key", "[", "\<\"baseSalary\"\>", "]"}], "}"}]}], "]"}]}], ",", 
   RowBox[{"\<\"guaranteedSalary\"\>", "\[Rule]", 
    RowBox[{"f", "[", 
     RowBox[{
      TemplateBox[{"220000", 
        RowBox[{
          FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
        "US dollars", "\"USDollars\""},
       "QuantityPrefix"], ",", 
      RowBox[{"{", 
       RowBox[{"Key", "[", "\<\"guaranteedSalary\"\>", "]"}], "}"}]}], 
     "]"}]}], ",", 
   RowBox[{"\<\"year\"\>", "\[Rule]", 
    RowBox[{"f", "[", 
     RowBox[{
      TemplateBox[{
        RowBox[{
          StyleBox["\"Year: \"", "DateObjectLabel"], "\"2007\""}], 
        RowBox[{"DateObject", "[", 
          RowBox[{
            RowBox[{"{", "2007", "}"}], ",", "\"Year\"", ",", "\"Gregorian\"",
             ",", 
            RowBox[{"-", "5.`"}]}], "]"}]},
       "DateObject",
       Editable->False], ",", 
      RowBox[{"{", 
       RowBox[{"Key", "[", "\<\"year\"\>", "]"}], "}"}]}], "]"}]}]}], 
  "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{3.742164832335518*^9, 3.769282932066062*^9, 
  3.76933225147974*^9, 3.769955125449614*^9, 3.769955271381526*^9, 
  3.771929804962442*^9, 3.881419776994869*^9},
 CellLabel->"Out[290]=",
 CellID->512370175,ExpressionUUID->"44db251e-58e5-419d-912d-0f31d6fb1d4e"]
}, Open  ]],

Cell[TextData[{
 "There\[CloseCurlyQuote]s a related function, ",
 ButtonBox["KeyValueMap",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/KeyValueMap.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/KeyValueMap.html"],
 ", that works similarly to ",
 ButtonBox["MapIndexed",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/MapIndexed.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/MapIndexed.html"],
 ". I will explain it later in this chapter."
}], "Text",
 CellChangeTimes->{{3.769423364563875*^9, 3.769423401090021*^9}, {
  3.775816539615753*^9, 3.7758165399997916`*^9}, {3.7759255984990683`*^9, 
  3.7759256018764057`*^9}},
 CellID->1811163949,ExpressionUUID->"24193114-505a-41c7-9b51-cf577670ded3"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[StyleBox[ButtonBox["MapThread",
 BaseStyle->"Hyperlink",
 ButtonData->{
   URL["https://reference.wolfram.com/language/ref/MapThread.html"], None},
 ButtonNote->"https://reference.wolfram.com/language/ref/MapThread.html"],
 FontColor->RGBColor[
  0.9019607843137255, 0.4117647058823529, 
   0.027450980392156862`]]], "Subsubsection",
 CellID->11637702,ExpressionUUID->"3c8a1e6d-5030-475a-bf41-667b5038ad4b"],

Cell[TextData[{
 "One can also use ",
 ButtonBox["MapThread",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/MapThread.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/MapThread.html"],
 " on Associations, although, truth be told, I have seldom had occasion to do \
so. In part, this is because the ",
 ButtonBox["Merge",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Merge.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Merge.html"],
 " function works very similarly to ",
 ButtonBox["MapThread",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/MapThread.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/MapThread.html"],
 ". The difference is that in ",
 ButtonBox["Merge",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Merge.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Merge.html"],
 ", the function works on a ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of values whereas with ",
 ButtonBox["MapThread",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/MapThread.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/MapThread.html"],
 ", the function works on a sequence. "
}], "Text",
 CellChangeTimes->{{3.739441631632903*^9, 3.7394416520344667`*^9}, {
   3.7394417333039703`*^9, 3.7394417530728273`*^9}, {3.7421656196786127`*^9, 
   3.742165643226727*^9}, {3.74247631255514*^9, 3.742476326174725*^9}, {
   3.7458652802562647`*^9, 3.745865280767465*^9}, {3.7692829734726763`*^9, 
   3.769282974461294*^9}, {3.769283098863285*^9, 3.7692831615459023`*^9}, {
   3.769283216373459*^9, 3.769283227574465*^9}, {3.77592563491671*^9, 
   3.7759256594091587`*^9}, 3.7759259110383186`*^9, 3.857230305277503*^9, 
   3.866280852513185*^9},
 CellTags->"i:52",
 CellID->173845637,ExpressionUUID->"4fa4527c-d870-4a50-beed-a8f8ab01240a"],

Cell[TextData[{
 "Here is a comparison between ",
 ButtonBox["MapThread",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/MapThread.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/MapThread.html"],
 " and ",
 ButtonBox["Merge",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Merge.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Merge.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.775925912059421*^9, 3.7759259135075655`*^9}, {
  3.8679258356298714`*^9, 3.8679258358465176`*^9}},
 CellID->305456797,ExpressionUUID->"289796df-4698-4148-a27f-f096b1f09468"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MapThread", "[", 
  RowBox[{"f", ",", "dinghy"}], "]"}]], "Input",
 CellChangeTimes->{{3.739441612765697*^9, 3.739441625541719*^9}, {
   3.739441689454023*^9, 3.739441691318802*^9}, {3.741542891371333*^9, 
   3.741542897231372*^9}, {3.7421656593562098`*^9, 3.742165669189396*^9}, {
   3.769282956662619*^9, 3.769282965667397*^9}, {3.769283105977356*^9, 
   3.7692831077562923`*^9}, {3.769283199713934*^9, 3.7692832109913473`*^9}, 
   3.769954961544022*^9},
 CellLabel->"In[291]:=",
 CellID->1245861139,ExpressionUUID->"e4880ca5-464b-49e9-9b48-4375a180104f"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"class\"\>", "\[Rule]", 
    RowBox[{"f", "[", 
     RowBox[{"\<\"3rd\"\>", ",", "\<\"1st\"\>", ",", "\<\"3rd\"\>", 
      ",", "\<\"3rd\"\>", ",", "\<\"3rd\"\>"}], "]"}]}], ",", 
   RowBox[{"\<\"age\"\>", "\[Rule]", 
    RowBox[{"f", "[", 
     RowBox[{"16", ",", "65", ",", "2", ",", 
      RowBox[{"Missing", "[", "]"}], ",", "18"}], "]"}]}], ",", 
   RowBox[{"\<\"sex\"\>", "\[Rule]", 
    RowBox[{"f", "[", 
     RowBox[{"\<\"female\"\>", ",", "\<\"male\"\>", ",", "\<\"female\"\>", 
      ",", "\<\"female\"\>", ",", "\<\"female\"\>"}], "]"}]}], ",", 
   RowBox[{"\<\"survived\"\>", "\[Rule]", 
    RowBox[{"f", "[", 
     RowBox[{"True", ",", "False", ",", "False", ",", "True", ",", "False"}], 
     "]"}]}]}], "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{
  3.740414732215582*^9, 3.740424259169731*^9, 3.740496170081048*^9, 
   3.7405004676469584`*^9, 3.7415428990821466`*^9, 3.741691130346303*^9, 
   3.741773671571691*^9, 3.7417752194506073`*^9, 3.741787990106668*^9, 
   3.741876419423168*^9, 3.741879475922076*^9, 3.741956397119913*^9, 
   3.742122959528757*^9, 3.7692831091606693`*^9, {3.76928320483739*^9, 
   3.769283211739635*^9}, 3.769332251526938*^9, 3.769955125523913*^9, 
   3.769955271434835*^9, 3.771929805004315*^9, 3.8814197830863743`*^9},
 CellLabel->"Out[291]=",
 CellID->352188518,ExpressionUUID->"96b24733-c782-4e5f-8d29-9449410137cf"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Merge", "[", 
  RowBox[{"dinghy", ",", "f"}], "]"}]], "Input",
 CellChangeTimes->{{3.769283174215293*^9, 3.769283181374361*^9}, 
   3.769954962398191*^9},
 CellLabel->"In[292]:=",
 CellID->613508013,ExpressionUUID->"43678892-efe7-4e5a-914f-27272e26ce1d"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"class\"\>", "\[Rule]", 
    RowBox[{"f", "[", 
     RowBox[{"{", 
      RowBox[{"\<\"3rd\"\>", ",", "\<\"1st\"\>", ",", "\<\"3rd\"\>", 
       ",", "\<\"3rd\"\>", ",", "\<\"3rd\"\>"}], "}"}], "]"}]}], ",", 
   RowBox[{"\<\"age\"\>", "\[Rule]", 
    RowBox[{"f", "[", 
     RowBox[{"{", 
      RowBox[{"16", ",", "65", ",", "2", ",", 
       RowBox[{"Missing", "[", "]"}], ",", "18"}], "}"}], "]"}]}], ",", 
   RowBox[{"\<\"sex\"\>", "\[Rule]", 
    RowBox[{"f", "[", 
     RowBox[{"{", 
      RowBox[{"\<\"female\"\>", ",", "\<\"male\"\>", ",", "\<\"female\"\>", 
       ",", "\<\"female\"\>", ",", "\<\"female\"\>"}], "}"}], "]"}]}], ",", 
   RowBox[{"\<\"survived\"\>", "\[Rule]", 
    RowBox[{"f", "[", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False", ",", "False", ",", "True", ",", "False"}],
       "}"}], "]"}]}]}], "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{3.769283181932539*^9, 3.769332251540135*^9, 
  3.769955125534789*^9, 3.769955271447043*^9, 3.7719298050149803`*^9, 
  3.8814197949999*^9},
 CellLabel->"Out[292]=",
 CellID->521031274,ExpressionUUID->"97196169-bd9f-4bc1-8ebf-0122794a4444"]
}, Open  ]],

Cell[TextData[{
 "Indeed, I can emulate ",
 ButtonBox["Merge",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Merge.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Merge.html"],
 " pretty well by just changing the function a bit. I now show this using an \
operator form of ",
 ButtonBox["MapThread",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/MapThread.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/MapThread.html"],
 " with ",
 Cell[BoxData[
  RowBox[{
   RowBox[{"f", "[", 
    RowBox[{"{", 
     ButtonBox[
      StyleBox["##",
       FontColor->GrayLevel[0]],
      BaseStyle->"Hyperlink",
      ButtonData->{
        URL["https://reference.wolfram.com/language/ref/SlotSequence.html"], 
        None},
      ButtonNote->
       "https://reference.wolfram.com/language/ref/SlotSequence.html"], "}"}],
     "]"}], 
   ButtonBox[
    StyleBox["&",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Function.html"], None},
    ButtonNote->
     "https://reference.wolfram.com/language/ref/Function.html"]}]], 
  "InlineCodeText",ExpressionUUID->"90606959-e57c-4330-a89a-cd934a5ab55e"],
 " as the function and compare the results with ",
 ButtonBox["Merge",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Merge.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Merge.html"],
 " using ",
 Cell[BoxData[
 "f"], "InlineCodeText",ExpressionUUID->
  "cf9a64d7-3239-45f8-8d6f-21ac080a4d06"],
 " as the function."
}], "Text",
 CellChangeTimes->{{3.769283230197319*^9, 3.769283277683729*^9}, {
  3.769283330955721*^9, 3.7692833475598927`*^9}, {3.7759259235485697`*^9, 
  3.775925996524867*^9}, {3.8677570367135706`*^9, 3.867757045382695*^9}},
 CellID->1466042180,ExpressionUUID->"4c55d839-bfce-4d70-82f1-880153017492"],

Cell[TextData[{
 "Using ",
 ButtonBox["MapThread",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/MapThread.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/MapThread.html"],
 " to emulate ",
 ButtonBox["Merge",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Merge.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Merge.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.7803107812353783`*^9, 3.7803107900351963`*^9}},
 CellID->584492632,ExpressionUUID->"91576af4-a64b-416b-8f62-dfb6c9cb2621"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"MapThread", "[", 
    RowBox[{
     RowBox[{"f", "[", 
      RowBox[{"{", "##", "}"}], "]"}], "&"}], "]"}], "[", "dinghy", "]"}], "===", 
  RowBox[{
   RowBox[{"Merge", "[", "f", "]"}], "[", "dinghy", "]"}]}]], "Input",
 CellChangeTimes->{{3.769283279433488*^9, 3.7692833236053343`*^9}, {
  3.769954963220471*^9, 3.7699549637962933`*^9}},
 CellLabel->"In[293]:=",
 CellID->655059325,ExpressionUUID->"707d5e9c-4b3e-47fd-a795-4669ad3abfe3"],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{{3.769283294871915*^9, 3.769283324192369*^9}, 
   3.76933225157241*^9, 3.769955125573592*^9, 3.769955271484947*^9, 
   3.771929805046948*^9, 3.88141980266601*^9},
 CellLabel->"Out[293]=",
 CellID->1194737178,ExpressionUUID->"723e2054-fe38-4bd7-9e26-e2b918b8761a"]
}, Open  ]],

Cell[TextData[{
 "There are some differences between ",
 ButtonBox["Merge",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Merge.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Merge.html"],
 " and ",
 ButtonBox["MapThread",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/MapThread.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/MapThread.html"],
 ", however. ",
 ButtonBox["MapThread",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/MapThread.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/MapThread.html"],
 " requires that the keys in each Association be the same and in the same \
order; ",
 ButtonBox["Merge",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Merge.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Merge.html"],
 " has no such requirement."
}], "Text",
 CellChangeTimes->{{3.769283362931609*^9, 3.76928340404945*^9}, {
  3.775926275160321*^9, 3.775926306134321*^9}},
 CellID->1671524191,ExpressionUUID->"a79d4181-64b1-400a-8fb7-2d01127c37c5"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox[ButtonBox["Apply",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Apply.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Apply.html"],
  FontColor->RGBColor[
   0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]],
 " and ",
 StyleBox[ButtonBox["Transpose",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Transpose.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Transpose.html"],
  FontColor->RGBColor[
   0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]]
}], "Subsection",
 CellID->1853704025,ExpressionUUID->"5827c67c-503c-4236-bdfa-7c862211a203"],

Cell[TextData[{
 "This will be a simple paragraph. ",
 ButtonBox["Apply",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Apply.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Apply.html"],
 " and ",
 ButtonBox["Transpose",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Transpose.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Transpose.html"],
 " aren\[CloseCurlyQuote]t presently intended to work on Associations, so don\
\[CloseCurlyQuote]t use them. There is, however, a ",
 ButtonBox["ResourceFunction",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ResourceFunction.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/ResourceFunction.html"],
 " ",
 ButtonBox["AssociationTranspose",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
AssociationTranspose"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/\
AssociationTranspose"],
 " that can help. As stated in its documentation, it mimics the way",
 StyleBox[" ", "FormattedFunction"],
 ButtonBox["Transpose",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Transpose.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Transpose.html"],
 " rearranges an array to reorganize the levels in an ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 "."
}], "Text",
 CellChangeTimes->{{3.769376403349793*^9, 3.7693764528918257`*^9}, {
   3.769376493499619*^9, 3.769376507175953*^9}, {3.7759263256533213`*^9, 
   3.7759263429633217`*^9}, {3.8654233372189198`*^9, 
   3.8654235115769587`*^9}, {3.866281030862214*^9, 3.866281086461129*^9}, 
   3.866558867574582*^9, 3.866559099670257*^9, {3.8665591361133327`*^9, 
   3.866559159377831*^9}, 3.867924442681406*^9, {3.8699184068674374`*^9, 
   3.8699184227140675`*^9}},
 CellTags->"i:53",
 CellID->1062342394,ExpressionUUID->"0cb6a9d4-1acc-4d0e-8fdf-62cbc7850fd4"],

Cell[TextData[{
 "Use ",
 ButtonBox["AssociationTranspose",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
AssociationTranspose"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/\
AssociationTranspose"],
 " to make inner keys become the outer keys and the outer keys become the \
inner keys:"
}], "CodeText",
 CellChangeTimes->{{3.865423514647451*^9, 3.865423566697534*^9}, 
   3.866126730693843*^9, {3.8662811256690235`*^9, 3.8662811443629637`*^9}, 
   3.869920171731531*^9},
 CellID->1557546524,ExpressionUUID->"a4f4b974-27f9-47ef-913e-1bd974d9271c"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  InterpretationBox[
   TagBox[
    DynamicModuleBox[{Typeset`open = False}, 
     FrameBox[
      PaneSelectorBox[{False->GridBox[{
         {
          PaneBox[GridBox[{
             {
              StyleBox[
               StyleBox[
                AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                 BoxBaselineShift->-0.25,
                 BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                
                FontColor->RGBColor[
                 0.8745098039215686, 0.2784313725490196, 0.03137254901960784]],
               ShowStringCharacters->False,
               FontFamily->"Source Sans Pro Black",
               FontSize->0.6538461538461539 Inherited,
               FontWeight->"Heavy",
               PrivateFontOptions->{"OperatorSubstitution"->False}], 
              StyleBox[
               RowBox[{
                StyleBox["AssociationTranspose", "ResourceFunctionLabel"], 
                " "}],
               ShowAutoStyles->False,
               ShowStringCharacters->False,
               FontSize->Rational[12, 13] Inherited,
               FontColor->GrayLevel[0.1]]}
            },
            GridBoxSpacings->{"Columns" -> {{0.25}}}],
           Alignment->Left,
           BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
           BaselinePosition->Baseline,
           FrameMargins->{{3, 0}, {0, 0}}], 
          ItemBox[
           PaneBox[
            TogglerBox[Dynamic[Typeset`open], {True->
             
             DynamicBox[FEPrivate`FrontEndResource[
              "FEBitmaps", "IconizeCloser"],
              ImageSizeCache->{11., {2., 9.}}], False->
             
             DynamicBox[FEPrivate`FrontEndResource[
              "FEBitmaps", "IconizeOpener"],
              ImageSizeCache->{11., {2., 9.}}]},
             Appearance->None,
             BaselinePosition->Baseline,
             ContentPadding->False,
             FrameMargins->0],
            Alignment->Left,
            BaselinePosition->Baseline,
            FrameMargins->{{1, 1}, {0, 0}}],
           Frame->{{
              RGBColor[
              0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
               0.5], False}, {False, False}}]}
        },
        BaselinePosition->{1, 1},
        GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
        GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
        GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
       GridBox[{
         {GridBox[{
            {
             PaneBox[GridBox[{
                {
                 StyleBox[
                  StyleBox[
                   AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                   
                   FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                  ShowStringCharacters->False,
                  FontFamily->"Source Sans Pro Black",
                  FontSize->0.6538461538461539 Inherited,
                  FontWeight->"Heavy",
                  PrivateFontOptions->{"OperatorSubstitution"->False}], 
                 StyleBox[
                  RowBox[{
                   StyleBox["AssociationTranspose", "ResourceFunctionLabel"], 
                   " "}],
                  ShowAutoStyles->False,
                  ShowStringCharacters->False,
                  FontSize->Rational[12, 13] Inherited,
                  FontColor->GrayLevel[0.1]]}
               },
               GridBoxSpacings->{"Columns" -> {{0.25}}}],
              Alignment->Left,
              BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
              BaselinePosition->Baseline,
              FrameMargins->{{3, 0}, {0, 0}}], 
             ItemBox[
              PaneBox[
               TogglerBox[Dynamic[Typeset`open], {True->
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "IconizeCloser"],
                 ImageSizeCache->{11., {1., 10.}}], False->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "IconizeOpener"],
                 ImageSizeCache->{11., {1., 10.}}]},
                Appearance->None,
                BaselinePosition->Baseline,
                ContentPadding->False,
                FrameMargins->0],
               Alignment->Left,
               BaselinePosition->Baseline,
               FrameMargins->{{1, 1}, {0, 0}}],
              Frame->{{
                 RGBColor[
                 0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                  0.5], False}, {False, False}}]}
           },
           BaselinePosition->{1, 1},
           GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
           
           GridBoxItemSize->{
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
           GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
         {
          StyleBox[
           PaneBox[GridBox[{
              {
               RowBox[{
                TagBox["\<\"Version (latest): \"\>",
                 "IconizedLabel"], " ", 
                TagBox["\<\"1.0.0\"\>",
                 "IconizedItem"]}]},
              {
               TagBox[
                
                TemplateBox[{
                 "\"Documentation \[RightGuillemet]\"", 
                  "https://resources.wolframcloud.com/FunctionRepository/\
resources/AssociationTranspose"},
                 "HyperlinkURL"],
                "IconizedItem"]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
            Alignment->Left,
            BaselinePosition->Baseline,
            FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
           FontFamily->"Roboto",
           FontSize->11]}
        },
        BaselinePosition->{1, 1},
        GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
        GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
             GrayLevel[0.8]}, False}},
        GridBoxItemSize->{
         "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
       Typeset`open],
       BaselinePosition->Baseline,
       ImageSize->Automatic],
      Background->RGBColor[
       0.9686274509803922, 0.9764705882352941, 0.984313725490196],
      BaselinePosition->Baseline,
      DefaultBaseStyle->{},
      FrameMargins->{{0, 0}, {1, 0}},
      FrameStyle->RGBColor[
       0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
      RoundingRadius->4]],
    {"FunctionResourceBox", 
     RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
     "AssociationTranspose"},
    TagBoxNote->"FunctionResourceBox"],
   ResourceFunction[
    ResourceObject[<|
     "Name" -> "AssociationTranspose", "ShortName" -> "AssociationTranspose", 
      "UUID" -> "975b0a86-6135-4959-97ac-9d46e97dbdaf", "ResourceType" -> 
      "Function", "Version" -> "1.0.0", "Description" -> 
      "Transpose the levels of an Association with nested levels", 
      "RepositoryLocation" -> 
      URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
      "SymbolName" -> 
      "FunctionRepository`$5ca0c0e6ee5c4521a1ead97f2c19c656`\
AssociationTranspose", "FunctionLocation" -> 
      CloudObject[
       "https://www.wolframcloud.com/obj/acb613c2-d806-458b-b1d2-\
137c5a321e22"]|>, ResourceSystemBase -> Automatic]],
   Selectable->False], "[", 
  RowBox[{"<|", 
   RowBox[{
    RowBox[{"1", "->", 
     RowBox[{"<|", 
      RowBox[{"a", "->", "x"}], "|>"}]}], ",", 
    RowBox[{"2", "->", 
     RowBox[{"<|", 
      RowBox[{"a", "->", "y"}], "|>"}]}]}], "|>"}], "]"}]], "Input",
 CellChangeTimes->{{3.8654233977381887`*^9, 3.8654234041077747`*^9}, {
  3.8680019799367857`*^9, 3.868001985473178*^9}},
 CellLabel->"In[526]:=",
 CellID->731795315,ExpressionUUID->"adc137e7-07a5-43f3-b133-8702ebc02bd9"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{"a", "\[Rule]", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"1", "\[Rule]", "x"}], ",", 
     RowBox[{"2", "\[Rule]", "y"}]}], "\[RightAssociation]"}]}], 
  "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{3.881424416347497*^9},
 CellLabel->"Out[526]=",
 CellID->1763787497,ExpressionUUID->"73cf0979-3110-46e8-adf3-58a0cd555242"]
}, Open  ]],

Cell[TextData[{
 "I\[CloseCurlyQuote]ll show in a later chapter, though, that ",
 ButtonBox["Transpose",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Transpose.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Transpose.html"],
 " works wonders on Datasets. "
}], "Text",
 CellChangeTimes->{{3.769376403349793*^9, 3.7693764528918257`*^9}, {
  3.769376493499619*^9, 3.769376507175953*^9}, {3.7759263256533213`*^9, 
  3.7759263429633217`*^9}, {3.8654233372189198`*^9, 3.865423378076356*^9}, {
  3.8661267565160894`*^9, 3.8661267571886005`*^9}},
 CellID->1514411137,ExpressionUUID->"4953cb51-802d-4ee4-895e-5da3999009b4"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[StyleBox[ButtonBox["KeyMap",
 BaseStyle->"Hyperlink",
 ButtonData->{
   URL["https://reference.wolfram.com/language/ref/KeyMap.html"], None},
 ButtonNote->"https://reference.wolfram.com/language/ref/KeyMap.html"],
 FontColor->RGBColor[
  0.9019607843137255, 0.4117647058823529, 
   0.027450980392156862`]]], "Subsection",
 CellID->184051358,ExpressionUUID->"e15558b0-0767-46fe-928f-e0084a8e118b"],

Cell[TextData[{
 "So far, all the variants of ",
 ButtonBox["Map",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Map.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Map.html"],
 " considered have operated only on the values of the ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 ", but sometimes one needs to work on the keys. The main function to do this \
is ",
 ButtonBox["KeyMap",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/KeyMap.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/KeyMap.html"],
 ". "
}], "Text",
 CellChangeTimes->{{3.769325482003002*^9, 3.769325592923065*^9}, {
   3.76937655112674*^9, 3.769376551726077*^9}, {3.76995504376517*^9, 
   3.769955046395837*^9}, {3.7759263883153214`*^9, 3.7759264162573214`*^9}, {
   3.775926634938321*^9, 3.7759266518153214`*^9}, 3.7759266823783216`*^9, 
   3.780310833213275*^9, {3.8572305415681257`*^9, 3.857230549625285*^9}},
 CellTags->"i:54",
 CellID->1024277452,ExpressionUUID->"79fe8b1f-fbc1-4b87-923b-e06d10614662"],

Cell[TextData[{
 "Here\[CloseCurlyQuote]s one that joins the string ",
 Cell[BoxData[
 "\"\<passenger\>\""], "InlineCode",ExpressionUUID->
  "e72b6a08-9eb6-4ff1-aaf2-bc85a941ffdb"],
 " to all the keys for one row of ",
 Cell[BoxData[
 "dinghy"], "InlineCode",ExpressionUUID->
  "7d43ba1c-6145-42c4-92a2-25b9533488fd"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.7759266797983217`*^9, 3.7759267145623217`*^9}, {
  3.7759268444073215`*^9, 3.7759268448573217`*^9}},
 CellID->138969239,ExpressionUUID->"65e15588-2778-44a9-9b81-f6179df1f362"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"KeyMap", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"StringJoin", "[", 
     RowBox[{"\"\<passenger\>\"", ",", "#"}], "]"}], "&"}], ",", 
   RowBox[{"dinghy", "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.769325594966837*^9, 3.7693256125132227`*^9}, 
   3.7699549644184437`*^9},
 CellLabel->"In[296]:=",
 CellID->459187689,ExpressionUUID->"3cb2deef-c0d2-4065-9cc4-4b4c8bc83079"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"passengerclass\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
   RowBox[{"\<\"passengerage\"\>", "\[Rule]", "16"}], ",", 
   RowBox[{"\<\"passengersex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
   RowBox[{"\<\"passengersurvived\"\>", "\[Rule]", "True"}]}], 
  "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{3.769325612967147*^9, 3.76933225158429*^9, 
  3.7693765554255323`*^9, 3.7699551255826273`*^9, 3.769955271496155*^9, 
  3.771929805056037*^9, 3.8814198589399014`*^9},
 CellLabel->"Out[296]=",
 CellID->1229788853,ExpressionUUID->"f650070d-51d1-4ebf-841f-3a2d9a4b1a98"]
}, Open  ]],

Cell["\<\
There\[CloseCurlyQuote]s an operator form in which the operator is the \
function to be applied:\
\>", "CodeText",
 CellChangeTimes->{{3.769325619690934*^9, 3.7693256518861637`*^9}, {
  3.7758165439281845`*^9, 3.7758165443122225`*^9}, {3.7759268523673215`*^9, 
  3.7759268528633213`*^9}},
 CellTags->"p: 89",
 CellID->1155881018,ExpressionUUID->"870102d5-5576-4a55-8b72-415b38ecbf26"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"KeyMap", "[", 
   RowBox[{
    RowBox[{"StringJoin", "[", 
     RowBox[{"\"\<passenger\>\"", ",", "#"}], "]"}], "&"}], "]"}], "[", 
  RowBox[{"dinghy", "[", 
   RowBox[{"[", "1", "]"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.7693256328390102`*^9, 3.769325657235428*^9}, 
   3.769954965089836*^9},
 CellLabel->"In[297]:=",
 CellID->26362234,ExpressionUUID->"197ce2b4-53c4-4faf-a7fc-8ad1f7d49f02"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"passengerclass\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
   RowBox[{"\<\"passengerage\"\>", "\[Rule]", "16"}], ",", 
   RowBox[{"\<\"passengersex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
   RowBox[{"\<\"passengersurvived\"\>", "\[Rule]", "True"}]}], 
  "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{3.769325657791088*^9, 3.769332251616848*^9, 
  3.769376557567116*^9, 3.769955125624457*^9, 3.769955271532658*^9, 
  3.7719298050906143`*^9, 3.881419865299757*^9},
 CellLabel->"Out[297]=",
 CellID->1080023975,ExpressionUUID->"bf30ddf4-096c-42c3-8838-dca0082db435"]
}, Open  ]],

Cell[TextData[{
 "If I want to apply a function to the keys in a structure of Associations, I \
have to combine ",
 ButtonBox["KeyMap",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/KeyMap.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/KeyMap.html"],
 " with one of the ",
 ButtonBox["Map",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Map.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Map.html"],
 " variants. "
}], "Text",
 CellChangeTimes->{{3.7693256745191402`*^9, 3.769325733818366*^9}, 
   3.769955061849669*^9, {3.7759268595883217`*^9, 3.7759268731643214`*^9}, 
   3.7759269753943214`*^9, 3.780310859988428*^9, {3.8572305766988993`*^9, 
   3.857230581432487*^9}},
 CellID->954667861,ExpressionUUID->"46062715-4cd8-483c-bfc8-f0d1e481821e"],

Cell[TextData[{
 "Here I change the keys for all the rows of ",
 Cell[BoxData[
 "dinghy"], "InlineCode",ExpressionUUID->
  "a05caa37-9aae-4ac1-a366-c241b4d2df3d"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.775926959193321*^9, 3.775926972214321*^9}, 
   3.7803108672520313`*^9, 3.86628223031625*^9},
 CellID->384578419,ExpressionUUID->"7123d69c-0055-4443-a13b-22d18f7ced37"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Map", "[", 
   RowBox[{"KeyMap", "[", 
    RowBox[{
     RowBox[{"StringJoin", "[", 
      RowBox[{"\"\<passenger\>\"", ",", "#"}], "]"}], "&"}], "]"}], "]"}], 
  "[", "dinghy", "]"}]], "Input",
 CellChangeTimes->{{3.76932573556954*^9, 3.769325751828027*^9}, 
   3.769954965801111*^9},
 CellLabel->"In[298]:=",
 CellID->267936898,ExpressionUUID->"3fb89b43-8996-438f-b019-07c84e815806"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"passengerclass\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"passengerage\"\>", "\[Rule]", "16"}], ",", 
     RowBox[{"\<\"passengersex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"passengersurvived\"\>", "\[Rule]", "True"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"passengerclass\"\>", "\[Rule]", "\<\"1st\"\>"}], ",", 
     RowBox[{"\<\"passengerage\"\>", "\[Rule]", "65"}], ",", 
     RowBox[{"\<\"passengersex\"\>", "\[Rule]", "\<\"male\"\>"}], ",", 
     RowBox[{"\<\"passengersurvived\"\>", "\[Rule]", "False"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"passengerclass\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"passengerage\"\>", "\[Rule]", "2"}], ",", 
     RowBox[{"\<\"passengersex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"passengersurvived\"\>", "\[Rule]", "False"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"passengerclass\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"passengerage\"\>", "\[Rule]", 
      RowBox[{"Missing", "[", "]"}]}], ",", 
     RowBox[{"\<\"passengersex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"passengersurvived\"\>", "\[Rule]", "True"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"passengerclass\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"passengerage\"\>", "\[Rule]", "18"}], ",", 
     RowBox[{"\<\"passengersex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"passengersurvived\"\>", "\[Rule]", "False"}]}], 
    "\[RightAssociation]"}]}], "}"}]], "Output",
 CellChangeTimes->{3.769325752146735*^9, 3.769332251630528*^9, 
  3.769376568712408*^9, 3.769955125633919*^9, 3.7699552715451937`*^9, 
  3.771929805101416*^9, 3.881419871116075*^9},
 CellLabel->"Out[298]=",
 CellID->1306175814,ExpressionUUID->"a606c9c9-242d-409b-bb49-2fd511ec425c"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[StyleBox[ButtonBox["KeyValueMap",
 BaseStyle->"Hyperlink",
 ButtonData->{
   URL["https://reference.wolfram.com/language/ref/KeyValueMap.html"], None},
 ButtonNote->"https://reference.wolfram.com/language/ref/KeyValueMap.html"],
 FontColor->RGBColor[
  0.9019607843137255, 0.4117647058823529, 
   0.027450980392156862`]]], "Subsection",
 CellID->1075599377,ExpressionUUID->"2a18bd49-06ba-4eff-acd0-952654522348"],

Cell[TextData[{
 "Sometimes I need to compute results for each key-value pair in an \
Association based on both the key and the value. The function to do this is ",
 ButtonBox["KeyValueMap",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/KeyValueMap.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/KeyValueMap.html"],
 ". It looks a lot like ",
 ButtonBox["KeyMap",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/KeyMap.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/KeyMap.html"],
 " except one writes a function of two arguments: the first argument is the \
key and the second argument is the value. "
}], "Text",
 CellChangeTimes->{{3.769325813329906*^9, 3.7693259442337713`*^9}, {
   3.769326027181995*^9, 3.769326044139205*^9}, {3.7693261284031067`*^9, 
   3.769326128838336*^9}, 3.7694234584260273`*^9, 3.769423680558528*^9, {
   3.775926988200321*^9, 3.775927002509321*^9}},
 CellTags->"i:55",
 CellID->1062265376,ExpressionUUID->"0c60581c-25ad-4057-9cac-292bb379814c"],

Cell[TextData[{
 "The function used for mapping in ",
 ButtonBox["KeyValueMap",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/KeyValueMap.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/KeyValueMap.html"],
 " requires two arguments. The first argument is the key and the second \
argument is the value:"
}], "CodeText",
 CellChangeTimes->{{3.780310928890195*^9, 3.7803109309640493`*^9}, 
   3.7803110355193853`*^9, {3.85703152928329*^9, 3.8570315336694*^9}},
 CellID->1114634023,ExpressionUUID->"5b42d233-aa45-448a-903b-fe16019e6aa9"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"KeyValueMap", "[", 
  RowBox[{"f", ",", "chingAssociation"}], "]"}]], "Input",
 CellChangeTimes->{{3.769376615513628*^9, 3.769376616065487*^9}, {
  3.76942344799573*^9, 3.769423450036469*^9}},
 CellLabel->"In[299]:=",
 CellID->38425431,ExpressionUUID->"562f4bfc-7dae-4c34-9c4c-f1f59fb405a8"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"f", "[", 
    RowBox[{"\<\"team\"\>", ",", "\<\"HOU\"\>"}], "]"}], ",", 
   RowBox[{"f", "[", 
    RowBox[{"\<\"lastName\"\>", ",", "\<\"Ching\"\>"}], "]"}], ",", 
   RowBox[{"f", "[", 
    RowBox[{"\<\"firstName\"\>", ",", "\<\"Brian\"\>"}], "]"}], ",", 
   RowBox[{"f", "[", 
    RowBox[{"\<\"position\"\>", ",", "\<\"F\"\>"}], "]"}], ",", 
   RowBox[{"f", "[", 
    RowBox[{"\<\"baseSalary\"\>", ",", 
     TemplateBox[{"220000", 
       RowBox[{
         FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
       "US dollars", "\"USDollars\""},
      "QuantityPrefix"]}], "]"}], ",", 
   RowBox[{"f", "[", 
    RowBox[{"\<\"guaranteedSalary\"\>", ",", 
     TemplateBox[{"220000", 
       RowBox[{
         FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
       "US dollars", "\"USDollars\""},
      "QuantityPrefix"]}], "]"}], ",", 
   RowBox[{"f", "[", 
    RowBox[{"\<\"year\"\>", ",", 
     TemplateBox[{
       RowBox[{
         StyleBox["\"Year: \"", "DateObjectLabel"], "\"2007\""}], 
       RowBox[{"DateObject", "[", 
         RowBox[{
           RowBox[{"{", "2007", "}"}], ",", "\"Year\"", ",", "\"Gregorian\"", 
           ",", 
           RowBox[{"-", "5.`"}]}], "]"}]},
      "DateObject",
      Editable->False]}], "]"}]}], "}"}]], "Output",
 CellChangeTimes->{3.769326048804422*^9, 3.76933225166383*^9, 
  3.769376617384427*^9, 3.769423450398044*^9, 3.7699551256747723`*^9, 
  3.769955271582502*^9, 3.771929805133708*^9, 3.881419895206356*^9},
 CellLabel->"Out[299]=",
 CellID->872562889,ExpressionUUID->"403502f2-cde3-4ea1-904c-a3272b29a37a"]
}, Open  ]],

Cell["\<\
Here\[CloseCurlyQuote]s a fanciful example that may help with understanding: \
the output is a list of framed columns, the top element of which is the key \
and the bottom element of which is the value. \
\>", "Text",
 CellChangeTimes->{{3.739883282554957*^9, 3.7398833784079943`*^9}, {
  3.739883425293589*^9, 3.739883451029285*^9}, {3.7398835982777157`*^9, 
  3.739883673351468*^9}, {3.739883773878777*^9, 3.739883815499778*^9}, {
  3.739883924362521*^9, 3.739883949357573*^9}, {3.7411114299773407`*^9, 
  3.74111146309429*^9}, {3.7411115105522823`*^9, 3.741111560062652*^9}, {
  3.7697768512280483`*^9, 3.769776862162286*^9}, {3.7758165519929905`*^9, 
  3.77581655268906*^9}, {3.775927059039321*^9, 3.7759270593263493`*^9}},
 CellTags->"LastCellOfAPage",
 CellID->2089933769,ExpressionUUID->"50ab23da-fffd-4762-b921-be09e6fe8224"],

Cell[TextData[{
 "Using ",
 ButtonBox["Framed",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Framed.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Framed.html"],
 " and ",
 ButtonBox["Column",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Column.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Column.html"],
 " isn\[CloseCurlyQuote]t necessary but helps provide a more parse-able \
framework:"
}], "CodeText",
 CellChangeTimes->{{3.780311032146546*^9, 3.780311048996737*^9}, {
  3.8662827896422443`*^9, 3.866282798301315*^9}},
 CellTags->"p: 90",
 CellID->1376161216,ExpressionUUID->"ecc9c7dc-ffc3-42dc-8aea-5fdfdd63c633"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"KeyValueMap", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{"k", ",", "v"}], "}"}], "\[Function]", 
    RowBox[{"Framed", "[", 
     RowBox[{"Column", "[", 
      RowBox[{"{", 
       RowBox[{"k", ",", "v"}], "}"}], "]"}], "]"}]}], ",", 
   "chingAssociation"}], "]"}]], "Input",
 CellChangeTimes->{{3.741111471795197*^9, 3.741111499204628*^9}, {
  3.741111535904608*^9, 3.741111539299252*^9}, {3.741535384256843*^9, 
  3.7415353850094624`*^9}, {3.769776869780488*^9, 3.7697768716696367`*^9}},
 CellLabel->"In[300]:=",
 CellID->1274325251,ExpressionUUID->"4047b8a3-1784-4da1-91f1-f6f620794e23"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   FrameBox[
    TagBox[GridBox[{
       {"\<\"team\"\>"},
       {"\<\"HOU\"\>"}
      },
      DefaultBaseStyle->"Column",
      GridBoxAlignment->{"Columns" -> {{Left}}},
      GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
     
     "Column"],
    StripOnInput->False], ",", 
   FrameBox[
    TagBox[GridBox[{
       {"\<\"lastName\"\>"},
       {"\<\"Ching\"\>"}
      },
      DefaultBaseStyle->"Column",
      GridBoxAlignment->{"Columns" -> {{Left}}},
      GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
     
     "Column"],
    StripOnInput->False], ",", 
   FrameBox[
    TagBox[GridBox[{
       {"\<\"firstName\"\>"},
       {"\<\"Brian\"\>"}
      },
      DefaultBaseStyle->"Column",
      GridBoxAlignment->{"Columns" -> {{Left}}},
      GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
     
     "Column"],
    StripOnInput->False], ",", 
   FrameBox[
    TagBox[GridBox[{
       {"\<\"position\"\>"},
       {"\<\"F\"\>"}
      },
      DefaultBaseStyle->"Column",
      GridBoxAlignment->{"Columns" -> {{Left}}},
      GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
     
     "Column"],
    StripOnInput->False], ",", 
   FrameBox[
    TagBox[GridBox[{
       {"\<\"baseSalary\"\>"},
       {
        TemplateBox[{"220000", 
          RowBox[{
            FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
          "US dollars", "\"USDollars\""},
         "QuantityPrefix"]}
      },
      DefaultBaseStyle->"Column",
      GridBoxAlignment->{"Columns" -> {{Left}}},
      GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
     
     "Column"],
    StripOnInput->False], ",", 
   FrameBox[
    TagBox[GridBox[{
       {"\<\"guaranteedSalary\"\>"},
       {
        TemplateBox[{"220000", 
          RowBox[{
            FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
          "US dollars", "\"USDollars\""},
         "QuantityPrefix"]}
      },
      DefaultBaseStyle->"Column",
      GridBoxAlignment->{"Columns" -> {{Left}}},
      GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
     
     "Column"],
    StripOnInput->False], ",", 
   FrameBox[
    TagBox[GridBox[{
       {"\<\"year\"\>"},
       {
        TemplateBox[{
          RowBox[{
            StyleBox["\"Year: \"", "DateObjectLabel"], "\"2007\""}], 
          RowBox[{"DateObject", "[", 
            RowBox[{
              RowBox[{"{", "2007", "}"}], ",", "\"Year\"", ",", 
              "\"Gregorian\"", ",", 
              RowBox[{"-", "5.`"}]}], "]"}]},
         "DateObject",
         Editable->False]}
      },
      DefaultBaseStyle->"Column",
      GridBoxAlignment->{"Columns" -> {{Left}}},
      GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
     
     "Column"],
    StripOnInput->False]}], "}"}]], "Output",
 CellChangeTimes->{{3.741111483306099*^9, 3.7411114999493*^9}, 
   3.7411115395777607`*^9, 3.74153538568082*^9, 3.7415373864765043`*^9, 
   3.741691120904845*^9, 3.74177366602985*^9, 3.7417752121256313`*^9, 
   3.741787983402483*^9, 3.741876414772941*^9, 3.7418794713378983`*^9, 
   3.741956390770997*^9, 3.742122927384655*^9, 3.769776872052106*^9, 
   3.769955125698429*^9, 3.769955271604908*^9, 3.771929805155195*^9, 
   3.881419900105732*^9},
 CellLabel->"Out[300]=",
 CellID->1886079083,ExpressionUUID->"049fb584-9df2-48ac-a275-bf4f27b7109a"]
}, Open  ]],

Cell[TextData[{
 "Both ",
 ButtonBox["KeyValueMap",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/KeyValueMap.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/KeyValueMap.html"],
 " and ",
 ButtonBox["MapIndexed",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/MapIndexed.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/MapIndexed.html"],
 " permit functions that work on both keys and values in an ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " of key-value pairs, but their outputs are different. ",
 ButtonBox["MapIndexed",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/MapIndexed.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/MapIndexed.html"],
 " produces an ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " in which the keys are the same as the original keys but in which the \
values are a function of (1) the value and (2) the key wrapped in ",
 ButtonBox["Key",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Key.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Key.html"],
 ". ",
 ButtonBox["KeyValueMap",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/KeyValueMap.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/KeyValueMap.html"],
 " produces a ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " in which the elements are a function of (1) the key (not wrapped in ",
 ButtonBox["Key",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Key.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Key.html"],
 ") and (2) the value. "
}], "Text",
 CellChangeTimes->{{3.769423406926334*^9, 3.769423429642231*^9}, {
  3.769423506055564*^9, 3.769423607394679*^9}, {3.7759279709313183`*^9, 
  3.775928032515318*^9}, {3.857463535442399*^9, 3.857463558698279*^9}, {
  3.8662833636154685`*^9, 3.866283366728175*^9}},
 CellTags->"i:56",
 CellID->80125145,ExpressionUUID->"60415bdc-f869-4167-a199-fafa3397a58f"],

Cell[TextData[{
 ButtonBox["KeyValueMap",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/KeyValueMap.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/KeyValueMap.html"],
 " and ",
 ButtonBox["MapIndexed",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/MapIndexed.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/MapIndexed.html"],
 " produce different outputs:"
}], "CodeText",
 CellChangeTimes->{{3.7694236116655807`*^9, 3.769423622944808*^9}, {
  3.775928243212318*^9, 3.775928249580318*^9}},
 CellID->1833028837,ExpressionUUID->"db88f0b2-0c88-44f5-b986-cbf139fa1d76"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"assoc", "=", 
     RowBox[{"<|", 
      RowBox[{
       RowBox[{"\"\<a\>\"", "\[Rule]", "2"}], ",", 
       RowBox[{"\"\<b\>\"", "\[Rule]", "3"}], ",", 
       RowBox[{"something", "\[Rule]", "4"}]}], "|>"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"MapIndexed", "[", "f", "]"}], "[", "assoc", "]"}], ",", 
     RowBox[{
      RowBox[{"KeyValueMap", "[", "f", "]"}], "[", "assoc", "]"}]}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.769423431815802*^9, 3.7694234869993677`*^9}, {
  3.769423632519828*^9, 3.769423660999929*^9}, {3.769423696072723*^9, 
  3.769423700231806*^9}},
 CellLabel->"In[301]:=",
 CellID->961510129,ExpressionUUID->"42e8fa1b-b023-4f65-9f0c-b2158cf03865"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"a\"\>", "\[Rule]", 
      RowBox[{"f", "[", 
       RowBox[{"2", ",", 
        RowBox[{"{", 
         RowBox[{"Key", "[", "\<\"a\"\>", "]"}], "}"}]}], "]"}]}], ",", 
     RowBox[{"\<\"b\"\>", "\[Rule]", 
      RowBox[{"f", "[", 
       RowBox[{"3", ",", 
        RowBox[{"{", 
         RowBox[{"Key", "[", "\<\"b\"\>", "]"}], "}"}]}], "]"}]}], ",", 
     RowBox[{"something", "\[Rule]", 
      RowBox[{"f", "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"Key", "[", "something", "]"}], "}"}]}], "]"}]}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"f", "[", 
      RowBox[{"\<\"a\"\>", ",", "2"}], "]"}], ",", 
     RowBox[{"f", "[", 
      RowBox[{"\<\"b\"\>", ",", "3"}], "]"}], ",", 
     RowBox[{"f", "[", 
      RowBox[{"something", ",", "4"}], "]"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.769423487303187*^9, 3.769423661244404*^9, 
  3.769423700866342*^9, 3.769955125746869*^9, 3.769955271654817*^9, 
  3.7719298052000513`*^9, 3.881419904448825*^9},
 CellLabel->"Out[301]=",
 CellID->419892788,ExpressionUUID->"adc51450-fed7-42d2-bb8a-2fbec08bca15"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "The ",
 StyleBox[ButtonBox["KeyReplace",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
KeyReplace"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/\
KeyReplace"], "",
  FontColor->RGBColor[
   0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]],
 " Resource Function"
}], "Subsection",
 CellID->745805352,ExpressionUUID->"8dcdb700-bc13-4f50-8a6e-c28970b754da"],

Cell[TextData[{
 "Often, one doesn\[CloseCurlyQuote]t like some of the Keys in an ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 ". Perhaps, for example, some of the Keys have spaces in them that one wants \
to get rid of to make it easier to use ",
 ButtonBox["Slot",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Slot.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Slot.html"],
 " functions. The ",
 ButtonBox["ResourceFunction",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ResourceFunction.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/ResourceFunction.html"],
 " ",
 ButtonBox["KeyReplace",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
KeyReplace"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/\
KeyReplace"],
 " works well in these settings. Here I change the name of the ",
 Cell[BoxData[
 "\"\<sex\>\""], "InlineCodeText",ExpressionUUID->
  "01258617-5983-43a0-9106-5383dceea1be"],
 " key to ",
 Cell[BoxData[
 "\"\<gender\>\""], "InlineCodeText",ExpressionUUID->
  "75da28db-acbe-43b9-a391-4385fb0dd934"],
 " and the name of the ",
 Cell[BoxData[
 "\"\<class\>\""], "InlineCodeText",ExpressionUUID->
  "d0efac11-cf60-4563-b29f-d90978d7688d"],
 " key to ",
 Cell[BoxData[
 "\"\<cabin\>\""], "InlineCodeText",ExpressionUUID->
  "88afe005-c2cc-4693-a717-5cc58f4fbc77"],
 "."
}], "Text",
 CellChangeTimes->{{3.7693262050531397`*^9, 3.769326267709442*^9}, {
   3.769326349289125*^9, 3.769326371837161*^9}, {3.769376654594429*^9, 
   3.769376656901813*^9}, {3.7758165569684887`*^9, 3.775816557405532*^9}, {
   3.775928533132318*^9, 3.775928554763318*^9}, {3.775928588941318*^9, 
   3.775928613923318*^9}, 3.7759288329643183`*^9, 3.7759309778413115`*^9, {
   3.7814441094770823`*^9, 3.7814441860534563`*^9}, 3.781444224324519*^9, 
   3.857463597824194*^9, {3.857463643780089*^9, 3.857463644813483*^9}, {
   3.857463684325923*^9, 3.857463709266247*^9}, {3.857463744673524*^9, 
   3.857463758272091*^9}, {3.866559253849494*^9, 3.866559267120331*^9}, {
   3.8679263394876556`*^9, 3.867926342179803*^9}, {3.8699184574064302`*^9, 
   3.869918474650849*^9}},
 CellTags->"i:57",
 CellID->228581048,ExpressionUUID->"adfdca44-6a96-4c02-b9db-1daad0c01c77"],

Cell[TextData[{
 ButtonBox["KeyReplace",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
KeyReplace"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/\
KeyReplace"],
 " replaces keys:"
}], "CodeText",
 CellChangeTimes->{{3.769423725847096*^9, 3.769423745855247*^9}, {
  3.7759286602923183`*^9, 3.775928696627318*^9}, {3.780311156412369*^9, 
  3.780311239848155*^9}, {3.857463766602475*^9, 3.8574637678437147`*^9}, {
  3.866559287846014*^9, 3.866559311599934*^9}, {3.869918484076295*^9, 
  3.8699184945877724`*^9}},
 CellID->281753520,ExpressionUUID->"55435f95-a0ab-423d-9cbb-6085e1b697fe"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   InterpretationBox[
    TagBox[
     TagBox[
      DynamicModuleBox[{Typeset`open = False}, 
       FrameBox[
        PaneSelectorBox[{False->GridBox[{
           {
            PaneBox[GridBox[{
               {
                StyleBox[
                 StyleBox[
                  AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                   BoxBaselineShift->-0.25,
                   BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                  
                  FontColor->RGBColor[
                   0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                 ShowStringCharacters->False,
                 FontFamily->"Source Sans Pro Black",
                 FontSize->0.6538461538461539 Inherited,
                 FontWeight->"Heavy",
                 PrivateFontOptions->{"OperatorSubstitution"->False}], 
                StyleBox[
                 RowBox[{
                  StyleBox["KeyReplace", "ResourceFunctionLabel"], " "}],
                 ShowAutoStyles->False,
                 ShowStringCharacters->False,
                 FontSize->Rational[12, 13] Inherited,
                 FontColor->GrayLevel[0.1]]}
              },
              GridBoxSpacings->{"Columns" -> {{0.25}}}],
             Alignment->Left,
             BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
             BaselinePosition->Baseline,
             FrameMargins->{{3, 0}, {0, 0}}], 
            ItemBox[
             PaneBox[
              TogglerBox[Dynamic[Typeset`open], {True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "IconizeCloser"],
                ImageSizeCache->{11., {2., 9.}}], False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "IconizeOpener"],
                ImageSizeCache->{11., {2., 9.}}]},
               Appearance->None,
               BaselinePosition->Baseline,
               ContentPadding->False,
               FrameMargins->0],
              Alignment->Left,
              BaselinePosition->Baseline,
              FrameMargins->{{1, 1}, {0, 0}}],
             Frame->{{
                RGBColor[
                0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                 0.5], False}, {False, False}}]}
          },
          BaselinePosition->{1, 1},
          GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
         GridBox[{
           {GridBox[{
              {
               PaneBox[GridBox[{
                  {
                   StyleBox[
                    StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                    ShowStringCharacters->False,
                    FontFamily->"Source Sans Pro Black",
                    FontSize->0.6538461538461539 Inherited,
                    FontWeight->"Heavy",
                    PrivateFontOptions->{"OperatorSubstitution"->False}], 
                   StyleBox[
                    RowBox[{
                    StyleBox["KeyReplace", "ResourceFunctionLabel"], " "}],
                    ShowAutoStyles->False,
                    ShowStringCharacters->False,
                    FontSize->Rational[12, 13] Inherited,
                    FontColor->GrayLevel[0.1]]}
                 },
                 GridBoxSpacings->{"Columns" -> {{0.25}}}],
                Alignment->Left,
                BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
                BaselinePosition->Baseline,
                FrameMargins->{{3, 0}, {0, 0}}], 
               ItemBox[
                PaneBox[
                 TogglerBox[Dynamic[Typeset`open], {True->
                  
                  DynamicBox[FEPrivate`FrontEndResource[
                   "FEBitmaps", "IconizeCloser"]], False->
                  
                  DynamicBox[FEPrivate`FrontEndResource[
                   "FEBitmaps", "IconizeOpener"]]},
                  Appearance->None,
                  BaselinePosition->Baseline,
                  ContentPadding->False,
                  FrameMargins->0],
                 Alignment->Left,
                 BaselinePosition->Baseline,
                 FrameMargins->{{1, 1}, {0, 0}}],
                Frame->{{
                   RGBColor[
                   0.8313725490196079, 0.8470588235294118, 0.8509803921568627,
                     0.5], False}, {False, False}}]}
             },
             BaselinePosition->{1, 1},
             GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
           {
            StyleBox[
             PaneBox[GridBox[{
                {
                 RowBox[{
                  TagBox["\<\"Version (latest): \"\>",
                   "IconizedLabel"], " ", 
                  TagBox["\<\"1.0.0\"\>",
                   "IconizedItem"]}]},
                {
                 TagBox[
                  
                  TemplateBox[{
                   "\"Documentation \[RightGuillemet]\"", 
                    "https://resources.wolframcloud.com/FunctionRepository/\
resources/f08fa72b-f05b-4d12-b1c4-1e140d332123/"},
                   "HyperlinkURL"],
                  "IconizedItem"]}
               },
               DefaultBaseStyle->"Column",
               GridBoxAlignment->{"Columns" -> {{Left}}},
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
              Alignment->Left,
              BaselinePosition->Baseline,
              FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
             FontFamily->"Roboto",
             FontSize->11]}
          },
          BaselinePosition->{1, 1},
          GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
          GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
               GrayLevel[0.8]}, False}},
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
         Typeset`open],
         BaselinePosition->Baseline,
         ImageSize->Automatic],
        Background->RGBColor[
         0.9686274509803922, 0.9764705882352941, 0.984313725490196],
        BaselinePosition->Baseline,
        DefaultBaseStyle->{},
        FrameMargins->{{0, 0}, {1, 0}},
        FrameStyle->RGBColor[
         0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
        RoundingRadius->4]],
      #& ,
      TagBoxNote->" "],
     {"FunctionResourceBox", 
      RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
      "KeyReplace"},
     TagBoxNote->"FunctionResourceBox"],
    ResourceFunction[
     ResourceObject[<|
      "Name" -> "KeyReplace", "ShortName" -> "KeyReplace", "UUID" -> 
       "f08fa72b-f05b-4d12-b1c4-1e140d332123", "ResourceType" -> "Function", 
       "Version" -> "1.0.0", "Description" -> 
       "Replace keys in an association", "RepositoryLocation" -> 
       URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
       "SymbolName" -> 
       "FunctionRepository`$b7fbb364305d4f709d93d157687413d0`KeyReplace", 
       "FunctionLocation" -> 
       CloudObject[
        "https://www.wolframcloud.com/objects/ecc10687-b693-4282-9255-\
14e8bb591c2d"]|>, ResourceSystemBase -> Automatic]],
    Selectable->False], "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"\"\<sex\>\"", "\[Rule]", "\"\<gender\>\""}], ",", 
     RowBox[{"\"\<class\>\"", "->", "\"\<cabin\>\""}]}], "}"}], "]"}], "[", 
  RowBox[{"dinghy", "[", 
   RowBox[{"[", "1", "]"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.769326273236792*^9, 3.769326342519706*^9}, {
   3.7693332125325403`*^9, 3.76933323905371*^9}, 3.76995496654148*^9, 
   3.8811487107891808`*^9},
 CellLabel->"In[302]:=",
 CellID->1807562840,ExpressionUUID->"0cd51b25-644f-41bc-a17b-1329f43f5eae"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"cabin\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
   RowBox[{"\<\"age\"\>", "\[Rule]", "16"}], ",", 
   RowBox[{"\<\"gender\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
   RowBox[{"\<\"survived\"\>", "\[Rule]", "True"}]}], 
  "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{
  3.769326343680345*^9, 3.7693322516861057`*^9, {3.769333207368608*^9, 
   3.7693332404175367`*^9}, 3.769955125756277*^9, 3.7699552718074427`*^9, 
   3.7719298052376833`*^9, 3.881419910663596*^9},
 CellLabel->"Out[302]=",
 CellID->781921949,ExpressionUUID->"2d1c5dda-d17e-4d04-b64d-072b7b34730e"]
}, Open  ]],

Cell[TextData[{
 "I can combine ",
 ButtonBox["KeyReplace",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
KeyReplace"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/\
KeyReplace"],
 " with ",
 ButtonBox["Map",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Map.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Map.html"],
 " to do this for a structure of Associations."
}], "Text",
 CellChangeTimes->{{3.7693263753226347`*^9, 3.769326391901642*^9}, 
   3.775928758704318*^9, 3.780311269097097*^9, {3.869918512352415*^9, 
   3.8699185231782246`*^9}},
 CellTags->"LastCellOfAPage",
 CellID->1510930029,ExpressionUUID->"432d7bab-47d1-4ce2-8261-44b7d47d33d5"],

Cell[TextData[{
 ButtonBox["Map",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Map.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Map.html"],
 " and ",
 ButtonBox["KeyReplace",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
KeyReplace"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/\
KeyReplace"],
 " can work together:"
}], "CodeText",
 CellChangeTimes->{{3.7694237794216137`*^9, 3.769423788684141*^9}, {
   3.775928793862318*^9, 3.775928797060318*^9}, 3.780311279849461*^9, {
   3.869918530033669*^9, 3.8699185387319126`*^9}},
 CellTags->"p: 91",
 CellID->1133219154,ExpressionUUID->"38654bbc-3bdc-4be7-b74f-49c3af5b0175"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Map", "[", 
   RowBox[{
    InterpretationBox[
     TagBox[
      TagBox[
       DynamicModuleBox[{Typeset`open = False}, 
        FrameBox[
         PaneSelectorBox[{False->GridBox[{
            {
             PaneBox[GridBox[{
                {
                 StyleBox[
                  StyleBox[
                   AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                   
                   FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                  ShowStringCharacters->False,
                  FontFamily->"Source Sans Pro Black",
                  FontSize->0.6538461538461539 Inherited,
                  FontWeight->"Heavy",
                  PrivateFontOptions->{"OperatorSubstitution"->False}], 
                 StyleBox[
                  RowBox[{
                   StyleBox["KeyReplace", "ResourceFunctionLabel"], " "}],
                  ShowAutoStyles->False,
                  ShowStringCharacters->False,
                  FontSize->Rational[12, 13] Inherited,
                  FontColor->GrayLevel[0.1]]}
               },
               GridBoxSpacings->{"Columns" -> {{0.25}}}],
              Alignment->Left,
              BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
              BaselinePosition->Baseline,
              FrameMargins->{{3, 0}, {0, 0}}], 
             ItemBox[
              PaneBox[
               TogglerBox[Dynamic[Typeset`open], {True->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "IconizeCloser"],
                 ImageSizeCache->{11., {2., 9.}}], False->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "IconizeOpener"],
                 ImageSizeCache->{11., {2., 9.}}]},
                Appearance->None,
                BaselinePosition->Baseline,
                ContentPadding->False,
                FrameMargins->0],
               Alignment->Left,
               BaselinePosition->Baseline,
               FrameMargins->{{1, 1}, {0, 0}}],
              Frame->{{
                 RGBColor[
                 0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                  0.5], False}, {False, False}}]}
           },
           BaselinePosition->{1, 1},
           GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
           
           GridBoxItemSize->{
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
           GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
          GridBox[{
            {GridBox[{
               {
                PaneBox[GridBox[{
                   {
                    StyleBox[
                    StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                    ShowStringCharacters->False,
                    FontFamily->"Source Sans Pro Black",
                    FontSize->0.6538461538461539 Inherited,
                    FontWeight->"Heavy",
                    PrivateFontOptions->{"OperatorSubstitution"->False}], 
                    StyleBox[
                    RowBox[{
                    StyleBox["KeyReplace", "ResourceFunctionLabel"], " "}],
                    ShowAutoStyles->False,
                    ShowStringCharacters->False,
                    FontSize->Rational[12, 13] Inherited,
                    FontColor->GrayLevel[0.1]]}
                  },
                  GridBoxSpacings->{"Columns" -> {{0.25}}}],
                 Alignment->Left,
                 BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
                 BaselinePosition->Baseline,
                 FrameMargins->{{3, 0}, {0, 0}}], 
                ItemBox[
                 PaneBox[
                  TogglerBox[Dynamic[Typeset`open], {True->
                   
                   DynamicBox[FEPrivate`FrontEndResource[
                    "FEBitmaps", "IconizeCloser"]], False->
                   
                   DynamicBox[FEPrivate`FrontEndResource[
                    "FEBitmaps", "IconizeOpener"]]},
                   Appearance->None,
                   BaselinePosition->Baseline,
                   ContentPadding->False,
                   FrameMargins->0],
                  Alignment->Left,
                  BaselinePosition->Baseline,
                  FrameMargins->{{1, 1}, {0, 0}}],
                 Frame->{{
                    RGBColor[
                    0.8313725490196079, 0.8470588235294118, 
                    0.8509803921568627, 0.5], False}, {False, False}}]}
              },
              BaselinePosition->{1, 1},
              
              GridBoxAlignment->{
               "Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
              GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
            {
             StyleBox[
              PaneBox[GridBox[{
                 {
                  RowBox[{
                   TagBox["\<\"Version (latest): \"\>",
                    "IconizedLabel"], " ", 
                   TagBox["\<\"1.0.0\"\>",
                    "IconizedItem"]}]},
                 {
                  TagBox[
                   
                   TemplateBox[{
                    "\"Documentation \[RightGuillemet]\"", 
                    "https://resources.wolframcloud.com/FunctionRepository/\
resources/f08fa72b-f05b-4d12-b1c4-1e140d332123/"},
                    "HyperlinkURL"],
                   "IconizedItem"]}
                },
                DefaultBaseStyle->"Column",
                GridBoxAlignment->{"Columns" -> {{Left}}},
                
                GridBoxItemSize->{
                 "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
               Alignment->Left,
               BaselinePosition->Baseline,
               FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
              FontFamily->"Roboto",
              FontSize->11]}
           },
           BaselinePosition->{1, 1},
           GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
           GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
                GrayLevel[0.8]}, False}},
           
           GridBoxItemSize->{
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
          Typeset`open],
          BaselinePosition->Baseline,
          ImageSize->Automatic],
         Background->RGBColor[
          0.9686274509803922, 0.9764705882352941, 0.984313725490196],
         BaselinePosition->Baseline,
         DefaultBaseStyle->{},
         FrameMargins->{{0, 0}, {1, 0}},
         FrameStyle->RGBColor[
          0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
         RoundingRadius->4]],
       #& ,
       TagBoxNote->" "],
      {"FunctionResourceBox", 
       RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
       "KeyReplace"},
      TagBoxNote->"FunctionResourceBox"],
     ResourceFunction[
      ResourceObject[<|
       "Name" -> "KeyReplace", "ShortName" -> "KeyReplace", "UUID" -> 
        "f08fa72b-f05b-4d12-b1c4-1e140d332123", "ResourceType" -> "Function", 
        "Version" -> "1.0.0", "Description" -> 
        "Replace keys in an association", "RepositoryLocation" -> 
        URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
        "SymbolName" -> 
        "FunctionRepository`$b7fbb364305d4f709d93d157687413d0`KeyReplace", 
        "FunctionLocation" -> 
        CloudObject[
         "https://www.wolframcloud.com/objects/ecc10687-b693-4282-9255-\
14e8bb591c2d"]|>, ResourceSystemBase -> Automatic]],
     Selectable->False], "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"\"\<sex\>\"", "\[Rule]", "\"\<gender\>\""}], ",", 
      RowBox[{"\"\<class\>\"", "->", "\"\<cabin\>\""}]}], "}"}], "]"}], "]"}],
   "[", "dinghy", "]"}]], "Input",
 CellChangeTimes->{{3.769326394971444*^9, 3.7693264072741203`*^9}, {
   3.7693332484473953`*^9, 3.769333264466155*^9}, 3.769333307439348*^9, 
   3.769954967270582*^9, 3.881148713489378*^9},
 CellLabel->"In[303]:=",
 CellID->1197795070,ExpressionUUID->"1393a36d-7979-4b6f-adc0-15bff3269d4c"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"cabin\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "16"}], ",", 
     RowBox[{"\<\"gender\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "True"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"cabin\"\>", "\[Rule]", "\<\"1st\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "65"}], ",", 
     RowBox[{"\<\"gender\"\>", "\[Rule]", "\<\"male\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"cabin\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "2"}], ",", 
     RowBox[{"\<\"gender\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"cabin\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", 
      RowBox[{"Missing", "[", "]"}]}], ",", 
     RowBox[{"\<\"gender\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "True"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"cabin\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "18"}], ",", 
     RowBox[{"\<\"gender\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
    "\[RightAssociation]"}]}], "}"}]], "Output",
 CellChangeTimes->{3.769333308530971*^9, 3.769955125796571*^9, 
  3.769955271849135*^9, 3.771929805272451*^9, 3.881419917834064*^9},
 CellLabel->"Out[303]=",
 CellID->441336535,ExpressionUUID->"256a9ce5-9473-44d0-af0d-210d14634b98"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[StyleBox[ButtonBox["Select",
 BaseStyle->"Hyperlink",
 ButtonData->{
   URL["https://reference.wolfram.com/language/ref/Select.html"], None},
 ButtonNote->"https://reference.wolfram.com/language/ref/Select.html"],
 FontColor->RGBColor[
  0.9019607843137255, 0.4117647058823529, 
   0.027450980392156862`]]], "Subsection",
 CellID->1295903992,ExpressionUUID->"faa189bd-cddd-4c0a-ba5c-7ac3c674fe92"],

Cell[TextData[{
 "One can use ",
 ButtonBox["Select",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Select.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Select.html"],
 " on Associations. ",
 ButtonBox["Select",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Select.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Select.html"],
 " applies its filtering function to the values. Here, I use ",
 ButtonBox["NumericQ",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/NumericQ.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/NumericQ.html"],
 " with ",
 ButtonBox["Select",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Select.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Select.html"],
 " on those values in a row of ",
 Cell[BoxData[
 "dinghy"], "InlineCodeText",ExpressionUUID->
  "ad029a89-374d-440a-b3a0-9c69552e03f1"],
 " to find key-value pairs for which the value is numeric."
}], "Text",
 CellChangeTimes->{{3.769377312010005*^9, 3.769377380054335*^9}, {
   3.769377511454134*^9, 3.769377564137597*^9}, 3.7699549685413218`*^9, {
   3.775928812618318*^9, 3.7759288201553183`*^9}, {3.775928955319318*^9, 
   3.775928960397318*^9}, {3.7759289958983183`*^9, 3.775929003578318*^9}, {
   3.7759290867743177`*^9, 3.7759290869973183`*^9}, 3.780311363636878*^9, {
   3.857465178969715*^9, 3.85746518342875*^9}, {3.867250736304875*^9, 
   3.867250737527975*^9}},
 CellTags->"i:58",
 CellID->2049688313,ExpressionUUID->"d232e583-f39b-44e1-8248-a9f8eb8492d7"],

Cell[TextData[{
 ButtonBox["Select",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Select.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Select.html"],
 " applied to a single ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " looks at values but produces Associations of key-value pairs:"
}], "CodeText",
 CellChangeTimes->{{3.76942379314456*^9, 3.769423835682066*^9}, {
   3.7759291170497274`*^9, 3.7759291299110136`*^9}, 3.857463812854598*^9, {
   3.866559368218474*^9, 3.866559368519836*^9}},
 CellID->2139303793,ExpressionUUID->"c7e0f75d-1e06-4475-814b-13942f2212da"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Select", "[", "NumericQ", "]"}], "[", 
  RowBox[{"dinghy", "[", 
   RowBox[{"[", "1", "]"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.769377320046555*^9, 3.7693773318764877`*^9}, {
   3.7693773836009502`*^9, 3.7693773900436277`*^9}, {3.769377536991414*^9, 
   3.7693775433767853`*^9}, 3.769954971018403*^9},
 CellLabel->"In[304]:=",
 CellID->527476438,ExpressionUUID->"39043621-1b77-4688-86ed-6b3d58a1da4e"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{"\<\"age\"\>", "\[Rule]", "16"}], "\[RightAssociation]"}]], "Output",\

 CellChangeTimes->{3.769377332533044*^9, 3.769377390789462*^9, 
  3.769377544567593*^9, 3.769955125805656*^9, 3.7699552718605423`*^9, 
  3.771929805282298*^9, 3.881419924907262*^9},
 CellLabel->"Out[304]=",
 CellID->833210,ExpressionUUID->"93e18266-2149-46df-bded-f0219c24641a"]
}, Open  ]],

Cell[TextData[{
 "One can also use ",
 ButtonBox["Select",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Select.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Select.html"],
 " on Associations as a whole. Here I use the ",
 ButtonBox["Slot",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Slot.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Slot.html"],
 " function ",
 Cell[BoxData[
  RowBox[{
   RowBox[{
    ButtonBox[
     StyleBox["#",
      FontColor->GrayLevel[0]],
     BaseStyle->"Hyperlink",
     ButtonData->{
       URL["https://reference.wolfram.com/language/ref/Slot.html"], None},
     ButtonNote->"https://reference.wolfram.com/language/ref/Slot.html"], 
    "age"}], "<=", 
   RowBox[{"18", 
    ButtonBox[
     StyleBox["&",
      FontColor->GrayLevel[0]],
     BaseStyle->"Hyperlink",
     ButtonData->{
       URL["https://reference.wolfram.com/language/ref/Function.html"], None},
     ButtonNote->
      "https://reference.wolfram.com/language/ref/Function.html"]}]}]], 
  "InlineCodeText",ExpressionUUID->"7cc659fa-1998-46d7-91f5-f2f927edff4c"],
 " to find children on the dinghy."
}], "Text",
 CellChangeTimes->{{3.7693773934931583`*^9, 3.7693774498661013`*^9}, {
   3.769377614282593*^9, 3.76937764709387*^9}, 3.769955057712811*^9, {
   3.775929195459568*^9, 3.775929225404562*^9}, {3.8679264499427023`*^9, 
   3.867926450715542*^9}, {3.897755327340452*^9, 3.897755340392131*^9}},
 CellID->1523523876,ExpressionUUID->"8e2d0ccf-23cb-490e-bfe1-9b08cf746e2a"],

Cell[TextData[{
 "With the right ",
 ButtonBox["Slot",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Slot.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Slot.html"],
 " function, ",
 ButtonBox["Select",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Select.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Select.html"],
 " applied to structures of Associations can work on particular values:"
}], "CodeText",
 CellChangeTimes->{{3.769423837882874*^9, 3.769423876054175*^9}, {
   3.775930921865311*^9, 3.775930951825311*^9}, 3.780311414220199*^9},
 CellID->916662902,ExpressionUUID->"e567984a-3b27-4a6f-ad67-ae820ec231f3"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Select", "[", 
   RowBox[{
    RowBox[{"#age", "\[LessEqual]", "18"}], "&"}], "]"}], "[", "dinghy", 
  "]"}]], "Input",
 CellChangeTimes->{{3.769377453023636*^9, 3.7693774763872347`*^9}, {
   3.769377568996516*^9, 3.7693775974318027`*^9}, {3.769377629233675*^9, 
   3.769377632851706*^9}, 3.7699549718367233`*^9},
 CellLabel->"In[305]:=",
 CellID->707733951,ExpressionUUID->"3dc79917-67cc-448c-88c7-4b4f8f1b9b1a"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "16"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "True"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "2"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "18"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
    "\[RightAssociation]"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.769377476809559*^9, {3.769377580745947*^9, 3.7693775978579607`*^9}, 
   3.769377633564438*^9, 3.769955125846156*^9, 3.769955271898755*^9, 
   3.771929805313542*^9, 3.881419928199988*^9},
 CellLabel->"Out[305]=",
 CellID->1955297011,ExpressionUUID->"54a3dbe5-652d-4c02-8e29-1baa6753a6fb"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[StyleBox[ButtonBox["GatherBy",
 BaseStyle->"Hyperlink",
 ButtonData->{
   URL["https://reference.wolfram.com/language/ref/GatherBy.html"], None},
 ButtonNote->"https://reference.wolfram.com/language/ref/GatherBy.html"],
 FontColor->RGBColor[
  0.9019607843137255, 0.4117647058823529, 
   0.027450980392156862`]]], "Subsection",
 CellID->329128420,ExpressionUUID->"74319af1-c90d-4237-bdac-8a4872c02e27"],

Cell[TextData[{
 "One can use ",
 ButtonBox["GatherBy",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/GatherBy.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/GatherBy.html"],
 " on lists of Associations. Here I gather the passengers on our dinghy \
together depending on their sex. The first argument is the data to be \
gathered. The second argument is the function used to determine categories. \
Here I use the ",
 ButtonBox["Slot",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Slot.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Slot.html"],
 " function ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["#",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Slot.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Slot.html"], 
   "sex", 
   ButtonBox[
    StyleBox["&",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Function.html"], None},
    ButtonNote->
     "https://reference.wolfram.com/language/ref/Function.html"]}]], 
  "InlineCodeText",ExpressionUUID->"4655e0a8-5a1a-4ae6-b134-ea7c8b9c3e4b"],
 ". I end up with two lists. In each list, the value for the ",
 Cell[BoxData[
 "\"\<sex\>\""], "InlineCodeText",ExpressionUUID->
  "ad9b461f-89f5-4059-b5f6-d6e3e98ac50d"],
 " key is the same."
}], "Text",
 CellChangeTimes->{{3.769283677351281*^9, 3.769283801158493*^9}, 
   3.769955058728758*^9, {3.7759309582453113`*^9, 3.775930973170311*^9}, {
   3.775931005206311*^9, 3.7759310096393113`*^9}, {3.775931042221311*^9, 
   3.7759310474073114`*^9}, 3.7803113756198177`*^9, {3.857465250325033*^9, 
   3.857465254534347*^9}, {3.866284284019212*^9, 3.866284341049593*^9}, {
   3.867760718321211*^9, 3.8677607221363707`*^9}},
 CellTags->{"LastCellOfAPage", "i:59"},
 CellID->2139433989,ExpressionUUID->"a63f5ae6-51e9-42a9-b379-05282a5f1a4a"],

Cell[TextData[{
 ButtonBox["GatherBy",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/GatherBy.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/GatherBy.html"],
 " turns structures of Associations into lists of such structures:"
}], "CodeText",
 CellChangeTimes->{{3.769423882902049*^9, 3.769423931925082*^9}, {
   3.7759310563633113`*^9, 3.775931058932311*^9}, 3.78031145805197*^9},
 CellTags->"p: 92",
 CellID->1094627905,ExpressionUUID->"e072241b-a96d-4b46-870c-aa71e3b3d415"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"GatherBy", "[", 
  RowBox[{"dinghy", ",", 
   RowBox[{"#sex", "&"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.769283653716073*^9, 3.7692837314421787`*^9}, {
   3.769283766868472*^9, 3.769283769330208*^9}, 3.769954972578897*^9},
 CellLabel->"In[306]:=",
 CellID->1015375819,ExpressionUUID->"447e47aa-cc28-4bf4-8202-c263e1115d0d"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"\[LeftAssociation]", 
      RowBox[{
       RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
       RowBox[{"\<\"age\"\>", "\[Rule]", "16"}], ",", 
       RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
       RowBox[{"\<\"survived\"\>", "\[Rule]", "True"}]}], 
      "\[RightAssociation]"}], ",", 
     RowBox[{"\[LeftAssociation]", 
      RowBox[{
       RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
       RowBox[{"\<\"age\"\>", "\[Rule]", "2"}], ",", 
       RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
       RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
      "\[RightAssociation]"}], ",", 
     RowBox[{"\[LeftAssociation]", 
      RowBox[{
       RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
       RowBox[{"\<\"age\"\>", "\[Rule]", 
        RowBox[{"Missing", "[", "]"}]}], ",", 
       RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
       RowBox[{"\<\"survived\"\>", "\[Rule]", "True"}]}], 
      "\[RightAssociation]"}], ",", 
     RowBox[{"\[LeftAssociation]", 
      RowBox[{
       RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
       RowBox[{"\<\"age\"\>", "\[Rule]", "18"}], ",", 
       RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
       RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
      "\[RightAssociation]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\[LeftAssociation]", 
     RowBox[{
      RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"1st\"\>"}], ",", 
      RowBox[{"\<\"age\"\>", "\[Rule]", "65"}], ",", 
      RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"male\"\>"}], ",", 
      RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
     "\[RightAssociation]"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.769283667512322*^9, 3.769283731814999*^9}, 
   3.769283782025825*^9, 3.769332251738534*^9, 3.769955125855452*^9, 
   3.769955271911171*^9, 3.771929805368734*^9, 3.881419933840746*^9},
 CellLabel->"Out[306]=",
 CellID->95941134,ExpressionUUID->"07078f9c-91e1-4043-a24d-27aef088e793"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[StyleBox[ButtonBox["GroupBy",
 BaseStyle->"Hyperlink",
 ButtonData->{
   URL["https://reference.wolfram.com/language/ref/GroupBy.html"], None},
 ButtonNote->"https://reference.wolfram.com/language/ref/GroupBy.html"],
 FontColor->RGBColor[
  0.9019607843137255, 0.4117647058823529, 
   0.027450980392156862`]]], "Subsection",
 CellID->496398329,ExpressionUUID->"49a571fc-231b-4b0d-8391-65b597425383"],

Cell[TextData[{
 ButtonBox["GroupBy",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/GroupBy.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/GroupBy.html"],
 " is a more powerful variant of ",
 ButtonBox["GatherBy",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/GatherBy.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/GatherBy.html"],
 " that outputs an ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " instead of a ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of Lists. It works well on both old-school data and structures involving \
Associations. Here I grab a ",
 ButtonBox["RandomSample",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/RandomSample.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/RandomSample.html"],
 " of 20 rows from the MLS data that was used extensively in a previous \
chapter. I make use of ",
 Cell[BoxData[
  ButtonBox["ResourceFunction",
   BaseStyle->"FunctionHyperlink",
   ButtonData->{
     URL["https://reference.wolfram.com/language/ref/ResourceFunction.html"], 
     None},
   ButtonNote->
    "https://reference.wolfram.com/language/ref/ResourceFunction.html"]],
  ExpressionUUID->"d4fdca58-66d6-46d3-b8ab-893ee9282834"],
 Cell[BoxData[
  RowBox[{"[", "\"\<Terse\>\"", "]"}]], "InlineCodeText",ExpressionUUID->
  "8c2669c6-d5f6-4f76-8fbd-3cc69a264698"],
 " to shorten the output. ",
 ButtonBox["Terse",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
Terse"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/Terse"],
 " is an operator form of ",
 ButtonBox["Short",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Short.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Short.html"],
 " that shortens the output display to some default length or, if one \
specifies an integer as an argument, to approximately that number of lines."
}], "Text",
 CellTags->"i:60",
 CellID->2140230555,ExpressionUUID->"d736cc46-e3cc-4101-8c35-3e23548e19e1"],

Cell["A small sample of the MLS data:", "CodeText",
 CellChangeTimes->{{3.7694239408802643`*^9, 3.7694239512654057`*^9}, 
   3.7759961876672*^9, {3.7803119453948097`*^9, 3.780311948330455*^9}, {
   3.8662846803295317`*^9, 3.8662846818849154`*^9}},
 CellTags->"i:61",
 CellID->464797007,ExpressionUUID->"2a640f66-4bc9-4896-86cf-02ea7c54bd15"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"mls", "=", 
   RowBox[{"ResourceData", "[", 
    RowBox[{"ro", ",", "\"\<MLS List of Lists\>\""}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"SeedRandom", "[", "61119", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(", 
   RowBox[{"mlsSample", "=", 
    RowBox[{"RandomSample", "[", 
     RowBox[{"mls", ",", "20"}], "]"}]}], ")"}], "//", 
  RowBox[{
   InterpretationBox[
    TagBox[
     TagBox[
      DynamicModuleBox[{Typeset`open = False}, 
       FrameBox[
        PaneSelectorBox[{False->GridBox[{
           {
            PaneBox[GridBox[{
               {
                StyleBox[
                 StyleBox[
                  AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                   BoxBaselineShift->-0.25,
                   BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                  
                  FontColor->RGBColor[
                   0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                 ShowStringCharacters->False,
                 FontFamily->"Source Sans Pro Black",
                 FontSize->0.6538461538461539 Inherited,
                 FontWeight->"Heavy",
                 PrivateFontOptions->{"OperatorSubstitution"->False}], 
                StyleBox[
                 RowBox[{
                  StyleBox["Terse", "ResourceFunctionLabel"], " "}],
                 ShowAutoStyles->False,
                 ShowStringCharacters->False,
                 FontSize->Rational[12, 13] Inherited,
                 FontColor->GrayLevel[0.1]]}
              },
              GridBoxSpacings->{"Columns" -> {{0.25}}}],
             Alignment->Left,
             BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
             BaselinePosition->Baseline,
             FrameMargins->{{3, 0}, {0, 0}}], 
            ItemBox[
             PaneBox[
              TogglerBox[Dynamic[Typeset`open], {True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "IconizeCloser"],
                ImageSizeCache->{11., {2., 9.}}], False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "IconizeOpener"],
                ImageSizeCache->{11., {2., 9.}}]},
               Appearance->None,
               BaselinePosition->Baseline,
               ContentPadding->False,
               FrameMargins->0],
              Alignment->Left,
              BaselinePosition->Baseline,
              FrameMargins->{{1, 1}, {0, 0}}],
             Frame->{{
                RGBColor[
                0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                 0.5], False}, {False, False}}]}
          },
          BaselinePosition->{1, 1},
          GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
         GridBox[{
           {GridBox[{
              {
               PaneBox[GridBox[{
                  {
                   StyleBox[
                    StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                    ShowStringCharacters->False,
                    FontFamily->"Source Sans Pro Black",
                    FontSize->0.6538461538461539 Inherited,
                    FontWeight->"Heavy",
                    PrivateFontOptions->{"OperatorSubstitution"->False}], 
                   StyleBox[
                    RowBox[{
                    StyleBox["Terse", "ResourceFunctionLabel"], " "}],
                    ShowAutoStyles->False,
                    ShowStringCharacters->False,
                    FontSize->Rational[12, 13] Inherited,
                    FontColor->GrayLevel[0.1]]}
                 },
                 GridBoxSpacings->{"Columns" -> {{0.25}}}],
                Alignment->Left,
                BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
                BaselinePosition->Baseline,
                FrameMargins->{{3, 0}, {0, 0}}], 
               ItemBox[
                PaneBox[
                 TogglerBox[Dynamic[Typeset`open], {True->
                  
                  DynamicBox[FEPrivate`FrontEndResource[
                   "FEBitmaps", "IconizeCloser"]], False->
                  
                  DynamicBox[FEPrivate`FrontEndResource[
                   "FEBitmaps", "IconizeOpener"]]},
                  Appearance->None,
                  BaselinePosition->Baseline,
                  ContentPadding->False,
                  FrameMargins->0],
                 Alignment->Left,
                 BaselinePosition->Baseline,
                 FrameMargins->{{1, 1}, {0, 0}}],
                Frame->{{
                   RGBColor[
                   0.8313725490196079, 0.8470588235294118, 0.8509803921568627,
                     0.5], False}, {False, False}}]}
             },
             BaselinePosition->{1, 1},
             GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
           {
            StyleBox[
             PaneBox[GridBox[{
                {
                 RowBox[{
                  TagBox["\<\"Version (latest): \"\>",
                   "IconizedLabel"], " ", 
                  TagBox["\<\"1.0.0\"\>",
                   "IconizedItem"]}]},
                {
                 TagBox[
                  
                  TemplateBox[{
                   "\"Documentation \[RightGuillemet]\"", 
                    "https://resources.wolframcloud.com/FunctionRepository/\
resources/6809487c-44ed-4a55-a610-ab706ebb8661/"},
                   "HyperlinkURL"],
                  "IconizedItem"]}
               },
               DefaultBaseStyle->"Column",
               GridBoxAlignment->{"Columns" -> {{Left}}},
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
              Alignment->Left,
              BaselinePosition->Baseline,
              FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
             FontFamily->"Roboto",
             FontSize->11]}
          },
          BaselinePosition->{1, 1},
          GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
          GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
               GrayLevel[0.8]}, False}},
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
         Typeset`open],
         BaselinePosition->Baseline,
         ImageSize->Automatic],
        Background->RGBColor[
         0.9686274509803922, 0.9764705882352941, 0.984313725490196],
        BaselinePosition->Baseline,
        DefaultBaseStyle->{},
        FrameMargins->{{0, 0}, {1, 0}},
        FrameStyle->RGBColor[
         0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
        RoundingRadius->4]],
      #& ,
      TagBoxNote->" "],
     {"FunctionResourceBox", 
      RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
      "Terse"},
     TagBoxNote->"FunctionResourceBox"],
    ResourceFunction[
     ResourceObject[<|
      "Name" -> "Terse", "ShortName" -> "Terse", "UUID" -> 
       "6809487c-44ed-4a55-a610-ab706ebb8661", "ResourceType" -> "Function", 
       "Version" -> "1.0.0", "Description" -> "An operator form of Short", 
       "RepositoryLocation" -> 
       URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
       "SymbolName" -> 
       "FunctionRepository`$369a78f89aa2413eb5b19a962ce89cd7`Terse", 
       "FunctionLocation" -> 
       CloudObject[
        "https://www.wolframcloud.com/obj/c1820918-b759-4685-b9b8-\
c971a81216b5"]|>, ResourceSystemBase -> Automatic]],
    Selectable->False], "[", "5", "]"}]}]}], "Input",
 CellChangeTimes->{{3.7692840446643972`*^9, 3.7692841068065367`*^9}, {
  3.769333355151885*^9, 3.769333464867038*^9}, {3.769333542269623*^9, 
  3.769333543078174*^9}, {3.769376916621128*^9, 3.769376916820166*^9}, {
  3.769976035193096*^9, 3.7699760547904387`*^9}, {3.7704061148159*^9, 
  3.77040612642179*^9}, {3.771929761324288*^9, 3.771929763739229*^9}, {
  3.8806303577532578`*^9, 3.8806303660090923`*^9}},
 CellLabel->"In[307]:=",
 CellID->1800285455,ExpressionUUID->"bac2076d-9e25-4f2d-86e8-6eb27c9f740a"],

Cell[BoxData[
 TagBox[
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"\<\"COL\"\>", ",", "\<\"Ceus\"\>", ",", "\<\"Steward\"\>", 
      ",", "\<\"GK\"\>", ",", 
      TemplateBox[{
        InterpretationBox[
        "\"60\[ThinSpace]000.00\"", 60000., Selectable -> False], 
        RowBox[{
          FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
        "US dollars", "\"USDollars\""},
       "QuantityPrefix"], ",", 
      TemplateBox[{
        InterpretationBox[
        "\"70\[ThinSpace]333.33\"", 70333.33, Selectable -> False], 
        RowBox[{
          FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
        "US dollars", "\"USDollars\""},
       "QuantityPrefix"], ",", 
      TemplateBox[{
        RowBox[{
          StyleBox["\"Year: \"", "DateObjectLabel"], "\"2013\""}], 
        RowBox[{"DateObject", "[", 
          RowBox[{
            RowBox[{"{", "2013", "}"}], ",", "\"Year\""}], "]"}]},
       "DateObject",
       Editable->False]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\<\"CLB\"\>", ",", "\<\"Mendoza\"\>", ",", "\<\"Andres\"\>", 
      ",", "\<\"F\"\>", ",", 
      TemplateBox[{
        InterpretationBox[
        "\"500\[ThinSpace]000.00\"", 500000., Selectable -> False], 
        RowBox[{
          FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
        "US dollars", "\"USDollars\""},
       "QuantityPrefix"], ",", 
      TemplateBox[{
        InterpretationBox[
        "\"595\[ThinSpace]000.00\"", 595000., Selectable -> False], 
        RowBox[{
          FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
        "US dollars", "\"USDollars\""},
       "QuantityPrefix"], ",", 
      TemplateBox[{
        RowBox[{
          StyleBox["\"Year: \"", "DateObjectLabel"], "\"2011\""}], 
        RowBox[{"DateObject", "[", 
          RowBox[{
            RowBox[{"{", "2011", "}"}], ",", "\"Year\""}], "]"}]},
       "DateObject",
       Editable->False]}], "}"}], ",", 
    RowBox[{"\[LeftSkeleton]", "16", "\[RightSkeleton]"}], ",", 
    RowBox[{"{", 
     RowBox[{"\<\"RSL\"\>", ",", "\<\"Forko\"\>", ",", "\<\"Willis\"\>", 
      ",", "\<\"D\"\>", ",", 
      TemplateBox[{
        InterpretationBox[
        "\"30\[ThinSpace]000.00\"", 30000., Selectable -> False], 
        RowBox[{
          FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
        "US dollars", "\"USDollars\""},
       "QuantityPrefix"], ",", 
      TemplateBox[{
        InterpretationBox[
        "\"30\[ThinSpace]000.00\"", 30000., Selectable -> False], 
        RowBox[{
          FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
        "US dollars", "\"USDollars\""},
       "QuantityPrefix"], ",", 
      TemplateBox[{
        RowBox[{
          StyleBox["\"Year: \"", "DateObjectLabel"], "\"2007\""}], 
        RowBox[{"DateObject", "[", 
          RowBox[{
            RowBox[{"{", "2007", "}"}], ",", "\"Year\""}], "]"}]},
       "DateObject",
       Editable->False]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\<\"LA\"\>", ",", "\<\"Valentin\"\>", ",", "\<\"Julian\"\>", 
      ",", "\<\"D\"\>", ",", 
      TemplateBox[{
        InterpretationBox[
        "\"36\[ThinSpace]000.00\"", 36000., Selectable -> False], 
        RowBox[{
          FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
        "US dollars", "\"USDollars\""},
       "QuantityPrefix"], ",", 
      TemplateBox[{
        InterpretationBox[
        "\"36\[ThinSpace]000.00\"", 36000., Selectable -> False], 
        RowBox[{
          FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
        "US dollars", "\"USDollars\""},
       "QuantityPrefix"], ",", 
      TemplateBox[{
        RowBox[{
          StyleBox["\"Year: \"", "DateObjectLabel"], "\"2009\""}], 
        RowBox[{"DateObject", "[", 
          RowBox[{
            RowBox[{"{", "2009", "}"}], ",", "\"Year\""}], "]"}]},
       "DateObject",
       Editable->False]}], "}"}]}], "}"}],
  Short[#, 5]& ]], "Output",
 CellChangeTimes->{{3.769284081419394*^9, 3.769284108084647*^9}, 
   3.7693322517825203`*^9, {3.769333422830618*^9, 3.7693334357026978`*^9}, 
   3.7693334658810053`*^9, 3.7693335443897333`*^9, {3.769376911116095*^9, 
   3.769376918103386*^9}, 3.769955126648678*^9, 3.769955272562553*^9, 
   3.769976060902463*^9, 3.770406179359524*^9, 3.771929806454226*^9, 
   3.857032013034853*^9, 3.880548292923819*^9, 3.8806303676526833`*^9, 
   3.880630975053204*^9, 3.880634094220969*^9, 3.8814199741717787`*^9},
 CellLabel->"Out[309]//Short=",
 CellID->1965743696,ExpressionUUID->"d79e2ead-1519-4512-8b1c-d1bb1e1f42d8"]
}, Open  ]],

Cell[TextData[{
 "I now use an operator form of ",
 ButtonBox["GroupBy",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/GroupBy.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/GroupBy.html"],
 ". I specify ",
 ButtonBox["First",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/First.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/First.html"],
 " (",
 Cell[BoxData[
  RowBox[{
   RowBox[{
    ButtonBox[
     StyleBox["#",
      FontColor->GrayLevel[0]],
     BaseStyle->"Hyperlink",
     ButtonData->{
       URL["https://reference.wolfram.com/language/ref/Slot.html"], None},
     ButtonNote->"https://reference.wolfram.com/language/ref/Slot.html"], "[", 
    RowBox[{"[", "1", "]"}], "]"}], 
   ButtonBox[
    StyleBox["&",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Function.html"], None},
    ButtonNote->
     "https://reference.wolfram.com/language/ref/Function.html"]}]], 
  "InlineCodeText",ExpressionUUID->"af878de0-af4d-4e4b-8f32-a59ed550b59e"],
 ") as the function by which to group the rows of data. The idea is to create \
an ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " in which (1) the possible categories for ",
 ButtonBox["First",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/First.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/First.html"],
 " applied to the data are the keys and (2) the rows of data with a value of ",
 ButtonBox["First",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/First.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/First.html"],
 " corresponding to that category are the values. It may be easier to see it \
in action than to describe it. I just show the first few rows of the result."
}], "Text",
 CellChangeTimes->{{3.769284138182199*^9, 3.769284202351965*^9}, {
   3.769376931358314*^9, 3.769376936357736*^9}, {3.7693770820067167`*^9, 
   3.769377176779072*^9}, {3.770406275775326*^9, 3.770406277063375*^9}, {
   3.77599621414023*^9, 3.7759962219255805`*^9}, {3.7759962956735086`*^9, 
   3.7759963175455685`*^9}, 3.857465322220469*^9, {3.8662847541360064`*^9, 
   3.8662847551646194`*^9}, {3.8677607408688316`*^9, 
   3.8677607466498213`*^9}, {3.867926512657315*^9, 3.867926515332509*^9}},
 CellTags->"LastCellOfAPage",
 CellID->1003337416,ExpressionUUID->"12571e79-fbcc-46cf-84a5-38bb63a59441"],

Cell[TextData[{
 ButtonBox["GroupBy",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/GroupBy.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/GroupBy.html"],
 " takes structures and produces Associations in which the keys are based on \
functions of items within the structure:"
}], "CodeText",
 CellChangeTimes->{{3.769423954516506*^9, 3.7694240446618013`*^9}, {
  3.7759963485743647`*^9, 3.775996355781519*^9}},
 CellTags->"p: 93",
 CellID->1053928474,ExpressionUUID->"c364d55e-c45f-4a2a-b5cb-6a5cc2791ad7"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"GroupBy", "[", 
   RowBox[{"mlsSample", ",", "First"}], "]"}], "//", 
  RowBox[{
   InterpretationBox[
    TagBox[
     TagBox[
      DynamicModuleBox[{Typeset`open = False}, 
       FrameBox[
        PaneSelectorBox[{False->GridBox[{
           {
            PaneBox[GridBox[{
               {
                StyleBox[
                 StyleBox[
                  AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                   BoxBaselineShift->-0.25,
                   BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                  
                  FontColor->RGBColor[
                   0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                 ShowStringCharacters->False,
                 FontFamily->"Source Sans Pro Black",
                 FontSize->0.6538461538461539 Inherited,
                 FontWeight->"Heavy",
                 PrivateFontOptions->{"OperatorSubstitution"->False}], 
                StyleBox[
                 RowBox[{
                  StyleBox["Terse", "ResourceFunctionLabel"], " "}],
                 ShowAutoStyles->False,
                 ShowStringCharacters->False,
                 FontSize->Rational[12, 13] Inherited,
                 FontColor->GrayLevel[0.1]]}
              },
              GridBoxSpacings->{"Columns" -> {{0.25}}}],
             Alignment->Left,
             BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
             BaselinePosition->Baseline,
             FrameMargins->{{3, 0}, {0, 0}}], 
            ItemBox[
             PaneBox[
              TogglerBox[Dynamic[Typeset`open], {True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "IconizeCloser"],
                ImageSizeCache->{11., {2., 9.}}], False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "IconizeOpener"],
                ImageSizeCache->{11., {2., 9.}}]},
               Appearance->None,
               BaselinePosition->Baseline,
               ContentPadding->False,
               FrameMargins->0],
              Alignment->Left,
              BaselinePosition->Baseline,
              FrameMargins->{{1, 1}, {0, 0}}],
             Frame->{{
                RGBColor[
                0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                 0.5], False}, {False, False}}]}
          },
          BaselinePosition->{1, 1},
          GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
         GridBox[{
           {GridBox[{
              {
               PaneBox[GridBox[{
                  {
                   StyleBox[
                    StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                    ShowStringCharacters->False,
                    FontFamily->"Source Sans Pro Black",
                    FontSize->0.6538461538461539 Inherited,
                    FontWeight->"Heavy",
                    PrivateFontOptions->{"OperatorSubstitution"->False}], 
                   StyleBox[
                    RowBox[{
                    StyleBox["Terse", "ResourceFunctionLabel"], " "}],
                    ShowAutoStyles->False,
                    ShowStringCharacters->False,
                    FontSize->Rational[12, 13] Inherited,
                    FontColor->GrayLevel[0.1]]}
                 },
                 GridBoxSpacings->{"Columns" -> {{0.25}}}],
                Alignment->Left,
                BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
                BaselinePosition->Baseline,
                FrameMargins->{{3, 0}, {0, 0}}], 
               ItemBox[
                PaneBox[
                 TogglerBox[Dynamic[Typeset`open], {True->
                  
                  DynamicBox[FEPrivate`FrontEndResource[
                   "FEBitmaps", "IconizeCloser"]], False->
                  
                  DynamicBox[FEPrivate`FrontEndResource[
                   "FEBitmaps", "IconizeOpener"]]},
                  Appearance->None,
                  BaselinePosition->Baseline,
                  ContentPadding->False,
                  FrameMargins->0],
                 Alignment->Left,
                 BaselinePosition->Baseline,
                 FrameMargins->{{1, 1}, {0, 0}}],
                Frame->{{
                   RGBColor[
                   0.8313725490196079, 0.8470588235294118, 0.8509803921568627,
                     0.5], False}, {False, False}}]}
             },
             BaselinePosition->{1, 1},
             GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
           {
            StyleBox[
             PaneBox[GridBox[{
                {
                 RowBox[{
                  TagBox["\<\"Version (latest): \"\>",
                   "IconizedLabel"], " ", 
                  TagBox["\<\"1.0.0\"\>",
                   "IconizedItem"]}]},
                {
                 TagBox[
                  
                  TemplateBox[{
                   "\"Documentation \[RightGuillemet]\"", 
                    "https://resources.wolframcloud.com/FunctionRepository/\
resources/6809487c-44ed-4a55-a610-ab706ebb8661/"},
                   "HyperlinkURL"],
                  "IconizedItem"]}
               },
               DefaultBaseStyle->"Column",
               GridBoxAlignment->{"Columns" -> {{Left}}},
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
              Alignment->Left,
              BaselinePosition->Baseline,
              FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
             FontFamily->"Roboto",
             FontSize->11]}
          },
          BaselinePosition->{1, 1},
          GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
          GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
               GrayLevel[0.8]}, False}},
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
         Typeset`open],
         BaselinePosition->Baseline,
         ImageSize->Automatic],
        Background->RGBColor[
         0.9686274509803922, 0.9764705882352941, 0.984313725490196],
        BaselinePosition->Baseline,
        DefaultBaseStyle->{},
        FrameMargins->{{0, 0}, {1, 0}},
        FrameStyle->RGBColor[
         0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
        RoundingRadius->4]],
      #& ,
      TagBoxNote->" "],
     {"FunctionResourceBox", 
      RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
      "Terse"},
     TagBoxNote->"FunctionResourceBox"],
    ResourceFunction[
     ResourceObject[<|
      "Name" -> "Terse", "ShortName" -> "Terse", "UUID" -> 
       "6809487c-44ed-4a55-a610-ab706ebb8661", "ResourceType" -> "Function", 
       "Version" -> "1.0.0", "Description" -> "An operator form of Short", 
       "RepositoryLocation" -> 
       URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
       "SymbolName" -> 
       "FunctionRepository`$369a78f89aa2413eb5b19a962ce89cd7`Terse", 
       "FunctionLocation" -> 
       CloudObject[
        "https://www.wolframcloud.com/obj/c1820918-b759-4685-b9b8-\
c971a81216b5"]|>, ResourceSystemBase -> Automatic]],
    Selectable->False], "[", "8", "]"}]}]], "Input",
 CellChangeTimes->{{3.7692838820361137`*^9, 3.769283888857704*^9}, {
  3.769283977144709*^9, 3.769283993415415*^9}, {3.7692841143830423`*^9, 
  3.769284133187065*^9}, {3.7692843031723824`*^9, 3.7692843090617933`*^9}, {
  3.769333477424634*^9, 3.769333485106065*^9}, {3.769377154598969*^9, 
  3.769377155623804*^9}, {3.7699760724763603`*^9, 3.7699760888214197`*^9}, {
  3.770406269311207*^9, 3.7704063064059677`*^9}, {3.857032001990473*^9, 
  3.8570320284410343`*^9}, {3.880630384259301*^9, 3.8806303868790293`*^9}},
 CellLabel->"In[310]:=",
 CellID->576184878,ExpressionUUID->"c90efbdc-361b-47e7-baff-d3d1654cdd21"],

Cell[BoxData[
 TagBox[
  RowBox[{"\[LeftAssociation]", 
   RowBox[{
    RowBox[{"\<\"COL\"\>", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"{", 
       RowBox[{"\<\"COL\"\>", ",", "\<\"Ceus\"\>", ",", "\<\"Steward\"\>", 
        ",", "\<\"GK\"\>", ",", 
        TemplateBox[{
          InterpretationBox[
          "\"60\[ThinSpace]000.00\"", 60000., Selectable -> False], 
          RowBox[{
            FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
          "US dollars", "\"USDollars\""},
         "QuantityPrefix"], ",", 
        TemplateBox[{
          InterpretationBox[
          "\"70\[ThinSpace]333.33\"", 70333.33, Selectable -> False], 
          RowBox[{
            FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
          "US dollars", "\"USDollars\""},
         "QuantityPrefix"], ",", 
        TemplateBox[{
          RowBox[{
            StyleBox["\"Year: \"", "DateObjectLabel"], "\"2013\""}], 
          RowBox[{"DateObject", "[", 
            RowBox[{
              RowBox[{"{", "2013", "}"}], ",", "\"Year\""}], "]"}]},
         "DateObject",
         Editable->False]}], "}"}], "}"}]}], ",", 
    RowBox[{"\<\"CLB\"\>", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\<\"CLB\"\>", ",", "\<\"Mendoza\"\>", ",", "\<\"Andres\"\>", 
         ",", "\<\"F\"\>", ",", 
         TemplateBox[{
           InterpretationBox[
           "\"500\[ThinSpace]000.00\"", 500000., Selectable -> False], 
           RowBox[{
             FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
           "US dollars", "\"USDollars\""},
          "QuantityPrefix"], ",", 
         TemplateBox[{
           InterpretationBox[
           "\"595\[ThinSpace]000.00\"", 595000., Selectable -> False], 
           RowBox[{
             FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
           "US dollars", "\"USDollars\""},
          "QuantityPrefix"], ",", 
         TemplateBox[{
           RowBox[{
             StyleBox["\"Year: \"", "DateObjectLabel"], "\"2011\""}], 
           RowBox[{"DateObject", "[", 
             RowBox[{
               RowBox[{"{", "2011", "}"}], ",", "\"Year\""}], "]"}]},
          "DateObject",
          Editable->False]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"\<\"CLB\"\>", ",", "\<\"Riggs\"\>", ",", "\<\"Alex\"\>", 
         ",", "\<\"GK\"\>", ",", 
         TemplateBox[{
           InterpretationBox[
           "\"32\[ThinSpace]600.04\"", 32600.04, Selectable -> False], 
           RowBox[{
             FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
           "US dollars", "\"USDollars\""},
          "QuantityPrefix"], ",", 
         TemplateBox[{
           InterpretationBox[
           "\"32\[ThinSpace]600.04\"", 32600.04, Selectable -> False], 
           RowBox[{
             FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
           "US dollars", "\"USDollars\""},
          "QuantityPrefix"], ",", 
         TemplateBox[{
           RowBox[{
             StyleBox["\"Year: \"", "DateObjectLabel"], "\"2011\""}], 
           RowBox[{"DateObject", "[", 
             RowBox[{
               RowBox[{"{", "2011", "}"}], ",", "\"Year\""}], "]"}]},
          "DateObject",
          Editable->False]}], "}"}]}], "}"}]}], ",", 
    RowBox[{"\[LeftSkeleton]", "8", "\[RightSkeleton]"}], ",", 
    RowBox[{"\<\"PHI\"\>", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"{", 
       RowBox[{"\<\"PHI\"\>", ",", "\<\"Gonzalez\"\>", 
        ",", "\<\"Juan Diego\"\>", ",", "\<\"D\"\>", ",", 
        TemplateBox[{
          InterpretationBox[
          "\"180\[ThinSpace]000.00\"", 180000., Selectable -> False], 
          RowBox[{
            FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
          "US dollars", "\"USDollars\""},
         "QuantityPrefix"], ",", 
        TemplateBox[{
          InterpretationBox[
          "\"184\[ThinSpace]462.50\"", 184462.5, Selectable -> False], 
          RowBox[{
            FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
          "US dollars", "\"USDollars\""},
         "QuantityPrefix"], ",", 
        TemplateBox[{
          RowBox[{
            StyleBox["\"Year: \"", "DateObjectLabel"], "\"2010\""}], 
          RowBox[{"DateObject", "[", 
            RowBox[{
              RowBox[{"{", "2010", "}"}], ",", "\"Year\""}], "]"}]},
         "DateObject",
         Editable->False]}], "}"}], "}"}]}], ",", 
    RowBox[{"\<\"LA\"\>", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"{", 
       RowBox[{"\<\"LA\"\>", ",", "\<\"Valentin\"\>", ",", "\<\"Julian\"\>", 
        ",", "\<\"D\"\>", ",", 
        TemplateBox[{
          InterpretationBox[
          "\"36\[ThinSpace]000.00\"", 36000., Selectable -> False], 
          RowBox[{
            FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
          "US dollars", "\"USDollars\""},
         "QuantityPrefix"], ",", 
        TemplateBox[{
          InterpretationBox[
          "\"36\[ThinSpace]000.00\"", 36000., Selectable -> False], 
          RowBox[{
            FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
          "US dollars", "\"USDollars\""},
         "QuantityPrefix"], ",", 
        TemplateBox[{
          RowBox[{
            StyleBox["\"Year: \"", "DateObjectLabel"], "\"2009\""}], 
          RowBox[{"DateObject", "[", 
            RowBox[{
              RowBox[{"{", "2009", "}"}], ",", "\"Year\""}], "]"}]},
         "DateObject",
         Editable->False]}], "}"}], "}"}]}]}], "\[RightAssociation]"}],
  Short[#, 8]& ]], "Output",
 CellChangeTimes->{
  3.76928388916131*^9, {3.7692839807916613`*^9, 3.769283996070788*^9}, 
   3.769284134674514*^9, 3.769284309451552*^9, 3.7693322518034487`*^9, {
   3.769333455065818*^9, 3.769333485444178*^9}, 3.769333546410513*^9, 
   3.769377156137701*^9, 3.76995512687182*^9, 3.76995527271632*^9, {
   3.769976078863709*^9, 3.769976089308255*^9}, {3.770406288510975*^9, 
   3.770406306963859*^9}, 3.771929806589134*^9, {3.8570320168693037`*^9, 
   3.8570320289765167`*^9}, {3.880630380710834*^9, 3.880630388941078*^9}, 
   3.880634097429611*^9, 3.8814200320331297`*^9},
 CellLabel->"Out[310]//Short=",
 CellID->1945206880,ExpressionUUID->"cb6817e7-e242-4813-b1cc-b3461696ee84"]
}, Open  ]],

Cell[TextData[{
 "One can also often use an operator form of the ",
 ButtonBox["GroupBy",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/GroupBy.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/GroupBy.html"],
 " function in which the grouping operations are the argument to ",
 ButtonBox["GroupBy",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/GroupBy.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/GroupBy.html"],
 ". One then applies this operator to the expression one wants to group."
}], "Text",
 CellChangeTimes->{{3.857032035766843*^9, 3.857032086645278*^9}, {
   3.857032135482153*^9, 3.857032190064192*^9}, {3.857032313128139*^9, 
   3.857032325413129*^9}, {3.8570324884448423`*^9, 3.857032515533984*^9}, {
   3.857032559305994*^9, 3.8570325599927187`*^9}, 3.8661267355554686`*^9},
 CellID->788488153,ExpressionUUID->"7125c7ed-6f06-4b5e-95ad-c2ab0da12120"],

Cell[TextData[{
 "An operator form of ",
 ButtonBox["GroupBy",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/GroupBy.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/GroupBy.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.857465464001186*^9, 3.857465479958585*^9}},
 CellID->1318171471,ExpressionUUID->"58188606-9a94-45d7-b93f-8fc7ab629dea"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"GroupBy", "[", "First", "]"}], "[", "mlsSample", "]"}], "//", 
  RowBox[{
   InterpretationBox[
    TagBox[
     TagBox[
      DynamicModuleBox[{Typeset`open = False}, 
       FrameBox[
        PaneSelectorBox[{False->GridBox[{
           {
            PaneBox[GridBox[{
               {
                StyleBox[
                 StyleBox[
                  AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                   BoxBaselineShift->-0.25,
                   BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                  
                  FontColor->RGBColor[
                   0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                 ShowStringCharacters->False,
                 FontFamily->"Source Sans Pro Black",
                 FontSize->0.6538461538461539 Inherited,
                 FontWeight->"Heavy",
                 PrivateFontOptions->{"OperatorSubstitution"->False}], 
                StyleBox[
                 RowBox[{
                  StyleBox["Terse", "ResourceFunctionLabel"], " "}],
                 ShowAutoStyles->False,
                 ShowStringCharacters->False,
                 FontSize->Rational[12, 13] Inherited,
                 FontColor->GrayLevel[0.1]]}
              },
              GridBoxSpacings->{"Columns" -> {{0.25}}}],
             Alignment->Left,
             BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
             BaselinePosition->Baseline,
             FrameMargins->{{3, 0}, {0, 0}}], 
            ItemBox[
             PaneBox[
              TogglerBox[Dynamic[Typeset`open], {True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "IconizeCloser"],
                ImageSizeCache->{11., {2., 9.}}], False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "IconizeOpener"],
                ImageSizeCache->{11., {2., 9.}}]},
               Appearance->None,
               BaselinePosition->Baseline,
               ContentPadding->False,
               FrameMargins->0],
              Alignment->Left,
              BaselinePosition->Baseline,
              FrameMargins->{{1, 1}, {0, 0}}],
             Frame->{{
                RGBColor[
                0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                 0.5], False}, {False, False}}]}
          },
          BaselinePosition->{1, 1},
          GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
         GridBox[{
           {GridBox[{
              {
               PaneBox[GridBox[{
                  {
                   StyleBox[
                    StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                    ShowStringCharacters->False,
                    FontFamily->"Source Sans Pro Black",
                    FontSize->0.6538461538461539 Inherited,
                    FontWeight->"Heavy",
                    PrivateFontOptions->{"OperatorSubstitution"->False}], 
                   StyleBox[
                    RowBox[{
                    StyleBox["Terse", "ResourceFunctionLabel"], " "}],
                    ShowAutoStyles->False,
                    ShowStringCharacters->False,
                    FontSize->Rational[12, 13] Inherited,
                    FontColor->GrayLevel[0.1]]}
                 },
                 GridBoxSpacings->{"Columns" -> {{0.25}}}],
                Alignment->Left,
                BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
                BaselinePosition->Baseline,
                FrameMargins->{{3, 0}, {0, 0}}], 
               ItemBox[
                PaneBox[
                 TogglerBox[Dynamic[Typeset`open], {True->
                  
                  DynamicBox[FEPrivate`FrontEndResource[
                   "FEBitmaps", "IconizeCloser"]], False->
                  
                  DynamicBox[FEPrivate`FrontEndResource[
                   "FEBitmaps", "IconizeOpener"]]},
                  Appearance->None,
                  BaselinePosition->Baseline,
                  ContentPadding->False,
                  FrameMargins->0],
                 Alignment->Left,
                 BaselinePosition->Baseline,
                 FrameMargins->{{1, 1}, {0, 0}}],
                Frame->{{
                   RGBColor[
                   0.8313725490196079, 0.8470588235294118, 0.8509803921568627,
                     0.5], False}, {False, False}}]}
             },
             BaselinePosition->{1, 1},
             GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
           {
            StyleBox[
             PaneBox[GridBox[{
                {
                 RowBox[{
                  TagBox["\<\"Version (latest): \"\>",
                   "IconizedLabel"], " ", 
                  TagBox["\<\"1.0.0\"\>",
                   "IconizedItem"]}]},
                {
                 TagBox[
                  
                  TemplateBox[{
                   "\"Documentation \[RightGuillemet]\"", 
                    "https://resources.wolframcloud.com/FunctionRepository/\
resources/6809487c-44ed-4a55-a610-ab706ebb8661/"},
                   "HyperlinkURL"],
                  "IconizedItem"]}
               },
               DefaultBaseStyle->"Column",
               GridBoxAlignment->{"Columns" -> {{Left}}},
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
              Alignment->Left,
              BaselinePosition->Baseline,
              FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
             FontFamily->"Roboto",
             FontSize->11]}
          },
          BaselinePosition->{1, 1},
          GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
          GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
               GrayLevel[0.8]}, False}},
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
         Typeset`open],
         BaselinePosition->Baseline,
         ImageSize->Automatic],
        Background->RGBColor[
         0.9686274509803922, 0.9764705882352941, 0.984313725490196],
        BaselinePosition->Baseline,
        DefaultBaseStyle->{},
        FrameMargins->{{0, 0}, {1, 0}},
        FrameStyle->RGBColor[
         0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
        RoundingRadius->4]],
      #& ,
      TagBoxNote->" "],
     {"FunctionResourceBox", 
      RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
      "Terse"},
     TagBoxNote->"FunctionResourceBox"],
    ResourceFunction[
     ResourceObject[<|
      "Name" -> "Terse", "ShortName" -> "Terse", "UUID" -> 
       "6809487c-44ed-4a55-a610-ab706ebb8661", "ResourceType" -> "Function", 
       "Version" -> "1.0.0", "Description" -> "An operator form of Short", 
       "RepositoryLocation" -> 
       URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
       "SymbolName" -> 
       "FunctionRepository`$369a78f89aa2413eb5b19a962ce89cd7`Terse", 
       "FunctionLocation" -> 
       CloudObject[
        "https://www.wolframcloud.com/obj/c1820918-b759-4685-b9b8-\
c971a81216b5"]|>, ResourceSystemBase -> Automatic]],
    Selectable->False], "[", "8", "]"}]}]], "Input",
 CellChangeTimes->{{3.85703219430746*^9, 3.857032205659505*^9}, {
  3.8806303961816187`*^9, 3.880630399329369*^9}},
 CellLabel->"In[311]:=",
 CellID->826987174,ExpressionUUID->"0380ed90-94a8-4c62-b7c2-05f4a9972df7"],

Cell[BoxData[
 TagBox[
  RowBox[{"\[LeftAssociation]", 
   RowBox[{
    RowBox[{"\<\"COL\"\>", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"{", 
       RowBox[{"\<\"COL\"\>", ",", "\<\"Ceus\"\>", ",", "\<\"Steward\"\>", 
        ",", "\<\"GK\"\>", ",", 
        TemplateBox[{
          InterpretationBox[
          "\"60\[ThinSpace]000.00\"", 60000., Selectable -> False], 
          RowBox[{
            FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
          "US dollars", "\"USDollars\""},
         "QuantityPrefix"], ",", 
        TemplateBox[{
          InterpretationBox[
          "\"70\[ThinSpace]333.33\"", 70333.33, Selectable -> False], 
          RowBox[{
            FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
          "US dollars", "\"USDollars\""},
         "QuantityPrefix"], ",", 
        TemplateBox[{
          RowBox[{
            StyleBox["\"Year: \"", "DateObjectLabel"], "\"2013\""}], 
          RowBox[{"DateObject", "[", 
            RowBox[{
              RowBox[{"{", "2013", "}"}], ",", "\"Year\""}], "]"}]},
         "DateObject",
         Editable->False]}], "}"}], "}"}]}], ",", 
    RowBox[{"\<\"CLB\"\>", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\<\"CLB\"\>", ",", "\<\"Mendoza\"\>", ",", "\<\"Andres\"\>", 
         ",", "\<\"F\"\>", ",", 
         TemplateBox[{
           InterpretationBox[
           "\"500\[ThinSpace]000.00\"", 500000., Selectable -> False], 
           RowBox[{
             FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
           "US dollars", "\"USDollars\""},
          "QuantityPrefix"], ",", 
         TemplateBox[{
           InterpretationBox[
           "\"595\[ThinSpace]000.00\"", 595000., Selectable -> False], 
           RowBox[{
             FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
           "US dollars", "\"USDollars\""},
          "QuantityPrefix"], ",", 
         TemplateBox[{
           RowBox[{
             StyleBox["\"Year: \"", "DateObjectLabel"], "\"2011\""}], 
           RowBox[{"DateObject", "[", 
             RowBox[{
               RowBox[{"{", "2011", "}"}], ",", "\"Year\""}], "]"}]},
          "DateObject",
          Editable->False]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"\<\"CLB\"\>", ",", "\<\"Riggs\"\>", ",", "\<\"Alex\"\>", 
         ",", "\<\"GK\"\>", ",", 
         TemplateBox[{
           InterpretationBox[
           "\"32\[ThinSpace]600.04\"", 32600.04, Selectable -> False], 
           RowBox[{
             FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
           "US dollars", "\"USDollars\""},
          "QuantityPrefix"], ",", 
         TemplateBox[{
           InterpretationBox[
           "\"32\[ThinSpace]600.04\"", 32600.04, Selectable -> False], 
           RowBox[{
             FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
           "US dollars", "\"USDollars\""},
          "QuantityPrefix"], ",", 
         TemplateBox[{
           RowBox[{
             StyleBox["\"Year: \"", "DateObjectLabel"], "\"2011\""}], 
           RowBox[{"DateObject", "[", 
             RowBox[{
               RowBox[{"{", "2011", "}"}], ",", "\"Year\""}], "]"}]},
          "DateObject",
          Editable->False]}], "}"}]}], "}"}]}], ",", 
    RowBox[{"\[LeftSkeleton]", "8", "\[RightSkeleton]"}], ",", 
    RowBox[{"\<\"PHI\"\>", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"{", 
       RowBox[{"\<\"PHI\"\>", ",", "\<\"Gonzalez\"\>", 
        ",", "\<\"Juan Diego\"\>", ",", "\<\"D\"\>", ",", 
        TemplateBox[{
          InterpretationBox[
          "\"180\[ThinSpace]000.00\"", 180000., Selectable -> False], 
          RowBox[{
            FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
          "US dollars", "\"USDollars\""},
         "QuantityPrefix"], ",", 
        TemplateBox[{
          InterpretationBox[
          "\"184\[ThinSpace]462.50\"", 184462.5, Selectable -> False], 
          RowBox[{
            FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
          "US dollars", "\"USDollars\""},
         "QuantityPrefix"], ",", 
        TemplateBox[{
          RowBox[{
            StyleBox["\"Year: \"", "DateObjectLabel"], "\"2010\""}], 
          RowBox[{"DateObject", "[", 
            RowBox[{
              RowBox[{"{", "2010", "}"}], ",", "\"Year\""}], "]"}]},
         "DateObject",
         Editable->False]}], "}"}], "}"}]}], ",", 
    RowBox[{"\<\"LA\"\>", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"{", 
       RowBox[{"\<\"LA\"\>", ",", "\<\"Valentin\"\>", ",", "\<\"Julian\"\>", 
        ",", "\<\"D\"\>", ",", 
        TemplateBox[{
          InterpretationBox[
          "\"36\[ThinSpace]000.00\"", 36000., Selectable -> False], 
          RowBox[{
            FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
          "US dollars", "\"USDollars\""},
         "QuantityPrefix"], ",", 
        TemplateBox[{
          InterpretationBox[
          "\"36\[ThinSpace]000.00\"", 36000., Selectable -> False], 
          RowBox[{
            FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
          "US dollars", "\"USDollars\""},
         "QuantityPrefix"], ",", 
        TemplateBox[{
          RowBox[{
            StyleBox["\"Year: \"", "DateObjectLabel"], "\"2009\""}], 
          RowBox[{"DateObject", "[", 
            RowBox[{
              RowBox[{"{", "2009", "}"}], ",", "\"Year\""}], "]"}]},
         "DateObject",
         Editable->False]}], "}"}], "}"}]}]}], "\[RightAssociation]"}],
  Short[#, 8]& ]], "Output",
 CellChangeTimes->{3.857032207913521*^9, 3.880630400150975*^9, 
  3.880634101546336*^9, 3.8814200458854837`*^9},
 CellLabel->"Out[311]//Short=",
 CellID->280034416,ExpressionUUID->"b9d94443-1895-4651-bed7-ec96c3bb6411"]
}, Open  ]],

Cell[TextData[{
 "There are more advanced forms of ",
 ButtonBox["GroupBy",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/GroupBy.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/GroupBy.html"],
 " that I use extensively in this book. One can have, for example, a more \
complex operator for ",
 ButtonBox["GroupBy",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/GroupBy.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/GroupBy.html"],
 ". Here I group according to the value of the first part of each row and \
then obtain only the fifth part of each row. Notice, by the way, that the \
ampersand functions are wrapped in parentheses to make explicit the order of \
operations. "
}], "Text",
 CellChangeTimes->{{3.76928425397999*^9, 3.76928429880192*^9}, {
  3.7692843311918783`*^9, 3.769284340343335*^9}, {3.769284423742159*^9, 
  3.769284472970893*^9}, {3.769377190098653*^9, 3.769377201886096*^9}, {
  3.775996370351825*^9, 3.775996383832139*^9}, {3.7759965146147013`*^9, 
  3.7759965369391584`*^9}, {3.780312023298957*^9, 3.7803120235470133`*^9}, {
  3.8570315851631823`*^9, 3.8570315950398684`*^9}, {3.858240770824604*^9, 
  3.85824078817299*^9}, {3.8662856537978497`*^9, 3.8662856564735107`*^9}},
 CellID->340753006,ExpressionUUID->"7103b719-76c2-4bde-8f3a-71794d4a33f1"],

Cell[TextData[{
 ButtonBox["GroupBy",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/GroupBy.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/GroupBy.html"],
 " can do more than just group; it can operate on the grouped items:"
}], "CodeText",
 CellChangeTimes->{{3.769424098527814*^9, 3.7694241215774384`*^9}, {
   3.775996560541807*^9, 3.775996568000559*^9}, 3.780312096290394*^9},
 CellID->923502310,ExpressionUUID->"25f5ed4e-b259-431e-92e4-ca506799fb91"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"GroupBy", "[", 
  RowBox[{"mlsSample", ",", 
   RowBox[{"First", "\[Rule]", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"#", "[", 
       RowBox[{"[", "5", "]"}], "]"}], "&"}], ")"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7692838820361137`*^9, 3.769283888857704*^9}, {
  3.769283977144709*^9, 3.769283993415415*^9}, {3.7692841143830423`*^9, 
  3.769284133187065*^9}, {3.7692843031723824`*^9, 3.7692843247514668`*^9}, {
  3.769377195329689*^9, 3.7693771983458347`*^9}, {3.857032260851111*^9, 
  3.8570322823128443`*^9}},
 CellLabel->"In[312]:=",
 CellID->131919932,ExpressionUUID->"8ce0401d-70e2-420d-b4d0-11ccaf9add70"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"COL\"\>", "\[Rule]", 
    RowBox[{"{", 
     TemplateBox[{
       InterpretationBox[
        TagBox[
         InterpretationBox[
          StyleBox["\"60\[ThinSpace]000.00\"", ShowStringCharacters -> False],
           60000., AutoDelete -> True], 
         NumberForm[#, {Infinity, 2}, DigitBlock -> 3, NumberSeparator -> 
          "\[ThinSpace]"]& ], 60000., Selectable -> False], 
       RowBox[{
         FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
       "US dollars", "\"USDollars\""},
      "QuantityPrefix"], "}"}]}], ",", 
   RowBox[{"\<\"CLB\"\>", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      TemplateBox[{
        InterpretationBox[
         TagBox[
          InterpretationBox[
           StyleBox[
           "\"500\[ThinSpace]000.00\"", ShowStringCharacters -> False], 
           500000., AutoDelete -> True], 
          NumberForm[#, {Infinity, 2}, DigitBlock -> 3, NumberSeparator -> 
           "\[ThinSpace]"]& ], 500000., Selectable -> False], 
        RowBox[{
          FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
        "US dollars", "\"USDollars\""},
       "QuantityPrefix"], ",", 
      TemplateBox[{
        InterpretationBox[
         TagBox[
          InterpretationBox[
           StyleBox[
           "\"32\[ThinSpace]600.04\"", ShowStringCharacters -> False], 
           32600.04, AutoDelete -> True], 
          NumberForm[#, {Infinity, 2}, DigitBlock -> 3, NumberSeparator -> 
           "\[ThinSpace]"]& ], 32600.04, Selectable -> False], 
        RowBox[{
          FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
        "US dollars", "\"USDollars\""},
       "QuantityPrefix"]}], "}"}]}], ",", 
   RowBox[{"\<\"RSL\"\>", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      TemplateBox[{
        InterpretationBox[
         TagBox[
          InterpretationBox[
           StyleBox[
           "\"160\[ThinSpace]000.00\"", ShowStringCharacters -> False], 
           160000., AutoDelete -> True], 
          NumberForm[#, {Infinity, 2}, DigitBlock -> 3, NumberSeparator -> 
           "\[ThinSpace]"]& ], 160000., Selectable -> False], 
        RowBox[{
          FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
        "US dollars", "\"USDollars\""},
       "QuantityPrefix"], ",", 
      TemplateBox[{
        InterpretationBox[
         TagBox[
          InterpretationBox[
           StyleBox[
           "\"125\[ThinSpace]000.00\"", ShowStringCharacters -> False], 
           125000., AutoDelete -> True], 
          NumberForm[#, {Infinity, 2}, DigitBlock -> 3, NumberSeparator -> 
           "\[ThinSpace]"]& ], 125000., Selectable -> False], 
        RowBox[{
          FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
        "US dollars", "\"USDollars\""},
       "QuantityPrefix"], ",", 
      TemplateBox[{
        InterpretationBox[
         TagBox[
          InterpretationBox[
           StyleBox[
           "\"35\[ThinSpace]125.00\"", ShowStringCharacters -> False], 35125.,
            AutoDelete -> True], 
          NumberForm[#, {Infinity, 2}, DigitBlock -> 3, NumberSeparator -> 
           "\[ThinSpace]"]& ], 35125., Selectable -> False], 
        RowBox[{
          FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
        "US dollars", "\"USDollars\""},
       "QuantityPrefix"], ",", 
      TemplateBox[{
        InterpretationBox[
         TagBox[
          InterpretationBox[
           StyleBox[
           "\"40\[ThinSpace]000.00\"", ShowStringCharacters -> False], 40000.,
            AutoDelete -> True], 
          NumberForm[#, {Infinity, 2}, DigitBlock -> 3, NumberSeparator -> 
           "\[ThinSpace]"]& ], 40000., Selectable -> False], 
        RowBox[{
          FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
        "US dollars", "\"USDollars\""},
       "QuantityPrefix"], ",", 
      TemplateBox[{
        InterpretationBox[
         TagBox[
          InterpretationBox[
           StyleBox[
           "\"240\[ThinSpace]000.00\"", ShowStringCharacters -> False], 
           240000., AutoDelete -> True], 
          NumberForm[#, {Infinity, 2}, DigitBlock -> 3, NumberSeparator -> 
           "\[ThinSpace]"]& ], 240000., Selectable -> False], 
        RowBox[{
          FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
        "US dollars", "\"USDollars\""},
       "QuantityPrefix"], ",", 
      TemplateBox[{
        InterpretationBox[
         TagBox[
          InterpretationBox[
           StyleBox[
           "\"30\[ThinSpace]000.00\"", ShowStringCharacters -> False], 30000.,
            AutoDelete -> True], 
          NumberForm[#, {Infinity, 2}, DigitBlock -> 3, NumberSeparator -> 
           "\[ThinSpace]"]& ], 30000., Selectable -> False], 
        RowBox[{
          FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
        "US dollars", "\"USDollars\""},
       "QuantityPrefix"]}], "}"}]}], ",", 
   RowBox[{"\<\"Pool\"\>", "\[Rule]", 
    RowBox[{"{", 
     TemplateBox[{
       InterpretationBox[
        TagBox[
         InterpretationBox[
          StyleBox["\"40\[ThinSpace]000.00\"", ShowStringCharacters -> False],
           40000., AutoDelete -> True], 
         NumberForm[#, {Infinity, 2}, DigitBlock -> 3, NumberSeparator -> 
          "\[ThinSpace]"]& ], 40000., Selectable -> False], 
       RowBox[{
         FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
       "US dollars", "\"USDollars\""},
      "QuantityPrefix"], "}"}]}], ",", 
   RowBox[{"\<\"CHV\"\>", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      TemplateBox[{
        InterpretationBox[
         TagBox[
          InterpretationBox[
           StyleBox[
           "\"70\[ThinSpace]000.00\"", ShowStringCharacters -> False], 70000.,
            AutoDelete -> True], 
          NumberForm[#, {Infinity, 2}, DigitBlock -> 3, NumberSeparator -> 
           "\[ThinSpace]"]& ], 70000., Selectable -> False], 
        RowBox[{
          FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
        "US dollars", "\"USDollars\""},
       "QuantityPrefix"], ",", 
      TemplateBox[{
        InterpretationBox[
         TagBox[
          InterpretationBox[
           StyleBox[
           "\"125\[ThinSpace]000.00\"", ShowStringCharacters -> False], 
           125000., AutoDelete -> True], 
          NumberForm[#, {Infinity, 2}, DigitBlock -> 3, NumberSeparator -> 
           "\[ThinSpace]"]& ], 125000., Selectable -> False], 
        RowBox[{
          FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
        "US dollars", "\"USDollars\""},
       "QuantityPrefix"]}], "}"}]}], ",", 
   RowBox[{"\<\"POR\"\>", "\[Rule]", 
    RowBox[{"{", 
     TemplateBox[{
       InterpretationBox[
        TagBox[
         InterpretationBox[
          StyleBox["\"60\[ThinSpace]000.00\"", ShowStringCharacters -> False],
           60000., AutoDelete -> True], 
         NumberForm[#, {Infinity, 2}, DigitBlock -> 3, NumberSeparator -> 
          "\[ThinSpace]"]& ], 60000., Selectable -> False], 
       RowBox[{
         FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
       "US dollars", "\"USDollars\""},
      "QuantityPrefix"], "}"}]}], ",", 
   RowBox[{"\<\"NE\"\>", "\[Rule]", 
    RowBox[{"{", 
     TemplateBox[{
       InterpretationBox[
        TagBox[
         InterpretationBox[
          StyleBox["\"33\[ThinSpace]000.00\"", ShowStringCharacters -> False],
           33000., AutoDelete -> True], 
         NumberForm[#, {Infinity, 2}, DigitBlock -> 3, NumberSeparator -> 
          "\[ThinSpace]"]& ], 33000., Selectable -> False], 
       RowBox[{
         FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
       "US dollars", "\"USDollars\""},
      "QuantityPrefix"], "}"}]}], ",", 
   RowBox[{"\<\"HOU\"\>", "\[Rule]", 
    RowBox[{"{", 
     TemplateBox[{
       InterpretationBox[
        TagBox[
         InterpretationBox[
          StyleBox[
          "\"220\[ThinSpace]000.00\"", ShowStringCharacters -> False], 
          220000., AutoDelete -> True], 
         NumberForm[#, {Infinity, 2}, DigitBlock -> 3, NumberSeparator -> 
          "\[ThinSpace]"]& ], 220000., Selectable -> False], 
       RowBox[{
         FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
       "US dollars", "\"USDollars\""},
      "QuantityPrefix"], "}"}]}], ",", 
   RowBox[{"\<\"DAL\"\>", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      TemplateBox[{
        InterpretationBox[
         TagBox[
          InterpretationBox[
           StyleBox[
           "\"250\[ThinSpace]000.00\"", ShowStringCharacters -> False], 
           250000., AutoDelete -> True], 
          NumberForm[#, {Infinity, 2}, DigitBlock -> 3, NumberSeparator -> 
           "\[ThinSpace]"]& ], 250000., Selectable -> False], 
        RowBox[{
          FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
        "US dollars", "\"USDollars\""},
       "QuantityPrefix"], ",", 
      TemplateBox[{
        InterpretationBox[
         TagBox[
          InterpretationBox[
           StyleBox[
           "\"50\[ThinSpace]004.00\"", ShowStringCharacters -> False], 50004.,
            AutoDelete -> True], 
          NumberForm[#, {Infinity, 2}, DigitBlock -> 3, NumberSeparator -> 
           "\[ThinSpace]"]& ], 50004., Selectable -> False], 
        RowBox[{
          FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
        "US dollars", "\"USDollars\""},
       "QuantityPrefix"]}], "}"}]}], ",", 
   RowBox[{"\<\"SEA\"\>", "\[Rule]", 
    RowBox[{"{", 
     TemplateBox[{
       InterpretationBox[
        TagBox[
         InterpretationBox[
          StyleBox[
          "\"165\[ThinSpace]000.00\"", ShowStringCharacters -> False], 
          165000., AutoDelete -> True], 
         NumberForm[#, {Infinity, 2}, DigitBlock -> 3, NumberSeparator -> 
          "\[ThinSpace]"]& ], 165000., Selectable -> False], 
       RowBox[{
         FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
       "US dollars", "\"USDollars\""},
      "QuantityPrefix"], "}"}]}], ",", 
   RowBox[{"\<\"PHI\"\>", "\[Rule]", 
    RowBox[{"{", 
     TemplateBox[{
       InterpretationBox[
        TagBox[
         InterpretationBox[
          StyleBox[
          "\"180\[ThinSpace]000.00\"", ShowStringCharacters -> False], 
          180000., AutoDelete -> True], 
         NumberForm[#, {Infinity, 2}, DigitBlock -> 3, NumberSeparator -> 
          "\[ThinSpace]"]& ], 180000., Selectable -> False], 
       RowBox[{
         FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
       "US dollars", "\"USDollars\""},
      "QuantityPrefix"], "}"}]}], ",", 
   RowBox[{"\<\"LA\"\>", "\[Rule]", 
    RowBox[{"{", 
     TemplateBox[{
       InterpretationBox[
        TagBox[
         InterpretationBox[
          StyleBox["\"36\[ThinSpace]000.00\"", ShowStringCharacters -> False],
           36000., AutoDelete -> True], 
         NumberForm[#, {Infinity, 2}, DigitBlock -> 3, NumberSeparator -> 
          "\[ThinSpace]"]& ], 36000., Selectable -> False], 
       RowBox[{
         FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
       "US dollars", "\"USDollars\""},
      "QuantityPrefix"], "}"}]}]}], "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{{3.85703226903872*^9, 3.857032282796829*^9}, 
   3.880630423385106*^9, 3.880634105093553*^9, 3.880634894659912*^9, 
   3.8814200609573517`*^9},
 CellLabel->"Out[312]=",
 CellID->1807120541,ExpressionUUID->"86e67c24-f0ef-4347-975d-000864d38cde"]
}, Open  ]],

Cell[TextData[{
 "Again, one can accomplish the same grouping using an operator form of ",
 ButtonBox["GroupBy",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/GroupBy.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/GroupBy.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.85703228603994*^9, 3.857032303063896*^9}, {
   3.857032339446958*^9, 3.8570323409601383`*^9}, 3.8574655677277613`*^9, {
   3.8662856911574492`*^9, 3.8662856919472923`*^9}},
 CellTags->"p: 94",
 CellID->1407654022,ExpressionUUID->"bc1d68a9-e957-46aa-8ec2-5a580e6536c7"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"GroupBy", "[", 
   RowBox[{"First", "\[Rule]", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"#", "[", 
       RowBox[{"[", "5", "]"}], "]"}], "&"}], ")"}]}], "]"}], "[", 
  "mlsSample", "]"}]], "Input",
 CellChangeTimes->{{3.85703235492153*^9, 3.857032368812778*^9}},
 CellLabel->"In[313]:=",
 CellID->1552215942,ExpressionUUID->"34fa3be6-1ebc-47d3-9dcd-e27bdc2d3016"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"COL\"\>", "\[Rule]", 
    RowBox[{"{", 
     TemplateBox[{
       InterpretationBox[
        TagBox[
         InterpretationBox[
          StyleBox["\"60\[ThinSpace]000.00\"", ShowStringCharacters -> False],
           60000., AutoDelete -> True], 
         NumberForm[#, {Infinity, 2}, DigitBlock -> 3, NumberSeparator -> 
          "\[ThinSpace]"]& ], 60000., Selectable -> False], 
       RowBox[{
         FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
       "US dollars", "\"USDollars\""},
      "QuantityPrefix"], "}"}]}], ",", 
   RowBox[{"\<\"CLB\"\>", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      TemplateBox[{
        InterpretationBox[
         TagBox[
          InterpretationBox[
           StyleBox[
           "\"500\[ThinSpace]000.00\"", ShowStringCharacters -> False], 
           500000., AutoDelete -> True], 
          NumberForm[#, {Infinity, 2}, DigitBlock -> 3, NumberSeparator -> 
           "\[ThinSpace]"]& ], 500000., Selectable -> False], 
        RowBox[{
          FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
        "US dollars", "\"USDollars\""},
       "QuantityPrefix"], ",", 
      TemplateBox[{
        InterpretationBox[
         TagBox[
          InterpretationBox[
           StyleBox[
           "\"32\[ThinSpace]600.04\"", ShowStringCharacters -> False], 
           32600.04, AutoDelete -> True], 
          NumberForm[#, {Infinity, 2}, DigitBlock -> 3, NumberSeparator -> 
           "\[ThinSpace]"]& ], 32600.04, Selectable -> False], 
        RowBox[{
          FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
        "US dollars", "\"USDollars\""},
       "QuantityPrefix"]}], "}"}]}], ",", 
   RowBox[{"\<\"RSL\"\>", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      TemplateBox[{
        InterpretationBox[
         TagBox[
          InterpretationBox[
           StyleBox[
           "\"160\[ThinSpace]000.00\"", ShowStringCharacters -> False], 
           160000., AutoDelete -> True], 
          NumberForm[#, {Infinity, 2}, DigitBlock -> 3, NumberSeparator -> 
           "\[ThinSpace]"]& ], 160000., Selectable -> False], 
        RowBox[{
          FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
        "US dollars", "\"USDollars\""},
       "QuantityPrefix"], ",", 
      TemplateBox[{
        InterpretationBox[
         TagBox[
          InterpretationBox[
           StyleBox[
           "\"125\[ThinSpace]000.00\"", ShowStringCharacters -> False], 
           125000., AutoDelete -> True], 
          NumberForm[#, {Infinity, 2}, DigitBlock -> 3, NumberSeparator -> 
           "\[ThinSpace]"]& ], 125000., Selectable -> False], 
        RowBox[{
          FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
        "US dollars", "\"USDollars\""},
       "QuantityPrefix"], ",", 
      TemplateBox[{
        InterpretationBox[
         TagBox[
          InterpretationBox[
           StyleBox[
           "\"35\[ThinSpace]125.00\"", ShowStringCharacters -> False], 35125.,
            AutoDelete -> True], 
          NumberForm[#, {Infinity, 2}, DigitBlock -> 3, NumberSeparator -> 
           "\[ThinSpace]"]& ], 35125., Selectable -> False], 
        RowBox[{
          FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
        "US dollars", "\"USDollars\""},
       "QuantityPrefix"], ",", 
      TemplateBox[{
        InterpretationBox[
         TagBox[
          InterpretationBox[
           StyleBox[
           "\"40\[ThinSpace]000.00\"", ShowStringCharacters -> False], 40000.,
            AutoDelete -> True], 
          NumberForm[#, {Infinity, 2}, DigitBlock -> 3, NumberSeparator -> 
           "\[ThinSpace]"]& ], 40000., Selectable -> False], 
        RowBox[{
          FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
        "US dollars", "\"USDollars\""},
       "QuantityPrefix"], ",", 
      TemplateBox[{
        InterpretationBox[
         TagBox[
          InterpretationBox[
           StyleBox[
           "\"240\[ThinSpace]000.00\"", ShowStringCharacters -> False], 
           240000., AutoDelete -> True], 
          NumberForm[#, {Infinity, 2}, DigitBlock -> 3, NumberSeparator -> 
           "\[ThinSpace]"]& ], 240000., Selectable -> False], 
        RowBox[{
          FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
        "US dollars", "\"USDollars\""},
       "QuantityPrefix"], ",", 
      TemplateBox[{
        InterpretationBox[
         TagBox[
          InterpretationBox[
           StyleBox[
           "\"30\[ThinSpace]000.00\"", ShowStringCharacters -> False], 30000.,
            AutoDelete -> True], 
          NumberForm[#, {Infinity, 2}, DigitBlock -> 3, NumberSeparator -> 
           "\[ThinSpace]"]& ], 30000., Selectable -> False], 
        RowBox[{
          FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
        "US dollars", "\"USDollars\""},
       "QuantityPrefix"]}], "}"}]}], ",", 
   RowBox[{"\<\"Pool\"\>", "\[Rule]", 
    RowBox[{"{", 
     TemplateBox[{
       InterpretationBox[
        TagBox[
         InterpretationBox[
          StyleBox["\"40\[ThinSpace]000.00\"", ShowStringCharacters -> False],
           40000., AutoDelete -> True], 
         NumberForm[#, {Infinity, 2}, DigitBlock -> 3, NumberSeparator -> 
          "\[ThinSpace]"]& ], 40000., Selectable -> False], 
       RowBox[{
         FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
       "US dollars", "\"USDollars\""},
      "QuantityPrefix"], "}"}]}], ",", 
   RowBox[{"\<\"CHV\"\>", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      TemplateBox[{
        InterpretationBox[
         TagBox[
          InterpretationBox[
           StyleBox[
           "\"70\[ThinSpace]000.00\"", ShowStringCharacters -> False], 70000.,
            AutoDelete -> True], 
          NumberForm[#, {Infinity, 2}, DigitBlock -> 3, NumberSeparator -> 
           "\[ThinSpace]"]& ], 70000., Selectable -> False], 
        RowBox[{
          FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
        "US dollars", "\"USDollars\""},
       "QuantityPrefix"], ",", 
      TemplateBox[{
        InterpretationBox[
         TagBox[
          InterpretationBox[
           StyleBox[
           "\"125\[ThinSpace]000.00\"", ShowStringCharacters -> False], 
           125000., AutoDelete -> True], 
          NumberForm[#, {Infinity, 2}, DigitBlock -> 3, NumberSeparator -> 
           "\[ThinSpace]"]& ], 125000., Selectable -> False], 
        RowBox[{
          FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
        "US dollars", "\"USDollars\""},
       "QuantityPrefix"]}], "}"}]}], ",", 
   RowBox[{"\<\"POR\"\>", "\[Rule]", 
    RowBox[{"{", 
     TemplateBox[{
       InterpretationBox[
        TagBox[
         InterpretationBox[
          StyleBox["\"60\[ThinSpace]000.00\"", ShowStringCharacters -> False],
           60000., AutoDelete -> True], 
         NumberForm[#, {Infinity, 2}, DigitBlock -> 3, NumberSeparator -> 
          "\[ThinSpace]"]& ], 60000., Selectable -> False], 
       RowBox[{
         FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
       "US dollars", "\"USDollars\""},
      "QuantityPrefix"], "}"}]}], ",", 
   RowBox[{"\<\"NE\"\>", "\[Rule]", 
    RowBox[{"{", 
     TemplateBox[{
       InterpretationBox[
        TagBox[
         InterpretationBox[
          StyleBox["\"33\[ThinSpace]000.00\"", ShowStringCharacters -> False],
           33000., AutoDelete -> True], 
         NumberForm[#, {Infinity, 2}, DigitBlock -> 3, NumberSeparator -> 
          "\[ThinSpace]"]& ], 33000., Selectable -> False], 
       RowBox[{
         FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
       "US dollars", "\"USDollars\""},
      "QuantityPrefix"], "}"}]}], ",", 
   RowBox[{"\<\"HOU\"\>", "\[Rule]", 
    RowBox[{"{", 
     TemplateBox[{
       InterpretationBox[
        TagBox[
         InterpretationBox[
          StyleBox[
          "\"220\[ThinSpace]000.00\"", ShowStringCharacters -> False], 
          220000., AutoDelete -> True], 
         NumberForm[#, {Infinity, 2}, DigitBlock -> 3, NumberSeparator -> 
          "\[ThinSpace]"]& ], 220000., Selectable -> False], 
       RowBox[{
         FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
       "US dollars", "\"USDollars\""},
      "QuantityPrefix"], "}"}]}], ",", 
   RowBox[{"\<\"DAL\"\>", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      TemplateBox[{
        InterpretationBox[
         TagBox[
          InterpretationBox[
           StyleBox[
           "\"250\[ThinSpace]000.00\"", ShowStringCharacters -> False], 
           250000., AutoDelete -> True], 
          NumberForm[#, {Infinity, 2}, DigitBlock -> 3, NumberSeparator -> 
           "\[ThinSpace]"]& ], 250000., Selectable -> False], 
        RowBox[{
          FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
        "US dollars", "\"USDollars\""},
       "QuantityPrefix"], ",", 
      TemplateBox[{
        InterpretationBox[
         TagBox[
          InterpretationBox[
           StyleBox[
           "\"50\[ThinSpace]004.00\"", ShowStringCharacters -> False], 50004.,
            AutoDelete -> True], 
          NumberForm[#, {Infinity, 2}, DigitBlock -> 3, NumberSeparator -> 
           "\[ThinSpace]"]& ], 50004., Selectable -> False], 
        RowBox[{
          FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
        "US dollars", "\"USDollars\""},
       "QuantityPrefix"]}], "}"}]}], ",", 
   RowBox[{"\<\"SEA\"\>", "\[Rule]", 
    RowBox[{"{", 
     TemplateBox[{
       InterpretationBox[
        TagBox[
         InterpretationBox[
          StyleBox[
          "\"165\[ThinSpace]000.00\"", ShowStringCharacters -> False], 
          165000., AutoDelete -> True], 
         NumberForm[#, {Infinity, 2}, DigitBlock -> 3, NumberSeparator -> 
          "\[ThinSpace]"]& ], 165000., Selectable -> False], 
       RowBox[{
         FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
       "US dollars", "\"USDollars\""},
      "QuantityPrefix"], "}"}]}], ",", 
   RowBox[{"\<\"PHI\"\>", "\[Rule]", 
    RowBox[{"{", 
     TemplateBox[{
       InterpretationBox[
        TagBox[
         InterpretationBox[
          StyleBox[
          "\"180\[ThinSpace]000.00\"", ShowStringCharacters -> False], 
          180000., AutoDelete -> True], 
         NumberForm[#, {Infinity, 2}, DigitBlock -> 3, NumberSeparator -> 
          "\[ThinSpace]"]& ], 180000., Selectable -> False], 
       RowBox[{
         FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
       "US dollars", "\"USDollars\""},
      "QuantityPrefix"], "}"}]}], ",", 
   RowBox[{"\<\"LA\"\>", "\[Rule]", 
    RowBox[{"{", 
     TemplateBox[{
       InterpretationBox[
        TagBox[
         InterpretationBox[
          StyleBox["\"36\[ThinSpace]000.00\"", ShowStringCharacters -> False],
           36000., AutoDelete -> True], 
         NumberForm[#, {Infinity, 2}, DigitBlock -> 3, NumberSeparator -> 
          "\[ThinSpace]"]& ], 36000., Selectable -> False], 
       RowBox[{
         FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
       "US dollars", "\"USDollars\""},
      "QuantityPrefix"], "}"}]}]}], "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{3.857032369376902*^9, 3.880630426269745*^9, 
  3.880634896790407*^9, 3.88142006620865*^9},
 CellLabel->"Out[313]=",
 CellID->1347691487,ExpressionUUID->"678f689e-7e00-4039-bb56-81ec50142383"]
}, Open  ]],

Cell[TextData[{
 "There\[CloseCurlyQuote]s a variant of ",
 ButtonBox["GroupBy",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/GroupBy.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/GroupBy.html"],
 " that is akin to the MapReduce concept used widely in modern programming. \
This variant can\[CloseCurlyQuote]t be done with built-in operator forms. \
Instead, it takes the following structure. Here I group by the first part \
(team), get just the fifth part (base salary), and then compute the maximum \
value of each of the resulting Lists of base salaries."
}], "Text",
 CellChangeTimes->{{3.769284478024913*^9, 3.769284575285535*^9}, {
  3.77581656549034*^9, 3.7758165661214037`*^9}, {3.775996613387869*^9, 
  3.7759966646209407`*^9}, {3.8582409055556383`*^9, 3.8582409231182957`*^9}, {
  3.8662866024608126`*^9, 3.8662866040994616`*^9}},
 CellID->1776606266,ExpressionUUID->"fc932e81-d6ae-4e0c-87af-7aed52b4ff9a"],

Cell[TextData[{
 ButtonBox["GroupBy",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/GroupBy.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/GroupBy.html"],
 " can be made to work similarly to MapReduce in other languages:"
}], "CodeText",
 CellChangeTimes->{{3.7694241237895107`*^9, 3.769424143284341*^9}, 
   3.7755775058984995`*^9, {3.775997124273836*^9, 3.775997130264236*^9}, {
   3.858240980335038*^9, 3.8582409829001207`*^9}},
 CellID->1094814639,ExpressionUUID->"9461a079-e1e5-4a4c-8b93-c295a7291e97"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"GroupBy", "[", 
  RowBox[{"mlsSample", ",", 
   RowBox[{"First", "\[Rule]", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"#", "[", 
       RowBox[{"[", "5", "]"}], "]"}], "&"}], ")"}]}], ",", "Max"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.7692838820361137`*^9, 3.769283888857704*^9}, {
  3.769283977144709*^9, 3.769283993415415*^9}, {3.7692841143830423`*^9, 
  3.769284133187065*^9}, {3.7692843031723824`*^9, 3.7692843247514668`*^9}, {
  3.769284522549584*^9, 3.769284533220813*^9}, {3.769377222735943*^9, 
  3.769377225375798*^9}},
 CellLabel->"In[314]:=",
 CellID->2085586744,ExpressionUUID->"c9ed4f9a-e0be-476e-b2b3-50f2b8645a0a"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"COL\"\>", "\[Rule]", 
    TemplateBox[{
      InterpretationBox[
       TagBox[
        InterpretationBox[
         StyleBox["\"60\[ThinSpace]000.00\"", ShowStringCharacters -> False], 
         60000., AutoDelete -> True], 
        NumberForm[#, {Infinity, 2}, DigitBlock -> 3, NumberSeparator -> 
         "\[ThinSpace]"]& ], 60000., Selectable -> False], 
      RowBox[{
        FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars",
       "\"USDollars\""},
     "QuantityPrefix"]}], ",", 
   RowBox[{"\<\"CLB\"\>", "\[Rule]", 
    TemplateBox[{
      InterpretationBox[
       TagBox[
        InterpretationBox[
         StyleBox["\"500\[ThinSpace]000.00\"", ShowStringCharacters -> False],
          500000., AutoDelete -> True], 
        NumberForm[#, {Infinity, 2}, DigitBlock -> 3, NumberSeparator -> 
         "\[ThinSpace]"]& ], 500000., Selectable -> False], 
      RowBox[{
        FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars",
       "\"USDollars\""},
     "QuantityPrefix"]}], ",", 
   RowBox[{"\<\"RSL\"\>", "\[Rule]", 
    TemplateBox[{
      InterpretationBox[
       TagBox[
        InterpretationBox[
         StyleBox["\"240\[ThinSpace]000.00\"", ShowStringCharacters -> False],
          240000., AutoDelete -> True], 
        NumberForm[#, {Infinity, 2}, DigitBlock -> 3, NumberSeparator -> 
         "\[ThinSpace]"]& ], 240000., Selectable -> False], 
      RowBox[{
        FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars",
       "\"USDollars\""},
     "QuantityPrefix"]}], ",", 
   RowBox[{"\<\"Pool\"\>", "\[Rule]", 
    TemplateBox[{
      InterpretationBox[
       TagBox[
        InterpretationBox[
         StyleBox["\"40\[ThinSpace]000.00\"", ShowStringCharacters -> False], 
         40000., AutoDelete -> True], 
        NumberForm[#, {Infinity, 2}, DigitBlock -> 3, NumberSeparator -> 
         "\[ThinSpace]"]& ], 40000., Selectable -> False], 
      RowBox[{
        FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars",
       "\"USDollars\""},
     "QuantityPrefix"]}], ",", 
   RowBox[{"\<\"CHV\"\>", "\[Rule]", 
    TemplateBox[{
      InterpretationBox[
       TagBox[
        InterpretationBox[
         StyleBox["\"125\[ThinSpace]000.00\"", ShowStringCharacters -> False],
          125000., AutoDelete -> True], 
        NumberForm[#, {Infinity, 2}, DigitBlock -> 3, NumberSeparator -> 
         "\[ThinSpace]"]& ], 125000., Selectable -> False], 
      RowBox[{
        FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars",
       "\"USDollars\""},
     "QuantityPrefix"]}], ",", 
   RowBox[{"\<\"POR\"\>", "\[Rule]", 
    TemplateBox[{
      InterpretationBox[
       TagBox[
        InterpretationBox[
         StyleBox["\"60\[ThinSpace]000.00\"", ShowStringCharacters -> False], 
         60000., AutoDelete -> True], 
        NumberForm[#, {Infinity, 2}, DigitBlock -> 3, NumberSeparator -> 
         "\[ThinSpace]"]& ], 60000., Selectable -> False], 
      RowBox[{
        FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars",
       "\"USDollars\""},
     "QuantityPrefix"]}], ",", 
   RowBox[{"\<\"NE\"\>", "\[Rule]", 
    TemplateBox[{
      InterpretationBox[
       TagBox[
        InterpretationBox[
         StyleBox["\"33\[ThinSpace]000.00\"", ShowStringCharacters -> False], 
         33000., AutoDelete -> True], 
        NumberForm[#, {Infinity, 2}, DigitBlock -> 3, NumberSeparator -> 
         "\[ThinSpace]"]& ], 33000., Selectable -> False], 
      RowBox[{
        FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars",
       "\"USDollars\""},
     "QuantityPrefix"]}], ",", 
   RowBox[{"\<\"HOU\"\>", "\[Rule]", 
    TemplateBox[{
      InterpretationBox[
       TagBox[
        InterpretationBox[
         StyleBox["\"220\[ThinSpace]000.00\"", ShowStringCharacters -> False],
          220000., AutoDelete -> True], 
        NumberForm[#, {Infinity, 2}, DigitBlock -> 3, NumberSeparator -> 
         "\[ThinSpace]"]& ], 220000., Selectable -> False], 
      RowBox[{
        FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars",
       "\"USDollars\""},
     "QuantityPrefix"]}], ",", 
   RowBox[{"\<\"DAL\"\>", "\[Rule]", 
    TemplateBox[{
      InterpretationBox[
       TagBox[
        InterpretationBox[
         StyleBox["\"250\[ThinSpace]000.00\"", ShowStringCharacters -> False],
          250000., AutoDelete -> True], 
        NumberForm[#, {Infinity, 2}, DigitBlock -> 3, NumberSeparator -> 
         "\[ThinSpace]"]& ], 250000., Selectable -> False], 
      RowBox[{
        FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars",
       "\"USDollars\""},
     "QuantityPrefix"]}], ",", 
   RowBox[{"\<\"SEA\"\>", "\[Rule]", 
    TemplateBox[{
      InterpretationBox[
       TagBox[
        InterpretationBox[
         StyleBox["\"165\[ThinSpace]000.00\"", ShowStringCharacters -> False],
          165000., AutoDelete -> True], 
        NumberForm[#, {Infinity, 2}, DigitBlock -> 3, NumberSeparator -> 
         "\[ThinSpace]"]& ], 165000., Selectable -> False], 
      RowBox[{
        FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars",
       "\"USDollars\""},
     "QuantityPrefix"]}], ",", 
   RowBox[{"\<\"PHI\"\>", "\[Rule]", 
    TemplateBox[{
      InterpretationBox[
       TagBox[
        InterpretationBox[
         StyleBox["\"180\[ThinSpace]000.00\"", ShowStringCharacters -> False],
          180000., AutoDelete -> True], 
        NumberForm[#, {Infinity, 2}, DigitBlock -> 3, NumberSeparator -> 
         "\[ThinSpace]"]& ], 180000., Selectable -> False], 
      RowBox[{
        FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars",
       "\"USDollars\""},
     "QuantityPrefix"]}], ",", 
   RowBox[{"\<\"LA\"\>", "\[Rule]", 
    TemplateBox[{
      InterpretationBox[
       TagBox[
        InterpretationBox[
         StyleBox["\"36\[ThinSpace]000.00\"", ShowStringCharacters -> False], 
         36000., AutoDelete -> True], 
        NumberForm[#, {Infinity, 2}, DigitBlock -> 3, NumberSeparator -> 
         "\[ThinSpace]"]& ], 36000., Selectable -> False], 
      RowBox[{
        FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars",
       "\"USDollars\""},
     "QuantityPrefix"]}]}], "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{3.769284533749691*^9, 3.769332251860882*^9, 
  3.7693335015025673`*^9, 3.769333552467942*^9, 3.769955127054858*^9, 
  3.7699552729415617`*^9, 3.771929806777033*^9, 3.8806304295123377`*^9, 
  3.880634899330491*^9, 3.881420076715006*^9},
 CellLabel->"Out[314]=",
 CellID->545758131,ExpressionUUID->"7918a690-759a-4669-9748-eb37b710321f"]
}, Open  ]],

Cell[TextData[{
 "And there\[CloseCurlyQuote]s now a ",
 ButtonBox["ResourceFunction",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ResourceFunction.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/ResourceFunction.html"],
 " called ",
 ButtonBox["MapReduceOperator",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
MapReduceOperator"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/\
MapReduceOperator"],
 " that lets one mimic map reduction using an operator form:"
}], "CodeText",
 CellChangeTimes->{{3.857032382106367*^9, 3.857032440260603*^9}, {
  3.857465676758617*^9, 3.857465718552764*^9}, {3.8679273281660185`*^9, 
  3.867927328700221*^9}, {3.869918596448965*^9, 3.8699186067982225`*^9}},
 CellID->1812726534,ExpressionUUID->"bf87e77f-d7ce-47f5-bddc-074e7d12dad3"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   InterpretationBox[
    TagBox[
     DynamicModuleBox[{Typeset`open = False}, 
      FrameBox[
       PaneSelectorBox[{False->GridBox[{
          {
           PaneBox[GridBox[{
              {
               StyleBox[
                StyleBox[
                 AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                  BoxBaselineShift->-0.25,
                  BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                 
                 FontColor->RGBColor[
                  0.8745098039215686, 0.2784313725490196, 
                   0.03137254901960784]],
                ShowStringCharacters->False,
                FontFamily->"Source Sans Pro Black",
                FontSize->0.6538461538461539 Inherited,
                FontWeight->"Heavy",
                PrivateFontOptions->{"OperatorSubstitution"->False}], 
               StyleBox[
                RowBox[{
                 StyleBox["MapReduceOperator", "ResourceFunctionLabel"], " "}],
                ShowAutoStyles->False,
                ShowStringCharacters->False,
                FontSize->Rational[12, 13] Inherited,
                FontColor->GrayLevel[0.1]]}
             },
             GridBoxSpacings->{"Columns" -> {{0.25}}}],
            Alignment->Left,
            BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
            BaselinePosition->Baseline,
            FrameMargins->{{3, 0}, {0, 0}}], 
           ItemBox[
            PaneBox[
             TogglerBox[Dynamic[Typeset`open], {True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeCloser"],
               ImageSizeCache->{11., {2., 9.}}], False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeOpener"],
               ImageSizeCache->{11., {2., 9.}}]},
              Appearance->None,
              BaselinePosition->Baseline,
              ContentPadding->False,
              FrameMargins->0],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{1, 1}, {0, 0}}],
            Frame->{{
               RGBColor[
               0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                0.5], False}, {False, False}}]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
         GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
        GridBox[{
          {GridBox[{
             {
              PaneBox[GridBox[{
                 {
                  StyleBox[
                   StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                   ShowStringCharacters->False,
                   FontFamily->"Source Sans Pro Black",
                   FontSize->0.6538461538461539 Inherited,
                   FontWeight->"Heavy",
                   PrivateFontOptions->{"OperatorSubstitution"->False}], 
                  StyleBox[
                   RowBox[{
                    StyleBox["MapReduceOperator", "ResourceFunctionLabel"], 
                    " "}],
                   ShowAutoStyles->False,
                   ShowStringCharacters->False,
                   FontSize->Rational[12, 13] Inherited,
                   FontColor->GrayLevel[0.1]]}
                },
                GridBoxSpacings->{"Columns" -> {{0.25}}}],
               Alignment->Left,
               BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
               BaselinePosition->Baseline,
               FrameMargins->{{3, 0}, {0, 0}}], 
              ItemBox[
               PaneBox[
                TogglerBox[Dynamic[Typeset`open], {True->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeCloser"]], False->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeOpener"]]},
                 Appearance->None,
                 BaselinePosition->Baseline,
                 ContentPadding->False,
                 FrameMargins->0],
                Alignment->Left,
                BaselinePosition->Baseline,
                FrameMargins->{{1, 1}, {0, 0}}],
               Frame->{{
                  RGBColor[
                  0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                   0.5], False}, {False, False}}]}
            },
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
          {
           StyleBox[
            PaneBox[GridBox[{
               {
                RowBox[{
                 TagBox["\<\"Version (latest): \"\>",
                  "IconizedLabel"], " ", 
                 TagBox["\<\"1.0.0\"\>",
                  "IconizedItem"]}]},
               {
                TagBox[
                 
                 TemplateBox[{
                  "\"Documentation \[RightGuillemet]\"", 
                   "https://resources.wolframcloud.com/FunctionRepository/\
resources/MapReduceOperator"},
                  "HyperlinkURL"],
                 "IconizedItem"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
            FontFamily->"Roboto",
            FontSize->11]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
              GrayLevel[0.8]}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
        Typeset`open],
        BaselinePosition->Baseline,
        ImageSize->Automatic],
       Background->RGBColor[
        0.9686274509803922, 0.9764705882352941, 0.984313725490196],
       BaselinePosition->Baseline,
       DefaultBaseStyle->{},
       FrameMargins->{{0, 0}, {1, 0}},
       FrameStyle->RGBColor[
        0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
       RoundingRadius->4]],
     {"FunctionResourceBox", 
      RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
      "MapReduceOperator"},
     TagBoxNote->"FunctionResourceBox"],
    ResourceFunction[
     ResourceObject[<|
      "Name" -> "MapReduceOperator", "ShortName" -> "MapReduceOperator", 
       "UUID" -> "856f4937-9a4c-44a9-88ae-cfc2efd4698f", "ResourceType" -> 
       "Function", "Version" -> "1.0.0", "Description" -> 
       "Like an operator form of GroupBy, but where one also specifies a \
reducer function to be applied", "RepositoryLocation" -> 
       URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
       "SymbolName" -> 
       "FunctionRepository`$ad7fe533436b4f8294edfa758a34ac26`\
MapReduceOperator", "FunctionLocation" -> 
       CloudObject[
        "https://www.wolframcloud.com/obj/6d981522-1eb3-4b54-84f6-\
55667fb2e236"]|>, ResourceSystemBase -> Automatic]],
    Selectable->False], "[", 
   RowBox[{
    RowBox[{"First", "\[Rule]", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"#", "[", 
        RowBox[{"[", "5", "]"}], "]"}], "&"}], ")"}]}], ",", "Max"}], "]"}], 
  "[", "mlsSample", "]"}]], "Input",
 CellChangeTimes->{{3.857032444031644*^9, 3.857032460846586*^9}},
 CellLabel->"In[315]:=",
 CellID->1429816691,ExpressionUUID->"2bd77c65-b183-48c9-b3c5-63fbde4e6bfb"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"COL\"\>", "\[Rule]", 
    TemplateBox[{
      InterpretationBox[
       TagBox[
        InterpretationBox[
         StyleBox["\"60\[ThinSpace]000.00\"", ShowStringCharacters -> False], 
         60000., AutoDelete -> True], 
        NumberForm[#, {Infinity, 2}, DigitBlock -> 3, NumberSeparator -> 
         "\[ThinSpace]"]& ], 60000., Selectable -> False], 
      RowBox[{
        FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars",
       "\"USDollars\""},
     "QuantityPrefix"]}], ",", 
   RowBox[{"\<\"CLB\"\>", "\[Rule]", 
    TemplateBox[{
      InterpretationBox[
       TagBox[
        InterpretationBox[
         StyleBox["\"500\[ThinSpace]000.00\"", ShowStringCharacters -> False],
          500000., AutoDelete -> True], 
        NumberForm[#, {Infinity, 2}, DigitBlock -> 3, NumberSeparator -> 
         "\[ThinSpace]"]& ], 500000., Selectable -> False], 
      RowBox[{
        FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars",
       "\"USDollars\""},
     "QuantityPrefix"]}], ",", 
   RowBox[{"\<\"RSL\"\>", "\[Rule]", 
    TemplateBox[{
      InterpretationBox[
       TagBox[
        InterpretationBox[
         StyleBox["\"240\[ThinSpace]000.00\"", ShowStringCharacters -> False],
          240000., AutoDelete -> True], 
        NumberForm[#, {Infinity, 2}, DigitBlock -> 3, NumberSeparator -> 
         "\[ThinSpace]"]& ], 240000., Selectable -> False], 
      RowBox[{
        FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars",
       "\"USDollars\""},
     "QuantityPrefix"]}], ",", 
   RowBox[{"\<\"Pool\"\>", "\[Rule]", 
    TemplateBox[{
      InterpretationBox[
       TagBox[
        InterpretationBox[
         StyleBox["\"40\[ThinSpace]000.00\"", ShowStringCharacters -> False], 
         40000., AutoDelete -> True], 
        NumberForm[#, {Infinity, 2}, DigitBlock -> 3, NumberSeparator -> 
         "\[ThinSpace]"]& ], 40000., Selectable -> False], 
      RowBox[{
        FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars",
       "\"USDollars\""},
     "QuantityPrefix"]}], ",", 
   RowBox[{"\<\"CHV\"\>", "\[Rule]", 
    TemplateBox[{
      InterpretationBox[
       TagBox[
        InterpretationBox[
         StyleBox["\"125\[ThinSpace]000.00\"", ShowStringCharacters -> False],
          125000., AutoDelete -> True], 
        NumberForm[#, {Infinity, 2}, DigitBlock -> 3, NumberSeparator -> 
         "\[ThinSpace]"]& ], 125000., Selectable -> False], 
      RowBox[{
        FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars",
       "\"USDollars\""},
     "QuantityPrefix"]}], ",", 
   RowBox[{"\<\"POR\"\>", "\[Rule]", 
    TemplateBox[{
      InterpretationBox[
       TagBox[
        InterpretationBox[
         StyleBox["\"60\[ThinSpace]000.00\"", ShowStringCharacters -> False], 
         60000., AutoDelete -> True], 
        NumberForm[#, {Infinity, 2}, DigitBlock -> 3, NumberSeparator -> 
         "\[ThinSpace]"]& ], 60000., Selectable -> False], 
      RowBox[{
        FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars",
       "\"USDollars\""},
     "QuantityPrefix"]}], ",", 
   RowBox[{"\<\"NE\"\>", "\[Rule]", 
    TemplateBox[{
      InterpretationBox[
       TagBox[
        InterpretationBox[
         StyleBox["\"33\[ThinSpace]000.00\"", ShowStringCharacters -> False], 
         33000., AutoDelete -> True], 
        NumberForm[#, {Infinity, 2}, DigitBlock -> 3, NumberSeparator -> 
         "\[ThinSpace]"]& ], 33000., Selectable -> False], 
      RowBox[{
        FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars",
       "\"USDollars\""},
     "QuantityPrefix"]}], ",", 
   RowBox[{"\<\"HOU\"\>", "\[Rule]", 
    TemplateBox[{
      InterpretationBox[
       TagBox[
        InterpretationBox[
         StyleBox["\"220\[ThinSpace]000.00\"", ShowStringCharacters -> False],
          220000., AutoDelete -> True], 
        NumberForm[#, {Infinity, 2}, DigitBlock -> 3, NumberSeparator -> 
         "\[ThinSpace]"]& ], 220000., Selectable -> False], 
      RowBox[{
        FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars",
       "\"USDollars\""},
     "QuantityPrefix"]}], ",", 
   RowBox[{"\<\"DAL\"\>", "\[Rule]", 
    TemplateBox[{
      InterpretationBox[
       TagBox[
        InterpretationBox[
         StyleBox["\"250\[ThinSpace]000.00\"", ShowStringCharacters -> False],
          250000., AutoDelete -> True], 
        NumberForm[#, {Infinity, 2}, DigitBlock -> 3, NumberSeparator -> 
         "\[ThinSpace]"]& ], 250000., Selectable -> False], 
      RowBox[{
        FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars",
       "\"USDollars\""},
     "QuantityPrefix"]}], ",", 
   RowBox[{"\<\"SEA\"\>", "\[Rule]", 
    TemplateBox[{
      InterpretationBox[
       TagBox[
        InterpretationBox[
         StyleBox["\"165\[ThinSpace]000.00\"", ShowStringCharacters -> False],
          165000., AutoDelete -> True], 
        NumberForm[#, {Infinity, 2}, DigitBlock -> 3, NumberSeparator -> 
         "\[ThinSpace]"]& ], 165000., Selectable -> False], 
      RowBox[{
        FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars",
       "\"USDollars\""},
     "QuantityPrefix"]}], ",", 
   RowBox[{"\<\"PHI\"\>", "\[Rule]", 
    TemplateBox[{
      InterpretationBox[
       TagBox[
        InterpretationBox[
         StyleBox["\"180\[ThinSpace]000.00\"", ShowStringCharacters -> False],
          180000., AutoDelete -> True], 
        NumberForm[#, {Infinity, 2}, DigitBlock -> 3, NumberSeparator -> 
         "\[ThinSpace]"]& ], 180000., Selectable -> False], 
      RowBox[{
        FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars",
       "\"USDollars\""},
     "QuantityPrefix"]}], ",", 
   RowBox[{"\<\"LA\"\>", "\[Rule]", 
    TemplateBox[{
      InterpretationBox[
       TagBox[
        InterpretationBox[
         StyleBox["\"36\[ThinSpace]000.00\"", ShowStringCharacters -> False], 
         36000., AutoDelete -> True], 
        NumberForm[#, {Infinity, 2}, DigitBlock -> 3, NumberSeparator -> 
         "\[ThinSpace]"]& ], 36000., Selectable -> False], 
      RowBox[{
        FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars",
       "\"USDollars\""},
     "QuantityPrefix"]}]}], "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{3.857032461428604*^9, 3.8806304329797373`*^9, 
  3.880634903986045*^9, 3.8814200827748947`*^9},
 CellLabel->"Out[315]=",
 CellID->890806607,ExpressionUUID->"6ba18979-63fc-42f3-9dec-bd62640bb4da"]
}, Open  ]],

Cell[TextData[{
 "I just showed how ",
 ButtonBox["GroupBy",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/GroupBy.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/GroupBy.html"],
 " works on conventional non-Association data, but it particularly shines \
when it comes to Associations and data structures involving Associations. \
Here, for example, I look at the MLS data as an ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 ". "
}], "Text",
 CellChangeTimes->{{3.769284611055931*^9, 3.7692846735489817`*^9}, {
   3.7692853709264307`*^9, 3.76928543770886*^9}, {3.76928547946309*^9, 
   3.769285497681086*^9}, {3.769333629525077*^9, 3.769333632550393*^9}, {
   3.7693772318592253`*^9, 3.76937726163216*^9}, {3.7755791288124814`*^9, 
   3.7755791297644815`*^9}, {3.775997550367705*^9, 3.7759975902260447`*^9}, {
   3.775997917967744*^9, 3.7759979203701286`*^9}, {3.7803122354878683`*^9, 
   3.7803122354881773`*^9}, {3.857033477981991*^9, 3.85703347930742*^9}, {
   3.857033771952846*^9, 3.857033820271305*^9}, 3.8570339293182297`*^9, {
   3.8574657300774927`*^9, 3.857465741089233*^9}, {3.866559616284133*^9, 
   3.866559616972794*^9}},
 CellTags->"LastCellOfAPage",
 CellID->1970193627,ExpressionUUID->"cf9c6279-bed5-400b-9397-d1ad03fffcab"],

Cell["The MLS data as a list of Associations:", "CodeText",
 CellChangeTimes->{{3.769424162473453*^9, 3.769424170408136*^9}, 
   3.7759982714754777`*^9, 3.780312254298216*^9, {3.866286872444541*^9, 
   3.8662868725127516`*^9}},
 CellTags->"p: 95",
 CellID->1997868869,ExpressionUUID->"244f4e2e-e7b4-4392-91c4-b1ef06407f33"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"(", 
  RowBox[{"mlsA", "=", 
   RowBox[{"ResourceData", "[", 
    RowBox[{"ro", ",", "\"\<MLS List of Associations\>\""}], "]"}]}], 
  ")"}]], "Input",
 CellChangeTimes->{{3.769333574986095*^9, 3.769333586886043*^9}, {
  3.769955234288643*^9, 3.769955236046657*^9}, {3.771929772631874*^9, 
  3.771929773446518*^9}, {3.8570337161414337`*^9, 3.857033735051099*^9}, {
  3.8570337960406017`*^9, 3.857033799547976*^9}},
 CellLabel->"In[147]:=",
 CellID->1037001096,ExpressionUUID->"88dd0943-6997-461e-a554-cf12fd122d92"],

Cell[BoxData[
 TemplateBox[<|"shortenedBoxes" -> TagBox[
     RowBox[{"{", 
       RowBox[{
         RowBox[{"\[LeftAssociation]", 
           RowBox[{
             RowBox[{"\"Club\"", "\[Rule]", "\"CHI\""}], ",", 
             RowBox[{"\"LastName\"", "\[Rule]", "\"Armas\""}], ",", 
             RowBox[{"\"FirstName\"", "\[Rule]", "\"Chris\""}], ",", 
             RowBox[{"\"Position\"", "\[Rule]", "\"M\""}], ",", 
             RowBox[{"\"BaseSalary\"", "\[Rule]", 
               TemplateBox[{
                 InterpretationBox[
                  TagBox[
                   InterpretationBox[
                    StyleBox[
                    "\"225\[ThinSpace]000.00\"", ShowStringCharacters -> 
                    False], 225000., AutoDelete -> True], 
                   NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 225000., 
                  Selectable -> False], 
                 RowBox[{
                   FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                 "US dollars", "\"USDollars\""}, "QuantityPrefix", SyntaxForm -> 
                Mod]}], ",", 
             RowBox[{"\"GuaranteedCompensation\"", "\[Rule]", 
               TemplateBox[{
                 InterpretationBox[
                  TagBox[
                   InterpretationBox[
                    StyleBox[
                    "\"225\[ThinSpace]000.00\"", ShowStringCharacters -> 
                    False], 225000., AutoDelete -> True], 
                   NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 225000., 
                  Selectable -> False], 
                 RowBox[{
                   FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                 "US dollars", "\"USDollars\""}, "QuantityPrefix", SyntaxForm -> 
                Mod]}], ",", 
             RowBox[{"\"Year\"", "\[Rule]", 
               TemplateBox[{
                 RowBox[{
                   StyleBox["\"Year: \"", "DateObjectLabel"], "\"2007\""}], 
                 RowBox[{"DateObject", "[", 
                   RowBox[{
                    RowBox[{"{", "2007", "}"}], ",", "\"Year\""}], "]"}]}, 
                "DateObject", Editable -> False]}]}], "\[RightAssociation]"}],
          ",", 
         TemplateBox[{"5551"}, "OutputSizeLimit`Skeleton"], ",", 
         RowBox[{"\[LeftAssociation]", 
           RowBox[{
             RowBox[{"\"Club\"", "\[Rule]", 
               RowBox[{"Missing", "[", "]"}]}], ",", 
             RowBox[{"\"LastName\"", "\[Rule]", "\"Ramajo\""}], ",", 
             RowBox[{"\"FirstName\"", "\[Rule]", "\"David Mateos\""}], ",", 
             RowBox[{"\"Position\"", "\[Rule]", "\"D\""}], ",", 
             RowBox[{"\"BaseSalary\"", "\[Rule]", 
               TemplateBox[{
                 InterpretationBox[
                  TagBox[
                   InterpretationBox[
                    StyleBox[
                    "\"420\[ThinSpace]000.00\"", ShowStringCharacters -> 
                    False], 420000., AutoDelete -> True], 
                   NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 420000., 
                  Selectable -> False], 
                 RowBox[{
                   FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                 "US dollars", "\"USDollars\""}, "QuantityPrefix", SyntaxForm -> 
                Mod]}], ",", 
             RowBox[{"\"GuaranteedCompensation\"", "\[Rule]", 
               TemplateBox[{
                 InterpretationBox[
                  TagBox[
                   InterpretationBox[
                    StyleBox[
                    "\"453\[ThinSpace]333.33\"", ShowStringCharacters -> 
                    False], 453333.33, AutoDelete -> True], 
                   NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 453333.33, 
                  Selectable -> False], 
                 RowBox[{
                   FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                 "US dollars", "\"USDollars\""}, "QuantityPrefix", SyntaxForm -> 
                Mod]}], ",", 
             RowBox[{"\"Year\"", "\[Rule]", 
               TemplateBox[{
                 RowBox[{
                   StyleBox["\"Year: \"", "DateObjectLabel"], "\"2017\""}], 
                 RowBox[{"DateObject", "[", 
                   RowBox[{
                    RowBox[{"{", "2017", "}"}], ",", "\"Year\""}], "]"}]}, 
                "DateObject", Editable -> False]}]}], 
           "\[RightAssociation]"}]}], "}"}], Short[#, 8]& ], "line" -> 147, 
   "sessionID" -> 28259814545824442934, "byteCount" -> 8368800, "size" -> 8, 
   "stored" -> False, "expr" -> Missing["NotAvailable", "NewSessionID"], 
   "wrap" -> OutputSizeLimit`Defer, "version" -> 1|>,
  "OutputSizeLimitTemplate"]], "Output",
 CellChangeTimes->{3.857033801069385*^9, 3.880546376118967*^9, 
  3.880548306556923*^9, 3.8806304413673973`*^9, 3.880634966740054*^9, 
  3.881420095498736*^9, 3.8818391369155407`*^9},
 CellLabel->"Out[147]=",
 CellID->89155388,ExpressionUUID->"78234893-2b4a-4a9c-bfb8-7c945f56f663"]
}, Open  ]],

Cell[TextData[{
 "This output is a little hard to read, so I\[CloseCurlyQuote]ll display the \
first eight players as a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ". One can see the remaining players by using the interface provided by ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 "."
}], "Text",
 CellChangeTimes->{{3.8570339325395403`*^9, 3.857034019989142*^9}, {
  3.857465749083516*^9, 3.857465761570746*^9}, {3.8662868823281097`*^9, 
  3.8662868891445913`*^9}},
 CellID->17988758,ExpressionUUID->"f6e7932a-4f16-4c1a-ae56-9125613db424"],

Cell[TextData[{
 "Use ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " with a ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["MaxItems",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/MaxItems.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/MaxItems.html"], 
   " ", 
   ButtonBox[
    StyleBox["\[Rule]",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Rule.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Rule.html"], " ", 
   "8"}]], "InlineCode",ExpressionUUID->
  "1a8b9a5c-ac60-423a-bced-5906ca97c726"],
 " option to show the first eight players and display them in a tabular form:"
}], "CodeText",
 CellChangeTimes->{{3.769424162473453*^9, 3.769424170408136*^9}, 
   3.7759982714754777`*^9, 3.780312254298216*^9, {3.857033874705373*^9, 
   3.857033915917848*^9}, {3.857465767247587*^9, 3.857465772804463*^9}, {
   3.8662871916379166`*^9, 3.8662872074542427`*^9}, {3.866559641465513*^9, 
   3.866559656942995*^9}, {3.8677608157243824`*^9, 3.8677608247419415`*^9}, {
   3.867761611075425*^9, 3.8677616537177963`*^9}, {3.884962927525033*^9, 
   3.884962928339809*^9}},
 CellID->1167125488,ExpressionUUID->"df2e1065-67ff-4bcf-851b-19dd8c587170"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Dataset", "[", 
  RowBox[{"mlsA", ",", 
   RowBox[{"MaxItems", "\[Rule]", "8"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.8570338248293343`*^9, 3.8570338674314528`*^9}, {
  3.857033918574589*^9, 3.857033920113223*^9}},
 CellLabel->"In[317]:=",
 CellID->557664099,ExpressionUUID->"6c65f6a4-2dfc-429f-94da-0edb879443da"],

Cell[BoxData[
 TagBox[
  TemplateBox[{
    TagBox[
     DynamicModuleBox[{
      TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
        "InitialData" -> 
         TypeSystem`CacheKey[
          9615394348615673836407758858756607109079286667764579098632], 
         "AllowEmbedding" -> True, "InitialShape" -> 
         TypeSystem`PackageScope`HeaderShape[<|{All, "Club"} -> 
            1, {All, "LastName"} -> 1, {All, "FirstName"} -> 
            1, {All, "Position"} -> 1, {All, "BaseSalary"} -> 
            1, {All, "GuaranteedCompensation"} -> 1, {All, "Year"} -> 1|>, 
           TypeSystem`PackageScope`Limited[
            TypeSystem`PackageScope`ColumnShape[
             TypeSystem`PackageScope`Limited[
              
              TypeSystem`PackageScope`RowShape[<|
               "Club" -> TypeSystem`PackageScope`AtomShape[56.00000000000001],
                 "LastName" -> 
                TypeSystem`PackageScope`AtomShape[89.60000000000001], 
                "FirstName" -> 
                TypeSystem`PackageScope`AtomShape[123.20000000000002`], 
                "Position" -> TypeSystem`PackageScope`AtomShape[33.6], 
                "BaseSalary" -> TypeSystem`PackageScope`AtomShape[75], 
                "GuaranteedCompensation" -> 
                TypeSystem`PackageScope`AtomShape[75], "Year" -> 
                TypeSystem`PackageScope`AtomShape[75]|>], 
              DirectedInfinity[1], 7, {All}]], 8, 
            DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
           
           TypeSystem`Struct[{
            "Club", "LastName", "FirstName", "Position", "BaseSalary", 
             "GuaranteedCompensation", "Year"}, {
             TypeSystem`Atom[String], 
             TypeSystem`Atom[String], 
             TypeSystem`Atom[String], 
             TypeSystem`Atom[String], 
             TypeSystem`Atom[
              Quantity[1, "USDollars"]], 
             TypeSystem`Atom[
              Quantity[1, "USDollars"]], 
             TypeSystem`Atom[DateObject]}], 5553], 
         "Meta" -> <|MaxItems -> 8|>, "RowTarget" -> 20, "ColumnTarget" -> 10,
          "Shape" -> 
         TypeSystem`PackageScope`HeaderShape[<|{All, "Club"} -> 
            1, {All, "LastName"} -> 1, {All, "FirstName"} -> 
            1, {All, "Position"} -> 1, {All, "BaseSalary"} -> 
            1, {All, "GuaranteedCompensation"} -> 1, {All, "Year"} -> 1|>, 
           TypeSystem`PackageScope`Limited[
            TypeSystem`PackageScope`ColumnShape[
             TypeSystem`PackageScope`Limited[
              
              TypeSystem`PackageScope`RowShape[<|
               "Club" -> TypeSystem`PackageScope`AtomShape[56.00000000000001],
                 "LastName" -> 
                TypeSystem`PackageScope`AtomShape[89.60000000000001], 
                "FirstName" -> 
                TypeSystem`PackageScope`AtomShape[123.20000000000002`], 
                "Position" -> TypeSystem`PackageScope`AtomShape[33.6], 
                "BaseSalary" -> TypeSystem`PackageScope`AtomShape[75], 
                "GuaranteedCompensation" -> 
                TypeSystem`PackageScope`AtomShape[75], "Year" -> 
                TypeSystem`PackageScope`AtomShape[75]|>], 
              DirectedInfinity[1], 7, {All}]], 8, 
            DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
           
           TypeSystem`Struct[{
            "Club", "LastName", "FirstName", "Position", "BaseSalary", 
             "GuaranteedCompensation", "Year"}, {
             TypeSystem`Atom[String], 
             TypeSystem`Atom[String], 
             TypeSystem`Atom[String], 
             TypeSystem`Atom[String], 
             TypeSystem`Atom[
              Quantity[1, "USDollars"]], 
             TypeSystem`Atom[
              Quantity[1, "USDollars"]], 
             TypeSystem`Atom[DateObject]}], 5553], "Path" -> {}, 
         "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 7, 
         "DataRowCount" -> 5553, "DataColumnCount" -> 7, "SortPaths" -> {}, 
         "SortDirections" -> {}, "HiddenItemsMap" -> Null, "UpdateType" -> 
         1|>, TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
       TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
       TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
       DynamicModule[{
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
            Style[
             Grid[{{
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["Club", 
                    Style[
                    "Club", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "Club"}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
                    All, "Club"}, "ColumnHeader", True], "Mouse"], 
                  ImageSize -> {{1, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                 GrayLevel[0.95], Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["LastName", 
                    Style[
                    "LastName", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "LastName"}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
                    All, "LastName"}, "ColumnHeader", True], "Mouse"], 
                  ImageSize -> {{1, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                 GrayLevel[0.95], Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["FirstName", 
                    Style[
                    "FirstName", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "FirstName"}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
                    All, "FirstName"}, "ColumnHeader", True], "Mouse"], 
                  ImageSize -> {{1, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                 GrayLevel[0.95], Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["Position", 
                    Style[
                    "Position", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "Position"}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
                    All, "Position"}, "ColumnHeader", True], "Mouse"], 
                  ImageSize -> {{1, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                 GrayLevel[0.95], Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["BaseSalary", 
                    Style[
                    "BaseSalary", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "BaseSalary"}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
                    All, "BaseSalary"}, "ColumnHeader", True], "Mouse"], 
                  ImageSize -> {{1, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                 GrayLevel[0.95], Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["GuaranteedCompensation", 
                    Style[
                    "GuaranteedCompensation", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "GuaranteedCompensation"}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
                    All, "GuaranteedCompensation"}, "ColumnHeader", True], 
                   "Mouse"], ImageSize -> {{1, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                 GrayLevel[0.95], Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["Year", 
                    Style[
                    "Year", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "Year"}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
                    All, "Year"}, "ColumnHeader", True], "Mouse"], 
                  ImageSize -> {{1, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                 GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
                Item[
                 Pane[
                  Annotation["CHI", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{1, 
                    Key["Club"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{56.00000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Armas", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{1, 
                    Key["LastName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{89.60000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Chris", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{1, 
                    Key["FirstName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{123.20000000000002`, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["M", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{1, 
                    Key["Position"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"225\[ThinSpace]000.00\"", ShowStringCharacters -> 
                    False], 225000., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 225000., 
                    Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{1, 
                    Key["BaseSalary"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"225\[ThinSpace]000.00\"", ShowStringCharacters -> 
                    False], 225000., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 225000., 
                    Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{1, 
                    Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2007\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{1, 
                    Key["Year"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}]}, {
                Item[
                 Pane[
                  Annotation["CHI", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{2, 
                    Key["Club"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{56.00000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Banner", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{2, 
                    Key["LastName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{89.60000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Michael", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{2, 
                    Key["FirstName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{123.20000000000002`, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["M", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{2, 
                    Key["Position"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"12\[ThinSpace]900.00\"", ShowStringCharacters -> 
                    False], 12900., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 12900., Selectable -> 
                    False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{2, 
                    Key["BaseSalary"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"12\[ThinSpace]900.00\"", ShowStringCharacters -> 
                    False], 12900., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 12900., Selectable -> 
                    False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{2, 
                    Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2007\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{2, 
                    Key["Year"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}]}, {
                Item[
                 Pane[
                  Annotation["CHI", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{3, 
                    Key["Club"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{56.00000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Barrett", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{3, 
                    Key["LastName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{89.60000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Chad", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{3, 
                    Key["FirstName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{123.20000000000002`, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["F", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{3, 
                    Key["Position"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"41\[ThinSpace]212.50\"", ShowStringCharacters -> 
                    False], 41212.5, AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 41212.5, 
                    Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{3, 
                    Key["BaseSalary"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"48\[ThinSpace]712.50\"", ShowStringCharacters -> 
                    False], 48712.5, AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 48712.5, 
                    Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{3, 
                    Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2007\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{3, 
                    Key["Year"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}]}, {
                Item[
                 Pane[
                  Annotation["CHI", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{4, 
                    Key["Club"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{56.00000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Blanco", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{4, 
                    Key["LastName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{89.60000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Cuauhtemoc", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{4, 
                    Key["FirstName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{123.20000000000002`, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["F", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{4, 
                    Key["Position"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    "2.492316`*^6", 2.492316*^6, Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{4, 
                    Key["BaseSalary"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    "2.666778`*^6", 2.666778*^6, Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{4, 
                    Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2007\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{4, 
                    Key["Year"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}]}, {
                Item[
                 Pane[
                  Annotation["CHI", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{5, 
                    Key["Club"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{56.00000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Brown", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{5, 
                    Key["LastName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{89.60000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["C.J.", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{5, 
                    Key["FirstName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{123.20000000000002`, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["D", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{5, 
                    Key["Position"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"106\[ThinSpace]391.00\"", ShowStringCharacters -> 
                    False], 106391., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 106391., 
                    Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{5, 
                    Key["BaseSalary"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"106\[ThinSpace]391.00\"", ShowStringCharacters -> 
                    False], 106391., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 106391., 
                    Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{5, 
                    Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2007\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{5, 
                    Key["Year"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}]}, {
                Item[
                 Pane[
                  Annotation["CHI", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{6, 
                    Key["Club"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{56.00000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Busch", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{6, 
                    Key["LastName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{89.60000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Jon", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{6, 
                    Key["FirstName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{123.20000000000002`, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["GK", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{6, 
                    Key["Position"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"58\[ThinSpace]008.00\"", ShowStringCharacters -> 
                    False], 58008., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 58008., Selectable -> 
                    False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{6, 
                    Key["BaseSalary"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"58\[ThinSpace]008.00\"", ShowStringCharacters -> 
                    False], 58008., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 58008., Selectable -> 
                    False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{6, 
                    Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2007\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{6, 
                    Key["Year"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}]}, {
                Item[
                 Pane[
                  Annotation["CHI", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{7, 
                    Key["Club"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{56.00000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Carr", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{7, 
                    Key["LastName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{89.60000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Calen", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{7, 
                    Key["FirstName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{123.20000000000002`, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["F", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{7, 
                    Key["Position"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"38\[ThinSpace]000.00\"", ShowStringCharacters -> 
                    False], 38000., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 38000., Selectable -> 
                    False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{7, 
                    Key["BaseSalary"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"50\[ThinSpace]500.00\"", ShowStringCharacters -> 
                    False], 50500., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 50500., Selectable -> 
                    False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{7, 
                    Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2007\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{7, 
                    Key["Year"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}]}, {
                Item[
                 Pane[
                  Annotation["CHI", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{8, 
                    Key["Club"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{56.00000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Conde", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{8, 
                    Key["LastName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{89.60000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Wilman", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{8, 
                    Key["FirstName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{123.20000000000002`, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["D", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{8, 
                    Key["Position"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"144\[ThinSpace]000.00\"", ShowStringCharacters -> 
                    False], 144000., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 144000., 
                    Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{8, 
                    Key["BaseSalary"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    TagBox[
                    InterpretationBox[
                    StyleBox[
                    "\"151\[ThinSpace]500.00\"", ShowStringCharacters -> 
                    False], 151500., AutoDelete -> True], 
                    NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 151500., 
                    Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{8, 
                    Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2007\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{8, 
                    Key["Year"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}]}, {
                Item[
                 Deploy[
                  Pane[
                   Row[{
                    Spacer[2], 
                    Style[
                    Row[{
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[True, 5553, 1], {1, 5553 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[False, 5553, 1], {1, 5553 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], " ", 
                    Style[
                    Mouseover[
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[5553, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]], 
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[5553, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]]], ContextMenu -> {
                    MenuItem["Hide", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 1, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 10 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 10, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 30 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 30, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 100 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show All", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100000000, {}]], MenuEvaluator -> Automatic]}], 
                    " ", 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[False, 5553, 1], {1, 5553 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[True, 5553, 1], {1, 5553 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None]}], ContextMenu -> {}]}], 
                   ImageMargins -> {{0, -1}, {-1, 1}}]], Background -> 
                 RGBColor[
                  0.9764705882352941, 0.9764705882352941, 0.9764705882352941],
                  Alignment -> {Left, Top}], SpanFromLeft, SpanFromLeft, 
                SpanFromLeft, SpanFromLeft, SpanFromLeft, SpanFromLeft}}, 
              BaseStyle -> {
               ContextMenu -> 
                Dynamic[
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                  Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                    TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastContextMenuTrigger, TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu,
                     True, TypeSystem`NestedGrid`PackagePrivate`$\
lastContextMenuTrigger = 
                    TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                    TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                    Block[{TypeSystem`NestedGrid`PackagePrivate`$\
globalScrollPos = {TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                    
                    With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
                "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, 
              Dividers -> All, FrameStyle -> GrayLevel[0.7490196078431373], 
              Spacings -> {0, 0}, Alignment -> Left, 
              BaseStyle -> {
               FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
                Plain}], LineBreakWithin -> False, ContextMenu -> {}, 
             NumberMarks -> False, ShowAutoStyles -> False]], 
          TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
         Dynamic[
          TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
          TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
             Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
             
             Module[{TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
               TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
               TypeSystem`NestedGrid`PackagePrivate`datasetData[
                TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
              TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
                 FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
                 TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
                 TypeSystem`NestedGrid`PackagePrivate`renderGrid[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                 TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
                Not[
                 FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
                TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
                TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
           TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
           TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
           TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
             TypeSystem`SparseGrid[
              TypeSystem`H["(data no longer present)"]], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
          TrackedSymbols :> {
           TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
            TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
         DynamicModuleValues :> {}], 
       TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
         TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
          TypeSystem`PackageScope`SubViewPathbar[
          TypeSystem`NestedGrid`PackagePrivate`$path$$, 
           TypeSystem`NestedGrid`PackagePrivate`updateState[
           TypeSystem`NestedGrid`PackagePrivate`$state$$, 
            TypeSystem`NestedGrid`PackagePrivate`$path$$, 
            TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
            TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
            TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
            TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
         TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
       TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
         Framed[
          Dynamic[
           Replace[
           TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
            TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
               Blank[]] -> "", 
             TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
               Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
                Blank[]], 
               Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
                Blank[]], 
               Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                Blank[]]] :> (
              Increment[
               TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
              TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
               TypeSystem`NestedGrid`PackagePrivate`path$; 
              TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
               TypeSystem`NestedGrid`PackagePrivate`pathType$; 
              TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
               TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
              TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
               TypeSystem`NestedGrid`PackagePrivate`localHold[
                TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
              TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
               TypeSystem`NestedGrid`PackagePrivate`path$, 
                TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
             Spacer[10], Blank[] :> Spacer[10]}], 
           TrackedSymbols :> {
            TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], 
          FrameStyle -> None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> 
          Top, ImageSize -> {Automatic, 15}], FontSize -> 1], 
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
      DynamicWrapperBox[
       DynamicBox[
        ToBoxes[
         Dataset`DatasetContent[
         2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
          "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], 
          "State" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], 
          "VPos" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], 
          "HPos" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], 
          "TopBar" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], 
          "BottomBar" -> 
          Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
          Hold[
            TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], 
         StandardForm], 
        ImageSizeCache -> {709., {141.3837890625, 148.6162109375}}, 
        TrackedSymbols :> {
         TypeSystem`NestedGrid`PackagePrivate`$state$$, 
          TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
       MouseAnnotation[], 
       ImageSizeCache -> {709., {141.3837890625, 148.6162109375}}], 
      BaseStyle -> {LineBreakWithin -> False}, DynamicModuleValues :> {}, 
      Initialization :> (TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
       CreateUUID[]), 
      UnsavedVariables :> {TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
      Deploy, DefaultBaseStyle -> "Deploy"]},
   "CopyTag",
   DisplayFunction->(#& ),
   InterpretationFunction->("Dataset[<>]"& )],
  False,
  BoxID -> 9615394348615673836407758858756607109079286667764579098632,
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{{3.857033856613935*^9, 3.8570338678747997`*^9}, 
   3.857033920570655*^9, 3.880546383909223*^9, 3.8806304474113607`*^9, 
   3.880634972284625*^9, 3.8814201164891863`*^9},
 CellLabel->"Out[317]=",
 CellID->97673721,ExpressionUUID->"177fd360-2fb8-4d6d-989e-7772d71c9cfc"]
}, Open  ]],

Cell[TextData[{
 "I now want to run that three-argument ",
 ButtonBox["GroupBy",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/GroupBy.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/GroupBy.html"],
 " and compute the maximum base salary by team. I don\[CloseCurlyQuote]t need \
to use inscrutable numbered parts as functions anymore. Now I can use ",
 ButtonBox["Slot",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Slot.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Slot.html"],
 " functions with string arguments. Before running ",
 ButtonBox["GroupBy",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/GroupBy.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/GroupBy.html"],
 ", I use ",
 ButtonBox["Select",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Select.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Select.html"],
 " with a function that keeps only rows that are free of Missings in the \
Club, BaseSalary, and GuaranteedCompensation columns. "
}], "Text",
 CellChangeTimes->{{3.769285510616108*^9, 3.7692855964877462`*^9}, {
   3.769285714738536*^9, 3.769285738123817*^9}, {3.7693772925512667`*^9, 
   3.769377293392289*^9}, {3.769377668427642*^9, 3.769377671290988*^9}, {
   3.769377748884741*^9, 3.7693777808900623`*^9}, {3.77599827891663*^9, 
   3.7759982830194035`*^9}, {3.7759985094138823`*^9, 
   3.7759985135634556`*^9}, {3.7759985531434016`*^9, 
   3.7759985613489494`*^9}, {3.880634997966082*^9, 3.880635019625445*^9}, 
   3.8811658528946247`*^9, {3.881228105306293*^9, 3.8812281060323524`*^9}},
 CellTags->"LastCellOfAPage",
 CellID->432713460,ExpressionUUID->"b6ab7224-fcd4-429c-a9da-a09771d26aee"],

Cell[TextData[{
 "Use ",
 ButtonBox["GroupBy",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/GroupBy.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/GroupBy.html"],
 " to group by team and find the maximum base salaries for each:"
}], "CodeText",
 CellChangeTimes->{{3.769424175053623*^9, 3.7694241933710623`*^9}, {
  3.7759985707098894`*^9, 3.7759985740482674`*^9}, {3.880630514710082*^9, 
  3.8806305153524733`*^9}, {3.8811659995700517`*^9, 3.8811659997575502`*^9}},
 CellTags->"p: 96",
 CellID->246558331,ExpressionUUID->"c2c2b993-b6ff-478e-9779-99514d98f247"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"maxTeamSalary", "=", 
  RowBox[{"GroupBy", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Select", "[", 
      RowBox[{
       RowBox[{"Not", "[", 
        RowBox[{"Or", "[", 
         RowBox[{
          RowBox[{"MissingQ", "[", "#Club", "]"}], ",", 
          RowBox[{"MissingQ", "[", "#BaseSalary", "]"}], ",", 
          RowBox[{"MissingQ", "[", "#GuaranteedCompensation", "]"}]}], "]"}], 
        "]"}], "&"}], "]"}], "[", "mlsA", "]"}], ",", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"#Club", "&"}], ")"}], "\[Rule]", 
     RowBox[{"(", 
      RowBox[{"#BaseSalary", "&"}], ")"}]}], ",", "Max"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.7692855492847433`*^9, 3.7692855670973377`*^9}, {
   3.7692856000658607`*^9, 3.7692857074116087`*^9}, {3.769285768087099*^9, 
   3.769285770867338*^9}, 3.769333648469204*^9, {3.769377673962816*^9, 
   3.769377682163707*^9}, {3.880635031359733*^9, 3.8806350671343737`*^9}},
 CellLabel->"In[318]:=",
 CellID->776159909,ExpressionUUID->"653c1fe2-ca62-4087-8c17-e1c246e1c1b2"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"CHI\"\>", "\[Rule]", 
    TemplateBox[{
      InterpretationBox["5.4`*^6", 5.4*^6, Selectable -> False], 
      RowBox[{
        FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars",
       "\"USDollars\""},
     "QuantityPrefix"]}], ",", 
   RowBox[{"\<\"CHV\"\>", "\[Rule]", 
    TemplateBox[{
      InterpretationBox["1.`*^6", 1.*^6, Selectable -> False], 
      RowBox[{
        FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars",
       "\"USDollars\""},
     "QuantityPrefix"]}], ",", 
   RowBox[{"\<\"CLB\"\>", "\[Rule]", 
    TemplateBox[{
      InterpretationBox["1.175`*^6", 1.175*^6, Selectable -> False], 
      RowBox[{
        FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars",
       "\"USDollars\""},
     "QuantityPrefix"]}], ",", 
   RowBox[{"\<\"COL\"\>", "\[Rule]", 
    TemplateBox[{
      InterpretationBox["2.1`*^6", 2.1*^6, Selectable -> False], 
      RowBox[{
        FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars",
       "\"USDollars\""},
     "QuantityPrefix"]}], ",", 
   RowBox[{"\<\"DAL\"\>", "\[Rule]", 
    TemplateBox[{
      InterpretationBox["1.863996`*^6", 1.863996*^6, Selectable -> False], 
      RowBox[{
        FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars",
       "\"USDollars\""},
     "QuantityPrefix"]}], ",", 
   RowBox[{"\<\"DC\"\>", "\[Rule]", 
    TemplateBox[{
      InterpretationBox["1.5`*^6", 1.5*^6, Selectable -> False], 
      RowBox[{
        FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars",
       "\"USDollars\""},
     "QuantityPrefix"]}], ",", 
   RowBox[{"\<\"HOU\"\>", "\[Rule]", 
    TemplateBox[{
      InterpretationBox[
       TagBox[
        InterpretationBox[
         StyleBox["\"750\[ThinSpace]000.00\"", ShowStringCharacters -> False],
          750000., AutoDelete -> True], 
        NumberForm[#, {Infinity, 2}, DigitBlock -> 3, NumberSeparator -> 
         "\[ThinSpace]"]& ], 750000., Selectable -> False], 
      RowBox[{
        FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars",
       "\"USDollars\""},
     "QuantityPrefix"]}], ",", 
   RowBox[{"\<\"KC\"\>", "\[Rule]", 
    TemplateBox[{
      InterpretationBox[
       TagBox[
        InterpretationBox[
         StyleBox["\"850\[ThinSpace]000.00\"", ShowStringCharacters -> False],
          850000., AutoDelete -> True], 
        NumberForm[#, {Infinity, 2}, DigitBlock -> 3, NumberSeparator -> 
         "\[ThinSpace]"]& ], 850000., Selectable -> False], 
      RowBox[{
        FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars",
       "\"USDollars\""},
     "QuantityPrefix"]}], ",", 
   RowBox[{"\<\"LA\"\>", "\[Rule]", 
    TemplateBox[{
      InterpretationBox["6.200004`*^6", 6.200004*^6, Selectable -> False], 
      RowBox[{
        FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars",
       "\"USDollars\""},
     "QuantityPrefix"]}], ",", 
   RowBox[{"\<\"NE\"\>", "\[Rule]", 
    TemplateBox[{
      InterpretationBox["3.`*^6", 3.*^6, Selectable -> False], 
      RowBox[{
        FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars",
       "\"USDollars\""},
     "QuantityPrefix"]}], ",", 
   RowBox[{"\<\"NY\"\>", "\[Rule]", 
    TemplateBox[{
      InterpretationBox["5.544`*^6", 5.544*^6, Selectable -> False], 
      RowBox[{
        FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars",
       "\"USDollars\""},
     "QuantityPrefix"]}], ",", 
   RowBox[{"\<\"Pool\"\>", "\[Rule]", 
    TemplateBox[{
      InterpretationBox[
       TagBox[
        InterpretationBox[
         StyleBox["\"40\[ThinSpace]000.00\"", ShowStringCharacters -> False], 
         40000., AutoDelete -> True], 
        NumberForm[#, {Infinity, 2}, DigitBlock -> 3, NumberSeparator -> 
         "\[ThinSpace]"]& ], 40000., Selectable -> False], 
      RowBox[{
        FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars",
       "\"USDollars\""},
     "QuantityPrefix"]}], ",", 
   RowBox[{"\<\"RSL\"\>", "\[Rule]", 
    TemplateBox[{
      InterpretationBox["1.75`*^6", 1.75*^6, Selectable -> False], 
      RowBox[{
        FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars",
       "\"USDollars\""},
     "QuantityPrefix"]}], ",", 
   RowBox[{"\<\"TFC\"\>", "\[Rule]", 
    TemplateBox[{
      InterpretationBox["1.863996`*^6", 1.863996*^6, Selectable -> False], 
      RowBox[{
        FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars",
       "\"USDollars\""},
     "QuantityPrefix"]}], ",", 
   RowBox[{"\<\"SJ\"\>", "\[Rule]", 
    TemplateBox[{
      InterpretationBox[
       TagBox[
        InterpretationBox[
         StyleBox["\"988\[ThinSpace]000.00\"", ShowStringCharacters -> False],
          988000., AutoDelete -> True], 
        NumberForm[#, {Infinity, 2}, DigitBlock -> 3, NumberSeparator -> 
         "\[ThinSpace]"]& ], 988000., Selectable -> False], 
      RowBox[{
        FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars",
       "\"USDollars\""},
     "QuantityPrefix"]}], ",", 
   RowBox[{"\<\"SEA\"\>", "\[Rule]", 
    TemplateBox[{
      InterpretationBox["4.913004`*^6", 4.913004*^6, Selectable -> False], 
      RowBox[{
        FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars",
       "\"USDollars\""},
     "QuantityPrefix"]}], ",", 
   RowBox[{"\<\"PHI\"\>", "\[Rule]", 
    TemplateBox[{
      InterpretationBox["1.131`*^6", 1.131*^6, Selectable -> False], 
      RowBox[{
        FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars",
       "\"USDollars\""},
     "QuantityPrefix"]}], ",", 
   RowBox[{"\<\"None\"\>", "\[Rule]", 
    TemplateBox[{
      InterpretationBox[
       TagBox[
        InterpretationBox[
         StyleBox["\"120\[ThinSpace]000.00\"", ShowStringCharacters -> False],
          120000., AutoDelete -> True], 
        NumberForm[#, {Infinity, 2}, DigitBlock -> 3, NumberSeparator -> 
         "\[ThinSpace]"]& ], 120000., Selectable -> False], 
      RowBox[{
        FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars",
       "\"USDollars\""},
     "QuantityPrefix"]}], ",", 
   RowBox[{"\<\"VAN\"\>", "\[Rule]", 
    TemplateBox[{
      InterpretationBox["1.40000004`*^6", 1.40000004*^6, Selectable -> False], 
      RowBox[{
        FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars",
       "\"USDollars\""},
     "QuantityPrefix"]}], ",", 
   RowBox[{"\<\"POR\"\>", "\[Rule]", 
    TemplateBox[{
      InterpretationBox["2.2275`*^6", 2.2275*^6, Selectable -> False], 
      RowBox[{
        FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars",
       "\"USDollars\""},
     "QuantityPrefix"]}], ",", 
   RowBox[{"\<\"TOR\"\>", "\[Rule]", 
    TemplateBox[{
      InterpretationBox["6.`*^6", 6.*^6, Selectable -> False], 
      RowBox[{
        FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars",
       "\"USDollars\""},
     "QuantityPrefix"]}], ",", 
   RowBox[{"\<\"POOL\"\>", "\[Rule]", 
    TemplateBox[{
      InterpretationBox[
       TagBox[
        InterpretationBox[
         StyleBox["\"62\[ThinSpace]500.00\"", ShowStringCharacters -> False], 
         62500., AutoDelete -> True], 
        NumberForm[#, {Infinity, 2}, DigitBlock -> 3, NumberSeparator -> 
         "\[ThinSpace]"]& ], 62500., Selectable -> False], 
      RowBox[{
        FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars",
       "\"USDollars\""},
     "QuantityPrefix"]}], ",", 
   RowBox[{"\<\"MTL\"\>", "\[Rule]", 
    TemplateBox[{
      InterpretationBox["1.666668`*^6", 1.666668*^6, Selectable -> False], 
      RowBox[{
        FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars",
       "\"USDollars\""},
     "QuantityPrefix"]}], ",", 
   RowBox[{"\<\"ORL\"\>", "\[Rule]", 
    TemplateBox[{
      InterpretationBox["6.66`*^6", 6.66*^6, Selectable -> False], 
      RowBox[{
        FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars",
       "\"USDollars\""},
     "QuantityPrefix"]}], ",", 
   RowBox[{"\<\"NYCFC\"\>", "\[Rule]", 
    TemplateBox[{
      InterpretationBox["6.`*^6", 6.*^6, Selectable -> False], 
      RowBox[{
        FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars",
       "\"USDollars\""},
     "QuantityPrefix"]}], ",", 
   RowBox[{"\<\"ATL\"\>", "\[Rule]", 
    TemplateBox[{
      InterpretationBox["1.9125`*^6", 1.9125*^6, Selectable -> False], 
      RowBox[{
        FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars",
       "\"USDollars\""},
     "QuantityPrefix"]}], ",", 
   RowBox[{"\<\"NYRB\"\>", "\[Rule]", 
    TemplateBox[{
      InterpretationBox["1.5`*^6", 1.5*^6, Selectable -> False], 
      RowBox[{
        FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars",
       "\"USDollars\""},
     "QuantityPrefix"]}], ",", 
   RowBox[{"\<\"LAFC\"\>", "\[Rule]", 
    TemplateBox[{
      InterpretationBox[
       TagBox[
        InterpretationBox[
         StyleBox["\"65\[ThinSpace]004.00\"", ShowStringCharacters -> False], 
         65004., AutoDelete -> True], 
        NumberForm[#, {Infinity, 2}, DigitBlock -> 3, NumberSeparator -> 
         "\[ThinSpace]"]& ], 65004., Selectable -> False], 
      RowBox[{
        FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars",
       "\"USDollars\""},
     "QuantityPrefix"]}], ",", 
   RowBox[{"\<\"MNUFC\"\>", "\[Rule]", 
    TemplateBox[{
      InterpretationBox[
       TagBox[
        InterpretationBox[
         StyleBox["\"550\[ThinSpace]008.00\"", ShowStringCharacters -> False],
          550008., AutoDelete -> True], 
        NumberForm[#, {Infinity, 2}, DigitBlock -> 3, NumberSeparator -> 
         "\[ThinSpace]"]& ], 550008., Selectable -> False], 
      RowBox[{
        FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars",
       "\"USDollars\""},
     "QuantityPrefix"]}]}], "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{{3.769285621710597*^9, 3.769285676173973*^9}, 
   3.76928570833136*^9, 3.7692857712859488`*^9, 3.769332253359124*^9, 
   3.769333651174371*^9, 3.7693776827999363`*^9, 3.769377740252899*^9, 
   3.769955127484249*^9, 3.769955273861785*^9, 3.771929807935091*^9, 
   3.857034060450218*^9, 3.880630463331646*^9, 3.880635073897649*^9, 
   3.881420123180916*^9},
 CellLabel->"Out[318]=",
 CellID->915242032,ExpressionUUID->"c1d20747-fae8-4f71-bed0-05ca7b9c4f8d"]
}, Open  ]],

Cell[TextData[{
 "I can make this output more attractive by sorting the data from high to low \
and putting the top 10 teams in a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ". Orlando City SC had the player with the highest base salary. "
}], "Text",
 CellChangeTimes->{{3.769285741615869*^9, 3.769285764561854*^9}, {
   3.769285808349965*^9, 3.76928582795399*^9}, {3.769333687651775*^9, 
   3.769333693501608*^9}, {3.769377790361203*^9, 3.7693777927302427`*^9}, 
   3.780312322704072*^9, {3.857034032197345*^9, 3.857034034480028*^9}, 
   3.85746583431496*^9, {3.880630521370962*^9, 3.880630522721204*^9}, {
   3.880635084637372*^9, 3.880635115069018*^9}},
 CellID->290177974,ExpressionUUID->"7b54655d-129f-4658-b9ff-905b1de6da1c"],

Cell[TextData[{
 "Sort the team salary information from highest to lowest, display the \
resulting relationship in a tabular form using ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " and display the results in groupings of 10 teams:"
}], "CodeText",
 CellChangeTimes->{{3.8570341022070932`*^9, 3.857034158651188*^9}, 
   3.857465847912506*^9, {3.866287318397538*^9, 3.8662873293715873`*^9}, {
   3.8662942219566984`*^9, 3.8662942225440083`*^9}},
 CellID->1427838101,ExpressionUUID->"6e121b66-cd83-417a-8637-54b60f64d6bd"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Dataset", "[", 
  RowBox[{
   RowBox[{"ReverseSort", "[", "maxTeamSalary", "]"}], ",", 
   RowBox[{"MaxItems", "\[Rule]", "10"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.857034046854994*^9, 3.857034054830531*^9}},
 CellLabel->"In[319]:=",
 CellID->1155715515,ExpressionUUID->"39042486-e86a-4f8c-bc11-949c5e996534"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> <|
      "ORL" -> Quantity[6.66*^6, "USDollars"], "LA" -> 
       Quantity[6.200004*^6, "USDollars"], "NYCFC" -> 
       Quantity[6.*^6, "USDollars"], "TOR" -> Quantity[6.*^6, "USDollars"], 
       "NY" -> Quantity[5.544*^6, "USDollars"], "CHI" -> 
       Quantity[5.4*^6, "USDollars"], "SEA" -> 
       Quantity[4.913004*^6, "USDollars"], "NE" -> 
       Quantity[3.*^6, "USDollars"], "POR" -> 
       Quantity[2.2275*^6, "USDollars"], "COL" -> 
       Quantity[2.1*^6, "USDollars"], "ATL" -> 
       Quantity[1.9125*^6, "USDollars"], "TFC" -> 
       Quantity[1.863996*^6, "USDollars"], "DAL" -> 
       Quantity[1.863996*^6, "USDollars"], "RSL" -> 
       Quantity[1.75*^6, "USDollars"], "MTL" -> 
       Quantity[1.666668*^6, "USDollars"], "NYRB" -> 
       Quantity[1.5*^6, "USDollars"], "DC" -> Quantity[1.5*^6, "USDollars"], 
       "VAN" -> Quantity[1.40000004*^6, "USDollars"], "CLB" -> 
       Quantity[1.175*^6, "USDollars"], "PHI" -> 
       Quantity[1.131*^6, "USDollars"], "CHV" -> Quantity[1.*^6, "USDollars"],
        "SJ" -> Quantity[988000., "USDollars"], "KC" -> 
       Quantity[850000., "USDollars"], "HOU" -> 
       Quantity[750000., "USDollars"], "MNUFC" -> 
       Quantity[550008., "USDollars"], "None" -> 
       Quantity[120000., "USDollars"], "LAFC" -> 
       Quantity[65004., "USDollars"], "POOL" -> Quantity[62500., "USDollars"],
        "Pool" -> Quantity[40000., "USDollars"]|>, "AllowEmbedding" -> True, 
     "InitialShape" -> TypeSystem`PackageScope`Limited[
       TypeSystem`PackageScope`ColumnShape[
        TypeSystem`PackageScope`KeyValueShape[
         TypeSystem`PackageScope`AtomShape[56.00000000000001], 
         TypeSystem`PackageScope`AtomShape[75]]], 10, 
       DirectedInfinity[1], {}], "InitialType" -> TypeSystem`Assoc[
       TypeSystem`Atom[String], 
       TypeSystem`Atom[
        Quantity[1, "USDollars"]], 29], "Meta" -> <|MaxItems -> 10|>, 
     "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`Limited[
       TypeSystem`PackageScope`ColumnShape[
        TypeSystem`PackageScope`KeyValueShape[
         TypeSystem`PackageScope`AtomShape[56.00000000000001], 
         TypeSystem`PackageScope`AtomShape[75]]], 10, 
       DirectedInfinity[1], {}], "Type" -> TypeSystem`Assoc[
       TypeSystem`Atom[String], 
       TypeSystem`Atom[
        Quantity[1, "USDollars"]], 29], "Path" -> {}, "DisplayedRowCount" -> 
     10, "DisplayedColumnCount" -> 1, "DataRowCount" -> 29, "DataColumnCount" -> 
     1, "SortPaths" -> {}, "SortDirections" -> {}, "HiddenItemsMap" -> Null, 
     "UpdateType" -> 1|>, TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["ORL", 
                  Style[
                  "ORL", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["ORL"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
                 Key["ORL"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{56.00000000000001, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{
                  RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                  InterpretationBox[
                  "6.66`*^6", 6.66*^6, Selectable -> False]}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
                 Key["ORL"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["LA", 
                  Style[
                  "LA", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["LA"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
                 Key["LA"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{56.00000000000001, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{
                  RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                  InterpretationBox[
                  "6.200004`*^6", 6.200004*^6, Selectable -> False]}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
                 Key["LA"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["NYCFC", 
                  Style[
                  "NYCFC", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["NYCFC"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
                 Key["NYCFC"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{56.00000000000001, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{
                  RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                  InterpretationBox["6.`*^6", 6.*^6, Selectable -> False]}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
                 Key["NYCFC"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["TOR", 
                  Style[
                  "TOR", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["TOR"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
                 Key["TOR"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{56.00000000000001, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{
                  RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                  InterpretationBox["6.`*^6", 6.*^6, Selectable -> False]}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
                 Key["TOR"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["NY", 
                  Style[
                  "NY", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["NY"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
                 Key["NY"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{56.00000000000001, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{
                  RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                  InterpretationBox[
                  "5.544`*^6", 5.544*^6, Selectable -> False]}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
                 Key["NY"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["CHI", 
                  Style[
                  "CHI", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["CHI"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
                 Key["CHI"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{56.00000000000001, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{
                  RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                  InterpretationBox[
                  "5.4`*^6", 5.4*^6, Selectable -> False]}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
                 Key["CHI"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["SEA", 
                  Style[
                  "SEA", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["SEA"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
                 Key["SEA"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{56.00000000000001, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{
                  RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                  InterpretationBox[
                  "4.913004`*^6", 4.913004*^6, Selectable -> False]}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
                 Key["SEA"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["NE", 
                  Style[
                  "NE", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["NE"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
                 Key["NE"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{56.00000000000001, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{
                  RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                  InterpretationBox["3.`*^6", 3.*^6, Selectable -> False]}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
                 Key["NE"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["POR", 
                  Style[
                  "POR", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["POR"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
                 Key["POR"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{56.00000000000001, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{
                  RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                  InterpretationBox[
                  "2.2275`*^6", 2.2275*^6, Selectable -> False]}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
                 Key["POR"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["COL", 
                  Style[
                  "COL", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["COL"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
                 Key["COL"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{56.00000000000001, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{
                  RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                  InterpretationBox[
                  "2.1`*^6", 2.1*^6, Selectable -> False]}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
                 Key["COL"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Deploy[
              Pane[
               Row[{
                 Spacer[2], 
                 Style[
                  Row[{
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 10 
                    If[True, 29, 1], {1, 29 - -10 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 10 
                    If[False, 29, 1], {1, 29 - -10 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], " ", 
                    Style[
                    Mouseover[
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 10, " of ", 
                    Style[29, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]], 
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 10, " of ", 
                    Style[29, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]]], ContextMenu -> {
                    MenuItem["Hide", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 1, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 10 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 10, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 30 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 30, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 100 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show All", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100000000, {}]], MenuEvaluator -> Automatic]}], 
                    " ", 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    10 If[False, 29, 1], {1, 29 - 10 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    10 If[True, 29, 1], {1, 29 - 10 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None]}], ContextMenu -> {}]}], 
               ImageMargins -> {{0, -1}, {-1, 1}}]], Background -> 
             RGBColor[
              0.9764705882352941, 0.9764705882352941, 0.9764705882352941], 
             Alignment -> {Left, Top}], SpanFromLeft}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{170., {151.3837890625, 158.6162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{170., {151.3837890625, 158.6162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{{3.8570340553397512`*^9, 3.857034063172679*^9}, 
   3.880630475515136*^9, 3.8806350789745398`*^9, 3.881420132701458*^9},
 CellLabel->"Out[319]=",
 CellID->1021766086,ExpressionUUID->"d35a3b46-8459-4d70-a0da-b3397b12e136"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Associations as Functions", "Subsection",
 CellChangeTimes->{{3.769353018274619*^9, 3.7693530245397577`*^9}},
 CellTags->"p: 97",
 CellID->309499373,ExpressionUUID->"4fa193ae-90fd-4451-9789-210698f27e23"],

Cell[TextData[{
 "There\[CloseCurlyQuote]s one more thing. Associations \
aren\[CloseCurlyQuote]t just data structures. They also act like functions. \
Here\[CloseCurlyQuote]s a snippet. Notice I am ",
 StyleBox["not",
  FontSlant->"Italic"],
 " using a ",
 ButtonBox["Part",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Part.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Part.html"],
 " specification to retrieve the information. At least syntactically, it \
looks as if the ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " is a function and the key is an argument."
}], "Text",
 CellChangeTimes->{{3.7693530268027773`*^9, 3.769353069538862*^9}, {
   3.76942420726534*^9, 3.769424290410522*^9}, {3.77581657378617*^9, 
   3.7758165741632075`*^9}, 3.7759991824864316`*^9, {3.857034186253824*^9, 
   3.857034194048008*^9}, 3.857465872661347*^9},
 CellTags->"i:62",
 CellID->598237487,ExpressionUUID->"83ff9ce5-3bda-4796-a1b3-1e5fbaafcbe6"],

Cell["\<\
There\[CloseCurlyQuote]s syntactic sugar that makes it look as if \
Associations can be functions:\
\>", "CodeText",
 CellChangeTimes->{{3.769424298801326*^9, 3.769424325657984*^9}, {
   3.775816577505542*^9, 3.7758165796017513`*^9}, 3.775999210287919*^9},
 CellID->2098617508,ExpressionUUID->"3944d0d7-6810-4025-8aa1-3165817e0d5e"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"chingAssociation", "[", "\"\<team\>\"", "]"}]], "Input",
 CellChangeTimes->{{3.769424218001501*^9, 3.769424227985746*^9}},
 CellLabel->"In[320]:=",
 CellID->756615436,ExpressionUUID->"35d384a9-7ab8-439d-bf2d-1f4617b61cbc"],

Cell[BoxData["\<\"HOU\"\>"], "Output",
 CellChangeTimes->{3.769424228336904*^9, 3.7699552741738377`*^9, 
  3.771929808315939*^9, 3.881420141792445*^9},
 CellLabel->"Out[320]=",
 CellID->1331414154,ExpressionUUID->"74c19afa-ea7c-46ce-ad86-dc763bdb2b06"]
}, Open  ]],

Cell["\<\
This is a huge deal, but it\[CloseCurlyQuote]s so huge, further exposition \
requires its own chapter.\
\>", "Text",
 CellChangeTimes->{{3.7693530268027773`*^9, 3.769353069538862*^9}, {
  3.76942420726534*^9, 3.7694242106880817`*^9}, {3.769424260811226*^9, 
  3.769424269776698*^9}, {3.7758165832741184`*^9, 3.775816583915183*^9}, {
  3.7759992143126154`*^9, 3.7759992152173924`*^9}, {3.780312448498144*^9, 
  3.7803124488332872`*^9}},
 CellID->473400049,ExpressionUUID->"e0bbdd5b-3079-445f-9bb9-d8636cb82ab4"]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Putting It Together: More Complex Operations Using Operators and Composition\
\>", "Subsection",
 CellChangeTimes->{{3.739636103317841*^9, 3.739636109086537*^9}, {
  3.739885938723278*^9, 3.739885951187353*^9}, {3.742207628687613*^9, 
  3.742207662474386*^9}},
 CellID->1815884613,ExpressionUUID->"c6849495-f038-4555-bf2b-e1e24da477fc"],

Cell["\<\
Let\[CloseCurlyQuote]s now put our knowledge to use and actually execute some \
typical database operations. I\[CloseCurlyQuote]ll use the full Titanic \
dataset as our first testbed. Then I\[CloseCurlyQuote]ll come back and \
reprise the MLS problems shown in the previous chapter, but this time using \
Lists of Associations as our data structure.\
\>", "Text",
 CellChangeTimes->{{3.739885954888929*^9, 3.739885977268859*^9}, {
   3.740403087033345*^9, 3.740403102088735*^9}, 3.7422076495657997`*^9, {
   3.7458656507903223`*^9, 3.7458656587104187`*^9}, {3.7693237731755943`*^9, 
   3.769323839594185*^9}, {3.7693264312100697`*^9, 3.76932646837372*^9}, {
   3.858241004575489*^9, 3.858241009585545*^9}, {3.8662883014547663`*^9, 
   3.86628830177101*^9}},
 CellID->1682583174,ExpressionUUID->"3ed709ac-2a4b-49eb-907a-840dcf4883c6"],

Cell[CellGroupData[{

Cell["Titanic Examples", "Subsubsection",
 CellChangeTimes->{{3.769334037408802*^9, 3.769334044000885*^9}},
 CellTags->"i:63",
 CellID->1748335386,ExpressionUUID->"3bb65cbb-0345-495b-9843-5c7d64160413"],

Cell[TextData[{
 "A list of passengers on the Titanic represented as a ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of Associations with common keys:"
}], "CodeText",
 CellChangeTimes->{{3.769424331327325*^9, 3.76942434678928*^9}, 
   3.775999436788165*^9, 3.857465962769862*^9},
 CellID->939785722,ExpressionUUID->"250f3bb1-73f6-4f09-92a5-61952f3d793a"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"titanic", "=", 
  RowBox[{"ResourceData", "[", 
   RowBox[{"ro", ",", "\"\<Titanic List of Associations\>\""}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.7693238541104097`*^9, 3.7693238673179197`*^9}, {
  3.769955312243359*^9, 3.769955313674405*^9}, {3.771929783476038*^9, 
  3.771929784452317*^9}},
 CellLabel->"In[145]:=",
 CellID->166158877,ExpressionUUID->"396b235e-6ee1-4958-97c1-13a644690373"],

Cell[BoxData[
 TemplateBox[<|"shortenedBoxes" -> TagBox[
     RowBox[{"{", 
       RowBox[{
         RowBox[{"\[LeftAssociation]", 
           RowBox[{
             RowBox[{"\"class\"", "\[Rule]", "\"1st\""}], ",", 
             RowBox[{"\"age\"", "\[Rule]", "29"}], ",", 
             RowBox[{"\"sex\"", "\[Rule]", "\"female\""}], ",", 
             RowBox[{"\"survived\"", "\[Rule]", "True"}]}], 
           "\[RightAssociation]"}], ",", 
         RowBox[{"\[LeftAssociation]", 
           RowBox[{
             RowBox[{"\"class\"", "\[Rule]", "\"1st\""}], ",", 
             RowBox[{"\"age\"", "\[Rule]", "1"}], ",", 
             RowBox[{"\"sex\"", "\[Rule]", "\"male\""}], ",", 
             RowBox[{"\"survived\"", "\[Rule]", "True"}]}], 
           "\[RightAssociation]"}], ",", 
         RowBox[{"\[LeftAssociation]", 
           RowBox[{
             RowBox[{"\"class\"", "\[Rule]", "\"1st\""}], ",", 
             RowBox[{"\"age\"", "\[Rule]", "2"}], ",", 
             RowBox[{"\"sex\"", "\[Rule]", "\"female\""}], ",", 
             RowBox[{"\"survived\"", "\[Rule]", "False"}]}], 
           "\[RightAssociation]"}], ",", 
         TemplateBox[{"1304"}, "OutputSizeLimit`Skeleton"], ",", 
         RowBox[{"\[LeftAssociation]", 
           RowBox[{
             RowBox[{"\"class\"", "\[Rule]", "\"3rd\""}], ",", 
             RowBox[{"\"age\"", "\[Rule]", "27"}], ",", 
             RowBox[{"\"sex\"", "\[Rule]", "\"male\""}], ",", 
             RowBox[{"\"survived\"", "\[Rule]", "False"}]}], 
           "\[RightAssociation]"}], ",", 
         RowBox[{"\[LeftAssociation]", 
           RowBox[{
             RowBox[{"\"class\"", "\[Rule]", "\"3rd\""}], ",", 
             RowBox[{"\"age\"", "\[Rule]", "29"}], ",", 
             RowBox[{"\"sex\"", "\[Rule]", "\"male\""}], ",", 
             RowBox[{"\"survived\"", "\[Rule]", "False"}]}], 
           "\[RightAssociation]"}]}], "}"}], Short[#, 8]& ], "line" -> 145, 
   "sessionID" -> 28259814545824442934, "byteCount" -> 959544, "size" -> 8, 
   "stored" -> False, "expr" -> Missing["NotAvailable", "NewSessionID"], 
   "wrap" -> OutputSizeLimit`Defer, "version" -> 1|>,
  "OutputSizeLimitTemplate"]], "Output",
 CellChangeTimes->{3.769323868914784*^9, 3.769324026291524*^9, 
  3.769332254088189*^9, 3.7693778176513643`*^9, 3.769955274184092*^9, 
  3.769955315609453*^9, 3.7719298086346903`*^9, 3.880546392593246*^9, 
  3.8805483150172157`*^9, 3.8806351396576967`*^9, 3.88142015356*^9, 
  3.881839078525148*^9},
 CellLabel->"Out[145]=",
 CellID->900586377,ExpressionUUID->"df38c3bc-b339-4d6c-badf-570e28fc94a0"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Example 1", "Subsubsubsection",
 CellChangeTimes->{{3.739642283981599*^9, 3.739642287580591*^9}, {
  3.7398868876507607`*^9, 3.7398868877215757`*^9}},
 CellID->1110741722,ExpressionUUID->"25459579-628a-4069-90c5-563c441ad9e4"],

Cell["Here I get the gender of everyone over the age of 70:", "CodeText",
 CellChangeTimes->{{3.739633567903345*^9, 3.739633606983877*^9}, {
   3.739633889880464*^9, 3.739633891174473*^9}, {3.745865661982296*^9, 
   3.7458656625103273`*^9}, {3.769377811918202*^9, 3.769377812041176*^9}, 
   3.7759994489088135`*^9, 3.866288335079505*^9},
 CellID->160778283,ExpressionUUID->"0fe6913b-1eda-4a23-964d-3adf671172e5"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Map", "[", 
  RowBox[{
   RowBox[{"#sex", "&"}], ",", 
   RowBox[{"Select", "[", 
    RowBox[{"titanic", ",", 
     RowBox[{
      RowBox[{"#age", ">", "70"}], "&"}]}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.739633610447838*^9, 3.739633631613989*^9}, {
   3.739633664605859*^9, 3.739633711854266*^9}, {3.73963376856483*^9, 
   3.739633782982746*^9}, {3.73988686536066*^9, 3.739886869835806*^9}, 
   3.740414692333641*^9, 3.741543639426669*^9, {3.7693240308820257`*^9, 
   3.769324033077526*^9}, {3.769377813712468*^9, 3.769377813841609*^9}},
 CellLabel->"In[322]:=",
 CellID->1870025375,ExpressionUUID->"7aee81e9-600d-4786-97c1-bb195a8cad4b"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"male\"\>", ",", "\<\"male\"\>", ",", "\<\"female\"\>", 
   ",", "\<\"male\"\>", ",", "\<\"male\"\>", ",", "\<\"male\"\>"}], 
  "}"}]], "Output",
 CellChangeTimes->{
  3.740414733182982*^9, 3.74042425964915*^9, 3.74049617218657*^9, 
   3.740500469325178*^9, 3.741543639731195*^9, 3.741691131251693*^9, 
   3.741773672422173*^9, 3.741775220605451*^9, 3.741787991306003*^9, 
   3.7418764201728573`*^9, 3.7418794767923107`*^9, 3.741956398187413*^9, 
   3.742122961210229*^9, 3.7693240339213457`*^9, 3.769332254109931*^9, {
   3.7693778143654537`*^9, 3.769377820897806*^9}, 3.769955274237214*^9, 
   3.769955317747169*^9, 3.771929808643845*^9, 3.880635139832498*^9, 
   3.8814201617767563`*^9},
 CellLabel->"Out[322]=",
 CellID->1481081688,ExpressionUUID->"cecc0a87-2b8c-486b-a5e7-effc50f10757"]
}, Open  ]],

Cell[TextData[{
 "I can rewrite the operation using ",
 ButtonBox["RightComposition",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/RightComposition.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/RightComposition.html"],
 " of operator forms; I name the result ",
 Cell[BoxData[
 "oldGenders"], "InlineCode",ExpressionUUID->
  "2c6b3bf7-c001-44aa-a415-07d3bd5057da"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.775999932272644*^9, 3.7759999562214904`*^9}, {
   3.776000028827425*^9, 3.7760000335697947`*^9}, {3.857034234806403*^9, 
   3.857034288130385*^9}, {3.857465976643115*^9, 3.8574659915459414`*^9}, 
   3.857466041034861*^9},
 CellTags->"p: 98",
 CellID->66627127,ExpressionUUID->"755c08d2-9364-4e1d-8986-44b5d09f593f"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"oldGenders", "=", 
  RowBox[{
   RowBox[{"Select", "[", 
    RowBox[{
     RowBox[{"#age", ">", "70"}], "&"}], "]"}], "/*", " ", 
   RowBox[{"Map", "[", 
    RowBox[{"#sex", "&"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.739633762614402*^9, 3.7396338101595287`*^9}, {
   3.739633916125506*^9, 3.739633919077526*^9}, {3.7396445587757263`*^9, 
   3.739644565570834*^9}, 3.740414693223351*^9, {3.769377874451404*^9, 
   3.769377875085206*^9}},
 CellLabel->"In[323]:=",
 CellID->2125499500,ExpressionUUID->"f57af7af-ad98-4301-8863-0f6a7ea27f22"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Select", "[", 
   RowBox[{
    RowBox[{"#age", ">", "70"}], "&"}], "]"}], "/*", 
  RowBox[{"Map", "[", 
   RowBox[{"#sex", "&"}], "]"}]}]], "Output",
 CellChangeTimes->{3.740414733276246*^9, 3.740424259700006*^9, 
  3.740496172525539*^9, 3.740500469451338*^9, 3.741543644183712*^9, 
  3.741691131319994*^9, 3.741773672485138*^9, 3.741775220700718*^9, 
  3.741787991401132*^9, 3.7418764202265368`*^9, 3.741879476846595*^9, 
  3.741956398268848*^9, 3.742122961276936*^9, 3.7693240418556833`*^9, 
  3.769332254144837*^9, 3.769377876179021*^9, 3.769955274246317*^9, 
  3.769955319744907*^9, 3.771929808687271*^9, 3.880635139847*^9, 
  3.88142016696558*^9},
 CellLabel->"Out[323]=",
 CellID->125420942,ExpressionUUID->"d947d67f-25de-4107-bc52-03767bd01e7f"]
}, Open  ]],

Cell[TextData[{
 "I can then apply this composition to ",
 Cell[BoxData[
 "titanic"], "InlineCode",ExpressionUUID->
  "4f2d5b91-b59b-44e9-84ba-22cfe55ff7ba"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.742166751742621*^9, 3.742166768877388*^9}, {
  3.745865712438682*^9, 3.745865714150097*^9}, {3.769333733834977*^9, 
  3.769333736780552*^9}, {3.7760000518372774`*^9, 3.7760000558932514`*^9}, {
  3.776008114931227*^9, 3.776008125710758*^9}},
 CellID->1938443850,ExpressionUUID->"68a957e5-b385-471e-9e31-a6870dc04f97"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"oldGenders", "[", "titanic", "]"}]], "Input",
 CellChangeTimes->{{3.739633861427267*^9, 3.739633871139765*^9}, {
   3.739633923297592*^9, 3.739633925996203*^9}, 3.739886882641436*^9, 
   3.741543646523946*^9, {3.769324044551983*^9, 3.769324051665144*^9}},
 CellLabel->"In[324]:=",
 CellID->1122880602,ExpressionUUID->"55002e08-75b2-44a3-bc95-53f5d5e48251"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"male\"\>", ",", "\<\"male\"\>", ",", "\<\"female\"\>", 
   ",", "\<\"male\"\>", ",", "\<\"male\"\>", ",", "\<\"male\"\>"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.7404147333651333`*^9, 3.740424259744606*^9, 
  3.74049617275047*^9, 3.7405004696394978`*^9, 3.741543646833456*^9, 
  3.7416911313861713`*^9, 3.741773672549478*^9, 3.741775220785028*^9, 
  3.741787991486074*^9, 3.7418764202752934`*^9, 3.741879476896749*^9, 
  3.741956398337542*^9, 3.7421229613401613`*^9, 3.769324052297956*^9, 
  3.769332254159181*^9, 3.769377878117486*^9, 3.7699552742941093`*^9, 
  3.769955321169303*^9, 3.771929808789394*^9, 3.880635139873362*^9, 
  3.8814201709289513`*^9},
 CellLabel->"Out[324]=",
 CellID->622586809,ExpressionUUID->"ea5b1e1f-7b3c-4058-802c-f8b03cba8547"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Example 2", "Subsubsubsection",
 CellChangeTimes->{{3.739642271618115*^9, 3.739642276262906*^9}, {
  3.7398868126269283`*^9, 3.739886812744474*^9}, {3.739886889677878*^9, 
  3.739886889757661*^9}},
 CellID->1218416633,ExpressionUUID->"83368df6-533c-4ab4-a1ed-561f64c8aab5"],

Cell["Count the number of women passengers in each cabin class:", "CodeText",
 CellChangeTimes->{{3.739617611774098*^9, 3.739617648188451*^9}, {
  3.739886815808002*^9, 3.739886816780113*^9}, {3.74040314081485*^9, 
  3.740403163497882*^9}, {3.745865721630187*^9, 3.745865722230126*^9}, {
  3.746114028696927*^9, 3.746114032368875*^9}, {3.76932409680611*^9, 
  3.769324097800249*^9}, {3.7803126425367317`*^9, 3.78031264762226*^9}},
 CellID->1671776686,ExpressionUUID->"eb1ad078-63e9-424c-9a43-f97f06632b60"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Counts", "[", 
  RowBox[{"Map", "[", 
   RowBox[{
    RowBox[{"#class", "&"}], ",", 
    RowBox[{"Select", "[", 
     RowBox[{"titanic", ",", 
      RowBox[{
       RowBox[{"#sex", "===", "\"\<female\>\""}], "&"}]}], "]"}]}], "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.7396176615944157`*^9, 3.739617694908123*^9}, 
   3.7404146940666943`*^9, 3.7415436585492992`*^9, {3.7693240867901373`*^9, 
   3.7693240884990053`*^9}},
 CellLabel->"In[325]:=",
 CellID->130487273,ExpressionUUID->"5db3f2d5-8d8c-452f-a68c-5d87d8c5307f"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"1st\"\>", "\[Rule]", "144"}], ",", 
   RowBox[{"\<\"2nd\"\>", "\[Rule]", "106"}], ",", 
   RowBox[{"\<\"3rd\"\>", "\[Rule]", "216"}]}], 
  "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{3.7404147334472923`*^9, 3.740424259793779*^9, 
  3.740496172995007*^9, 3.7405004698279667`*^9, 3.74154366293108*^9, 
  3.741691131437211*^9, 3.74177367260156*^9, 3.741775220867505*^9, 
  3.741787991572068*^9, 3.741876420322661*^9, 3.74187947694198*^9, 
  3.7419563984067917`*^9, 3.742122961431411*^9, 3.769324089505498*^9, 
  3.769332254194058*^9, 3.7693778846132917`*^9, 3.7699552743180323`*^9, 
  3.7699553230724163`*^9, 3.77192980879731*^9, 3.880635139886101*^9, 
  3.881420180432728*^9},
 CellLabel->"Out[325]=",
 CellID->877939875,ExpressionUUID->"bedb3195-04a3-4ed1-9a7d-f8e8c249115f"]
}, Open  ]],

Cell["I could write this in a more operator-oriented form:", "CodeText",
 CellChangeTimes->{{3.7396179307471743`*^9, 3.739617942140655*^9}, {
  3.739886819735628*^9, 3.739886820178211*^9}, {3.745865726078169*^9, 
  3.7458657264940767`*^9}, {3.775579133716481*^9, 3.7755791350844812`*^9}, {
  3.8679273902983675`*^9, 3.8679273908697867`*^9}},
 CellID->994660511,ExpressionUUID->"1a08d88f-5c5c-4bef-8899-8ecde799f6c5"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Counts", "[", 
  RowBox[{
   RowBox[{"Map", "[", 
    RowBox[{"#class", "&"}], "]"}], "[", 
   RowBox[{
    RowBox[{"Select", "[", 
     RowBox[{
      RowBox[{"#sex", "===", "\"\<female\>\""}], "&"}], "]"}], "[", "titanic",
     "]"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.739617951881237*^9, 3.739617976101159*^9}, 
   3.74041469465107*^9, 3.741543675019472*^9, {3.7693241056078243`*^9, 
   3.769324109168713*^9}},
 CellLabel->"In[326]:=",
 CellID->2056250510,ExpressionUUID->"6f8bb800-b5c5-4ae0-8b5e-a2fe398e3413"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"1st\"\>", "\[Rule]", "144"}], ",", 
   RowBox[{"\<\"2nd\"\>", "\[Rule]", "106"}], ",", 
   RowBox[{"\<\"3rd\"\>", "\[Rule]", "216"}]}], 
  "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{3.7404147335422573`*^9, 3.740424259847546*^9, 
  3.7404961732249813`*^9, 3.7405004700102386`*^9, 3.741543675445747*^9, 
  3.7416911315004463`*^9, 3.741773672649569*^9, 3.741775220953117*^9, 
  3.7417879916715193`*^9, 3.741876420372274*^9, 3.741879476992586*^9, 
  3.741956398486928*^9, 3.742122961515029*^9, 3.769324112566496*^9, 
  3.769332254208117*^9, 3.769377886491817*^9, 3.7699552743681383`*^9, 
  3.769955325418665*^9, 3.771929808840312*^9, 3.880635139911001*^9, 
  3.881420183605298*^9},
 CellLabel->"Out[326]=",
 CellID->251775701,ExpressionUUID->"49b2f9ff-66b3-490a-8be1-62aa3c38949f"]
}, Open  ]],

Cell[TextData[{
 "Again, I could write it using operator forms and ",
 ButtonBox["RightComposition",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/RightComposition.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/RightComposition.html"],
 ". First select just those Associations in which the sex is female, then get \
the class of each member, and then perform ",
 ButtonBox["Counts",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Counts.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Counts.html"],
 " on the resulting list of classes. I call this set of operations ",
 Cell[BoxData[
 "womenCountsByCabin"], "InlineCodeText",ExpressionUUID->
  "b94d37be-c525-42c4-b55b-85d9d7ca0e18"],
 "."
}], "Text",
 CellChangeTimes->{{3.739617985385851*^9, 3.739617998203598*^9}, {
   3.739618030200809*^9, 3.7396180677908983`*^9}, {3.7396427718592453`*^9, 
   3.739642776638939*^9}, 3.74041469537649*^9, {3.742166807580016*^9, 
   3.742166826162137*^9}, {3.7458657813029823`*^9, 3.745865781630155*^9}, {
   3.769324115319812*^9, 3.7693241163731117`*^9}, {3.769333743531343*^9, 
   3.769333747952382*^9}, 3.7760000887954407`*^9, {3.7760075631011643`*^9, 
   3.77600757464509*^9}, {3.776007959920621*^9, 3.7760079767529125`*^9}, {
   3.8679274310778275`*^9, 3.867927431348378*^9}},
 CellID->1908750878,ExpressionUUID->"ddfa0e5e-64ad-437f-8ef7-7f38c326607e"],

Cell[TextData[{
 "Apply our composition to ",
 Cell[BoxData[
 "titanic"], "InlineCode",ExpressionUUID->
  "678c5f61-435c-4704-a11c-709a70200f73"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.742166832533568*^9, 3.742166847137595*^9}, {
  3.745865734742074*^9, 3.74586574011889*^9}, {3.76933375461448*^9, 
  3.769333757312049*^9}, {3.7760081396600685`*^9, 3.7760081437316427`*^9}},
 CellID->412585752,ExpressionUUID->"faf98a3d-81a5-4954-a008-bdf41cfe9cd6"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"womenCountByCabin", "=", 
  RowBox[{
   RowBox[{"Select", "[", 
    RowBox[{
     RowBox[{"#sex", "===", "\"\<female\>\""}], "&"}], "]"}], "/*", 
   RowBox[{"Map", "[", 
    RowBox[{"#class", "&"}], "]"}], "/*", "Counts"}]}]], "Input",
 CellChangeTimes->{{3.7396325173475237`*^9, 3.739632535118067*^9}, {
   3.739642779588788*^9, 3.739642811594777*^9}, 3.7404146963035583`*^9},
 CellLabel->"In[327]:=",
 CellID->262532867,ExpressionUUID->"d929942c-64b3-42bf-9429-f9087d53f7e5"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Select", "[", 
   RowBox[{
    RowBox[{"#sex", "===", "\<\"female\"\>"}], "&"}], "]"}], "/*", 
  RowBox[{"Map", "[", 
   RowBox[{"#class", "&"}], "]"}], "/*", "Counts"}]], "Output",
 CellChangeTimes->{3.740414733620132*^9, 3.740424259898007*^9, 
  3.740496173491117*^9, 3.74050047011275*^9, 3.741543998775545*^9, 
  3.741691131570986*^9, 3.741773672702553*^9, 3.7417752210638*^9, 
  3.7417879917764177`*^9, 3.741876420425647*^9, 3.7418794770424547`*^9, 
  3.741956398569463*^9, 3.742122961640432*^9, 3.7693241246655617`*^9, 
  3.769332254241338*^9, 3.7693778967682037`*^9, 3.769955274375473*^9, 
  3.769955327728115*^9, 3.771929808885107*^9, 3.8806351399236317`*^9, 
  3.8814201903633127`*^9},
 CellLabel->"Out[327]=",
 CellID->1449520000,ExpressionUUID->"3a2cc253-b268-48d7-a6a6-f0f92225aa65"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"womenCountByCabin", "[", "titanic", "]"}]], "Input",
 CellChangeTimes->{{3.739632545654168*^9, 3.7396325498012466`*^9}, {
   3.739642792579471*^9, 3.73964279679536*^9}, 3.741544001229097*^9, {
   3.769324128633671*^9, 3.769324133617956*^9}},
 CellLabel->"In[328]:=",
 CellID->1194689834,ExpressionUUID->"9a6ff526-a1a1-41fd-8d35-bb0a1863d448"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"1st\"\>", "\[Rule]", "144"}], ",", 
   RowBox[{"\<\"2nd\"\>", "\[Rule]", "106"}], ",", 
   RowBox[{"\<\"3rd\"\>", "\[Rule]", "216"}]}], 
  "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{3.740414733709386*^9, 3.740424259945979*^9, 
  3.7404961738234*^9, 3.7405004703056602`*^9, 3.741544001518002*^9, 
  3.741691131636639*^9, 3.741773672750841*^9, 3.74177522115213*^9, 
  3.741787991888826*^9, 3.741876420475692*^9, 3.741879477091927*^9, 
  3.741956398652678*^9, 3.74212296171212*^9, 3.76932413429958*^9, 
  3.769332254253623*^9, 3.769333759328704*^9, 3.769377899410201*^9, 
  3.7699552744269457`*^9, 3.769955329206512*^9, 3.771929808893931*^9, 
  3.880635139948613*^9, 3.881420195790859*^9},
 CellLabel->"Out[328]=",
 CellID->1348930178,ExpressionUUID->"487e30af-9f2c-4f9d-ac3c-b466ab30280c"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Example 3", "Subsubsubsection",
 CellChangeTimes->{{3.740402891704109*^9, 3.740402910890633*^9}},
 CellID->386788536,ExpressionUUID->"65f7d92d-93f1-42ac-aa28-9640e770fca9"],

Cell[TextData[{
 "One can chain these operations together to perform more sophisticated \
analyses of the data. Here\[CloseCurlyQuote]s a set of operations that \
attempts to obtain the mean age of persons on the Titanic but grouped by the \
class in which the person had a cabin. I\[CloseCurlyQuote]m going to do it \
imperfectly at first to set up a point for the next chapter. Notice, though, \
that I need to map the ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["#",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Slot.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Slot.html"], 
   "age", 
   ButtonBox[
    StyleBox["&",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Function.html"], None},
    ButtonNote->
     "https://reference.wolfram.com/language/ref/Function.html"]}]], 
  "InlineCodeText",ExpressionUUID->"f11aab30-07f3-4d73-bcec-7a9bab440b5a"],
 " at level 2 because once I have grouped the data by ",
 Cell[BoxData[
 "\"\<class\>\""], "InlineCodeText",ExpressionUUID->
  "636c389c-d53b-4ceb-8292-7ff6df7ec991"],
 ", the ",
 Cell[BoxData[
 "\"\<age\>\""], "InlineCodeText",ExpressionUUID->
  "7bc9a3e1-1999-497d-a57f-9af287b696b1"],
 " information no longer lies at the first level. Basically, ",
 ButtonBox["GroupBy",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/GroupBy.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/GroupBy.html"],
 " inserts another level into the data structure. "
}], "Text",
 CellChangeTimes->{{3.739617390368724*^9, 3.739617400025844*^9}, {
   3.73961744428793*^9, 3.7396174804879*^9}, {3.739617524259664*^9, 
   3.7396175243414927`*^9}, {3.739632252807232*^9, 3.739632317256276*^9}, {
   3.739636085882009*^9, 3.73963609367187*^9}, {3.739641812341566*^9, 
   3.739641829312079*^9}, {3.7398869519171*^9, 3.7398869977286463`*^9}, {
   3.740406007237039*^9, 3.7404060140987787`*^9}, {3.741544008349354*^9, 
   3.74154401243328*^9}, {3.742171465692621*^9, 3.7421715520825853`*^9}, {
   3.745865800575111*^9, 3.745865832458867*^9}, 3.745865863062772*^9, {
   3.7693241418432617`*^9, 3.769324208162245*^9}, {3.7693242619253693`*^9, 
   3.769324287727257*^9}, {3.769428135655285*^9, 3.769428166720538*^9}, {
   3.7694282414600077`*^9, 3.769428248397538*^9}, {3.769428281385332*^9, 
   3.7694282923181067`*^9}, {3.7694284430005417`*^9, 3.769428457477623*^9}, 
   3.7755775091318226`*^9, {3.776008177351427*^9, 3.776008194667316*^9}, 
   3.7760084960249853`*^9, {3.78031279246693*^9, 3.780312810252577*^9}, {
   3.780312851562318*^9, 3.7803128605047197`*^9}, {3.857466318563664*^9, 
   3.8574663926313334`*^9}, 3.86612673875143*^9, {3.8662914110277376`*^9, 
   3.8662914123797636`*^9}, 3.8662914474769497`*^9, {3.866291529714216*^9, 
   3.86629154291506*^9}, {3.8662916648348017`*^9, 3.8662916648348017`*^9}, {
   3.8677615403191037`*^9, 3.8677615457982206`*^9}, {3.8679280686990337`*^9, 
   3.867928069180513*^9}},
 CellTags->"LastCellOfAPage",
 CellID->321925083,ExpressionUUID->"36db0e91-087c-4f09-849d-74bc9a7f3dd3"],

Cell["\<\
First show the program in a conventional way and then write it in operator \
form:\
\>", "CodeText",
 CellChangeTimes->{{3.7760084972417774`*^9, 3.776008499503763*^9}, 
   3.7803128782408743`*^9},
 CellTags->"p: 99",
 CellID->28903346,ExpressionUUID->"759bdba3-50da-4ea1-995d-1260d444ee4d"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Map", "[", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"Mean", "/*", "N"}], ")"}], ",", 
   RowBox[{"Map", "[", 
    RowBox[{
     RowBox[{"#age", "&"}], ",", 
     RowBox[{"GroupBy", "[", 
      RowBox[{"titanic", ",", 
       RowBox[{"#class", "&"}]}], "]"}], ",", 
     RowBox[{"{", "2", "}"}]}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.769428180207275*^9, 3.7694281830347*^9}},
 CellLabel->"In[329]:=",
 CellID->2024434470,ExpressionUUID->"eb53acb6-c68e-425b-88ac-cdd99773e7ec"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"1st\"\>", "\[Rule]", 
    RowBox[{"0.0030959752321981426`", " ", 
     RowBox[{"(", 
      RowBox[{"11123.`", "\[VeryThinSpace]", "+", 
       RowBox[{"39.`", " ", 
        RowBox[{"Missing", "[", "]"}]}]}], ")"}]}]}], ",", 
   RowBox[{"\<\"2nd\"\>", "\[Rule]", 
    RowBox[{"0.0036101083032490976`", " ", 
     RowBox[{"(", 
      RowBox[{"7704.`", "\[VeryThinSpace]", "+", 
       RowBox[{"16.`", " ", 
        RowBox[{"Missing", "[", "]"}]}]}], ")"}]}]}], ",", 
   RowBox[{"\<\"3rd\"\>", "\[Rule]", 
    RowBox[{"0.0014104372355430183`", " ", 
     RowBox[{"(", 
      RowBox[{"12449.`", "\[VeryThinSpace]", "+", 
       RowBox[{"208.`", " ", 
        RowBox[{"Missing", "[", "]"}]}]}], ")"}]}]}]}], 
  "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{3.769428302412661*^9, 3.769955274484064*^9, 
  3.7699553318955803`*^9, 3.77192980893913*^9, 3.880635139963237*^9, 
  3.8814202045826406`*^9},
 CellLabel->"Out[329]=",
 CellID->1645602807,ExpressionUUID->"09f2b8de-b89f-4742-a55d-e798305f558d"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"GroupBy", "[", 
     RowBox[{"#class", "&"}], "]"}], "/*", 
    RowBox[{"Map", "[", 
     RowBox[{
      RowBox[{"Map", "[", 
       RowBox[{"#age", "&"}], "]"}], "/*", "Mean", "/*", "N"}], "]"}]}], 
   ")"}], "[", "titanic", "]"}]], "Input",
 CellChangeTimes->{{3.769428395885296*^9, 3.769428399509926*^9}},
 CellLabel->"In[330]:=",
 CellID->2076791337,ExpressionUUID->"6ee9d9c9-be9c-4d25-a13c-bd163a076b38"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"1st\"\>", "\[Rule]", 
    RowBox[{"0.0030959752321981426`", " ", 
     RowBox[{"(", 
      RowBox[{"11123.`", "\[VeryThinSpace]", "+", 
       RowBox[{"39.`", " ", 
        RowBox[{"Missing", "[", "]"}]}]}], ")"}]}]}], ",", 
   RowBox[{"\<\"2nd\"\>", "\[Rule]", 
    RowBox[{"0.0036101083032490976`", " ", 
     RowBox[{"(", 
      RowBox[{"7704.`", "\[VeryThinSpace]", "+", 
       RowBox[{"16.`", " ", 
        RowBox[{"Missing", "[", "]"}]}]}], ")"}]}]}], ",", 
   RowBox[{"\<\"3rd\"\>", "\[Rule]", 
    RowBox[{"0.0014104372355430183`", " ", 
     RowBox[{"(", 
      RowBox[{"12449.`", "\[VeryThinSpace]", "+", 
       RowBox[{"208.`", " ", 
        RowBox[{"Missing", "[", "]"}]}]}], ")"}]}]}]}], 
  "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{3.769428399923476*^9, 3.7699552745034523`*^9, 
  3.76995533349264*^9, 3.771929808949545*^9, 3.880635139990135*^9, 
  3.881420213573696*^9},
 CellLabel->"Out[330]=",
 CellID->404341278,ExpressionUUID->"9d70a017-9eb0-4db1-a0f3-cdd60f16e5f4"]
}, Open  ]],

Cell[TextData[{
 "You can see that both of the results are identical and that both have \
Missings that mess everything up. That\[CloseCurlyQuote]s because the ",
 Cell[BoxData[
 "\"\<age\>\""], "InlineCodeText",ExpressionUUID->
  "024a4403-130e-4b2f-9473-c96d96b1ecff"],
 " column of ",
 Cell[BoxData[
 "titanic"], "InlineCodeText",ExpressionUUID->
  "9f53274f-d60d-4fab-8cf1-c0fd6d9e92e0"],
 " has Missings. To address this here, I need to filter out missing data from \
the computation of the mean. "
}], "Text",
 CellChangeTimes->{{3.769428187490458*^9, 3.769428226594982*^9}, {
  3.7694283071006107`*^9, 3.769428323694209*^9}, {3.76942843158503*^9, 
  3.769428434246888*^9}, {3.776008545089872*^9, 3.7760085817878366`*^9}, {
  3.776008625980954*^9, 3.776008652721183*^9}, {3.857466419504924*^9, 
  3.857466420059127*^9}, {3.866292172286682*^9, 3.8662921823593183`*^9}, {
  3.895816125762232*^9, 3.895816126600943*^9}},
 CellID->1851971710,ExpressionUUID->"2e74e866-3e87-4a45-b312-626bb8984d65"],

Cell[TextData[{
 "I wrap ",
 ButtonBox["N",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/N.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/N.html"],
 " around the ",
 ButtonBox["Mean",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Mean.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Mean.html"],
 " to get decimal results instead of fractions:"
}], "CodeText",
 CellChangeTimes->{{3.7760086542655725`*^9, 3.776008682379593*^9}, {
  3.780316694955289*^9, 3.78031671485857*^9}, {3.8570344482517653`*^9, 
  3.8570344529099607`*^9}, {3.8662923849206533`*^9, 3.866292403456955*^9}},
 CellID->9315633,ExpressionUUID->"37c5dcbc-d7d3-4556-96f8-883830ee7a26"],

Cell[BoxData[
 RowBox[{
  RowBox[{"filteredMean", "=", 
   RowBox[{
    RowBox[{"N", "[", 
     RowBox[{"Mean", "[", 
      RowBox[{
       RowBox[{"Select", "[", "NumericQ", "]"}], "[", "#", "]"}], "]"}], 
     "]"}], "&"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.769324335200986*^9, 3.769324342107297*^9}},
 CellLabel->"In[331]:=",
 CellID->712566502,ExpressionUUID->"ed0fcd1d-165a-4b9e-b9d5-3113201d9bf0"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Map", "[", 
  RowBox[{"filteredMean", ",", 
   RowBox[{"Map", "[", 
    RowBox[{
     RowBox[{"#age", "&"}], ",", 
     RowBox[{"GroupBy", "[", 
      RowBox[{"titanic", ",", 
       RowBox[{"#class", "&"}]}], "]"}], ",", 
     RowBox[{"{", "2", "}"}]}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7396174845485897`*^9, 3.739617552961605*^9}, 
   3.741544033279705*^9, {3.769324156835322*^9, 3.769324158462873*^9}, {
   3.769324223022193*^9, 3.769324259768042*^9}, {3.7693243453361797`*^9, 
   3.7693243485810137`*^9}},
 CellLabel->"In[332]:=",
 CellID->699518812,ExpressionUUID->"8933255d-d070-4ac6-82f6-5d357cd5d338"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"1st\"\>", "\[Rule]", "39.16549295774648`"}], ",", 
   RowBox[{"\<\"2nd\"\>", "\[Rule]", "29.517241379310345`"}], ",", 
   RowBox[{"\<\"3rd\"\>", "\[Rule]", "24.848303393213573`"}]}], 
  "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{3.740414733787219*^9, 3.740424259998617*^9, 
  3.74049617408374*^9, 3.7405004705186243`*^9, 3.7415440346603947`*^9, 
  3.741691131701117*^9, 3.74177367279873*^9, 3.741775221233411*^9, 
  3.7417879919894533`*^9, 3.7418764205235777`*^9, 3.741879477142226*^9, 
  3.741956398736279*^9, 3.7421229618000593`*^9, 3.769324159047707*^9, 
  3.769324240863482*^9, 3.769324290363945*^9, 3.76932434901191*^9, 
  3.769332254308776*^9, 3.769377928745043*^9, 3.769955274572336*^9, 
  3.769955337565382*^9, 3.771929808999589*^9, 3.8806351400175*^9, 
  3.881420225174336*^9},
 CellLabel->"Out[332]=",
 CellID->1399656645,ExpressionUUID->"b804fc34-d8ce-466e-9a69-e4c5ede752a3"]
}, Open  ]],

Cell["\<\
I could equally well write the code this way, making greater use of operator \
forms:\
\>", "CodeText",
 CellChangeTimes->{{3.7396177054276867`*^9, 3.739617713627942*^9}, {
   3.739617767951326*^9, 3.7396177784289837`*^9}, {3.7396426930135508`*^9, 
   3.7396427059109087`*^9}, 3.740406027737821*^9, {3.745866262294098*^9, 
   3.745866263316792*^9}, {3.7693338096372147`*^9, 3.7693338099966784`*^9}},
 CellID->135029077,ExpressionUUID->"77dc9472-3b36-4a71-b847-ca4a09e1517d"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Map", "[", "filteredMean", "]"}], "[", 
  RowBox[{"Map", "[", 
   RowBox[{
    RowBox[{"#age", "&"}], ",", 
    RowBox[{
     RowBox[{"GroupBy", "[", 
      RowBox[{"#class", "&"}], "]"}], "[", "titanic", "]"}], ",", 
    RowBox[{"{", "2", "}"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.7396177372761183`*^9, 3.739617766284281*^9}, 
   3.7415440637461*^9, {3.7693243020299873`*^9, 3.769324314977779*^9}, {
   3.769324351620441*^9, 3.769324354489811*^9}, {3.769333784798368*^9, 
   3.769333792672065*^9}},
 CellLabel->"In[333]:=",
 CellID->693093637,ExpressionUUID->"df7e9b50-1090-4fc0-8f0d-81f39c800395"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"1st\"\>", "\[Rule]", "39.16549295774648`"}], ",", 
   RowBox[{"\<\"2nd\"\>", "\[Rule]", "29.517241379310345`"}], ",", 
   RowBox[{"\<\"3rd\"\>", "\[Rule]", "24.848303393213573`"}]}], 
  "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{
  3.7404147338776073`*^9, 3.7404242600464153`*^9, 3.740496174326469*^9, 
   3.740500470699636*^9, 3.741544064409897*^9, 3.741691131769793*^9, 
   3.741773672855492*^9, 3.741775221316647*^9, 3.741787992087879*^9, 
   3.7418764205731897`*^9, 3.7418794771920147`*^9, 3.741956398822341*^9, 
   3.7421229619212*^9, {3.769324306001864*^9, 3.769324316093586*^9}, 
   3.769324354918006*^9, 3.7693322543412113`*^9, 3.769333796107348*^9, 
   3.76937793241603*^9, 3.769955274618147*^9, 3.769955340032188*^9, 
   3.771929809041691*^9, 3.880635140031073*^9, 3.881420231593652*^9},
 CellLabel->"Out[333]=",
 CellID->445912615,ExpressionUUID->"4991e84d-18ad-4dbc-9832-7719fb922e98"]
}, Open  ]],

Cell[TextData[{
 "I could dispense with the level specification on ",
 ButtonBox["Map",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Map.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Map.html"],
 " and write the following code:"
}], "CodeText",
 CellChangeTimes->{{3.741544102061838*^9, 3.741544122224333*^9}, 
   3.742171581106248*^9, {3.7458662662690496`*^9, 3.7458662669648314`*^9}, {
   3.76933381214555*^9, 3.7693338130679827`*^9}, 3.857034600866672*^9},
 CellID->498823838,ExpressionUUID->"d74efd53-2b76-40db-8e1f-9273af7fe1ba"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Map", "[", "filteredMean", "]"}], "[", 
  RowBox[{"Map", "[", 
   RowBox[{
    RowBox[{"Map", "[", 
     RowBox[{"#age", "&"}], "]"}], ",", 
    RowBox[{
     RowBox[{"GroupBy", "[", 
      RowBox[{"#class", "&"}], "]"}], "[", "titanic", "]"}]}], "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.741544087854809*^9, 3.741544095278924*^9}, {
  3.7693243293148527`*^9, 3.769324364239118*^9}},
 CellLabel->"In[334]:=",
 CellID->1925675221,ExpressionUUID->"4c45d336-02b1-4193-bb47-9972f4235d9b"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"1st\"\>", "\[Rule]", "39.16549295774648`"}], ",", 
   RowBox[{"\<\"2nd\"\>", "\[Rule]", "29.517241379310345`"}], ",", 
   RowBox[{"\<\"3rd\"\>", "\[Rule]", "24.848303393213573`"}]}], 
  "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{3.741544098552703*^9, 3.741691131836341*^9, 
  3.741773672923161*^9, 3.741775221401516*^9, 3.741787992188347*^9, 
  3.741876420623334*^9, 3.7418794772422047`*^9, 3.741956398906128*^9, 
  3.742122961987102*^9, 3.742171592839566*^9, 3.769324364718055*^9, 
  3.769332254354506*^9, 3.769333800398871*^9, 3.769377935957511*^9, 
  3.769955274650619*^9, 3.7699553419013367`*^9, 3.771929809052607*^9, 
  3.880635140057852*^9, 3.881420244463711*^9},
 CellLabel->"Out[334]=",
 CellID->274673480,ExpressionUUID->"afa755b2-927b-408c-b109-ad3a937cfee8"]
}, Open  ]],

Cell[TextData[{
 "I could even write it as follows, using ",
 ButtonBox["RightComposition",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/RightComposition.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/RightComposition.html"],
 " and operator forms. First group by class, then for each group of \
Associations, (1) get the age of each member and then (2) compute the mean of \
the resulting list of ages. "
}], "Text",
 CellChangeTimes->{{3.7396177832272053`*^9, 3.7396177940019417`*^9}, {
  3.739617824909247*^9, 3.739617828395146*^9}, {3.739617862551762*^9, 
  3.739617920892009*^9}, {3.739632367305561*^9, 3.73963237797647*^9}, {
  3.739642714883753*^9, 3.7396427349909563`*^9}, {3.742171599017096*^9, 
  3.742171622399576*^9}, {3.769333815048321*^9, 3.7693338166797*^9}, {
  3.76937794217846*^9, 3.769377952712843*^9}, {3.7760090687475204`*^9, 
  3.7760090861740503`*^9}, {3.7760091526595*^9, 3.7760091652950144`*^9}, {
  3.780316790394813*^9, 3.7803167908459578`*^9}, {3.857034720341571*^9, 
  3.857034766959638*^9}, {3.8582410716066513`*^9, 3.858241090024353*^9}, {
  3.866292445267759*^9, 3.8662924631491137`*^9}, {3.8679280816549196`*^9, 
  3.8679280840659523`*^9}},
 CellID->1783599112,ExpressionUUID->"6f6f1ca4-337a-410f-8572-48d64d4de71e"],

Cell[TextData[{
 "Notice the nested use of ",
 ButtonBox["RightComposition",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/RightComposition.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/RightComposition.html"],
 ". I call this operation ",
 Cell[BoxData[
 "meanAgeByCabin"], "InlineCode",ExpressionUUID->
  "dc63d767-d3d5-46b5-87bd-1b60df935e06"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.7396177832272053`*^9, 3.7396177940019417`*^9}, {
  3.739617824909247*^9, 3.739617828395146*^9}, {3.739617862551762*^9, 
  3.739617920892009*^9}, {3.739632367305561*^9, 3.73963237797647*^9}, {
  3.739642714883753*^9, 3.7396427349909563`*^9}, {3.742171599017096*^9, 
  3.742171622399576*^9}, {3.769333815048321*^9, 3.7693338166797*^9}, {
  3.76937794217846*^9, 3.769377952712843*^9}, {3.7760090687475204`*^9, 
  3.7760090861740503`*^9}, {3.7760091526595*^9, 3.7760091652950144`*^9}, {
  3.780316790394813*^9, 3.7803167947622232`*^9}, {3.8679280928146033`*^9, 
  3.867928093579605*^9}},
 CellID->1535779198,ExpressionUUID->"62f21b0b-b60c-48e4-8f43-401e9bcae10f"],

Cell[BoxData[
 RowBox[{
  RowBox[{"meanAgeByCabin", "=", 
   RowBox[{
    RowBox[{"GroupBy", "[", 
     RowBox[{"#class", "&"}], "]"}], "/*", 
    RowBox[{"Map", "[", 
     RowBox[{
      RowBox[{"Map", "[", 
       RowBox[{"#age", "&"}], "]"}], "/*", "filteredMean"}], "]"}]}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.739632382134264*^9, 3.739632436511846*^9}, 
   3.739632484798552*^9, {3.739642737172225*^9, 3.739642740550785*^9}, {
   3.769324372312613*^9, 3.76932442537254*^9}},
 CellLabel->"In[335]:=",
 CellID->226046911,ExpressionUUID->"36b3a14d-bc16-4fd2-9269-7c4c75c9d9cd"],

Cell["\<\
I can apply this sequence of composed operations to the entire set of data:\
\>", "CodeText",
 CellChangeTimes->{{3.742171628116253*^9, 3.742171670859723*^9}, {
  3.7458662899019413`*^9, 3.7458662991591*^9}, {3.745866591252122*^9, 
  3.7458665924119253`*^9}, {3.857034677457975*^9, 3.857034682948749*^9}, {
  3.857467693125794*^9, 3.857467715431086*^9}, {3.858241108249425*^9, 
  3.858241111747148*^9}},
 CellID->594123388,ExpressionUUID->"154c6326-e730-4c5c-a209-f671d86a1ce6"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"meanAgeByCabin", "[", "titanic", "]"}]], "Input",
 CellChangeTimes->{{3.739617831270653*^9, 3.7396178523609858`*^9}, {
   3.7396427455071497`*^9, 3.739642747751494*^9}, 3.7415441607220373`*^9, {
   3.769324406344922*^9, 3.7693244083485737`*^9}},
 CellLabel->"In[336]:=",
 CellID->1732368218,ExpressionUUID->"f3ac14de-0bbd-4c5b-876c-1fd1682f10c0"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"1st\"\>", "\[Rule]", "39.16549295774648`"}], ",", 
   RowBox[{"\<\"2nd\"\>", "\[Rule]", "29.517241379310345`"}], ",", 
   RowBox[{"\<\"3rd\"\>", "\[Rule]", "24.848303393213573`"}]}], 
  "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{
  3.7404147340709133`*^9, 3.740424260146379*^9, 3.740496174726409*^9, 
   3.740500470993078*^9, 3.74154416108064*^9, 3.74169113200634*^9, 
   3.741773673089836*^9, 3.741775221570022*^9, 3.7417879923942633`*^9, 
   3.741876420725515*^9, 3.7418794773424397`*^9, 3.741956399072537*^9, 
   3.7421229621961403`*^9, {3.769324408864895*^9, 3.769324427986253*^9}, 
   3.769332254395028*^9, 3.769333820999501*^9, 3.769377961922224*^9, 
   3.769955274731598*^9, 3.769955345198357*^9, 3.7719298091026297`*^9, 
   3.8806351400862827`*^9, 3.881420256287551*^9},
 CellLabel->"Out[336]=",
 CellID->279144343,ExpressionUUID->"b0f03195-e765-4ae0-b22b-c041016a4a0a"]
}, Open  ]],

Cell[TextData[{
 "I know this seems cumbersome, but I\[CloseCurlyQuote]ll show in the next \
chapter how the ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " command can simplify writing these efforts at information extraction. \
Indeed, not to give too much away at this point, ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " can be thought of as a (brilliant) function-producing function that takes \
a sequence of other functions and uses the position of those functions in \
that sequence to produce a pipeline of RightComposed operators. "
}], "Text",
 CellChangeTimes->{{3.7424768002280483`*^9, 3.7424768375246468`*^9}, 
   3.7458663194846277`*^9, {3.769324434678459*^9, 3.769324446961214*^9}, {
   3.7693338256237288`*^9, 3.769334006435528*^9}, {3.769377978523756*^9, 
   3.76937804601849*^9}, {3.776009771484268*^9, 3.776009786834471*^9}, {
   3.776009852767828*^9, 3.7760098530486245`*^9}, 3.776010100595135*^9, {
   3.780316834003232*^9, 3.780316888588994*^9}, {3.866292909979088*^9, 
   3.866292917360873*^9}, 3.902496008112514*^9},
 CellTags->"LastCellOfAPage",
 CellID->50169098,ExpressionUUID->"bfb46abf-a0b8-4bbb-bd27-42cf3af2ddc8"],

Cell[TextData[{
 "The pipeline\[CloseCurlyQuote]s nesting of ",
 ButtonBox["Map",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Map.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Map.html"],
 " statements is based on both the nature of the functions and the positions \
of the functions in the argument sequence."
}], "Text",
 CellChangeTimes->{{3.7424768002280483`*^9, 3.7424768375246468`*^9}, 
   3.7458663194846277`*^9, {3.769324434678459*^9, 3.769324446961214*^9}, {
   3.7693338256237288`*^9, 3.769334006435528*^9}, {3.769377978523756*^9, 
   3.76937804601849*^9}, {3.776009771484268*^9, 3.776009786834471*^9}, {
   3.776009852767828*^9, 3.7760098530486245`*^9}, 3.776010100595135*^9, {
   3.780316834003232*^9, 3.780316888588994*^9}, {3.866292909979088*^9, 
   3.866292917360873*^9}},
 CellTags->"p: 100",
 CellID->1403231969,ExpressionUUID->"4551dfcd-ce62-4cca-8a30-307601f8bef6"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Example 4", "Subsubsubsection",
 CellChangeTimes->{{3.7396445135064583`*^9, 3.739644520130947*^9}, {
   3.739887008521949*^9, 3.739887023409789*^9}, 3.780312552961604*^9},
 CellID->1183345523,ExpressionUUID->"b0ffdc68-16a5-405d-8a67-597213c34b23"],

Cell[TextData[{
 "Here I select everyone under age 50, group them by whether they survived or \
not, and then find the ",
 ButtonBox["Median",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Median.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Median.html"],
 " age:"
}], "CodeText",
 CellChangeTimes->{{3.739623724094491*^9, 3.739623758517272*^9}, {
   3.73962380549774*^9, 3.7396238196832743`*^9}, {3.7415441686420393`*^9, 
   3.741544170699643*^9}, {3.745866603308707*^9, 3.745866603883976*^9}, {
   3.769378051313642*^9, 3.769378062387495*^9}, {3.7760101175834265`*^9, 
   3.776010118191822*^9}, 3.8574678191094522`*^9},
 CellID->642150194,ExpressionUUID->"766eca1f-0f5e-4d33-81bb-59588447427b"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Map", "[", 
  RowBox[{"Median", ",", 
   RowBox[{"Map", "[", 
    RowBox[{
     RowBox[{"#age", "&"}], ",", 
     RowBox[{"GroupBy", "[", 
      RowBox[{
       RowBox[{"Select", "[", 
        RowBox[{"titanic", ",", 
         RowBox[{
          RowBox[{"#age", "<", "50"}], "&"}]}], "]"}], ",", 
       RowBox[{"#survived", "&"}]}], "]"}], ",", 
     RowBox[{"{", "2", "}"}]}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7396238344841413`*^9, 3.73962393363842*^9}, 
   3.7398869247889137`*^9, 3.741544174694777*^9, {3.769324464981402*^9, 
   3.769324466529585*^9}, {3.76937805482847*^9, 3.769378064596529*^9}},
 CellLabel->"In[337]:=",
 CellID->1121685599,ExpressionUUID->"e41cc7f4-d9fc-4538-918b-b63383fd3250"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"True", "\[Rule]", "26"}], ",", 
   RowBox[{"False", "\[Rule]", "27"}]}], "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{
  3.7404147341528053`*^9, 3.740424260232298*^9, 3.740496174991363*^9, 
   3.7405004713563128`*^9, 3.741544175104681*^9, 3.741691132070178*^9, 
   3.741773673159177*^9, 3.741775221653791*^9, 3.741787992489962*^9, 
   3.741876420773056*^9, 3.741879477392906*^9, 3.741956399155374*^9, 
   3.742122962319139*^9, 3.769324467466237*^9, 3.7693322544279547`*^9, {
   3.769378058305722*^9, 3.7693780650468607`*^9}, 3.769955274801525*^9, 
   3.769955348096614*^9, 3.771929809144705*^9, 3.880635140111512*^9, 
   3.8814202660613947`*^9},
 CellLabel->"Out[337]=",
 CellID->497004742,ExpressionUUID->"fb9cc82c-50a5-42c9-b6ed-163c627c6b93"]
}, Open  ]],

Cell[TextData[{
 "Notice that this could be rewritten making heavy use of operator forms and ",
 ButtonBox["RightComposition",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/RightComposition.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/RightComposition.html"],
 ". "
}], "Text",
 CellChangeTimes->{{3.7396239452354937`*^9, 3.7396239489443207`*^9}, {
   3.73963258997193*^9, 3.73963260600244*^9}, {3.7396341575863733`*^9, 
   3.73963417993337*^9}, {3.739634373414259*^9, 3.7396343802174377`*^9}, {
   3.742171688283738*^9, 3.7421716999421873`*^9}, {3.7458666077880077`*^9, 
   3.745866608243908*^9}, {3.7693340155156183`*^9, 3.769334023355258*^9}, 
   3.7760101350613146`*^9, {3.776010169712293*^9, 3.776010197154517*^9}},
 CellID->504600874,ExpressionUUID->"2d5edf6e-e345-4251-86a5-9c860277c671"],

Cell[TextData[{
 "I call this sequence of operations ",
 Cell[BoxData[
 "medianSurvival"], "InlineCode",ExpressionUUID->
  "2d0867e4-07bb-46f8-b526-1d1bf80ab94c"],
 ":"
}], "CodeText",
 CellChangeTimes->{
  3.7760101359193087`*^9, 3.77601020291088*^9, {3.8679281038375607`*^9, 
   3.867928104139809*^9}},
 CellID->180109076,ExpressionUUID->"4748cced-5536-4a58-8f24-f35e2c0254ec"],

Cell[BoxData[
 StyleBox[
  RowBox[{
   RowBox[{"medianSurvival", "=", 
    RowBox[{
     RowBox[{"Select", "[", 
      RowBox[{
       RowBox[{"#age", "<", "50"}], "&"}], "]"}], "/*", 
     RowBox[{"GroupBy", "[", 
      RowBox[{"#survived", "&"}], "]"}], "/*", 
     RowBox[{"Map", "[", 
      RowBox[{
       RowBox[{"Map", "[", 
        RowBox[{"#age", "&"}], "]"}], "/*", "Median"}], "]"}]}]}], ";"}],
  ShowSpecialCharacters->False,
  ShowStringCharacters->True,
  NumberMarks->True]], "Input",
 CellChangeTimes->{{3.739632718156968*^9, 3.739632737789496*^9}, {
   3.739634184236287*^9, 3.739634187276444*^9}, {3.739634382802*^9, 
   3.739634383463662*^9}, {3.739645470380024*^9, 3.73964550783854*^9}, 
   3.769324521699586*^9},
 CellLabel->"In[338]:=",
 CellID->413967315,ExpressionUUID->"e6ef2140-8edd-4cdd-bac0-e8db2bfaac84"],

Cell[TextData[{
 "I apply this sequence of compose operations to the ",
 Cell[BoxData[
 "titanic"], "InlineCode",ExpressionUUID->
  "3523b277-3c2e-469d-8e1d-9f452e4359c6"],
 " data:"
}], "CodeText",
 CellChangeTimes->{{3.742171720226604*^9, 3.742171726579039*^9}, {
   3.745866661868532*^9, 3.7458666786797543`*^9}, 3.7803169479414682`*^9, {
   3.857034787279448*^9, 3.857034792265744*^9}, {3.857467853711308*^9, 
   3.8574678652488117`*^9}, 3.8958161994366083`*^9},
 CellID->473588677,ExpressionUUID->"882771af-d023-4b51-b8f5-d2f232d54e28"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"medianSurvival", 
  StyleBox["[",
   ShowSpecialCharacters->False,
   ShowStringCharacters->True,
   NumberMarks->True], 
  StyleBox["titanic",
   ShowSpecialCharacters->False,
   ShowStringCharacters->True,
   NumberMarks->True], 
  StyleBox["]",
   ShowSpecialCharacters->False,
   ShowStringCharacters->True,
   NumberMarks->True]}]], "Input",
 CellChangeTimes->{{3.739632718156968*^9, 3.739632745411929*^9}, {
   3.739634190288374*^9, 3.7396341929331007`*^9}, {3.739634386018464*^9, 
   3.739634386683762*^9}, 3.7398869307785797`*^9, 3.741544188070998*^9, {
   3.769324524583683*^9, 3.7693245265157003`*^9}},
 CellLabel->"In[339]:=",
 CellID->931844351,ExpressionUUID->"40db5b48-660d-4a8d-8622-b50406e863fb"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"True", "\[Rule]", "26"}], ",", 
   RowBox[{"False", "\[Rule]", "27"}]}], "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{3.740414734340238*^9, 3.740424260329705*^9, 
  3.740496175369937*^9, 3.74050047211792*^9, 3.741544188373852*^9, 
  3.741691132201158*^9, 3.741773673311619*^9, 3.7417752218181877`*^9, 
  3.741787992692998*^9, 3.741876420875909*^9, 3.741879477491479*^9, 
  3.74195639933663*^9, 3.742122962518483*^9, 3.7693245276926394`*^9, 
  3.7693322544694433`*^9, 3.7693780700235786`*^9, 3.7699552748680477`*^9, 
  3.769955351424711*^9, 3.771929809193582*^9, 3.880635140142947*^9, 
  3.881420277866816*^9},
 CellLabel->"Out[339]=",
 CellID->807642639,ExpressionUUID->"d7da7f39-3332-4bab-9114-659eb86e9909"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Example 5", "Subsubsubsection",
 CellChangeTimes->{{3.740402394297658*^9, 3.740402399140267*^9}},
 CellID->1367401809,ExpressionUUID->"d869516f-a89e-42a8-a579-d8d13815a446"],

Cell[TextData[{
 "Suppose I have, as described earlier, additional information stored in a \
variable named ",
 Cell[BoxData[
 "titanicCabins"], "InlineCodeText",ExpressionUUID->
  "3a560582-7137-47dc-bfed-5c9d14f34b97"],
 " that describes the cabins on the Titanic by listing their class, their \
square footage, whether they include a window, and the decks on which they \
were located."
}], "Text",
 CellChangeTimes->{{3.740402401386258*^9, 3.740402404848711*^9}, {
   3.7404040557046957`*^9, 3.740404171458913*^9}, {3.7404042393682404`*^9, 
   3.7404042429023657`*^9}, {3.741544229897984*^9, 3.741544264818225*^9}, {
   3.742171745073565*^9, 3.742171752691957*^9}, 3.745870693858047*^9, {
   3.769324535097155*^9, 3.769324535681859*^9}},
 CellID->1699697316,ExpressionUUID->"bc4c5aae-5d28-400e-84c4-c7442aec51ff"],

Cell[TextData[{
 "Suppose I now want to compute the mean square footage of cabins on the \
Titanic but broken down by the sex of its occupying passenger. I do so by \
creating an operator called ",
 Cell[BoxData[
 "passengerCabinJoin"], "InlineCodeText",ExpressionUUID->
  "0539a8c5-50dd-440c-b581-91d22ff41fe3"],
 ". This operator does a ",
 ButtonBox["JoinAcross",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/JoinAcross.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/JoinAcross.html"],
 " on (1) the data it confronts and (2) the ",
 Cell[BoxData[
 "\"\<class\>\""], "InlineCodeText",ExpressionUUID->
  "6c31fbdb-774f-495c-ac61-95bcec9f84e4"],
 " and ",
 Cell[BoxData[
 "\"\<squarefeet\>\""], "InlineCodeText",ExpressionUUID->
  "21a5e8fc-2a8e-4cb1-9d34-402f5e4ad6f7"],
 " key-value pairs from ",
 Cell[BoxData[
 "titanicCabins"], "InlineCodeText",ExpressionUUID->
  "4eadca23-b328-4bf1-92e1-4059d05020de"],
 ". It uses the value associated with the ",
 Cell[BoxData[
 "\"\<class\>\""], "InlineCodeText",ExpressionUUID->
  "0607a2ea-43ce-4db1-a598-8bf0f0bdb4e7"],
 " key in each list of Associations to perform the ",
 ButtonBox["Join",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Join.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Join.html"],
 ". "
}], "Text",
 CellChangeTimes->{{3.7404041751937313`*^9, 3.740404232005589*^9}, {
   3.740404298267771*^9, 3.740404326716791*^9}, {3.740404557644899*^9, 
   3.740404558935012*^9}, 3.7404146977617273`*^9, 3.741544557431129*^9, {
   3.7415446270858717`*^9, 3.74154466761761*^9}, {3.7415447553470793`*^9, 
   3.741544855888056*^9}, {3.7421717684599733`*^9, 3.7421717885125713`*^9}, 
   3.745866698700778*^9, {3.745866823124227*^9, 3.745866839268169*^9}, {
   3.769324569584939*^9, 3.769324576281704*^9}, {3.769378076742811*^9, 
   3.769378079004476*^9}, {3.7755791391274815`*^9, 3.7755791411334815`*^9}, {
   3.7760104040267925`*^9, 3.7760104447939262`*^9}, {3.780316985586438*^9, 
   3.7803170128186407`*^9}, {3.8662930744757137`*^9, 3.8662930744757137`*^9}},
 
 CellID->193731382,ExpressionUUID->"778c7c02-7503-41cd-9b01-ef8f2c7be8a3"],

Cell["\<\
Create a join operator based on the class in which the passenger was berthed:\
\
\>", "CodeText",
 CellChangeTimes->{{3.7694244178497753`*^9, 3.7694244387670097`*^9}, {
  3.775579271605481*^9, 3.7755792779584813`*^9}, {3.7760109423903956`*^9, 
  3.7760109473355637`*^9}},
 CellID->1357622091,ExpressionUUID->"0239e2bd-6303-49c2-b3c4-a0d69eadbbd8"],

Cell[BoxData[
 RowBox[{
  RowBox[{"passengerCabinJoin", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"JoinAcross", "[", 
      RowBox[{"#1", ",", 
       RowBox[{
        RowBox[{"KeyTake", "[", 
         RowBox[{"{", 
          RowBox[{"\"\<class\>\"", ",", "\"\<squarefeet\>\""}], "}"}], "]"}], 
        "[", "titanicCabins", "]"}], ",", "\"\<class\>\""}], "]"}], "&"}], 
    ")"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.7404027348049173`*^9, 3.7404027384927263`*^9}, 
   3.740404927921938*^9, {3.74040496249477*^9, 3.740404972264327*^9}, {
   3.741544491520341*^9, 3.7415445119835*^9}, {3.7415446995816813`*^9, 
   3.741544701560299*^9}, 3.7693245967948027`*^9, {3.7699553817575617`*^9, 
   3.7699553839956217`*^9}},
 CellLabel->"In[340]:=",
 CellID->458128422,ExpressionUUID->"c8094ffe-01ab-4f29-8c73-0558aade49c4"],

Cell[TextData[{
 "I now apply this operator to our list of Associations ",
 Cell[BoxData[
 "titanic"], "InlineCodeText",ExpressionUUID->
  "3853a7e9-429a-4c53-8c48-839a0ad8619a"],
 ". I can group the result by sex, map the ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["#",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Slot.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Slot.html"], 
   "squarefeet", 
   ButtonBox[
    StyleBox["&",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Function.html"], None},
    ButtonNote->
     "https://reference.wolfram.com/language/ref/Function.html"]}]], 
  "InlineCodeText",ExpressionUUID->"f519ee0e-1485-4883-bdbe-20b9c808c1d7"],
 " over each association in the resulting groupings and then map ",
 ButtonBox["Mean",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Mean.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Mean.html"],
 " over each of the sex groupings."
}], "Text",
 CellChangeTimes->{{3.740404935000374*^9, 3.7404049399390917`*^9}, {
   3.741544859769125*^9, 3.741544879367004*^9}, {3.741544935787574*^9, 
   3.74154498101196*^9}, {3.742171814014596*^9, 3.742171846042149*^9}, {
   3.7693246006903753`*^9, 3.769324634133144*^9}, {3.7760109559165087`*^9, 
   3.7760109775379705`*^9}, {3.857467961020397*^9, 3.857467961301149*^9}, 
   3.866293127271117*^9, 3.8662932120039988`*^9, {3.867761882431193*^9, 
   3.867761886147893*^9}, {3.867928122434883*^9, 3.8679281226137295`*^9}},
 CellID->677314325,ExpressionUUID->"df02465f-5d82-48ac-953e-5adb15877179"],

Cell[TextData[{
 "A ",
 ButtonBox["RightComposition",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/RightComposition.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/RightComposition.html"],
 " of operators to find the mean square footage of cabins by gender:"
}], "CodeText",
 CellChangeTimes->{{3.769424449410915*^9, 3.769424462550468*^9}, {
  3.776011035854397*^9, 3.7760110492235107`*^9}},
 CellID->1211483716,ExpressionUUID->"a43838ba-fe52-4e95-b482-b1f08322343b"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"passengerCabinJoin", "/*", 
    RowBox[{"GroupBy", "[", 
     RowBox[{"#sex", "&"}], "]"}], "/*", 
    RowBox[{"Map", "[", 
     RowBox[{
      RowBox[{"Map", "[", 
       RowBox[{"#squarefeet", "&"}], "]"}], "/*", "Mean", "/*", "N"}], 
     "]"}]}], ")"}], "[", "titanic", "]"}]], "Input",
 CellChangeTimes->{{3.740402664662492*^9, 3.740402700877945*^9}, {
  3.7404027617355328`*^9, 3.7404027672511253`*^9}, {3.740405041613158*^9, 
  3.740405055569557*^9}, {3.74040520017562*^9, 3.740405204902069*^9}, {
  3.74040531388105*^9, 3.7404053165928926`*^9}, {3.740405432988427*^9, 
  3.740405434736702*^9}, {3.741544542473576*^9, 3.7415445428310537`*^9}, {
  3.769324641988947*^9, 3.769324651290435*^9}},
 CellLabel->"In[341]:=",
 CellID->156716126,ExpressionUUID->"92ee0522-456a-4191-b43c-6a46c252fbff"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"female\"\>", "\[Rule]", "184.54935622317598`"}], ",", 
   RowBox[{"\<\"male\"\>", "\[Rule]", "162.7520759193357`"}]}], 
  "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{
  3.7404147348374987`*^9, 3.740424260575139*^9, 3.740496176164392*^9, 
   3.7405004728670273`*^9, {3.74154452280857*^9, 3.741544543390068*^9}, 
   3.741691132402142*^9, 3.741773673533093*^9, 3.741775222098431*^9, 
   3.741787992987092*^9, 3.741876421059039*^9, 3.74187947768007*^9, 
   3.74195639957094*^9, 3.7421229628339987`*^9, {3.7693246448710814`*^9, 
   3.769324652057597*^9}, 3.7693322545095673`*^9, 3.769378084306141*^9, 
   3.769955274949553*^9, 3.7699553576832733`*^9, {3.7699554513419027`*^9, 
   3.7699554556177197`*^9}, 3.769956045053053*^9, 3.77192980924301*^9, 
   3.8806351401747837`*^9, 3.881420293960615*^9},
 CellLabel->"Out[341]=",
 CellID->1280552831,ExpressionUUID->"6179b153-06f6-4901-a89f-5ecdfa9069a2"]
}, Open  ]],

Cell[TextData[{
 "If I did not want to use ",
 ButtonBox["JoinAcross",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/JoinAcross.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/JoinAcross.html"],
 ", I could do the following. I first build an ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " called ",
 Cell[BoxData[
 "csf"], "InlineCodeText",ExpressionUUID->
  "1a280517-c6ba-468e-81f5-00554d3d7680"],
 " that maps cabin class to square footage. The ",
 ButtonBox["Map",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Map.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Map.html"],
 " function in the composition that follows creates the key-value pairs. The \
second function turns the result into an ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 ". "
}], "Text",
 CellChangeTimes->{{3.7404041751937313`*^9, 3.740404232005589*^9}, {
   3.740404298267771*^9, 3.740404326716791*^9}, {3.740404557644899*^9, 
   3.740404558935012*^9}, 3.7404146977617273`*^9, {3.742171860006112*^9, 
   3.742171875624086*^9}, {3.742172120496977*^9, 3.7421721290081663`*^9}, {
   3.742476930949682*^9, 3.742477041589665*^9}, {3.745866876689373*^9, 
   3.745866969265808*^9}, {3.745867026443433*^9, 3.745867059843553*^9}, {
   3.76932470274692*^9, 3.76932471366735*^9}, {3.769324758946713*^9, 
   3.769324779704726*^9}, {3.776011080144513*^9, 3.776011101886769*^9}, 
   3.7760113765462313`*^9, {3.7803171907529173`*^9, 3.780317192071063*^9}, {
   3.866293280880718*^9, 3.8662933076434526`*^9}},
 CellTags->"p: 101",
 CellID->1105722162,ExpressionUUID->"4c18dd3e-cca3-43c4-9096-8eb11da63fd9"],

Cell[TextData[{
 "An ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " going from cabin class to square footage:"
}], "CodeText",
 CellChangeTimes->{{3.769424472665966*^9, 3.7694244838417273`*^9}, 
   3.7760116489678817`*^9, 3.78031713902178*^9},
 CellID->426192135,ExpressionUUID->"cb0684de-fd8b-476e-8cb6-004286cd116d"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"csf", "=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"Map", "[", 
      RowBox[{
       RowBox[{"#class", "\[Rule]", "#squarefeet"}], "&"}], "]"}], "/*", 
     "Association"}], ")"}], "[", "titanicCabins", "]"}]}]], "Input",
 CellChangeTimes->{{3.742172064727688*^9, 3.7421721065758467`*^9}, 
   3.742476903825651*^9, {3.769324737743389*^9, 3.769324744158331*^9}},
 CellLabel->"In[342]:=",
 CellID->1888470112,ExpressionUUID->"474bcb15-3bab-4df9-8bc7-16054aaae210"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"1st\"\>", "\[Rule]", "300"}], ",", 
   RowBox[{"\<\"2nd\"\>", "\[Rule]", "200"}], ",", 
   RowBox[{"\<\"3rd\"\>", "\[Rule]", "100"}], ",", 
   RowBox[{"\<\"crew\"\>", "\[Rule]", "80"}]}], 
  "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{{3.742172082912463*^9, 3.742172099923737*^9}, 
   3.769324749778273*^9, 3.769332254522855*^9, 3.769378086548896*^9, 
   3.769955274956801*^9, 3.769956047996245*^9, 3.771929809254134*^9, 
   3.8806351401874228`*^9, 3.881420300194447*^9},
 CellLabel->"Out[342]=",
 CellID->978215165,ExpressionUUID->"77b68168-2a3d-46a9-982d-c8c305dcb526"]
}, Open  ]],

Cell[TextData[{
 "I now group ",
 Cell[BoxData[
 "titanic"], "InlineCodeText",ExpressionUUID->
  "709ff333-49d6-4b6d-949a-63a9dfd12d26"],
 " by sex and, for each resulting group, perform a composed operation. The \
composition consists of (1) mapping the ",
 Cell[BoxData[
 "csf"], "InlineCodeText",ExpressionUUID->
  "fd7f9c9e-79a2-40ec-b328-16bf7d438461"],
 " function onto the ",
 Cell[BoxData[
 "\"\<class\>\""], "InlineCodeText",ExpressionUUID->
  "cf6d1a74-4fa3-4bfe-b385-98a284612ea2"],
 " column of each passenger and (2) computing the mean of the result."
}], "Text",
 CellChangeTimes->{{3.7404046397056303`*^9, 3.740404684969836*^9}, {
   3.740404718575056*^9, 3.740404748771772*^9}, 3.740414698481799*^9, {
   3.742172195097337*^9, 3.742172248753199*^9}, {3.742172403588128*^9, 
   3.742172488634904*^9}, {3.742207975921439*^9, 3.742207994274802*^9}, {
   3.745867070323741*^9, 3.7458670707993813`*^9}, 3.7458706483381243`*^9, {
   3.769324786849153*^9, 3.769324790237051*^9}, {3.776011737096712*^9, 
   3.77601179043477*^9}, 3.895816251122026*^9},
 CellID->1925126536,ExpressionUUID->"ef4d3730-d3c9-477a-bb8c-d4f5347d6c87"],

Cell[TextData[{
 "Using an ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " as a kind of index to link one structure of Associations to another:"
}], "CodeText",
 CellChangeTimes->{{3.769424490803932*^9, 3.769424516473798*^9}, {
  3.780317252289716*^9, 3.7803172571946573`*^9}},
 CellID->930827827,ExpressionUUID->"498f02b8-2958-486e-98a7-1074f5e357b9"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"GroupBy", "[", 
     RowBox[{"#sex", "&"}], "]"}], "/*", 
    RowBox[{"Map", "[", 
     RowBox[{
      RowBox[{"Map", "[", 
       RowBox[{
        RowBox[{"csf", "[", "#class", "]"}], "&"}], "]"}], "/*", "Mean", "/*",
       "N"}], "]"}]}], ")"}], "[", "titanic", "]"}]], "Input",
 CellChangeTimes->{{3.742172273170679*^9, 3.742172373724444*^9}, {
  3.7693247968377*^9, 3.769324802899569*^9}},
 CellLabel->"In[343]:=",
 CellID->275817751,ExpressionUUID->"9f61d456-b387-45ba-a967-a17535d22a0c"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"female\"\>", "\[Rule]", "184.54935622317598`"}], ",", 
   RowBox[{"\<\"male\"\>", "\[Rule]", "162.7520759193357`"}]}], 
  "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{
  3.742172374103359*^9, {3.7693247992525673`*^9, 3.769324803928481*^9}, 
   3.7693322545550957`*^9, 3.7693780884308233`*^9, 3.769955275006331*^9, 
   3.7699560501850452`*^9, 3.7719298092952433`*^9, 3.880635140212274*^9, 
   3.881420305066807*^9},
 CellLabel->"Out[343]=",
 CellID->1988339197,ExpressionUUID->"14abc261-2bf4-492c-a6fe-2ed62dfe0a99"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["MLS Examples", "Subsubsection",
 CellChangeTimes->{{3.769334056164336*^9, 3.7693340597398767`*^9}},
 CellID->502679892,ExpressionUUID->"fa8b05d3-f82f-49fa-a9e9-50f9286d546c"],

Cell[TextData[{
 "Let\[CloseCurlyQuote]s now redo the MLS examples explained in the preceding \
chapter, but instead of using old-school methods, I\[CloseCurlyQuote]ll use \
the more modern ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " form. First, I\[CloseCurlyQuote]ll purge the Associations of rows with ",
 ButtonBox["Missing",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Missing.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Missing.html"],
 " in either the Club, BaseSalary, or GuaranteedCompensation column. I can \
use the ",
 ButtonBox["Select",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Select.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Select.html"],
 " function to accomplish this goal."
}], "Text",
 CellChangeTimes->{{3.7693340635654507`*^9, 3.76933411920654*^9}, {
   3.769334263523981*^9, 3.769334404768849*^9}, {3.769378103020151*^9, 
   3.7693781408174686`*^9}, {3.775816588226614*^9, 3.775816589308722*^9}, {
   3.7760141529026065`*^9, 3.776014159486764*^9}, {3.776014380437148*^9, 
   3.7760144427597485`*^9}, {3.780317288962566*^9, 3.7803172969612837`*^9}, 
   3.8574705280920887`*^9, {3.857470565305558*^9, 3.857470565618791*^9}, {
   3.880635152273203*^9, 3.880635166832149*^9}, {3.880635369330957*^9, 
   3.880635380075138*^9}, {3.88063549155969*^9, 3.8806354960522947`*^9}, 
   3.8811660557574763`*^9, 3.8811661207579727`*^9, 3.8811672773679605`*^9, {
   3.881225596450728*^9, 3.8812256061147327`*^9}, 3.8812287416690397`*^9},
 CellTags->"i:64",
 CellID->1313109903,ExpressionUUID->"0762d814-094c-445e-ab5b-ad77b1a497ce"],

Cell[TextData[{
 "Combine ",
 ButtonBox["Not",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Not.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Not.html"],
 " and ",
 ButtonBox["Or",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Or.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Or.html"],
 " with ",
 ButtonBox["MissingQ",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/MissingQ.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/MissingQ.html"],
 " to create a function that returns ",
 ButtonBox["True",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/True.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/True.html"],
 " if the needed data is available:"
}], "CodeText",
 CellChangeTimes->{{3.88063545163892*^9, 3.880635477219544*^9}, {
  3.8811672898914948`*^9, 3.881167311485306*^9}},
 CellID->771310861,ExpressionUUID->"020469b5-6ef5-4f21-9afa-730ae13fc34d"],

Cell[BoxData[
 RowBox[{
  RowBox[{"completeClubBaseGuaranteed", "=", 
   RowBox[{
    RowBox[{"Not", "[", 
     RowBox[{"Or", "[", 
      RowBox[{
       RowBox[{"MissingQ", "[", "#Club", "]"}], ",", 
       RowBox[{"MissingQ", "[", "#BaseSalary", "]"}], ",", 
       RowBox[{"MissingQ", "[", "#GuaranteedCompensation", "]"}]}], "]"}], 
     "]"}], "&"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.880635414377441*^9, 3.8806354218236437`*^9}},
 CellLabel->"In[344]:=",
 CellID->2073868547,ExpressionUUID->"d22fdb77-03f5-4dc4-80e5-bf5476c17818"],

Cell[TextData[{
 "Use ",
 ButtonBox["Select",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Select.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Select.html"],
 " to preserve only those rows that have the needed data:"
}], "CodeText",
 CellChangeTimes->{{3.76942452136055*^9, 3.7694245260653152`*^9}, 
   3.7760144463497252`*^9, {3.88063533390344*^9, 3.880635360352044*^9}, {
   3.880635484237368*^9, 3.880635486598105*^9}, {3.8977554643086767`*^9, 
   3.897755478928134*^9}},
 CellID->1896183149,ExpressionUUID->"824765be-00dd-4c77-872b-efea20d2e082"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"mlsA2", "=", 
  RowBox[{
   RowBox[{"Select", "[", "completeClubBaseGuaranteed", "]"}], "[", "mlsA", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.880635229066044*^9, 3.880635241519588*^9}, {
  3.880635424682863*^9, 3.880635432893942*^9}},
 CellLabel->"In[345]:=",
 CellID->469748586,ExpressionUUID->"5ca0eda2-35d3-4b99-ae2d-742e3363b459"],

Cell[BoxData[
 TemplateBox[<|"shortenedBoxes" -> TagBox[
     RowBox[{"{", 
       RowBox[{
         RowBox[{"\[LeftAssociation]", 
           RowBox[{
             RowBox[{"\"Club\"", "\[Rule]", "\"CHI\""}], ",", 
             RowBox[{"\"LastName\"", "\[Rule]", "\"Armas\""}], ",", 
             RowBox[{"\"FirstName\"", "\[Rule]", "\"Chris\""}], ",", 
             RowBox[{"\"Position\"", "\[Rule]", "\"M\""}], ",", 
             RowBox[{"\"BaseSalary\"", "\[Rule]", 
               TemplateBox[{
                 InterpretationBox[
                  TagBox[
                   InterpretationBox[
                    StyleBox[
                    "\"225\[ThinSpace]000.00\"", ShowStringCharacters -> 
                    False], 225000., AutoDelete -> True], 
                   NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 225000., 
                  Selectable -> False], 
                 RowBox[{
                   FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                 "US dollars", "\"USDollars\""}, "QuantityPrefix", SyntaxForm -> 
                Mod]}], ",", 
             RowBox[{"\"GuaranteedCompensation\"", "\[Rule]", 
               TemplateBox[{
                 InterpretationBox[
                  TagBox[
                   InterpretationBox[
                    StyleBox[
                    "\"225\[ThinSpace]000.00\"", ShowStringCharacters -> 
                    False], 225000., AutoDelete -> True], 
                   NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 225000., 
                  Selectable -> False], 
                 RowBox[{
                   FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                 "US dollars", "\"USDollars\""}, "QuantityPrefix", SyntaxForm -> 
                Mod]}], ",", 
             RowBox[{"\"Year\"", "\[Rule]", 
               TemplateBox[{
                 RowBox[{
                   StyleBox["\"Year: \"", "DateObjectLabel"], "\"2007\""}], 
                 RowBox[{"DateObject", "[", 
                   RowBox[{
                    RowBox[{"{", "2007", "}"}], ",", "\"Year\""}], "]"}]}, 
                "DateObject", Editable -> False]}]}], "\[RightAssociation]"}],
          ",", 
         TemplateBox[{"5530"}, "OutputSizeLimit`Skeleton"], ",", 
         RowBox[{"\[LeftAssociation]", 
           RowBox[{
             RowBox[{"\"Club\"", "\[Rule]", "\"VAN\""}], ",", 
             RowBox[{"\"LastName\"", "\[Rule]", "\"Williams\""}], ",", 
             RowBox[{"\"FirstName\"", "\[Rule]", "\"Sheanon\""}], ",", 
             RowBox[{"\"Position\"", "\[Rule]", "\"D\""}], ",", 
             RowBox[{"\"BaseSalary\"", "\[Rule]", 
               TemplateBox[{
                 InterpretationBox[
                  TagBox[
                   InterpretationBox[
                    StyleBox[
                    "\"175\[ThinSpace]000.00\"", ShowStringCharacters -> 
                    False], 175000., AutoDelete -> True], 
                   NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 175000., 
                  Selectable -> False], 
                 RowBox[{
                   FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                 "US dollars", "\"USDollars\""}, "QuantityPrefix", SyntaxForm -> 
                Mod]}], ",", 
             RowBox[{"\"GuaranteedCompensation\"", "\[Rule]", 
               TemplateBox[{
                 InterpretationBox[
                  TagBox[
                   InterpretationBox[
                    StyleBox[
                    "\"184\[ThinSpace]000.00\"", ShowStringCharacters -> 
                    False], 184000., AutoDelete -> True], 
                   NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 184000., 
                  Selectable -> False], 
                 RowBox[{
                   FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                 "US dollars", "\"USDollars\""}, "QuantityPrefix", SyntaxForm -> 
                Mod]}], ",", 
             RowBox[{"\"Year\"", "\[Rule]", 
               TemplateBox[{
                 RowBox[{
                   StyleBox["\"Year: \"", "DateObjectLabel"], "\"2017\""}], 
                 RowBox[{"DateObject", "[", 
                   RowBox[{
                    RowBox[{"{", "2017", "}"}], ",", "\"Year\""}], "]"}]}, 
                "DateObject", Editable -> False]}]}], 
           "\[RightAssociation]"}]}], "}"}], Short[#, 8]& ], "line" -> 345, 
   "sessionID" -> 28257104344315683933, "byteCount" -> 8337304, "size" -> 8, 
   "stored" -> False, "expr" -> Missing["NotAvailable", "NewSessionID"], 
   "wrap" -> OutputSizeLimit`Defer, "version" -> 1|>,
  "OutputSizeLimitTemplate"]], "Output",
 CellChangeTimes->{3.880635243047117*^9, 3.880635434286106*^9, 
  3.881420320078273*^9},
 CellLabel->"Out[345]=",
 CellID->51584503,ExpressionUUID->"70757c94-13b4-4ee8-bc07-5ed811e64d4c"]
}, Open  ]],

Cell["I\[CloseCurlyQuote]m left with 5532 rows:", "CodeText",
 CellChangeTimes->{{3.769378151440632*^9, 3.769378157174881*^9}, {
  3.775816593018093*^9, 3.7758165937781687`*^9}, {3.7760144620900245`*^9, 
  3.776014462386422*^9}, {3.8806352558172626`*^9, 3.880635256515953*^9}},
 CellTags->"p: 102",
 CellID->517409764,ExpressionUUID->"aba8e9d4-d3a0-46e3-9447-28b062d53ff3"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", "mlsA2", "]"}]], "Input",
 CellChangeTimes->{{3.7693345697877197`*^9, 3.769334575106385*^9}},
 CellLabel->"In[346]:=",
 CellID->944616845,ExpressionUUID->"5502095e-5103-4c67-b530-42149b0fba54"],

Cell[BoxData["5532"], "Output",
 CellChangeTimes->{3.769334575527976*^9, 3.7693781465255947`*^9, 
  3.7699552755563717`*^9, 3.7719298099259443`*^9, 3.857034869168253*^9, 
  3.880635253657968*^9, 3.881420329525188*^9},
 CellLabel->"Out[346]=",
 CellID->227967341,ExpressionUUID->"b7216f4f-5306-4e95-a075-16353e44b73b"]
}, Open  ]],

Cell[TextData[{
 "Now that our data is cleansed, let\[CloseCurlyQuote]s again find out who \
have been the 10 highest-paid players in MLS. Notice that I now specify that \
the sort is to be done according to the result of the ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["#",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Slot.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Slot.html"], 
   "GuaranteedCompensation", 
   ButtonBox[
    StyleBox["&",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Function.html"], None},
    ButtonNote->
     "https://reference.wolfram.com/language/ref/Function.html"]}]], 
  "InlineCodeText",ExpressionUUID->"11d14423-9c1d-4a59-8df2-c2e2a40fbff8"],
 " applied to each row rather than by having to remember, as I did in the \
previous chapter, that the base salary information is found in the sixth \
column of each row."
}], "Text",
 CellChangeTimes->{{3.769097273966511*^9, 3.769097287598446*^9}, {
   3.769161221966975*^9, 3.769161228898493*^9}, 3.7693342483476057`*^9, {
   3.7693344105508003`*^9, 3.7693344247038507`*^9}, {3.769334498381125*^9, 
   3.769334549265239*^9}, {3.769334596415195*^9, 3.769334599406992*^9}, {
   3.7693781767210484`*^9, 3.769378182649631*^9}, {3.7758165990346947`*^9, 
   3.7758165994517365`*^9}, {3.7760144797179117`*^9, 3.776014483963084*^9}, {
   3.7760145370427413`*^9, 3.776014560802389*^9}, {3.8574706027037573`*^9, 
   3.8574706036726627`*^9}, {3.8662949896083946`*^9, 
   3.8662949897560863`*^9}, {3.8677619375981917`*^9, 3.867761941280704*^9}, {
   3.8679289822400045`*^9, 3.867928982672923*^9}},
 CellID->1847183370,ExpressionUUID->"78f8c2bb-f67a-4de8-8ff6-4fbc80a77c91"],

Cell[TextData[{
 "Use ",
 ButtonBox["ReverseSort",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ReverseSort.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/ReverseSort.html"],
 " and a ",
 ButtonBox["Slot",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Slot.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Slot.html"],
 " function to discover that Kaka and Giovinco are the most highly \
compensated players:"
}], "CodeText",
 CellChangeTimes->{{3.769181426543396*^9, 3.769181451549214*^9}, {
  3.769334765575466*^9, 3.769334766081332*^9}, {3.7760145657319574`*^9, 
  3.7760145747018995`*^9}, {3.8806355052535057`*^9, 3.880635523578395*^9}, {
  3.881167356723547*^9, 3.8811673568442497`*^9}},
 CellID->1983521668,ExpressionUUID->"c809ba54-77e1-40cd-8620-2199201cc658"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Dataset", "[", 
  RowBox[{
   RowBox[{"ReverseSortBy", "[", 
    RowBox[{"mlsA2", ",", 
     RowBox[{"#GuaranteedCompensation", "&"}]}], "]"}], ",", 
   RowBox[{"MaxItems", "\[Rule]", "10"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7690972905843983`*^9, 3.7690973326489143`*^9}, {
  3.7690976401729393`*^9, 3.7690976431180773`*^9}, {3.769334253152142*^9, 
  3.769334255659893*^9}, {3.769334428552845*^9, 3.76933448894198*^9}, {
  3.7693346021092463`*^9, 3.76933460512221*^9}, {3.85703488032454*^9, 
  3.85703488893178*^9}, {3.857035070710085*^9, 3.857035078031369*^9}},
 CellLabel->"In[347]:=",
 CellID->64359501,ExpressionUUID->"a57ee292-f6eb-4df9-9b6b-3aab403f037f"],

Cell[BoxData[
 TagBox[
  TemplateBox[{
    TagBox[
     DynamicModuleBox[{
      TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
        "InitialData" -> 
         TypeSystem`CacheKey[
          9615394348615673836407758858756607109097733411838270443528], 
         "AllowEmbedding" -> True, "InitialShape" -> 
         TypeSystem`PackageScope`HeaderShape[<|{All, "Club"} -> 
            1, {All, "LastName"} -> 1, {All, "FirstName"} -> 
            1, {All, "Position"} -> 1, {All, "BaseSalary"} -> 
            1, {All, "GuaranteedCompensation"} -> 1, {All, "Year"} -> 1|>, 
           TypeSystem`PackageScope`Limited[
            TypeSystem`PackageScope`ColumnShape[
             TypeSystem`PackageScope`Limited[
              
              TypeSystem`PackageScope`RowShape[<|
               "Club" -> TypeSystem`PackageScope`AtomShape[56.00000000000001],
                 "LastName" -> TypeSystem`PackageScope`AtomShape[134.4], 
                "FirstName" -> 
                TypeSystem`PackageScope`AtomShape[100.80000000000001`], 
                "Position" -> TypeSystem`PackageScope`AtomShape[33.6], 
                "BaseSalary" -> TypeSystem`PackageScope`AtomShape[75], 
                "GuaranteedCompensation" -> 
                TypeSystem`PackageScope`AtomShape[75], "Year" -> 
                TypeSystem`PackageScope`AtomShape[75]|>], 
              DirectedInfinity[1], 7, {All}]], 10, 
            DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
           
           TypeSystem`Struct[{
            "Club", "LastName", "FirstName", "Position", "BaseSalary", 
             "GuaranteedCompensation", "Year"}, {
             TypeSystem`Atom[String], 
             TypeSystem`Atom[String], 
             TypeSystem`Atom[String], 
             TypeSystem`Atom[String], 
             TypeSystem`Atom[
              Quantity[1, "USDollars"]], 
             TypeSystem`Atom[
              Quantity[1, "USDollars"]], 
             TypeSystem`Atom[DateObject]}], 5532], 
         "Meta" -> <|MaxItems -> 10|>, "RowTarget" -> 20, "ColumnTarget" -> 
         10, "Shape" -> 
         TypeSystem`PackageScope`HeaderShape[<|{All, "Club"} -> 
            1, {All, "LastName"} -> 1, {All, "FirstName"} -> 
            1, {All, "Position"} -> 1, {All, "BaseSalary"} -> 
            1, {All, "GuaranteedCompensation"} -> 1, {All, "Year"} -> 1|>, 
           TypeSystem`PackageScope`Limited[
            TypeSystem`PackageScope`ColumnShape[
             TypeSystem`PackageScope`Limited[
              
              TypeSystem`PackageScope`RowShape[<|
               "Club" -> TypeSystem`PackageScope`AtomShape[56.00000000000001],
                 "LastName" -> TypeSystem`PackageScope`AtomShape[134.4], 
                "FirstName" -> 
                TypeSystem`PackageScope`AtomShape[100.80000000000001`], 
                "Position" -> TypeSystem`PackageScope`AtomShape[33.6], 
                "BaseSalary" -> TypeSystem`PackageScope`AtomShape[75], 
                "GuaranteedCompensation" -> 
                TypeSystem`PackageScope`AtomShape[75], "Year" -> 
                TypeSystem`PackageScope`AtomShape[75]|>], 
              DirectedInfinity[1], 7, {All}]], 10, 
            DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
           
           TypeSystem`Struct[{
            "Club", "LastName", "FirstName", "Position", "BaseSalary", 
             "GuaranteedCompensation", "Year"}, {
             TypeSystem`Atom[String], 
             TypeSystem`Atom[String], 
             TypeSystem`Atom[String], 
             TypeSystem`Atom[String], 
             TypeSystem`Atom[
              Quantity[1, "USDollars"]], 
             TypeSystem`Atom[
              Quantity[1, "USDollars"]], 
             TypeSystem`Atom[DateObject]}], 5532], "Path" -> {}, 
         "DisplayedRowCount" -> 10, "DisplayedColumnCount" -> 7, 
         "DataRowCount" -> 5532, "DataColumnCount" -> 7, "SortPaths" -> {}, 
         "SortDirections" -> {}, "HiddenItemsMap" -> Null, "UpdateType" -> 
         1|>, TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
       TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
       TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
       DynamicModule[{
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
            Style[
             Grid[{{
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["Club", 
                    Style[
                    "Club", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "Club"}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
                    All, "Club"}, "ColumnHeader", True], "Mouse"], 
                  ImageSize -> {{1, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                 GrayLevel[0.95], Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["LastName", 
                    Style[
                    "LastName", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "LastName"}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
                    All, "LastName"}, "ColumnHeader", True], "Mouse"], 
                  ImageSize -> {{1, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                 GrayLevel[0.95], Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["FirstName", 
                    Style[
                    "FirstName", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "FirstName"}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
                    All, "FirstName"}, "ColumnHeader", True], "Mouse"], 
                  ImageSize -> {{1, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                 GrayLevel[0.95], Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["Position", 
                    Style[
                    "Position", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "Position"}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
                    All, "Position"}, "ColumnHeader", True], "Mouse"], 
                  ImageSize -> {{1, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                 GrayLevel[0.95], Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["BaseSalary", 
                    Style[
                    "BaseSalary", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "BaseSalary"}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
                    All, "BaseSalary"}, "ColumnHeader", True], "Mouse"], 
                  ImageSize -> {{1, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                 GrayLevel[0.95], Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["GuaranteedCompensation", 
                    Style[
                    "GuaranteedCompensation", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "GuaranteedCompensation"}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
                    All, "GuaranteedCompensation"}, "ColumnHeader", True], 
                   "Mouse"], ImageSize -> {{1, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                 GrayLevel[0.95], Alignment -> {Left, Baseline}], 
                Item[
                 Pane[
                  Annotation[
                   EventHandler[
                    MouseAppearance[
                    Mouseover["Year", 
                    Style[
                    "Year", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "Year"}, 1]]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
                    All, "Year"}, "ColumnHeader", True], "Mouse"], 
                  ImageSize -> {{1, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
                 GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
                Item[
                 Pane[
                  Annotation["ORL", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{1, 
                    Key["Club"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{56.00000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Kaka", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{1, 
                    Key["LastName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{134.4, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   Style["\[LongDash]", 
                    GrayLevel[0.75]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{1, 
                    Key["FirstName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{100.80000000000001`, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["M", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{1, 
                    Key["Position"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    "6.66`*^6", 6.66*^6, Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{1, 
                    Key["BaseSalary"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    "7.1675`*^6", 7.1675*^6, Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{1, 
                    Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2017\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{1, 
                    Key["Year"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}]}, {
                Item[
                 Pane[
                  Annotation["ORL", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{2, 
                    Key["Club"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{56.00000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Kaka", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{2, 
                    Key["LastName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{134.4, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   Style["\[LongDash]", 
                    GrayLevel[0.75]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{2, 
                    Key["FirstName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{100.80000000000001`, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["M", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{2, 
                    Key["Position"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    "6.66`*^6", 6.66*^6, Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{2, 
                    Key["BaseSalary"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    "7.1675`*^6", 7.1675*^6, Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{2, 
                    Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2016\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{2, 
                    Key["Year"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}]}, {
                Item[
                 Pane[
                  Annotation["ORL", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{3, 
                    Key["Club"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{56.00000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Kaka", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{3, 
                    Key["LastName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{134.4, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   Style["\[LongDash]", 
                    GrayLevel[0.75]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{3, 
                    Key["FirstName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{100.80000000000001`, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["M", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{3, 
                    Key["Position"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    "6.66`*^6", 6.66*^6, Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{3, 
                    Key["BaseSalary"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    "7.1675`*^6", 7.1675*^6, Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{3, 
                    Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2015\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{3, 
                    Key["Year"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}]}, {
                Item[
                 Pane[
                  Annotation["ORL", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{4, 
                    Key["Club"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{56.00000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Kaka", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{4, 
                    Key["LastName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{134.4, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   Style["\[LongDash]", 
                    GrayLevel[0.75]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{4, 
                    Key["FirstName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{100.80000000000001`, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["M", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{4, 
                    Key["Position"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    "6.66`*^6", 6.66*^6, Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{4, 
                    Key["BaseSalary"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    "7.1675`*^6", 7.1675*^6, Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{4, 
                    Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2014\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{4, 
                    Key["Year"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}]}, {
                Item[
                 Pane[
                  Annotation["TOR", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{5, 
                    Key["Club"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{56.00000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Giovinco", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{5, 
                    Key["LastName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{134.4, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Sebastian", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{5, 
                    Key["FirstName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{100.80000000000001`, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["M", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{5, 
                    Key["Position"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    "5.6`*^6", 5.6*^6, Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{5, 
                    Key["BaseSalary"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    "7.11555567`*^6", 7.11555567*^6, Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{5, 
                    Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2015\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{5, 
                    Key["Year"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}]}, {
                Item[
                 Pane[
                  Annotation["TOR", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{6, 
                    Key["Club"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{56.00000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Giovinco", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{6, 
                    Key["LastName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{134.4, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Sebastian", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{6, 
                    Key["FirstName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{100.80000000000001`, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["F", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{6, 
                    Key["Position"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    "5.6`*^6", 5.6*^6, Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{6, 
                    Key["BaseSalary"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    "7.11555567`*^6", 7.11555567*^6, Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{6, 
                    Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2017\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{6, 
                    Key["Year"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}]}, {
                Item[
                 Pane[
                  Annotation["TOR", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{7, 
                    Key["Club"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{56.00000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Giovinco", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{7, 
                    Key["LastName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{134.4, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Sebastian", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{7, 
                    Key["FirstName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{100.80000000000001`, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["F", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{7, 
                    Key["Position"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    "5.6`*^6", 5.6*^6, Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{7, 
                    Key["BaseSalary"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    "7.11555567`*^6", 7.11555567*^6, Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{7, 
                    Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2016\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{7, 
                    Key["Year"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}]}, {
                Item[
                 Pane[
                  Annotation["SEA", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{8, 
                    Key["Club"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{56.00000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Dempsey", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{8, 
                    Key["LastName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{134.4, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Clint", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{8, 
                    Key["FirstName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{100.80000000000001`, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["F", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{8, 
                    Key["Position"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    "4.913004`*^6", 4.913004*^6, Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{8, 
                    Key["BaseSalary"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    "6.69518875`*^6", 6.69518875*^6, Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{8, 
                    Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2014\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{8, 
                    Key["Year"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}]}, {
                Item[
                 Pane[
                  Annotation["LA", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{9, 
                    Key["Club"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{56.00000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Beckham", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{9, 
                    Key["LastName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{134.4, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["David", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{9, 
                    Key["FirstName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{100.80000000000001`, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["M", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{9, 
                    Key["Position"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    "5.50000008`*^6", 5.50000008*^6, Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{9, 
                    Key["BaseSalary"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    "6.50000004`*^6", 6.50000004*^6, Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{9, 
                    Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2011\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{9, 
                    Key["Year"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}]}, {
                Item[
                 Pane[
                  Annotation["LA", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{10, 
                    Key["Club"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{56.00000000000001, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["Beckham", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{10, 
                    Key["LastName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{134.4, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["David", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{10, 
                    Key["FirstName"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{100.80000000000001`, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation["M", 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{10, 
                    Key["Position"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{33.6, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    "5.50000008`*^6", 5.50000008*^6, Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{10, 
                    Key["BaseSalary"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes[
                    RowBox[{
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    InterpretationBox[
                    "6.50000004`*^6", 6.50000004*^6, Selectable -> False]}]], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{10, 
                    Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}], 
                Item[
                 Pane[
                  Annotation[
                   RawBoxes["\"2010\""], 
                   TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{10, 
                    Key["Year"]}, "Item", False], "Mouse"], 
                  ImageSize -> {{75, Full}, Automatic}, 
                  ImageMargins -> {{5, 3}, {4, 5}}], 
                 ItemSize -> {Full, Automatic}]}, {
                Item[
                 Deploy[
                  Pane[
                   Row[{
                    Spacer[2], 
                    Style[
                    Row[{
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 10 
                    If[True, 5532, 1], {1, 5532 - -10 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 10 
                    If[False, 5532, 1], {1, 5532 - -10 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], " ", 
                    Style[
                    Mouseover[
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 10, " of ", 
                    Style[5532, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]], 
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 10, " of ", 
                    Style[5532, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]]], ContextMenu -> {
                    MenuItem["Hide", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 1, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 10 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 10, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 30 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 30, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 100 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show All", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100000000, {}]], MenuEvaluator -> Automatic]}], 
                    " ", 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    10 If[False, 5532, 1], {1, 5532 - 10 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    10 If[True, 5532, 1], {1, 5532 - 10 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None]}], ContextMenu -> {}]}], 
                   ImageMargins -> {{0, -1}, {-1, 1}}]], Background -> 
                 RGBColor[
                  0.9764705882352941, 0.9764705882352941, 0.9764705882352941],
                  Alignment -> {Left, Top}], SpanFromLeft, SpanFromLeft, 
                SpanFromLeft, SpanFromLeft, SpanFromLeft, SpanFromLeft}}, 
              BaseStyle -> {
               ContextMenu -> 
                Dynamic[
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                  Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                    TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastContextMenuTrigger, TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu,
                     True, TypeSystem`NestedGrid`PackagePrivate`$\
lastContextMenuTrigger = 
                    TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                    TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                    Block[{TypeSystem`NestedGrid`PackagePrivate`$\
globalScrollPos = {TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                    
                    With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
                "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, 
              Dividers -> All, FrameStyle -> GrayLevel[0.7490196078431373], 
              Spacings -> {0, 0}, Alignment -> Left, 
              BaseStyle -> {
               FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
                Plain}], LineBreakWithin -> False, ContextMenu -> {}, 
             NumberMarks -> False, ShowAutoStyles -> False]], 
          TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
         Dynamic[
          TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
          TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
             Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
             
             Module[{TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
               TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
               TypeSystem`NestedGrid`PackagePrivate`datasetData[
                TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
              TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
                 FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
                 TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
                 TypeSystem`NestedGrid`PackagePrivate`renderGrid[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                 TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
                Not[
                 FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
                TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
                TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
           TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
           TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
           TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
             TypeSystem`SparseGrid[
              TypeSystem`H["(data no longer present)"]], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
          TrackedSymbols :> {
           TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
            TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
         DynamicModuleValues :> {}], 
       TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
         TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
          TypeSystem`PackageScope`SubViewPathbar[
          TypeSystem`NestedGrid`PackagePrivate`$path$$, 
           TypeSystem`NestedGrid`PackagePrivate`updateState[
           TypeSystem`NestedGrid`PackagePrivate`$state$$, 
            TypeSystem`NestedGrid`PackagePrivate`$path$$, 
            TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
            TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
            TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
            TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
         TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
       TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
         Framed[
          Dynamic[
           Replace[
           TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
            TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
               Blank[]] -> "", 
             TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
               Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
                Blank[]], 
               Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
                Blank[]], 
               Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                Blank[]]] :> (
              Increment[
               TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
              TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
               TypeSystem`NestedGrid`PackagePrivate`path$; 
              TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
               TypeSystem`NestedGrid`PackagePrivate`pathType$; 
              TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
               TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
              TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
               TypeSystem`NestedGrid`PackagePrivate`localHold[
                TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
              TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
               TypeSystem`NestedGrid`PackagePrivate`path$, 
                TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
             Spacer[10], Blank[] :> Spacer[10]}], 
           TrackedSymbols :> {
            TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], 
          FrameStyle -> None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> 
          Top, ImageSize -> {Automatic, 15}], FontSize -> 1], 
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
      DynamicWrapperBox[
       DynamicBox[
        ToBoxes[
         Dataset`DatasetContent[
         2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
          "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], 
          "State" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], 
          "VPos" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], 
          "HPos" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], 
          "TopBar" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], 
          "BottomBar" -> 
          Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
          Hold[
            TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], 
         StandardForm], 
        ImageSizeCache -> {721., {168.3837890625, 175.6162109375}}, 
        TrackedSymbols :> {
         TypeSystem`NestedGrid`PackagePrivate`$state$$, 
          TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
       MouseAnnotation[], 
       ImageSizeCache -> {721., {168.3837890625, 175.6162109375}}], 
      BaseStyle -> {LineBreakWithin -> False}, DynamicModuleValues :> {}, 
      Initialization :> (TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
       CreateUUID[]), 
      UnsavedVariables :> {TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
      Deploy, DefaultBaseStyle -> "Deploy"]},
   "CopyTag",
   DisplayFunction->(#& ),
   InterpretationFunction->("Dataset[<>]"& )],
  False,
  BoxID -> 9615394348615673836407758858756607109097733411838270443528,
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{{3.769097310781714*^9, 3.769097332992923*^9}, 
   3.769097643525998*^9, 3.7691006545286617`*^9, 3.769334256125351*^9, {
   3.7693344297603817`*^9, 3.769334489552652*^9}, 3.7693346058635178`*^9, 
   3.769378186876692*^9, 3.769955275645727*^9, 3.771929810011676*^9, 
   3.8570348926915627`*^9, 3.857035079099662*^9, 3.8806352657467957`*^9, 
   3.8814203366128902`*^9},
 CellLabel->"Out[347]=",
 CellID->314069501,ExpressionUUID->"374af922-3555-4a61-9040-cba26d6ae108"]
}, Open  ]],

Cell["\<\
Let\[CloseCurlyQuote]s recreate a scatter plot of the base salary versus the \
guaranteed compensation. Now instead of specifying that I want the fifth and \
sixth columns, I just name the keys explicitly.\
\>", "Text",
 CellChangeTimes->{{3.7690895460898952`*^9, 3.769089570689013*^9}, {
   3.769089638179619*^9, 3.769089687985847*^9}, {3.769089719860806*^9, 
   3.769089722330472*^9}, {3.769089772017991*^9, 3.7690897868844767`*^9}, 
   3.7691613448422117`*^9, {3.769334623646029*^9, 3.769334623772312*^9}, {
   3.7693347223209057`*^9, 3.769334753538054*^9}, {3.7758166035071416`*^9, 
   3.7758166041882095`*^9}, {3.7760145813942566`*^9, 3.776014602081724*^9}},
 CellTags->"LastCellOfAPage",
 CellID->1711985380,ExpressionUUID->"f7bb63bf-0864-47e5-93f6-e57e8c5e73f6"],

Cell[TextData[{
 "Get two columns from the data using keys and make a scatter plot with ",
 ButtonBox["ListPlot",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ListPlot.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/ListPlot.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.769181464570834*^9, 3.769181481985571*^9}, {
  3.769334770885611*^9, 3.769334771942906*^9}, {3.776014637166899*^9, 
  3.7760146437812567`*^9}, {3.867761957457679*^9, 3.867761959437187*^9}},
 CellTags->"p: 103",
 CellID->35534509,ExpressionUUID->"32eae4ee-24be-4d77-8753-0adabe3f1a63"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{
   RowBox[{"mlsA2", "[", 
    RowBox[{"[", 
     RowBox[{"All", ",", 
      RowBox[{"{", 
       RowBox[{"\"\<BaseSalary\>\"", ",", "\"\<GuaranteedCompensation\>\""}], 
       "}"}]}], "]"}], "]"}], ",", 
   InterpretationBox[
    DynamicModuleBox[{Typeset`open = False}, 
     TemplateBox[{"Expression", "SequenceIcon", 
       GridBox[{{
          RowBox[{
            TagBox["\"Head: \"", "IconizedLabel"], "\[InvisibleSpace]", 
            TagBox["Sequence", "IconizedItem"]}]}, {
          RowBox[{
            TagBox["\"Length: \"", "IconizedLabel"], "\[InvisibleSpace]", 
            TagBox["5", "IconizedItem"]}]}, {
          RowBox[{
            TagBox["\"Byte count: \"", "IconizedLabel"], "\[InvisibleSpace]", 
            TagBox["520", "IconizedItem"]}]}}, 
        GridBoxAlignment -> {"Columns" -> {{Left}}}, DefaultBaseStyle -> 
        "Column", 
        GridBoxItemSize -> {
         "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
       Dynamic[Typeset`open]},
      "IconizedObject"]],
    Sequence[
    ImageSize -> 400, Axes -> False, Frame -> True, 
     FrameLabel -> {"base salary", "guaranteed compensation"}, PlotRange -> 
     All],
    SelectWithContents->True,
    Selectable->False]}], "]"}]], "Input",
 CellChangeTimes->{{3.7690895768854313`*^9, 3.7690895993208942`*^9}, {
  3.769089693071534*^9, 3.769089767801755*^9}, {3.7693346338763027`*^9, 
  3.7693347113983088`*^9}, {3.8570348433865557`*^9, 3.857034856759274*^9}, {
  3.857035097217042*^9, 3.8570351121777067`*^9}, {3.880635283885932*^9, 
  3.880635323287023*^9}},
 CellLabel->"In[348]:=",
 CellID->1051014066,ExpressionUUID->"874d7342-a5e7-47a3-b565-82bef4b7e6b4"],

Cell[BoxData[
 GraphicsBox[{{}, 
   {RGBColor[0.368417, 0.506779, 0.709798], PointSize[0.003666666666666667], 
    AbsoluteThickness[1.6], PointBox[CompressedData["
1:eJylfXm81XP+/2m5ddt02y8VB6lUuFmT7VxCCFcLDc04jCWhuQxqsh2ENIZr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     "]]}, {{}, {{}, {}}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{False, False},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{True, True}, {True, True}},
  FrameLabel->{{
     FormBox[
      TagBox["\"guaranteed compensation\"", HoldForm], TraditionalForm], 
     None}, {
     FormBox[
      TagBox["\"base salary\"", HoldForm], TraditionalForm], None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImageSize->400,
  Method->{
   "AxisPadding" -> Scaled[0.02], "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "DefaultPlotStyle" -> {
      Directive[
       RGBColor[0.368417, 0.506779, 0.709798], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.880722, 0.611041, 0.142051], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.560181, 0.691569, 0.194885], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.922526, 0.385626, 0.209179], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.528488, 0.470624, 0.701351], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.772079, 0.431554, 0.102387], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.363898, 0.618501, 0.782349], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[1, 0.75, 0], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.647624, 0.37816, 0.614037], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.571589, 0.586483, 0.], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.915, 0.3325, 0.2125], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.40082222609352647`, 0.5220066643438841, 0.85], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.9728288904374106, 0.621644452187053, 0.07336199581899142], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.736782672705901, 0.358, 0.5030266573755369], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.28026441037696703`, 0.715, 0.4292089322474965], 
       AbsoluteThickness[1.6]]}, "DomainPadding" -> Scaled[0.02], 
    "PointSizeFunction" -> "SmallPointSize", "RangePadding" -> Scaled[0.05], 
    "OptimizePlotMarkers" -> True, "OptimizePlotMarkers" -> True, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        Identity[
         Part[#, 1]], 
        Identity[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        Identity[
         Part[#, 1]], 
        Identity[
         Part[#, 2]]}& )}},
  PlotRange->{{0, 6.66*^6}, {0, 7.1675*^6}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.02], 
     Scaled[0.08090169943749476]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.8806352958467207`*^9, 3.880635312523095*^9}, 
   3.880635529617633*^9, 3.881420348260448*^9},
 CellLabel->"Out[348]=",
 CellID->1062442431,ExpressionUUID->"0ad89d7c-f240-4631-a4e2-ac67e4d7205c"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Most Highly Compensated Players", "Subsubsection",
 CellChangeTimes->{{3.7690995533972797`*^9, 3.7690995629595337`*^9}},
 CellID->548822030,ExpressionUUID->"ab796b29-1e43-49a3-9a3b-2fa3f8bec8e6"],

Cell[TextData[{
 "It seems as if, for many players, the base compensation is the same as the \
guaranteed amount, but for others, the guaranteed amount is higher. I\
\[CloseCurlyQuote]d like to know the identity of players for whom the ratio \
between guaranteed amount and base amount is greatest. Here I use ",
 ButtonBox["SortBy",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/SortBy.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/SortBy.html"],
 " and ",
 ButtonBox["Part",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Part.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Part.html"],
 " to accomplish the job. It looks like some distinct compensation patterns \
existed in 2010. "
}], "Text",
 CellChangeTimes->{{3.769089808365446*^9, 3.769089866144796*^9}, {
  3.7690899062546864`*^9, 3.769089937048991*^9}, {3.769162013090867*^9, 
  3.769162024604827*^9}, {3.7691620710100327`*^9, 3.769162114396327*^9}, {
  3.769378214169114*^9, 3.7693782451808767`*^9}, {3.776014655262783*^9, 
  3.7760146767926455`*^9}},
 CellID->83099445,ExpressionUUID->"f0712ee6-de9b-4e61-9f30-2b1569a59b55"],

Cell[TextData[{
 "Combine ",
 ButtonBox["Part",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Part.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Part.html"],
 " operators with sorting based on ",
 ButtonBox["Slot",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Slot.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Slot.html"],
 " functions:"
}], "CodeText",
 CellChangeTimes->{{3.7691814972407713`*^9, 3.769181509731978*^9}, {
   3.769334848759647*^9, 3.769334851525785*^9}, {3.769424562702805*^9, 
   3.769424568444693*^9}, 3.776014684358597*^9, {3.7760147186119785`*^9, 
   3.776014729750307*^9}, {3.8570351405142527`*^9, 3.857035144394724*^9}},
 CellID->1825034155,ExpressionUUID->"2396c156-f448-47f2-84db-53af53438067"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  InterpretationBox[
   TagBox[
    TagBox[
     DynamicModuleBox[{Typeset`open = False}, 
      FrameBox[
       PaneSelectorBox[{False->GridBox[{
          {
           PaneBox[GridBox[{
              {
               StyleBox[
                StyleBox[
                 AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                  BoxBaselineShift->-0.25,
                  BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                 
                 FontColor->RGBColor[
                  0.8745098039215686, 0.2784313725490196, 
                   0.03137254901960784]],
                ShowStringCharacters->False,
                FontFamily->"Source Sans Pro Black",
                FontSize->0.6538461538461539 Inherited,
                FontWeight->"Heavy",
                PrivateFontOptions->{"OperatorSubstitution"->False}], 
               StyleBox[
                RowBox[{
                 StyleBox["DatasetForm", "ResourceFunctionLabel"], " "}],
                ShowAutoStyles->False,
                ShowStringCharacters->False,
                FontSize->Rational[12, 13] Inherited,
                FontColor->GrayLevel[0.1]]}
             },
             GridBoxSpacings->{"Columns" -> {{0.25}}}],
            Alignment->Left,
            BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
            BaselinePosition->Baseline,
            FrameMargins->{{3, 0}, {0, 0}}], 
           ItemBox[
            PaneBox[
             TogglerBox[Dynamic[Typeset`open], {True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeCloser"],
               ImageSizeCache->{11., {2., 9.}}], False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeOpener"],
               ImageSizeCache->{11., {2., 9.}}]},
              Appearance->None,
              BaselinePosition->Baseline,
              ContentPadding->False,
              FrameMargins->0],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{1, 1}, {0, 0}}],
            Frame->{{
               RGBColor[
               0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                0.5], False}, {False, False}}]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
         GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
        GridBox[{
          {GridBox[{
             {
              PaneBox[GridBox[{
                 {
                  StyleBox[
                   StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                   ShowStringCharacters->False,
                   FontFamily->"Source Sans Pro Black",
                   FontSize->0.6538461538461539 Inherited,
                   FontWeight->"Heavy",
                   PrivateFontOptions->{"OperatorSubstitution"->False}], 
                  StyleBox[
                   RowBox[{
                    StyleBox["DatasetForm", "ResourceFunctionLabel"], " "}],
                   ShowAutoStyles->False,
                   ShowStringCharacters->False,
                   FontSize->Rational[12, 13] Inherited,
                   FontColor->GrayLevel[0.1]]}
                },
                GridBoxSpacings->{"Columns" -> {{0.25}}}],
               Alignment->Left,
               BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
               BaselinePosition->Baseline,
               FrameMargins->{{3, 0}, {0, 0}}], 
              ItemBox[
               PaneBox[
                TogglerBox[Dynamic[Typeset`open], {True->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeCloser"]], False->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeOpener"]]},
                 Appearance->None,
                 BaselinePosition->Baseline,
                 ContentPadding->False,
                 FrameMargins->0],
                Alignment->Left,
                BaselinePosition->Baseline,
                FrameMargins->{{1, 1}, {0, 0}}],
               Frame->{{
                  RGBColor[
                  0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                   0.5], False}, {False, False}}]}
            },
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
          {
           StyleBox[
            PaneBox[GridBox[{
               {
                RowBox[{
                 TagBox["\<\"Version (latest): \"\>",
                  "IconizedLabel"], " ", 
                 TagBox["\<\"1.0.0\"\>",
                  "IconizedItem"]}]},
               {
                TagBox[
                 
                 TemplateBox[{
                  "\"Documentation \[RightGuillemet]\"", 
                   "https://resources.wolframcloud.com/FunctionRepository/\
resources/a2034fb9-e46f-4b36-ac04-a3ea684b9d1e/"},
                  "HyperlinkURL"],
                 "IconizedItem"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
            FontFamily->"Roboto",
            FontSize->11]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
              GrayLevel[0.8]}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
        Typeset`open],
        BaselinePosition->Baseline,
        ImageSize->Automatic],
       Background->RGBColor[
        0.9686274509803922, 0.9764705882352941, 0.984313725490196],
       BaselinePosition->Baseline,
       DefaultBaseStyle->{},
       FrameMargins->{{0, 0}, {1, 0}},
       FrameStyle->RGBColor[
        0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
       RoundingRadius->4]],
     #& ,
     TagBoxNote->" "],
    {"FunctionResourceBox", 
     RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
     "DatasetForm"},
    TagBoxNote->"FunctionResourceBox"],
   ResourceFunction[
    ResourceObject[<|
     "Name" -> "DatasetForm", "ShortName" -> "DatasetForm", "UUID" -> 
      "a2034fb9-e46f-4b36-ac04-a3ea684b9d1e", "ResourceType" -> "Function", 
      "Version" -> "1.0.0", "Description" -> 
      "Display data formatted like a dataset", "RepositoryLocation" -> 
      URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
      "SymbolName" -> 
      "FunctionRepository`$9011b47ab6d048f099e90511f6c24686`DatasetForm", 
      "FunctionLocation" -> 
      CloudObject[
       "https://www.wolframcloud.com/obj/d6b6cd3f-340f-4c5a-91b5-\
d391d60da0b9"]|>, ResourceSystemBase -> Automatic]],
   Selectable->False], "[", 
  RowBox[{"Part", "[", 
   RowBox[{
    RowBox[{"ReverseSortBy", "[", 
     RowBox[{"mlsA2", ",", 
      RowBox[{
       RowBox[{"#GuaranteedCompensation", "/", "#BaseSalary"}], "&"}]}], 
     "]"}], ",", 
    RowBox[{"Range", "[", "10", "]"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.76908986951547*^9, 3.769089894494091*^9}, {
   3.769097648524687*^9, 3.769097654141163*^9}, {3.769162028653892*^9, 
   3.76916202937739*^9}, {3.769334781967884*^9, 3.7693348169001503`*^9}, 
   3.8811615580946913`*^9},
 CellLabel->"In[349]:=",
 CellID->661887271,ExpressionUUID->"a3355acb-1b6b-4884-8c72-7c508750fe62"],

Cell[BoxData[
 InterpretationBox[
  DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
   "InitialData" -> {<|
      "Club" -> "CHV", "LastName" -> "Courtois", "FirstName" -> "Laurent", 
       "Position" -> "M", "BaseSalary" -> Quantity[60000., "USDollars"], 
       "GuaranteedCompensation" -> Quantity[206000., "USDollars"], "Year" -> 
       DateObject[{2011}, "Year"]|>, <|
      "Club" -> "TFC", "LastName" -> "Wynne", "FirstName" -> "Marvell", 
       "Position" -> "D", "BaseSalary" -> Quantity[47500., "USDollars"], 
       "GuaranteedCompensation" -> Quantity[150000., "USDollars"], "Year" -> 
       DateObject[{2008}, "Year"]|>, <|
      "Club" -> "TFC", "LastName" -> "Wynne", "FirstName" -> "Marvell", 
       "Position" -> "D", "BaseSalary" -> Quantity[47500., "USDollars"], 
       "GuaranteedCompensation" -> Quantity[150000., "USDollars"], "Year" -> 
       DateObject[{2007}, "Year"]|>, <|
      "Club" -> "TFC", "LastName" -> "White", "FirstName" -> "O'Brian", 
       "Position" -> "F", "BaseSalary" -> Quantity[36000., "USDollars"], 
       "GuaranteedCompensation" -> Quantity[113000., "USDollars"], "Year" -> 
       DateObject[{2009}, "Year"]|>, <|
      "Club" -> "POR", "LastName" -> "Nagbe", "FirstName" -> "Darlington", 
       "Position" -> "M/F", "BaseSalary" -> Quantity[65000., "USDollars"], 
       "GuaranteedCompensation" -> Quantity[201000., "USDollars"], "Year" -> 
       DateObject[{2011}, "Year"]|>, <|
      "Club" -> "POR", "LastName" -> "Okugo", "FirstName" -> "Amobi", 
       "Position" -> "D-M", "BaseSalary" -> Quantity[65004., "USDollars"], 
       "GuaranteedCompensation" -> Quantity[187941.5, "USDollars"], "Year" -> 
       DateObject[{2017}, "Year"]|>, <|
      "Club" -> "TFC", "LastName" -> "Wynne", "FirstName" -> "Marvell", 
       "Position" -> "D", "BaseSalary" -> Quantity[57000., "USDollars"], 
       "GuaranteedCompensation" -> Quantity[159500., "USDollars"], "Year" -> 
       DateObject[{2009}, "Year"]|>, <|
      "Club" -> "PHI", "LastName" -> "Stahl", "FirstName" -> "Toni", 
       "Position" -> "M", "BaseSalary" -> Quantity[40000., "USDollars"], 
       "GuaranteedCompensation" -> Quantity[110300., "USDollars"], "Year" -> 
       DateObject[{2010}, "Year"]|>, <|
      "Club" -> "CLB", "LastName" -> "Duka", "FirstName" -> "Dilaver", 
       "Position" -> "M", "BaseSalary" -> Quantity[80000., "USDollars"], 
       "GuaranteedCompensation" -> Quantity[213000., "USDollars"], "Year" -> 
       DateObject[{2010}, "Year"]|>, <|
      "Club" -> "TFC", "LastName" -> "Edu", "FirstName" -> "Maurice", 
       "Position" -> "M", "BaseSalary" -> Quantity[50000., "USDollars"], 
       "GuaranteedCompensation" -> Quantity[132500., "USDollars"], "Year" -> 
       DateObject[{2007}, "Year"]|>}, "AllowEmbedding" -> True, 
    "InitialShape" -> 
    TypeSystem`PackageScope`HeaderShape[<|{All, "Club"} -> 
       1, {All, "LastName"} -> 1, {All, "FirstName"} -> 1, {All, "Position"} -> 
       1, {All, "BaseSalary"} -> 1, {All, "GuaranteedCompensation"} -> 
       1, {All, "Year"} -> 1|>, 
      TypeSystem`PackageScope`Limited[
       TypeSystem`PackageScope`ColumnShape[
        TypeSystem`PackageScope`Limited[
         TypeSystem`PackageScope`RowShape[<|
          "Club" -> TypeSystem`PackageScope`AtomShape[31.5], "LastName" -> 
           TypeSystem`PackageScope`AtomShape[89.60000000000001], "FirstName" -> 
           TypeSystem`PackageScope`AtomShape[112.00000000000001`], "Position" -> 
           TypeSystem`PackageScope`AtomShape[31.5], "BaseSalary" -> 
           TypeSystem`PackageScope`AtomShape[75], "GuaranteedCompensation" -> 
           TypeSystem`PackageScope`AtomShape[75], "Year" -> 
           TypeSystem`PackageScope`AtomShape[75]|>], 
         DirectedInfinity[1], 7, {All}]], 10, 
       DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
      TypeSystem`Struct[{
       "Club", "LastName", "FirstName", "Position", "BaseSalary", 
        "GuaranteedCompensation", "Year"}, {
        TypeSystem`Atom[
         TypeSystem`Enumeration["CHV", "CLB", "PHI", "POR", "TFC"]], 
        TypeSystem`Atom[String], 
        TypeSystem`Atom[String], 
        TypeSystem`Atom[
         TypeSystem`Enumeration["D", "D-M", "F", "M", "M/F"]], 
        TypeSystem`Atom[
         Quantity[1, "USDollars"]], 
        TypeSystem`Atom[
         Quantity[1, "USDollars"]], 
        TypeSystem`Atom[DateObject]}], 10], "Meta" -> <||>, "RowTarget" -> 20,
     "ColumnTarget" -> 10, "Shape" -> 
    TypeSystem`PackageScope`HeaderShape[<|{All, "Club"} -> 
       1, {All, "LastName"} -> 1, {All, "FirstName"} -> 1, {All, "Position"} -> 
       1, {All, "BaseSalary"} -> 1, {All, "GuaranteedCompensation"} -> 
       1, {All, "Year"} -> 1|>, 
      TypeSystem`PackageScope`Limited[
       TypeSystem`PackageScope`ColumnShape[
        TypeSystem`PackageScope`Limited[
         TypeSystem`PackageScope`RowShape[<|
          "Club" -> TypeSystem`PackageScope`AtomShape[31.5], "LastName" -> 
           TypeSystem`PackageScope`AtomShape[89.60000000000001], "FirstName" -> 
           TypeSystem`PackageScope`AtomShape[112.00000000000001`], "Position" -> 
           TypeSystem`PackageScope`AtomShape[31.5], "BaseSalary" -> 
           TypeSystem`PackageScope`AtomShape[75], "GuaranteedCompensation" -> 
           TypeSystem`PackageScope`AtomShape[75], "Year" -> 
           TypeSystem`PackageScope`AtomShape[75]|>], 
         DirectedInfinity[1], 7, {All}]], 10, 
       DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
      TypeSystem`Struct[{
       "Club", "LastName", "FirstName", "Position", "BaseSalary", 
        "GuaranteedCompensation", "Year"}, {
        TypeSystem`Atom[
         TypeSystem`Enumeration["CHV", "CLB", "PHI", "POR", "TFC"]], 
        TypeSystem`Atom[String], 
        TypeSystem`Atom[String], 
        TypeSystem`Atom[
         TypeSystem`Enumeration["D", "D-M", "F", "M", "M/F"]], 
        TypeSystem`Atom[
         Quantity[1, "USDollars"]], 
        TypeSystem`Atom[
         Quantity[1, "USDollars"]], 
        TypeSystem`Atom[DateObject]}], 10], "Path" -> {}, "DisplayedRowCount" -> 
    10, "DisplayedColumnCount" -> 7, "DataRowCount" -> 10, "DataColumnCount" -> 
    7, "SortPaths" -> {}, "SortDirections" -> {}, "HiddenItemsMap" -> Null, 
    "UpdateType" -> 1|>, TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
   TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
   TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
   TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
   TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
   DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
       Style[
        Grid[{{
           Item[
            Pane[
             Annotation[
              EventHandler[
               MouseAppearance[
                Mouseover["Club", 
                 Style[
                 "Club", FontColor -> 
                  RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
               If[
                 TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                 TypeSystem`NestedGrid`PackagePrivate`updateState[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                  All, "Club"}, 1]]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
               All, "Club"}, "ColumnHeader", True], "Mouse"], 
             ImageSize -> {{1, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.95],
             Alignment -> {Left, Baseline}], 
           Item[
            Pane[
             Annotation[
              EventHandler[
               MouseAppearance[
                Mouseover["LastName", 
                 Style[
                 "LastName", FontColor -> 
                  RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
               If[
                 TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                 TypeSystem`NestedGrid`PackagePrivate`updateState[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                  All, "LastName"}, 1]]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
               All, "LastName"}, "ColumnHeader", True], "Mouse"], 
             ImageSize -> {{1, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.95],
             Alignment -> {Left, Baseline}], 
           Item[
            Pane[
             Annotation[
              EventHandler[
               MouseAppearance[
                Mouseover["FirstName", 
                 Style[
                 "FirstName", FontColor -> 
                  RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
               If[
                 TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                 TypeSystem`NestedGrid`PackagePrivate`updateState[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                  All, "FirstName"}, 1]]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
               All, "FirstName"}, "ColumnHeader", True], "Mouse"], 
             ImageSize -> {{1, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.95],
             Alignment -> {Left, Baseline}], 
           Item[
            Pane[
             Annotation[
              EventHandler[
               MouseAppearance[
                Mouseover["Position", 
                 Style[
                 "Position", FontColor -> 
                  RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
               If[
                 TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                 TypeSystem`NestedGrid`PackagePrivate`updateState[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                  All, "Position"}, 1]]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
               All, "Position"}, "ColumnHeader", True], "Mouse"], 
             ImageSize -> {{1, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.95],
             Alignment -> {Left, Baseline}], 
           Item[
            Pane[
             Annotation[
              EventHandler[
               MouseAppearance[
                Mouseover["BaseSalary", 
                 Style[
                 "BaseSalary", FontColor -> 
                  RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
               If[
                 TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                 TypeSystem`NestedGrid`PackagePrivate`updateState[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                  All, "BaseSalary"}, 1]]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
               All, "BaseSalary"}, "ColumnHeader", True], "Mouse"], 
             ImageSize -> {{1, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.95],
             Alignment -> {Left, Baseline}], 
           Item[
            Pane[
             Annotation[
              EventHandler[
               MouseAppearance[
                Mouseover["GuaranteedCompensation", 
                 Style[
                 "GuaranteedCompensation", FontColor -> 
                  RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
               If[
                 TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                 TypeSystem`NestedGrid`PackagePrivate`updateState[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                  All, "GuaranteedCompensation"}, 1]]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
               All, "GuaranteedCompensation"}, "ColumnHeader", True], 
              "Mouse"], ImageSize -> {{1, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.95],
             Alignment -> {Left, Baseline}], 
           Item[
            Pane[
             Annotation[
              EventHandler[
               MouseAppearance[
                Mouseover["Year", 
                 Style[
                 "Year", FontColor -> 
                  RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
               If[
                 TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                 TypeSystem`NestedGrid`PackagePrivate`updateState[
                 TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                  TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                  All, "Year"}, 1]]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{
               All, "Year"}, "ColumnHeader", True], "Mouse"], 
             ImageSize -> {{1, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.95],
             Alignment -> {Left, Baseline}]}, {
           Item[
            Pane[
             Annotation["CHV", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{1, 
                Key["Club"]}, "Item", False], "Mouse"], 
             ImageSize -> {{31.5, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation["Courtois", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{1, 
                Key["LastName"]}, "Item", False], "Mouse"], 
             ImageSize -> {{89.60000000000001, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation["Laurent", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{1, 
                Key["FirstName"]}, "Item", False], "Mouse"], 
             ImageSize -> {{112.00000000000001`, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation["M", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{1, 
                Key["Position"]}, "Item", False], "Mouse"], 
             ImageSize -> {{31.5, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes[
               RowBox[{
                 RowBox[{
                   FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                 InterpretationBox[
                  TagBox[
                   InterpretationBox[
                    StyleBox[
                    "\"60\[ThinSpace]000.00\"", ShowStringCharacters -> 
                    False], 60000., AutoDelete -> True], 
                   NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 60000., Selectable -> 
                  False]}]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{1, 
                Key["BaseSalary"]}, "Item", False], "Mouse"], 
             ImageSize -> {{75, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes[
               RowBox[{
                 RowBox[{
                   FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                 InterpretationBox[
                  TagBox[
                   InterpretationBox[
                    StyleBox[
                    "\"206\[ThinSpace]000.00\"", ShowStringCharacters -> 
                    False], 206000., AutoDelete -> True], 
                   NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 206000., 
                  Selectable -> False]}]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{1, 
                Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
             ImageSize -> {{75, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["\"2011\""], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{1, 
                Key["Year"]}, "Item", False], "Mouse"], 
             ImageSize -> {{75, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}]}, {
           Item[
            Pane[
             Annotation["TFC", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{2, 
                Key["Club"]}, "Item", False], "Mouse"], 
             ImageSize -> {{31.5, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation["Wynne", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{2, 
                Key["LastName"]}, "Item", False], "Mouse"], 
             ImageSize -> {{89.60000000000001, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation["Marvell", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{2, 
                Key["FirstName"]}, "Item", False], "Mouse"], 
             ImageSize -> {{112.00000000000001`, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation["D", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{2, 
                Key["Position"]}, "Item", False], "Mouse"], 
             ImageSize -> {{31.5, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes[
               RowBox[{
                 RowBox[{
                   FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                 InterpretationBox[
                  TagBox[
                   InterpretationBox[
                    StyleBox[
                    "\"47\[ThinSpace]500.00\"", ShowStringCharacters -> 
                    False], 47500., AutoDelete -> True], 
                   NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 47500., Selectable -> 
                  False]}]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{2, 
                Key["BaseSalary"]}, "Item", False], "Mouse"], 
             ImageSize -> {{75, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes[
               RowBox[{
                 RowBox[{
                   FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                 InterpretationBox[
                  TagBox[
                   InterpretationBox[
                    StyleBox[
                    "\"150\[ThinSpace]000.00\"", ShowStringCharacters -> 
                    False], 150000., AutoDelete -> True], 
                   NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 150000., 
                  Selectable -> False]}]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{2, 
                Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
             ImageSize -> {{75, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["\"2008\""], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{2, 
                Key["Year"]}, "Item", False], "Mouse"], 
             ImageSize -> {{75, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}]}, {
           Item[
            Pane[
             Annotation["TFC", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{3, 
                Key["Club"]}, "Item", False], "Mouse"], 
             ImageSize -> {{31.5, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation["Wynne", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{3, 
                Key["LastName"]}, "Item", False], "Mouse"], 
             ImageSize -> {{89.60000000000001, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation["Marvell", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{3, 
                Key["FirstName"]}, "Item", False], "Mouse"], 
             ImageSize -> {{112.00000000000001`, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation["D", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{3, 
                Key["Position"]}, "Item", False], "Mouse"], 
             ImageSize -> {{31.5, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes[
               RowBox[{
                 RowBox[{
                   FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                 InterpretationBox[
                  TagBox[
                   InterpretationBox[
                    StyleBox[
                    "\"47\[ThinSpace]500.00\"", ShowStringCharacters -> 
                    False], 47500., AutoDelete -> True], 
                   NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 47500., Selectable -> 
                  False]}]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{3, 
                Key["BaseSalary"]}, "Item", False], "Mouse"], 
             ImageSize -> {{75, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes[
               RowBox[{
                 RowBox[{
                   FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                 InterpretationBox[
                  TagBox[
                   InterpretationBox[
                    StyleBox[
                    "\"150\[ThinSpace]000.00\"", ShowStringCharacters -> 
                    False], 150000., AutoDelete -> True], 
                   NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 150000., 
                  Selectable -> False]}]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{3, 
                Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
             ImageSize -> {{75, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["\"2007\""], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{3, 
                Key["Year"]}, "Item", False], "Mouse"], 
             ImageSize -> {{75, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}]}, {
           Item[
            Pane[
             Annotation["TFC", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{4, 
                Key["Club"]}, "Item", False], "Mouse"], 
             ImageSize -> {{31.5, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation["White", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{4, 
                Key["LastName"]}, "Item", False], "Mouse"], 
             ImageSize -> {{89.60000000000001, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation["O'Brian", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{4, 
                Key["FirstName"]}, "Item", False], "Mouse"], 
             ImageSize -> {{112.00000000000001`, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation["F", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{4, 
                Key["Position"]}, "Item", False], "Mouse"], 
             ImageSize -> {{31.5, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes[
               RowBox[{
                 RowBox[{
                   FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                 InterpretationBox[
                  TagBox[
                   InterpretationBox[
                    StyleBox[
                    "\"36\[ThinSpace]000.00\"", ShowStringCharacters -> 
                    False], 36000., AutoDelete -> True], 
                   NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 36000., Selectable -> 
                  False]}]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{4, 
                Key["BaseSalary"]}, "Item", False], "Mouse"], 
             ImageSize -> {{75, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes[
               RowBox[{
                 RowBox[{
                   FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                 InterpretationBox[
                  TagBox[
                   InterpretationBox[
                    StyleBox[
                    "\"113\[ThinSpace]000.00\"", ShowStringCharacters -> 
                    False], 113000., AutoDelete -> True], 
                   NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 113000., 
                  Selectable -> False]}]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{4, 
                Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
             ImageSize -> {{75, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["\"2009\""], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{4, 
                Key["Year"]}, "Item", False], "Mouse"], 
             ImageSize -> {{75, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}]}, {
           Item[
            Pane[
             Annotation["POR", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{5, 
                Key["Club"]}, "Item", False], "Mouse"], 
             ImageSize -> {{31.5, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation["Nagbe", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{5, 
                Key["LastName"]}, "Item", False], "Mouse"], 
             ImageSize -> {{89.60000000000001, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation["Darlington", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{5, 
                Key["FirstName"]}, "Item", False], "Mouse"], 
             ImageSize -> {{112.00000000000001`, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation["M/F", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{5, 
                Key["Position"]}, "Item", False], "Mouse"], 
             ImageSize -> {{31.5, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes[
               RowBox[{
                 RowBox[{
                   FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                 InterpretationBox[
                  TagBox[
                   InterpretationBox[
                    StyleBox[
                    "\"65\[ThinSpace]000.00\"", ShowStringCharacters -> 
                    False], 65000., AutoDelete -> True], 
                   NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 65000., Selectable -> 
                  False]}]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{5, 
                Key["BaseSalary"]}, "Item", False], "Mouse"], 
             ImageSize -> {{75, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes[
               RowBox[{
                 RowBox[{
                   FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                 InterpretationBox[
                  TagBox[
                   InterpretationBox[
                    StyleBox[
                    "\"201\[ThinSpace]000.00\"", ShowStringCharacters -> 
                    False], 201000., AutoDelete -> True], 
                   NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 201000., 
                  Selectable -> False]}]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{5, 
                Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
             ImageSize -> {{75, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["\"2011\""], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{5, 
                Key["Year"]}, "Item", False], "Mouse"], 
             ImageSize -> {{75, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}]}, {
           Item[
            Pane[
             Annotation["POR", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{6, 
                Key["Club"]}, "Item", False], "Mouse"], 
             ImageSize -> {{31.5, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation["Okugo", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{6, 
                Key["LastName"]}, "Item", False], "Mouse"], 
             ImageSize -> {{89.60000000000001, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation["Amobi", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{6, 
                Key["FirstName"]}, "Item", False], "Mouse"], 
             ImageSize -> {{112.00000000000001`, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation["D-M", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{6, 
                Key["Position"]}, "Item", False], "Mouse"], 
             ImageSize -> {{31.5, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes[
               RowBox[{
                 RowBox[{
                   FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                 InterpretationBox[
                  TagBox[
                   InterpretationBox[
                    StyleBox[
                    "\"65\[ThinSpace]004.00\"", ShowStringCharacters -> 
                    False], 65004., AutoDelete -> True], 
                   NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 65004., Selectable -> 
                  False]}]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{6, 
                Key["BaseSalary"]}, "Item", False], "Mouse"], 
             ImageSize -> {{75, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes[
               RowBox[{
                 RowBox[{
                   FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                 InterpretationBox[
                  TagBox[
                   InterpretationBox[
                    StyleBox[
                    "\"187\[ThinSpace]941.50\"", ShowStringCharacters -> 
                    False], 187941.5, AutoDelete -> True], 
                   NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 187941.5, 
                  Selectable -> False]}]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{6, 
                Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
             ImageSize -> {{75, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["\"2017\""], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{6, 
                Key["Year"]}, "Item", False], "Mouse"], 
             ImageSize -> {{75, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}]}, {
           Item[
            Pane[
             Annotation["TFC", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{7, 
                Key["Club"]}, "Item", False], "Mouse"], 
             ImageSize -> {{31.5, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation["Wynne", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{7, 
                Key["LastName"]}, "Item", False], "Mouse"], 
             ImageSize -> {{89.60000000000001, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation["Marvell", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{7, 
                Key["FirstName"]}, "Item", False], "Mouse"], 
             ImageSize -> {{112.00000000000001`, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation["D", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{7, 
                Key["Position"]}, "Item", False], "Mouse"], 
             ImageSize -> {{31.5, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes[
               RowBox[{
                 RowBox[{
                   FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                 InterpretationBox[
                  TagBox[
                   InterpretationBox[
                    StyleBox[
                    "\"57\[ThinSpace]000.00\"", ShowStringCharacters -> 
                    False], 57000., AutoDelete -> True], 
                   NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 57000., Selectable -> 
                  False]}]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{7, 
                Key["BaseSalary"]}, "Item", False], "Mouse"], 
             ImageSize -> {{75, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes[
               RowBox[{
                 RowBox[{
                   FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                 InterpretationBox[
                  TagBox[
                   InterpretationBox[
                    StyleBox[
                    "\"159\[ThinSpace]500.00\"", ShowStringCharacters -> 
                    False], 159500., AutoDelete -> True], 
                   NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 159500., 
                  Selectable -> False]}]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{7, 
                Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
             ImageSize -> {{75, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["\"2009\""], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{7, 
                Key["Year"]}, "Item", False], "Mouse"], 
             ImageSize -> {{75, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}]}, {
           Item[
            Pane[
             Annotation["PHI", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{8, 
                Key["Club"]}, "Item", False], "Mouse"], 
             ImageSize -> {{31.5, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation["Stahl", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{8, 
                Key["LastName"]}, "Item", False], "Mouse"], 
             ImageSize -> {{89.60000000000001, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation["Toni", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{8, 
                Key["FirstName"]}, "Item", False], "Mouse"], 
             ImageSize -> {{112.00000000000001`, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation["M", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{8, 
                Key["Position"]}, "Item", False], "Mouse"], 
             ImageSize -> {{31.5, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes[
               RowBox[{
                 RowBox[{
                   FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                 InterpretationBox[
                  TagBox[
                   InterpretationBox[
                    StyleBox[
                    "\"40\[ThinSpace]000.00\"", ShowStringCharacters -> 
                    False], 40000., AutoDelete -> True], 
                   NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 40000., Selectable -> 
                  False]}]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{8, 
                Key["BaseSalary"]}, "Item", False], "Mouse"], 
             ImageSize -> {{75, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes[
               RowBox[{
                 RowBox[{
                   FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                 InterpretationBox[
                  TagBox[
                   InterpretationBox[
                    StyleBox[
                    "\"110\[ThinSpace]300.00\"", ShowStringCharacters -> 
                    False], 110300., AutoDelete -> True], 
                   NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 110300., 
                  Selectable -> False]}]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{8, 
                Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
             ImageSize -> {{75, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["\"2010\""], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{8, 
                Key["Year"]}, "Item", False], "Mouse"], 
             ImageSize -> {{75, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}]}, {
           Item[
            Pane[
             Annotation["CLB", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{9, 
                Key["Club"]}, "Item", False], "Mouse"], 
             ImageSize -> {{31.5, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation["Duka", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{9, 
                Key["LastName"]}, "Item", False], "Mouse"], 
             ImageSize -> {{89.60000000000001, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation["Dilaver", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{9, 
                Key["FirstName"]}, "Item", False], "Mouse"], 
             ImageSize -> {{112.00000000000001`, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation["M", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{9, 
                Key["Position"]}, "Item", False], "Mouse"], 
             ImageSize -> {{31.5, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes[
               RowBox[{
                 RowBox[{
                   FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                 InterpretationBox[
                  TagBox[
                   InterpretationBox[
                    StyleBox[
                    "\"80\[ThinSpace]000.00\"", ShowStringCharacters -> 
                    False], 80000., AutoDelete -> True], 
                   NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 80000., Selectable -> 
                  False]}]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{9, 
                Key["BaseSalary"]}, "Item", False], "Mouse"], 
             ImageSize -> {{75, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes[
               RowBox[{
                 RowBox[{
                   FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                 InterpretationBox[
                  TagBox[
                   InterpretationBox[
                    StyleBox[
                    "\"213\[ThinSpace]000.00\"", ShowStringCharacters -> 
                    False], 213000., AutoDelete -> True], 
                   NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 213000., 
                  Selectable -> False]}]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{9, 
                Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
             ImageSize -> {{75, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["\"2010\""], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{9, 
                Key["Year"]}, "Item", False], "Mouse"], 
             ImageSize -> {{75, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}]}, {
           Item[
            Pane[
             Annotation["TFC", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{10, 
                Key["Club"]}, "Item", False], "Mouse"], 
             ImageSize -> {{31.5, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation["Edu", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{10, 
                Key["LastName"]}, "Item", False], "Mouse"], 
             ImageSize -> {{89.60000000000001, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation["Maurice", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{10, 
                Key["FirstName"]}, "Item", False], "Mouse"], 
             ImageSize -> {{112.00000000000001`, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation["M", 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{10, 
                Key["Position"]}, "Item", False], "Mouse"], 
             ImageSize -> {{31.5, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes[
               RowBox[{
                 RowBox[{
                   FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                 InterpretationBox[
                  TagBox[
                   InterpretationBox[
                    StyleBox[
                    "\"50\[ThinSpace]000.00\"", ShowStringCharacters -> 
                    False], 50000., AutoDelete -> True], 
                   NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 50000., Selectable -> 
                  False]}]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{10, 
                Key["BaseSalary"]}, "Item", False], "Mouse"], 
             ImageSize -> {{75, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes[
               RowBox[{
                 RowBox[{
                   FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                 InterpretationBox[
                  TagBox[
                   InterpretationBox[
                    StyleBox[
                    "\"132\[ThinSpace]500.00\"", ShowStringCharacters -> 
                    False], 132500., AutoDelete -> True], 
                   NumberForm[#, {Infinity, 2}, DigitBlock -> 3, 
                    NumberSeparator -> "\[ThinSpace]"]& ], 132500., 
                  Selectable -> False]}]], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{10, 
                Key["GuaranteedCompensation"]}, "Item", False], "Mouse"], 
             ImageSize -> {{75, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}], 
           Item[
            Pane[
             Annotation[
              RawBoxes["\"2007\""], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][{10, 
                Key["Year"]}, "Item", False], "Mouse"], 
             ImageSize -> {{75, Full}, Automatic}, 
             ImageMargins -> {{5, 3}, {4, 5}}], 
            ItemSize -> {Full, Automatic}]}}, 
         BaseStyle -> {
          ContextMenu -> 
           Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
             Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
               TypeSystem`NestedGrid`PackagePrivate`localHold[
                TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
               TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
               TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
               TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
               TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
               TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                  
                  With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                   Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
           "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
         All, FrameStyle -> GrayLevel[0.7490196078431373], Spacings -> {0, 0},
          Alignment -> Left, 
         BaseStyle -> {
          FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
           Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
        False, ShowAutoStyles -> False]], 
     TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
    Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
     TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
        Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
        Module[{
         TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
          TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
          TypeSystem`NestedGrid`PackagePrivate`datasetData[
           TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
         TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
            FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
            TypeSystem`NestedGrid`PackagePrivate`renderGrid[
            TypeSystem`NestedGrid`PackagePrivate`$state$$, 
             TypeSystem`NestedGrid`PackagePrivate`$path$$, 
             TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
             TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
             TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
             TypeSystem`NestedGrid`PackagePrivate`localHold[
             TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
            TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
           Not[
            FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
           TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
           TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
      TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
      TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
        FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
        TypeSystem`SparseGrid[
         TypeSystem`H["(data no longer present)"]], 
        TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
     TrackedSymbols :> {
      TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
    DynamicModuleValues :> {}], 
   TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
    TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
     TypeSystem`PackageScope`SubViewPathbar[
     TypeSystem`NestedGrid`PackagePrivate`$path$$, 
      TypeSystem`NestedGrid`PackagePrivate`updateState[
      TypeSystem`NestedGrid`PackagePrivate`$state$$, 
       TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
       TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
       TypeSystem`NestedGrid`PackagePrivate`localHold[
       TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
    TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
   TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
    Framed[
     Dynamic[
      Replace[
      TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
       TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
          Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
          Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
           Blank[]], 
          Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
           Blank[]], 
          Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
           Blank[]]] :> (
         Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
         TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
          TypeSystem`NestedGrid`PackagePrivate`path$; 
         TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
          TypeSystem`NestedGrid`PackagePrivate`pathType$; 
         TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
          TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
         TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
          TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
         TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
          TypeSystem`NestedGrid`PackagePrivate`path$, 
           TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
        Spacer[10], Blank[] :> Spacer[10]}], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
     None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
     ImageSize -> {Automatic, 15}], FontSize -> 1], 
   TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
   DynamicWrapperBox[
    DynamicBox[ToBoxes[
      Dataset`DatasetContent[
      2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], "Grid" -> 
       Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
       Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
       Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
       Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
       Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
       Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
       Hold[
         TypeSystem`NestedGrid`PackagePrivate`localHold[
         TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
     ImageSizeCache->{646., {154.3837890625, 161.6162109375}},
     TrackedSymbols:>{
      TypeSystem`NestedGrid`PackagePrivate`$state$$, 
       TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = MouseAnnotation[],
    ImageSizeCache->{646., {154.3837890625, 161.6162109375}}],
   BaseStyle->{LineBreakWithin -> False},
   DynamicModuleValues:>{},
   Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
    CreateUUID[]),
   UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
  {<|"Club" -> "CHV", "LastName" -> "Courtois", "FirstName" -> "Laurent", 
    "Position" -> "M", "BaseSalary" -> Quantity[60000., "USDollars"], 
    "GuaranteedCompensation" -> Quantity[206000., "USDollars"], "Year" -> 
    DateObject[{2011}, "Year"]|>, <|
   "Club" -> "TFC", "LastName" -> "Wynne", "FirstName" -> "Marvell", 
    "Position" -> "D", "BaseSalary" -> Quantity[47500., "USDollars"], 
    "GuaranteedCompensation" -> Quantity[150000., "USDollars"], "Year" -> 
    DateObject[{2008}, "Year"]|>, <|
   "Club" -> "TFC", "LastName" -> "Wynne", "FirstName" -> "Marvell", 
    "Position" -> "D", "BaseSalary" -> Quantity[47500., "USDollars"], 
    "GuaranteedCompensation" -> Quantity[150000., "USDollars"], "Year" -> 
    DateObject[{2007}, "Year"]|>, <|
   "Club" -> "TFC", "LastName" -> "White", "FirstName" -> "O'Brian", 
    "Position" -> "F", "BaseSalary" -> Quantity[36000., "USDollars"], 
    "GuaranteedCompensation" -> Quantity[113000., "USDollars"], "Year" -> 
    DateObject[{2009}, "Year"]|>, <|
   "Club" -> "POR", "LastName" -> "Nagbe", "FirstName" -> "Darlington", 
    "Position" -> "M/F", "BaseSalary" -> Quantity[65000., "USDollars"], 
    "GuaranteedCompensation" -> Quantity[201000., "USDollars"], "Year" -> 
    DateObject[{2011}, "Year"]|>, <|
   "Club" -> "POR", "LastName" -> "Okugo", "FirstName" -> "Amobi", "Position" -> 
    "D-M", "BaseSalary" -> Quantity[65004., "USDollars"], 
    "GuaranteedCompensation" -> Quantity[187941.5, "USDollars"], "Year" -> 
    DateObject[{2017}, "Year"]|>, <|
   "Club" -> "TFC", "LastName" -> "Wynne", "FirstName" -> "Marvell", 
    "Position" -> "D", "BaseSalary" -> Quantity[57000., "USDollars"], 
    "GuaranteedCompensation" -> Quantity[159500., "USDollars"], "Year" -> 
    DateObject[{2009}, "Year"]|>, <|
   "Club" -> "PHI", "LastName" -> "Stahl", "FirstName" -> "Toni", "Position" -> 
    "M", "BaseSalary" -> Quantity[40000., "USDollars"], 
    "GuaranteedCompensation" -> Quantity[110300., "USDollars"], "Year" -> 
    DateObject[{2010}, "Year"]|>, <|
   "Club" -> "CLB", "LastName" -> "Duka", "FirstName" -> "Dilaver", 
    "Position" -> "M", "BaseSalary" -> Quantity[80000., "USDollars"], 
    "GuaranteedCompensation" -> Quantity[213000., "USDollars"], "Year" -> 
    DateObject[{2010}, "Year"]|>, <|
   "Club" -> "TFC", "LastName" -> "Edu", "FirstName" -> "Maurice", "Position" -> 
    "M", "BaseSalary" -> Quantity[50000., "USDollars"], 
    "GuaranteedCompensation" -> Quantity[132500., "USDollars"], "Year" -> 
    DateObject[{2007}, "Year"]|>}]], "Output",
 CellChangeTimes->{{3.769334812767208*^9, 3.7693348191086397`*^9}, 
   3.769378209387599*^9, 3.769378250767186*^9, 3.769955279328932*^9, 
   3.771929813901144*^9, 3.8806355436122217`*^9, 3.881420363399963*^9},
 CellLabel->"Out[349]=",
 CellID->836293178,ExpressionUUID->"58e11fee-4b29-4ed6-bf92-c6172268f5c7"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Payroll over Time", "Subsubsection",
 CellChangeTimes->{{3.769097249358554*^9, 3.769097258276696*^9}, 
   3.895816340136455*^9},
 CellTags->"p: 104",
 CellID->205602557,ExpressionUUID->"a5fe60c1-4f6c-42e6-ba7a-60fc412fb29c"],

Cell[TextData[{
 "Let\[CloseCurlyQuote]s again see how the total league salary has varied \
over time. You may recall that in the previous chapter, it took an elaborate \
set of computations. With Associations and ",
 ButtonBox["GroupBy",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/GroupBy.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/GroupBy.html"],
 ", it\[CloseCurlyQuote]s now one line of code. I group the data according to \
the ",
 Cell[BoxData[
 "Year"], "InlineCodeText",ExpressionUUID->
  "c702d2de-2ffc-4be4-97a8-387c7eee3210"],
 " using a simple ",
 ButtonBox["Slot",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Slot.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Slot.html"],
 " function. I then take each row grouped thereby and use a ",
 ButtonBox["Slot",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Slot.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Slot.html"],
 " function to extract the ",
 Cell[BoxData[
 "GuaranteedCompensation"], "InlineCodeText",ExpressionUUID->
  "f34fed00-7b6c-48fb-b827-46b163969c10"],
 ". Then with the third argument, I reduce the list of results by applying \
the ",
 ButtonBox["Total",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Total.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Total.html"],
 " function to it."
}], "Text",
 CellChangeTimes->{{3.7690959414445477`*^9, 3.7690959567658243`*^9}, {
   3.7690989598359823`*^9, 3.769099036278433*^9}, {3.7690995711662188`*^9, 
   3.769099579150588*^9}, {3.7693348778858757`*^9, 3.769334932661744*^9}, {
   3.769335001727214*^9, 3.769335080904571*^9}, {3.7693351507012043`*^9, 
   3.769335153479356*^9}, {3.769335637077609*^9, 3.769335650872512*^9}, {
   3.769335718764277*^9, 3.7693357981781693`*^9}, {3.769378261768386*^9, 
   3.7693782820226192`*^9}, {3.7758166082826195`*^9, 3.775816608667658*^9}, {
   3.7760154295152216`*^9, 3.776015461559416*^9}, {3.7760166383911777`*^9, 
   3.776016648780711*^9}, {3.7760175620243387`*^9, 3.7760175673594704`*^9}, 
   3.7760176082353487`*^9, {3.7803173955202713`*^9, 3.780317431393573*^9}, {
   3.8662954151634455`*^9, 3.866295415364501*^9}},
 CellID->155103359,ExpressionUUID->"113a85af-94b8-4dfa-9284-7f1f08470f82"],

Cell[TextData[{
 "Use ",
 ButtonBox["GroupBy",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/GroupBy.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/GroupBy.html"],
 " to find the total ",
 Cell[BoxData[
 "GuaranteedCompensation"], "InlineCode",ExpressionUUID->
  "812f7219-12d3-4374-8b46-9c7515d58435"],
 " paid by year in MLS:"
}], "CodeText",
 CellChangeTimes->{{3.769181630833817*^9, 3.769181652591023*^9}, {
   3.769335850063356*^9, 3.769335870088428*^9}, 3.77601761282169*^9, 
   3.776017685295763*^9, {3.7803174496497498`*^9, 3.780317485709991*^9}, {
   3.780317533304508*^9, 3.780317536576194*^9}, {3.7803176401361217`*^9, 
   3.780317644202096*^9}, {3.780317717751451*^9, 3.7803177191034193`*^9}, {
   3.866295518167071*^9, 3.8662955184136453`*^9}},
 CellID->152651986,ExpressionUUID->"6cb410a0-7bd1-4f72-b4b4-0ed9fbf2461b"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"GroupBy", "[", 
  RowBox[{"mlsA2", ",", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"#Year", "&"}], ")"}], "\[Rule]", 
    RowBox[{"(", 
     RowBox[{"#GuaranteedCompensation", "&"}], ")"}]}], ",", "Total"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.76933565297961*^9, 3.7693357092909613`*^9}, {
  3.769335821535307*^9, 3.7693358398265257`*^9}},
 CellLabel->"In[350]:=",
 CellID->910857960,ExpressionUUID->"5bda3a8c-56f4-4854-83a0-a104346fdc43"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{
    TemplateBox[{
      RowBox[{
        StyleBox["\"Year: \"", "DateObjectLabel"], "\"2007\""}], 
      RowBox[{"DateObject", "[", 
        RowBox[{
          RowBox[{"{", "2007", "}"}], ",", "\"Year\""}], "]"}]},
     "DateObject",
     Editable->False], "\[Rule]", 
    TemplateBox[{
      InterpretationBox[
      "4.222366007`*^7", 4.222366007*^7, Selectable -> False], 
      RowBox[{
        FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars",
       "\"USDollars\""},
     "QuantityPrefix"]}], ",", 
   RowBox[{
    TemplateBox[{
      RowBox[{
        StyleBox["\"Year: \"", "DateObjectLabel"], "\"2008\""}], 
      RowBox[{"DateObject", "[", 
        RowBox[{
          RowBox[{"{", "2008", "}"}], ",", "\"Year\""}], "]"}]},
     "DateObject",
     Editable->False], "\[Rule]", 
    TemplateBox[{
      InterpretationBox[
      "4.729250920999999`*^7", 4.729250920999999*^7, Selectable -> False], 
      RowBox[{
        FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars",
       "\"USDollars\""},
     "QuantityPrefix"]}], ",", 
   RowBox[{
    TemplateBox[{
      RowBox[{
        StyleBox["\"Year: \"", "DateObjectLabel"], "\"2009\""}], 
      RowBox[{"DateObject", "[", 
        RowBox[{
          RowBox[{"{", "2009", "}"}], ",", "\"Year\""}], "]"}]},
     "DateObject",
     Editable->False], "\[Rule]", 
    TemplateBox[{
      InterpretationBox[
      "5.187805049`*^7", 5.187805049*^7, Selectable -> False], 
      RowBox[{
        FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars",
       "\"USDollars\""},
     "QuantityPrefix"]}], ",", 
   RowBox[{
    TemplateBox[{
      RowBox[{
        StyleBox["\"Year: \"", "DateObjectLabel"], "\"2010\""}], 
      RowBox[{"DateObject", "[", 
        RowBox[{
          RowBox[{"{", "2010", "}"}], ",", "\"Year\""}], "]"}]},
     "DateObject",
     Editable->False], "\[Rule]", 
    TemplateBox[{
      InterpretationBox[
      "7.130497269999999`*^7", 7.130497269999999*^7, Selectable -> False], 
      RowBox[{
        FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars",
       "\"USDollars\""},
     "QuantityPrefix"]}], ",", 
   RowBox[{
    TemplateBox[{
      RowBox[{
        StyleBox["\"Year: \"", "DateObjectLabel"], "\"2011\""}], 
      RowBox[{"DateObject", "[", 
        RowBox[{
          RowBox[{"{", "2011", "}"}], ",", "\"Year\""}], "]"}]},
     "DateObject",
     Editable->False], "\[Rule]", 
    TemplateBox[{
      InterpretationBox[
      "8.507947580999999`*^7", 8.507947580999999*^7, Selectable -> False], 
      RowBox[{
        FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars",
       "\"USDollars\""},
     "QuantityPrefix"]}], ",", 
   RowBox[{
    TemplateBox[{
      RowBox[{
        StyleBox["\"Year: \"", "DateObjectLabel"], "\"2012\""}], 
      RowBox[{"DateObject", "[", 
        RowBox[{
          RowBox[{"{", "2012", "}"}], ",", "\"Year\""}], "]"}]},
     "DateObject",
     Editable->False], "\[Rule]", 
    TemplateBox[{
      InterpretationBox[
      "9.913085228`*^7", 9.913085228*^7, Selectable -> False], 
      RowBox[{
        FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars",
       "\"USDollars\""},
     "QuantityPrefix"]}], ",", 
   RowBox[{
    TemplateBox[{
      RowBox[{
        StyleBox["\"Year: \"", "DateObjectLabel"], "\"2013\""}], 
      RowBox[{"DateObject", "[", 
        RowBox[{
          RowBox[{"{", "2013", "}"}], ",", "\"Year\""}], "]"}]},
     "DateObject",
     Editable->False], "\[Rule]", 
    TemplateBox[{
      InterpretationBox["9.48496423`*^7", 9.48496423*^7, Selectable -> False], 
      RowBox[{
        FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars",
       "\"USDollars\""},
     "QuantityPrefix"]}], ",", 
   RowBox[{
    TemplateBox[{
      RowBox[{
        StyleBox["\"Year: \"", "DateObjectLabel"], "\"2014\""}], 
      RowBox[{"DateObject", "[", 
        RowBox[{
          RowBox[{"{", "2014", "}"}], ",", "\"Year\""}], "]"}]},
     "DateObject",
     Editable->False], "\[Rule]", 
    TemplateBox[{
      InterpretationBox[
      "1.2933452645`*^8", 1.2933452645*^8, Selectable -> False], 
      RowBox[{
        FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars",
       "\"USDollars\""},
     "QuantityPrefix"]}], ",", 
   RowBox[{
    TemplateBox[{
      RowBox[{
        StyleBox["\"Year: \"", "DateObjectLabel"], "\"2015\""}], 
      RowBox[{"DateObject", "[", 
        RowBox[{
          RowBox[{"{", "2015", "}"}], ",", "\"Year\""}], "]"}]},
     "DateObject",
     Editable->False], "\[Rule]", 
    TemplateBox[{
      InterpretationBox[
      "1.6701798003`*^8", 1.6701798003*^8, Selectable -> False], 
      RowBox[{
        FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars",
       "\"USDollars\""},
     "QuantityPrefix"]}], ",", 
   RowBox[{
    TemplateBox[{
      RowBox[{
        StyleBox["\"Year: \"", "DateObjectLabel"], "\"2016\""}], 
      RowBox[{"DateObject", "[", 
        RowBox[{
          RowBox[{"{", "2016", "}"}], ",", "\"Year\""}], "]"}]},
     "DateObject",
     Editable->False], "\[Rule]", 
    TemplateBox[{
      InterpretationBox[
      "1.7512715915`*^8", 1.7512715915*^8, Selectable -> False], 
      RowBox[{
        FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars",
       "\"USDollars\""},
     "QuantityPrefix"]}], ",", 
   RowBox[{
    TemplateBox[{
      RowBox[{
        StyleBox["\"Year: \"", "DateObjectLabel"], "\"2017\""}], 
      RowBox[{"DateObject", "[", 
        RowBox[{
          RowBox[{"{", "2017", "}"}], ",", "\"Year\""}], "]"}]},
     "DateObject",
     Editable->False], "\[Rule]", 
    TemplateBox[{
      InterpretationBox[
      "2.0039435593`*^8", 2.0039435593*^8, Selectable -> False], 
      RowBox[{
        FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars",
       "\"USDollars\""},
     "QuantityPrefix"]}]}], "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{{3.7693356913064423`*^9, 3.769335709797934*^9}, {
   3.7693358256567163`*^9, 3.769335840435856*^9}, 3.769378289696039*^9, 
   3.769955279606189*^9, 3.771929814228581*^9, 3.880635548268182*^9, 
   3.8814203726321707`*^9},
 CellLabel->"Out[350]=",
 CellID->455692322,ExpressionUUID->"7122be8e-d129-4f9f-a133-1430ed7c41f9"]
}, Open  ]],

Cell[TextData[{
 "Although it\[CloseCurlyQuote]s a little forced, I can do this with operator \
forms and produce a graphic. I first construct a function that takes a list \
of Associations and performs the ",
 ButtonBox["GroupBy",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/GroupBy.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/GroupBy.html"],
 " operation described previously. I then pipeline in a ",
 ButtonBox["DateListPlot",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/DateListPlot.html"], None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/DateListPlot.html"],
 " operator that has the options iconized away. Notice that I use the ",
 ButtonBox["//",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Postfix.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Postfix.html"],
 " postfix notation here to apply the functions to MLS. Some programmers like \
this form, and I will confess it has some growing appeal."
}], "Text",
 CellChangeTimes->{{3.7693358909934607`*^9, 3.769335909542404*^9}, {
   3.769335980115391*^9, 3.769336031235299*^9}, {3.7693782982049026`*^9, 
   3.769378329148087*^9}, {3.7758166121310043`*^9, 3.7758166132601166`*^9}, {
   3.7760177944515657`*^9, 3.776017828648327*^9}, 3.8679290002454724`*^9},
 CellID->1562432137,ExpressionUUID->"cf927d14-975c-4dce-9904-49bf8700ba36"],

Cell[TextData[{
 "The ",
 ButtonBox["Postfix",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Postfix.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Postfix.html"],
 " format is an alternative to the usual bracketed expression, often reducing \
the complexity of the stacked code:"
}], "CodeText",
 CellChangeTimes->{{3.780317564544367*^9, 3.780317565999982*^9}, 
   3.8662956349640093`*^9, {3.8665600956887903`*^9, 3.866560100469558*^9}},
 CellID->882028483,ExpressionUUID->"29303434-badd-4779-9dfb-248792fdf2e8"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"mlsA2", "//", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"associationList", "\[Function]", 
      RowBox[{"GroupBy", "[", 
       RowBox[{"associationList", ",", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"#Year", "&"}], ")"}], "\[Rule]", 
         RowBox[{"(", 
          RowBox[{"#GuaranteedCompensation", "&"}], ")"}]}], ",", "Total"}], 
       "]"}]}], ")"}], "/*", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"DateListPlot", "[", 
       RowBox[{"#", ",", 
        InterpretationBox[
         DynamicModuleBox[{Typeset`open = False}, 
          TemplateBox[{"Expression", "SequenceIcon", 
            GridBox[{{
               RowBox[{
                 TagBox["\"Head: \"", "IconizedLabel"], "\[InvisibleSpace]", 
                 TagBox["Sequence", "IconizedItem"]}]}, {
               RowBox[{
                 TagBox["\"Length: \"", "IconizedLabel"], "\[InvisibleSpace]", 
                 TagBox["5", "IconizedItem"]}]}, {
               RowBox[{
                 TagBox["\"Byte count: \"", "IconizedLabel"], 
                 "\[InvisibleSpace]", 
                 TagBox["512", "IconizedItem"]}]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}}, DefaultBaseStyle -> 
             "Column", 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
            Dynamic[Typeset`open]},
           "IconizedObject"]],
         Sequence[
         ImageSize -> 500, Frame -> True, 
          FrameLabel -> {"Year", "Base MLS Compensation"}, Joined -> False, 
          Filling -> Bottom],
         SelectWithContents->True,
         Selectable->False]}], "]"}], "&"}], ")"}]}], ")"}]}]], "Input",
 CellChangeTimes->{{3.769335913853428*^9, 3.769335970012669*^9}},
 CellLabel->"In[351]:=",
 CellID->729523146,ExpressionUUID->"30a420ec-e9fb-4c9a-a7eb-bd8b6f6a0676"],

Cell[BoxData[
 GraphicsBox[{{}, GraphicsComplexBox[CompressedData["
1:eJxTTMoPSmViYGBQBGIQDQQbIjVeOmrG9Cc4KrU4AvkKDSkvHatE1r1k6m0D
8Q9cWPDSUb71tfDRPR0gvsH3Oy8dz5w5YyTDMBHEXyAr+cpxcYHt+WseU0B8
AZfQV45BO+Qmli+aDuJvmDLxlaOxsfFKzbnTwObvPvvK8eyZMz8/X50H4k94
yPkaaD//j98vFoP4DBxur4HyPu9KHiwBmx/R9Nrxm8ad5z2PlzvC3MuAAGD3
IvHB7kXig92LxAe7F4kPdi8SH+xeZPNB7kXig92LxAe7F9l8kHuRzRtK4QsA
iC6txQ==
    "], {{{}, {}, {}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], Opacity[0.3], LineBox[{12, 1}],
        LineBox[{13, 2}], LineBox[{14, 3}], LineBox[{15, 4}], 
       LineBox[{16, 5}], LineBox[{17, 6}], LineBox[{18, 7}], LineBox[{19, 8}],
        LineBox[{20, 9}], LineBox[{21, 10}], LineBox[{22, 11}]}}, 
     {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
      0.012833333333333334`], AbsoluteThickness[1.6], 
      PointBox[{23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33}]}}], {{}, {}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{False, False},
  AxesLabel->{None, None},
  AxesOrigin->{3.3765984*^9, 0},
  DisplayFunction->Identity,
  Frame->{{True, True}, {True, True}},
  FrameLabel->{{
     FormBox[
      TagBox["\"Base MLS Compensation\"", HoldForm], TraditionalForm], None}, {
     FormBox[
      TagBox["\"Year\"", HoldForm], TraditionalForm], None}},
  FrameTicks->FrontEndValueCache[{{Automatic, Automatic}, {
      Charting`DateTicksFunction[Automatic, DateTicksFormat -> {Automatic}], 
      Charting`DateTicksFunction[
      Automatic, DateTicksFormat -> {Automatic}, "TickLabels" -> None]}}, {{
     Automatic, Automatic}, {{{3.3450624*^9, 
        FormBox[
         StyleBox["\"2006\"", 
          Directive[], {}, StripOnInput -> False], TraditionalForm], {
         Rational[1, 72], 0}, 
        Directive[]}, {3.4081344*^9, 
        FormBox[
         StyleBox["\"2008\"", 
          Directive[], {}, StripOnInput -> False], TraditionalForm], {
         Rational[1, 72], 0}, 
        Directive[]}, {3.4712928*^9, 
        FormBox[
         StyleBox["\"2010\"", 
          Directive[], {}, StripOnInput -> False], TraditionalForm], {
         Rational[1, 72], 0}, 
        Directive[]}, {3.5343648*^9, 
        FormBox[
         StyleBox["\"2012\"", 
          Directive[], {}, StripOnInput -> False], TraditionalForm], {
         Rational[1, 72], 0}, 
        Directive[]}, {3.5975232*^9, 
        FormBox[
         StyleBox["\"2014\"", 
          Directive[], {}, StripOnInput -> False], TraditionalForm], {
         Rational[1, 72], 0}, 
        Directive[]}, {3.6605952*^9, 
        FormBox[
         StyleBox["\"2016\"", 
          Directive[], {}, StripOnInput -> False], TraditionalForm], {
         Rational[1, 72], 0}, 
        Directive[]}, {3.7237536*^9, 
        FormBox[
         StyleBox["\"2018\"", 
          Directive[], {}, StripOnInput -> False], TraditionalForm], {
         Rational[1, 72], 0}, 
        Directive[]}, {3.3450624*^9, 
        FormBox[
         TemplateBox[{0, 0}, "Spacer2"], TraditionalForm], {
        0.009722222222222222, 0.}, 
        Directive[]}, {3.3765984*^9, 
        FormBox[
         TemplateBox[{0, 0}, "Spacer2"], TraditionalForm], {
        0.009722222222222222, 0.}, 
        Directive[]}, {3.4081344*^9, 
        FormBox[
         TemplateBox[{0, 0}, "Spacer2"], TraditionalForm], {
        0.009722222222222222, 0.}, 
        Directive[]}, {3.4081344*^9, 
        FormBox[
         TemplateBox[{0, 0}, "Spacer2"], TraditionalForm], {
        0.009722222222222222, 0.}, 
        Directive[]}, {3.4397568*^9, 
        FormBox[
         TemplateBox[{0, 0}, "Spacer2"], TraditionalForm], {
        0.009722222222222222, 0.}, 
        Directive[]}, {3.4712928*^9, 
        FormBox[
         TemplateBox[{0, 0}, "Spacer2"], TraditionalForm], {
        0.009722222222222222, 0.}, 
        Directive[]}, {3.4712928*^9, 
        FormBox[
         TemplateBox[{0, 0}, "Spacer2"], TraditionalForm], {
        0.009722222222222222, 0.}, 
        Directive[]}, {3.5028288*^9, 
        FormBox[
         TemplateBox[{0, 0}, "Spacer2"], TraditionalForm], {
        0.009722222222222222, 0.}, 
        Directive[]}, {3.5343648*^9, 
        FormBox[
         TemplateBox[{0, 0}, "Spacer2"], TraditionalForm], {
        0.009722222222222222, 0.}, 
        Directive[]}, {3.5343648*^9, 
        FormBox[
         TemplateBox[{0, 0}, "Spacer2"], TraditionalForm], {
        0.009722222222222222, 0.}, 
        Directive[]}, {3.5659872*^9, 
        FormBox[
         TemplateBox[{0, 0}, "Spacer2"], TraditionalForm], {
        0.009722222222222222, 0.}, 
        Directive[]}, {3.5975232*^9, 
        FormBox[
         TemplateBox[{0, 0}, "Spacer2"], TraditionalForm], {
        0.009722222222222222, 0.}, 
        Directive[]}, {3.5975232*^9, 
        FormBox[
         TemplateBox[{0, 0}, "Spacer2"], TraditionalForm], {
        0.009722222222222222, 0.}, 
        Directive[]}, {3.6290592*^9, 
        FormBox[
         TemplateBox[{0, 0}, "Spacer2"], TraditionalForm], {
        0.009722222222222222, 0.}, 
        Directive[]}, {3.6605952*^9, 
        FormBox[
         TemplateBox[{0, 0}, "Spacer2"], TraditionalForm], {
        0.009722222222222222, 0.}, 
        Directive[]}, {3.6605952*^9, 
        FormBox[
         TemplateBox[{0, 0}, "Spacer2"], TraditionalForm], {
        0.009722222222222222, 0.}, 
        Directive[]}, {3.6922176*^9, 
        FormBox[
         TemplateBox[{0, 0}, "Spacer2"], TraditionalForm], {
        0.009722222222222222, 0.}, 
        Directive[]}, {3.7237536*^9, 
        FormBox[
         TemplateBox[{0, 0}, "Spacer2"], TraditionalForm], {
        0.009722222222222222, 0.}, 
        Directive[]}}, {{3.3450624*^9, 
        FormBox[
         TemplateBox[{0, 0}, "Spacer2"], TraditionalForm], {
         Rational[1, 72], 0}, 
        Directive[]}, {3.4081344*^9, 
        FormBox[
         TemplateBox[{0, 0}, "Spacer2"], TraditionalForm], {
         Rational[1, 72], 0}, 
        Directive[]}, {3.4712928*^9, 
        FormBox[
         TemplateBox[{0, 0}, "Spacer2"], TraditionalForm], {
         Rational[1, 72], 0}, 
        Directive[]}, {3.5343648*^9, 
        FormBox[
         TemplateBox[{0, 0}, "Spacer2"], TraditionalForm], {
         Rational[1, 72], 0}, 
        Directive[]}, {3.5975232*^9, 
        FormBox[
         TemplateBox[{0, 0}, "Spacer2"], TraditionalForm], {
         Rational[1, 72], 0}, 
        Directive[]}, {3.6605952*^9, 
        FormBox[
         TemplateBox[{0, 0}, "Spacer2"], TraditionalForm], {
         Rational[1, 72], 0}, 
        Directive[]}, {3.7237536*^9, 
        FormBox[
         TemplateBox[{0, 0}, "Spacer2"], TraditionalForm], {
         Rational[1, 72], 0}, 
        Directive[]}, {3.3450624*^9, 
        FormBox[
         TemplateBox[{0, 0}, "Spacer2"], TraditionalForm], {
        0.009722222222222222, 0.}, 
        Directive[]}, {3.3765984*^9, 
        FormBox[
         TemplateBox[{0, 0}, "Spacer2"], TraditionalForm], {
        0.009722222222222222, 0.}, 
        Directive[]}, {3.4081344*^9, 
        FormBox[
         TemplateBox[{0, 0}, "Spacer2"], TraditionalForm], {
        0.009722222222222222, 0.}, 
        Directive[]}, {3.4081344*^9, 
        FormBox[
         TemplateBox[{0, 0}, "Spacer2"], TraditionalForm], {
        0.009722222222222222, 0.}, 
        Directive[]}, {3.4397568*^9, 
        FormBox[
         TemplateBox[{0, 0}, "Spacer2"], TraditionalForm], {
        0.009722222222222222, 0.}, 
        Directive[]}, {3.4712928*^9, 
        FormBox[
         TemplateBox[{0, 0}, "Spacer2"], TraditionalForm], {
        0.009722222222222222, 0.}, 
        Directive[]}, {3.4712928*^9, 
        FormBox[
         TemplateBox[{0, 0}, "Spacer2"], TraditionalForm], {
        0.009722222222222222, 0.}, 
        Directive[]}, {3.5028288*^9, 
        FormBox[
         TemplateBox[{0, 0}, "Spacer2"], TraditionalForm], {
        0.009722222222222222, 0.}, 
        Directive[]}, {3.5343648*^9, 
        FormBox[
         TemplateBox[{0, 0}, "Spacer2"], TraditionalForm], {
        0.009722222222222222, 0.}, 
        Directive[]}, {3.5343648*^9, 
        FormBox[
         TemplateBox[{0, 0}, "Spacer2"], TraditionalForm], {
        0.009722222222222222, 0.}, 
        Directive[]}, {3.5659872*^9, 
        FormBox[
         TemplateBox[{0, 0}, "Spacer2"], TraditionalForm], {
        0.009722222222222222, 0.}, 
        Directive[]}, {3.5975232*^9, 
        FormBox[
         TemplateBox[{0, 0}, "Spacer2"], TraditionalForm], {
        0.009722222222222222, 0.}, 
        Directive[]}, {3.5975232*^9, 
        FormBox[
         TemplateBox[{0, 0}, "Spacer2"], TraditionalForm], {
        0.009722222222222222, 0.}, 
        Directive[]}, {3.6290592*^9, 
        FormBox[
         TemplateBox[{0, 0}, "Spacer2"], TraditionalForm], {
        0.009722222222222222, 0.}, 
        Directive[]}, {3.6605952*^9, 
        FormBox[
         TemplateBox[{0, 0}, "Spacer2"], TraditionalForm], {
        0.009722222222222222, 0.}, 
        Directive[]}, {3.6605952*^9, 
        FormBox[
         TemplateBox[{0, 0}, "Spacer2"], TraditionalForm], {
        0.009722222222222222, 0.}, 
        Directive[]}, {3.6922176*^9, 
        FormBox[
         TemplateBox[{0, 0}, "Spacer2"], TraditionalForm], {
        0.009722222222222222, 0.}, 
        Directive[]}, {3.7237536*^9, 
        FormBox[
         TemplateBox[{0, 0}, "Spacer2"], TraditionalForm], {
        0.009722222222222222, 0.}, 
        Directive[]}}}}],
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImageSize->{446.66204833984375`, Automatic},
  Method->{
   "NoShowPlotTheme" -> Automatic, "AxisPadding" -> Scaled[0.02], 
    "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "DefaultPlotStyle" -> {
      Directive[
       RGBColor[0.368417, 0.506779, 0.709798], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.880722, 0.611041, 0.142051], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.560181, 0.691569, 0.194885], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.922526, 0.385626, 0.209179], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.528488, 0.470624, 0.701351], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.772079, 0.431554, 0.102387], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.363898, 0.618501, 0.782349], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[1, 0.75, 0], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.647624, 0.37816, 0.614037], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.571589, 0.586483, 0.], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.915, 0.3325, 0.2125], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.40082222609352647`, 0.5220066643438841, 0.85], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.9728288904374106, 0.621644452187053, 0.07336199581899142], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.736782672705901, 0.358, 0.5030266573755369], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.28026441037696703`, 0.715, 0.4292089322474965], 
       AbsoluteThickness[1.6]]}, "DomainPadding" -> Scaled[0.02], 
    "PointSizeFunction" -> "SmallPointSize", "RangePadding" -> Scaled[0.05], 
    "AllowMicroRanges" -> {True, False}, "OptimizePlotMarkers" -> True, 
    "OptimizePlotMarkers" -> True, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        Identity[
         Part[#, 1]], 
        Identity[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        Identity[
         Part[#, 1]], 
        Identity[
         Part[#, 2]]}& )}},
  PlotRange->{{3.3765984*^9, 3.6922176*^9}, {0, 2.0039435593*^8}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.02], 
     Scaled[0.05]}},
  Ticks->{{}, Automatic}]], "Output",
 CellChangeTimes->{{3.769335965972733*^9, 3.769335970760928*^9}, 
   3.769955279978739*^9, 3.771929814499939*^9, 3.880635555602458*^9, 
   3.881420379396702*^9},
 CellLabel->"Out[351]=",
 CellID->1689238185,ExpressionUUID->"f1ed7cba-cfaf-4199-a0f0-4f49dd373670"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["MLS Teams with the Highest Payroll", "Subsubsection",
 CellChangeTimes->{{3.769099617755953*^9, 3.7690996278947983`*^9}},
 CellTags->"p: 105",
 CellID->562117424,ExpressionUUID->"f75fa4c1-4f00-48d6-9f67-9e17a44368e2"],

Cell["\<\
What took a great deal of code in the preceding chapter is again a one liner!\
\
\>", "Text",
 CellChangeTimes->{{3.76909012240377*^9, 3.7690901719204693`*^9}, {
   3.7693360526784363`*^9, 3.769336069395339*^9}, {3.769336109648469*^9, 
   3.769336122935172*^9}, {3.769336185148603*^9, 3.769336188455243*^9}, {
   3.769336230666383*^9, 3.7693362435811157`*^9}, {3.769378340877577*^9, 
   3.7693783418386087`*^9}, {3.7760178493250637`*^9, 3.7760178741755457`*^9}, 
   3.780317589287644*^9, {3.780317651303886*^9, 3.7803176572505302`*^9}, 
   3.7803177093436337`*^9},
 CellID->1301156318,ExpressionUUID->"d006b24d-e556-4531-8676-d502b54b9692"],

Cell[TextData[{
 ButtonBox["GroupBy",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/GroupBy.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/GroupBy.html"],
 " makes it easy to see what clubs had the highest payroll in any particular \
year:"
}], "CodeText",
 CellChangeTimes->{{3.780317700581846*^9, 3.780317728975367*^9}},
 CellID->978468062,ExpressionUUID->"ab99235e-d31d-4a66-8ce7-851c5bada11a"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Take", "[", 
  RowBox[{
   RowBox[{"ReverseSort", "[", 
    RowBox[{"GroupBy", "[", 
     RowBox[{"mlsA2", ",", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"#Club", ",", "#Year"}], "}"}], "&"}], ")"}], "\[Rule]", 
       RowBox[{"(", 
        RowBox[{"#GuaranteedCompensation", "&"}], ")"}]}], ",", "Total"}], 
     "]"}], "]"}], ",", "5"}], "]"}]], "Input",
 CellChangeTimes->{{3.7693360644371643`*^9, 3.769336150340252*^9}, {
  3.7693361920232573`*^9, 3.769336197737172*^9}},
 CellLabel->"In[352]:=",
 CellID->1679470221,ExpressionUUID->"7cc419f3-1148-4596-94c4-8067bd75e352"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{"\<\"TOR\"\>", ",", 
      TemplateBox[{
        RowBox[{
          StyleBox["\"Year: \"", "DateObjectLabel"], "\"2017\""}], 
        RowBox[{"DateObject", "[", 
          RowBox[{
            RowBox[{"{", "2017", "}"}], ",", "\"Year\""}], "]"}]},
       "DateObject",
       Editable->False]}], "}"}], "\[Rule]", 
    TemplateBox[{
      InterpretationBox[
      "2.239981527`*^7", 2.239981527*^7, Selectable -> False], 
      RowBox[{
        FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars",
       "\"USDollars\""},
     "QuantityPrefix"]}], ",", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"\<\"TOR\"\>", ",", 
      TemplateBox[{
        RowBox[{
          StyleBox["\"Year: \"", "DateObjectLabel"], "\"2015\""}], 
        RowBox[{"DateObject", "[", 
          RowBox[{
            RowBox[{"{", "2015", "}"}], ",", "\"Year\""}], "]"}]},
       "DateObject",
       Editable->False]}], "}"}], "\[Rule]", 
    TemplateBox[{
      InterpretationBox[
      "2.2136512029999997`*^7", 2.2136512029999997`*^7, Selectable -> False], 
      
      RowBox[{
        FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars",
       "\"USDollars\""},
     "QuantityPrefix"]}], ",", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"\<\"TOR\"\>", ",", 
      TemplateBox[{
        RowBox[{
          StyleBox["\"Year: \"", "DateObjectLabel"], "\"2016\""}], 
        RowBox[{"DateObject", "[", 
          RowBox[{
            RowBox[{"{", "2016", "}"}], ",", "\"Year\""}], "]"}]},
       "DateObject",
       Editable->False]}], "}"}], "\[Rule]", 
    TemplateBox[{
      InterpretationBox[
      "2.179850857`*^7", 2.179850857*^7, Selectable -> False], 
      RowBox[{
        FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars",
       "\"USDollars\""},
     "QuantityPrefix"]}], ",", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"\<\"LA\"\>", ",", 
      TemplateBox[{
        RowBox[{
          StyleBox["\"Year: \"", "DateObjectLabel"], "\"2015\""}], 
        RowBox[{"DateObject", "[", 
          RowBox[{
            RowBox[{"{", "2015", "}"}], ",", "\"Year\""}], "]"}]},
       "DateObject",
       Editable->False]}], "}"}], "\[Rule]", 
    TemplateBox[{
      InterpretationBox[
      "2.126757475`*^7", 2.126757475*^7, Selectable -> False], 
      RowBox[{
        FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars",
       "\"USDollars\""},
     "QuantityPrefix"]}], ",", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"\<\"NYCFC\"\>", ",", 
      TemplateBox[{
        RowBox[{
          StyleBox["\"Year: \"", "DateObjectLabel"], "\"2016\""}], 
        RowBox[{"DateObject", "[", 
          RowBox[{
            RowBox[{"{", "2016", "}"}], ",", "\"Year\""}], "]"}]},
       "DateObject",
       Editable->False]}], "}"}], "\[Rule]", 
    TemplateBox[{
      InterpretationBox[
      "2.112777663`*^7", 2.112777663*^7, Selectable -> False], 
      RowBox[{
        FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], "US dollars",
       "\"USDollars\""},
     "QuantityPrefix"]}]}], "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{{3.769336102599337*^9, 3.769336150916534*^9}, 
   3.769336203916065*^9, 3.769378344018261*^9, 3.769955280175358*^9, 
   3.771929814688336*^9, 3.880635559475278*^9, 3.881420392128063*^9},
 CellLabel->"Out[352]=",
 CellID->88214644,ExpressionUUID->"067da443-fd34-4808-b3f7-9ea4bd21487a"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox["Exercises",
  $Line = 0; Null]], "ExerciseSection",
 CellID->814524763,ExpressionUUID->"c0b57200-2c4b-4b60-9b1b-9d956b4cb05d"],

Cell[TextData[{
 "Get the first three rows of ",
 Cell[BoxData[
 "dinghy"], "InlineCode",ExpressionUUID->
  "e6cb093c-7420-481a-b865-78f8932aca58"],
 "."
}], "Exercise",
 CounterAssignments->{{$CellContext`Exercise, 0}},
 CellTags->"Exercise",
 CellID->2039348820,ExpressionUUID->"819a4b41-78bb-472a-8675-564e3d0c87d1"],

Cell[TextData[{
 "Get the sex and survived columns of ",
 Cell[BoxData[
 "dinghy"], "InlineCode",ExpressionUUID->
  "68f1871a-d63e-4a21-baf5-d79499ba9cc6"],
 "."
}], "Exercise",
 CellChangeTimes->{
  3.7181151784077053`*^9, {3.742166308492867*^9, 3.742166323074451*^9}, {
   3.769337481692608*^9, 3.769337498814547*^9}, {3.769955082564755*^9, 
   3.7699551038267384`*^9}, 3.7760918100049133`*^9},
 CellTags->"Exercise",
 CellID->1496611620,ExpressionUUID->"6be6bd4e-1605-41fc-b4d3-955895013814"],

Cell[TextData[{
 "Get the age and cellphone number of the third and fourth passengers in ",
 Cell[BoxData[
 "dinghy"], "InlineCode",ExpressionUUID->
  "4ece2245-2328-4537-9ab5-359e78b078fc"],
 ". Since the third passenger did not, in fact, have a cellphone, return a ",
 ButtonBox["Missing",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Missing.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Missing.html"],
 " value for that piece of data. Use operator forms of functions where \
possible."
}], "Exercise",
 CellChangeTimes->{{3.7421664257887993`*^9, 3.7421664584398937`*^9}, {
   3.7421665058049583`*^9, 3.7421665105995483`*^9}, {3.74216654375204*^9, 
   3.742166557312941*^9}, {3.7421666971700077`*^9, 3.742166706218237*^9}, {
   3.7693375369194107`*^9, 3.769337543883011*^9}, 3.7699549846996107`*^9, 
   3.776091853390913*^9, 3.857471636729418*^9},
 CellTags->"Exercise",
 CellID->75540029,ExpressionUUID->"051bdcca-4517-424e-abe7-d5e322851023"],

Cell[CellGroupData[{

Cell["Figure out how to make this. ", "Exercise",
 ShowGroupOpener->False,
 CellTags->"Exercise",
 CellID->1559794665,ExpressionUUID->"63956125-01cb-4e42-957d-30714725b803"],

Cell[TextData[Cell[BoxData[
 StyleBox[
  RowBox[{"{", 
   RowBox[{
    RowBox[{"\[LeftAssociation]", 
     RowBox[{
      RowBox[{"\"\<id\>\"", "\[Rule]", "1"}], ",", 
      RowBox[{"\"\<class\>\"", "\[Rule]", "\"\<3rd\>\""}], ",", 
      RowBox[{"\"\<age\>\"", "\[Rule]", "16"}], ",", 
      RowBox[{"\"\<sex\>\"", "\[Rule]", "\"\<female\>\""}], ",", 
      RowBox[{"\"\<survived\>\"", "\[Rule]", "True"}]}], 
     "\[RightAssociation]"}], ",", 
    RowBox[{"\[LeftAssociation]", 
     RowBox[{
      RowBox[{"\"\<id\>\"", "\[Rule]", "2"}], ",", 
      RowBox[{"\"\<class\>\"", "\[Rule]", "\"\<1st\>\""}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"\"\<age\>\"", "\[Rule]", "65"}], ",", 
      RowBox[{"\"\<sex\>\"", "\[Rule]", "\"\<male\>\""}], ",", 
      RowBox[{"\"\<survived\>\"", "\[Rule]", "False"}]}], 
     "\[RightAssociation]"}], ",", 
    RowBox[{"\[LeftAssociation]", 
     RowBox[{
      RowBox[{"\"\<id\>\"", "\[Rule]", "3"}], ",", 
      RowBox[{"\"\<class\>\"", "\[Rule]", "\"\<3rd\>\""}], ",", 
      RowBox[{"\"\<age\>\"", "\[Rule]", "2"}], ",", 
      RowBox[{"\"\<sex\>\"", "\[Rule]", "\"\<female\>\""}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"\"\<survived\>\"", "\[Rule]", "False"}]}], 
     "\[RightAssociation]"}], ",", 
    RowBox[{"\[LeftAssociation]", 
     RowBox[{
      RowBox[{"\"\<id\>\"", "\[Rule]", "4"}], ",", 
      RowBox[{"\"\<class\>\"", "\[Rule]", "\"\<3rd\>\""}], ",", 
      RowBox[{"\"\<age\>\"", "\[Rule]", 
       RowBox[{"Missing", "[", "]"}]}], ",", 
      RowBox[{"\"\<sex\>\"", "\[Rule]", "\"\<female\>\""}], ",", 
      RowBox[{
      "\"\<survived\>\"", "\[Rule]", "\[IndentingNewLine]", "True"}]}], 
     "\[RightAssociation]"}], ",", 
    RowBox[{"\[LeftAssociation]", 
     RowBox[{
      RowBox[{"\"\<id\>\"", "\[Rule]", "5"}], ",", 
      RowBox[{"\"\<class\>\"", "\[Rule]", "\"\<3rd\>\""}], ",", 
      RowBox[{"\"\<age\>\"", "\[Rule]", "18"}], ",", 
      RowBox[{"\"\<sex\>\"", "\[Rule]", "\"\<female\>\""}], ",", 
      RowBox[{"\"\<survived\>\"", "\[Rule]", "False"}]}], 
     "\[RightAssociation]"}]}], "}"}],
  FontWeight->
   "Regular"]], \
"InlineCode",ExpressionUUID->"18cc4d9a-4687-4ca2-9755-2ec8ad173055"]], \
"ExerciseInput",
 CellDingbat->None,
 CellMargins->{{106, 10}, {4, 4}},
 CounterIncrements->None,
 CellTags->"Exercise",
 CellID->1105763553,ExpressionUUID->"d66e713b-6415-4173-a0d4-3777e386795b"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Now figure out how to make this. ", "Exercise",
 PageWidth->715,
 ShowGroupOpener->False,
 CellTags->"Exercise",
 CellID->710668125,ExpressionUUID->"aaaa5d98-19bc-4b43-9522-9780c6ab1e09"],

Cell[TextData[Cell[BoxData[
 StyleBox[
  RowBox[{"\[LeftAssociation]", 
   RowBox[{
    RowBox[{"\"\<Frederica\>\"", "\[Rule]", 
     RowBox[{"\[LeftAssociation]", 
      RowBox[{
       RowBox[{"\"\<class\>\"", "\[Rule]", "\"\<3rd\>\""}], ",", 
       RowBox[{"\"\<age\>\"", "\[Rule]", "16"}], ",", 
       RowBox[{"\"\<sex\>\"", "\[Rule]", "\"\<female\>\""}], ",", 
       RowBox[{"\"\<survived\>\"", "\[Rule]", "True"}]}], 
      "\[RightAssociation]"}]}], ",", 
    RowBox[{"\"\<George\>\"", "\[Rule]", "\[IndentingNewLine]", 
     RowBox[{"\[LeftAssociation]", 
      RowBox[{
       RowBox[{"\"\<class\>\"", "\[Rule]", "\"\<1st\>\""}], ",", 
       RowBox[{"\"\<age\>\"", "\[Rule]", "65"}], ",", 
       RowBox[{"\"\<sex\>\"", "\[Rule]", "\"\<male\>\""}], ",", 
       RowBox[{"\"\<survived\>\"", "\[Rule]", "False"}]}], 
      "\[RightAssociation]"}]}], ",", 
    RowBox[{"\"\<Harold\>\"", "\[Rule]", 
     RowBox[{"\[LeftAssociation]", 
      RowBox[{
       RowBox[{"\"\<class\>\"", "\[Rule]", "\"\<3rd\>\""}], ",", 
       RowBox[{"\"\<age\>\"", "\[Rule]", "2"}], ",", "\[IndentingNewLine]", 
       RowBox[{"\"\<sex\>\"", "\[Rule]", "\"\<female\>\""}], ",", 
       RowBox[{"\"\<survived\>\"", "\[Rule]", "False"}]}], 
      "\[RightAssociation]"}]}], ",", 
    RowBox[{"\"\<Ida\>\"", "\[Rule]", 
     RowBox[{"\[LeftAssociation]", 
      RowBox[{
       RowBox[{"\"\<class\>\"", "\[Rule]", "\"\<3rd\>\""}], ",", 
       RowBox[{"\"\<age\>\"", "\[Rule]", 
        RowBox[{"Missing", "[", "]"}]}], ",", 
       RowBox[{"\"\<sex\>\"", "\[Rule]", "\"\<female\>\""}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"\"\<survived\>\"", "\[Rule]", "True"}]}], 
      "\[RightAssociation]"}]}], ",", 
    RowBox[{"\"\<Jeanette\>\"", "\[Rule]", 
     RowBox[{"\[LeftAssociation]", 
      RowBox[{
       RowBox[{"\"\<class\>\"", "\[Rule]", "\"\<3rd\>\""}], ",", 
       RowBox[{"\"\<age\>\"", "\[Rule]", "18"}], ",", 
       RowBox[{"\"\<sex\>\"", "\[Rule]", "\"\<female\>\""}], ",", 
       RowBox[{"\"\<survived\>\"", "\[Rule]", "False"}]}], 
      "\[RightAssociation]"}]}]}], "\[RightAssociation]"}],
  FontWeight->
   "Regular"]], \
"InlineCode",ExpressionUUID->"e9019811-6856-43b1-b8a9-397395b65cac"]], \
"ExerciseInput",
 PageWidth->715,
 CellDingbat->None,
 CellMargins->{{106, 10}, {4, 4}},
 CounterIncrements->None,
 CellTags->"Exercise",
 CellID->1733183110,ExpressionUUID->"42c18b96-53da-496d-849b-52140dd85810"]
}, Open  ]],

Cell["\<\
Compute the median age of the passengers on the Titanic broken down by cabin \
class. You are going to get error messages if you don\[CloseCurlyQuote]t \
figure out how to deal with data for which the age is missing.\
\>", "Exercise",
 CellChangeTimes->{{3.742166582562457*^9, 3.742166610099216*^9}, {
  3.769337609550415*^9, 3.769337611281994*^9}, {3.7693376556420183`*^9, 
  3.7693376787942266`*^9}, {3.776092493312913*^9, 3.776092493815913*^9}},
 CellID->2042615908,ExpressionUUID->"a8d9e256-ec40-4a54-b39b-48d1e92e963e"],

Cell[CellGroupData[{

Cell[TextData[{
 "Find the distribution of guaranteed compensation in 2015 for MLS players \
based on their listed position. Create a histogram for each position that has \
at least 25 players. Hint 1: Remember to wrap your years in ",
 ButtonBox["DateObject",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/DateObject.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/DateObject.html"],
 " because that\[CloseCurlyQuote]s the way they are denoted in the data. Hint \
2: Please remember to put parentheses around your ",
 ButtonBox["Slot",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Slot.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Slot.html"],
 " functions. Use this ",
 ButtonBox["Histogram",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Histogram.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Histogram.html"],
 " function and sample output to guide you."
}], "Exercise",
 ShowGroupOpener->False,
 CellChangeTimes->{{3.769337957663969*^9, 3.769338015195134*^9}, {
   3.7693380792420197`*^9, 3.769338084203471*^9}, {3.76933818156243*^9, 
   3.769338264182774*^9}, {3.769338371273416*^9, 3.769338465650466*^9}, {
   3.7693385179747066`*^9, 3.769338529809185*^9}, {3.7693387705285673`*^9, 
   3.769338834096198*^9}, {3.776092528437913*^9, 3.776092548245913*^9}, 
   3.776092585706913*^9, {3.776092852933913*^9, 3.7760928649209127`*^9}, {
   3.780322556655805*^9, 3.780322559023425*^9}, {3.780322594790352*^9, 
   3.780322599928708*^9}, 3.8574717690777493`*^9, {3.895816538368452*^9, 
   3.895816555184721*^9}},
 CellTags->"Exercise",
 CellID->571984814,ExpressionUUID->"101dc7be-066c-432e-a483-8fca0fe41286"],

Cell[BoxData[
 RowBox[{
  RowBox[{"histo", "=", 
   RowBox[{
    RowBox[{"Histogram", "[", 
     RowBox[{"#", ",", "Automatic", ",", "Automatic", ",", 
      RowBox[{"PlotRange", "->", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "1000000"}], "}"}], ",", "Automatic"}], "}"}]}]}],
      "]"}], "&"}]}], ";"}]], "ExerciseInput",
 ShowGroupOpener->False,
 CellChangeTimes->{{3.769338473561895*^9, 3.769338483088039*^9}},
 CellTags->"Answer",
 CellID->1211964926,ExpressionUUID->"69b067ed-d229-4650-8192-8f4b8bef3570"],

Cell[BoxData[
 GraphicsBox[
  TagBox[RasterBox[CompressedData["
1:eJzt3X9QVPf973FJmhmTTNvb+bbNTJK5zU3adJpJ2ts/+uNOf0x+NDO3uU1u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    "], {{0, 340}, {584, 0}}, {0, 255},
    ColorFunction->RGBColor],
   BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
   Selectable->False],
  DefaultBaseStyle->"ImageGraphics",
  ImageSizeRaw->{584, 340},
  PlotRange->{{0, 584}, {0, 340}}]], "ExerciseInput",
 ShowGroupOpener->False,
 CellTags->{"AnswerOutput", "LastCellOfAPage"},
 CellID->612119487,ExpressionUUID->"84fbab73-3156-45a7-887b-61fc4249a634"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Tech Notes", "TechNoteSection",
 CellTags->"p: 106",
 CellID->1668761543,ExpressionUUID->"2d0c9e8c-3146-42d9-8124-012fa4373deb"],

Cell[TextData[{
 "Notice that if one uses a ",
 ButtonBox["Head",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Head.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Head.html"],
 " other than ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " to wrap the rules, the Wolfram Language does not strip off the wrapper. ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " is special here."
}], "TechNote",
 CellChangeTimes->{{3.739614140211595*^9, 3.739614172153808*^9}, {
   3.7697767706320457`*^9, 3.769776779879294*^9}, {3.776019006299794*^9, 
   3.7760190109047937`*^9}, 3.780317759759666*^9, {3.858241155892933*^9, 
   3.858241162611849*^9}, {3.8679292110123863`*^9, 3.867929215628072*^9}},
 CellID->1094928741,ExpressionUUID->"5df68249-667a-4509-a93d-592b0bf69c7a"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Association", "[", 
  RowBox[{"f", "[", 
   RowBox[{
    RowBox[{"\"\<class\>\"", "\[Rule]", "\"\<1st\>\""}], ",", 
    RowBox[{"\"\<age\>\"", "\[Rule]", "29"}], ",", 
    RowBox[{"\"\<sex\>\"", "\[Rule]", "\"\<female\>\""}], ",", 
    RowBox[{"\"\<survived\>\"", "\[Rule]", "True"}]}], "]"}], "]"}]], "Input",\

 CellChangeTimes->{{3.710757231594489*^9, 3.7107572428251762`*^9}, {
   3.739614108353438*^9, 3.739614133314404*^9}, 3.740414365584598*^9},
 CellLabel->"In[354]:=",
 CellID->679978844,ExpressionUUID->"58b65537-4888-447d-9143-ba310323ad94"],

Cell[BoxData[
 RowBox[{"Association", "[", 
  RowBox[{"f", "[", 
   RowBox[{
    RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"1st\"\>"}], ",", 
    RowBox[{"\<\"age\"\>", "\[Rule]", "29"}], ",", 
    RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
    RowBox[{"\<\"survived\"\>", "\[Rule]", "True"}]}], "]"}], "]"}]], "Output",\

 CellChangeTimes->{3.740414724116434*^9, 3.740424254629394*^9, 
  3.7404961449114237`*^9, 3.740500453135857*^9, 3.741109497734172*^9, 
  3.741537385659761*^9, 3.741691118989626*^9, 3.7417736649980917`*^9, 
  3.741775210725945*^9, 3.741787982052828*^9, 3.7418764139723873`*^9, 
  3.741879470549924*^9, 3.741956389586924*^9, 3.7421229239236298`*^9, 
  3.769955280217462*^9, 3.7719298147278557`*^9, 3.881420431337316*^9},
 CellLabel->"Out[354]=",
 CellID->393371736,ExpressionUUID->"d4542ea5-217f-4435-8556-6b1b2245526a"]
}, Open  ]],

Cell[TextData[{
 "Suppose one has a key that would not, standing alone, be a permissible \
Wolfram Language symbol. Examples are ",
 Cell[BoxData[
 "\"\<plaintiff age\>\""], "InlineCode",ExpressionUUID->
  "5be175a7-38e5-433d-8cf3-8a91c201390f"],
 " (spaces) or ",
 Cell[BoxData[
 "\"\<plaintiff_age\>\""], "InlineCode",ExpressionUUID->
  "2ec99155-b5a5-4865-a18d-f336a62ed0f5"],
 " (underscores). If one tries to omit the quotation marks when using these \
keys in ",
 ButtonBox["Slot",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Slot.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Slot.html"],
 " functions, one is going to have problems. These two expressions fail."
}], "TechNote",
 CellChangeTimes->{{3.651515120816633*^9, 3.651515125814807*^9}, 
   3.6515155174947033`*^9, {3.742143401663589*^9, 3.742143407399858*^9}, {
   3.7421449609161673`*^9, 3.742145045600555*^9}, {3.7760864113315954`*^9, 
   3.7760864250609684`*^9}, {3.776086568840345*^9, 3.776086572327694*^9}, {
   3.866296466033676*^9, 3.8662964666676235`*^9}, {3.8679290481908875`*^9, 
   3.8679290673687415`*^9}, {3.867929255326329*^9, 3.8679292556750455`*^9}},
 CellID->1578163499,ExpressionUUID->"da7c387f-c745-4d47-a684-aa4ad2f53404"],

Cell[CellGroupData[{

Cell["\<\
{#plaintiff age&[Association[\"plaintiff age\"->29]],
#plaintiff_age&[Association[\"plaintiff_age\"->29]]}\
\>", "Input",
 CellChangeTimes->{{3.7421450924640293`*^9, 3.742145149170382*^9}, {
  3.742145219915353*^9, 3.7421452220364637`*^9}, {3.742145283544134*^9, 
  3.742145285475033*^9}},
 CellLabel->"In[355]:=",
 CellID->337827017,ExpressionUUID->"23ce853c-d305-4eeb-9f4d-cf23cea296c7"],

Cell[BoxData[
 TemplateBox[{
  "Function", "slota", 
   "\"Named Slot \\!\\(\\*RowBox[{\\\"\\\\\\\"plaintiff\\\\\\\"\\\"}]\\) in \
\\!\\(\\*RowBox[{RowBox[{\\\"#plaintiff\\\", \\\" \\\", \\\"age\\\"}], \
\\\"&\\\"}]\\) cannot be filled from \
\\!\\(\\*RowBox[{\\\"\[LeftAssociation]\\\", RowBox[{\\\"\\\\\\\"plaintiff \
age\\\\\\\"\\\", \\\"\[Rule]\\\", \\\"29\\\"}], \\\"\[RightAssociation]\\\"}]\
\\).\"", 2, 152, 4, 27285886807158689176, "Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.742145150975998*^9, 3.742145222445966*^9, 
  3.742145285753001*^9, 3.769332254568371*^9, 3.76938081566842*^9, 
  3.769955280260077*^9, 3.7719298147692957`*^9},
 CellLabel->"During evaluation of In[152]:=",
 CellID->1401722934,ExpressionUUID->"c3311e9a-a979-4dcf-aad2-3057c761a743"],

Cell[BoxData[
 TemplateBox[{
  "Function", "slota", 
   "\"Named Slot \\!\\(\\*RowBox[{\\\"\\\\\\\"plaintiff\\\\\\\"\\\"}]\\) in \
\\!\\(\\*RowBox[{RowBox[{\\\"#plaintiff\\\", \\\" \\\", \\\"_age\\\"}], \\\"&\
\\\"}]\\) cannot be filled from \\!\\(\\*RowBox[{\\\"\[LeftAssociation]\\\", \
RowBox[{\\\"\\\\\\\"plaintiff_age\\\\\\\"\\\", \\\"\[Rule]\\\", \\\"29\\\"}], \
\\\"\[RightAssociation]\\\"}]\\).\"", 2, 152, 5, 27285886807158689176, 
   "Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.742145150975998*^9, 3.742145222445966*^9, 
  3.742145285753001*^9, 3.769332254568371*^9, 3.76938081566842*^9, 
  3.769955280260077*^9, 3.771929814773966*^9},
 CellLabel->"During evaluation of In[152]:=",
 CellID->861744148,ExpressionUUID->"b6dfbfde-85f8-4b4c-9b11-0fe1a2067365"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"age", " ", "#plaintiff"}], ",", 
   RowBox[{"_age", " ", "#plaintiff"}]}], "}"}]], "Output",
 CellChangeTimes->{3.74214528578374*^9, 3.769332254584799*^9, 
  3.769380815682094*^9, 3.769955280268591*^9, 3.771929814777774*^9, 
  3.8814204409430857`*^9},
 CellLabel->"Out[355]=",
 CellID->692992009,ExpressionUUID->"030cf4f8-08b2-4214-b006-9792914353fd"]
}, Open  ]],

Cell["Use of quotation marks solves the problem.", "TechNote",
 CellChangeTimes->{{3.74214519733715*^9, 3.742145204898744*^9}, 
   3.7458699048213177`*^9},
 CellID->809299440,ExpressionUUID->"4d2a86dd-7643-4b7e-b545-afafe7a7fd68"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"#\"plaintiff age\"", "&"}], "[", 
    RowBox[{"Association", "[", 
     RowBox[{"\"\<plaintiff age\>\"", "\[Rule]", "29"}], "]"}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"#\"plaintiff_age\"", "&"}], "[", 
    RowBox[{"Association", "[", 
     RowBox[{"\"\<plaintiff_age\>\"", "\[Rule]", "29"}], "]"}], "]"}]}], 
  "}"}]], "Input",
 CellChangeTimes->{{3.742145257591422*^9, 3.742145309996355*^9}},
 CellLabel->"In[356]:=",
 CellID->1953208002,ExpressionUUID->"9ad938e9-a871-45bf-b64c-5e7ad55affe2"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"29", ",", "29"}], "}"}]], "Output",
 CellChangeTimes->{{3.742145280695464*^9, 3.74214531041362*^9}, 
   3.7693322546154957`*^9, 3.769380817226119*^9, 3.769955280315235*^9, 
   3.771929814822482*^9, 3.881420459430011*^9},
 CellLabel->"Out[356]=",
 CellID->513309507,ExpressionUUID->"c08b6b61-f384-4b40-869b-e89646c5d455"]
}, Open  ]],

Cell[TextData[{
 "Under the hood, a lot of Wolfram Language functions are converted into a \
variant of the ",
 Cell[BoxData[
  ButtonBox["ResourceFunction",
   BaseStyle->"FunctionHyperlink",
   ButtonData->{
     URL["https://reference.wolfram.com/language/ref/ResourceFunction.html"], 
     None},
   ButtonNote->
    "https://reference.wolfram.com/language/ref/ResourceFunction.html"]], 
  "InlineCode",ExpressionUUID->"71cc9236-19ff-4f2b-abc2-ae1123ff0e13"],
 " ",
 ButtonBox["Slice",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
Slice"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/Slice"],
 " when used with Associations (or Datasets). Examples include ",
 ButtonBox["Span",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Span.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Span.html"],
 ", ",
 ButtonBox["Take",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Take.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Take.html"],
 ", and ",
 ButtonBox["Drop",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Drop.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Drop.html"],
 "."
}], "TechNote",
 CellChangeTimes->{{3.742145484296258*^9, 3.7421455126508293`*^9}, {
   3.769339067387948*^9, 3.769339077983815*^9}, 3.776086600707531*^9, {
   3.7803183691661*^9, 3.780318413038143*^9}, {3.7814455331362743`*^9, 
   3.781445533136674*^9}, {3.866560234311891*^9, 3.8665602675698557`*^9}, {
   3.869918721051861*^9, 3.8699187292149134`*^9}},
 CellID->677019460,ExpressionUUID->"276748c4-8e49-407c-8e8a-03ef28a257e6"],

Cell[TextData[{
 "One has to be consistent when specifying parts for ",
 ButtonBox["Slice",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
Slice"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/Slice"],
 StyleBox[".", "InlineCode"],
 " Mixing strings and integers as part specifications fails."
}], "TechNote",
 CellChangeTimes->{{3.651515120816633*^9, 3.651515125814807*^9}, 
   3.6515155174947033`*^9, {3.742144755927647*^9, 3.742144766700931*^9}, {
   3.742144854028903*^9, 3.7421448722109613`*^9}, {3.745869980196834*^9, 
   3.745869980707885*^9}, {3.866296850773056*^9, 3.866296860472203*^9}, {
   3.8665602881738997`*^9, 3.866560290324399*^9}, {3.8679290718166447`*^9, 
   3.8679290798613377`*^9}, {3.869918742065368*^9, 3.8699187478006296`*^9}},
 CellID->105083083,ExpressionUUID->"22ff3ae6-3b0f-4ac5-b835-506de654ab1f"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   InterpretationBox[
    TagBox[
     TagBox[
      DynamicModuleBox[{Typeset`open = False}, 
       FrameBox[
        PaneSelectorBox[{False->GridBox[{
           {
            PaneBox[GridBox[{
               {
                StyleBox[
                 StyleBox[
                  AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                   BoxBaselineShift->-0.25,
                   BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                  
                  FontColor->RGBColor[
                   0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                 ShowStringCharacters->False,
                 FontFamily->"Source Sans Pro Black",
                 FontSize->0.6538461538461539 Inherited,
                 FontWeight->"Heavy",
                 PrivateFontOptions->{"OperatorSubstitution"->False}], 
                StyleBox[
                 RowBox[{
                  StyleBox["Slice", "ResourceFunctionLabel"], " "}],
                 ShowAutoStyles->False,
                 ShowStringCharacters->False,
                 FontSize->Rational[12, 13] Inherited,
                 FontColor->GrayLevel[0.1]]}
              },
              GridBoxSpacings->{"Columns" -> {{0.25}}}],
             Alignment->Left,
             BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
             BaselinePosition->Baseline,
             FrameMargins->{{3, 0}, {0, 0}}], 
            ItemBox[
             PaneBox[
              TogglerBox[Dynamic[Typeset`open], {True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "IconizeCloser"],
                ImageSizeCache->{11., {2., 9.}}], False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "IconizeOpener"],
                ImageSizeCache->{11., {2., 9.}}]},
               Appearance->None,
               BaselinePosition->Baseline,
               ContentPadding->False,
               FrameMargins->0],
              Alignment->Left,
              BaselinePosition->Baseline,
              FrameMargins->{{1, 1}, {0, 0}}],
             Frame->{{
                RGBColor[
                0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                 0.5], False}, {False, False}}]}
          },
          BaselinePosition->{1, 1},
          GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
         GridBox[{
           {GridBox[{
              {
               PaneBox[GridBox[{
                  {
                   StyleBox[
                    StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                    ShowStringCharacters->False,
                    FontFamily->"Source Sans Pro Black",
                    FontSize->0.6538461538461539 Inherited,
                    FontWeight->"Heavy",
                    PrivateFontOptions->{"OperatorSubstitution"->False}], 
                   StyleBox[
                    RowBox[{
                    StyleBox["Slice", "ResourceFunctionLabel"], " "}],
                    ShowAutoStyles->False,
                    ShowStringCharacters->False,
                    FontSize->Rational[12, 13] Inherited,
                    FontColor->GrayLevel[0.1]]}
                 },
                 GridBoxSpacings->{"Columns" -> {{0.25}}}],
                Alignment->Left,
                BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
                BaselinePosition->Baseline,
                FrameMargins->{{3, 0}, {0, 0}}], 
               ItemBox[
                PaneBox[
                 TogglerBox[Dynamic[Typeset`open], {True->
                  
                  DynamicBox[FEPrivate`FrontEndResource[
                   "FEBitmaps", "IconizeCloser"]], False->
                  
                  DynamicBox[FEPrivate`FrontEndResource[
                   "FEBitmaps", "IconizeOpener"]]},
                  Appearance->None,
                  BaselinePosition->Baseline,
                  ContentPadding->False,
                  FrameMargins->0],
                 Alignment->Left,
                 BaselinePosition->Baseline,
                 FrameMargins->{{1, 1}, {0, 0}}],
                Frame->{{
                   RGBColor[
                   0.8313725490196079, 0.8470588235294118, 0.8509803921568627,
                     0.5], False}, {False, False}}]}
             },
             BaselinePosition->{1, 1},
             GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
           {
            StyleBox[
             PaneBox[GridBox[{
                {
                 RowBox[{
                  TagBox["\<\"Version (latest): \"\>",
                   "IconizedLabel"], " ", 
                  TagBox["\<\"1.0.0\"\>",
                   "IconizedItem"]}]},
                {
                 TagBox[
                  
                  TemplateBox[{
                   "\"Documentation \[RightGuillemet]\"", 
                    "https://resources.wolframcloud.com/FunctionRepository/\
resources/6480efeb-6565-4850-9ed0-e2c00631d9f6/"},
                   "HyperlinkURL"],
                  "IconizedItem"]}
               },
               DefaultBaseStyle->"Column",
               GridBoxAlignment->{"Columns" -> {{Left}}},
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
              Alignment->Left,
              BaselinePosition->Baseline,
              FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
             FontFamily->"Roboto",
             FontSize->11]}
          },
          BaselinePosition->{1, 1},
          GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
          GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
               GrayLevel[0.8]}, False}},
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
         Typeset`open],
         BaselinePosition->Baseline,
         ImageSize->Automatic],
        Background->RGBColor[
         0.9686274509803922, 0.9764705882352941, 0.984313725490196],
        BaselinePosition->Baseline,
        DefaultBaseStyle->{},
        FrameMargins->{{0, 0}, {1, 0}},
        FrameStyle->RGBColor[
         0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
        RoundingRadius->4]],
      #& ,
      TagBoxNote->" "],
     {"FunctionResourceBox", 
      RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
      "Slice"},
     TagBoxNote->"FunctionResourceBox"],
    ResourceFunction[
     ResourceObject[<|
      "Name" -> "Slice", "ShortName" -> "Slice", "UUID" -> 
       "6480efeb-6565-4850-9ed0-e2c00631d9f6", "ResourceType" -> "Function", 
       "Version" -> "1.0.0", "Description" -> "An operator form of Part", 
       "RepositoryLocation" -> 
       URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
       "SymbolName" -> 
       "FunctionRepository`$1dcc7ca341c64d76bd036187ddf47d79`Slice", 
       "FunctionLocation" -> 
       CloudObject[
        "https://www.wolframcloud.com/objects/ca819436-f7a1-48ec-8b80-\
afd0b05e2067"]|>, ResourceSystemBase -> Automatic]],
    Selectable->False], "[", 
   RowBox[{"All", ",", 
    RowBox[{"{", 
     RowBox[{"\"\<age\>\"", ",", "4"}], "}"}]}], "]"}], "[", "dinghy", 
  "]"}]], "Input",
 CellChangeTimes->{{3.742144792258717*^9, 3.7421448015951023`*^9}, {
   3.7693248899350367`*^9, 3.769324904654828*^9}, 3.769324943935536*^9, {
   3.7693390935784082`*^9, 3.769339101386907*^9}, 3.7699549753999977`*^9, 
   3.881161641002528*^9},
 CellLabel->"In[357]:=",
 CellID->1009695339,ExpressionUUID->"c3370d87-a567-44cb-b38c-bc3691421122"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"Missing", "[", 
    RowBox[{"\<\"PartInvalid\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"\<\"age\"\>", ",", "4"}], "}"}]}], "]"}], ",", 
   RowBox[{"Missing", "[", 
    RowBox[{"\<\"PartInvalid\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"\<\"age\"\>", ",", "4"}], "}"}]}], "]"}], ",", 
   RowBox[{"Missing", "[", 
    RowBox[{"\<\"PartInvalid\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"\<\"age\"\>", ",", "4"}], "}"}]}], "]"}], ",", 
   RowBox[{"Missing", "[", 
    RowBox[{"\<\"PartInvalid\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"\<\"age\"\>", ",", "4"}], "}"}]}], "]"}], ",", 
   RowBox[{"Missing", "[", 
    RowBox[{"\<\"PartInvalid\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"\<\"age\"\>", ",", "4"}], "}"}]}], "]"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.742144785993354*^9, 3.742144802354433*^9}, 
   3.7693249060079517`*^9, 3.769325362451911*^9, 3.769332254637587*^9, 
   3.7693393272781982`*^9, 3.769380819600284*^9, 3.7699552803267508`*^9, 
   3.771929814833297*^9, 3.881420463973378*^9},
 CellLabel->"Out[357]=",
 CellID->907330446,ExpressionUUID->"9162944b-8359-4eab-8338-1dff5d9cbcf4"]
}, Open  ]],

Cell[TextData[{
 ButtonBox["Slice",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
Slice"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/Slice"],
 " requires its argument to be strings or integers or lists thereof."
}], "TechNote",
 CellChangeTimes->{{3.7421448216629257`*^9, 3.742144822095859*^9}, 
   3.7803184452054663`*^9, {3.781444485539041*^9, 3.781444492431635*^9}, 
   3.866560295028244*^9, 3.8679244497104588`*^9, {3.867929290964611*^9, 
   3.8679292955451555`*^9}, {3.8699187658958254`*^9, 3.8699187701104217`*^9}},
 CellID->155495114,ExpressionUUID->"1531d1ad-fdc7-4afe-bbf1-a88f901b32cb"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"(", 
    InterpretationBox[
     TagBox[
      TagBox[
       DynamicModuleBox[{Typeset`open = False}, 
        FrameBox[
         PaneSelectorBox[{False->GridBox[{
            {
             PaneBox[GridBox[{
                {
                 StyleBox[
                  StyleBox[
                   AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                   
                   FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                  ShowStringCharacters->False,
                  FontFamily->"Source Sans Pro Black",
                  FontSize->0.6538461538461539 Inherited,
                  FontWeight->"Heavy",
                  PrivateFontOptions->{"OperatorSubstitution"->False}], 
                 StyleBox[
                  RowBox[{
                   StyleBox["Slice", "ResourceFunctionLabel"], " "}],
                  ShowAutoStyles->False,
                  ShowStringCharacters->False,
                  FontSize->Rational[12, 13] Inherited,
                  FontColor->GrayLevel[0.1]]}
               },
               GridBoxSpacings->{"Columns" -> {{0.25}}}],
              Alignment->Left,
              BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
              BaselinePosition->Baseline,
              FrameMargins->{{3, 0}, {0, 0}}], 
             ItemBox[
              PaneBox[
               TogglerBox[Dynamic[Typeset`open], {True->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "IconizeCloser"],
                 ImageSizeCache->{11., {2., 9.}}], False->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "IconizeOpener"],
                 ImageSizeCache->{11., {2., 9.}}]},
                Appearance->None,
                BaselinePosition->Baseline,
                ContentPadding->False,
                FrameMargins->0],
               Alignment->Left,
               BaselinePosition->Baseline,
               FrameMargins->{{1, 1}, {0, 0}}],
              Frame->{{
                 RGBColor[
                 0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                  0.5], False}, {False, False}}]}
           },
           BaselinePosition->{1, 1},
           GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
           
           GridBoxItemSize->{
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
           GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
          GridBox[{
            {GridBox[{
               {
                PaneBox[GridBox[{
                   {
                    StyleBox[
                    StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                    ShowStringCharacters->False,
                    FontFamily->"Source Sans Pro Black",
                    FontSize->0.6538461538461539 Inherited,
                    FontWeight->"Heavy",
                    PrivateFontOptions->{"OperatorSubstitution"->False}], 
                    StyleBox[
                    RowBox[{
                    StyleBox["Slice", "ResourceFunctionLabel"], " "}],
                    ShowAutoStyles->False,
                    ShowStringCharacters->False,
                    FontSize->Rational[12, 13] Inherited,
                    FontColor->GrayLevel[0.1]]}
                  },
                  GridBoxSpacings->{"Columns" -> {{0.25}}}],
                 Alignment->Left,
                 BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
                 BaselinePosition->Baseline,
                 FrameMargins->{{3, 0}, {0, 0}}], 
                ItemBox[
                 PaneBox[
                  TogglerBox[Dynamic[Typeset`open], {True->
                   
                   DynamicBox[FEPrivate`FrontEndResource[
                    "FEBitmaps", "IconizeCloser"]], False->
                   
                   DynamicBox[FEPrivate`FrontEndResource[
                    "FEBitmaps", "IconizeOpener"]]},
                   Appearance->None,
                   BaselinePosition->Baseline,
                   ContentPadding->False,
                   FrameMargins->0],
                  Alignment->Left,
                  BaselinePosition->Baseline,
                  FrameMargins->{{1, 1}, {0, 0}}],
                 Frame->{{
                    RGBColor[
                    0.8313725490196079, 0.8470588235294118, 
                    0.8509803921568627, 0.5], False}, {False, False}}]}
              },
              BaselinePosition->{1, 1},
              
              GridBoxAlignment->{
               "Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
              GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
            {
             StyleBox[
              PaneBox[GridBox[{
                 {
                  RowBox[{
                   TagBox["\<\"Version (latest): \"\>",
                    "IconizedLabel"], " ", 
                   TagBox["\<\"1.0.0\"\>",
                    "IconizedItem"]}]},
                 {
                  TagBox[
                   
                   TemplateBox[{
                    "\"Documentation \[RightGuillemet]\"", 
                    "https://resources.wolframcloud.com/FunctionRepository/\
resources/6480efeb-6565-4850-9ed0-e2c00631d9f6/"},
                    "HyperlinkURL"],
                   "IconizedItem"]}
                },
                DefaultBaseStyle->"Column",
                GridBoxAlignment->{"Columns" -> {{Left}}},
                
                GridBoxItemSize->{
                 "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
               Alignment->Left,
               BaselinePosition->Baseline,
               FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
              FontFamily->"Roboto",
              FontSize->11]}
           },
           BaselinePosition->{1, 1},
           GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
           GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
                GrayLevel[0.8]}, False}},
           
           GridBoxItemSize->{
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
          Typeset`open],
          BaselinePosition->Baseline,
          ImageSize->Automatic],
         Background->RGBColor[
          0.9686274509803922, 0.9764705882352941, 0.984313725490196],
         BaselinePosition->Baseline,
         DefaultBaseStyle->{},
         FrameMargins->{{0, 0}, {1, 0}},
         FrameStyle->RGBColor[
          0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
         RoundingRadius->4]],
       #& ,
       TagBoxNote->" "],
      {"FunctionResourceBox", 
       RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
       "Slice"},
      TagBoxNote->"FunctionResourceBox"],
     ResourceFunction[
      ResourceObject[<|
       "Name" -> "Slice", "ShortName" -> "Slice", "UUID" -> 
        "6480efeb-6565-4850-9ed0-e2c00631d9f6", "ResourceType" -> "Function", 
        "Version" -> "1.0.0", "Description" -> "An operator form of Part", 
        "RepositoryLocation" -> 
        URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
        "SymbolName" -> 
        "FunctionRepository`$1dcc7ca341c64d76bd036187ddf47d79`Slice", 
        "FunctionLocation" -> 
        CloudObject[
         "https://www.wolframcloud.com/objects/ca819436-f7a1-48ec-8b80-\
afd0b05e2067"]|>, ResourceSystemBase -> Automatic]],
     Selectable->False], ")"}], "[", "notAString", "]"}], "[", 
  RowBox[{"Association", "[", 
   RowBox[{
    RowBox[{"notAString", "\[Rule]", "3"}], ",", 
    RowBox[{"notAString2", "\[Rule]", "4"}], ",", 
    RowBox[{"\"\<a string\>\"", "\[Rule]", "5"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.742144829852317*^9, 3.742144830654882*^9}, {
   3.7693249332429028`*^9, 3.769325017383191*^9}, {3.769339334193845*^9, 
   3.76933934246343*^9}, 3.881161644031242*^9},
 CellLabel->"In[358]:=",
 CellID->2066266246,ExpressionUUID->"b5da8380-2752-4024-a645-a1e8dc849262"],

Cell[BoxData[
 RowBox[{"Missing", "[", 
  RowBox[{"\<\"PartInvalid\"\>", ",", "notAString"}], "]"}]], "Output",
 CellChangeTimes->{3.742144834006106*^9, 3.769325022274609*^9, 
  3.769332254678339*^9, 3.769339345121323*^9, 3.769380822175791*^9, 
  3.769955280369156*^9, 3.771929814878068*^9, 3.881420469101366*^9},
 CellLabel->"Out[358]=",
 CellID->2119981247,ExpressionUUID->"01eb1634-9bc9-4459-8858-7df96b646b91"]
}, Open  ]],

Cell[TextData[{
 "But one can fix this by wrapping the symbol in ",
 ButtonBox["Key",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Key.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Key.html"],
 "."
}], "TechNote",
 CellChangeTimes->{{3.769325043963648*^9, 3.769325061738967*^9}, 
   3.866297041306376*^9, {3.867929086298322*^9, 3.8679290870179625`*^9}},
 CellID->1838518621,ExpressionUUID->"73af4bca-b1f8-4ad2-938e-e84f5e7f6500"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"(", 
    InterpretationBox[
     TagBox[
      TagBox[
       DynamicModuleBox[{Typeset`open = False}, 
        FrameBox[
         PaneSelectorBox[{False->GridBox[{
            {
             PaneBox[GridBox[{
                {
                 StyleBox[
                  StyleBox[
                   AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                   
                   FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                  ShowStringCharacters->False,
                  FontFamily->"Source Sans Pro Black",
                  FontSize->0.6538461538461539 Inherited,
                  FontWeight->"Heavy",
                  PrivateFontOptions->{"OperatorSubstitution"->False}], 
                 StyleBox[
                  RowBox[{
                   StyleBox["Slice", "ResourceFunctionLabel"], " "}],
                  ShowAutoStyles->False,
                  ShowStringCharacters->False,
                  FontSize->Rational[12, 13] Inherited,
                  FontColor->GrayLevel[0.1]]}
               },
               GridBoxSpacings->{"Columns" -> {{0.25}}}],
              Alignment->Left,
              BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
              BaselinePosition->Baseline,
              FrameMargins->{{3, 0}, {0, 0}}], 
             ItemBox[
              PaneBox[
               TogglerBox[Dynamic[Typeset`open], {True->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "IconizeCloser"],
                 ImageSizeCache->{11., {2., 9.}}], False->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "IconizeOpener"],
                 ImageSizeCache->{11., {2., 9.}}]},
                Appearance->None,
                BaselinePosition->Baseline,
                ContentPadding->False,
                FrameMargins->0],
               Alignment->Left,
               BaselinePosition->Baseline,
               FrameMargins->{{1, 1}, {0, 0}}],
              Frame->{{
                 RGBColor[
                 0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                  0.5], False}, {False, False}}]}
           },
           BaselinePosition->{1, 1},
           GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
           
           GridBoxItemSize->{
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
           GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
          GridBox[{
            {GridBox[{
               {
                PaneBox[GridBox[{
                   {
                    StyleBox[
                    StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                    ShowStringCharacters->False,
                    FontFamily->"Source Sans Pro Black",
                    FontSize->0.6538461538461539 Inherited,
                    FontWeight->"Heavy",
                    PrivateFontOptions->{"OperatorSubstitution"->False}], 
                    StyleBox[
                    RowBox[{
                    StyleBox["Slice", "ResourceFunctionLabel"], " "}],
                    ShowAutoStyles->False,
                    ShowStringCharacters->False,
                    FontSize->Rational[12, 13] Inherited,
                    FontColor->GrayLevel[0.1]]}
                  },
                  GridBoxSpacings->{"Columns" -> {{0.25}}}],
                 Alignment->Left,
                 BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
                 BaselinePosition->Baseline,
                 FrameMargins->{{3, 0}, {0, 0}}], 
                ItemBox[
                 PaneBox[
                  TogglerBox[Dynamic[Typeset`open], {True->
                   
                   DynamicBox[FEPrivate`FrontEndResource[
                    "FEBitmaps", "IconizeCloser"]], False->
                   
                   DynamicBox[FEPrivate`FrontEndResource[
                    "FEBitmaps", "IconizeOpener"]]},
                   Appearance->None,
                   BaselinePosition->Baseline,
                   ContentPadding->False,
                   FrameMargins->0],
                  Alignment->Left,
                  BaselinePosition->Baseline,
                  FrameMargins->{{1, 1}, {0, 0}}],
                 Frame->{{
                    RGBColor[
                    0.8313725490196079, 0.8470588235294118, 
                    0.8509803921568627, 0.5], False}, {False, False}}]}
              },
              BaselinePosition->{1, 1},
              
              GridBoxAlignment->{
               "Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
              GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
            {
             StyleBox[
              PaneBox[GridBox[{
                 {
                  RowBox[{
                   TagBox["\<\"Version (latest): \"\>",
                    "IconizedLabel"], " ", 
                   TagBox["\<\"1.0.0\"\>",
                    "IconizedItem"]}]},
                 {
                  TagBox[
                   
                   TemplateBox[{
                    "\"Documentation \[RightGuillemet]\"", 
                    "https://resources.wolframcloud.com/FunctionRepository/\
resources/6480efeb-6565-4850-9ed0-e2c00631d9f6/"},
                    "HyperlinkURL"],
                   "IconizedItem"]}
                },
                DefaultBaseStyle->"Column",
                GridBoxAlignment->{"Columns" -> {{Left}}},
                
                GridBoxItemSize->{
                 "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
               Alignment->Left,
               BaselinePosition->Baseline,
               FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
              FontFamily->"Roboto",
              FontSize->11]}
           },
           BaselinePosition->{1, 1},
           GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
           GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
                GrayLevel[0.8]}, False}},
           
           GridBoxItemSize->{
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
          Typeset`open],
          BaselinePosition->Baseline,
          ImageSize->Automatic],
         Background->RGBColor[
          0.9686274509803922, 0.9764705882352941, 0.984313725490196],
         BaselinePosition->Baseline,
         DefaultBaseStyle->{},
         FrameMargins->{{0, 0}, {1, 0}},
         FrameStyle->RGBColor[
          0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
         RoundingRadius->4]],
       #& ,
       TagBoxNote->" "],
      {"FunctionResourceBox", 
       RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
       "Slice"},
      TagBoxNote->"FunctionResourceBox"],
     ResourceFunction[
      ResourceObject[<|
       "Name" -> "Slice", "ShortName" -> "Slice", "UUID" -> 
        "6480efeb-6565-4850-9ed0-e2c00631d9f6", "ResourceType" -> "Function", 
        "Version" -> "1.0.0", "Description" -> "An operator form of Part", 
        "RepositoryLocation" -> 
        URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
        "SymbolName" -> 
        "FunctionRepository`$1dcc7ca341c64d76bd036187ddf47d79`Slice", 
        "FunctionLocation" -> 
        CloudObject[
         "https://www.wolframcloud.com/objects/ca819436-f7a1-48ec-8b80-\
afd0b05e2067"]|>, ResourceSystemBase -> Automatic]],
     Selectable->False], ")"}], "[", 
   RowBox[{"Key", "[", "notAString", "]"}], "]"}], "[", 
  RowBox[{"Association", "[", 
   RowBox[{
    RowBox[{"notAString", "\[Rule]", "3"}], ",", 
    RowBox[{"notAString2", "\[Rule]", "4"}], ",", 
    RowBox[{"\"\<a string\>\"", "\[Rule]", "5"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.742144829852317*^9, 3.742144830654882*^9}, {
   3.7693249332429028`*^9, 3.769325035001638*^9}, {3.7693393517223*^9, 
   3.769339352656434*^9}, 3.881161646989113*^9},
 CellLabel->"In[359]:=",
 CellID->228274792,ExpressionUUID->"3215d992-676e-4f13-9081-f2a01fe35125"],

Cell[BoxData["3"], "Output",
 CellChangeTimes->{3.769325035488192*^9, 3.7693322546980343`*^9, 
  3.769339353765691*^9, 3.7693808237949867`*^9, 3.769955280381497*^9, 
  3.771929814889337*^9, 3.8814204724619417`*^9},
 CellLabel->"Out[359]=",
 CellID->401285920,ExpressionUUID->"cc1508cf-e8d2-49cc-80b4-c4085352a36f"]
}, Open  ]],

Cell[TextData[{
 "Beware of Associations with integer keys. Compare the results of the \
following piece of code, which makes use of the \[OpenCurlyDoubleQuote]nutty\
\[CloseCurlyDoubleQuote] ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " described at the start of the chapter."
}], "TechNote",
 CellChangeTimes->{{3.651515120816633*^9, 3.651515125814807*^9}, 
   3.6515155174947033`*^9, {3.7421442231273746`*^9, 3.742144241431307*^9}, {
   3.742145362918118*^9, 3.742145363239333*^9}, {3.742145410497758*^9, 
   3.742145423921665*^9}, {3.769325137422574*^9, 3.7693251552218924`*^9}, 
   3.857471199817827*^9},
 CellTags->"p: 107",
 CellID->815084938,ExpressionUUID->"331005ba-0f08-4515-815e-5eb8f9323f49"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{
     InterpretationBox[
      TagBox[
       TagBox[
        DynamicModuleBox[{Typeset`open = False}, 
         FrameBox[
          PaneSelectorBox[{False->GridBox[{
             {
              PaneBox[GridBox[{
                 {
                  StyleBox[
                   StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                   ShowStringCharacters->False,
                   FontFamily->"Source Sans Pro Black",
                   FontSize->0.6538461538461539 Inherited,
                   FontWeight->"Heavy",
                   PrivateFontOptions->{"OperatorSubstitution"->False}], 
                  StyleBox[
                   RowBox[{
                    StyleBox["Slice", "ResourceFunctionLabel"], " "}],
                   ShowAutoStyles->False,
                   ShowStringCharacters->False,
                   FontSize->Rational[12, 13] Inherited,
                   FontColor->GrayLevel[0.1]]}
                },
                GridBoxSpacings->{"Columns" -> {{0.25}}}],
               Alignment->Left,
               BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
               BaselinePosition->Baseline,
               FrameMargins->{{3, 0}, {0, 0}}], 
              ItemBox[
               PaneBox[
                TogglerBox[Dynamic[Typeset`open], {True->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeCloser"],
                  ImageSizeCache->{11., {2., 9.}}], False->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeOpener"],
                  ImageSizeCache->{11., {2., 9.}}]},
                 Appearance->None,
                 BaselinePosition->Baseline,
                 ContentPadding->False,
                 FrameMargins->0],
                Alignment->Left,
                BaselinePosition->Baseline,
                FrameMargins->{{1, 1}, {0, 0}}],
               Frame->{{
                  RGBColor[
                  0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                   0.5], False}, {False, False}}]}
            },
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
           GridBox[{
             {GridBox[{
                {
                 PaneBox[GridBox[{
                    {
                    StyleBox[
                    StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                    ShowStringCharacters->False,
                    FontFamily->"Source Sans Pro Black",
                    FontSize->0.6538461538461539 Inherited,
                    FontWeight->"Heavy",
                    PrivateFontOptions->{"OperatorSubstitution"->False}], 
                    StyleBox[
                    RowBox[{
                    StyleBox["Slice", "ResourceFunctionLabel"], " "}],
                    ShowAutoStyles->False,
                    ShowStringCharacters->False,
                    FontSize->Rational[12, 13] Inherited,
                    FontColor->GrayLevel[0.1]]}
                   },
                   GridBoxSpacings->{"Columns" -> {{0.25}}}],
                  Alignment->Left,
                  BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
                  BaselinePosition->Baseline,
                  FrameMargins->{{3, 0}, {0, 0}}], 
                 ItemBox[
                  PaneBox[
                   TogglerBox[Dynamic[Typeset`open], {True->
                    
                    DynamicBox[FEPrivate`FrontEndResource[
                    "FEBitmaps", "IconizeCloser"]], False->
                    
                    DynamicBox[FEPrivate`FrontEndResource[
                    "FEBitmaps", "IconizeOpener"]]},
                    Appearance->None,
                    BaselinePosition->Baseline,
                    ContentPadding->False,
                    FrameMargins->0],
                   Alignment->Left,
                   BaselinePosition->Baseline,
                   FrameMargins->{{1, 1}, {0, 0}}],
                  Frame->{{
                    RGBColor[
                    0.8313725490196079, 0.8470588235294118, 
                    0.8509803921568627, 0.5], False}, {False, False}}]}
               },
               BaselinePosition->{1, 1},
               
               GridBoxAlignment->{
                "Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
               GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
             {
              StyleBox[
               PaneBox[GridBox[{
                  {
                   RowBox[{
                    TagBox["\<\"Version (latest): \"\>",
                    "IconizedLabel"], " ", 
                    TagBox["\<\"1.0.0\"\>",
                    "IconizedItem"]}]},
                  {
                   TagBox[
                    
                    TemplateBox[{
                    "\"Documentation \[RightGuillemet]\"", 
                    "https://resources.wolframcloud.com/FunctionRepository/\
resources/6480efeb-6565-4850-9ed0-e2c00631d9f6/"},
                    "HyperlinkURL"],
                    "IconizedItem"]}
                 },
                 DefaultBaseStyle->"Column",
                 GridBoxAlignment->{"Columns" -> {{Left}}},
                 
                 GridBoxItemSize->{
                  "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
                Alignment->Left,
                BaselinePosition->Baseline,
                FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
               FontFamily->"Roboto",
               FontSize->11]}
            },
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
            GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
                 GrayLevel[0.8]}, False}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
           Typeset`open],
           BaselinePosition->Baseline,
           ImageSize->Automatic],
          
          Background->RGBColor[
           0.9686274509803922, 0.9764705882352941, 0.984313725490196],
          BaselinePosition->Baseline,
          DefaultBaseStyle->{},
          FrameMargins->{{0, 0}, {1, 0}},
          
          FrameStyle->RGBColor[
           0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
          RoundingRadius->4]],
        #& ,
        TagBoxNote->" "],
       {"FunctionResourceBox", 
        RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784],
         "Slice"},
       TagBoxNote->"FunctionResourceBox"],
      ResourceFunction[
       ResourceObject[<|
        "Name" -> "Slice", "ShortName" -> "Slice", "UUID" -> 
         "6480efeb-6565-4850-9ed0-e2c00631d9f6", "ResourceType" -> "Function",
          "Version" -> "1.0.0", "Description" -> "An operator form of Part", 
         "RepositoryLocation" -> 
         URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
         "SymbolName" -> 
         "FunctionRepository`$1dcc7ca341c64d76bd036187ddf47d79`Slice", 
         "FunctionLocation" -> 
         CloudObject[
          "https://www.wolframcloud.com/objects/ca819436-f7a1-48ec-8b80-\
afd0b05e2067"]|>, ResourceSystemBase -> Automatic]],
      Selectable->False], "[", "8", "]"}], "[", "nutty", "]"}], ",", 
   RowBox[{
    RowBox[{
     InterpretationBox[
      TagBox[
       TagBox[
        DynamicModuleBox[{Typeset`open = False}, 
         FrameBox[
          PaneSelectorBox[{False->GridBox[{
             {
              PaneBox[GridBox[{
                 {
                  StyleBox[
                   StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                   ShowStringCharacters->False,
                   FontFamily->"Source Sans Pro Black",
                   FontSize->0.6538461538461539 Inherited,
                   FontWeight->"Heavy",
                   PrivateFontOptions->{"OperatorSubstitution"->False}], 
                  StyleBox[
                   RowBox[{
                    StyleBox["Slice", "ResourceFunctionLabel"], " "}],
                   ShowAutoStyles->False,
                   ShowStringCharacters->False,
                   FontSize->Rational[12, 13] Inherited,
                   FontColor->GrayLevel[0.1]]}
                },
                GridBoxSpacings->{"Columns" -> {{0.25}}}],
               Alignment->Left,
               BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
               BaselinePosition->Baseline,
               FrameMargins->{{3, 0}, {0, 0}}], 
              ItemBox[
               PaneBox[
                TogglerBox[Dynamic[Typeset`open], {True->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeCloser"],
                  ImageSizeCache->{11., {2., 9.}}], False->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeOpener"],
                  ImageSizeCache->{11., {2., 9.}}]},
                 Appearance->None,
                 BaselinePosition->Baseline,
                 ContentPadding->False,
                 FrameMargins->0],
                Alignment->Left,
                BaselinePosition->Baseline,
                FrameMargins->{{1, 1}, {0, 0}}],
               Frame->{{
                  RGBColor[
                  0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                   0.5], False}, {False, False}}]}
            },
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
           GridBox[{
             {GridBox[{
                {
                 PaneBox[GridBox[{
                    {
                    StyleBox[
                    StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                    ShowStringCharacters->False,
                    FontFamily->"Source Sans Pro Black",
                    FontSize->0.6538461538461539 Inherited,
                    FontWeight->"Heavy",
                    PrivateFontOptions->{"OperatorSubstitution"->False}], 
                    StyleBox[
                    RowBox[{
                    StyleBox["Slice", "ResourceFunctionLabel"], " "}],
                    ShowAutoStyles->False,
                    ShowStringCharacters->False,
                    FontSize->Rational[12, 13] Inherited,
                    FontColor->GrayLevel[0.1]]}
                   },
                   GridBoxSpacings->{"Columns" -> {{0.25}}}],
                  Alignment->Left,
                  BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
                  BaselinePosition->Baseline,
                  FrameMargins->{{3, 0}, {0, 0}}], 
                 ItemBox[
                  PaneBox[
                   TogglerBox[Dynamic[Typeset`open], {True->
                    
                    DynamicBox[FEPrivate`FrontEndResource[
                    "FEBitmaps", "IconizeCloser"]], False->
                    
                    DynamicBox[FEPrivate`FrontEndResource[
                    "FEBitmaps", "IconizeOpener"]]},
                    Appearance->None,
                    BaselinePosition->Baseline,
                    ContentPadding->False,
                    FrameMargins->0],
                   Alignment->Left,
                   BaselinePosition->Baseline,
                   FrameMargins->{{1, 1}, {0, 0}}],
                  Frame->{{
                    RGBColor[
                    0.8313725490196079, 0.8470588235294118, 
                    0.8509803921568627, 0.5], False}, {False, False}}]}
               },
               BaselinePosition->{1, 1},
               
               GridBoxAlignment->{
                "Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
               GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
             {
              StyleBox[
               PaneBox[GridBox[{
                  {
                   RowBox[{
                    TagBox["\<\"Version (latest): \"\>",
                    "IconizedLabel"], " ", 
                    TagBox["\<\"1.0.0\"\>",
                    "IconizedItem"]}]},
                  {
                   TagBox[
                    
                    TemplateBox[{
                    "\"Documentation \[RightGuillemet]\"", 
                    "https://resources.wolframcloud.com/FunctionRepository/\
resources/6480efeb-6565-4850-9ed0-e2c00631d9f6/"},
                    "HyperlinkURL"],
                    "IconizedItem"]}
                 },
                 DefaultBaseStyle->"Column",
                 GridBoxAlignment->{"Columns" -> {{Left}}},
                 
                 GridBoxItemSize->{
                  "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
                Alignment->Left,
                BaselinePosition->Baseline,
                FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
               FontFamily->"Roboto",
               FontSize->11]}
            },
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
            GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
                 GrayLevel[0.8]}, False}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
           Typeset`open],
           BaselinePosition->Baseline,
           ImageSize->Automatic],
          
          Background->RGBColor[
           0.9686274509803922, 0.9764705882352941, 0.984313725490196],
          BaselinePosition->Baseline,
          DefaultBaseStyle->{},
          FrameMargins->{{0, 0}, {1, 0}},
          
          FrameStyle->RGBColor[
           0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
          RoundingRadius->4]],
        #& ,
        TagBoxNote->" "],
       {"FunctionResourceBox", 
        RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784],
         "Slice"},
       TagBoxNote->"FunctionResourceBox"],
      ResourceFunction[
       ResourceObject[<|
        "Name" -> "Slice", "ShortName" -> "Slice", "UUID" -> 
         "6480efeb-6565-4850-9ed0-e2c00631d9f6", "ResourceType" -> "Function",
          "Version" -> "1.0.0", "Description" -> "An operator form of Part", 
         "RepositoryLocation" -> 
         URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
         "SymbolName" -> 
         "FunctionRepository`$1dcc7ca341c64d76bd036187ddf47d79`Slice", 
         "FunctionLocation" -> 
         CloudObject[
          "https://www.wolframcloud.com/objects/ca819436-f7a1-48ec-8b80-\
afd0b05e2067"]|>, ResourceSystemBase -> Automatic]],
      Selectable->False], "[", 
     RowBox[{"Key", "@", "8"}], "]"}], "[", "nutty", "]"}]}], "}"}]], "Input",
 CellChangeTimes->{{3.742144016916769*^9, 3.742144101192356*^9}, {
  3.742144138145389*^9, 3.742144142450005*^9}, {3.7421442439275513`*^9, 
  3.742144263282516*^9}, {3.742145385929337*^9, 3.742145395206728*^9}, {
  3.742145426908011*^9, 3.7421454295877647`*^9}, {3.769325171292782*^9, 
  3.7693252234152193`*^9}, {3.7693252867788754`*^9, 3.7693252889734497`*^9}, {
  3.769325375152679*^9, 3.7693253775001717`*^9}, {3.7693393703071136`*^9, 
  3.7693393856604643`*^9}, {3.769975757810904*^9, 3.769975762081492*^9}, {
  3.8811616551151876`*^9, 3.881161658084228*^9}},
 CellLabel->"In[360]:=",
 CellID->1425883754,ExpressionUUID->"14381783-84dc-4020-a25a-34e0b138955a"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"gee\"\>", ",", "1"}], "}"}]], "Output",
 CellChangeTimes->{{3.742144022731756*^9, 3.74214410166847*^9}, 
   3.742144144220861*^9, 3.742144263712921*^9, {3.7421453910481586`*^9, 
   3.742145395636897*^9}, 3.7421454300559883`*^9, {3.7693252145257893`*^9, 
   3.7693252308692083`*^9}, 3.769325289895668*^9, 3.769325377968351*^9, 
   3.769332254747594*^9, {3.769339376118107*^9, 3.769339386066031*^9}, 
   3.7693397009109907`*^9, 3.7699552804221*^9, 3.771929814937491*^9, 
   3.881420476419057*^9},
 CellLabel->"Out[360]=",
 CellID->1876751088,ExpressionUUID->"c2c9849f-9233-4aad-ac9c-e76f96070390"]
}, Open  ]],

Cell[TextData[{
 "Likewise, beware of Associations with Boolean keys (",
 ButtonBox["True",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/True.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/True.html"],
 " or ",
 ButtonBox["False",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/False.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/False.html"],
 ")."
}], "TechNote",
 CellChangeTimes->{{3.742231411443356*^9, 3.742231424995112*^9}, {
   3.742231714913189*^9, 3.74223172995503*^9}, {3.7760893928875103`*^9, 
   3.7760894034085617`*^9}, 3.866297061568153*^9},
 CellID->1123688141,ExpressionUUID->"db36772f-95ca-41fd-af7a-62d76e99354c"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"assocBoolean", "=", 
  RowBox[{"Association", "[", 
   RowBox[{
    RowBox[{"True", "\[Rule]", "8"}], ",", 
    RowBox[{"False", "\[Rule]", "3"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.742231428484179*^9, 3.742231443888709*^9}},
 CellLabel->"In[361]:=",
 CellID->151742684,ExpressionUUID->"577906f0-baac-4067-b141-dffac1fff5ef"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"True", "\[Rule]", "8"}], ",", 
   RowBox[{"False", "\[Rule]", "3"}]}], "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{3.742231444363471*^9, 3.769325382763534*^9, 
  3.7693322547617617`*^9, 3.769339711125029*^9, 3.769380826061853*^9, 
  3.769955280536379*^9, 3.771929814946577*^9, 3.881420485208313*^9},
 CellLabel->"Out[361]=",
 CellID->1134127254,ExpressionUUID->"e3fb19a2-0f05-4b71-a489-c630da48810b"]
}, Open  ]],

Cell[TextData[{
 "The ",
 ButtonBox["Part",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Part.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Part.html"],
 " function does not accept Boolean values, nor does the corresponding ",
 ButtonBox["Slice",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
Slice"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/Slice"],
 " function. Many errors can occur when the keys are Booleans."
}], "TechNote",
 CellChangeTimes->{{3.742231463116762*^9, 3.742231481835669*^9}, {
   3.7422317457742*^9, 3.7422317720555763`*^9}, {3.7422320196466293`*^9, 
   3.742232029427829*^9}, {3.776089406567878*^9, 3.7760894117753983`*^9}, {
   3.776089573358913*^9, 3.7760895746379128`*^9}, 3.8574712221796207`*^9, {
   3.8699187887638316`*^9, 3.8699187953005085`*^9}},
 CellID->682522427,ExpressionUUID->"45bf3bb7-ea88-4653-8196-c23b043f20de"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"assocBoolean", "[", 
    RowBox[{"[", "False", "]"}], "]"}], ",", 
   RowBox[{
    RowBox[{
     RowBox[{"ResourceFunction", "[", "\"\<Slice\>\"", "]"}], "[", "False", 
     "]"}], "[", "assocBoolean", "]"}]}], "}"}]], "Input",
 CellChangeTimes->{{3.742231448711302*^9, 3.742231456989361*^9}, {
  3.7422315368644876`*^9, 3.742231543414702*^9}, {3.74223177510594*^9, 
  3.7422317810904818`*^9}, {3.769325393897028*^9, 3.769325402734288*^9}, {
  3.769339390995675*^9, 3.769339395515602*^9}},
 CellLabel->"In[362]:=",
 CellID->1667213058,ExpressionUUID->"8942c3dd-8b21-4aa5-8c8f-cd81a9185d28"],

Cell[BoxData[
 TemplateBox[{
  "Part", "pkspec1", 
   "\"The expression \\!\\(\\*RowBox[{\\\"False\\\"}]\\) cannot be used as a \
part specification.\"", 2, 159, 6, 27285886807158689176, "Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.742231782072248*^9, 3.769325403351254*^9, 
  3.7693322547960663`*^9, 3.769339396034237*^9, 3.769339713287685*^9, 
  3.76938083293862*^9, 3.769955280588393*^9, 3.771929814991169*^9},
 CellLabel->"During evaluation of In[159]:=",
 CellID->96530985,ExpressionUUID->"05882198-dd69-440e-a30f-e0ce4f660d2c"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"\[LeftAssociation]", 
     RowBox[{
      RowBox[{"True", "\[Rule]", "8"}], ",", 
      RowBox[{"False", "\[Rule]", "3"}]}], "\[RightAssociation]"}], 
    "\[LeftDoubleBracket]", "False", "\[RightDoubleBracket]"}], ",", 
   RowBox[{"Missing", "[", 
    RowBox[{"\<\"PartInvalid\"\>", ",", "False"}], "]"}]}], "}"}]], "Output",
 CellChangeTimes->{3.769380832943424*^9, 3.769955280593577*^9, 
  3.7719298150394993`*^9, 3.8814204913848133`*^9},
 CellLabel->"Out[362]=",
 CellID->362577459,ExpressionUUID->"2e918909-30f4-433d-a366-e39759f3bece"]
}, Open  ]],

Cell[TextData[{
 "When it occurs, a fix for this problem is to turn the Boolean keys into \
strings. This can be done using ",
 ButtonBox["KeyMap",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/KeyMap.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/KeyMap.html"],
 ". Here is the result in ",
 ButtonBox["InputForm",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/InputForm.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/InputForm.html"],
 " so one can see the quotation marks."
}], "TechNote",
 CellChangeTimes->{{3.742231789386424*^9, 3.742231814029611*^9}, {
   3.769339721544477*^9, 3.769339727473022*^9}, {3.76938085177034*^9, 
   3.769380862287019*^9}, 3.776089643902913*^9, 3.78031847998979*^9, 
   3.85747124740481*^9, {3.867929091440318*^9, 3.867929092205063*^9}, {
   3.8679293225538225`*^9, 3.86792932572192*^9}},
 CellID->1090937348,ExpressionUUID->"1c924b92-6160-4f0e-bdf6-5322b7d94687"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"InputForm", "[", 
  RowBox[{"assocBooleanString", "=", 
   RowBox[{"KeyMap", "[", 
    RowBox[{"ToString", ",", "assocBoolean"}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.742231849297222*^9, 3.742231931204685*^9}},
 CellLabel->"In[363]:=",
 CellID->1059951978,ExpressionUUID->"0cb37e67-c983-4cae-becc-e0e7788ed52e"],

Cell["<|\"True\" -> 8, \"False\" -> 3|>", "Output",
 CellChangeTimes->{3.742231932925518*^9, 3.769325407285171*^9, 
  3.769332254820777*^9, 3.769339715786778*^9, 3.7693808471425037`*^9, 
  3.7699552806039248`*^9, 3.7719298151736593`*^9, 3.881420508375676*^9},
 CellLabel->"Out[363]//InputForm=",
 CellID->1564122828,ExpressionUUID->"f66f4bff-8fe5-4e59-955b-b3a6bb53957f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"assocBooleanString", "[", 
    RowBox[{"[", "\"\<False\>\"", "]"}], "]"}], ",", 
   RowBox[{
    RowBox[{
     RowBox[{"ResourceFunction", "[", "\"\<Slice\>\"", "]"}], "[", 
     "\"\<False\>\"", "]"}], "[", "assocBooleanString", "]"}], ",", 
   RowBox[{
    RowBox[{"#False", "&"}], "[", "assocBooleanString", "]"}]}], 
  "}"}]], "Input",
 CellChangeTimes->{{3.742231849297222*^9, 3.742231931204685*^9}, {
  3.742231973537415*^9, 3.742231992852891*^9}, {3.769325413171913*^9, 
  3.769325423948407*^9}, {3.769339734202607*^9, 3.7693397392852163`*^9}},
 CellLabel->"In[364]:=",
 CellID->654335588,ExpressionUUID->"17daddb7-170c-4982-b401-227d08d04595"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"3", ",", "3", ",", "3"}], "}"}]], "Output",
 CellChangeTimes->{{3.742231983746593*^9, 3.7422319938348007`*^9}, 
   3.7693322548618927`*^9, 3.7693397398569*^9, 3.7693808649639473`*^9, 
   3.769955280652076*^9, 3.771929815184428*^9, 3.881420511902638*^9},
 CellLabel->"Out[364]=",
 CellID->866609593,ExpressionUUID->"7fda2f6a-e1dc-48cd-82bb-502f77287a00"]
}, Open  ]],

Cell[TextData[{
 "There is the potential to lose information when using ",
 ButtonBox["Merge",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Merge.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Merge.html"],
 ". Suppose, for example, that I have a ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of Associations that are \[OpenCurlyDoubleQuote]ragged,\
\[CloseCurlyDoubleQuote] i.e. the set of keys is not identical over the \
rows."
}], "TechNote",
 CellChangeTimes->{{3.740479450593164*^9, 3.740479499854875*^9}, {
   3.740479549107108*^9, 3.740479559981092*^9}, {3.7421458710517473`*^9, 
   3.742145922420651*^9}, 3.7458706954673967`*^9, {3.769339785659235*^9, 
   3.769339914460895*^9}, {3.7760897129279127`*^9, 3.776089718312913*^9}, 
   3.857471302643383*^9},
 CellID->462944545,ExpressionUUID->"a2aaadbf-deb1-43d4-8956-4376fcc5fe0c"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"dinghyRagged", "=", 
  RowBox[{"DeleteMissing", "[", 
   RowBox[{"dinghy", ",", "2", ",", "2"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.769339847794145*^9, 3.7693398864254*^9}, {
  3.7699549773819923`*^9, 3.769954978105279*^9}},
 CellLabel->"In[365]:=",
 CellID->1157960862,ExpressionUUID->"0c8d0f69-5216-4e07-97a0-7f2404a6f137"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "16"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "True"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"1st\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "65"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"male\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "2"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "True"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "18"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
    "\[RightAssociation]"}]}], "}"}]], "Output",
 CellChangeTimes->{3.7693398549048862`*^9, 3.769339944975361*^9, 
  3.76938088673857*^9, 3.769955280662098*^9, 3.771929815226529*^9, 
  3.8814205196469107`*^9},
 CellLabel->"Out[365]=",
 CellID->1580701749,ExpressionUUID->"33f22411-b9f6-436e-b3b0-235a789972da"]
}, Open  ]],

Cell["\<\
Now when I merge, I get Lists of five values for all the keys except age. It\
\[CloseCurlyQuote]s impossible to reverse the merger because I don\
\[CloseCurlyQuote]t know which row omitted the age key.\
\>", "TechNote",
 CellDingbat->None,
 CellChangeTimes->{{3.7693399177468443`*^9, 3.769339987789117*^9}, {
  3.776089722782913*^9, 3.776089726902913*^9}, {3.85703522188374*^9, 
  3.857035222378549*^9}},
 CellID->590121438,ExpressionUUID->"6818ef2d-c330-404d-8dd9-e516877e151d"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Merge", "[", 
  RowBox[{"dinghyRagged", ",", "Identity"}], "]"}]], "Input",
 CellChangeTimes->{{3.769339926263587*^9, 3.76933993259583*^9}, 
   3.7699549788998632`*^9},
 CellLabel->"In[366]:=",
 CellID->1384002793,ExpressionUUID->"c62641e2-c8ea-4a62-8411-b90d4972727a"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"class\"\>", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\<\"3rd\"\>", ",", "\<\"1st\"\>", ",", "\<\"3rd\"\>", 
      ",", "\<\"3rd\"\>", ",", "\<\"3rd\"\>"}], "}"}]}], ",", 
   RowBox[{"\<\"age\"\>", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"16", ",", "65", ",", "2", ",", "18"}], "}"}]}], ",", 
   RowBox[{"\<\"sex\"\>", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\<\"female\"\>", ",", "\<\"male\"\>", ",", "\<\"female\"\>", 
      ",", "\<\"female\"\>", ",", "\<\"female\"\>"}], "}"}]}], ",", 
   RowBox[{"\<\"survived\"\>", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"True", ",", "False", ",", "False", ",", "True", ",", "False"}], 
     "}"}]}]}], "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{{3.769339933007125*^9, 3.769339948569775*^9}, 
   3.769380889777878*^9, 3.769955280711285*^9, 3.771929815272326*^9, 
   3.881420572837064*^9},
 CellLabel->"Out[366]=",
 CellID->333705480,ExpressionUUID->"a4683d20-f347-40cd-a8f2-a82921f92ab5"]
}, Open  ]],

Cell[TextData[{
 "There are a growing number of functions with operator forms. This code, \
which finds many of them, may take a minute or so to run. To get a full list \
of functions instead of just the number of such functions, try deleting the \
",
 ButtonBox["Length",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Length.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Length.html"],
 " wrapper from the code."
}], "TechNote",
 CellChangeTimes->{{3.740478055939933*^9, 3.740478085565255*^9}, {
   3.740478167906209*^9, 3.740478171599921*^9}, {3.740478230664959*^9, 
   3.740478252136757*^9}, {3.769342143388995*^9, 3.769342160597185*^9}, {
   3.7693809378869057`*^9, 3.769380993947563*^9}, {3.776089793738913*^9, 
   3.776089801557913*^9}, 3.86629743056776*^9},
 CellTags->"p: 108",
 CellID->810815001,ExpressionUUID->"b39daf8b-7435-4778-8e89-6f4e8cf9eb6b"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", 
  RowBox[{"WolframLanguageData", "[", 
   TemplateBox[{"\"Wolfram Language curryable symbols\"", 
     RowBox[{"EntityClass", "[", 
       RowBox[{"\"WolframLanguageSymbol\"", ",", "\"Curryable\""}], "]"}], 
     "\"EntityClass[\\\"WolframLanguageSymbol\\\", \\\"Curryable\\\"]\"", 
     "\"Wolfram Language symbols\""},
    "EntityClass"], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.769342066830765*^9, 3.769342068148251*^9}, {
  3.7693421069724703`*^9, 3.7693421371678953`*^9}},
 CellLabel->"In[367]:=",
 CellID->1501097205,ExpressionUUID->"c14d07a5-5c98-4eaa-9b73-9efa7c32d923"],

Cell[BoxData["124"], "Output",
 CellChangeTimes->{{3.769342115846087*^9, 3.76934213744097*^9}, 
   3.769380944236205*^9, 3.769381005183784*^9, 3.769424579727579*^9, 
   3.769955280997628*^9, 3.7719298155744467`*^9, 3.881420578524794*^9},
 CellLabel->"Out[367]=",
 CellID->1575497548,ExpressionUUID->"430589a9-2b10-409b-b0ff-8e2a41c7954e"]
}, Open  ]],

Cell[TextData[{
 "The Wolfram Language kernel views Associations as \
\[OpenCurlyDoubleQuote]atomic,\[CloseCurlyDoubleQuote] so some operations, \
like ",
 ButtonBox["Fold",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Fold.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Fold.html"],
 ", that work on Lists do not work on Associations. Thus, a ",
 ButtonBox["Fold",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Fold.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Fold.html"],
 " on the values of ",
 Cell[BoxData[
 "chingAssociation"], "InlineCode",ExpressionUUID->
  "a9b06041-610d-42c8-b147-6dcbdda79063"],
 " produces a transformation of the expression."
}], "TechNote",
 CellChangeTimes->{{3.739616928381147*^9, 3.7396169525724916`*^9}, {
  3.739617030831815*^9, 3.7396170529286137`*^9}, {3.7411117631616783`*^9, 
  3.7411117662212353`*^9}, {3.7697763714671087`*^9, 3.769776421045475*^9}, {
  3.769776478613063*^9, 3.769776539081759*^9}, {3.7760904446849127`*^9, 
  3.776090473859913*^9}, {3.776090542481913*^9, 3.776090554417913*^9}, {
  3.866560450588331*^9, 3.866560451277027*^9}, {3.867929347761684*^9, 
  3.8679293484966717`*^9}, {3.895816710144129*^9, 3.895816716824087*^9}},
 CellID->556020187,ExpressionUUID->"01cc008b-cfc6-4dd9-9e35-634454b5c763"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Fold", "[", 
  RowBox[{"f", ",", "x", ",", 
   RowBox[{"Values", "[", "chingAssociation", "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.769776427178776*^9, 3.769776448251617*^9}},
 CellLabel->"In[527]:=",
 CellID->1391035370,ExpressionUUID->"864ed577-1d8b-4607-a0e6-727f77a1fcef"],

Cell[BoxData[
 RowBox[{"f", "[", 
  RowBox[{
   RowBox[{"f", "[", 
    RowBox[{
     RowBox[{"f", "[", 
      RowBox[{
       RowBox[{"f", "[", 
        RowBox[{
         RowBox[{"f", "[", 
          RowBox[{
           RowBox[{"f", "[", 
            RowBox[{
             RowBox[{"f", "[", 
              RowBox[{"x", ",", "\<\"HOU\"\>"}], "]"}], 
             ",", "\<\"Ching\"\>"}], "]"}], ",", "\<\"Brian\"\>"}], "]"}], 
         ",", "\<\"F\"\>"}], "]"}], ",", 
       TemplateBox[{"220000", 
         RowBox[{
           FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
         "US dollars", "\"USDollars\""},
        "QuantityPrefix"]}], "]"}], ",", 
     TemplateBox[{"220000", 
       RowBox[{
         FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
       "US dollars", "\"USDollars\""},
      "QuantityPrefix"]}], "]"}], ",", 
   TemplateBox[{
     RowBox[{
       StyleBox["\"Year: \"", "DateObjectLabel"], "\"2007\""}], 
     RowBox[{"DateObject", "[", 
       RowBox[{
         RowBox[{"{", "2007", "}"}], ",", "\"Year\"", ",", "\"Gregorian\"", 
         ",", 
         RowBox[{"-", "5.`"}]}], "]"}]},
    "DateObject",
    Editable->False]}], "]"}]], "Output",
 CellChangeTimes->{3.7697764749532223`*^9, 3.769955281009762*^9, 
  3.771929815585505*^9, 3.881420617705555*^9, 3.8814247014350643`*^9},
 CellLabel->"Out[527]=",
 CellID->1834786413,ExpressionUUID->"8c8ac031-62a6-4bc1-8ba4-59d99e9a4839"]
}, Open  ]],

Cell[TextData[{
 "Whereas this use of ",
 ButtonBox["Fold",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Fold.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Fold.html"],
 " produces an error and just spits back the original expression."
}], "TechNote",
 CellChangeTimes->{{3.769776502216734*^9, 3.769776507749995*^9}, {
   3.769776541062687*^9, 3.769776548464427*^9}, 3.776090741317913*^9},
 CellID->2138140287,ExpressionUUID->"416990bc-167a-4bd6-8605-d94be118186e"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Fold", "[", 
  RowBox[{"f", ",", "x", ",", "chingAssociation"}], "]"}]], "Input",
 CellChangeTimes->{{3.769776427178776*^9, 3.769776448251617*^9}, {
  3.7697764885022793`*^9, 3.769776493936016*^9}},
 CellLabel->"In[528]:=",
 CellID->1330654839,ExpressionUUID->"c80b7e1d-d7c8-4cc0-8058-a3888b60d67f"],

Cell[BoxData[
 TemplateBox[{
  "Fold", "normal", 
   "\"Nonatomic expression expected at position \
\\!\\(\\*RowBox[{\\\"3\\\"}]\\) in \\!\\(\\*RowBox[{\\\"Fold\\\", \\\"[\\\", \
RowBox[{\\\"f\\\", \\\",\\\", \\\"x\\\", \\\",\\\", RowBox[{\\\"\
\[LeftAssociation]\\\", RowBox[{RowBox[{\\\"\\\\\\\"team\\\\\\\"\\\", \\\"\
\[Rule]\\\", \\\"\\\\\\\"HOU\\\\\\\"\\\"}], \\\",\\\", \
RowBox[{\\\"\\\\\\\"lastName\\\\\\\"\\\", \\\"\[Rule]\\\", \
\\\"\\\\\\\"Ching\\\\\\\"\\\"}], \\\",\\\", RowBox[{\\\"\\\\\\\"firstName\\\\\
\\\"\\\", \\\"\[Rule]\\\", \\\"\\\\\\\"Brian\\\\\\\"\\\"}], \\\",\\\", \
RowBox[{\\\"\\\\\\\"position\\\\\\\"\\\", \\\"\[Rule]\\\", \
\\\"\\\\\\\"F\\\\\\\"\\\"}], \\\",\\\", \
RowBox[{\\\"\\\\\\\"baseSalary\\\\\\\"\\\", \\\"\[Rule]\\\", \
TemplateBox[List[\\\"220000\\\", \
RowBox[List[FormBox[\\\"\\\\\\\"$\\\\\\\"\\\", TraditionalForm], \
\\\"\\\\[VeryThinSpace]\\\"]], \\\"US dollars\\\", \
\\\"\\\\\\\"USDollars\\\\\\\"\\\"], \\\"QuantityPrefix\\\", Rule[SyntaxForm, \
Mod]]}], \\\",\\\", RowBox[{\\\"\\\\\\\"guaranteedSalary\\\\\\\"\\\", \\\"\
\[Rule]\\\", TemplateBox[List[\\\"220000\\\", \
RowBox[List[FormBox[\\\"\\\\\\\"$\\\\\\\"\\\", TraditionalForm], \
\\\"\\\\[VeryThinSpace]\\\"]], \\\"US dollars\\\", \
\\\"\\\\\\\"USDollars\\\\\\\"\\\"], \\\"QuantityPrefix\\\", Rule[SyntaxForm, \
Mod]]}], \\\",\\\", RowBox[{\\\"\\\\\\\"year\\\\\\\"\\\", \\\"\[Rule]\\\", \
TemplateBox[List[RowBox[List[StyleBox[\\\"\\\\\\\"Year: \\\\\\\"\\\", \
Rule[FontColor, GrayLevel[0.5`]], Rule[FontWeight, Plain]], \
\\\"\\\\\\\"2007\\\\\\\"\\\"]], RowBox[List[\\\"DateObject\\\", \\\"[\\\", \
RowBox[List[RowBox[List[\\\"{\\\", \\\"2007\\\", \\\"}\\\"]], \\\",\\\", \\\"\
\\\\\\\"Year\\\\\\\"\\\", \\\",\\\", \\\"\\\\\\\"Gregorian\\\\\\\"\\\", \\\",\
\\\", RowBox[List[\\\"-\\\", \\\"5.`\\\"]]]], \\\"]\\\"]]], \
\\\"DateObject\\\", Rule[Editable, False]]}]}], \
\\\"\[RightAssociation]\\\"}]}], \\\"]\\\"}]\\).\"", 2, 166, 7, 
   27285886807158689176, "Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.769776494427732*^9, 3.7699552810691557`*^9, 
  3.7719298156431723`*^9},
 CellLabel->"During evaluation of In[166]:=",
 CellID->1720230917,ExpressionUUID->"2696ab41-5cd8-4356-a579-6d3fe1609134"],

Cell[BoxData[
 RowBox[{"Fold", "[", 
  RowBox[{"f", ",", "x", ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"team\"\>", "\[Rule]", "\<\"HOU\"\>"}], ",", 
     RowBox[{"\<\"lastName\"\>", "\[Rule]", "\<\"Ching\"\>"}], ",", 
     RowBox[{"\<\"firstName\"\>", "\[Rule]", "\<\"Brian\"\>"}], ",", 
     RowBox[{"\<\"position\"\>", "\[Rule]", "\<\"F\"\>"}], ",", 
     RowBox[{"\<\"baseSalary\"\>", "\[Rule]", 
      TemplateBox[{"220000", 
        RowBox[{
          FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
        "US dollars", "\"USDollars\""},
       "QuantityPrefix"]}], ",", 
     RowBox[{"\<\"guaranteedSalary\"\>", "\[Rule]", 
      TemplateBox[{"220000", 
        RowBox[{
          FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
        "US dollars", "\"USDollars\""},
       "QuantityPrefix"]}], ",", 
     RowBox[{"\<\"year\"\>", "\[Rule]", 
      TemplateBox[{
        RowBox[{
          StyleBox["\"Year: \"", "DateObjectLabel"], "\"2007\""}], 
        RowBox[{"DateObject", "[", 
          RowBox[{
            RowBox[{"{", "2007", "}"}], ",", "\"Year\"", ",", "\"Gregorian\"",
             ",", 
            RowBox[{"-", "5.`"}]}], "]"}]},
       "DateObject",
       Editable->False]}]}], "\[RightAssociation]"}]}], "]"}]], "Output",
 CellChangeTimes->{3.769776494457376*^9, 3.7699552810906067`*^9, 
  3.771929815664568*^9, 3.8814206487546043`*^9, 3.881424709772912*^9},
 CellLabel->"Out[528]=",
 CellID->1063849154,ExpressionUUID->"f9afcfd4-12c3-4cdd-86cc-cbad897fc868"]
}, Open  ]],

Cell[TextData[{
 "Also, when one wants to visualize the ",
 ButtonBox["TreeForm",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/TreeForm.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/TreeForm.html"],
 " of an ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 ", the ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " is treated as the single atom that it is."
}], "TechNote",
 CellChangeTimes->{{3.739883963669636*^9, 3.7398839986202803`*^9}, {
   3.769776567859973*^9, 3.769776582664836*^9}, 3.897756341847908*^9, 
   3.8977564321412153`*^9, 3.897756464668652*^9},
 CellID->1693485237,ExpressionUUID->"9bd8f2de-cf39-42fc-b0da-bba96f141181"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"TreeForm", "[", 
  RowBox[{"chingAssociation", ",", 
   RowBox[{"ImageSize", "\[Rule]", "600"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7415354672797813`*^9, 3.7415354707699747`*^9}, {
  3.769776584882585*^9, 3.7697765953210297`*^9}, {3.769956067903666*^9, 
  3.769956074778311*^9}},
 CellLabel->"In[370]:=",
 CellID->1805604568,ExpressionUUID->"94f7b340-2456-41d4-84ff-252621ec1699"],

Cell[BoxData[
 InterpretationBox[
  GraphicsBox[
   TagBox[GraphicsComplexBox[{{0., 0.}}, {
      {RGBColor[0.55, 0.45, 0.45]}, 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox[
           TagBox[
            RowBox[{"\[LeftAssociation]", 
             RowBox[{
              RowBox[{"\<\"team\"\>", "\[Rule]", "\<\"HOU\"\>"}], ",", 
              RowBox[{"\<\"lastName\"\>", "\[Rule]", "\<\"Ching\"\>"}], ",", 
              RowBox[{"\<\"firstName\"\>", "\[Rule]", "\<\"Brian\"\>"}], ",", 
              
              RowBox[{"\<\"position\"\>", "\[Rule]", "\<\"F\"\>"}], ",", 
              RowBox[{"\<\"baseSalary\"\>", "\[Rule]", 
               TemplateBox[{"220000", 
                 RowBox[{
                   FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                 "US dollars", "\"USDollars\""},
                "QuantityPrefix"]}], ",", 
              RowBox[{"\<\"guaranteedSalary\"\>", "\[Rule]", 
               TemplateBox[{"220000", 
                 RowBox[{
                   FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                 "US dollars", "\"USDollars\""},
                "QuantityPrefix"]}], ",", 
              RowBox[{"\<\"year\"\>", "\[Rule]", 
               TemplateBox[{
                 RowBox[{
                   StyleBox["\"Year: \"", "DateObjectLabel"], "\"2007\""}], 
                 RowBox[{"DateObject", "[", 
                   RowBox[{
                    RowBox[{"{", "2007", "}"}], ",", "\"Year\"", ",", 
                    "\"Gregorian\"", ",", 
                    RowBox[{"-", "5.`"}]}], "]"}]},
                "DateObject",
                Editable->False]}]}], "\[RightAssociation]"}],
            HoldForm], "StandardForm", "Output",
           StripOnInput->False,
           LineColor->GrayLevel[0],
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.01],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 1],
        TagBox[
         RowBox[{"\[LeftAssociation]", 
           RowBox[{
             RowBox[{"\"team\"", "\[Rule]", "\"HOU\""}], ",", 
             RowBox[{"\"lastName\"", "\[Rule]", "\"Ching\""}], ",", 
             RowBox[{"\"firstName\"", "\[Rule]", "\"Brian\""}], ",", 
             RowBox[{"\"position\"", "\[Rule]", "\"F\""}], ",", 
             RowBox[{"\"baseSalary\"", "\[Rule]", 
               TemplateBox[{"220000", 
                 RowBox[{
                   FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                 "US dollars", "\"USDollars\""}, "QuantityPrefix", SyntaxForm -> 
                Mod]}], ",", 
             RowBox[{"\"guaranteedSalary\"", "\[Rule]", 
               TemplateBox[{"220000", 
                 RowBox[{
                   FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                 "US dollars", "\"USDollars\""}, "QuantityPrefix", SyntaxForm -> 
                Mod]}], ",", 
             RowBox[{"\"year\"", "\[Rule]", 
               TemplateBox[{
                 RowBox[{
                   StyleBox["\"Year: \"", "DateObjectLabel"], "\"2007\""}], 
                 RowBox[{"DateObject", "[", 
                   RowBox[{
                    RowBox[{"{", "2007", "}"}], ",", "\"Year\"", ",", 
                    "\"Gregorian\"", ",", 
                    RowBox[{"-", "5.`"}]}], "]"}]}, "DateObject", Editable -> 
                False]}]}], "\[RightAssociation]"}], HoldForm]],
       Annotation[#, 
        HoldForm[<|
         "team" -> "HOU", "lastName" -> "Ching", "firstName" -> "Brian", 
          "position" -> "F", "baseSalary" -> Quantity[220000, "USDollars"], 
          "guaranteedSalary" -> Quantity[220000, "USDollars"], "year" -> 
          DateObject[{2007}, "Year", "Gregorian", -5.]|>], "Tooltip"]& ]}],
    Annotation[#, VertexCoordinateRules -> {{0., 0.}}]& ],
   AspectRatio->NCache[Rational[2, 191]^Rational[1, 2], 0.10232890201933018`],
   
   FormatType:>StandardForm,
   FrameTicks->Automatic,
   ImageSize->600,
   PlotRange->All,
   PlotRangePadding->Scaled[0.1]],
  TreeForm[<|
   "team" -> "HOU", "lastName" -> "Ching", "firstName" -> "Brian", "position" -> 
    "F", "baseSalary" -> Quantity[220000, "USDollars"], "guaranteedSalary" -> 
    Quantity[220000, "USDollars"], "year" -> 
    DateObject[{2007}, "Year", "Gregorian", -5.]|>, ImageSize -> 600],
  Editable->False]], "Output",
 CellChangeTimes->{
  3.741535471151494*^9, 3.741537386752749*^9, 3.7416911216076803`*^9, 
   3.7417736663688927`*^9, 3.7417752125256367`*^9, 3.7417879838787937`*^9, 
   3.741876415088887*^9, 3.741879471638339*^9, 3.741956391155555*^9, 
   3.7421229279234056`*^9, {3.769776587817463*^9, 3.7697765956905193`*^9}, 
   3.769955281146594*^9, {3.769956071980468*^9, 3.769956075280414*^9}, 
   3.771929815720952*^9, 3.8814206784805202`*^9},
 CellLabel->"Out[370]//TreeForm=",
 CellID->154585241,ExpressionUUID->"6aad2f08-8559-4f95-b55f-ddaa83168de1"]
}, Open  ]],

Cell[TextData[{
 "Taking the ",
 ButtonBox["Normal",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Normal.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Normal.html"],
 " of an ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " can sometimes help with the visualization of the contents of the ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 "."
}], "TechNote",
 CellChangeTimes->{{3.85703527609837*^9, 3.857035352252308*^9}, {
  3.857471478669342*^9, 3.857471491694315*^9}, {3.8662978482441916`*^9, 
  3.8662978494492445`*^9}, {3.8679293837676573`*^9, 3.8679293945398636`*^9}},
 CellID->422932718,ExpressionUUID->"719da146-85a0-4529-b847-cfa69489886f"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"TreeForm", "[", 
  RowBox[{
   RowBox[{"Normal", "[", "chingAssociation", "]"}], ",", 
   RowBox[{"ImageSize", "\[Rule]", "600"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.857035297529207*^9, 3.857035304043934*^9}, {
  3.857035357394264*^9, 3.857035359705702*^9}},
 CellLabel->"In[371]:=",
 CellID->1249794319,ExpressionUUID->"7a15e0c5-6bfc-4b57-adb9-fb362fe34848"],

Cell[BoxData[
 InterpretationBox[
  GraphicsBox[InsetBox[
    GraphicsBox[
     TagBox[GraphicsComplexBox[CompressedData["
1:eJxTTMoPSmViYGCQB2IQzeDr9tT5DruD56uSh/ddfttD6NP229eLv1xe/MWe
AQog4q+h8rftYfxcoZdvuLk/wtWjqnuNIT6pffHd6rX/0MR/o5nH6ADjR//T
e/5Vnc0Bph5Cs8DlUd3/2v6tRc993Z88Dqjmczug2s+Hod4D6i/p7LtvnxgI
wPkHdn55bfRUEG4exH2CcP1CiQyvI/cLwfkw9TD9KRw8rxpmCsP5a5daPZNh
EoebB/GfGJp/xOF8znDlF+d8ReH6YXxYvMDMg8kHfQl8krVNAs7/5pT5aEeW
FJwPAMQaAbg=
       "], {
        {RGBColor[0.55, 0.45, 0.45], 
         LineBox[{{1, 2}, {1, 5}, {1, 8}, {1, 11}, {1, 14}, {1, 19}, {1, 
          24}, {2, 3}, {2, 4}, {5, 6}, {5, 7}, {8, 9}, {8, 10}, {11, 12}, {11,
           13}, {14, 15}, {14, 16}, {16, 17}, {16, 18}, {19, 20}, {19, 21}, {
          21, 22}, {21, 23}, {24, 25}, {24, 26}, {26, 27}, {26, 29}, {26, 
          30}, {26, 31}, {27, 28}}]}, {
         TagBox[
          TooltipBox[InsetBox[
            FrameBox[
             StyleBox["List", "StandardForm", "Output",
              StripOnInput->False,
              LineColor->GrayLevel[0],
              FrontFaceColor->GrayLevel[0],
              BackFaceColor->GrayLevel[0],
              GraphicsColor->GrayLevel[0],
              FontSize->Scaled[0.01],
              FontColor->GrayLevel[0]],
             Background->RGBColor[1., 1., 0.871],
             FrameStyle->GrayLevel[0.5],
             StripOnInput->False], 1],
           TagBox[
            RowBox[{"{", 
              RowBox[{
                RowBox[{"\"team\"", "\[Rule]", "\"HOU\""}], ",", 
                RowBox[{"\"lastName\"", "\[Rule]", "\"Ching\""}], ",", 
                RowBox[{"\"firstName\"", "\[Rule]", "\"Brian\""}], ",", 
                RowBox[{"\"position\"", "\[Rule]", "\"F\""}], ",", 
                RowBox[{"\"baseSalary\"", "\[Rule]", 
                  TemplateBox[{"220000", 
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    "US dollars", "\"USDollars\""}, "QuantityPrefix", 
                   SyntaxForm -> Mod]}], ",", 
                RowBox[{"\"guaranteedSalary\"", "\[Rule]", 
                  TemplateBox[{"220000", 
                    RowBox[{
                    FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                    "US dollars", "\"USDollars\""}, "QuantityPrefix", 
                   SyntaxForm -> Mod]}], ",", 
                RowBox[{"\"year\"", "\[Rule]", 
                  TemplateBox[{
                    RowBox[{
                    StyleBox["\"Year: \"", "DateObjectLabel"], "\"2007\""}], 
                    RowBox[{"DateObject", "[", 
                    RowBox[{
                    RowBox[{"{", "2007", "}"}], ",", "\"Year\"", ",", 
                    "\"Gregorian\"", ",", 
                    RowBox[{"-", "5.`"}]}], "]"}]}, "DateObject", Editable -> 
                   False]}]}], "}"}], HoldForm]],
          Annotation[#, 
           
           HoldForm[{
            "team" -> "HOU", "lastName" -> "Ching", "firstName" -> "Brian", 
             "position" -> "F", "baseSalary" -> Quantity[220000, "USDollars"],
              "guaranteedSalary" -> Quantity[220000, "USDollars"], "year" -> 
             DateObject[{2007}, "Year", "Gregorian", -5.]}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[InsetBox[
            FrameBox[
             StyleBox["Rule", "StandardForm", "Output",
              StripOnInput->False,
              LineColor->GrayLevel[0],
              FrontFaceColor->GrayLevel[0],
              BackFaceColor->GrayLevel[0],
              GraphicsColor->GrayLevel[0],
              FontSize->Scaled[0.01],
              FontColor->GrayLevel[0]],
             Background->RGBColor[1., 1., 0.871],
             FrameStyle->GrayLevel[0.5],
             StripOnInput->False], 2],
           TagBox[
            RowBox[{"\"team\"", "\[Rule]", "\"HOU\""}], HoldForm]],
          Annotation[#, 
           HoldForm["team" -> "HOU"], "Tooltip"]& ], 
         TagBox[
          TooltipBox[InsetBox[
            FrameBox[
             StyleBox[
              TagBox["\<\"team\"\>",
               HoldForm], "StandardForm", "Output",
              StripOnInput->False,
              LineColor->GrayLevel[0],
              FrontFaceColor->GrayLevel[0],
              BackFaceColor->GrayLevel[0],
              GraphicsColor->GrayLevel[0],
              FontSize->Scaled[0.01],
              FontColor->GrayLevel[0]],
             Background->RGBColor[1., 1., 0.871],
             FrameStyle->GrayLevel[0.5],
             StripOnInput->False], 3],
           TagBox["\"team\"", HoldForm]],
          Annotation[#, 
           HoldForm["team"], "Tooltip"]& ], 
         TagBox[
          TooltipBox[InsetBox[
            FrameBox[
             StyleBox[
              TagBox["\<\"HOU\"\>",
               HoldForm], "StandardForm", "Output",
              StripOnInput->False,
              LineColor->GrayLevel[0],
              FrontFaceColor->GrayLevel[0],
              BackFaceColor->GrayLevel[0],
              GraphicsColor->GrayLevel[0],
              FontSize->Scaled[0.01],
              FontColor->GrayLevel[0]],
             Background->RGBColor[1., 1., 0.871],
             FrameStyle->GrayLevel[0.5],
             StripOnInput->False], 4],
           TagBox["\"HOU\"", HoldForm]],
          Annotation[#, 
           HoldForm["HOU"], "Tooltip"]& ], 
         TagBox[
          TooltipBox[InsetBox[
            FrameBox[
             StyleBox["Rule", "StandardForm", "Output",
              StripOnInput->False,
              LineColor->GrayLevel[0],
              FrontFaceColor->GrayLevel[0],
              BackFaceColor->GrayLevel[0],
              GraphicsColor->GrayLevel[0],
              FontSize->Scaled[0.01],
              FontColor->GrayLevel[0]],
             Background->RGBColor[1., 1., 0.871],
             FrameStyle->GrayLevel[0.5],
             StripOnInput->False], 5],
           TagBox[
            RowBox[{"\"lastName\"", "\[Rule]", "\"Ching\""}], HoldForm]],
          Annotation[#, 
           HoldForm["lastName" -> "Ching"], "Tooltip"]& ], 
         TagBox[
          TooltipBox[InsetBox[
            FrameBox[
             StyleBox[
              TagBox["\<\"lastName\"\>",
               HoldForm], "StandardForm", "Output",
              StripOnInput->False,
              LineColor->GrayLevel[0],
              FrontFaceColor->GrayLevel[0],
              BackFaceColor->GrayLevel[0],
              GraphicsColor->GrayLevel[0],
              FontSize->Scaled[0.01],
              FontColor->GrayLevel[0]],
             Background->RGBColor[1., 1., 0.871],
             FrameStyle->GrayLevel[0.5],
             StripOnInput->False], 6],
           TagBox["\"lastName\"", HoldForm]],
          Annotation[#, 
           HoldForm["lastName"], "Tooltip"]& ], 
         TagBox[
          TooltipBox[InsetBox[
            FrameBox[
             StyleBox[
              TagBox["\<\"Ching\"\>",
               HoldForm], "StandardForm", "Output",
              StripOnInput->False,
              LineColor->GrayLevel[0],
              FrontFaceColor->GrayLevel[0],
              BackFaceColor->GrayLevel[0],
              GraphicsColor->GrayLevel[0],
              FontSize->Scaled[0.01],
              FontColor->GrayLevel[0]],
             Background->RGBColor[1., 1., 0.871],
             FrameStyle->GrayLevel[0.5],
             StripOnInput->False], 7],
           TagBox["\"Ching\"", HoldForm]],
          Annotation[#, 
           HoldForm["Ching"], "Tooltip"]& ], 
         TagBox[
          TooltipBox[InsetBox[
            FrameBox[
             StyleBox["Rule", "StandardForm", "Output",
              StripOnInput->False,
              LineColor->GrayLevel[0],
              FrontFaceColor->GrayLevel[0],
              BackFaceColor->GrayLevel[0],
              GraphicsColor->GrayLevel[0],
              FontSize->Scaled[0.01],
              FontColor->GrayLevel[0]],
             Background->RGBColor[1., 1., 0.871],
             FrameStyle->GrayLevel[0.5],
             StripOnInput->False], 8],
           TagBox[
            RowBox[{"\"firstName\"", "\[Rule]", "\"Brian\""}], HoldForm]],
          Annotation[#, 
           HoldForm["firstName" -> "Brian"], "Tooltip"]& ], 
         TagBox[
          TooltipBox[InsetBox[
            FrameBox[
             StyleBox[
              TagBox["\<\"firstName\"\>",
               HoldForm], "StandardForm", "Output",
              StripOnInput->False,
              LineColor->GrayLevel[0],
              FrontFaceColor->GrayLevel[0],
              BackFaceColor->GrayLevel[0],
              GraphicsColor->GrayLevel[0],
              FontSize->Scaled[0.01],
              FontColor->GrayLevel[0]],
             Background->RGBColor[1., 1., 0.871],
             FrameStyle->GrayLevel[0.5],
             StripOnInput->False], 9],
           TagBox["\"firstName\"", HoldForm]],
          Annotation[#, 
           HoldForm["firstName"], "Tooltip"]& ], 
         TagBox[
          TooltipBox[InsetBox[
            FrameBox[
             StyleBox[
              TagBox["\<\"Brian\"\>",
               HoldForm], "StandardForm", "Output",
              StripOnInput->False,
              LineColor->GrayLevel[0],
              FrontFaceColor->GrayLevel[0],
              BackFaceColor->GrayLevel[0],
              GraphicsColor->GrayLevel[0],
              FontSize->Scaled[0.01],
              FontColor->GrayLevel[0]],
             Background->RGBColor[1., 1., 0.871],
             FrameStyle->GrayLevel[0.5],
             StripOnInput->False], 10],
           TagBox["\"Brian\"", HoldForm]],
          Annotation[#, 
           HoldForm["Brian"], "Tooltip"]& ], 
         TagBox[
          TooltipBox[InsetBox[
            FrameBox[
             StyleBox["Rule", "StandardForm", "Output",
              StripOnInput->False,
              LineColor->GrayLevel[0],
              FrontFaceColor->GrayLevel[0],
              BackFaceColor->GrayLevel[0],
              GraphicsColor->GrayLevel[0],
              FontSize->Scaled[0.01],
              FontColor->GrayLevel[0]],
             Background->RGBColor[1., 1., 0.871],
             FrameStyle->GrayLevel[0.5],
             StripOnInput->False], 11],
           TagBox[
            RowBox[{"\"position\"", "\[Rule]", "\"F\""}], HoldForm]],
          Annotation[#, 
           HoldForm["position" -> "F"], "Tooltip"]& ], 
         TagBox[
          TooltipBox[InsetBox[
            FrameBox[
             StyleBox[
              TagBox["\<\"position\"\>",
               HoldForm], "StandardForm", "Output",
              StripOnInput->False,
              LineColor->GrayLevel[0],
              FrontFaceColor->GrayLevel[0],
              BackFaceColor->GrayLevel[0],
              GraphicsColor->GrayLevel[0],
              FontSize->Scaled[0.01],
              FontColor->GrayLevel[0]],
             Background->RGBColor[1., 1., 0.871],
             FrameStyle->GrayLevel[0.5],
             StripOnInput->False], 12],
           TagBox["\"position\"", HoldForm]],
          Annotation[#, 
           HoldForm["position"], "Tooltip"]& ], 
         TagBox[
          TooltipBox[InsetBox[
            FrameBox[
             StyleBox[
              TagBox["\<\"F\"\>",
               HoldForm], "StandardForm", "Output",
              StripOnInput->False,
              LineColor->GrayLevel[0],
              FrontFaceColor->GrayLevel[0],
              BackFaceColor->GrayLevel[0],
              GraphicsColor->GrayLevel[0],
              FontSize->Scaled[0.01],
              FontColor->GrayLevel[0]],
             Background->RGBColor[1., 1., 0.871],
             FrameStyle->GrayLevel[0.5],
             StripOnInput->False], 13],
           TagBox["\"F\"", HoldForm]],
          Annotation[#, 
           HoldForm["F"], "Tooltip"]& ], 
         TagBox[
          TooltipBox[InsetBox[
            FrameBox[
             StyleBox["Rule", "StandardForm", "Output",
              StripOnInput->False,
              LineColor->GrayLevel[0],
              FrontFaceColor->GrayLevel[0],
              BackFaceColor->GrayLevel[0],
              GraphicsColor->GrayLevel[0],
              FontSize->Scaled[0.01],
              FontColor->GrayLevel[0]],
             Background->RGBColor[1., 1., 0.871],
             FrameStyle->GrayLevel[0.5],
             StripOnInput->False], 14],
           TagBox[
            RowBox[{"\"baseSalary\"", "\[Rule]", 
              TemplateBox[{"220000", 
                RowBox[{
                  FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                "US dollars", "\"USDollars\""}, "QuantityPrefix", SyntaxForm -> 
               Mod]}], HoldForm]],
          Annotation[#, 
           HoldForm["baseSalary" -> Quantity[220000, "USDollars"]], 
           "Tooltip"]& ], 
         TagBox[
          TooltipBox[InsetBox[
            FrameBox[
             StyleBox[
              TagBox["\<\"baseSalary\"\>",
               HoldForm], "StandardForm", "Output",
              StripOnInput->False,
              LineColor->GrayLevel[0],
              FrontFaceColor->GrayLevel[0],
              BackFaceColor->GrayLevel[0],
              GraphicsColor->GrayLevel[0],
              FontSize->Scaled[0.01],
              FontColor->GrayLevel[0]],
             Background->RGBColor[1., 1., 0.871],
             FrameStyle->GrayLevel[0.5],
             StripOnInput->False], 15],
           TagBox["\"baseSalary\"", HoldForm]],
          Annotation[#, 
           HoldForm["baseSalary"], "Tooltip"]& ], 
         TagBox[
          TooltipBox[InsetBox[
            FrameBox[
             StyleBox["Quantity", "StandardForm", "Output",
              StripOnInput->False,
              LineColor->GrayLevel[0],
              FrontFaceColor->GrayLevel[0],
              BackFaceColor->GrayLevel[0],
              GraphicsColor->GrayLevel[0],
              FontSize->Scaled[0.01],
              FontColor->GrayLevel[0]],
             Background->RGBColor[1., 1., 0.871],
             FrameStyle->GrayLevel[0.5],
             StripOnInput->False], 16],
           TagBox[
            TemplateBox[{"220000", 
              RowBox[{
                FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
              "US dollars", "\"USDollars\""}, "QuantityPrefix", SyntaxForm -> 
             Mod], HoldForm]],
          Annotation[#, 
           HoldForm[
            Quantity[220000, "USDollars"]], "Tooltip"]& ], 
         TagBox[
          TooltipBox[InsetBox[
            FrameBox[
             StyleBox[
              TagBox["220000",
               HoldForm], "StandardForm", "Output",
              StripOnInput->False,
              LineColor->GrayLevel[0],
              FrontFaceColor->GrayLevel[0],
              BackFaceColor->GrayLevel[0],
              GraphicsColor->GrayLevel[0],
              FontSize->Scaled[0.01],
              FontColor->GrayLevel[0]],
             Background->RGBColor[1., 1., 0.871],
             FrameStyle->GrayLevel[0.5],
             StripOnInput->False], 17],
           TagBox["220000", HoldForm]],
          Annotation[#, 
           HoldForm[220000], "Tooltip"]& ], 
         TagBox[
          TooltipBox[InsetBox[
            FrameBox[
             StyleBox[
              TagBox["\<\"USDollars\"\>",
               HoldForm], "StandardForm", "Output",
              StripOnInput->False,
              LineColor->GrayLevel[0],
              FrontFaceColor->GrayLevel[0],
              BackFaceColor->GrayLevel[0],
              GraphicsColor->GrayLevel[0],
              FontSize->Scaled[0.01],
              FontColor->GrayLevel[0]],
             Background->RGBColor[1., 1., 0.871],
             FrameStyle->GrayLevel[0.5],
             StripOnInput->False], 18],
           TagBox["\"USDollars\"", HoldForm]],
          Annotation[#, 
           HoldForm["USDollars"], "Tooltip"]& ], 
         TagBox[
          TooltipBox[InsetBox[
            FrameBox[
             StyleBox["Rule", "StandardForm", "Output",
              StripOnInput->False,
              LineColor->GrayLevel[0],
              FrontFaceColor->GrayLevel[0],
              BackFaceColor->GrayLevel[0],
              GraphicsColor->GrayLevel[0],
              FontSize->Scaled[0.01],
              FontColor->GrayLevel[0]],
             Background->RGBColor[1., 1., 0.871],
             FrameStyle->GrayLevel[0.5],
             StripOnInput->False], 19],
           TagBox[
            RowBox[{"\"guaranteedSalary\"", "\[Rule]", 
              TemplateBox[{"220000", 
                RowBox[{
                  FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
                "US dollars", "\"USDollars\""}, "QuantityPrefix", SyntaxForm -> 
               Mod]}], HoldForm]],
          Annotation[#, 
           HoldForm["guaranteedSalary" -> Quantity[220000, "USDollars"]], 
           "Tooltip"]& ], 
         TagBox[
          TooltipBox[InsetBox[
            FrameBox[
             StyleBox[
              TagBox["\<\"guaranteedSalary\"\>",
               HoldForm], "StandardForm", "Output",
              StripOnInput->False,
              LineColor->GrayLevel[0],
              FrontFaceColor->GrayLevel[0],
              BackFaceColor->GrayLevel[0],
              GraphicsColor->GrayLevel[0],
              FontSize->Scaled[0.01],
              FontColor->GrayLevel[0]],
             Background->RGBColor[1., 1., 0.871],
             FrameStyle->GrayLevel[0.5],
             StripOnInput->False], 20],
           TagBox["\"guaranteedSalary\"", HoldForm]],
          Annotation[#, 
           HoldForm["guaranteedSalary"], "Tooltip"]& ], 
         TagBox[
          TooltipBox[InsetBox[
            FrameBox[
             StyleBox["Quantity", "StandardForm", "Output",
              StripOnInput->False,
              LineColor->GrayLevel[0],
              FrontFaceColor->GrayLevel[0],
              BackFaceColor->GrayLevel[0],
              GraphicsColor->GrayLevel[0],
              FontSize->Scaled[0.01],
              FontColor->GrayLevel[0]],
             Background->RGBColor[1., 1., 0.871],
             FrameStyle->GrayLevel[0.5],
             StripOnInput->False], 21],
           TagBox[
            TemplateBox[{"220000", 
              RowBox[{
                FormBox["\"$\"", TraditionalForm], "\[VeryThinSpace]"}], 
              "US dollars", "\"USDollars\""}, "QuantityPrefix", SyntaxForm -> 
             Mod], HoldForm]],
          Annotation[#, 
           HoldForm[
            Quantity[220000, "USDollars"]], "Tooltip"]& ], 
         TagBox[
          TooltipBox[InsetBox[
            FrameBox[
             StyleBox[
              TagBox["220000",
               HoldForm], "StandardForm", "Output",
              StripOnInput->False,
              LineColor->GrayLevel[0],
              FrontFaceColor->GrayLevel[0],
              BackFaceColor->GrayLevel[0],
              GraphicsColor->GrayLevel[0],
              FontSize->Scaled[0.01],
              FontColor->GrayLevel[0]],
             Background->RGBColor[1., 1., 0.871],
             FrameStyle->GrayLevel[0.5],
             StripOnInput->False], 22],
           TagBox["220000", HoldForm]],
          Annotation[#, 
           HoldForm[220000], "Tooltip"]& ], 
         TagBox[
          TooltipBox[InsetBox[
            FrameBox[
             StyleBox[
              TagBox["\<\"USDollars\"\>",
               HoldForm], "StandardForm", "Output",
              StripOnInput->False,
              LineColor->GrayLevel[0],
              FrontFaceColor->GrayLevel[0],
              BackFaceColor->GrayLevel[0],
              GraphicsColor->GrayLevel[0],
              FontSize->Scaled[0.01],
              FontColor->GrayLevel[0]],
             Background->RGBColor[1., 1., 0.871],
             FrameStyle->GrayLevel[0.5],
             StripOnInput->False], 23],
           TagBox["\"USDollars\"", HoldForm]],
          Annotation[#, 
           HoldForm["USDollars"], "Tooltip"]& ], 
         TagBox[
          TooltipBox[InsetBox[
            FrameBox[
             StyleBox["Rule", "StandardForm", "Output",
              StripOnInput->False,
              LineColor->GrayLevel[0],
              FrontFaceColor->GrayLevel[0],
              BackFaceColor->GrayLevel[0],
              GraphicsColor->GrayLevel[0],
              FontSize->Scaled[0.01],
              FontColor->GrayLevel[0]],
             Background->RGBColor[1., 1., 0.871],
             FrameStyle->GrayLevel[0.5],
             StripOnInput->False], 24],
           TagBox[
            RowBox[{"\"year\"", "\[Rule]", 
              TemplateBox[{
                RowBox[{
                  StyleBox["\"Year: \"", "DateObjectLabel"], "\"2007\""}], 
                RowBox[{"DateObject", "[", 
                  RowBox[{
                    RowBox[{"{", "2007", "}"}], ",", "\"Year\"", ",", 
                    "\"Gregorian\"", ",", 
                    RowBox[{"-", "5.`"}]}], "]"}]}, "DateObject", Editable -> 
               False]}], HoldForm]],
          Annotation[#, 
           HoldForm["year" -> DateObject[{2007}, "Year", "Gregorian", -5.]], 
           "Tooltip"]& ], 
         TagBox[
          TooltipBox[InsetBox[
            FrameBox[
             StyleBox[
              TagBox["\<\"year\"\>",
               HoldForm], "StandardForm", "Output",
              StripOnInput->False,
              LineColor->GrayLevel[0],
              FrontFaceColor->GrayLevel[0],
              BackFaceColor->GrayLevel[0],
              GraphicsColor->GrayLevel[0],
              FontSize->Scaled[0.01],
              FontColor->GrayLevel[0]],
             Background->RGBColor[1., 1., 0.871],
             FrameStyle->GrayLevel[0.5],
             StripOnInput->False], 25],
           TagBox["\"year\"", HoldForm]],
          Annotation[#, 
           HoldForm["year"], "Tooltip"]& ], 
         TagBox[
          TooltipBox[InsetBox[
            FrameBox[
             StyleBox["DateObject", "StandardForm", "Output",
              StripOnInput->False,
              LineColor->GrayLevel[0],
              FrontFaceColor->GrayLevel[0],
              BackFaceColor->GrayLevel[0],
              GraphicsColor->GrayLevel[0],
              FontSize->Scaled[0.01],
              FontColor->GrayLevel[0]],
             Background->RGBColor[1., 1., 0.871],
             FrameStyle->GrayLevel[0.5],
             StripOnInput->False], 26],
           TagBox[
            TemplateBox[{
              RowBox[{
                StyleBox["\"Year: \"", "DateObjectLabel"], "\"2007\""}], 
              RowBox[{"DateObject", "[", 
                RowBox[{
                  RowBox[{"{", "2007", "}"}], ",", "\"Year\"", ",", 
                  "\"Gregorian\"", ",", 
                  RowBox[{"-", "5.`"}]}], "]"}]}, "DateObject", Editable -> 
             False], HoldForm]],
          Annotation[#, 
           HoldForm[
            DateObject[{2007}, "Year", "Gregorian", -5.]], "Tooltip"]& ], 
         TagBox[
          TooltipBox[InsetBox[
            FrameBox[
             StyleBox["List", "StandardForm", "Output",
              StripOnInput->False,
              LineColor->GrayLevel[0],
              FrontFaceColor->GrayLevel[0],
              BackFaceColor->GrayLevel[0],
              GraphicsColor->GrayLevel[0],
              FontSize->Scaled[0.01],
              FontColor->GrayLevel[0]],
             Background->RGBColor[1., 1., 0.871],
             FrameStyle->GrayLevel[0.5],
             StripOnInput->False], 27],
           TagBox[
            RowBox[{"{", "2007", "}"}], HoldForm]],
          Annotation[#, 
           HoldForm[{2007}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[InsetBox[
            FrameBox[
             StyleBox[
              TagBox["2007",
               HoldForm], "StandardForm", "Output",
              StripOnInput->False,
              LineColor->GrayLevel[0],
              FrontFaceColor->GrayLevel[0],
              BackFaceColor->GrayLevel[0],
              GraphicsColor->GrayLevel[0],
              FontSize->Scaled[0.01],
              FontColor->GrayLevel[0]],
             Background->RGBColor[1., 1., 0.871],
             FrameStyle->GrayLevel[0.5],
             StripOnInput->False], 28],
           TagBox["2007", HoldForm]],
          Annotation[#, 
           HoldForm[2007], "Tooltip"]& ], 
         TagBox[
          TooltipBox[InsetBox[
            FrameBox[
             StyleBox[
              TagBox["\<\"Year\"\>",
               HoldForm], "StandardForm", "Output",
              StripOnInput->False,
              LineColor->GrayLevel[0],
              FrontFaceColor->GrayLevel[0],
              BackFaceColor->GrayLevel[0],
              GraphicsColor->GrayLevel[0],
              FontSize->Scaled[0.01],
              FontColor->GrayLevel[0]],
             Background->RGBColor[1., 1., 0.871],
             FrameStyle->GrayLevel[0.5],
             StripOnInput->False], 29],
           TagBox["\"Year\"", HoldForm]],
          Annotation[#, 
           HoldForm["Year"], "Tooltip"]& ], 
         TagBox[
          TooltipBox[InsetBox[
            FrameBox[
             StyleBox[
              TagBox["\<\"Gregorian\"\>",
               HoldForm], "StandardForm", "Output",
              StripOnInput->False,
              LineColor->GrayLevel[0],
              FrontFaceColor->GrayLevel[0],
              BackFaceColor->GrayLevel[0],
              GraphicsColor->GrayLevel[0],
              FontSize->Scaled[0.01],
              FontColor->GrayLevel[0]],
             Background->RGBColor[1., 1., 0.871],
             FrameStyle->GrayLevel[0.5],
             StripOnInput->False], 30],
           TagBox["\"Gregorian\"", HoldForm]],
          Annotation[#, 
           HoldForm["Gregorian"], "Tooltip"]& ], 
         TagBox[
          TooltipBox[InsetBox[
            FrameBox[
             StyleBox[
              TagBox[
               RowBox[{"-", "5.`"}],
               HoldForm], "StandardForm", "Output",
              StripOnInput->False,
              LineColor->GrayLevel[0],
              FrontFaceColor->GrayLevel[0],
              BackFaceColor->GrayLevel[0],
              GraphicsColor->GrayLevel[0],
              FontSize->Scaled[0.01],
              FontColor->GrayLevel[0]],
             Background->RGBColor[1., 1., 0.871],
             FrameStyle->GrayLevel[0.5],
             StripOnInput->False], 31],
           TagBox[
            RowBox[{"-", "5.`"}], HoldForm]],
          Annotation[#, 
           HoldForm[-5.], "Tooltip"]& ]}}],
      Annotation[#, VertexCoordinateRules -> CompressedData["
1:eJxTTMoPSmViYGCQB2IQzeDr9tT5DruD56uSh/ddfttD6NP229eLv1xe/MWe
AQog4q+h8rftYfxcoZdvuLk/wtWjqnuNIT6pffHd6rX/0MR/o5nH6ADjR//T
e/5Vnc0Bph5Cs8DlUd3/2v6tRc993Z88Dqjmczug2s+Hod4D6i/p7LtvnxgI
wPkHdn55bfRUEG4exH2CcP1CiQyvI/cLwfkw9TD9KRw8rxpmCsP5a5daPZNh
EoebB/GfGJp/xOF8znDlF+d8ReH6YXxYvMDMg8kHfQl8krVNAs7/5pT5aEeW
FJwPAMQaAbg=
        "]]& ],
     AspectRatio->NCache[
      Rational[1, 3] Rational[10, 11]^Rational[1, 2], 0.3178208630818641],
     Background->None,
     FormatType:>StandardForm,
     FrameTicks->Automatic,
     ImageMargins->0.,
     ImageSize->{567.333740234375, Automatic},
     PlotRange->All,
     PlotRangePadding->Scaled[0.1]], {-0.1668701171875, -0.15524948837554575},
     ImageScaled[{0., 0.}], {567., 180.},
    ContentSelectable->True],
   AspectRatio->0.3529132037504,
   Background->None,
   ContentSelectable->True,
   ImageMargins->0.,
   ImagePadding->0.,
   ImageSize->{510.34063720703125`, 180.10594928075398`},
   PlotRange->{{28.10613719172767, 538.146560976229}, {0., 180.}},
   PlotRangePadding->None],
  TreeForm[{
   "team" -> "HOU", "lastName" -> "Ching", "firstName" -> "Brian", "position" -> 
    "F", "baseSalary" -> Quantity[220000, "USDollars"], "guaranteedSalary" -> 
    Quantity[220000, "USDollars"], "year" -> 
    DateObject[{2007}, "Year", "Gregorian", -5.]}, ImageSize -> 600],
  Editable->False]], "Output",
 CellChangeTimes->{3.857035304788319*^9, 3.857035360184186*^9, 
  3.88142069049306*^9},
 CellLabel->"Out[371]//TreeForm=",
 CellID->1787569383,ExpressionUUID->"07eafdf2-4d03-49f6-9c11-4f0f3bcb3318"]
}, Open  ]],

Cell[TextData[{
 "I can write little functions that go back and forth between a conventional \
(left) ",
 ButtonBox["Composition",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Composition.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Composition.html"],
 " of a sequence of functions and the representation of that ",
 ButtonBox["Composition",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Composition.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Composition.html"],
 " using ",
 ButtonBox["RightComposition",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/RightComposition.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/RightComposition.html"],
 ". These ancillary functions will sometimes prove useful as I try to \
decipher what is really going on in some complex composition of functions\
\[LongDash]such as those, as we will see, that are produced by ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 "."
}], "TechNote",
 CellChangeTimes->{{3.739631054987726*^9, 3.7396310894063873`*^9}, {
   3.7396312713751183`*^9, 3.7396312977864227`*^9}, 3.742207375982287*^9, 
   3.745870115339807*^9, {3.776090996957913*^9, 3.776091022284913*^9}, {
   3.780321861057475*^9, 3.780321866864544*^9}, {3.780321902968055*^9, 
   3.780321908956061*^9}},
 CellTags->"p: 109",
 CellID->698168610,ExpressionUUID->"23e543f7-889a-41e9-bf38-dfc01fb11bb4"],

Cell[BoxData[
 RowBox[{
  RowBox[{"rightCompositionToLeftComposition", "[", 
   RowBox[{"RightComposition", "[", "f___", "]"}], "]"}], ":=", 
  RowBox[{"Composition", "@@", 
   RowBox[{"(", 
    RowBox[{"Reverse", "@", 
     RowBox[{"(", 
      RowBox[{"List", "@@", "f"}], ")"}]}], ")"}]}]}]], "Input",
 CellChangeTimes->{{3.7394866303868427`*^9, 3.7394867003998117`*^9}, 
   3.739486743958956*^9, {3.739486805327395*^9, 3.7394868529818077`*^9}, {
   3.739487700452207*^9, 3.7394877117817287`*^9}},
 CellLabel->"In[372]:=",
 CellID->269181062,ExpressionUUID->"88ab7e9a-0d74-40e9-acbc-3a4bc8ef8155"],

Cell[BoxData[
 RowBox[{
  RowBox[{"leftCompositionToRightComposition", "[", "f___", "]"}], ":=", 
  RowBox[{"RightComposition", "@@", 
   RowBox[{"(", 
    RowBox[{"Reverse", "@", 
     RowBox[{"(", 
      RowBox[{"List", "@@", "f"}], ")"}]}], ")"}]}]}]], "Input",
 CellChangeTimes->{{3.739486895109202*^9, 3.739486920463488*^9}, {
  3.7394877180293093`*^9, 3.739487728124503*^9}},
 CellLabel->"In[373]:=",
 CellID->1525548452,ExpressionUUID->"b805c3fb-9881-4ba9-9432-33ad9e29cad5"],

Cell["I can test that the functions work as claimed.", "TechNote",
 CellChangeTimes->{{3.739631128916926*^9, 3.739631148685174*^9}, {
  3.769342416258608*^9, 3.769342419801318*^9}},
 CellID->1085571231,ExpressionUUID->"87b1f534-7cb8-43d4-ab6a-a1eaa771f571"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"SameQ", "[", 
    RowBox[{
     RowBox[{"f", "/*", "g", "/*", "h"}], ",", 
     RowBox[{
      RowBox[{"RightComposition", "[", 
       RowBox[{
       "rightCompositionToLeftComposition", ",", 
        "leftCompositionToRightComposition"}], "]"}], "[", 
      RowBox[{"f", "/*", "g", "/*", "h"}], "]"}], ",", 
     RowBox[{
      RowBox[{"Composition", "[", 
       RowBox[{
       "leftCompositionToRightComposition", ",", 
        "rightCompositionToLeftComposition"}], "]"}], "[", 
      RowBox[{"f", "/*", "g", "/*", "h"}], "]"}]}], "]"}], ",", 
   RowBox[{"SameQ", "[", 
    RowBox[{
     RowBox[{"f", "@*", "g", "@*", "h"}], ",", 
     RowBox[{
      RowBox[{"RightComposition", "[", 
       RowBox[{
       "leftCompositionToRightComposition", ",", 
        "rightCompositionToLeftComposition"}], "]"}], "[", 
      RowBox[{"f", "@*", "g", "@*", "h"}], "]"}], ",", 
     RowBox[{
      RowBox[{"Composition", "[", 
       RowBox[{
       "rightCompositionToLeftComposition", ",", 
        "leftCompositionToRightComposition"}], "]"}], "[", 
      RowBox[{"f", "@*", "g", "@*", "h"}], "]"}]}], "]"}]}], "}"}]], "Input",
 CellChangeTimes->{{3.7396311518919773`*^9, 3.73963117383953*^9}, {
  3.739884902239377*^9, 3.739884902716302*^9}, {3.769342240614025*^9, 
  3.7693422857707653`*^9}, {3.769342328477325*^9, 3.7693424019047527`*^9}},
 CellLabel->"In[374]:=",
 CellID->174614505,ExpressionUUID->"1e629172-1a0c-45a7-afbd-195c5f76978b"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"True", ",", "True"}], "}"}]], "Output",
 CellChangeTimes->{3.769342402164748*^9, 3.7699552812643547`*^9, 
  3.771929815844408*^9, 3.881420703729286*^9},
 CellLabel->"Out[374]=",
 CellID->1245542147,ExpressionUUID->"cbc6045b-5ac3-4122-b5b8-f6dbc72f5b1c"]
}, Open  ]],

Cell[TextData[{
 "There is presently no built-in operator form for the three-argument form of \
",
 ButtonBox["GroupBy",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/GroupBy.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/GroupBy.html"],
 " that uses a reducer function, but the useful ",
 Cell[BoxData[
  ButtonBox["ResourceFunction",
   BaseStyle->"FunctionHyperlink",
   ButtonData->{
     URL["https://reference.wolfram.com/language/ref/ResourceFunction.html"], 
     None},
   ButtonNote->
    "https://reference.wolfram.com/language/ref/ResourceFunction.html"]], 
  "InlineCode",
  CellChangeTimes->{{3.741543416962124*^9, 3.7415434179101152`*^9}, {
   3.7415435204208193`*^9, 3.741543535968882*^9}, {3.741543579045519*^9, 
   3.741543587279739*^9}, {3.769381085806582*^9, 3.76938109117023*^9}, {
   3.7693811412308826`*^9, 3.769381171721183*^9}, {3.769975847384308*^9, 
   3.769975857102664*^9}, {3.7699759661518717`*^9, 3.769975971437923*^9}},
  ExpressionUUID->"362a846c-b0ab-4504-95b9-dcb3bf428d98"],
 " ",
 ButtonBox["MapReduceOperator",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
MapReduceOperator"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/\
MapReduceOperator"],
 " permits inclusion of a reducer function."
}], "TechNote",
 CellChangeTimes->{{3.7415435476980133`*^9, 3.741543568852009*^9}, {
   3.742166125639382*^9, 3.742166182053063*^9}, {3.745870058668618*^9, 
   3.745870065979527*^9}, {3.7693810583863792`*^9, 3.769381072671474*^9}, {
   3.769975785452365*^9, 3.7699758214510612`*^9}, {3.76997586777954*^9, 
   3.7699758771618853`*^9}, {3.769975952673134*^9, 3.769975962831242*^9}, {
   3.7755791472364817`*^9, 3.7755791490294814`*^9}, {3.776091481233913*^9, 
   3.776091519634913*^9}, 3.776091752306913*^9, 3.780321926849996*^9, {
   3.781444524324494*^9, 3.7814445880761957`*^9}, {3.781445508363429*^9, 
   3.7814455083635902`*^9}, {3.781445550650345*^9, 3.7814455506505003`*^9}, {
   3.866560539328969*^9, 3.8665605644127817`*^9}, 3.866642988939917*^9, {
   3.8679244556260576`*^9, 3.8679244680717835`*^9}, {3.8699188264938593`*^9, 
   3.869918836239822*^9}, 3.884963445603672*^9},
 CellID->1809365857,ExpressionUUID->"71f9cac3-7c58-417b-aa8f-7f9ac9d2660b"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"mro", "=", 
  RowBox[{
   InterpretationBox[
    TagBox[
     TagBox[
      DynamicModuleBox[{Typeset`open = False}, 
       FrameBox[
        PaneSelectorBox[{False->GridBox[{
           {
            PaneBox[GridBox[{
               {
                StyleBox[
                 StyleBox[
                  AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                   BoxBaselineShift->-0.25,
                   BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                  
                  FontColor->RGBColor[
                   0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                 ShowStringCharacters->False,
                 FontFamily->"Source Sans Pro Black",
                 FontSize->0.6538461538461539 Inherited,
                 FontWeight->"Heavy",
                 PrivateFontOptions->{"OperatorSubstitution"->False}], 
                StyleBox[
                 RowBox[{
                  StyleBox["MapReduceOperator", "ResourceFunctionLabel"], 
                  " "}],
                 ShowAutoStyles->False,
                 ShowStringCharacters->False,
                 FontSize->Rational[12, 13] Inherited,
                 FontColor->GrayLevel[0.1]]}
              },
              GridBoxSpacings->{"Columns" -> {{0.25}}}],
             Alignment->Left,
             BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
             BaselinePosition->Baseline,
             FrameMargins->{{3, 0}, {0, 0}}], 
            ItemBox[
             PaneBox[
              TogglerBox[Dynamic[Typeset`open], {True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "IconizeCloser"],
                ImageSizeCache->{11., {1., 10.}}], False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "IconizeOpener"],
                ImageSizeCache->{11., {1., 10.}}]},
               Appearance->None,
               BaselinePosition->Baseline,
               ContentPadding->False,
               FrameMargins->0],
              Alignment->Left,
              BaselinePosition->Baseline,
              FrameMargins->{{1, 1}, {0, 0}}],
             Frame->{{
                RGBColor[
                0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                 0.5], False}, {False, False}}]}
          },
          BaselinePosition->{1, 1},
          GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
         GridBox[{
           {GridBox[{
              {
               PaneBox[GridBox[{
                  {
                   StyleBox[
                    StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                    ShowStringCharacters->False,
                    FontFamily->"Source Sans Pro Black",
                    FontSize->0.6538461538461539 Inherited,
                    FontWeight->"Heavy",
                    PrivateFontOptions->{"OperatorSubstitution"->False}], 
                   StyleBox[
                    RowBox[{
                    StyleBox["MapReduceOperator", "ResourceFunctionLabel"], 
                    " "}],
                    ShowAutoStyles->False,
                    ShowStringCharacters->False,
                    FontSize->Rational[12, 13] Inherited,
                    FontColor->GrayLevel[0.1]]}
                 },
                 GridBoxSpacings->{"Columns" -> {{0.25}}}],
                Alignment->Left,
                BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
                BaselinePosition->Baseline,
                FrameMargins->{{3, 0}, {0, 0}}], 
               ItemBox[
                PaneBox[
                 TogglerBox[Dynamic[Typeset`open], {True->
                  
                  DynamicBox[FEPrivate`FrontEndResource[
                   "FEBitmaps", "IconizeCloser"]], False->
                  
                  DynamicBox[FEPrivate`FrontEndResource[
                   "FEBitmaps", "IconizeOpener"]]},
                  Appearance->None,
                  BaselinePosition->Baseline,
                  ContentPadding->False,
                  FrameMargins->0],
                 Alignment->Left,
                 BaselinePosition->Baseline,
                 FrameMargins->{{1, 1}, {0, 0}}],
                Frame->{{
                   RGBColor[
                   0.8313725490196079, 0.8470588235294118, 0.8509803921568627,
                     0.5], False}, {False, False}}]}
             },
             BaselinePosition->{1, 1},
             GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
           {
            StyleBox[
             PaneBox[GridBox[{
                {
                 RowBox[{
                  TagBox["\<\"Version (latest): \"\>",
                   "IconizedLabel"], " ", 
                  TagBox["\<\"1.0.0\"\>",
                   "IconizedItem"]}]},
                {
                 TagBox[
                  
                  TemplateBox[{
                   "\"Documentation \[RightGuillemet]\"", 
                    "https://resources.wolframcloud.com/FunctionRepository/\
resources/856f4937-9a4c-44a9-88ae-cfc2efd4698f/"},
                   "HyperlinkURL"],
                  "IconizedItem"]}
               },
               DefaultBaseStyle->"Column",
               GridBoxAlignment->{"Columns" -> {{Left}}},
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
              Alignment->Left,
              BaselinePosition->Baseline,
              FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
             FontFamily->"Roboto",
             FontSize->11]}
          },
          BaselinePosition->{1, 1},
          GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
          GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
               GrayLevel[0.8]}, False}},
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
         Typeset`open],
         BaselinePosition->Baseline,
         ImageSize->Automatic],
        Background->RGBColor[
         0.9686274509803922, 0.9764705882352941, 0.984313725490196],
        BaselinePosition->Baseline,
        DefaultBaseStyle->{},
        FrameMargins->{{0, 0}, {1, 0}},
        FrameStyle->RGBColor[
         0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
        RoundingRadius->4]],
      #& ,
      TagBoxNote->" "],
     {"FunctionResourceBox", 
      RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
      "MapReduceOperator"},
     TagBoxNote->"FunctionResourceBox"],
    ResourceFunction[
     ResourceObject[<|
      "Name" -> "MapReduceOperator", "ShortName" -> "MapReduceOperator", 
       "UUID" -> "856f4937-9a4c-44a9-88ae-cfc2efd4698f", "ResourceType" -> 
       "Function", "Version" -> "1.0.0", "Description" -> 
       "Like an operator form of GroupBy, but where one also specifies a \
reducer function to be applied", "RepositoryLocation" -> 
       URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
       "SymbolName" -> 
       "FunctionRepository`$ad7fe533436b4f8294edfa758a34ac26`\
MapReduceOperator", "FunctionLocation" -> 
       CloudObject[
        "https://www.wolframcloud.com/obj/6d981522-1eb3-4b54-84f6-\
55667fb2e236"]|>, ResourceSystemBase -> Automatic]],
    Selectable->False], "[", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"#sex", "&"}], ")"}], "\[Rule]", 
     RowBox[{"(", 
      RowBox[{"#age", "&"}], ")"}]}], ",", 
    RowBox[{"DeleteMissing", "/*", "Median", "/*", "N"}], ",", 
    RowBox[{"\"\<Parallelize\>\"", "\[Rule]", "True"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.741543416962124*^9, 3.7415434179101152`*^9}, {
  3.7415435204208193`*^9, 3.741543535968882*^9}, {3.741543579045519*^9, 
  3.741543587279739*^9}, {3.769381085806582*^9, 3.76938109117023*^9}, {
  3.7693811412308826`*^9, 3.769381171721183*^9}, {3.769975847384308*^9, 
  3.769975857102664*^9}, {3.7699759661518717`*^9, 3.769975971437923*^9}, {
  3.881162074694489*^9, 3.881162075601615*^9}},
 CellLabel->"In[77]:=",
 CellID->1656879039,ExpressionUUID->"b7b0b34e-f1d0-49b6-9bec-90b57c04d9c0"],

Cell[BoxData[
 RowBox[{
  RowBox[{"ParallelMap", "[", 
   RowBox[{
    RowBox[{"DeleteMissing", "/*", "Median", "/*", "N"}], ",", 
    RowBox[{
     RowBox[{"GroupBy", "[", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"#sex", "&"}], ")"}], "\[Rule]", 
       RowBox[{"(", 
        RowBox[{"#age", "&"}], ")"}]}], "]"}], "[", "#1", "]"}]}], "]"}], 
  "&"}]], "Output",
 CellChangeTimes->{{3.741543418366308*^9, 3.741543440013404*^9}, {
   3.741543530751439*^9, 3.741543536280552*^9}, 3.741543587703103*^9, 
   3.741691131050604*^9, 3.741773672224613*^9, 3.741775220346695*^9, 
   3.741787991029076*^9, 3.7418764200255823`*^9, 3.7418794766536837`*^9, 
   3.7419563979735622`*^9, 3.742122960973666*^9, 3.76933225508473*^9, {
   3.769381076008527*^9, 3.769381092775612*^9}, {3.769381134092951*^9, 
   3.769381173520341*^9}, 3.769955281321269*^9, {3.769975830700675*^9, 
   3.769975859623775*^9}, 3.769975972001217*^9, 3.771929815891271*^9, 
   3.8814207117915373`*^9, 3.8822869462863407`*^9},
 CellLabel->"Out[77]=",
 CellID->128680078,ExpressionUUID->"3efcae55-598f-47ba-82ce-66b287f89283"]
}, Open  ]],

Cell[TextData[{
 "I can now apply this operator to ",
 Cell[BoxData[
 "dinghy"], "InlineCode",ExpressionUUID->
  "5bc3b397-9500-44ea-a757-739fa5c5e5c0"],
 " and get the median ages broken down by sex."
}], "TechNote",
 CellChangeTimes->{{3.769975879976403*^9, 3.769975903073079*^9}, {
  3.776091776079913*^9, 3.776091780020913*^9}},
 CellID->1842498591,ExpressionUUID->"1dcba7b7-11f9-4ea3-a9d1-6826eb455934"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"mro", "[", "dinghy", "]"}]], "Input",
 CellChangeTimes->{{3.741543589111334*^9, 3.741543594401873*^9}, {
   3.7693810791510477`*^9, 3.769381080248241*^9}, {3.769381175139674*^9, 
   3.769381175678776*^9}, 3.769954979695657*^9},
 CellLabel->"In[80]:=",
 CellID->23267723,ExpressionUUID->"de26875c-a0b0-42ee-90d5-6f4dd24307dc"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"female\"\>", "\[Rule]", "16.`"}], ",", 
   RowBox[{"\<\"male\"\>", "\[Rule]", "65.`"}]}], 
  "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{
  3.741543594813327*^9, 3.741691131120393*^9, 3.741773672289462*^9, 
   3.741775220433949*^9, 3.741787991123014*^9, 3.7418764200723553`*^9, 
   3.7418794766937113`*^9, 3.741956398037265*^9, 3.742122961045677*^9, 
   3.769332255116843*^9, {3.769381080925976*^9, 3.769381095115831*^9}, {
   3.769381137206579*^9, 3.769381176254414*^9}, 3.769955281364574*^9, 
   3.7699759057713013`*^9, 3.769975938379107*^9, 3.7699759762829657`*^9, 
   3.771929817367305*^9, 3.881420725210762*^9, 3.882286960073588*^9, 
   3.882287008830084*^9},
 CellLabel->"Out[80]=",
 CellID->418373180,ExpressionUUID->"a704df9e-d737-4deb-a376-95db98032fba"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["References", "ReferenceSection",
 CellChangeTimes->{3.780322741666037*^9},
 CellID->1360856269,ExpressionUUID->"7beb1f3b-aab7-4ddc-bcc1-82272ad7abc7"],

Cell[TextData[{
 "L. Shifrin. ",
 StyleBox["Mathematica Programming: An Advanced Introduction",
  FontSlant->"Italic"],
 ". 2008. ",
 ButtonBox["www.archive.org/details/ost-computer-science-mathprogrammingintro",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://www.archive.org/details/ost-computer-science-\
mathprogrammingintro"], None},
  ButtonNote->
   "https://www.archive.org/details/ost-computer-science-\
mathprogrammingintro"],
 "."
}], "Reference",
 CellDingbat->None,
 CellChangeTimes->{{3.7181153071177053`*^9, 3.718115329975705*^9}, {
   3.742208358503275*^9, 3.742208360717516*^9}, {3.746286173566245*^9, 
   3.746286179576096*^9}, {3.7803226691208687`*^9, 3.780322669124152*^9}, 
   3.866534847104212*^9, {3.867934566913267*^9, 3.8679346254958935`*^9}, {
   3.867935167172413*^9, 3.8679351693040533`*^9}, {3.867935570506832*^9, 
   3.8679355784398737`*^9}, {3.8679358912427745`*^9, 3.867935895680284*^9}},
 CellID->123900748,ExpressionUUID->"83c387de-e796-4f61-b3b1-02568f79b2be"],

Cell[TextData[{
 "Wolfram Research, Inc., \[OpenCurlyDoubleQuote]Function Composition & \
Operator Forms,\[CloseCurlyDoubleQuote]",
 StyleBox[" Wolfram Language & System Documentation Center",
  FontSlant->"Italic"],
 ". (July 27, 2021) ",
 ButtonBox["reference.wolfram.com/language/guide/\
FunctionCompositionAndOperatorForms.html",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/guide/\
FunctionCompositionAndOperatorForms.html"], None},
  ButtonNote->
   "https://reference.wolfram.com/language/guide/\
FunctionCompositionAndOperatorForms.html"],
 ".\n\t(describing various Wolfram Language functions that implement these \
concepts)"
}], "Reference",
 CellDingbat->None,
 CellChangeTimes->{{3.7385995432110577`*^9, 3.738599549834622*^9}, 
   3.7462862034944553`*^9, {3.780322677906217*^9, 3.780322677909239*^9}, {
   3.867934713087905*^9, 3.8679347789157248`*^9}, {3.8679350585728846`*^9, 
   3.8679351362005672`*^9}, {3.8679351880013804`*^9, 
   3.8679351997552896`*^9}, {3.8679360335903845`*^9, 3.8679360344788733`*^9}, 
   3.868002686720887*^9},
 CellID->2141843412,ExpressionUUID->"8a17c86a-e92a-4556-a640-45394ff1353a"]
}, Open  ]],

Cell[CellGroupData[{

Cell["More to Explore", "MoreExploreSection",
 CellID->14539167,ExpressionUUID->"4adb94db-0c6c-4bee-b6d3-e06124f1f0cc"],

Cell[TextData[{
 "Guide to Associations in the Wolfram Language ",
 StyleBox["(", "MoreExploreShortURL"],
 StyleBox[ButtonBox["wolfr.am/Associations",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://wolfr.am/Associations"], None},
  ButtonNote->"http://wolfr.am/Associations"], "MoreExploreShortURL",
  BaseStyle -> "Hyperlink"],
 StyleBox[")", "MoreExploreShortURL"]
}], "MoreExplore",
 CellChangeTimes->{
  3.746269404508712*^9, {3.7462857234063983`*^9, 3.746285751218179*^9}, {
   3.7462858072927856`*^9, 3.746285809571014*^9}, {3.757099714283596*^9, 
   3.757099720243217*^9}},
 CellID->26626102,ExpressionUUID->"810151fa-e506-4c99-ad88-2c19a9be147f"],

Cell[TextData[{
 "Check out Stephen Wolfram\[CloseCurlyQuote]s blog about launching the \
Wolfram Function Repository ",
 StyleBox["(", "MoreExploreShortURL"],
 StyleBox[ButtonBox["wolfr.am/FunctionRepositoryAnnouncement",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://wolfr.am/FunctionRepositoryAnnouncement"], None},
  ButtonNote->"https://wolfr.am/FunctionRepositoryAnnouncement"], 
  "MoreExploreShortURL"],
 StyleBox[")", "MoreExploreShortURL"]
}], "MoreExplore",
 CellChangeTimes->{
  3.746269404508712*^9, {3.7462857234063983`*^9, 3.746285751218179*^9}, {
   3.7462858072927856`*^9, 3.746285809571014*^9}, {3.757099714283596*^9, 
   3.757099720243217*^9}, {3.8661267621808896`*^9, 3.866126762968014*^9}, 
   3.8661274832079744`*^9, {3.866536173598686*^9, 3.8665361816277013`*^9}, 
   3.866561145238894*^9, {3.866561182104596*^9, 3.866561195958687*^9}},
 CellTags->"LastCellOfAPage",
 CellID->1520029637,ExpressionUUID->"ab510bc6-0952-42dc-a575-575ad519d666"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowToolbars->{},
WindowSize->{808, 911},
WindowMargins->{{4, Automatic}, {Automatic, 4}},
WindowPersistentStyles->{
 WindowFrame, WindowMargins, WindowSize, Magnification},
WindowTitle->"3 | Association",
DockedCells->{
  Cell[
   TagBox[
    GridBox[{{
       PaneBox[
        TagBox[
         GridBox[{{
            TemplateBox[{
              StyleBox[
               GraphicsBox[
                TagBox[
                 RasterBox[CompressedData["
1:eJztnU2O5MqSnS9aGvQwlxDaQQ01pIaaFVrQnN3Q64YmT4lXAgTNuISaacol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                  "], {{0, 36.24}, {302.88, 0}}, {0, 255}, ColorFunction -> 
                  RGBColor, ImageResolution -> {300, 300}], 
                 BoxForm`ImageTag[
                 "Byte", ColorSpace -> "RGB", Interleaving -> True], 
                 Selectable -> False], DefaultBaseStyle -> "ImageGraphics", 
                ImageSizeRaw -> {302.88, 36.24}, 
                PlotRange -> {{0, 302.88}, {0, 36.24}}, 
                ImagePadding -> {{0, 10}, {1, -10}}, ImageSize -> 
                Magnification[0.7]]], 
              TemplateBox[{
                GraphicsBox[
                 TagBox[
                  RasterBox[CompressedData["
1:eJztnUuu7Dhyhhu2Bx6eJcg7uEMP5aFniTY8VzfcbnhSPqgyYHimJZwlaAln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                   "], {{0, 26.88}, {230.4, 0}}, {0, 255}, ColorFunction -> 
                   RGBColor, ImageResolution -> {300, 300}], 
                  BoxForm`ImageTag[
                  "Byte", ColorSpace -> "RGB", Interleaving -> True], 
                  Selectable -> False], DefaultBaseStyle -> "ImageGraphics", 
                 ImageSizeRaw -> {230.4, 26.88}, 
                 PlotRange -> {{0, 230.4}, {0, 26.88}}, 
                 ImagePadding -> {{2, 0}, {1, -10}}, ImageSize -> 
                 Magnification[0.7]], 
                "https://www.youtube.com/sethjchandler"}, "HyperlinkURL"]}, 
             "RowDefault"], "\[SpanFromLeft]"}, {
            GraphicsBox[
             TagBox[
              RasterBox[CompressedData["
1:eJztXQe4LEWVZkUBCYKSFIQ3BCXDImKGeQRRgoBECXKJkhQkSJYBERAQxEAU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               "], {{0, 22.08}, {236.88, 0}}, {0, 255}, ColorFunction -> 
               RGBColor, ImageResolution -> {300, 300}], 
              BoxForm`ImageTag[
              "Byte", ColorSpace -> ColorProfileData[CompressedData["
1:eJydlndUVNcWh8+9d3qhzTDSGXqvUgYQ6R2kV1EZZgYYygDDDIhdRFQwoohI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                 "], "RGB", "XYZ"], Interleaving -> True], Selectable -> 
              False], DefaultBaseStyle -> "ImageGraphics", 
             ImageSize -> {365, Automatic}, ImageSizeRaw -> {236.88, 22.08}, 
             PlotRange -> {{0, 236.88}, {0, 22.08}}, 
             ImagePadding -> {{1, 1}, {3, -10}}, ImageSize -> 
             Magnification[1]], "\[SpanFromLeft]"}, {
            TemplateBox[{
              FrameBox[
               StyleBox[
               "\"Buy on Amazon\"", 16, FontWeight -> "Bold", FontColor -> 
                RGBColor[0.768627, 0.949019, 1.], FontFamily -> 
                "Source Sans"], RoundingRadius -> 3, FrameStyle -> Directive[
                 RGBColor[0.768627, 0.949019, 1.], 
                 Thickness[Large]], FrameMargins -> {{10, 10}, {6, 6}}, 
               StripOnInput -> False], 
              "https://www.amazon.com/Query-Getting-Information-Wolfram-\
Language/dp/1579550851"}, "HyperlinkURL"], "\[SpanFromLeft]"}}, 
          GridBoxAlignment -> {"Columns" -> {{Left}}}, AutoDelete -> False, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
          GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {1, 1, 1}}], 
         "Grid"], ImageSize -> Full, FrameMargins -> {{20, 20}, {23, 10}}], 
       PaneBox[
        PaneBox[
         TemplateBox[{"\[ThinSpace]", "\" \"", 
           TagBox[
            TooltipBox[
             PaneSelectorBox[{False -> ButtonBox[
                 PaneBox[
                  GraphicsBox[
                   TagBox[
                    RasterBox[CompressedData["
1:eJxTTMoPSmNiYGAo5gASQYnljkVFiZXBAkBOaF5xZnpeaopnXklqemqRRRIz
UJAPiDmBmIUBO/j//z8jEDcA8W8g3oBFnhmIZ/9HgE9o8mxAvBZJ/hsQuyPJ
8wPxfiT5N0BsjiQvCsTnkOSfALEWkrwSEN9Bkr8OxDJobniAJP8ZZCYWfxCj
RpGQXcS4mVi/ExuGxMYFmlp4nAIAG14fWQ==
                    "], {{0, 14}, {9, 0}}, {0, 255}, ColorFunction -> 
                    RGBColor], 
                    BoxForm`ImageTag[
                    "Byte", ColorSpace -> "RGB", Interleaving -> True], 
                    Selectable -> False], DefaultBaseStyle -> "ImageGraphics",
                    ImageSizeRaw -> {9, 14}, PlotRange -> {{0, 9}, {0, 14}}, 
                   ImageSize -> Magnification[1]], ImageSize -> {35, 30}, 
                  Alignment -> Center], 
                 ButtonFunction :> (
                  NotebookLocate[{
                   "Query-02-data-structures-and-functions.nb", ""}, 
                   FrontEnd`HistoryData :> {
                    EvaluationNotebook[]}]& ), Enabled -> True, Appearance -> 
                 None, Evaluator -> Automatic, Method -> "Preemptive"], True -> 
               ButtonBox[
                 PaneBox[
                  GraphicsBox[
                   TagBox[
                    RasterBox[CompressedData["
1:eJxTTMoPSmNiYGAo5gASQYnljkVFiZXBAkBOaF5xZnpeaopnXklqemqRRRIz
UJAPiDmBmIUBO/j//z8jEDcA8W8g3oBFnhmIZ/9HgE9o8mxAvBZJ/hsQuyPJ
8wPxfiT5N0BsjiQvCsTnkOSfALEWkrwSEN9Bkr8OxDJobniAJP8ZZCYWfxCj
RpGQXcS4mVi/ExuGxMYFmlp4nAIAG14fWQ==
                    "], {{0, 14}, {9, 0}}, {0, 255}, ColorFunction -> 
                    RGBColor], 
                    BoxForm`ImageTag[
                    "Byte", ColorSpace -> "RGB", Interleaving -> True], 
                    Selectable -> False], DefaultBaseStyle -> "ImageGraphics",
                    ImageSizeRaw -> {9, 14}, PlotRange -> {{0, 9}, {0, 14}}, 
                   ImageSize -> Magnification[1]], ImageSize -> {35, 30}, 
                  Alignment -> Center], 
                 ButtonFunction :> (
                  NotebookLocate[{
                   "Query-02-data-structures-and-functions.nb", ""}, 
                   FrontEnd`HistoryData :> {
                    EvaluationNotebook[]}]& ), Enabled -> True, Appearance -> 
                 None, Background -> GrayLevel[0.2], Evaluator -> Automatic, 
                 Method -> "Preemptive"]}, 
              Dynamic[
               CurrentValue["MouseOver"]], ImageSize -> Automatic, 
              FrameMargins -> 0], "\"2: Data Structures and Functions\"", 
             TooltipDelay -> 0.15, LabelStyle -> "TextStyling"], 
            Annotation[#, "2: Data Structures and Functions", "Tooltip"]& ], 
           InterpretationBox[
            StyleBox[
             
             GraphicsBox[{}, ImageSize -> {5, 0}, BaselinePosition -> 
              Baseline], "CacheGraphics" -> False], 
            Spacer[5], Selectable -> False], 
           TagBox[
            TooltipBox[
             PaneSelectorBox[{False -> ButtonBox[
                 PaneBox[
                  GraphicsBox[
                   TagBox[
                    RasterBox[CompressedData["
1:eJxTTMoPSmNiYGAo5gASQYnljkVFiZXBAkBOaF5xZnpeaopnXklqemqRRRIz
UJAfiDmBmAWI////vwKIfwFxMQMOAJT7+R8B6nGoSf+PCjpwqMskUl0SEP9F
UtcHxIxY1EWjqZuOQ10Mmr2TcNj7BEnNP1LNIeQeIDsZn78IhQ8x4fwfNb4a
cPgTFu8l2ORBAAC+1hnm
                    "], {{0, 15}, {9, 0}}, {0, 255}, ColorFunction -> 
                    RGBColor], 
                    BoxForm`ImageTag[
                    "Byte", ColorSpace -> "RGB", Interleaving -> True], 
                    Selectable -> False], DefaultBaseStyle -> "ImageGraphics",
                    ImageSizeRaw -> {9, 15}, PlotRange -> {{0, 9}, {0, 15}}, 
                   ImageSize -> Magnification[1]], ImageSize -> {35, 30}, 
                  Alignment -> Center], 
                 ButtonFunction :> (
                  NotebookLocate[{"Query-04-query.nb", ""}, 
                   FrontEnd`HistoryData :> {
                    EvaluationNotebook[]}]& ), Appearance -> None, Evaluator -> 
                 Automatic, Method -> "Preemptive"], True -> ButtonBox[
                 PaneBox[
                  GraphicsBox[
                   TagBox[
                    RasterBox[CompressedData["
1:eJxTTMoPSmNiYGAo5gASQYnljkVFiZXBAkBOaF5xZnpeaopnXklqemqRRRIz
UJAfiDmBmAWI////vwKIfwFxMQMOAJT7+R8B6nGoSf+PCjpwqMskUl0SEP9F
UtcHxIxY1EWjqZuOQ10Mmr2TcNj7BEnNP1LNIeQeIDsZn78IhQ8x4fwfNb4a
cPgTFu8l2ORBAAC+1hnm
                    "], {{0, 15}, {9, 0}}, {0, 255}, ColorFunction -> 
                    RGBColor], 
                    BoxForm`ImageTag[
                    "Byte", ColorSpace -> "RGB", Interleaving -> True], 
                    Selectable -> False], DefaultBaseStyle -> "ImageGraphics",
                    ImageSizeRaw -> {9, 15}, PlotRange -> {{0, 9}, {0, 15}}, 
                   ImageSize -> Magnification[1]], ImageSize -> {35, 30}, 
                  Alignment -> Center], 
                 ButtonFunction :> (
                  NotebookLocate[{"Query-04-query.nb", ""}, 
                   FrontEnd`HistoryData :> {
                    EvaluationNotebook[]}]& ), Appearance -> None, Background -> 
                 GrayLevel[0.2], Evaluator -> Automatic, Method -> 
                 "Preemptive"]}, 
              Dynamic[
               CurrentValue["MouseOver"]], ImageSize -> Automatic, 
              FrameMargins -> 0], "\"4: Query\"", TooltipDelay -> 0.15, 
             LabelStyle -> "TextStyling"], 
            Annotation[#, "4: Query", "Tooltip"]& ]}, "RowWithSeparators"], 
         Alignment -> Right], ImageSize -> {100, 30}, 
        FrameMargins -> {{0, 6}, {0, 0}}, Alignment -> Right], 
       TagBox[
        ActionMenuBox[
         PaneSelectorBox[{True -> PanelBox[
             GraphicsBox[
              TagBox[
               RasterBox[CompressedData["
1:eJxTTMoPSmNiYGAo5gASQYnljkVFiZXBAkBOaF5xZnpeaopnXklqemqRRRIz
UBAkIQ3ELED8////Jf/pA0D2/KWTXSB7ZtPBPrA9DKOAYgAMR1Eg9gPiABpi
P6g912mcLmAAZM9XOtkFsicKiNcD8QYaYpD5UQOdXoYD+E/HMooO9iDbR7c6
BQDxtyEt
                "], {{0, 16}, {27, 0}}, {0, 255}, ColorFunction -> RGBColor], 
               BoxForm`ImageTag[
               "Byte", ColorSpace -> "RGB", Interleaving -> True, 
                Magnification -> 1], Selectable -> False], DefaultBaseStyle -> 
              "ImageGraphics", ImageSize -> Magnification[1], 
              ImageSizeRaw -> {27, 16}, PlotRange -> {{0, 27}, {0, 16}}], 
             Appearance -> None, Background -> GrayLevel[0.2], 
             ImageSize -> {35, 30}, Alignment -> Center], False -> PanelBox[
             GraphicsBox[
              TagBox[
               RasterBox[CompressedData["
1:eJxTTMoPSmNiYGAo5gASQYnljkVFiZXBAkBOaF5xZnpeaopnXklqemqRRRIz
UBAkIQ3ELED8////Jf/pA0D2/KWTXSB7ZtPBPrA9DKOAYgAMR1Eg9gPiABpi
P6g912mcLmAAZM9XOtkFsicKiNcD8QYaYpD5UQOdXoYD+E/HMooO9iDbR7c6
BQDxtyEt
                "], {{0, 16}, {27, 0}}, {0, 255}, ColorFunction -> RGBColor], 
               BoxForm`ImageTag[
               "Byte", ColorSpace -> "RGB", Interleaving -> True, 
                Magnification -> 1], Selectable -> False], DefaultBaseStyle -> 
              "ImageGraphics", ImageSize -> Magnification[1], 
              ImageSizeRaw -> {27, 16}, PlotRange -> {{0, 27}, {0, 16}}], 
             Appearance -> None, Background -> 
             RGBColor[0.0941176, 0.101961, 0.258824], ImageSize -> {35, 30}, 
             Alignment -> Center]}, 
          Dynamic[
           CurrentValue["MouseOver"]]], {
         "1: Introduction" :> 
          NotebookLocate[{"Query-01-introduction.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "2: Data Structures and Functions" :> 
          NotebookLocate[{"Query-02-data-structures-and-functions.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "3: Association" :> 
          NotebookLocate[{"Query-03-association.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "4: Query" :> 
          NotebookLocate[{"Query-04-query.nb", ""}, FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "5: The Dataset" :> 
          NotebookLocate[{"Query-05-the-dataset.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "6: Basic Recipes" :> 
          NotebookLocate[{"Query-06-basic-recipes.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "7: Advanced Recipes" :> 
          NotebookLocate[{"Query-07-advanced-recipes.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "8: Import and Export" :> 
          NotebookLocate[{"Query-08-import-and-export.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "Answers to Exercises" :> 
          NotebookLocate[{"Query-09-answers-to-exercises.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "Index" :> 
          NotebookLocate[{"Query-10-index.nb", ""}, FrontEnd`HistoryData :> {
              EvaluationNotebook[]}]}, Appearance -> None], 
        MouseAppearanceTag["LinkHand"]]}}, AutoDelete -> False, 
     GridBoxItemSize -> {
      "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], 
   Background -> RGBColor[0.07450980392156863, 0.1450980392156863, 0.2], 
   CellMargins -> {{0, 0}, {0, 0}}, CellFrameColor -> 
   RGBColor[0.863264, 0.898009, 0.999619], CellFrame -> {{0, 1}, {0, 0}}, 
   CellFrameMargins -> {{18, 20}, {1, 1}}, ShowStringCharacters -> False, 
   ShowCellBracket -> False, CellGroupingRules -> {"SectionGrouping", 0}, 
   CellContext -> CellGroup], 
  Cell[
   BoxData[
    DynamicModuleBox[{$CellContext`open$$ = False}, 
     PaneSelectorBox[{True -> ButtonBox[
         TemplateBox[{
           StyleBox[
           "\"ATTRIBUTION FOR USAGE \"", 12, FontFamily -> "Source Sans Pro", 
            FontWeight -> "Bold", FontColor -> 
            RGBColor[
             0.2784313725490196, 0.403921568627451, 0.5137254901960784]], 
           GraphicsBox[
            TagBox[
             RasterBox[CompressedData["
1:eJxTTMoPSmNiYGAo5gASQYnljkVFiZXBAkBOaF5xZnpeaopnXklqemqRRRIz
UFAMiNWAmAWIN23atACIDxCBJ/z//5+BEgw0Q4FIuzYAsQMQ/ycSO1DorgNE
2lMAVT+BSPUPKHBTAJF2HEDSIwCyk0h9DWS4iVjzP4DiGk0vsfGJoZcIdzWQ
En9Y9BMbnwdIcJMBpWaSGJ8BVEzrBOOAhPgEuV+AgFkJlMQfBfGJMw9Aw/4D
EWZcoEH+AWEDCv2GVT8V4hMjvZKgl+Qyh0Q/J6Dpu0DN+KMgPj/A8gAoDdMi
/iiIkwkkpHWy4o+C+CSmrCI7/ijMnzSNPwrik+bxR0F8YsME6wcK3UZMGYAN
O9DKTVB3Eds+QMmrtHQTktuIbU/RPP4oiE+y4g8ANP3HuQ==
              "], {{0, 5.28}, {9.12, 0}}, {0, 255}, ColorFunction -> RGBColor,
               ImageResolution -> {300, 300}], 
             BoxForm`ImageTag[
             "Byte", ColorSpace -> "RGB", Interleaving -> True], Selectable -> 
             False], DefaultBaseStyle -> "ImageGraphics", 
            ImageSizeRaw -> {9.12, 5.28}, PlotRange -> {{0, 9.12}, {0, 5.28}},
             ImageSize -> Magnification[1]]}, "RowDefault"], ButtonFunction :> 
         If[$CellGroupContext`open$$, $CellGroupContext`open$$ = 
           False, $CellGroupContext`open$$ = True], Appearance -> None, 
         Evaluator -> Automatic, Method -> "Preemptive"], False -> ButtonBox[
         TemplateBox[{
           StyleBox[
           "\"ATTRIBUTION FOR USAGE \"", 12, FontFamily -> "Source Sans PRo", 
            FontWeight -> "Bold", FontColor -> 
            RGBColor[
             0.2784313725490196, 0.403921568627451, 0.5137254901960784]], 
           GraphicsBox[
            TagBox[
             RasterBox[CompressedData["
1:eJy1ljEOgkAQRYlaWFJZa2VLaamlndHYCxGNDRIwMXYcwSN4BMIJPIJH8Ajc
YJ1N1oQsgrOzQ/FJgPDymJ3dzCQ4rw89x3HSIVzW/nWRJP5t48LNNkpPxyjc
L6NLeAyTWdCHh1PICDKAFEWRQcZCCIczwHxCSkjcAVeoPLncNa7gcv/Brbp7
HXC/yTriyrxM3ZFcY3dDLtqdwEW5w/ud6i0K+w2Zt7BdyIPIlrlLRgt/rhzY
3RU/s6jNP/cxJKe6I/plRakNssddVRtWrlYbVL8Tz5TVv3UlcmNOrurvF/O6
3TnXrSCeHy08D7v2P1Jy/LMWuUddjUnaW19H+T213w0cYwtezbHCpXrWHC25
jY4WXPT8huQaz2wILmnGbOFazZUNXOs5WOOyze0VLtusrrg5l6PGbdwzNvkA
H9MJ6g==
              "], {{0, 9.36}, {5.28, 0}}, {0, 255}, ColorFunction -> RGBColor,
               ImageResolution -> {300, 300}], 
             BoxForm`ImageTag[
             "Byte", ColorSpace -> "RGB", Interleaving -> True], Selectable -> 
             False], DefaultBaseStyle -> "ImageGraphics", 
            ImageSizeRaw -> {5.28, 9.36}, PlotRange -> {{0, 5.28}, {0, 9.36}},
             ImageSize -> Magnification[1]]}, "RowDefault"], ButtonFunction :> 
         If[$CellGroupContext`open$$, $CellGroupContext`open$$ = 
           False, $CellGroupContext`open$$ = True], Appearance -> None, 
         Evaluator -> Automatic, Method -> "Preemptive"]}, 
      Dynamic[$CellGroupContext`open$$]], 
     Initialization :> ($CellGroupContext`open$$ = False), 
     DynamicModuleValues :> {}]], "Text", CellMargins -> {{0, 0}, {0, 0}}, 
   CellFrame -> {{0, 0}, {0, 0}}, CellFrameColor -> 
   RGBColor[0.8588235294117647, 0.9333333333333333, 1.], 
   CellFrameMargins -> {{18, 0}, {1, 3}}, ShowStringCharacters -> False, 
   ShowCellBracket -> False, Background -> 
   RGBColor[0.8588235294117647, 0.9333333333333333, 1.], CellContext -> 
   CellGroup], 
  Cell[
   BoxData[
    TemplateBox[{
      StyleBox[
      "\"Content present in this notebook can be reused with the following \
attribution:\[LineSeparator]\"", FontSize -> 12, FontWeight -> "Regular", 
       FontFamily -> "Source Sans Pro", FontColor -> 
       RGBColor[0.2784313725490196, 0.403921568627451, 0.5137254901960784]], 
      TemplateBox[{
        TemplateBox[{
          StyleBox[
          "\"S. Chandler (2023),  \"", FontWeight -> Bold, FontSize -> 11, 
           FontFamily -> "Source Sans Pro", FontColor -> 
           RGBColor[
            0.2784313725490196, 0.403921568627451, 0.5137254901960784]], 
          StyleBox[
          "\"Query: Getting Information from Data with the Wolfram \
Language\"", Selectable -> True, Copyable -> True, FontSlant -> Italic, 
           FontWeight -> Bold, FontSize -> 11, FontFamily -> 
           "Source Sans Pro", FontColor -> 
           RGBColor[
            0.2784313725490196, 0.403921568627451, 0.5137254901960784]], 
          StyleBox[
          "\", Wolfram \
Media.\[LineSeparator]https://www.wolfram.com/language/query-getting-\
information-from-data-with-the-wolfram-language\"", FontWeight -> Bold, 
           FontSize -> 12, FontFamily -> "Source Sans Pro", FontColor -> 
           RGBColor[
            0.2784313725490196, 0.403921568627451, 0.5137254901960784]]}, 
         "RowDefault"], 
        "\"S. Chandler (2023), Query: Getting Information from Data with the \
Wolfram Language, Wolfram Media. \
www.wolfram.com/language/query-getting-information-from-data-with-the-wolfram-\
language\""}, "ClickToCopy2"]}, "RowDefault"]], "Text", 
   CellElementSpacings -> {"CellMinHeight" -> 4, "ClosedCellHeight" -> 1}, 
   Background -> RGBColor[0.8588235294117647, 0.9333333333333333, 1.], 
   CellMargins -> {{0, 0}, {0, 0}}, CellFrame -> {{0, 0}, {0, 0}}, 
   CellFrameColor -> RGBColor[0.8588235294117647, 0.9333333333333333, 1.], 
   CellFrameMargins -> {{18, 0}, {5, 5}}, ShowCellBracket -> False, 
   ShowStringCharacters -> False, CellOpen -> 
   Dynamic[$CellGroupContext`open$$], CellContext -> CellGroup, Copyable -> 
   True, Selectable -> True, LineSpacing -> {1, -3}]},
PageHeaders->{{
   Cell[
    TextData[{
      StyleBox[
       CounterBox["Page"], "PageNumber"], 
      StyleBox[
      "    Query: Getting Information from Data with the Wolfram Language", 
       "Header"]}], "Header", 
    CellMargins -> {{37, Inherited}, {Inherited, Inherited}}], None, None}, {
  None, None, 
   Cell[
    TextData[{
      StyleBox[
       CounterBox["Section"], "Header"], 
      StyleBox["  |  Association", "Header"], 
      StyleBox["    ", "Header"], 
      StyleBox[
       CounterBox["Page"], "PageNumber"]}], "Header", 
    CellMargins -> {{Inherited, 34}, {Inherited, Inherited}}]}},
TaggingRules->{
 "DocuToolsSettingsInternal" -> {
   "$PacletVersion" -> "0.10.2469", "CloseOpenPageDialogAutomatically" -> 
    True, "$ApplicationName" -> "Pubs", "$LinkBase" -> "Pubs", 
    "$ApplicationDirectory" -> "C:\\Users\\jayw\\Desktop\\CVSTree\\Pubs\\", 
    "$DocumentationDirectory" -> 
    "C:\\Users\\jayw\\Desktop\\CVSTree\\Pubs\\Documentation\\English\\", 
    "$UseNewPageDialog" -> "True", "$CondensedBlogMenus" -> "True"}, 
  "WelcomeScreenSettings" -> {"FEStarting" -> False}, 
  "DraftSectionsDirectory" -> 
  "C:\\Users\\jayw\\Desktop\\Projects\\EIWL-3e\\Source copy\\", 
  "BlogsDirectory" -> 
  "C:\\Users\\jayw\\Desktop\\Projects\\13.1-Blog\\History\\", 
  "WBTDraftSectionsDirectory" -> 
  "C:\\Users\\jayw\\Desktop\\Projects\\ChandlerBook\\Print_source\\", 
  "IndexEntries" -> {{"i:1", "Association?{advantages relative to List?}"}, {
    "i:2", "Major League Soccer data"}, {"i:3", "Association?{keys}"}, {
    "i:3", "Keys?"}, {"i:3", "Values?"}, {"i:3", "key-value pairs"}, {
    "i:4", "Part?{use with Association?}"}, {
    "i:5", "Key{omission of wrapper when key is a string}"}, {
    "i:6", "Association?{use of <||>}"}, {
    "i:7", "Association?{general irrelevance of key order}"}, {
    "i:8", "Association?{extraction of multiple key-value pairs}"}, {
    "i:9", "Keys?"}, {"i:10", "Values?"}, {
    "i:11", "Normal?{use on Association?}"}, {
    "i:12", "Association?{sorting by value}"}, {
    "i:12", "SortBy?{use with Association?}"}, {
    "i:13", "Association?{sorting by key}"}, {"i:13", "KeySortBy?"}, {
    "i:14", "Association?{use as an argument to a function}"}, {
    "i:15", "Association?{use as the equivalent of a function}"}, {
    "i:15", "function{applied to Association?}"}, {
    "i:15", "function{use of Slot arguments}"}, {
    "i:15", "Slot?{use in functions}"}, {
    "i:16", "Slot?{use of # to denote}"}, {
    "i:16", "#{equivalence with Slot?}"}, {
    "i:17", "Slot?{need for quotation marks when key could not be a \
symbol}"}, {"i:18", "Association?{nesting in other expressions}"}, {
    "i:19", "ResourceFunction?{DatasetForm}"}, {"i:19", "DatasetForm"}, {
    "i:20", "Part?{use on expressions with nested Associations}"}, {
    "i:21", "Association?{of Associations}"}, {
    "i:22", "ResourceFunction?{DatasetForm}"}, {"i:22", "DatasetForm"}, {
    "i:23", "ResourceFunction?{Slice}"}, {"i:23", "Slice"}, {
    "i:24", "Position?{with Association?}"}, {"i:25", "KeyTake?"}, {
    "i:25", "KeyDrop?"}, {
    "i:26", "KeyTake?{use with Normal? form of Association?}"}, {
    "i:27", "KeyTake?{when key not present}"}, {"i:28", "Lookup?"}, {
    "i:29", "KeyDrop?"}, {"i:30", "Lookup?"}, {
    "i:30", "Lookup?{with missing keys}"}, {
    "i:31", "Lookup?{operator form}"}, {
    "i:32", "Lookup?{production of Missing?}"}, {"i:32", "Missing?"}, {
    "i:33", "Lookup?{use specification of output when key is missing}"}, {
    "i:34", "ResourceFunction?{Slice}"}, {"i:34", "Slice"}, {
    "i:35", "Slice{with missing keys}"}, {
    "i:36", "Slice{use with expressions other than Association?}"}, {
    "i:37", "AssociationThread?"}, {"i:38", "AssociationMap?"}, {
    "i:39", "Counts?"}, {"i:40", "Merge?"}, {
    "i:41", "Merge?{operator form}"}, {
    "i:42", "Merge?{use with Identity? function}"}, {"i:43", "JoinAcross?"}, {
    "i:44", "JoinAcross?{distinguished from Merge?}"}, {
    "i:44", "Merge?{distinguished from JoinAcross?}"}, {
    "i:45", "ResourceFunction?{DatasetForm}"}, {"i:45", "DatasetForm"}, {
    "i:45", "JoinAcross?{when joining keys have different names in different \
Datasets}"}, {"i:46", "KeyReplace"}, {
    "i:46", "ResourceFunction?{KeyReplace}"}, {
    "i:47", "Map?{use on Association}"}, {
    "i:47", "Association?{use of Map?}"}, {
    "i:48", "MapAt?{use on Association?}"}, {
    "i:48", "Association?{use of MapAt?}"}, {
    "i:49", "MapAt?{at different levels of an expression}"}, {
    "i:50", "MapAt?{composition with other functions}"}, {
    "i:51", "MapIndexed?"}, {"i:51", "MapIndexed?{use on Association?}"}, {
    "i:52", "MapThread?"}, {"i:52", "MapThread?{use on Association?}"}, {
    "i:53", "Apply?"}, {"i:53", "Apply?{do not use on Association?}"}, {
    "i:53", "Transpose?"}, {
    "i:53", "Transpose?{do not use on Association?}"}, {
    "i:53", "AssociationTranspose"}, {
    "i:53", "ResourceFunction?{AssociationTranspose}"}, {"i:54", "KeyMap?"}, {
    "i:55", "KeyValueMap?"}, {
    "i:56", "KeyValueMap?{distinguished from MapIndexed?}"}, {
    "i:56", "MapIndexed?{distinguished from KeyValueMap?}"}, {
    "i:57", "KeyReplace"}, {"i:57", "ResourceFunction?{KeyReplace}"}, {
    "i:58", "Select?"}, {"i:58", "Select?{use on Association?}"}, {
    "i:59", "GatherBy?"}, {"i:60", "GroupBy?"}, {
    "i:60", "GroupBy?{distinguished from GatherBy?}"}, {
    "i:60", "GatherBy?{distinguished from GroupBy?}"}, {
    "i:61", "Major League Soccer data{sample}"}, {
    "i:62", "Association?{as a function}"}, {"i:63", "Titanic data"}, {
    "i:64", "Major League Soccer data{sample}"}}, 
  "PaginationCache" -> {{
    2023, 8, 31, 16, 24, 3.9080275`8.344532592077384}, CompressedData["
1:eJxtwVcawUAUBtDLTixFiU4iOtGG6D6rsk8PJuaW/5yKe6euRESfMlHVq3F1
oAFEWNNqKW2uw3WtntJXBsbQiIFEGQkpM/6bBFNrxsylhbHkVtxayAqbYBvs
vP3PQXHIETsBuXT2Lt61cJPu0AN5Ki/jC53/51s=
    "], Automatic}, 
  "IndexItemsAndPageNumbers" -> {{"i:1", 65}, {"i:2", 66}, {"i:3", 66}, {
    "i:4", 67}, {"i:5", 67}, {"i:6", 68}, {"i:7", 68}, {"i:8", 68}, {
    "i:9", 68}, {"i:10", 69}, {"i:11", 69}, {"i:12", 69}, {"i:13", 69}, {
    "i:14", 70}, {"i:15", 70}, {"i:16", 71}, {"i:17", 71}, {"i:18", 72}, {
    "i:19", 72}, {"i:20", 72}, {"i:21", 72}, {"i:22", 73}, {"i:23", 74}, {
    "i:24", 74}, {"i:25", 75}, {"i:26", 75}, {"i:27", 76}, {"i:28", 76}, {
    "i:29", 76}, {"i:30", 76}, {"i:31", 77}, {"i:32", 77}, {"i:33", 77}, {
    "i:34", 77}, {"i:35", 78}, {"i:36", 78}, {"i:37", 79}, {"i:38", 79}, {
    "i:39", 79}, {"i:40", 80}, {"i:41", 80}, {"i:42", 80}, {"i:43", 82}, {
    "i:44", 83}, {"i:45", 83}, {"i:46", 84}, {"i:47", 84}, {"i:48", 85}, {
    "i:49", 86}, {"i:50", 86}, {"i:51", 87}, {"i:52", 87}, {"i:53", 88}, {
    "i:54", 88}, {"i:55", 89}, {"i:56", 90}, {"i:57", 90}, {"i:58", 91}, {
    "i:59", 91}, {"i:60", 92}, {"i:61", 92}, {"i:62", 97}, {"i:63", 97}, {
    "i:64", 101}}},
CellLabelAutoDelete->Automatic,
ShowAutoSpellCheck->False,
FrontEndVersion->"13.3 for Mac OS X x86 (64-bit) (June 3, 2023)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[StyleDefinitions -> "Default.nb"]], 
   Cell[
    CellGroupData[{
      Cell[
      "Style Environments", "Section", 
       CellChangeTimes -> {{3.64661165091824*^9, 3.646611654013329*^9}, 
         3.6485723794335403`*^9, 3.651347081728628*^9, 3.651347179462186*^9, 
         3.651347384135805*^9, 3.651348171662589*^9}], 
      Cell[
       StyleData[All, "Working"], CreateCellID -> True, 
       ShowPredictiveInterface -> False, 
       AutoStyleOptions -> {
        "UndefinedSymbolStyle" -> None}, $CellContext`CellInsertionPointCell -> 
       FEPrivate`FrontEndResource[
        "FEExpressions", 
         "CellInsertionMenu"], $CellContext`GhostCellInEmptyNotebook -> 
       False], 
      Cell[
       StyleData[All, "Printout"], 
       PrintingOptions -> {"PageSize" -> {504, 720}}, 
       AutoStyleOptions -> {"UndefinedSymbolStyle" -> None}, Magnification -> 
       0.6], 
      Cell[
       StyleData[All, "Invisibles"], DockedCells -> {
         Cell[
          BoxData[
           GridBox[{{
              InterpretationBox[
               StyleBox[
                
                GraphicsBox[{}, BaselinePosition -> Baseline, 
                 ImageSize -> {4, 0}], CacheGraphics -> False], 
               Spacer[4]], 
              ActionMenuBox[
              "\"Insert\"", {
               "\"Subsection\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTConvertToSubsectionStyle[]), 
                "\"Subsubsection\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTConvertToSubsubsectionStyle[]), 
                "\"Subsubsubsection\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTConvertToSubsubsubsectionStyle[]), 
                Delimiter, 
                "\"Text\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTConvertToTextStyle[]), "\"CodeText\"" :> 
                Module[{$CellContext`bn = ButtonNotebook[]}, 
                  If[Developer`CellInformation[$CellContext`bn] =!= $Failed, 
                    While[
                    FreeQ[
                    Developer`CellInformation[$CellContext`bn], 
                    "CellBracket"], 
                    FrontEndExecute[
                    
                    FrontEnd`SelectionMove[$CellContext`bn, All, Cell, 
                    AutoScroll -> False]]]; 
                    SelectionMove[$CellContext`bn, After, Cell]]; 
                  NotebookWrite[$CellContext`bn, 
                    Cell["XXXX", "CodeText"], All]; 
                  SelectionMove[$CellContext`bn, All, CellContents]], 
                "\"Hyperlink\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTGenerateHyperlinkDialog[]), Delimiter, 
                "\"Vocabulary 2Col\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTInsertVocabularySectionAnd2ColTable[]), 
                "\"Vocabulary 3Col\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTInsertVocabularySectionAnd3ColTable[]), 
                "\"Add Row\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTVocabTableAddRow[]), 
                "\"Remove Row\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTVocabTableAddRow["RemoveRow" -> True]), 
                "\"Apply Divider\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTVocabTableAddRow["AddDivider" -> True]), 
                "\"Remove Divider\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTVocabTableAddRow[
                  "RemoveDivider" -> True]), Delimiter, 
                "\"Exercises\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTInsertExerciseSection[]), 
                "\"Exercise\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTInsertExerciseSection[]), 
                "\"Q&A | Tech Notes | More\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTInsertQAndATechNotesMore[]), 
                "\"Question\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTInsertQuestion[]), 
                "\"Answer\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTInsertAnswer[]), 
                "\"Tech Note\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTInsertTechNote[]), 
                "\"More to Explore\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTInsertMoreExplore[]), 
                "\"References Section\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTInsertReferencesSection[]), Delimiter, 
                "\"Comment\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTApplyComment[])}, Appearance -> 
               "PopupMenu", FrameMargins -> 2.4], 
              ItemBox["", ItemSize -> Fit], 
              ActionMenuBox[
              "\"Function Name\"", {
               "\"Link\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTMakeSymbolLink[]), 
                "\"Format\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTFormatSymbol[])}, Appearance -> 
               "PopupMenu", Method -> "Queued", FrameMargins -> 2.4], 
              ButtonBox[
              "\"Resource Function Link\"", 
               ButtonFunction :> (Needs["WolframBookTools`"]; 
                WolframBookTools`WBTResourceFunctionLink[]), Evaluator -> 
               Automatic, Appearance -> "DialogBox", Method -> "Queued"], 
              ButtonBox[
              "\"Inline Code\"", 
               ButtonFunction :> (Needs["WolframBookTools`"]; 
                WolframBookTools`WBTConvertToInlineCode[]), Evaluator -> 
               Automatic, Appearance -> "DialogBox", Method -> "Queued"], 
              ActionMenuBox[
              "\"Mark Cells\"", {
               "\"Tentative\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTApplyTentative[]), Delimiter, 
                "\"Print Only\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTApplyPrintOnly[]), 
                "\"Web Only\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTApplyWebOnly[]), Delimiter, 
                "\"Locked\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTApplyLock[])}, Method -> "Queued", 
               FrameMargins -> 2.4], 
              ItemBox["", ItemSize -> Fit], 
              GridBox[{{
                 TooltipBox[
                  ButtonBox[
                  "\"Index Field\"", Appearance -> {"AbuttingRight"}, 
                   ButtonFunction :> (Needs["WolframBookTools`"]; 
                    WolframBookTools`WBTInsertIndexField[]), Evaluator -> 
                   Automatic, Method -> "Queued"], 
                  "First put the cursor in a cell to insert a corresponding \
field above to insert index entries.\nList main index entries corresponding \
to the cell separated by commas. Any associated sub-entries\nshould be put \
immediately after in braces.\nExample: programming{functional, rule based}, \
function, relation, lists{flat, nested}\n If $Language is \"ChineseSimplified\
\", \"ChineseTraditional\", \"Japanese\", \"Korean\" or \"Russian\"\ntwo \
index fields get inserted above a selected cell, the top one for inserting \
entries\nintended for the Englsh index and the bottom for the index in the \
language given by $Language.", TooltipDelay -> 0.3], 
                 TooltipBox[
                  ButtonBox[
                  "\"Toggle\"", Appearance -> {"AbuttingLeft"}, 
                   ButtonFunction :> (CurrentValue[
                    ButtonNotebook[], ScreenStyleEnvironment] = 
                    If[CurrentValue[
                    ButtonNotebook[], ScreenStyleEnvironment] === 
                    "Invisibles", "Working", "Invisibles"]), Evaluator -> 
                   Automatic, Method -> "Queued"], 
                  "Toggles index entry fields.", TooltipDelay -> 0.3]}}, 
               GridBoxItemSize -> {
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
               GridBoxSpacings -> {
                "ColumnsIndexed" -> {2 -> 0}, "Rows" -> {{Automatic}}}], 
              InterpretationBox[
               StyleBox[
                
                GraphicsBox[{}, BaselinePosition -> Baseline, 
                 ImageSize -> {4, 0}], CacheGraphics -> False], 
               Spacer[4]]}}]], "DockedCell", 
          CellFrameMargins -> {{0, 0}, {8, 8}}]}, CreateCellID -> True, 
       ShowPredictiveInterface -> False, 
       AutoStyleOptions -> {
        "UndefinedSymbolStyle" -> None}, $CellContext`CellInsertionPointCell -> 
       FEPrivate`FrontEndResource[
        "FEExpressions", 
         "CellInsertionMenu"], $CellContext`GhostCellInEmptyNotebook -> 
       False]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell["Styles for Headers and Footers", "Section"], 
      Cell[
       StyleData["Header"], 
       PrintingOptions -> {"PageHeaderMargins" -> {28, 28}}, StyleMenuListing -> 
       None, FontFamily -> "Source Sans Pro", FontSize -> 8, FontWeight -> 
       "Regular", FontSlant -> "Plain", 
       PrivateFontOptions -> {"FontPostScriptName" -> "Automatic"}, FontColor -> 
       GrayLevel[0.45]], 
      Cell[
       StyleData["PageNumber"], CellMargins -> {{0, 0}, {4, 1}}, 
       StyleMenuListing -> None, FontFamily -> "Source Sans Pro", FontSize -> 
       8, FontWeight -> "Bold", FontSlant -> "Plain", 
       PrivateFontOptions -> {"FontPostScriptName" -> "Automatic"}, FontColor -> 
       GrayLevel[0]]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
      "Custom Styles", "Section", 
       CellChangeTimes -> {{3.646611660445352*^9, 3.646611669493331*^9}}], 
      Cell[
       StyleData["Notebook"], PageWidth :> 700, 
       PrintingOptions -> {
        "FirstPageHeader" -> True, "InnerOuterMargins" -> {30, 30}, 
         "PaperOrientation" -> "Portrait", "PaperSize" -> {504, 720}, 
         "PrintingMargins" -> {{20, 20}, {54, 54}}}, CellLabelAutoDelete -> 
       False, ShowSyntaxStyles -> True, MenuSortingValue -> None, 
       GraphicsBoxOptions -> {ImageSize -> 240}, 
       Graphics3DBoxOptions -> {ImageSize -> 240}], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Title"], CellMargins -> {{64, Inherited}, {50, 72}}, 
          MenuCommandKey :> None, FontFamily -> "Verdana", FontSize -> 42, 
          FontWeight -> "Bold", FontColor -> GrayLevel[0.4]], 
         Cell[
          StyleData["Title", "Printout"], 
          CellMargins -> {{64, Inherited}, {50, 72}}]}, Closed]], 
      Cell[
       StyleData["Chapter"], MenuCommandKey :> None], 
      Cell[
       StyleData["Subchapter"], MenuCommandKey :> None], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Section"], CellFrame -> {{0, 0}, {0, 0}}, 
          CellMargins -> {{64, Inherited}, {12, 64}}, 
          CellGroupingRules -> {"SectionGrouping", 30}, PageBreakAbove -> 
          True, ShowCellLabel -> False, 
          CellFrameLabelMargins -> {{2, Inherited}, {Inherited, Inherited}}, 
          CellChangeTimes -> {3.652728456208679*^9, 3.652728527108994*^9}, 
          CounterIncrements -> "Section", 
          CounterAssignments -> {{"Subsection", 0}, {"Subsubsection", 0}, {
            "Exercise", 0}}, FontFamily -> "Source Sans Pro Semibold", 
          FontSize -> 26, FontSlant -> "Plain", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`], 
          InterpretationBoxOptions -> {Editable -> True}], 
         Cell[
          StyleData["Section", "Printout"], 
          CellMargins -> {{62, 4}, {52, 182}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SectionDoubleDigit"], CellFrame -> {{0, 0}, {0, 0}}, 
          CellDingbat -> Cell[
            TextData[
             CounterBox["Section"], 
             StyleBox[
             "|\[NegativeThinSpace]\[VeryThinSpace]", FontColor -> 
              RGBColor[
               0.9019607843137255, 0.4117647058823529, 0.027450980392156862`],
               FontFamily -> "Courier", FontSize -> 36, FontWeight -> Plain]],
             "SectionNumber"], CellMargins -> {{112, Inherited}, {12, 64}}, 
          Evaluatable -> True, CellGroupingRules -> {"SectionGrouping", 60}, 
          PageBreakAbove -> True, ShowCellLabel -> False, 
          CellFrameLabelMargins -> {{2, Inherited}, {Inherited, Inherited}}, 
          CellChangeTimes -> {3.652728456208679*^9, 3.652728527108994*^9}, 
          CounterIncrements -> "Section", 
          CounterAssignments -> {{"Subsection", 0}, {"Subsubsection", 0}, {
            "Exercise", 0}}, FontFamily -> "Source Sans Pro Semibold", 
          FontSize -> 26, FontSlant -> "Plain", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`], 
          InterpretationBoxOptions -> {Editable -> True}], 
         Cell[
          StyleData["SectionDoubleDigit", "Printout"], 
          CellMargins -> {{112, Inherited}, {12, 2}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SectionNumber"], CellBaseline -> Baseline, FontFamily -> 
          "Source Sans Pro Semibold", FontSize -> 26, FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
         Cell[
          StyleData["SectionNumber", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SectionBar"], FontFamily -> "Source Sans Pro", 
          FontWeight -> "Plain", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
         Cell[
          StyleData["SectionBar", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SectionInline"], FontFamily -> 
          "Source Sans Pro Semibold", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
         Cell[
          StyleData["SectionInline", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SectionNoDingbat"], 
          CellMargins -> {{64, Inherited}, {12, 64}}, Evaluatable -> True, 
          CellGroupingRules -> {"SectionGrouping", 60}, PageBreakAbove -> 
          True, ShowCellLabel -> False, 
          CellFrameLabelMargins -> {{2, Inherited}, {Inherited, Inherited}}, 
          CellChangeTimes -> {3.652728456208679*^9, 3.652728527108994*^9}, 
          CounterIncrements -> "Section", 
          CounterAssignments -> {{"Subsection", 0}, {"Subsubsection", 0}, {
            "Exercise", 0}}, FontFamily -> "Source Sans Pro Semibold", 
          FontSize -> 26, FontSlant -> "Plain", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`], 
          InterpretationBoxOptions -> {Editable -> True}], 
         Cell[
          StyleData["SectionNoDingbat", "Printout"], 
          CellMargins -> {{64, Inherited}, {12, 2}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SubsectionNumbered"], CellDingbat -> Cell[
            TextData[{"  ", 
              CounterBox["Section"], ".", 
              CounterBox["Subsection"]}], "SubsectionNumber", FontColor -> 
            RGBColor[
             0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
          CellMargins -> {{98, Inherited}, {Inherited, 32}}, 
          CounterIncrements -> "Subsection", FontFamily -> 
          "Source Sans Pro Semibold", FontSize -> 18, FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
         Cell[
          StyleData["SubsectionNumbered", "Printout"], 
          CellMargins -> {{102, Inherited}, {12, 32}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SubsectionNumber"], FontFamily -> 
          "Source Sans Pro Semibold", FontSize -> 18, FontColor -> 
          GrayLevel[0.25]], 
         Cell[
          StyleData["SubsectionNumber", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SubsectionFirst"], 
          CellMargins -> {{64, Inherited}, {2, 72}}, FontFamily -> 
          "Source Sans Pro Semibold", FontSize -> 18, FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
         Cell[
          StyleData["Subsection", "Printout"], 
          CellMargins -> {{64, Inherited}, {12, 32}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Subsection"], CellMargins -> {{64, Inherited}, {2, 32}}, 
          FontFamily -> "Source Sans Pro Semibold", FontSize -> 18, FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
         Cell[
          StyleData["Subsection", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Subsubsection"], 
          CellMargins -> {{64, Inherited}, {2, 32}}, FontFamily -> 
          "Source Sans Pro Semibold", FontSize -> 16, FontSlant -> "Italic", 
          FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
         Cell[
          StyleData["Subsubsection", "Printout"], 
          CellMargins -> {{64, Inherited}, {6, 14}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SubsubsectionTopMargin"], 
          CellMargins -> {{64, Inherited}, {2, 14}}, FontFamily -> 
          "Source Sans Pro Semibold", FontSize -> 16, FontSlant -> "Italic", 
          FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
         Cell[
          StyleData["SubsubsectionTopMargin", "Printout"], 
          CellMargins -> {{64, Inherited}, {6, 14}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Subsubsubsection"], 
          CellMargins -> {{64, Inherited}, {2, 32}}, FontFamily -> 
          "Source Sans Pro Semibold", FontSize -> 15, FontSlant -> "Plain", 
          FontColor -> GrayLevel[0.45]], 
         Cell[
          StyleData["Subsubsubsection", "Printout"], 
          CellMargins -> {{64, Inherited}, {6, 14}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ResourcesSubsection"], 
          CellMargins -> {{64, Inherited}, {4, 16}}, FontFamily -> 
          "Source Sans Pro Semibold", FontSize -> 15, FontSlant -> "Plain", 
          FontColor -> GrayLevel[0]], 
         Cell[
          StyleData["ResourcesSubsection", "Printout"], 
          CellMargins -> {{64, Inherited}, {4, 16}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["VocabularySection"], PageWidth :> 700, 
          CellFrame -> {{0, 0}, {0, 3}}, 
          CellMargins -> {{64, Inherited}, {8, 30}}, 
          CellGroupingRules -> {"SectionGrouping", 60}, PageBreakBelow -> 
          False, CellFrameMargins -> {{8, 8}, {4, 6}}, CellFrameColor -> 
          RGBColor[0.901961, 0.411765, 0.027451], FontFamily -> 
          "Source Sans Pro", FontSize -> 18, FontSlant -> "Italic", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`], 
          GridBoxOptions -> {GridBoxAlignment -> {}}], 
         Cell[
          StyleData["VocabularySection", "Printout"], 
          CellMargins -> {{64, Inherited}, {8, 24}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["VocabularySubsection"], 
          CellMargins -> {{64, Inherited}, {2, 10}}, FontFamily -> 
          "Source Sans Pro", FontSize -> 16, FontSlant -> "Italic", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
         Cell[
          StyleData["VocabularySubsubsection", "Printout"], 
          CellMargins -> {{64, Inherited}, {6, 14}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["VocabularySubsectionSM"], 
          CellFrame -> {{0, 0}, {0.75, 0}}, 
          CellMargins -> {{64, Inherited}, {5, 15}}, 
          CellFrameMargins -> {{8, 8}, {5, 6}}, CellFrameColor -> 
          RGBColor[0.901961, 0.411765, 0.027451], FontFamily -> 
          "Source Sans Pro", FontSize -> 14, FontWeight -> "Bold", FontSlant -> 
          "Regular", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
         Cell[
          StyleData["VocabularySubsubsectionSM", "Printout"], 
          CellMargins -> {{64, Inherited}, {6, 15}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["VocabularyTable", StyleDefinitions -> StyleData["Text"]],
           SpanMaxSize -> 1, FontFamily -> "Source Sans Pro Light", FontColor -> 
          GrayLevel[0.8], 
          GridBoxOptions -> {
           GridBoxAlignment -> {"Columns" -> {{Left}}}, 
            GridBoxDividers -> {"Columns" -> {{False}}, "Rows" -> {False, {
                 Directive[
                  Thickness[0.5], "VocabDivColor"]}, False}}, 
            GridBoxItemStyle -> {
             "Columns" -> {"VocabularyCode", Inherited, Inherited}, 
              "Rows" -> {{Automatic}}}, 
            GridBoxSpacings -> {
             "Columns" -> {{0, 1, 2, 1, 2}}, "Rows" -> {{1}}}}], 
         Cell[
          StyleData["VocabularyTable", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData[
          "VocabularyTable3Column", StyleDefinitions -> StyleData["Text"]], 
          SpanMaxSize -> 1, FontFamily -> "Source Sans Pro Light", FontColor -> 
          GrayLevel[0.8], 
          GridBoxOptions -> {
           GridBoxAlignment -> {"Columns" -> {{Left}}}, 
            GridBoxDividers -> {"Columns" -> {{False}}, "Rows" -> {False, {
                 Directive[
                  Thickness[0.5], "VocabDivColor"]}, False}}, 
            GridBoxItemStyle -> {
             "Columns" -> {
               "VocabularyCode", Inherited, "VocabularyCode", Inherited, 
                Inherited}, "Rows" -> {{Automatic}}}, 
            GridBoxSpacings -> {
             "Columns" -> {{0, 1, 2, 1, 2}}, "Rows" -> {{1}}}}], 
         Cell[
          StyleData["VocabularyTable3Column", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["VocabularyText"], FontFamily -> "Source Sans Pro", 
          FontSize -> 14, FontWeight -> "Plain", FontSlant -> "Plain", 
          FontColor -> GrayLevel[0.25]], 
         Cell[
          StyleData["VocabularyText", "Printout"], 
          CellMargins -> {{66, 10}, {7, 7}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["VocabularyCode", StyleDefinitions -> StyleData["Text"]], 
          Deletable -> False, FontFamily -> "Source Sans Pro", FontSize -> 14,
           FontWeight -> "Bold", FontColor -> GrayLevel[0.25], 
          GridBoxOptions -> {
           GridBoxAlignment -> {"Columns" -> {{Left}}}, 
            GridBoxDividers -> {
             "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
              "Rows" -> {True, {True}, True}, "RowsIndexed" -> {}}}], 
         Cell[
          StyleData["VocabularyCode", "Printout"], FontColor -> 
          GrayLevel[0.25]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["GrayPointSix"], FontColor -> GrayLevel[0.6]], 
         Cell[
          StyleData["GrayPointSix", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["VocabDivColor"], FontColor -> GrayLevel[0.8]], 
         Cell[
          StyleData["VocabDivColor", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ExerciseSection"], PageWidth :> 700, 
          CellFrame -> {{0, 0}, {0, 3}}, 
          CellMargins -> {{64, Inherited}, {8, 30}}, Evaluatable -> True, 
          CellGroupingRules -> {"SectionGrouping", 60}, PageBreakBelow -> 
          False, ShowCellLabel -> False, CellFrameMargins -> {{8, 8}, {4, 6}},
           CellFrameColor -> RGBColor[0.901961, 0.411765, 0.027451], 
          CounterAssignments -> {{"Subsection", 0}, {"Subsubsection", 0}, {
            "Exercise", 0}}, FontFamily -> "Source Sans Pro", FontSize -> 18, 
          FontSlant -> "Italic", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`], 
          GridBoxOptions -> {GridBoxAlignment -> {}}], 
         Cell[
          StyleData["ExerciseSection", "Printout"], 
          CellMargins -> {{64, Inherited}, {8, 30}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ExerciseSubsection"], PageWidth :> 500, 
          CellFrame -> {{False, False}, {1, False}}, 
          CellMargins -> {{64, Inherited}, {8, 18}}, 
          CellGroupingRules -> {"SectionGrouping", 61}, CellFrameColor -> 
          RGBColor[0.65, 0.6, 0.6], FontFamily -> "Source Sans Pro", FontSize -> 
          18, FontSlant -> "Italic", FontColor -> RGBColor[0.65, 0.6, 0.6]], 
         Cell[
          StyleData["ExerciseSubsection", "Printout"], 
          CellFrame -> {{False, False}, {1, False}}, CellFrameColor -> 
          RGBColor[0.65, 0.6, 0.6]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ExerciseSubsectionSM"], 
          CellMargins -> {{64, Inherited}, {4, 12}}, 
          CellGroupingRules -> {"SectionGrouping", 61}, FontFamily -> 
          "Source Sans Pro Semibold", FontSize -> 15, FontSlant -> "Plain", 
          FontColor -> GrayLevel[0]], 
         Cell[
          StyleData["ExerciseSubsectionSM", "Printout"], 
          CellMargins -> {{64, Inherited}, {4, 12}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Exercise"], PageWidth :> 700, CellDingbat -> Cell[
            TextData[{"  ", 
              CounterBox["Section"], ".", 
              CounterBox["Exercise"]}], "ExerciseNumber", FontColor -> 
            RGBColor[
             0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
          ShowGroupOpener -> True, CellMargins -> {{106, Inherited}, {4, 8}}, 
          CellGroupingRules -> {"SectionGrouping", 62}, DefaultNewCellStyle -> 
          "ExerciseInput", CounterIncrements -> "Exercise", MenuSortingValue -> 
          10020, MenuCommandKey :> "2", FontFamily -> "Source Sans Pro", 
          FontSize -> 14, FontWeight -> "Plain", FontSlant -> "Plain", 
          FontColor -> GrayLevel[0.25]], 
         Cell[
          StyleData["Exercise", "Printout"], ShowGroupOpener -> False, 
          CellMargins -> {{108, Inherited}, {4, 8}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ExerciseNumber"], FontFamily -> "Source Sans Pro", 
          FontSize -> 14, FontWeight -> "Bold", FontColor -> GrayLevel[0.25]], 
         Cell[
          StyleData["ExerciseNumber", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ExerciseNote"], PageWidth :> 700, 
          CellMargins -> {{64, Inherited}, {4, 8}}, 
          CellGroupingRules -> {"SectionGrouping", 62.}, PageBreakBelow -> 
          False, LineSpacing -> {1., 1., 2.}, MenuSortingValue -> 10050, 
          FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
          "Plain", FontSlant -> "Plain", FontColor -> 
          GrayLevel[0.25], $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["ExerciseNote", "Printout"], 
          CellMargins -> {{64, Inherited}, {4, 8}}, 
          LineSpacing -> {0.8, 1., 2.}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["QASection"], PageWidth :> 700, 
          CellFrame -> {{0, 0}, {0, 3}}, 
          CellMargins -> {{64, Inherited}, {8, 30}}, 
          CellGroupingRules -> {"SectionGrouping", 60}, PageBreakBelow -> 
          False, CellFrameMargins -> {{8, 8}, {4, 6}}, CellFrameColor -> 
          RGBColor[0.901961, 0.411765, 0.027451], 
          CounterAssignments -> {{"Subsection", 0}, {"Subsubsection", 0}, {
            "Question", 0}}, FontFamily -> "Source Sans Pro", FontSize -> 18, 
          FontSlant -> "Italic", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`], 
          GridBoxOptions -> {GridBoxAlignment -> {}}], 
         Cell[
          StyleData["QASection", "Printout"], 
          CellMargins -> {{64, Inherited}, {8, 30}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Question"], PageWidth :> 700, 
          CellMargins -> {{64, Inherited}, {2, 12}}, PageBreakBelow -> False, 
          CounterIncrements -> "Question", MenuSortingValue -> 10030, 
          MenuCommandKey :> "3", FontFamily -> "Source Sans Pro", FontSize -> 
          14, FontWeight -> "Bold", FontSlant -> 
          "Plain", $CellContext`ReturnCreatesNewCell -> 
          True, $CellContext`DefaultReturnCreatedCellStyle -> "Answer"], 
         Cell[
          StyleData["Question", "Printout"], 
          CellMargins -> {{65, Inherited}, {2, 12}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Answer"], PageWidth :> 700, 
          CellMargins -> {{66, 10}, {4, 1}}, LineSpacing -> {1.125, 1., 2.}, 
          MenuSortingValue -> 10032, FontFamily -> "Source Sans Pro", 
          FontSize -> 14, FontWeight -> "Plain", FontSlant -> "Plain", 
          FontColor -> GrayLevel[0.25], $CellContext`ReturnCreatesNewCell -> 
          True, $CellContext`DefaultReturnCreatedCellStyle -> "Question"], 
         Cell[
          StyleData["Answer", "Printout"], 
          CellMargins -> {{66, 10}, {4, 1}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["QuestionNumber"], FontFamily -> "Source Sans Pro", 
          FontSize -> 14, FontWeight -> "Bold", FontColor -> GrayLevel[0.25]], 
         Cell[
          StyleData["QuestionNumber", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["TechNoteSection"], PageWidth :> 700, 
          CellFrame -> {{0, 0}, {0, 3}}, 
          CellMargins -> {{64, Inherited}, {8, 30}}, 
          CellGroupingRules -> {"SectionGrouping", 60}, PageBreakBelow -> 
          False, CellFrameMargins -> {{8, 8}, {4, 6}}, CellFrameColor -> 
          RGBColor[0.901961, 0.411765, 0.027451], FontFamily -> 
          "Source Sans Pro", FontSize -> 18, FontSlant -> "Italic", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`], 
          GridBoxOptions -> {GridBoxAlignment -> {}}], 
         Cell[
          StyleData["TechNoteSection", "Printout"], 
          CellMargins -> {{64, Inherited}, {8, 30}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["TechNoteSubsection"], 
          CellMargins -> {{64, Inherited}, {2, 10}}, FontFamily -> 
          "Source Sans Pro", FontSize -> 16, FontSlant -> "Italic", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
         Cell[
          StyleData["TechNoteSubsubsection", "Printout"], 
          CellMargins -> {{64, Inherited}, {6, 14}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["TechNoteItem"], PageWidth :> 700, CellDingbat -> Cell[
            TextData[{
              CounterBox["ItemNumbered"], "."}], FontSize -> 12, FontWeight -> 
            Bold, FontColor -> GrayLevel[0.25]], 
          CellMargins -> {{93, Inherited}, {4, 8}}, CellFrameLabelMargins -> 
          4, CellChangeTimes -> {{3.651515120816633*^9, 3.651515125814807*^9},
             3.6515155174947033`*^9}, LineSpacing -> {1.25, 1., 2.}, 
          CounterIncrements -> "ItemNumbered", MenuSortingValue -> 10040, 
          FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
          "Plain", FontSlant -> "Plain", FontColor -> 
          GrayLevel[0.25], $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["TechNoteItem", "Printout"], 
          CellMargins -> {{93, Inherited}, {4, 8}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["TechNoteNoDingbat"], PageWidth :> 700, 
          CellMargins -> {{82, Inherited}, {4, 8}}, CellFrameLabelMargins -> 
          4, LineSpacing -> {1.25, 1., 2.}, MenuSortingValue -> 10040, 
          FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
          "Plain", FontSlant -> "Plain", FontColor -> 
          GrayLevel[0.25], $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["TechNote", "Printout"], 
          CellMargins -> {{82, Inherited}, {4, 8}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["TechNote"], PageWidth :> 700, CellDingbat -> Cell[
            TextData[{"\[FilledSquare]"}], FontSize -> 12, FontColor -> 
            GrayLevel[0.5]], CellMargins -> {{78, Inherited}, {4, 8}}, 
          CellFrameLabelMargins -> 4, LineSpacing -> {1.25, 1., 2.}, 
          MenuSortingValue -> 10040, FontFamily -> "Source Sans Pro", 
          FontSize -> 14, FontWeight -> "Plain", FontSlant -> "Plain", 
          FontColor -> GrayLevel[0.25], $CellContext`ReturnCreatesNewCell -> 
          True], 
         Cell[
          StyleData["TechNote", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["TechNoteInput", StyleDefinitions -> StyleData["Input"]], 
          CellMargins -> {{99, 10}, {3, 7}}, SpanMaxSize -> 1, FontSize -> 
          14], 
         Cell[
          StyleData["TechNoteInput", "Printout"], 
          CellMargins -> {{99, 10}, {3, 7}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData[
          "TechNoteOutput", StyleDefinitions -> StyleData["Output"]], 
          CellMargins -> {{99, 10}, {14, 7}}, FontSize -> 14], 
         Cell[
          StyleData["TechNoteOutput", "Printout"], 
          CellMargins -> {{99, 10}, {14, 7}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["MoreExploreSection"], PageWidth :> 700, 
          CellFrame -> {{0, 0}, {0, 3}}, 
          CellMargins -> {{64, Inherited}, {8, 30}}, 
          CellGroupingRules -> {"SectionGrouping", 60}, PageBreakBelow -> 
          False, CellFrameMargins -> {{8, 8}, {4, 6}}, CellFrameColor -> 
          RGBColor[0.901961, 0.411765, 0.027451], FontFamily -> 
          "Source Sans Pro", FontSize -> 18, FontSlant -> "Italic", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`], 
          GridBoxOptions -> {GridBoxAlignment -> {}}], 
         Cell[
          StyleData["MoreExploreSection", "Printout"], 
          CellMargins -> {{64, Inherited}, {8, 30}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["MoreExplore"], PageWidth :> 700, 
          CellMargins -> {{64, Inherited}, {4, 8}}, PageBreakBelow -> False, 
          MenuSortingValue -> 10050, FontFamily -> "Source Sans Pro", 
          FontSize -> 14, FontWeight -> "Plain", FontSlant -> "Plain", 
          FontColor -> GrayLevel[0], $CellContext`ReturnCreatesNewCell -> 
          True], 
         Cell[
          StyleData["MoreExplore", "Printout"], 
          CellMargins -> {{64, Inherited}, {4, 8}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["MoreExploreShortURL"], 
          CellMargins -> {{64, Inherited}, {4, 8}}, PageBreakBelow -> False, 
          FontFamily -> "Source Sans Pro Light", FontSize -> 14, FontSlant -> 
          "Plain", FontColor -> GrayLevel[0]], 
         Cell[
          StyleData["MoreExploreShortURL", "Printout"], 
          CellMargins -> {{64, Inherited}, {4, 8}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["TakeawaysSection"], PageWidth :> 700, 
          CellFrame -> {{1, 1}, {1, 1}}, CellMargins -> {{52, -12}, {-1, 30}},
           CellGroupingRules -> {"SectionGrouping", 60}, PageBreakBelow -> 
          False, CellFrameMargins -> {{16, 8}, {6, 6}}, CellFrameColor -> 
          RGBColor[0.901961, 0.411765, 0.027451], FontFamily -> 
          "Source Sans Pro", FontSize -> 15, FontWeight -> "Bold", FontSlant -> 
          "Plain", 
          PrivateFontOptions -> {"FontPostScriptName" -> "Automatic"}, 
          FontColor -> GrayLevel[1], Background -> 
          RGBColor[0.901961, 0.411765, 0.027451]], 
         Cell[
          StyleData["TakeawaysSection", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["TakeawaysHeader"], 
          CellMargins -> {{64, Inherited}, {5, 15}}, 
          CellFrameMargins -> {{8, 8}, {5, 6}}, CellFrameColor -> 
          RGBColor[0.901961, 0.411765, 0.027451], FontFamily -> 
          "Source Sans Pro", FontSize -> 15, FontWeight -> "SemiBold", 
          FontSlant -> "Regular", FontColor -> GrayLevel[0]], 
         Cell[
          StyleData["TakeawaysHeader", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["TakeawaysTable"], PageWidth :> 700, 
          CellFrame -> {{0, 0}, {0, 0}}, CellMargins -> {{52, -12}, {12, -1}},
           CellFrameMargins -> {{18, 12}, {20, 12}}, CellFrameLabelMargins -> 
          6, LineSpacing -> {1.25, 1., 2.}, SpanMaxSize -> 1, FontFamily -> 
          "Source Sans Pro Light", FontColor -> GrayLevel[0.25], Background -> 
          RGBColor[1., 0.9490196078431372, 0.8509803921568627], 
          GridBoxOptions -> {
           GridBoxAlignment -> {"Columns" -> {{Left}}}, 
            GridBoxDividers -> {"Columns" -> {{False}}, "Rows" -> {False}}, 
            GridBoxItemStyle -> {
             "Columns" -> {"TakeawaysDingbat", Inherited}, 
              "Rows" -> {{SpanFromLeft, Automatic}}}, 
            GridBoxSpacings -> {
             "Columns" -> {{0.5}}, 
              "Rows" -> {{0.75}}}}, $CellContext`ReturnCreatesNewCell -> 
          True], 
         Cell[
          StyleData["TakeawaysTable", "Printout"], 
          CellMargins -> {{51.5, -12.5}, {12, 0}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["TakeawaysText"], FontFamily -> "Source Sans Pro", 
          FontSize -> 14, FontWeight -> "Plain", FontSlant -> "Plain", 
          FontColor -> GrayLevel[0]], 
         Cell[
          StyleData["TakeawaysText", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData[
          "TakeawaysDingbat", StyleDefinitions -> StyleData["Text"]], 
          FontFamily -> "Source Sans Pro", FontSize -> 10, FontWeight -> 
          "SemiBold", FontColor -> RGBColor[0.901961, 0.411765, 0.027451], 
          GridBoxOptions -> {
           GridBoxAlignment -> {"Columns" -> {{Left}}}, 
            GridBoxDividers -> {
             "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
              "Rows" -> {True, {True}, True}, "RowsIndexed" -> {}}}], 
         Cell[
          StyleData["TakeawaysDingbat", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["CodeText", StyleDefinitions -> StyleData["Text"]], 
          CellMargins -> {{66, 10}, {3, 15}}, LineSpacing -> {1, 1, 1}, 
          MenuSortingValue -> 1540, 
          MenuCommandKey :> $CellContext`MenuKey[
           "7", $CellContext`Modifiers -> {"Shift"}], FontFamily -> 
          "Source Sans Pro", FontSize -> 16, FontColor -> GrayLevel[0.25]], 
         Cell[
          StyleData["CodeText", "Printout"], 
          CellMargins -> {{66, 10}, {4, 12}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["CodeCaption"], CellFrame -> {{0, 0}, {0, 0}}, 
          CellMargins -> {{66, 10}, {4, 12}}, PageBreakBelow -> False, 
          CellFrameColor -> GrayLevel[0.4], LineSpacing -> {1, 1, 1}, 
          MenuSortingValue -> 10010, MenuCommandKey :> "1", FontFamily -> 
          "Source Sans Pro", FontSize -> 16, FontColor -> GrayLevel[0.25]], 
         Cell[
          StyleData["CodeCaption", "Printout"], 
          CellMargins -> {{66, 10}, {4, 12}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["DisplayFormula"], 
          CellMargins -> {{99, Inherited}, {2, 12}}, DefaultFormatType -> 
          DefaultInputFormatType, 
          HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"},
           LanguageCategory -> "Formula", ScriptLevel -> 0, 
          SingleLetterItalics -> True, MenuSortingValue -> 1700, FontFamily -> 
          "Baskerville", FontSize -> 16, FontWeight -> "Regular", FontSlant -> 
          "Plain", 
          PrivateFontOptions -> {"FontPostScriptName" -> "Automatic"}, 
          FontColor -> GrayLevel[0.2], 
          UnderoverscriptBoxOptions -> {
           LimitsPositioning -> True}, $CellContext`StripStyleOnPaste -> 
          True], 
         Cell[
          StyleData["DisplayFormula", "Printout"], 
          CellMargins -> {{99, Inherited}, {Inherited, Inherited}}]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData[
          "DisplayFormulaNumbered", StyleDefinitions -> 
           StyleData["DisplayFormula"]], CellFrameLabels -> {{None, 
             Cell[
              TextData[{"(", 
                CounterBox["DisplayFormulaNumbered"], ")"}], 
              "DisplayFormulaEquationNumber"]}, {None, None}}, 
          CounterIncrements -> "DisplayFormulaNumbered", MenuSortingValue -> 
          1710, FontFamily -> "Baskerville", FontSize -> 16, FontWeight -> 
          "Regular", FontSlant -> "Plain", 
          PrivateFontOptions -> {"FontPostScriptName" -> "Automatic"}], 
         Cell[
          StyleData["DisplayFormulaNumbered", "Printout"], 
          CellMargins -> {{99, Inherited}, {Inherited, Inherited}}]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Print"], CellMargins -> {{99, 10}, {4, 4}}, FontSize -> 
          15], 
         Cell[
          StyleData["Print", "Presentation"], 
          CellMargins -> {{100, Inherited}, {1.5 Inherited, 1.5 Inherited}}], 
         Cell[
          StyleData["Print", "SlideShow"], 
          CellMargins -> {{
            0.135 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.01 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {8, 15}}, 
          FontSize -> 18], 
         Cell[
          StyleData["Print", "Condensed"], 
          CellMargins -> {{18, Inherited}, {Inherited, Inherited}}], 
         Cell[
          StyleData["Print", "Printout"], 
          CellMargins -> {{49, Inherited}, {Inherited, Inherited}}], 
         Cell[
          StyleData["Print", "PrintoutGray"], 
          CellMargins -> {{49, Inherited}, {Inherited, Inherited}}]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Item"], CellDingbat -> 
          StyleBox[
           "\:203a", Alignment -> Baseline, FontFamily -> Automatic, FontSize -> 
            18, FontWeight -> GrayLevel[0], 
            RGBColor[
            0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
          CellMargins -> {{81, 10}, {4, 8}}, 
          StyleKeyMapping -> {"Tab" -> "Subitem", "*" -> "Subitem"}, 
          CellGroupingRules -> {"GroupTogetherNestedGrouping", 15000}, 
          CellFrameLabelMargins -> 4, CounterIncrements -> "Item", 
          CounterAssignments -> {{"Subitem", 0}, {"Subsubitem", 0}}, 
          MenuSortingValue -> 1600, FontFamily -> "Source Sans Pro", FontSize -> 
          15, $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["Item", "Printout"], CellDingbat -> 
          StyleBox[
           "\:203a", Alignment -> Baseline, FontSize -> 17, FontFamily -> 
            "Automatic", FontWeight -> "Black", 
            RGBColor[
            0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
          CellMargins -> {{80, Inherited}, {Inherited, Inherited}}, 
          CellGroupingRules -> {
           "GroupTogetherNestedGrouping", 1.073741821*^9}, 
          CellChangeTimes -> {{3.8855684925344048`*^9, 
           3.885568495926271*^9}, {3.885643888233819*^9, 
           3.8856439007210073`*^9}}, $CellContext`CellDingbatMargin -> 2]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ItemParagraph"], CellMargins -> {{81, 10}, {4, 1}}, 
          StyleKeyMapping -> {"Tab" -> "SubitemParagraph"}, CellGroupingRules -> 
          {"GroupTogetherNestedGrouping", 15000}, MenuSortingValue -> 1600, 
          FontFamily -> "Source Sans Pro", FontSize -> 15, FontColor -> 
          GrayLevel[0.2], $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["ItemParagraph", "Printout"], 
          CellMargins -> {{80, Inherited}, {Inherited, 0.5 Inherited}}]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ItemNumbered"], CellDingbat -> Cell[
            TextData[{
              CounterBox["ItemNumbered"], "."}], FontWeight -> "Bold"], 
          CellMargins -> {{85, 10}, {4, 8}}, 
          StyleKeyMapping -> {"Tab" -> "SubitemNumbered"}, 
          CellGroupingRules -> {"GroupTogetherNestedGrouping", 15000}, 
          CellFrameLabelMargins -> 4, CounterIncrements -> "ItemNumbered", 
          CounterAssignments -> {{"SubitemNumbered", 0}, {
            "SubsubitemNumbered", 0}}, MenuSortingValue -> 1630, FontFamily -> 
          "Source Sans Pro", FontSize -> 
          15, $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["ItemNumbered", "Printout"], 
          CellMargins -> {{90, Inherited}, {Inherited, Inherited}}]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Note"], CellFrame -> {{0, 0}, {0, 1}}, 
          CellMargins -> {{66, 0}, {8, 6}}, 
          StyleKeyMapping -> {"Tab" -> "SubitemParagraph"}, 
          CellGroupingRules -> {"GroupTogetherNestedGrouping", 15000}, 
          CellFrameMargins -> {{14, 14}, {12, 12}}, CellFrameColor -> 
          RGBColor[0.901961, 0.411765, 0.027451], 
          LineSpacing -> {1.2, 1., 2.}, MenuSortingValue -> 1600, FontFamily -> 
          "Source Sans Pro", FontSize -> 15, FontColor -> GrayLevel[0.2], 
          Background -> 
          RGBColor[
           1., 0.9647058823529412, 
            0.9411764705882353], $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["Note", "Printout"], CellMargins -> {{66, 0}, {10, 8}}, 
          FontSize -> 14]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Echo"], 
          CellMargins -> {{99, Inherited}, {Inherited, Inherited}}], 
         Cell[
          StyleData["Echo", "Printout"], 
          CellMargins -> {{99, Inherited}, {Inherited, Inherited}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["EchoTiming"], 
          CellMargins -> {{99, Inherited}, {Inherited, Inherited}}], 
         Cell[
          StyleData["EchoTiming", "Printout"], 
          CellMargins -> {{99, Inherited}, {Inherited, Inherited}}]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Epigraph"], CellMargins -> {{100, 78}, {6, 24}}, 
          CellFrameLabels -> {{None, None}, {None, None}}, 
          CellFrameLabelMargins -> 8, TextAlignment -> Left, Hyphenation -> 
          True, HyphenationOptions -> {"HyphenationMinLengths" -> {3, 5}}, 
          LineSpacing -> {1, 2}, TabSpacings -> {1.2, 2.5}, FontFamily -> 
          "Source Sans Pro", FontSize -> 18, FontWeight -> "Plain", FontSlant -> 
          "Plain"], 
         Cell[
          StyleData["Epigraph", "Printout", StyleDefinitions -> None]]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["EpigraphAuthor"], CellMargins -> {{125, 100}, {12, 12}}, 
          TextAlignment -> Left, LineSpacing -> {1, 2}, 
          ParagraphIndent -> -17, TabSpacings -> {1.5, 2.5}, FontFamily -> 
          "Source Sans Pro", FontSize -> 16, FontWeight -> "Plain", FontSlant -> 
          "Plain", FontTracking -> -0.05], 
         Cell[
          StyleData["EpigraphAuthor", "Printout", StyleDefinitions -> None]]},
         Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ReferenceSection"], PageWidth :> 700, 
          CellFrame -> {{0, 0}, {0, 3}}, 
          CellMargins -> {{64, Inherited}, {8, 30}}, 
          CellGroupingRules -> {"SectionGrouping", 60}, PageBreakBelow -> 
          False, CellFrameMargins -> {{8, 8}, {4, 6}}, CellFrameColor -> 
          RGBColor[0.901961, 0.411765, 0.027451], FontFamily -> 
          "Source Sans Pro", FontSize -> 18, FontSlant -> "Italic", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`], 
          GridBoxOptions -> {GridBoxAlignment -> {}}], 
         Cell[
          StyleData["ReferenceSection", "Printout"], 
          CellMargins -> {{64, Inherited}, {8, 30}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Reference"], CellDingbat -> Cell[
            TextData[{
              CounterBox["Reference"]}], "SR", FontSize -> 13, 
            CellSize -> {30, Inherited}, TextAlignment -> Right], 
          CellMargins -> {{80, 10}, {3, 4}}, 
          CellFrameLabels -> {{None, None}, {None, None}}, 
          CellFrameLabelMargins -> 8, 
          CellChangeTimes -> {{3.7385995432110577`*^9, 3.738599549834622*^9}},
           LineSpacing -> {1, 2}, ParagraphIndent -> -8, 
          TabSpacings -> {0.7, 2.5}, CounterIncrements -> "Reference", 
          MenuSortingValue -> 1870, FontFamily -> "Source Sans Pro", FontSize -> 
          14, FontWeight -> "Plain", FontSlant -> "Plain"], 
         Cell[
          StyleData["Reference", "Printout", StyleDefinitions -> None], 
          CellMargins -> {{66, 10}, {3, 4}}, TabSpacings -> {1.2, 2.5}]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["TextFirst"], CellMargins -> {{66, 10}, {4, 72}}, 
          FontFamily -> "Baskerville", FontSize -> 18, FontColor -> 
          GrayLevel[0], $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["Text", "Printout"], CellMargins -> {{66, 10}, {7, 7}}]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Text"], CellMargins -> {{66, 10}, {4, 12}}, FontFamily -> 
          "Baskerville", FontSize -> 18, FontColor -> 
          GrayLevel[0], $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["Text", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SmallText"], CellMargins -> {{66, 10}, {6, 6}}, 
          LineSpacing -> {1, 3}, TabSpacings -> {2.5}, LanguageCategory -> 
          "NaturalLanguage", CounterIncrements -> "SmallText", 
          MenuSortingValue -> 1750, StyleMenuListing -> None, FontFamily -> 
          "Source Sans Pro", FontSize -> 14, FontColor -> GrayLevel[0.2]], 
         Cell[
          StyleData["SmallText", "Printout"], 
          CellMargins -> {{66, 10}, {7, 7}}, Hyphenation -> True]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ResourcesText"], CellMargins -> {{66, 10}, {2, 0}}, 
          FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
          "Plain", FontSlant -> "Plain", FontColor -> 
          GrayLevel[0], $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["ResourcesText", "Printout"], 
          CellMargins -> {{66, 10}, {2, 0}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ResourcesLink"], CellMargins -> {{66, 10}, {2, 0}}, 
          FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
          "Plain", FontSlant -> "Italic", FontColor -> 
          GrayLevel[0], $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["ResourcesLink", "Printout"], 
          CellMargins -> {{66, 10}, {2, 0}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Input"], CellMargins -> {{99, 10}, {3, 7}}, SpanMaxSize -> 
          1, FontSize -> 15], 
         Cell[
          StyleData["Input", "Printout"], CellMargins -> {{99, 10}, {3, 7}}]},
         Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Output"], CellMargins -> {{99, 10}, {14, 7}}, FontSize -> 
          15], 
         Cell[
          StyleData["Output", "Printout"], 
          CellMargins -> {{99, 10}, {14, 7}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["InputOnly"], CellMargins -> {{99, 10}, {25, 10}}, 
          SpanMaxSize -> 1, MenuSortingValue -> 1500, FontSize -> 15], 
         Cell[
          StyleData["InputOnly", "Printout"], 
          CellMargins -> {{99, 10}, {15, 10}}]}, Closed]], 
      Cell[
       StyleData["InitializationCell"], Background -> None], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["CellLabel"], 
          CellLabelMargins -> {{18, Inherited}, {Inherited, Inherited}}, 
          LanguageCategory -> None, StyleMenuListing -> None, FontFamily -> 
          "Helvetica Neue", FontSize -> 9, FontWeight -> "Plain", FontSlant -> 
          "Plain", FontColor -> GrayLevel[0.5]], 
         Cell[
          StyleData["CellLabel", "Printout"], FontSize -> 8, FontColor -> 
          GrayLevel[0.5]]}, Closed]], 
      Cell[
       StyleData[
       "CellLabelExpired", StyleDefinitions -> StyleData["CellLabel"]], 
       CellLabelMargins -> 6, FontSlant -> Italic, FontTracking -> 0.4, 
       FontColor -> GrayLevel[0.6]], 
      Cell[
       StyleData["SummaryPanel"], GeneratedCell -> True, CellAutoOverwrite -> 
       True, CellChangeTimes -> {3.84753348107472*^9}, FontFamily :> 
       CurrentValue["PanelFontFamily"], FontSize :> 0.8 Inherited, FontWeight -> 
       "Plain", FontSlant -> "Plain", FontColor :> 
       CurrentValue[{"SystemColors", "DialogText"}], 
       TemplateBoxOptions -> {
        DisplayFunction -> (
          ButtonBox[#, Active -> False, Alignment -> Left, 
           Appearance -> {"Default" -> Image[CompressedData["
1:eJzNlk0KgkAUgKVatGzRAWohXqFty7ZFB1AyaWOgQXQozyIPZmCgxYBLQUQ6
gL2R/ElcBKWvgU+cQd/3ZhxnZmmdt8eRpmn+FC9b87r2PPO2m2Fl7/onx7UP
G/diO7a3ssbYOEcWyATJvyw/CFGECcNQRwIkQ3J4Eb4BrXqjDT55togdYFxd
OUs5ABj4fipllMdxnCdJ0gsqdoQOzC3FPIyGP1DtfXnbSCkLZ/ntGEDWZ7+7
xgGAPSo/Y4O5SxiDau5yAj/nrPZzTuDnlV9wMbhfCFH4Fep+cP9d1P2n9hOO
/z/MP+r/j3r9oV5/qfcf6v2X4vyB+XQenMo1sS/a5QlC6exw
               "], "Byte", ColorSpace -> "RGB", Interleaving -> True]}, 
           FrameMargins -> 7, BaseStyle -> {Deployed -> False}, 
           DefaultBaseStyle -> {"Pane", Background -> None}, BaselinePosition -> 
           Baseline]& ), Tooltip -> None}, 
       GraphicsBoxOptions -> {
        Axes -> False, 
         DefaultBaseStyle -> {"GraphicsNoFontOrMenu", CacheGraphics -> False},
          ImageSize -> 
         Dynamic[{
           Automatic, 
            3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
             Magnification])}]}, 
       Graphics3DBoxOptions -> {
        Axes -> False, DefaultBaseStyle -> {"Graphics3DNoFontOrMenu"}, 
         ImageSize -> 
         Dynamic[{
           Automatic, 
            3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
             Magnification])}]}], 
      Cell[
       StyleData["IconizedDefaultName"], FontSize -> 12, 
       PrivateFontOptions -> {"OperatorSubstitution" -> False}, FontColor -> 
       GrayLevel[0.15]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Message"], Editable -> False, 
          CellMargins -> {{66, Inherited}, {Inherited, Inherited}}, 
          CellGroupingRules -> "OutputGrouping", TextClipboardType -> 
          "PlainText", PageBreakWithin -> False, GroupPageBreakWithin -> 
          False, GeneratedCell -> True, CellAutoOverwrite -> True, 
          ShowCellLabel -> False, DefaultFormatType -> 
          DefaultOutputFormatType, ContextMenu -> 
          FEPrivate`FrontEndResource["ContextMenus", "Output"], 
          ShowAutoStyles -> False, ShowSyntaxStyles -> False, 
          AutoStyleOptions -> {
           "StringStyle" -> None, "SyntaxErrorStyle" -> None}, 
          HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"},
           AutoItalicWords -> {}, AutoQuoteCharacters -> {}, 
          PasteAutoQuoteCharacters -> {}, LanguageCategory -> None, 
          FormatType -> InputForm, ShowStringCharacters -> False, 
          CounterIncrements -> "Message", MenuSortingValue -> 1600, 
          StyleMenuListing -> None, FontFamily :> 
          CurrentValue["PanelFontFamily"], FontSize -> 11, FontColor -> 
          RGBColor[0.5072, 0.16933, 0.15221], $CellContext`StripStyleOnPaste -> 
          True], 
         Cell[
          StyleData["Message", "Printout"], 
          CellMargins -> {{100, Inherited}, {Inherited, Inherited}}, 
          CellFrameLabels -> {{None, None}, {None, None}}, FontColor -> 
          GrayLevel[0]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ExerciseInput", StyleDefinitions -> StyleData["Input"]], 
          CellMargins -> {{106, 10}, {4, 7}}, ShowCellLabel -> False, 
          SpanMaxSize -> 1, FontSize -> 
          14, $CellContext`GeneratedCellStyles -> {
           "Output" -> "ExerciseOutput"}], 
         Cell[
          StyleData["ExerciseInput", "Printout"], 
          CellMargins -> {{106, 10}, {4, 7}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData[
          "ExerciseOutput", StyleDefinitions -> StyleData["Output"]], 
          CellMargins -> {{106, 10}, {10, 4}}, ShowCellLabel -> False, 
          FontSize -> 14], 
         Cell[
          StyleData["ExerciseOutput", "Printout"], 
          CellMargins -> {{106, 10}, {10, 4}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Picture"], CellMargins -> {{66, 10}, {10, 10}}, 
          CellGroupingRules -> "GraphicsGrouping", StyleMenuListing -> None], 
         Cell[
          StyleData["Picture", "Printout"], 
          CellMargins -> {{66, 10}, {8, 8}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Comment"], FontFamily -> "Verdana", FontSize -> 13, 
          FontColor -> RGBColor[0.3, 0.3, 0.2], Background -> 
          RGBColor[1, 0.9, 0.8]], 
         Cell[
          StyleData["Comment", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Suggestion"], 
          CellFrameLabels -> {{Inherited, Inherited}, {Inherited, 
             Cell[
              BoxData[
               TagBox[
                GridBox[{{
                   ButtonBox[
                   "\"  Insert  \"", 
                    ButtonFunction :> (Needs["DocuTools`"]; 
                    DocuTools`DocuToolsLoader[]; 
                    DocuTools`ReplaceWithSuggestion[]), Evaluator -> 
                    Automatic, 
                    BaseStyle -> {FontSize -> 10, FontFamily -> "Verdana"}, 
                    ContentPadding -> False, Appearance -> Automatic, Method -> 
                    "Queued"], 
                   ButtonBox[
                   "\"  Stet  \"", 
                    ButtonFunction :> (Needs["DocuTools`"]; 
                    DocuTools`DocuToolsLoader[]; DocuTools`StetSuggestion[]), 
                    Evaluator -> Automatic, 
                    BaseStyle -> {FontSize -> 10, FontFamily -> "Verdana"}, 
                    Appearance -> Automatic, Method -> "Queued"], "    ", 
                   ButtonBox[
                   "\"  Next  \"", 
                    ButtonFunction :> (Needs["DocuTools`"]; 
                    DocuTools`DocuToolsLoader[]; 
                    DocuTools`FindNextSuggestion[]), Evaluator -> Automatic, 
                    BaseStyle -> {FontSize -> 10, FontFamily -> "Verdana"}, 
                    Appearance -> Automatic, Method -> "Queued"], 
                   ButtonBox[
                   "\"  Previous  \"", 
                    ButtonFunction :> (Needs["DocuTools`"]; 
                    DocuTools`DocuToolsLoader[]; 
                    DocuTools`FindPreviousSuggestion[]), Evaluator -> 
                    Automatic, 
                    BaseStyle -> {FontSize -> 10, FontFamily -> "Verdana"}, 
                    Appearance -> Automatic, Method -> "Queued"], "\"\""}}, 
                 AutoDelete -> False, 
                 GridBoxItemSize -> {
                  "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                "Grid"]], ShowStringCharacters -> False, Background -> 
              None]}}, Background -> RGBColor[1, 0.8, 0.8]], 
         Cell[
          StyleData["Suggestion", "Printout"], 
          CellElementSpacings -> {"CellMinHeight" -> 0.1}, CellOpen -> False, 
          CellFrameMargins -> 0, FontSize -> 0.1, Magnification -> 0.01]}, 
        Open]], 
      Cell[
       StyleData["Tentative"], 
       CellBracketOptions -> {
        "Color" -> RGBColor[
          0.30000000000000016`, 0.6000000000000003, 0.7000000000000003], 
         "Thickness" -> 5}, Evaluatable -> False, CellFrameMargins -> 4, 
       StyleMenuListing -> None, Background -> 
       RGBColor[0.8500000000000003, 0.9500000000000003, 1]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["PrintOnly"], 
          CellBracketOptions -> {
           "Color" -> RGBColor[0.89, 0.867, 0.99], "Thickness" -> 5}, 
          CellFrameMargins -> 4, StyleMenuListing -> None, Background -> 
          RGBColor[0.89, 0.867, 0.99]], 
         Cell[
          StyleData["PrintOnly", "Printout"], 
          CellElementSpacings -> {"CellMinHeight" -> 0.1}, CellOpen -> False, 
          CellFrameMargins -> 0, FontSize -> 0.1, Magnification -> 0.01], 
         Cell[
          StyleData["Tentative", "Printout"], 
          CellElementSpacings -> {"CellMinHeight" -> 0.1}, CellOpen -> False, 
          CellFrameMargins -> 0, FontSize -> 0.1, Magnification -> 0.01]}, 
        Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["WebOnly"], 
          CellBracketOptions -> {
           "Color" -> RGBColor[0.91, 0.92, 0.9], "Thickness" -> 5}, 
          CellFrameMargins -> 4, StyleMenuListing -> None, Background -> 
          RGBColor[0.91, 0.92, 0.86]], 
         Cell[
          StyleData["WebOnly", "Printout"], 
          CellElementSpacings -> {"CellMinHeight" -> 0.1}, CellOpen -> False, 
          CellFrameMargins -> 0, FontSize -> 0.1, Magnification -> 0.01]}, 
        Open]], 
      Cell[
       StyleData["Lockdown"], 
       CellBracketOptions -> {
        "Color" -> RGBColor[0.8, 0.5, 0.4], "Thickness" -> 3}, Evaluatable -> 
       False, StyleMenuListing -> None], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["IndexField"], CellFrame -> True, CellFrameColor -> 
          GrayLevel[0.7], FontFamily -> "Verdana", FontSize -> 12], 
         Cell[
          StyleData["IndexField", "Invisibles"], CellFrame -> False, 
          ShowCellBracket -> False, CellOpen -> False, FontSize -> 1]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ExplanationField"], CellFrame -> True, CellFrameColor -> 
          GrayLevel[0.7], FontFamily -> "Verdana", FontSize -> 12], 
         Cell[
          StyleData["ExplanationField", "Invisibles"], CellFrame -> False, 
          ShowCellBracket -> False, CellOpen -> False, FontSize -> 1]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["EnglishHighlight"], FontFamily -> "WolframCodeSans"], 
         Cell[
          StyleData["EnglishHighlight", "Printout"]]}, Closed]]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
      "Inline and special formatting", "Section", 
       CellChangeTimes -> {{3.646681732592888*^9, 3.646681749414035*^9}}], 
      Cell[
       StyleData["Graphics"], MenuSortingValue -> None], 
      Cell[
       StyleData["Graphics3D"], MenuSortingValue -> None], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["StandardForm"], LineSpacing -> {1.25, 0, 2}, FontFamily -> 
          "Source Sans Code"], 
         Cell[
          StyleData["StandardForm", "Printout"], LineSpacing -> {1.25, 0, 2}, 
          FontFamily -> "Source Sans Code"]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["OutputForm"], LineSpacing -> {0.6, 1}, FontFamily -> 
          "Source Sans Code"], 
         Cell[
          StyleData["OutputForm", "Printout"], LineSpacing -> {0.6, 1}, 
          FontFamily -> "Source Sans Code"]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["InputForm"], FontFamily -> "Source Sans Code"], 
         Cell[
          StyleData["InputForm", "Printout"], FontFamily -> 
          "Source Sans Code"]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["FormattedFunction"], FontFamily -> "Source Sans Pro", 
          FontSize :> If[CurrentValue[
              EvaluationCell[], "FontFamily"] === "Source Sans Pro", 
            Inherited, 
            If[CurrentValue[
               EvaluationCell[], "FontFamily"] === "WolframCodeSans", 
             Inherited, Inherited 0.9]]], 
         Cell[
          StyleData["FormattedFunction", "Printout"], FontFamily -> 
          "Source Sans Pro", FontSize :> If[CurrentValue[
              EvaluationCell[], "FontFamily"] === "Source Sans Pro", 
            Inherited, 
            If[CurrentValue[
               EvaluationCell[], "FontFamily"] === "WolframCodeSans", 
             Inherited, Inherited 0.88]]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Link"], FontFamily -> "Source Sans Pro", FontSize :> 
          If[CurrentValue[
              EvaluationCell[], "FontFamily"] === "Source Sans Pro", 
            Inherited, 
            If[CurrentValue[
               EvaluationCell[], "FontFamily"] === "WolframCodeSans", 
             Inherited, Inherited 0.9]], FontColor -> GrayLevel[0]], 
         Cell[
          StyleData["Link", "Printout"], FontFamily -> "Source Sans Pro", 
          FontSize :> If[CurrentValue[
              EvaluationCell[], "FontFamily"] === "Source Sans Pro", 
            Inherited, 
            If[CurrentValue[
               EvaluationCell[], "FontFamily"] === "WolframCodeSans", 
             Inherited, Inherited 0.88]], FontColor -> GrayLevel[0]]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["DetailsLink"], FontFamily -> "Source Sans Pro", FontSize :> 
          If[CurrentValue[
              EvaluationCell[], "FontFamily"] === "Source Sans Pro", 
            Inherited, 
            If[CurrentValue[
               EvaluationCell[], "FontFamily"] === "WolframCodeSans", 
             Inherited, Inherited 0.9]], FontColor -> GrayLevel[0], 
          ButtonBoxOptions -> {
           ButtonFunction :> (
             Function[$CellContext`t, 
              NotebookFind[$CellContext`t, "Notes", All, CellStyle]; 
              NotebookFind[$CellContext`t, "NotesSection", All, CellStyle, 
                AutoScroll -> Top]][
              Documentation`HelpLookup["ref/" <> #]]& ), ButtonSource -> 
            ButtonContents, Evaluator -> Automatic}], 
         Cell[
          StyleData["DetailsLink", "Printout"], FontFamily -> 
          "Source Sans Pro", FontSize :> If[CurrentValue[
              EvaluationCell[], "FontFamily"] === "Source Sans Pro", 
            Inherited, 
            If[CurrentValue[
               EvaluationCell[], "FontFamily"] === "WolframCodeSans", 
             Inherited, Inherited 0.88]], FontColor -> GrayLevel[0]]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["LinkAlt"], FontFamily -> "Source Sans Pro", FontSize :> 
          If[CurrentValue[
              EvaluationCell[], "FontFamily"] === "Source Sans Pro", 
            Inherited, 
            If[CurrentValue[
               EvaluationCell[], "FontFamily"] === "WolframCodeSans", 
             Inherited, Inherited 0.9]], FontColor -> GrayLevel[0]], 
         Cell[
          StyleData["LinkAlt", "Printout"], FontFamily -> "Source Sans Pro", 
          FontSize :> If[CurrentValue[
              EvaluationCell[], "FontFamily"] === "Source Sans Pro", 
            Inherited, 
            If[CurrentValue[
               EvaluationCell[], "FontFamily"] === "WolframCodeSans", 
             Inherited, Inherited 0.88]], FontColor -> GrayLevel[0]]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Hyperlink"], MenuSortingValue -> None, FontColor -> 
          RGBColor[0.3, 0.35, 0.5]], 
         Cell[
          StyleData["Hyperlink", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["FunctionLink", StyleDefinitions -> StyleData["Link"]], 
          FontColor -> GrayLevel[0]], 
         Cell[
          StyleData["FunctionLink", "Printout"]]}, Closed]], 
      Cell[
       StyleData["FunctionHyperlink", StyleDefinitions -> StyleData["Link"]], 
       FontColor -> GrayLevel[0], 
       ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
            
            NotebookLocate[#2, "OpenInNewWindow" -> 
             CurrentValue["HyperlinkModifierKey"]]}]& ), Evaluator -> None, 
         Method -> "Queued"}], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData[
          "ResourceFunctionlink", StyleDefinitions -> StyleData["Hyperlink"]],
           MenuSortingValue -> None, FontFamily -> "Source Sans Pro", 
          FontSize :> If[CurrentValue[
              EvaluationCell[], "FontFamily"] === "Source Sans Pro", 
            Inherited, 
            If[CurrentValue[
               EvaluationCell[], "FontFamily"] === "WolframCodeSans", 
             Inherited, Inherited 0.9]], FontColor -> GrayLevel[0]], 
         Cell[
          StyleData["ResourceFunctionlink", "Printout"], FontFamily -> 
          "Source Sans Pro", FontSize :> If[CurrentValue[
              EvaluationCell[], "FontFamily"] === "Source Sans Pro", 
            Inherited, 
            If[CurrentValue[
               EvaluationCell[], "FontFamily"] === "WolframCodeSans", 
             Inherited, Inherited 0.88]], FontColor -> GrayLevel[0]]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Crosslink"], 
          ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
               
               NotebookLocate[#2, "OpenInNewWindow" -> 
                CurrentValue["HyperlinkModifierKey"]]}]& ), Evaluator -> None,
             Method -> "Queued"}], 
         Cell[
          StyleData["Crosslink", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["CodeLink"], 
          ButtonBoxOptions -> {
           Appearance -> None, ButtonFunction :> (Documentation`HelpLookup[
              Part[#, 1]]& ), ButtonSource -> ButtonContents, Evaluator -> 
            Automatic}], 
         Cell[
          StyleData["CodeLink", "Printout"]]}, Closed]], 
      Cell[
       StyleData["VocabularyLink"], FontColor -> GrayLevel[0], 
       ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
            
            NotebookLocate[#2, "OpenInNewWindow" -> 
             CurrentValue["HyperlinkModifierKey"]]}]& ), Evaluator -> None, 
         Method -> "Queued"}], 
      Cell[
       StyleData["InlineMath"], SpanMaxSize -> 0, FontColor -> GrayLevel[0], 
       CellID -> 644119144], 
      Cell[
       StyleData["InlineCode"], SpanMaxSize -> 0, FontColor -> GrayLevel[0]], 
      Cell[
       StyleData["InlineCodeText"], SpanMaxSize -> 0, FontFamily -> 
       "Source Sans Pro", FontSize -> 0.94 Inherited], 
      Cell[
       StyleData["NoLabel"], ShowCellLabel -> 
       False, $CellContext`GeneratedCellStyles -> {
        "Output" -> "ExerciseOutput"}], 
      Cell[
       StyleData["MenuName"], FontFamily -> "Verdana", FontWeight -> "Bold", 
       FontColor -> GrayLevel[0.286275]], 
      Cell[
       StyleData["DialogElementName"], 
       CellChangeTimes -> {3.642251807158844*^9, 3.8358753610849867`*^9, 
        3.835875471581566*^9}, FontFamily -> "Source Sans Pro SemiBold", 
       FontSize -> 0.95 Inherited, FontWeight -> "Regular"], 
      Cell[
       StyleData["KeyEvent"], CellFrame -> {{0.5, 0.5}, {0.5, 0.5}}, 
       CellFrameMargins -> {{2, 2}, {2, 2}}, CellFrameColor -> GrayLevel[0.7],
        FontFamily -> "Verdana", FontColor -> GrayLevel[0.4]], 
      Cell[
       StyleData["KeyEventDelimiter"], FontColor -> GrayLevel[0.5]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["CodeVariable"], FontFamily -> "Times", FontSize -> 
          1.05 Inherited, FontWeight -> "Plain", FontSlant -> "Italic"], 
         Cell[
          StyleData["CodeVariable", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["CodeVariableLrg"], FontFamily -> "Times", FontSize -> 
          1.1 Inherited, FontWeight -> "Plain", FontSlant -> "Italic"], 
         Cell[
          StyleData["CodeVariableLrg", "Printout"]]}, Closed]], 
      Cell["Key Styles", "Subsubsection"], 
      Cell[
       StyleData["Key0"], TemplateBoxOptions -> {DisplayFunction -> (FrameBox[
           TagBox[
            GridBox[{{
               ItemBox[
                
                TemplateBox[{"\[ThickSpace]", #, "\[ThickSpace]"}, 
                 "RowDefault"], Background -> GrayLevel[1], StripOnInput -> 
                False]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Center}}, "Rows" -> {{Baseline}}}, AutoDelete -> 
             False, GridBoxDividers -> {"Rows" -> {{None}}}, 
             GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{1.45}}}, 
             GridBoxSpacings -> {"Columns" -> {{0}}}, 
             BaselinePosition -> {{1, 1}, Baseline}], "Grid"], RoundingRadius -> 
           4, Background -> GrayLevel[0.9333333333333333], 
           FrameMargins -> {{0, 0}, {-1, -1}}, FrameStyle -> {
             GrayLevel[0.8352941176470589], 
             AbsoluteThickness[1]}, BaselinePosition -> Baseline, 
           StripOnInput -> False]& )}], 
      Cell[
       StyleData["Key1"], TemplateBoxOptions -> {DisplayFunction -> (FrameBox[
           TagBox[
            GridBox[{{
               ItemBox[
                
                TemplateBox[{"\[ThickSpace]", #, "\[ThickSpace]"}, 
                 "RowDefault"], Background -> GrayLevel[0.9333333333333333], 
                StripOnInput -> False], 
               ItemBox[
                TemplateBox[{"\[ThickSpace]", #2, "\[ThickSpace]"}, 
                 "RowDefault"], Background -> GrayLevel[1], StripOnInput -> 
                False]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Center}}, "Rows" -> {{Baseline}}}, AutoDelete -> 
             False, GridBoxDividers -> {
              "ColumnsIndexed" -> {2 -> GrayLevel[0.8352941176470589]}, 
               "Rows" -> {{None}}}, 
             GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{1.45}}}, 
             GridBoxSpacings -> {"Columns" -> {{0}}}, 
             BaselinePosition -> {{1, 1}, Baseline}], "Grid"], RoundingRadius -> 
           4, Background -> GrayLevel[0.9333333333333333], 
           FrameMargins -> {{0, 0}, {-1, -1}}, FrameStyle -> {
             GrayLevel[0.8352941176470589], 
             AbsoluteThickness[1]}, BaselinePosition -> Baseline, 
           StripOnInput -> False]& )}], 
      Cell[
       StyleData["Key2"], TemplateBoxOptions -> {DisplayFunction -> (FrameBox[
           TagBox[
            GridBox[{{
               ItemBox[
                
                TemplateBox[{"\[ThickSpace]", #, "\[ThickSpace]"}, 
                 "RowDefault"], Background -> GrayLevel[0.9333333333333333], 
                StripOnInput -> False], 
               ItemBox[
                
                TemplateBox[{"\[ThickSpace]", #2, "\[ThickSpace]"}, 
                 "RowDefault"], Background -> GrayLevel[0.9333333333333333], 
                StripOnInput -> False], 
               ItemBox[
                
                TemplateBox[{"\[ThickSpace]", #3, "\[ThickSpace]"}, 
                 "RowDefault"], Background -> GrayLevel[1], StripOnInput -> 
                False]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Center}}, "Rows" -> {{Baseline}}}, AutoDelete -> 
             False, GridBoxDividers -> {
              "ColumnsIndexed" -> {
                2 -> GrayLevel[0.8352941176470589], 3 -> 
                 GrayLevel[0.8352941176470589]}, "Rows" -> {{None}}}, 
             GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{1.45}}}, 
             GridBoxSpacings -> {"Columns" -> {{0}}}, 
             BaselinePosition -> {{1, 1}, Baseline}], "Grid"], RoundingRadius -> 
           4, Background -> GrayLevel[0.9333333333333333], 
           FrameMargins -> {{0, 0}, {-1, -1}}, FrameStyle -> {
             GrayLevel[0.8352941176470589], 
             AbsoluteThickness[1]}, BaselinePosition -> Baseline, 
           StripOnInput -> False]& )}], 
      Cell[
       StyleData["Key3"], TemplateBoxOptions -> {DisplayFunction -> (FrameBox[
           TagBox[
            GridBox[{{
               ItemBox[
                
                TemplateBox[{"\[ThickSpace]", #, "\[ThickSpace]"}, 
                 "RowDefault"], Background -> GrayLevel[0.9333333333333333], 
                StripOnInput -> False], 
               ItemBox[
                
                TemplateBox[{"\[ThickSpace]", #2, "\[ThickSpace]"}, 
                 "RowDefault"], Background -> GrayLevel[0.9333333333333333], 
                StripOnInput -> False], 
               ItemBox[
                
                TemplateBox[{"\[ThickSpace]", #3, "\[ThickSpace]"}, 
                 "RowDefault"], Background -> GrayLevel[0.9333333333333333], 
                StripOnInput -> False], 
               ItemBox[
                
                TemplateBox[{"\[ThickSpace]", #4, "\[ThickSpace]"}, 
                 "RowDefault"], Background -> GrayLevel[1], StripOnInput -> 
                False]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Center}}, "Rows" -> {{Baseline}}}, AutoDelete -> 
             False, GridBoxDividers -> {
              "ColumnsIndexed" -> {
                2 -> GrayLevel[0.8352941176470589], 3 -> 
                 GrayLevel[0.8352941176470589], 4 -> 
                 GrayLevel[0.8352941176470589]}, "Rows" -> {{None}}}, 
             GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{1.45}}}, 
             GridBoxSpacings -> {"Columns" -> {{0}}}, 
             BaselinePosition -> {{1, 1}, Baseline}], "Grid"], RoundingRadius -> 
           4, Background -> GrayLevel[0.9333333333333333], 
           FrameMargins -> {{0, 0}, {-1, -1}}, FrameStyle -> {
             GrayLevel[0.8352941176470589], 
             AbsoluteThickness[1]}, BaselinePosition -> Baseline, 
           StripOnInput -> False]& )}], 
      Cell["Entity styles", "Subsubsection"], 
      Cell[
       StyleData["Entity"], ContextMenu -> 
       FEPrivate`FrontEndResource["ContextMenus", "Entity"], 
       AutoStyleOptions -> {"HighlightSyntaxErrors" -> False}, 
       ShowStringCharacters -> False, 
       TemplateBoxOptions -> {DisplayFunction -> (TooltipBox[
           FrameBox[
            PaneSelectorBox[{True -> GridBox[{{
                  
                  StyleBox[#, FontSize -> 0.85 Inherited, FontColor -> 
                   RGBColor[0.395437, 0.20595, 0.061158]], 
                  PaneBox[
                   StyleBox[#4, "EntityTypeLabel"], BaselinePosition -> 
                   Baseline, ContentPadding -> False]}}, 
                GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}}, 
                GridBoxSpacings -> {"Columns" -> {{0.5}}, "Rows" -> {{0}}}, 
                BaselinePosition -> {1, 1}], False -> 
              PaneBox[#, 
                BaseStyle -> {
                 FontColor -> RGBColor[0.395437, 0.20595, 0.061158]}, 
                BaselinePosition -> Baseline]}, 
             Dynamic[
              CurrentValue[Evaluatable]], ImageSize -> Automatic, 
             BaselinePosition -> Baseline, 
             BaseStyle -> {FontFamily -> "Helvetica"}], FrameStyle -> 
            Directive[
              RGBColor[1., 0.504768, 0.], 
              AbsoluteThickness[1]], Background -> 
            RGBColor[1., 0.980392, 0.921569], 
            FrameMargins -> {{5, 5}, {1.5, 1.5}}, 
            ImageMargins -> {{2, 2}, {2, 2}}, BaselinePosition -> Baseline, 
            RoundingRadius -> 4, BaseStyle -> {FontFamily -> "Courier"}], #3, 
           BaseStyle -> {
            ShowStringCharacters -> False, LineIndent -> 0, 
             PrivateFontOptions -> {"OperatorSubstitution" -> False}}, 
           TooltipDelay -> 0.4]& ), Editable -> False, 
         InterpretationFunction -> (#2& )}], 
      Cell[
       StyleData["EntityFrameless"], ShowStringCharacters -> False, 
       TemplateBoxOptions -> {DisplayFunction -> (TooltipBox[
           PaneSelectorBox[{True -> GridBox[{{
                 
                 StyleBox[#, FontWeight -> "Bold", FontFamily -> 
                  "Source Sans Pro", FontColor -> 
                  RGBColor[0.395437, 0.20595, 0.061158]], 
                 StyleBox[
                  RowBox[{"(", #4, ")"}], FontFamily -> "Source Sans Pro", 
                  FontWeight -> "Plain", FontColor -> GrayLevel[0.65], 
                  Selectable -> False]}}, 
               GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}}, 
               GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}}, 
               BaselinePosition -> {1, 1}], False -> 
             PaneBox[#, 
               BaseStyle -> {
                FontColor -> RGBColor[0.395437, 0.20595, 0.061158]}, 
               BaselinePosition -> Baseline]}, 
            Dynamic[
             CurrentValue[Evaluatable]], ImageSize -> Automatic, 
            BaselinePosition -> Baseline, 
            BaseStyle -> {FontFamily -> "Helvetica"}], #3, 
           BaseStyle -> {
            ShowStringCharacters -> False, LineIndent -> 0, 
             PrivateFontOptions -> {
              FontWeight -> "Plain", "OperatorSubstitution" -> False}}]& ), 
         Editable -> False, InterpretationFunction -> (#2& )}], 
      Cell[
       StyleData["EntityFramelessHot"], ShowStringCharacters -> False, 
       TemplateBoxOptions -> {
        DisplayFunction -> (PaneSelectorBox[{True -> GridBox[{{
                
                StyleBox[#, FontWeight -> "Bold", FontFamily -> 
                 "Source Sans Pro", FontColor -> GrayLevel[0]], 
                StyleBox[
                 RowBox[{"(", #4, ")"}], FontWeight -> "Plain", FontFamily -> 
                 "Source Sans Pro", FontColor -> GrayLevel[0], Selectable -> 
                 False]}}, 
              GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}}, 
              GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}}, 
              BaselinePosition -> {1, 1}], False -> 
            PaneBox[#, BaseStyle -> {FontColor -> GrayLevel[0]}, 
              BaselinePosition -> Baseline]}, 
           Dynamic[
            CurrentValue[Evaluatable]], ImageSize -> Automatic, 
           BaselinePosition -> Baseline, 
           BaseStyle -> {
            FontWeight -> "Plain", FontFamily -> "Helvetica", 
             ShowStringCharacters -> False, LineIndent -> 0, 
             PrivateFontOptions -> {"OperatorSubstitution" -> False}}]& ), 
         Editable -> False, InterpretationFunction -> (#2& )}], 
      Cell[
       StyleData["EntityClass"], ShowStringCharacters -> False, 
       TemplateBoxOptions -> {DisplayFunction -> (TooltipBox[
           FrameBox[
            PaneSelectorBox[{True -> GridBox[{{
                  PaneBox[
                   DynamicBox[
                    FEPrivate`ImportImage[
                    
                    FrontEnd`ToFileName[{"Typeset", "Entity"}, 
                    "EntityClass.png"]], ImageSizeCache -> {8., {2., 6.}}], 
                   BaselinePosition -> Bottom], 
                  
                  StyleBox[#, FontWeight -> "Bold", FontFamily -> 
                   "Source Sans Pro", FontColor -> 
                   RGBColor[0.395437, 0.20595, 0.061158]], 
                  StyleBox[
                   RowBox[{"(", #4, ")"}], FontWeight -> "Plain", FontFamily -> 
                   "Source Sans Pro", FontColor -> GrayLevel[0.65], 
                   Selectable -> False]}}, 
                GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}}, 
                GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}}, 
                BaselinePosition -> {1, 2}], False -> GridBox[{{
                  PaneBox[
                   DynamicBox[
                    FEPrivate`ImportImage[
                    
                    FrontEnd`ToFileName[{"Typeset", "Entity"}, 
                    "EntityClass.png"]], ImageSizeCache -> {8., {2., 6.}}], 
                   BaselinePosition -> Bottom], 
                  
                  StyleBox[#, FontColor -> 
                   RGBColor[0.395437, 0.20595, 0.061158]]}}, 
                GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}}, 
                GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}}, 
                BaselinePosition -> {1, 2}]}, 
             Dynamic[
              CurrentValue[Evaluatable]], ImageSize -> Automatic, 
             BaselinePosition -> Baseline, 
             BaseStyle -> {FontFamily -> "Helvetica"}], FrameStyle -> 
            RGBColor[1., 0.504768, 0.], Background -> 
            RGBColor[1., 0.980392, 0.921569], 
            FrameMargins -> {{5, 5}, {1.5, 1.5}}, 
            ImageMargins -> {{2, 2}, {2, 2}}, BaselinePosition -> Baseline, 
            RoundingRadius -> 4], #3, 
           BaseStyle -> {
            FontWeight -> "Plain", ShowStringCharacters -> False, LineIndent -> 
             0, PrivateFontOptions -> {"OperatorSubstitution" -> False}}]& ), 
         Editable -> False, InterpretationFunction -> (#2& )}], 
      Cell[
       StyleData["EntityClassFrameless"], ShowStringCharacters -> False, 
       TemplateBoxOptions -> {DisplayFunction -> (TooltipBox[
           PaneSelectorBox[{True -> GridBox[{{
                 PaneBox[
                  DynamicBox[
                   FEPrivate`ImportImage[
                    
                    FrontEnd`ToFileName[{"Typeset", "Entity"}, 
                    "EntityClass.png"]], ImageSizeCache -> {8., {2., 6.}}], 
                  BaselinePosition -> Bottom], 
                 
                 StyleBox[#, FontWeight -> "Bold", FontFamily -> 
                  "Source Sans Pro", FontColor -> 
                  RGBColor[0.395437, 0.20595, 0.061158]], 
                 StyleBox[
                  RowBox[{"(", #4, ")"}], FontWeight -> "Plain", FontFamily -> 
                  "Source Sans Pro", FontColor -> GrayLevel[0.65], Selectable -> 
                  False]}}, 
               GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}}, 
               GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}}, 
               BaselinePosition -> {1, 2}], False -> GridBox[{{
                 PaneBox[
                  DynamicBox[
                   FEPrivate`ImportImage[
                    
                    FrontEnd`ToFileName[{"Typeset", "Entity"}, 
                    "EntityClass.png"]], ImageSizeCache -> {8., {2., 6.}}], 
                  BaselinePosition -> Bottom], 
                 
                 StyleBox[#, FontColor -> 
                  RGBColor[0.395437, 0.20595, 0.061158]]}}, 
               GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}}, 
               GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}}, 
               BaselinePosition -> {1, 2}]}, 
            Dynamic[
             CurrentValue[Evaluatable]], ImageSize -> Automatic, 
            BaselinePosition -> Baseline, 
            BaseStyle -> {FontFamily -> "Helvetica"}], #3, 
           BaseStyle -> {
            FontWeight -> "Plain", ShowStringCharacters -> False, LineIndent -> 
             0, PrivateFontOptions -> {"OperatorSubstitution" -> False}}]& ), 
         Editable -> False, InterpretationFunction -> (#2& )}], 
      Cell[
       StyleData["EntityClassFramelessHot"], ShowStringCharacters -> False, 
       TemplateBoxOptions -> {
        DisplayFunction -> (PaneSelectorBox[{True -> GridBox[{{
                PaneBox[
                 DynamicBox[
                  FEPrivate`ImportImage[
                   
                   FrontEnd`ToFileName[{"Typeset", "Entity"}, 
                    "EntityClass.png"]], ImageSizeCache -> {8., {2., 6.}}], 
                 BaselinePosition -> Bottom], 
                
                StyleBox[#, FontWeight -> "Bold", FontFamily -> 
                 "Source Sans Pro", FontColor -> GrayLevel[0]], 
                StyleBox[
                 RowBox[{"(", #4, ")"}], FontWeight -> "Plain", FontFamily -> 
                 "Source Sans Pro", FontColor -> GrayLevel[0], Selectable -> 
                 False]}}, 
              GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}}, 
              GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}}, 
              BaselinePosition -> {1, 2}], False -> GridBox[{{
                PaneBox[
                 DynamicBox[
                  FEPrivate`ImportImage[
                   
                   FrontEnd`ToFileName[{"Typeset", "Entity"}, 
                    "EntityClass.png"]], ImageSizeCache -> {8., {2., 6.}}], 
                 BaselinePosition -> Bottom], 
                StyleBox[#, FontColor -> GrayLevel[0]]}}, 
              GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}}, 
              GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}}, 
              BaselinePosition -> {1, 2}]}, 
           Dynamic[
            CurrentValue[Evaluatable]], ImageSize -> Automatic, 
           BaselinePosition -> Baseline, 
           BaseStyle -> {
            FontWeight -> "Plain", FontFamily -> "Helvetica", 
             ShowStringCharacters -> False, LineIndent -> 0, 
             PrivateFontOptions -> {"OperatorSubstitution" -> False}}]& ), 
         Editable -> False, InterpretationFunction -> (#2& )}], 
      Cell[
       StyleData["EntityProperty"], ContextMenu -> 
       FEPrivate`FrontEndResource["ContextMenus", "Entity"], 
       AutoStyleOptions -> {"HighlightSyntaxErrors" -> False}, 
       ShowStringCharacters -> False, 
       TemplateBoxOptions -> {DisplayFunction -> (TooltipBox[
           FrameBox[
            
            PaneBox[#, 
             BaseStyle -> {
              FontSlant -> Italic, FontWeight -> Plain, FontFamily -> 
               "Helvetica", FontSize -> 0.85 Inherited, FontColor -> 
               RGBColor[0.395437, 0.20595, 0.061158]}, BaselinePosition -> 
             Baseline], FrameStyle -> Directive[
              RGBColor[0.94227, 0.703639, 0.033387], 
              AbsoluteThickness[1]], Background -> 
            RGBColor[1., 0.980392, 0.921569], 
            FrameMargins -> {{5, 5}, {1.5, 1.5}}, 
            ImageMargins -> {{2, 2}, {2, 2}}, BaselinePosition -> Baseline, 
            RoundingRadius -> 4, BaseStyle -> {FontFamily -> "Courier"}], #3, 
           BaseStyle -> {
            ShowStringCharacters -> False, LineIndent -> 0, 
             PrivateFontOptions -> {"OperatorSubstitution" -> False}}, 
           TooltipDelay -> 0.4]& ), Editable -> False, 
         InterpretationFunction -> (#2& )}], 
      Cell[
       StyleData["EntityPropertyClass"], ShowStringCharacters -> False, 
       TemplateBoxOptions -> {DisplayFunction -> (TooltipBox[
           FrameBox[
            PaneBox[
             GridBox[{{
                PaneBox[
                 DynamicBox[
                  FEPrivate`ImportImage[
                   
                   FrontEnd`ToFileName[{"Typeset", "Entity"}, 
                    "EntityClass.png"]], ImageSizeCache -> {8., {2., 6.}}], 
                 BaselinePosition -> Bottom], #}}, 
              GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}}, 
              GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}}, 
              BaselinePosition -> {1, 2}], 
             BaseStyle -> {
              FontSlant -> Italic, FontWeight -> Plain, FontFamily -> 
               "Source Sans Pro", FontColor -> 
               RGBColor[0.395437, 0.20595, 0.061158]}, BaselinePosition -> 
             Baseline], FrameStyle -> RGBColor[0.94227, 0.703639, 0.033387], 
            Background -> RGBColor[1., 0.980392, 0.921569], 
            FrameMargins -> {{5, 5}, {1.5, 1.5}}, 
            ImageMargins -> {{2, 2}, {2, 2}}, BaselinePosition -> Baseline, 
            RoundingRadius -> 4], #3, 
           BaseStyle -> {
            FontWeight -> "Plain", ShowStringCharacters -> False, LineIndent -> 
             0, PrivateFontOptions -> {"OperatorSubstitution" -> False}}]& ), 
         Editable -> False, InterpretationFunction -> (#2& )}], 
      Cell[
       StyleData["EntityValue"], ShowStringCharacters -> False, 
       TemplateBoxOptions -> {DisplayFunction -> (FrameBox[
           
           GridBox[{{#, #2}}, GridBoxAlignment -> {"Rows" -> {{Baseline}}}, 
            GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}}, 
            GridBoxSpacings -> {"Columns" -> {{0}}}, 
            BaselinePosition -> {1, 1}], Background -> 
           RGBColor[{0.9921568627450981, 0.9529411764705882, 
             0.8509803921568627}], BaselinePosition -> Baseline, 
           FrameMargins -> {{1, 1}, {1, 1}}, ImageMargins -> 2, FrameStyle -> 
           RGBColor[{0.9333333333333333, 0.8470588235294118, 
             0.5529411764705883}], RoundingRadius -> 5]& )}]}, Closed]]}, 
  Visible -> False, FrontEndVersion -> 
  "13.3 for Mac OS X x86 (64-bit) (June 3, 2023)", StyleDefinitions -> 
  "PrivateStylesheetFormatting.nb"],
ExpressionUUID->"d5f5d8d2-30e2-47dc-8b18-a0bcbc1aef55"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "p: 65"->{
  Cell[609, 23, 297, 9, 110, "Section",ExpressionUUID->"dbf1ed64-78ff-4a70-8984-f9f2699919b5",
   CounterAssignments->{{"Section", 2}},
   CellTags->"p: 65",
   CellID->702470296]},
 "i:1"->{
  Cell[23049, 477, 2476, 56, 163, "Text",ExpressionUUID->"f42517f3-740b-4726-a825-09501d372e80",
   CellTags->"i:1",
   CellID->319773756]},
 "LastCellOfAPage"->{
  Cell[26612, 553, 1964, 37, 163, "Text",ExpressionUUID->"cd5827ac-2eb6-4bb2-b8b6-6e6cc8d5c5fb",
   CellTags->"LastCellOfAPage",
   CellID->1826654303],
  Cell[38951, 831, 722, 15, 63, "Text",ExpressionUUID->"642c3874-b2bc-4bf4-bf9e-74465355e37a",
   CellTags->"LastCellOfAPage",
   CellID->743132205],
  Cell[54768, 1222, 1109, 19, 88, "Text",ExpressionUUID->"ee1402b2-495f-4d1a-adf5-6c14ea7fff83",
   CellTags->{"LastCellOfAPage", "i:5"},
   CellID->1132535585],
  Cell[71694, 1640, 1813, 39, 163, "Text",ExpressionUUID->"c876004f-65ce-432d-97c4-f64f6d2bff46",
   CellTags->{"LastCellOfAPage", "i:9"},
   CellID->1781689593],
  Cell[89310, 2093, 2011, 44, 88, "Text",ExpressionUUID->"49e88caa-5e2a-4a31-b4d8-af139909543c",
   CellTags->"LastCellOfAPage",
   CellID->1292441370],
  Cell[173291, 3950, 835, 17, 38, "Text",ExpressionUUID->"8955a232-137f-4aa4-b29a-1dd17b05cd55",
   CellTags->{"LastCellOfAPage", "i:21"},
   CellID->2033961104],
  Cell[239039, 5295, 376, 7, 63, "Text",ExpressionUUID->"34fef641-8cc0-4294-be84-850ba4a8e6dc",
   CellTags->"LastCellOfAPage",
   CellID->1175568699],
  Cell[271292, 6097, 1150, 23, 88, "Text",ExpressionUUID->"8c077631-ad70-4d44-9a72-49ca90d4a985",
   CellTags->"LastCellOfAPage",
   CellID->1164965992],
  Cell[287678, 6509, 993, 21, 63, "Text",ExpressionUUID->"f0577c0b-6f49-4c6c-a23c-6afbf98d0742",
   CellTags->{"LastCellOfAPage", "i:26"},
   CellID->229071444],
  Cell[304884, 6927, 2390, 64, 63, "Text",ExpressionUUID->"dea03844-7622-43a9-a404-749b81408036",
   CellTags->{"LastCellOfAPage", "i:30"},
   CellID->1630985658],
  Cell[318928, 7305, 2912, 66, 113, "Text",ExpressionUUID->"53f9efe4-ee95-49bf-bf05-57e5730fcb18",
   CellTags->{"LastCellOfAPage", "i:34"},
   CellID->120914358],
  Cell[392375, 9067, 1029, 21, 88, "Text",ExpressionUUID->"d2bd0bfb-8fb0-4686-a759-c0a6aca0d447",
   CellTags->"LastCellOfAPage",
   CellID->804730587],
  Cell[406726, 9435, 641, 13, 63, "Text",ExpressionUUID->"2e294d52-08be-446c-a133-323d5a9f7d6f",
   CellTags->"LastCellOfAPage",
   CellID->55916443],
  Cell[420119, 9756, 2734, 61, 113, "Text",ExpressionUUID->"8c55ad2d-54fc-49a1-bbbd-381505a081b3",
   CellTags->"LastCellOfAPage",
   CellID->1852975908],
  Cell[434116, 10103, 2573, 54, 138, "Text",ExpressionUUID->"53ad43c5-8201-497f-ac7c-810c884bf071",
   CellTags->"LastCellOfAPage",
   CellID->20086465],
  Cell[590575, 13256, 1000, 19, 88, "Text",ExpressionUUID->"9360fcb1-29e6-4d9b-9e77-687a18825e66",
   CellTags->"LastCellOfAPage",
   CellID->942929089],
  Cell[735869, 16177, 939, 21, 138, "Text",ExpressionUUID->"8fb8ca76-f927-4a09-a19e-bf957e81da8e",
   CellTags->{"LastCellOfAPage", "i:47", "p: 85"},
   CellID->161877745],
  Cell[814249, 18109, 843, 13, 88, "Text",ExpressionUUID->"50ab23da-fffd-4762-b921-be09e6fe8224",
   CellTags->"LastCellOfAPage",
   CellID->2089933769],
  Cell[838819, 18749, 861, 22, 38, "Text",ExpressionUUID->"432d7bab-47d1-4ce2-8261-44b7d47d33d5",
   CellTags->"LastCellOfAPage",
   CellID->1510930029],
  Cell[859916, 19271, 2107, 49, 138, "Text",ExpressionUUID->"a63f5ae6-51e9-42a9-b379-05282a5f1a4a",
   CellTags->{"LastCellOfAPage", "i:59"},
   CellID->2139433989],
  Cell[882080, 19813, 2850, 64, 138, "Text",ExpressionUUID->"12571e79-fbcc-46cf-84a5-38bb63a59441",
   CellTags->"LastCellOfAPage",
   CellID->1003337416],
  Cell[967797, 21924, 1516, 29, 88, "Text",ExpressionUUID->"cf9c6279-bed5-400b-9397-d1ad03fffcab",
   CellTags->"LastCellOfAPage",
   CellID->1970193627],
  Cell[1068618, 23839, 1947, 38, 138, "Text",ExpressionUUID->"b6ab7224-fcd4-429c-a9da-a09771d26aee",
   CellTags->"LastCellOfAPage",
   CellID->432713460],
  Cell[1168563, 25902, 3243, 63, 188, "Text",ExpressionUUID->"36db0e91-087c-4f09-849d-74bc9a7f3dd3",
   CellTags->"LastCellOfAPage",
   CellID->321925083],
  Cell[1188358, 26370, 1492, 27, 138, "Text",ExpressionUUID->"bfb46abf-a0b8-4bbb-bd27-42cf3af2ddc8",
   CellTags->"LastCellOfAPage",
   CellID->50169098],
  Cell[1322156, 29049, 779, 12, 88, "Text",ExpressionUUID->"f7bb63bf-0864-47e5-93f6-e57e8c5e73f6",
   CellTags->"LastCellOfAPage",
   CellID->1711985380],
  Cell[1499957, 32788, 14300, 239, 315, "ExerciseInput",ExpressionUUID->"84fbab73-3156-45a7-887b-61fc4249a634",
   CellTags->{"AnswerOutput", "LastCellOfAPage"},
   CellID->612119487],
  Cell[1654368, 36416, 978, 19, 70, "MoreExplore",ExpressionUUID->"ab510bc6-0952-42dc-a575-575ad519d666",
   CellTags->"LastCellOfAPage",
   CellID->1520029637]},
 "p: 66"->{
  Cell[28601, 594, 376, 5, 57, "Subsection",ExpressionUUID->"600c4ae9-86e1-499c-b5d9-8495e59e3b12",
   CellTags->"p: 66",
   CellID->1811859785]},
 "i:2"->{
  Cell[28980, 601, 1118, 20, 163, "Text",ExpressionUUID->"6ee83312-da4d-4293-b2c4-3ed957534c92",
   CellTags->"i:2",
   CellID->120115379]},
 "i:3"->{
  Cell[35723, 766, 3225, 63, 163, "Text",ExpressionUUID->"9632c52d-bbc9-4491-9db2-92f32a27592d",
   CellTags->"i:3",
   CellID->1916435276]},
 "p: 67"->{
  Cell[39676, 848, 1081, 27, 39, "CodeText",ExpressionUUID->"b45c31f9-4291-4544-a3c1-4eb98e231308",
   CellTags->"p: 67",
   CellID->1878922074]},
 "i:4"->{
  Cell[46572, 1022, 733, 17, 63, "Text",ExpressionUUID->"22f3b6a3-28ef-4221-b2ff-d11ac8813a57",
   CellTags->"i:4",
   CellID->1103934746]},
 "i:5"->{
  Cell[54768, 1222, 1109, 19, 88, "Text",ExpressionUUID->"ee1402b2-495f-4d1a-adf5-6c14ea7fff83",
   CellTags->{"LastCellOfAPage", "i:5"},
   CellID->1132535585]},
 "p: 68"->{
  Cell[55880, 1243, 751, 18, 39, "CodeText",ExpressionUUID->"0bba545a-7081-49ab-882c-d0a8ea20f238",
   CellTags->"p: 68",
   CellID->399706635]},
 "i:6"->{
  Cell[57888, 1298, 2135, 45, 89, "Text",ExpressionUUID->"2b502328-b7cc-455d-9dda-3191016f33e8",
   CellTags->"i:6",
   CellID->1882544255]},
 "i:7"->{
  Cell[62687, 1417, 1056, 21, 88, "Text",ExpressionUUID->"de4cceba-dd43-45e2-b88e-6c1b19de08ae",
   CellTags->"i:7",
   CellID->307264177]},
 "i:8"->{
  Cell[66930, 1518, 349, 7, 38, "Text",ExpressionUUID->"d88fff3a-68e5-4c05-ac08-928a7e11ebaf",
   CellTags->"i:8",
   CellID->88312204]},
 "i:9"->{
  Cell[71694, 1640, 1813, 39, 163, "Text",ExpressionUUID->"c876004f-65ce-432d-97c4-f64f6d2bff46",
   CellTags->{"LastCellOfAPage", "i:9"},
   CellID->1781689593]},
 "p: 69"->{
  Cell[73510, 1681, 842, 20, 39, "CodeText",ExpressionUUID->"c6901929-23f3-4669-809d-a98553127571",
   CellTags->"p: 69",
   CellID->1078059337]},
 "i:10"->{
  Cell[77053, 1774, 768, 19, 38, "Text",ExpressionUUID->"4781775b-bd7b-4efa-8826-bb5d6948666f",
   CellTags->"i:10",
   CellID->504222693]},
 "i:11"->{
  Cell[80079, 1856, 1069, 26, 63, "Text",ExpressionUUID->"5bb83254-b94a-4389-a4ad-75608597c16d",
   CellTags->"i:11",
   CellID->1027792185]},
 "i:12"->{
  Cell[84169, 1963, 756, 18, 39, "CodeText",ExpressionUUID->"7b86556e-c2e3-4544-b0bb-40b10ca29315",
   CellTags->"i:12",
   CellID->488664433]},
 "i:13"->{
  Cell[85926, 2009, 1069, 22, 88, "Text",ExpressionUUID->"8632074e-a4d8-4cf9-a96d-fa8f865df3e5",
   CellTags->"i:13",
   CellID->525455587]},
 "p: 70"->{
  Cell[91324, 2139, 375, 6, 39, "CodeText",ExpressionUUID->"7dc9eef0-d00f-4696-b070-38c63000be5f",
   CellTags->"p: 70",
   CellID->108158990]},
 "i:14"->{
  Cell[98199, 2312, 582, 13, 63, "Text",ExpressionUUID->"8078c14d-a379-4f3b-a096-4578c068a3c7",
   CellTags->"i:14",
   CellID->96719719]},
 "i:15"->{
  Cell[101081, 2385, 1191, 23, 113, "Text",ExpressionUUID->"2a8b5108-95af-4b83-8807-fb1dbbdb8188",
   CellTags->"i:15",
   CellID->1149561194]},
 "p: 71"->{
  Cell[105060, 2485, 2663, 57, 188, "Text",ExpressionUUID->"6c979f06-15ad-41e3-82df-525620d792a7",
   CellTags->"p: 71",
   CellID->469851141]},
 "i:16"->{
  Cell[107726, 2544, 2335, 65, 88, "Text",ExpressionUUID->"83631210-cdd3-458e-8b84-a1c75df20e80",
   CellTags->"i:16",
   CellID->79345232]},
 "i:17"->{
  Cell[114334, 2720, 568, 15, 39, "CodeText",ExpressionUUID->"f6004d3b-9f1e-48cf-9e91-f08c5ce03438",
   CellTags->"i:17",
   CellID->26786031]},
 "p: 72"->{
  Cell[119108, 2840, 272, 4, 57, "Subsection",ExpressionUUID->"53fb099c-cabb-46cf-b5c3-51040388abfc",
   CellTags->"p: 72",
   CellID->693759614]},
 "i:18"->{
  Cell[119383, 2846, 740, 15, 88, "Text",ExpressionUUID->"6b64bee8-2322-4966-85ee-4006c9caf54d",
   CellTags->"i:18",
   CellID->1022460034]},
 "i:19"->{
  Cell[123045, 2932, 794, 21, 39, "CodeText",ExpressionUUID->"6f14b270-7b6e-4ecd-bf4c-68e70a10b503",
   CellTags->"i:19",
   CellID->1779699089]},
 "i:20"->{
  Cell[169809, 3865, 1331, 28, 88, "Text",ExpressionUUID->"f2621924-de41-48b2-899b-eec7c627fd54",
   CellTags->"i:20",
   CellID->2126984584]},
 "i:21"->{
  Cell[173291, 3950, 835, 17, 38, "Text",ExpressionUUID->"8955a232-137f-4aa4-b29a-1dd17b05cd55",
   CellTags->{"LastCellOfAPage", "i:21"},
   CellID->2033961104]},
 "p: 73"->{
  Cell[174129, 3969, 522, 13, 39, "CodeText",ExpressionUUID->"6b679b22-81b5-49ac-b6ea-e5a4a06941a6",
   CellTags->"p: 73",
   CellID->301516895]},
 "i:22"->{
  Cell[177787, 4056, 992, 21, 39, "CodeText",ExpressionUUID->"0757c688-1940-419c-ba88-5045027e9d01",
   CellTags->"i:22",
   CellID->43846513]},
 "p: 74"->{
  Cell[239418, 5304, 506, 13, 39, "CodeText",ExpressionUUID->"cfda3d9e-13f4-4ebb-bb12-df47b5c29da8",
   CellTags->"p: 74",
   CellID->1360252059]},
 "i:23"->{
  Cell[244477, 5436, 1101, 25, 39, "CodeText",ExpressionUUID->"35cbb00b-c7ec-4e94-be5d-466d6b33762c",
   CellTags->"i:23",
   CellID->413798181]},
 "i:24"->{
  Cell[265329, 5943, 2068, 45, 113, "Text",ExpressionUUID->"8e0ce34f-312c-4a70-b304-d1bc96da6323",
   CellTags->"i:24",
   CellID->28591120]},
 "p: 75"->{
  Cell[272445, 6122, 545, 11, 39, "CodeText",ExpressionUUID->"afb99c14-a2a0-4960-bfa2-4f57611abacc",
   CellTags->"p: 75",
   CellID->1677020723]},
 "i:25"->{
  Cell[277954, 6268, 3747, 84, 188, "Text",ExpressionUUID->"7d7f043c-c8ba-495e-bd2e-886da9aaba6c",
   CellTags->"i:25",
   CellID->1196192676]},
 "i:26"->{
  Cell[287678, 6509, 993, 21, 63, "Text",ExpressionUUID->"f0577c0b-6f49-4c6c-a23c-6afbf98d0742",
   CellTags->{"LastCellOfAPage", "i:26"},
   CellID->229071444]},
 "p: 76"->{
  Cell[288674, 6532, 610, 12, 39, "CodeText",ExpressionUUID->"dc80e6d3-6ef3-4535-8d6e-43ec8d3e07d2",
   CellTags->"p: 76",
   CellID->1547089227]},
 "i:27"->{
  Cell[295556, 6688, 1985, 45, 138, "Text",ExpressionUUID->"e6369828-5a5a-4a5e-b3f6-30a055f1c87b",
   CellTags->"i:27",
   CellID->318614271]},
 "i:28"->{
  Cell[299502, 6789, 549, 13, 63, "Text",ExpressionUUID->"4622f190-5a7b-49a8-adeb-b69099e9def9",
   CellTags->"i:28",
   CellID->582453422]},
 "i:29"->{
  Cell[300054, 6804, 969, 20, 63, "Text",ExpressionUUID->"186b4316-724b-4d25-9216-2861f261eca8",
   CellTags->"i:29",
   CellID->834154799]},
 "i:30"->{
  Cell[304884, 6927, 2390, 64, 63, "Text",ExpressionUUID->"dea03844-7622-43a9-a404-749b81408036",
   CellTags->{"LastCellOfAPage", "i:30"},
   CellID->1630985658]},
 "p: 77"->{
  Cell[307277, 6993, 586, 12, 39, "CodeText",ExpressionUUID->"839e2052-3ef0-4643-858d-07aa6d0c187a",
   CellTags->"p: 77",
   CellID->1651721658]},
 "i:31"->{
  Cell[309359, 7052, 504, 12, 38, "Text",ExpressionUUID->"d7a0c8c7-61cb-4f3c-b9af-4d26ed7897c1",
   CellTags->"i:31",
   CellID->998681096]},
 "i:32"->{
  Cell[311835, 7117, 592, 12, 39, "CodeText",ExpressionUUID->"3de1179d-abd3-4f32-8085-32793cef110c",
   CellTags->"i:32",
   CellID->1513583576]},
 "i:33"->{
  Cell[316429, 7237, 406, 6, 39, "CodeText",ExpressionUUID->"1a59e276-a37c-4b20-bcf9-94bc6e188e4e",
   CellTags->"i:33",
   CellID->133024003]},
 "i:34"->{
  Cell[318928, 7305, 2912, 66, 113, "Text",ExpressionUUID->"53f9efe4-ee95-49bf-bf05-57e5730fcb18",
   CellTags->{"LastCellOfAPage", "i:34"},
   CellID->120914358]},
 "p: 78"->{
  Cell[321843, 7373, 1028, 22, 39, "CodeText",ExpressionUUID->"7d408fe9-090e-4b35-b591-a9b7201fe310",
   CellTags->"p: 78",
   CellID->170864780]},
 "i:35"->{
  Cell[352103, 8093, 1179, 24, 61, "CodeText",ExpressionUUID->"ad893368-4ad7-41b4-a887-e5ac16bc59d4",
   CellTags->"i:35",
   CellID->152966638]},
 "i:36"->{
  Cell[391368, 9041, 770, 16, 38, "Text",ExpressionUUID->"d856d6d5-ab59-4031-b9ca-eff76ccca4ab",
   CellTags->"i:36",
   CellID->1148894748]},
 "p: 79"->{
  Cell[393429, 9092, 474, 11, 55, "Subsubsection",ExpressionUUID->"521333f4-5f59-43a2-8eba-2cb4b8ad3ef2",
   CellTags->"p: 79",
   CellID->2019678993]},
 "i:37"->{
  Cell[393906, 9105, 1551, 36, 88, "Text",ExpressionUUID->"40954ed4-85fc-4ca4-8e5e-8164ca6b261e",
   CellTags->"i:37",
   CellID->118867265]},
 "i:38"->{
  Cell[400238, 9273, 1070, 26, 63, "Text",ExpressionUUID->"034e7473-e470-4fb8-86e6-bc55a9539a68",
   CellTags->"i:38",
   CellID->4552669]},
 "i:39"->{
  Cell[404681, 9394, 2042, 39, 188, "Text",ExpressionUUID->"b64e4f58-64a8-40ff-b704-54a9642b9d9d",
   CellTags->"i:39",
   CellID->1502312842]},
 "p: 80"->{
  Cell[407370, 9450, 901, 20, 61, "CodeText",ExpressionUUID->"6ec0ec36-722f-4373-abdf-ae759bef9a0d",
   CellTags->"p: 80",
   CellID->1679730071]},
 "i:40"->{
  Cell[409906, 9516, 1537, 28, 138, "Text",ExpressionUUID->"61169e99-ab86-4892-9135-a2fa92587d7f",
   CellTags->"i:40",
   CellID->1181133255]},
 "i:41"->{
  Cell[415271, 9637, 615, 12, 39, "CodeText",ExpressionUUID->"2c0d03a0-e075-4bed-9a2f-ca2534ef48ce",
   CellTags->"i:41",
   CellID->1771751745]},
 "i:42"->{
  Cell[417435, 9691, 1139, 26, 61, "CodeText",ExpressionUUID->"e456aa8e-73e2-4442-9fc8-27efa1f16728",
   CellTags->"i:42",
   CellID->24452198]},
 "p: 81"->{
  Cell[422856, 9819, 561, 12, 61, "CodeText",ExpressionUUID->"37d3b631-26b1-4204-891e-25bd40281d65",
   CellTags->"p: 81",
   CellID->1456938870]},
 "p: 82"->{
  Cell[436692, 10159, 1217, 31, 61, "CodeText",ExpressionUUID->"4333e063-954c-4217-b818-d3d3cebbb02b",
   CellTags->"p: 82",
   CellID->495813260]},
 "i:43"->{
  Cell[439283, 10228, 528, 9, 113, "Text",ExpressionUUID->"f8164dd4-d80a-4117-90bd-35e16f3114b5",
   CellTags->"i:43",
   CellID->1588382636]},
 "i:44"->{
  Cell[511019, 11652, 2191, 46, 163, "Text",ExpressionUUID->"19ff2229-9f0f-40b7-b754-62a1e834ae78",
   CellTags->{"i:44", "p: 83"},
   CellID->376770836]},
 "p: 83"->{
  Cell[511019, 11652, 2191, 46, 163, "Text",ExpressionUUID->"19ff2229-9f0f-40b7-b754-62a1e834ae78",
   CellTags->{"i:44", "p: 83"},
   CellID->376770836]},
 "i:45"->{
  Cell[518968, 11834, 494, 14, 38, "Text",ExpressionUUID->"22ab971d-8bdc-4d20-aa78-8f9620cefcb0",
   CellTags->"i:45",
   CellID->1058777069]},
 "p: 84"->{
  Cell[591578, 13277, 691, 16, 37, "CodeCaption",ExpressionUUID->"4f9ae235-6872-4c57-9f49-ae5e26a478fa",
   CellTags->"p: 84",
   CellID->754978352]},
 "i:46"->{
  Cell[658823, 14610, 1434, 36, 81, "CodeCaption",ExpressionUUID->"76542b25-227c-4835-a066-7f2cd6820858",
   CellTags->"i:46",
   CellID->759883930]},
 "i:47"->{
  Cell[735869, 16177, 939, 21, 138, "Text",ExpressionUUID->"8fb8ca76-f927-4a09-a19e-bf957e81da8e",
   CellTags->{"LastCellOfAPage", "i:47", "p: 85"},
   CellID->161877745]},
 "p: 85"->{
  Cell[735869, 16177, 939, 21, 138, "Text",ExpressionUUID->"8fb8ca76-f927-4a09-a19e-bf957e81da8e",
   CellTags->{"LastCellOfAPage", "i:47", "p: 85"},
   CellID->161877745]},
 "i:48"->{
  Cell[742895, 16343, 2221, 50, 138, "Text",ExpressionUUID->"d340be42-205c-4b78-aed7-e97a2f274298",
   CellTags->"i:48",
   CellID->123845133]},
 "i:49"->{
  Cell[751348, 16542, 1627, 30, 113, "Text",ExpressionUUID->"5b362f74-f69e-4413-8b41-20df59257f99",
   CellTags->{"i:49", "p: 86"},
   CellID->625344153]},
 "p: 86"->{
  Cell[751348, 16542, 1627, 30, 113, "Text",ExpressionUUID->"5b362f74-f69e-4413-8b41-20df59257f99",
   CellTags->{"i:49", "p: 86"},
   CellID->625344153]},
 "i:50"->{
  Cell[760085, 16748, 2307, 56, 163, "Text",ExpressionUUID->"9a6e43b6-fa44-4611-bcac-048a9d630800",
   CellTags->"i:50",
   CellID->1927522244]},
 "p: 87"->{
  Cell[765858, 16895, 446, 9, 55, "Subsubsection",ExpressionUUID->"be8e7d7b-442f-4ed4-a32b-0f4f8a6cd7e9",
   CellTags->"p: 87",
   CellID->1294950611]},
 "i:51"->{
  Cell[766307, 16906, 796, 15, 88, "Text",ExpressionUUID->"c05a03b5-67fe-434f-9c1a-c4f1d5db1998",
   CellTags->"i:51",
   CellID->1635640379]},
 "i:52"->{
  Cell[776526, 17166, 2298, 49, 113, "Text",ExpressionUUID->"4fa4527c-d870-4a50-beed-a8f8ab01240a",
   CellTags->"i:52",
   CellID->173845637]},
 "i:53"->{
  Cell[788739, 17473, 2388, 54, 113, "Text",ExpressionUUID->"0cb6a9d4-1acc-4d0e-8fdf-62cbc7850fd4",
   CellTags->"i:53",
   CellID->1062342394]},
 "i:54"->{
  Cell[801621, 17794, 1328, 28, 88, "Text",ExpressionUUID->"79fe8b1f-fbc1-4b87-923b-e06d10614662",
   CellTags->"i:54",
   CellID->1024277452]},
 "p: 89"->{
  Cell[804616, 17869, 394, 8, 39, "CodeText",ExpressionUUID->"870102d5-5576-4a55-8b72-415b38ecbf26",
   CellTags->"p: 89",
   CellID->1155881018]},
 "i:55"->{
  Cell[810501, 18016, 1137, 22, 113, "Text",ExpressionUUID->"0c60581c-25ad-4057-9cac-292bb379814c",
   CellTags->"i:55",
   CellID->1062265376]},
 "p: 90"->{
  Cell[815095, 18124, 787, 19, 39, "CodeText",ExpressionUUID->"ecc9c7dc-ffc3-42dc-8aea-5fdfdd63c633",
   CellTags->"p: 90",
   CellID->1376161216]},
 "i:56"->{
  Cell[820047, 18275, 2843, 67, 163, "Text",ExpressionUUID->"60415bdc-f869-4167-a199-fafa3397a58f",
   CellTags->"i:56",
   CellID->80125145]},
 "i:57"->{
  Cell[826237, 18443, 2642, 61, 138, "Text",ExpressionUUID->"adfdca44-6a96-4c02-b9db-1daad0c01c77",
   CellTags->"i:57",
   CellID->228581048]},
 "p: 91"->{
  Cell[839683, 18773, 834, 21, 39, "CodeText",ExpressionUUID->"38654bbc-3bdc-4be7-b74f-49c3af5b0175",
   CellTags->"p: 91",
   CellID->1133219154]},
 "i:58"->{
  Cell[851692, 19065, 1778, 39, 88, "Text",ExpressionUUID->"d232e583-f39b-44e1-8248-a9f8eb8492d7",
   CellTags->"i:58",
   CellID->2049688313]},
 "i:59"->{
  Cell[859916, 19271, 2107, 49, 138, "Text",ExpressionUUID->"a63f5ae6-51e9-42a9-b379-05282a5f1a4a",
   CellTags->{"LastCellOfAPage", "i:59"},
   CellID->2139433989]},
 "p: 92"->{
  Cell[862026, 19322, 558, 11, 39, "CodeText",ExpressionUUID->"e072241b-a96d-4b46-870c-aa71e3b3d415",
   CellTags->"p: 92",
   CellID->1094627905]},
 "i:60"->{
  Cell[865552, 19408, 2683, 63, 189, "Text",ExpressionUUID->"d736cc46-e3cc-4101-8c35-3e23548e19e1",
   CellTags->"i:60",
   CellID->2140230555]},
 "i:61"->{
  Cell[868238, 19473, 341, 5, 39, "CodeText",ExpressionUUID->"2a640f66-4bc9-4896-86cf-02ea7c54bd15",
   CellTags->"i:61",
   CellID->464797007]},
 "p: 93"->{
  Cell[884933, 19879, 588, 12, 61, "CodeText",ExpressionUUID->"c364d55e-c45f-4a2a-b5cb-6a5cc2791ad7",
   CellTags->"p: 93",
   CellID->1053928474]},
 "p: 94"->{
  Cell[930254, 20989, 623, 13, 39, "CodeText",ExpressionUUID->"bc1d68a9-e957-46aa-8ec2-5a580e6536c7",
   CellTags->"p: 94",
   CellID->1407654022]},
 "p: 95"->{
  Cell[969316, 21955, 323, 5, 39, "CodeText",ExpressionUUID->"244f4e2e-e7b4-4392-91c4-b1ef06407f33",
   CellTags->"p: 95",
   CellID->1997868869]},
 "p: 96"->{
  Cell[1070568, 23879, 644, 13, 39, "CodeText",ExpressionUUID->"c2c2b993-b6ff-478e-9779-99514d98f247",
   CellTags->"p: 96",
   CellID->246558331]},
 "p: 97"->{
  Cell[1145534, 25362, 210, 3, 57, "Subsection",ExpressionUUID->"4fa193ae-90fd-4451-9789-210698f27e23",
   CellTags->"p: 97",
   CellID->309499373]},
 "i:62"->{
  Cell[1145747, 25367, 1214, 27, 113, "Text",ExpressionUUID->"83ff9ce5-3bda-4796-a1b3-1e5fbaafcbe6",
   CellTags->"i:62",
   CellID->598237487]},
 "i:63"->{
  Cell[1149621, 25458, 202, 3, 55, "Subsubsection",ExpressionUUID->"3bb65cbb-0345-495b-9843-5c7d64160413",
   CellTags->"i:63",
   CellID->1748335386]},
 "p: 98"->{
  Cell[1155621, 25592, 817, 20, 61, "CodeText",ExpressionUUID->"755c08d2-9364-4e1d-8986-44b5d09f593f",
   CellTags->"p: 98",
   CellID->66627127]},
 "p: 99"->{
  Cell[1171809, 25967, 300, 7, 39, "CodeText",ExpressionUUID->"759bdba3-50da-4ea1-995d-1260d444ee4d",
   CellTags->"p: 99",
   CellID->28903346]},
 "p: 100"->{
  Cell[1189853, 26399, 969, 18, 63, "Text",ExpressionUUID->"4551dfcd-ce62-4cca-8a30-307601f8bef6",
   CellTags->"p: 100",
   CellID->1403231969]},
 "p: 101"->{
  Cell[1206428, 26795, 2117, 45, 113, "Text",ExpressionUUID->"4c18dd3e-cca3-43c4-9096-8eb11da63fd9",
   CellTags->"p: 101",
   CellID->1105722162]},
 "i:64"->{
  Cell[1213374, 26969, 1917, 36, 138, "Text",ExpressionUUID->"0762d814-094c-445e-ab5b-ad77b1a497ce",
   CellTags->"i:64",
   CellID->1313109903]},
 "p: 102"->{
  Cell[1223157, 27185, 373, 5, 39, "CodeText",ExpressionUUID->"aba8e9d4-d3a0-46e3-9447-28b062d53ff3",
   CellTags->"p: 102",
   CellID->517409764]},
 "p: 103"->{
  Cell[1322938, 29063, 642, 13, 39, "CodeText",ExpressionUUID->"32eae4ee-24be-4d77-8753-0adabe3f1a63",
   CellTags->"p: 103",
   CellID->35534509]},
 "p: 104"->{
  Cell[1456927, 31679, 230, 4, 55, "Subsubsection",ExpressionUUID->"a5fe60c1-4f6c-42e6-ba7a-60fc412fb29c",
   CellTags->"p: 104",
   CellID->205602557]},
 "p: 105"->{
  Cell[1484111, 32384, 223, 3, 55, "Subsubsection",ExpressionUUID->"f75fa4c1-4f00-48d6-9f67-9e17a44368e2",
   CellTags->"p: 105",
   CellID->562117424]},
 "Exercise"->{
  Cell[1489846, 32543, 319, 9, 30, "Exercise",ExpressionUUID->"819a4b41-78bb-472a-8675-564e3d0c87d1",
   CounterAssignments->{{$CellContext`Exercise, 0}},
   CellTags->"Exercise",
   CellID->2039348820],
  Cell[1490168, 32554, 495, 12, 26, "Exercise",ExpressionUUID->"6be6bd4e-1605-41fc-b4d3-955895013814",
   CellTags->"Exercise",
   CellID->1496611620],
  Cell[1490666, 32568, 1032, 20, 64, "Exercise",ExpressionUUID->"051bdcca-4517-424e-abe7-d5e322851023",
   CellTags->"Exercise",
   CellID->75540029],
  Cell[1491723, 32592, 173, 3, 26, "Exercise",ExpressionUUID->"63956125-01cb-4e42-957d-30714725b803",
   CellTags->"Exercise",
   CellID->1559794665],
  Cell[1491899, 32597, 2395, 56, 77, "ExerciseInput",ExpressionUUID->"d66e713b-6415-4173-a0d4-3777e386795b",
   CounterIncrements->None,
   CellTags->"Exercise",
   CellID->1105763553],
  Cell[1494331, 32658, 193, 4, 30, "Exercise",ExpressionUUID->"aaaa5d98-19bc-4b43-9522-9780c6ab1e09",
   CellTags->"Exercise",
   CellID->710668125],
  Cell[1494527, 32664, 2432, 55, 77, "ExerciseInput",ExpressionUUID->"42c18b96-53da-496d-849b-52140dd85810",
   CounterIncrements->None,
   CellTags->"Exercise",
   CellID->1733183110],
  Cell[1497533, 32734, 1858, 35, 102, "Exercise",ExpressionUUID->"101dc7be-066c-432e-a483-8fca0fe41286",
   CellTags->"Exercise",
   CellID->571984814]},
 "Answer"->{
  Cell[1499394, 32771, 560, 15, 25, "ExerciseInput",ExpressionUUID->"69b067ed-d229-4650-8192-8f4b8bef3570",
   CellTags->"Answer",
   CellID->1211964926]},
 "AnswerOutput"->{
  Cell[1499957, 32788, 14300, 239, 315, "ExerciseInput",ExpressionUUID->"84fbab73-3156-45a7-887b-61fc4249a634",
   CellTags->{"AnswerOutput", "LastCellOfAPage"},
   CellID->612119487]},
 "p: 106"->{
  Cell[1514306, 33033, 134, 2, 70, "TechNoteSection",ExpressionUUID->"2d0c9e8c-3146-42d9-8124-012fa4373deb",
   CellTags->"p: 106",
   CellID->1668761543]},
 "p: 107"->{
  Cell[1554126, 33992, 901, 18, 54, "TechNote",ExpressionUUID->"331005ba-0f08-4515-815e-5eb8f9323f49",
   CellTags->"p: 107",
   CellID->815084938]},
 "p: 108"->{
  Cell[1586000, 34751, 943, 18, 70, "TechNote",ExpressionUUID->"b39daf8b-7435-4778-8e89-6f4e8cf9eb6b",
   CellTags->"p: 108",
   CellID->810815001]},
 "p: 109"->{
  Cell[1632062, 35878, 1770, 40, 70, "TechNote",ExpressionUUID->"23e543f7-889a-41e9-bf38-dfc01fb11bb4",
   CellTags->"p: 109",
   CellID->698168610]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"p: 65", 1836862, 39957},
 {"i:1", 1837054, 39962},
 {"LastCellOfAPage", 1837217, 39966},
 {"p: 66", 1841664, 40051},
 {"i:2", 1841821, 40055},
 {"i:3", 1841972, 40059},
 {"p: 67", 1842126, 40063},
 {"i:4", 1842283, 40067},
 {"i:5", 1842434, 40071},
 {"p: 68", 1842609, 40075},
 {"i:6", 1842765, 40079},
 {"i:7", 1842917, 40083},
 {"i:8", 1843068, 40087},
 {"i:9", 1843216, 40091},
 {"p: 69", 1843392, 40095},
 {"i:10", 1843550, 40099},
 {"i:11", 1843702, 40103},
 {"i:12", 1843856, 40107},
 {"i:13", 1844012, 40111},
 {"p: 70", 1844166, 40115},
 {"i:14", 1844322, 40119},
 {"i:15", 1844473, 40123},
 {"p: 71", 1844630, 40127},
 {"i:16", 1844786, 40131},
 {"i:17", 1844939, 40135},
 {"p: 72", 1845096, 40139},
 {"i:18", 1845255, 40143},
 {"i:19", 1845409, 40147},
 {"i:20", 1845567, 40151},
 {"i:21", 1845722, 40155},
 {"p: 73", 1845898, 40159},
 {"i:22", 1846056, 40163},
 {"p: 74", 1846213, 40167},
 {"i:23", 1846372, 40171},
 {"i:24", 1846530, 40175},
 {"p: 75", 1846685, 40179},
 {"i:25", 1846844, 40183},
 {"i:26", 1847000, 40187},
 {"p: 76", 1847175, 40191},
 {"i:27", 1847334, 40195},
 {"i:28", 1847489, 40199},
 {"i:29", 1847642, 40203},
 {"i:30", 1847795, 40207},
 {"p: 77", 1847972, 40211},
 {"i:31", 1848131, 40215},
 {"i:32", 1848284, 40219},
 {"i:33", 1848442, 40223},
 {"i:34", 1848598, 40227},
 {"p: 78", 1848775, 40231},
 {"i:35", 1848934, 40235},
 {"i:36", 1849092, 40239},
 {"p: 79", 1849247, 40243},
 {"i:37", 1849411, 40247},
 {"i:38", 1849565, 40251},
 {"i:39", 1849717, 40255},
 {"p: 80", 1849874, 40259},
 {"i:40", 1850033, 40263},
 {"i:41", 1850189, 40267},
 {"i:42", 1850347, 40271},
 {"p: 81", 1850505, 40275},
 {"p: 82", 1850665, 40279},
 {"i:43", 1850825, 40283},
 {"i:44", 1850980, 40287},
 {"p: 83", 1851148, 40291},
 {"i:45", 1851315, 40295},
 {"p: 84", 1851471, 40299},
 {"i:46", 1851633, 40303},
 {"i:47", 1851795, 40307},
 {"p: 85", 1851981, 40311},
 {"i:48", 1852166, 40315},
 {"i:49", 1852322, 40319},
 {"p: 86", 1852490, 40323},
 {"i:50", 1852657, 40327},
 {"p: 87", 1852815, 40331},
 {"i:51", 1852979, 40335},
 {"i:52", 1853134, 40339},
 {"i:53", 1853290, 40343},
 {"i:54", 1853447, 40347},
 {"p: 89", 1853604, 40351},
 {"i:55", 1853763, 40355},
 {"p: 90", 1853921, 40359},
 {"i:56", 1854081, 40363},
 {"i:57", 1854236, 40367},
 {"p: 91", 1854393, 40371},
 {"i:58", 1854553, 40375},
 {"i:59", 1854709, 40379},
 {"p: 92", 1854888, 40383},
 {"i:60", 1855048, 40387},
 {"i:61", 1855205, 40391},
 {"p: 93", 1855363, 40395},
 {"p: 94", 1855524, 40399},
 {"p: 95", 1855685, 40403},
 {"p: 96", 1855845, 40407},
 {"p: 97", 1856006, 40411},
 {"i:62", 1856167, 40415},
 {"i:63", 1856324, 40419},
 {"p: 98", 1856489, 40423},
 {"p: 99", 1856649, 40427},
 {"p: 100", 1856809, 40431},
 {"p: 101", 1856969, 40435},
 {"i:64", 1857129, 40439},
 {"p: 102", 1857289, 40443},
 {"p: 103", 1857451, 40447},
 {"p: 104", 1857613, 40451},
 {"p: 105", 1857780, 40455},
 {"Exercise", 1857949, 40459},
 {"Answer", 1859296, 40487},
 {"AnswerOutput", 1859471, 40491},
 {"p: 106", 1859670, 40495},
 {"p: 107", 1859840, 40499},
 {"p: 108", 1860003, 40503},
 {"p: 109", 1860166, 40507}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[609, 23, 297, 9, 110, "Section",ExpressionUUID->"dbf1ed64-78ff-4a70-8984-f9f2699919b5",
 CounterAssignments->{{"Section", 2}},
 CellTags->"p: 65",
 CellID->702470296],
Cell[909, 34, 1204, 24, 63, "Text",ExpressionUUID->"7d5b10fd-cdc0-4143-b908-a21023bc8936",
 CellID->1568556788],
Cell[2116, 60, 581, 14, 37, "CodeCaption",ExpressionUUID->"88959e21-1577-4708-b564-f3a528632cbc",
 CellID->581810760],
Cell[CellGroupData[{
Cell[2722, 78, 297, 7, 26, "Input",ExpressionUUID->"7ca3dc5a-04ab-4313-bf1d-29de93cd348e",
 CellID->443800812],
Cell[3022, 87, 20012, 387, 152, "Output",ExpressionUUID->"2c40304a-7cdb-411a-98c7-2442d889ae80",
 CellID->1590202819]
}, Open  ]],
Cell[23049, 477, 2476, 56, 163, "Text",ExpressionUUID->"f42517f3-740b-4726-a825-09501d372e80",
 CellTags->"i:1",
 CellID->319773756],
Cell[25528, 535, 1081, 16, 188, "Text",ExpressionUUID->"f3d27db6-5b34-4a46-aba7-21f4ffe70af0",
 CellID->1205575406],
Cell[26612, 553, 1964, 37, 163, "Text",ExpressionUUID->"cd5827ac-2eb6-4bb2-b8b6-6e6cc8d5c5fb",
 CellTags->"LastCellOfAPage",
 CellID->1826654303],
Cell[CellGroupData[{
Cell[28601, 594, 376, 5, 57, "Subsection",ExpressionUUID->"600c4ae9-86e1-499c-b5d9-8495e59e3b12",
 CellTags->"p: 66",
 CellID->1811859785],
Cell[28980, 601, 1118, 20, 163, "Text",ExpressionUUID->"6ee83312-da4d-4293-b2c4-3ed957534c92",
 CellTags->"i:2",
 CellID->120115379],
Cell[30101, 623, 227, 3, 39, "CodeText",ExpressionUUID->"24f98738-4370-49c5-8471-989a34f99dd8",
 CellID->381746018],
Cell[CellGroupData[{
Cell[30353, 630, 653, 13, 46, "Input",ExpressionUUID->"046b85a7-ac4f-4823-9f9b-c4c75917cde1",
 CellID->615027098],
Cell[31009, 645, 776, 15, 57, "Output",ExpressionUUID->"33aad246-fffd-4599-9ed2-f31a7d566a76",
 CellID->866675581]
}, Open  ]],
Cell[31800, 663, 380, 7, 63, "Text",ExpressionUUID->"5513a5ca-0b5f-408e-b0f8-b31df1ea2004",
 CellID->934344285],
Cell[32183, 672, 258, 5, 39, "CodeText",ExpressionUUID->"8d84a6b5-8a72-4cb0-9273-e6a1a44a5754",
 CellID->305322318],
Cell[CellGroupData[{
Cell[32466, 681, 1721, 45, 55, "Input",ExpressionUUID->"702bbbb9-c180-4165-b3aa-2c96046f4a70",
 CellID->1361498235],
Cell[34190, 728, 824, 18, 43, "Output",ExpressionUUID->"16c621bf-625f-49bb-9393-1163548163f2",
 CellID->1331595806]
}, Open  ]],
Cell[35029, 749, 474, 8, 88, "Text",ExpressionUUID->"19813762-2e5f-4d8d-ad18-90f6a2b39648",
 CellID->2089738030]
}, Open  ]],
Cell[CellGroupData[{
Cell[35540, 762, 180, 2, 57, "Subsection",ExpressionUUID->"1a9a328b-b3e9-4774-9cd9-d5e6aae06d34",
 CellID->602756267],
Cell[35723, 766, 3225, 63, 163, "Text",ExpressionUUID->"9632c52d-bbc9-4491-9db2-92f32a27592d",
 CellTags->"i:3",
 CellID->1916435276],
Cell[38951, 831, 722, 15, 63, "Text",ExpressionUUID->"642c3874-b2bc-4bf4-bf9e-74465355e37a",
 CellTags->"LastCellOfAPage",
 CellID->743132205],
Cell[39676, 848, 1081, 27, 39, "CodeText",ExpressionUUID->"b45c31f9-4291-4544-a3c1-4eb98e231308",
 CellTags->"p: 67",
 CellID->1878922074],
Cell[40760, 877, 1587, 38, 81, "Input",ExpressionUUID->"1f441e35-572c-40c0-a1a9-19356c6f6e5b",
 CellID->892096982],
Cell[42350, 917, 977, 21, 63, "Text",ExpressionUUID->"3fe42992-574d-42d0-b530-25574e2b2986",
 CellID->1675395398],
Cell[43330, 940, 183, 2, 39, "CodeText",ExpressionUUID->"903ccc1c-43e8-4008-876d-4801fe6c0451",
 CellID->1208443488],
Cell[CellGroupData[{
Cell[43538, 946, 1596, 39, 81, "Input",ExpressionUUID->"ffd67e82-24b3-49cb-8da3-6bb3ba195ebd",
 CellID->564874722],
Cell[45137, 987, 626, 9, 37, "Output",ExpressionUUID->"5a17938f-9621-47c0-a141-17a3a62a9d74",
 CellID->1959043734]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[45812, 1002, 757, 18, 57, "Subsection",ExpressionUUID->"43ca9055-cea3-4d64-84b6-e94542557efa",
 CellID->49123224],
Cell[46572, 1022, 733, 17, 63, "Text",ExpressionUUID->"22f3b6a3-28ef-4221-b2ff-d11ac8813a57",
 CellTags->"i:4",
 CellID->1103934746],
Cell[47308, 1041, 642, 13, 39, "CodeText",ExpressionUUID->"18524a7d-5ad8-4a90-b972-5ade59d6c9f5",
 CellID->329500012],
Cell[CellGroupData[{
Cell[47975, 1058, 262, 5, 26, "Input",ExpressionUUID->"45970cc8-8441-4a7e-90eb-34dc1d616a1c",
 CellID->673291081],
Cell[48240, 1065, 511, 11, 43, "Output",ExpressionUUID->"73405a94-d23c-4166-9544-fe5c4fa24688",
 CellID->1767875045]
}, Open  ]],
Cell[48766, 1079, 831, 17, 63, "Text",ExpressionUUID->"3a1bc94b-db74-4df2-9162-73e911d547a7",
 CellID->20543936],
Cell[49600, 1098, 936, 20, 61, "CodeText",ExpressionUUID->"ce877035-086f-46fa-83ed-f793cf6ba3e7",
 CellID->41780021],
Cell[CellGroupData[{
Cell[50561, 1122, 456, 8, 26, "Input",ExpressionUUID->"f6d89acb-c843-477c-895a-bb6ac753cc60",
 CellID->1683390483],
Cell[51020, 1132, 615, 13, 43, "Output",ExpressionUUID->"fb454b16-5059-45c9-a398-99b5adc80455",
 CellID->2099774861]
}, Open  ]],
Cell[51650, 1148, 1312, 28, 38, "Text",ExpressionUUID->"61ea2cc1-958a-40cd-9507-d66417a9d62e",
 CellID->627124156],
Cell[52965, 1178, 727, 15, 39, "CodeText",ExpressionUUID->"087f6f76-e927-42e3-8b87-e260c6af988d",
 CellID->3210268],
Cell[CellGroupData[{
Cell[53717, 1197, 453, 8, 27, "Input",ExpressionUUID->"fc7fbf4f-ba00-480f-b61c-6b5ec1608b70",
 CellID->1051357885],
Cell[54173, 1207, 580, 12, 43, "Output",ExpressionUUID->"f4d08405-5f58-4220-bce6-c0d8ed7e08ce",
 CellID->822349033]
}, Open  ]],
Cell[54768, 1222, 1109, 19, 88, "Text",ExpressionUUID->"ee1402b2-495f-4d1a-adf5-6c14ea7fff83",
 CellTags->{"LastCellOfAPage", "i:5"},
 CellID->1132535585],
Cell[55880, 1243, 751, 18, 39, "CodeText",ExpressionUUID->"0bba545a-7081-49ab-882c-d0a8ea20f238",
 CellTags->"p: 68",
 CellID->399706635],
Cell[CellGroupData[{
Cell[56656, 1265, 463, 10, 27, "Input",ExpressionUUID->"c775788e-2ce5-4861-a78f-64cde0b6488f",
 CellID->1937837340],
Cell[57122, 1277, 751, 18, 44, "Output",ExpressionUUID->"c8f48a03-3d6e-4969-bda5-0a486a576e91",
 CellID->78896427]
}, Open  ]],
Cell[57888, 1298, 2135, 45, 89, "Text",ExpressionUUID->"2b502328-b7cc-455d-9dda-3191016f33e8",
 CellTags->"i:6",
 CellID->1882544255],
Cell[60026, 1345, 1250, 33, 39, "CodeText",ExpressionUUID->"9ee3014b-f8e3-4f8c-aaeb-40b58d1fb646",
 CellID->1168169129],
Cell[61279, 1380, 1405, 35, 55, "Input",ExpressionUUID->"06dd0be6-e6d3-4310-a965-2f66c167faee",
 CellID->919164513],
Cell[62687, 1417, 1056, 21, 88, "Text",ExpressionUUID->"de4cceba-dd43-45e2-b88e-6c1b19de08ae",
 CellTags->"i:7",
 CellID->307264177],
Cell[63746, 1440, 683, 12, 61, "CodeText",ExpressionUUID->"35faaeb4-c031-40ee-9d2b-2975b17c57d8",
 CellID->1054061102],
Cell[64432, 1454, 1541, 37, 80, "Input",ExpressionUUID->"360d663e-6721-4233-92c1-15bd35f228cf",
 CellID->894997592],
Cell[CellGroupData[{
Cell[65998, 1495, 327, 6, 27, "Input",ExpressionUUID->"01b04e49-77d7-412a-ac34-bb35f540ecea",
 CellID->774281246],
Cell[66328, 1503, 587, 12, 43, "Output",ExpressionUUID->"f0e0bd12-9456-4c8f-8ce0-95ce83e3c9de",
 CellID->276830444]
}, Open  ]],
Cell[66930, 1518, 349, 7, 38, "Text",ExpressionUUID->"d88fff3a-68e5-4c05-ac08-928a7e11ebaf",
 CellTags->"i:8",
 CellID->88312204],
Cell[67282, 1527, 563, 12, 39, "CodeText",ExpressionUUID->"0b29f294-880a-4092-8b2a-1372ec72ea42",
 CellID->1556526207],
Cell[CellGroupData[{
Cell[67870, 1543, 415, 9, 27, "Input",ExpressionUUID->"5b08a144-aabd-4116-a0b5-b7b388d6534d",
 CellID->535831284],
Cell[68288, 1554, 786, 17, 44, "Output",ExpressionUUID->"0483fb74-f7b0-416f-8360-b1f23073af60",
 CellID->1786736680]
}, Open  ]],
Cell[69089, 1574, 564, 12, 63, "Text",ExpressionUUID->"3640e381-c159-4202-b8d3-91d46c295c82",
 CellID->1162323739],
Cell[69656, 1588, 1015, 24, 39, "CodeText",ExpressionUUID->"144631df-6ddf-4ff8-89d8-9e373fa15a26",
 CellID->205174793],
Cell[CellGroupData[{
Cell[70696, 1616, 540, 12, 27, "Input",ExpressionUUID->"6833251a-2809-4628-b98d-7615062b5204",
 CellID->1663828261],
Cell[71239, 1630, 440, 7, 37, "Output",ExpressionUUID->"87a4a9f2-87ba-4133-b720-750f37d55704",
 CellID->1651595272]
}, Open  ]],
Cell[71694, 1640, 1813, 39, 163, "Text",ExpressionUUID->"c876004f-65ce-432d-97c4-f64f6d2bff46",
 CellTags->{"LastCellOfAPage", "i:9"},
 CellID->1781689593],
Cell[73510, 1681, 842, 20, 39, "CodeText",ExpressionUUID->"c6901929-23f3-4669-809d-a98553127571",
 CellTags->"p: 69",
 CellID->1078059337],
Cell[CellGroupData[{
Cell[74377, 1705, 384, 9, 26, "Input",ExpressionUUID->"f7df23c0-0716-40e3-ad2b-05d78a8d21b9",
 CellID->1450168704],
Cell[74764, 1716, 599, 13, 44, "Output",ExpressionUUID->"344aab92-511e-4c9e-8da8-1443bee0e7e1",
 CellID->1364411337]
}, Open  ]],
Cell[75378, 1732, 751, 18, 39, "CodeText",ExpressionUUID->"00fc0dab-597d-44de-b102-bed8f3467f51",
 CellID->862751286],
Cell[CellGroupData[{
Cell[76154, 1754, 290, 5, 26, "Input",ExpressionUUID->"c009f62c-640d-41b8-8bc7-ef354e9af2f9",
 CellID->2048669232],
Cell[76447, 1761, 591, 10, 37, "Output",ExpressionUUID->"c832ce9d-b838-4866-9d00-85677719ad4f",
 CellID->1933682452]
}, Open  ]],
Cell[77053, 1774, 768, 19, 38, "Text",ExpressionUUID->"4781775b-bd7b-4efa-8826-bb5d6948666f",
 CellTags->"i:10",
 CellID->504222693],
Cell[77824, 1795, 764, 18, 39, "CodeText",ExpressionUUID->"eee53fe0-1e8d-4800-b9b2-fb3732a3bf85",
 CellID->39034508],
Cell[CellGroupData[{
Cell[78613, 1817, 290, 5, 26, "Input",ExpressionUUID->"812ef0ef-3500-4ce0-854d-40cdeb82b4ad",
 CellID->1608201819],
Cell[78906, 1824, 1158, 29, 48, "Output",ExpressionUUID->"3a878bd3-02f4-4895-9e3a-034bddfda73a",
 CellID->357216452]
}, Open  ]],
Cell[80079, 1856, 1069, 26, 63, "Text",ExpressionUUID->"5bb83254-b94a-4389-a4ad-75608597c16d",
 CellTags->"i:11",
 CellID->1027792185],
Cell[81151, 1884, 954, 23, 39, "CodeText",ExpressionUUID->"34add821-76b2-4965-ab06-9b9f5ca3bd0e",
 CellID->980976974],
Cell[CellGroupData[{
Cell[82130, 1911, 240, 4, 26, "Input",ExpressionUUID->"94b7e9dc-b3f3-482c-b422-621c36790cc0",
 CellID->124651616],
Cell[82373, 1917, 1475, 35, 78, "Output",ExpressionUUID->"ed13b914-231b-47fa-a3d0-797c939d6719",
 CellID->658905152]
}, Open  ]],
Cell[83863, 1955, 303, 6, 63, "Text",ExpressionUUID->"465060ac-828d-45b4-bba1-d71938ca14a9",
 CellID->2098286298],
Cell[84169, 1963, 756, 18, 39, "CodeText",ExpressionUUID->"7b86556e-c2e3-4544-b0bb-40b10ca29315",
 CellTags->"i:12",
 CellID->488664433],
Cell[CellGroupData[{
Cell[84950, 1985, 359, 8, 26, "Input",ExpressionUUID->"141fdc8c-1caa-4f78-9d0d-d5398e466d9f",
 CellID->1792434972],
Cell[85312, 1995, 599, 11, 37, "Output",ExpressionUUID->"d197afa3-25d4-4afd-b162-319642d18891",
 CellID->1445100463]
}, Open  ]],
Cell[85926, 2009, 1069, 22, 88, "Text",ExpressionUUID->"8632074e-a4d8-4cf9-a96d-fa8f865df3e5",
 CellTags->"i:13",
 CellID->525455587],
Cell[86998, 2033, 557, 12, 39, "CodeText",ExpressionUUID->"609174b8-9883-4365-ae2f-3117db0a0da7",
 CellID->1084248619],
Cell[CellGroupData[{
Cell[87580, 2049, 275, 5, 26, "Input",ExpressionUUID->"bdb0282e-495d-4bd2-9886-d504051098cf",
 CellID->1336397708],
Cell[87858, 2056, 1437, 34, 78, "Output",ExpressionUUID->"b949d4a2-5522-4c48-a9cb-ae6c346c3da4",
 CellID->2038620599]
}, Open  ]],
Cell[89310, 2093, 2011, 44, 88, "Text",ExpressionUUID->"49e88caa-5e2a-4a31-b4d8-af139909543c",
 CellTags->"LastCellOfAPage",
 CellID->1292441370],
Cell[91324, 2139, 375, 6, 39, "CodeText",ExpressionUUID->"7dc9eef0-d00f-4696-b070-38c63000be5f",
 CellTags->"p: 70",
 CellID->108158990],
Cell[CellGroupData[{
Cell[91724, 2149, 1513, 36, 55, "Input",ExpressionUUID->"c4b0ee75-0e0d-4b2c-b867-516d97c37e22",
 CellID->1917936895],
Cell[93240, 2187, 1631, 38, 78, "Output",ExpressionUUID->"4ab69993-d03f-4da2-bfc9-6ea5f8a61622",
 CellID->1161416349]
}, Open  ]],
Cell[94886, 2228, 242, 3, 38, "Text",ExpressionUUID->"a29425e1-612a-442c-b1ab-bb077b87d2d3",
 CellID->175956359],
Cell[95131, 2233, 773, 18, 39, "CodeText",ExpressionUUID->"a69eccad-ab4a-4b71-80a2-613a3958ed03",
 CellID->711453177],
Cell[CellGroupData[{
Cell[95929, 2255, 762, 20, 27, "Input",ExpressionUUID->"1f9018d3-02c1-4a81-b022-aeba5003304c",
 CellID->1431815968],
Cell[96694, 2277, 506, 9, 37, "Output",ExpressionUUID->"77474908-f3e9-4b1c-b549-31d9bb3fc038",
 CellID->1264275499]
}, Open  ]],
Cell[97215, 2289, 756, 14, 88, "Text",ExpressionUUID->"716f3841-61ec-40e2-ac69-a4a577f30fcb",
 CellID->1436269954]
}, Open  ]],
Cell[CellGroupData[{
Cell[98008, 2308, 188, 2, 57, "Subsection",ExpressionUUID->"ea0ae37f-75d9-4061-a6e6-e2a526c48dd1",
 CellID->1684754425],
Cell[98199, 2312, 582, 13, 63, "Text",ExpressionUUID->"8078c14d-a379-4f3b-a096-4578c068a3c7",
 CellTags->"i:14",
 CellID->96719719],
Cell[98784, 2327, 225, 3, 39, "CodeText",ExpressionUUID->"c63a37e2-d0d1-493d-ab8d-e594c553fe8a",
 CellID->2053322758],
Cell[CellGroupData[{
Cell[99034, 2334, 388, 8, 26, "Input",ExpressionUUID->"a98148b8-10c2-46ca-82a3-ca1a67925177",
 CellID->714965412],
Cell[99425, 2344, 1641, 38, 78, "Output",ExpressionUUID->"ddb390a4-bd26-4f5a-b7a9-2c2f1c149523",
 CellID->1643214562]
}, Open  ]],
Cell[101081, 2385, 1191, 23, 113, "Text",ExpressionUUID->"2a8b5108-95af-4b83-8807-fb1dbbdb8188",
 CellTags->"i:15",
 CellID->1149561194],
Cell[102275, 2410, 1060, 26, 61, "CodeText",ExpressionUUID->"299b3f10-1b69-4dcb-b8f6-e0baebdc976c",
 CellID->159243869],
Cell[103338, 2438, 466, 11, 26, "Input",ExpressionUUID->"b14951db-5a48-4cda-aabd-2e106e021e1f",
 CellID->355925663],
Cell[103807, 2451, 438, 10, 39, "CodeText",ExpressionUUID->"c62d6396-c232-45df-a739-228a1f8445dd",
 CellID->106897554],
Cell[CellGroupData[{
Cell[104270, 2465, 239, 4, 26, "Input",ExpressionUUID->"13b5dcf4-4529-4375-84ff-95c6f0781adb",
 CellID->1124173026],
Cell[104512, 2471, 533, 11, 43, "Output",ExpressionUUID->"ef61edb8-9053-4137-bba0-5bdc9d3d7967",
 CellID->1443512006]
}, Open  ]],
Cell[105060, 2485, 2663, 57, 188, "Text",ExpressionUUID->"6c979f06-15ad-41e3-82df-525620d792a7",
 CellTags->"p: 71",
 CellID->469851141],
Cell[107726, 2544, 2335, 65, 88, "Text",ExpressionUUID->"83631210-cdd3-458e-8b84-a1c75df20e80",
 CellTags->"i:16",
 CellID->79345232],
Cell[110064, 2611, 710, 19, 39, "CodeText",ExpressionUUID->"78446ce9-1f4b-42a3-861c-0574919c4d98",
 CellID->1927422152],
Cell[CellGroupData[{
Cell[110799, 2634, 265, 5, 26, "Input",ExpressionUUID->"307c870a-63a9-4f0f-8816-e204a319e1b3",
 CellID->1865893501],
Cell[111067, 2641, 392, 6, 37, "Output",ExpressionUUID->"9374e15d-3f0f-4a54-83c3-a8a22ed509c5",
 CellID->828990400]
}, Open  ]],
Cell[111474, 2650, 878, 18, 39, "CodeText",ExpressionUUID->"905a9068-7713-4fbf-9279-b7dbb88e9cbe",
 CellID->203334174],
Cell[CellGroupData[{
Cell[112377, 2672, 492, 12, 46, "Input",ExpressionUUID->"ee6067c1-8835-41a1-a564-bdd6935baa2e",
 CellID->1766409678],
Cell[112872, 2686, 606, 13, 44, "Output",ExpressionUUID->"20e5e200-49d3-4ed0-9bb4-75cff6574b20",
 CellID->619741174]
}, Open  ]],
Cell[113493, 2702, 838, 16, 88, "Text",ExpressionUUID->"1cd45467-459f-485a-a1a6-7330737ef5e5",
 CellID->1585478529],
Cell[114334, 2720, 568, 15, 39, "CodeText",ExpressionUUID->"f6004d3b-9f1e-48cf-9e91-f08c5ce03438",
 CellTags->"i:17",
 CellID->26786031],
Cell[CellGroupData[{
Cell[114927, 2739, 363, 10, 26, "Input",ExpressionUUID->"0dcda09a-661c-4e8e-963c-68e38c6d8769",
 CellID->408423430],
Cell[115293, 2751, 584, 13, 44, "Output",ExpressionUUID->"54b494a3-e7bb-4da5-a8b8-38c375701e94",
 CellID->983114039]
}, Open  ]],
Cell[115892, 2767, 1599, 31, 139, "Text",ExpressionUUID->"211596fd-15f9-4f40-8351-1f89a47f543c",
 CellID->1873594708],
Cell[117494, 2800, 284, 5, 39, "CodeText",ExpressionUUID->"89850d53-1b24-469f-a6b3-1c16d02d22e4",
 CellID->1776497026],
Cell[CellGroupData[{
Cell[117803, 2809, 444, 10, 26, "Input",ExpressionUUID->"0bcde2a5-d8e8-4c57-8440-3b235e794e5f",
 CellID->627299728],
Cell[118250, 2821, 809, 13, 39, "Message",ExpressionUUID->"e9ea0614-9714-4fe6-a103-5c143445b8a6",
 CellID->1550229205]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[119108, 2840, 272, 4, 57, "Subsection",ExpressionUUID->"53fb099c-cabb-46cf-b5c3-51040388abfc",
 CellTags->"p: 72",
 CellID->693759614],
Cell[119383, 2846, 740, 15, 88, "Text",ExpressionUUID->"6b64bee8-2322-4966-85ee-4006c9caf54d",
 CellTags->"i:18",
 CellID->1022460034],
Cell[120126, 2863, 344, 6, 39, "CodeText",ExpressionUUID->"7e629513-82c7-4dae-bd7a-a13de6c816f0",
 CellID->1966955692],
Cell[CellGroupData[{
Cell[120495, 2873, 517, 10, 26, "Input",ExpressionUUID->"5d325d07-8f1e-4d2f-bcd3-faca73ae6e87",
 CellID->917851144],
Cell[121015, 2885, 2015, 44, 114, "Output",ExpressionUUID->"a173db00-78a0-4d6c-b790-1a148327963d",
 CellID->1815827635]
}, Open  ]],
Cell[123045, 2932, 794, 21, 39, "CodeText",ExpressionUUID->"6f14b270-7b6e-4ecd-bf4c-68e70a10b503",
 CellTags->"i:19",
 CellID->1779699089],
Cell[CellGroupData[{
Cell[123864, 2957, 8085, 195, 31, "Input",ExpressionUUID->"5de7f1c0-86ab-4da6-9dc6-d9ba2a9c3baa",
 CellID->1682124858],
Cell[131952, 3154, 37842, 708, 205, "Output",ExpressionUUID->"9caa6df2-10e3-471a-a37e-7ded080c2dda",
 CellID->1578410091]
}, Open  ]],
Cell[169809, 3865, 1331, 28, 88, "Text",ExpressionUUID->"f2621924-de41-48b2-899b-eec7c627fd54",
 CellTags->"i:20",
 CellID->2126984584],
Cell[171143, 3895, 476, 10, 39, "CodeText",ExpressionUUID->"907d0726-fa59-48ce-8386-204578c184fe",
 CellID->1187880311],
Cell[CellGroupData[{
Cell[171644, 3909, 704, 17, 47, "Input",ExpressionUUID->"d0e668c1-5d6a-48fe-a291-edf39f7e9cc4",
 CellID->1087109536],
Cell[172351, 3928, 925, 19, 57, "Output",ExpressionUUID->"0c122b57-4c4d-4fb3-9c3f-9f6ac65a995a",
 CellID->785864588]
}, Open  ]],
Cell[173291, 3950, 835, 17, 38, "Text",ExpressionUUID->"8955a232-137f-4aa4-b29a-1dd17b05cd55",
 CellTags->{"LastCellOfAPage", "i:21"},
 CellID->2033961104],
Cell[174129, 3969, 522, 13, 39, "CodeText",ExpressionUUID->"6b679b22-81b5-49ac-b6ea-e5a4a06941a6",
 CellTags->"p: 73",
 CellID->301516895],
Cell[CellGroupData[{
Cell[174676, 3986, 477, 9, 26, "Input",ExpressionUUID->"5d87fff0-d796-4527-8f18-02d6f454afb7",
 CellID->1726303981],
Cell[175156, 3997, 2338, 48, 114, "Output",ExpressionUUID->"f32102eb-539b-4f05-b331-3a27116e3a37",
 CellID->1773496438]
}, Open  ]],
Cell[177509, 4048, 275, 6, 38, "Text",ExpressionUUID->"bf3b3c3b-1f7f-4c25-811b-32a5b41d1978",
 CellID->650012428],
Cell[177787, 4056, 992, 21, 39, "CodeText",ExpressionUUID->"0757c688-1940-419c-ba88-5045027e9d01",
 CellTags->"i:22",
 CellID->43846513],
Cell[CellGroupData[{
Cell[178804, 4081, 8159, 196, 31, "Input",ExpressionUUID->"d481dd34-c5db-40c5-b03a-5483aa52d46e",
 CellID->1831414238],
Cell[186966, 4279, 47742, 910, 205, "Output",ExpressionUUID->"da897c30-5294-4b04-bcd2-e5a4f5913104",
 CellID->1616067246]
}, Open  ]],
Cell[234723, 5192, 734, 14, 63, "Text",ExpressionUUID->"9b01e496-905d-4930-bb1a-a72262bc36cb",
 CellID->242240999],
Cell[235460, 5208, 505, 10, 39, "CodeText",ExpressionUUID->"3dd4a1d9-dfe1-4aaf-bcc5-ba758cf4b855",
 CellID->92507879],
Cell[CellGroupData[{
Cell[235990, 5222, 733, 17, 47, "Input",ExpressionUUID->"9d6b6c2b-5dd7-4c6d-b5f1-a1609881d85b",
 CellID->1749145703],
Cell[236726, 5241, 990, 20, 57, "Output",ExpressionUUID->"9c6f512c-5df2-4bc2-9863-d7b0867ba262",
 CellID->220482194]
}, Open  ]],
Cell[237731, 5264, 1305, 29, 88, "Text",ExpressionUUID->"6b9f6162-c156-4a9e-b343-d75f1f2544ed",
 CellID->248207576],
Cell[239039, 5295, 376, 7, 63, "Text",ExpressionUUID->"34fef641-8cc0-4294-be84-850ba4a8e6dc",
 CellTags->"LastCellOfAPage",
 CellID->1175568699],
Cell[239418, 5304, 506, 13, 39, "CodeText",ExpressionUUID->"cfda3d9e-13f4-4ebb-bb12-df47b5c29da8",
 CellTags->"p: 74",
 CellID->1360252059],
Cell[CellGroupData[{
Cell[239949, 5321, 192, 4, 26, "Input",ExpressionUUID->"3c978bed-7cf2-4f17-8bd9-008679d25f22",
 CellID->396539007],
Cell[240144, 5327, 1586, 36, 78, "Output",ExpressionUUID->"5fdd936a-60cc-4f36-90b0-5c93c2d7063c",
 CellID->506028369]
}, Open  ]],
Cell[241745, 5366, 487, 11, 39, "CodeText",ExpressionUUID->"b9b39e09-725e-499c-afb5-e5ad8da6e29b",
 CellID->1918277382],
Cell[CellGroupData[{
Cell[242257, 5381, 370, 8, 26, "Input",ExpressionUUID->"beb2e98d-6ac1-450f-a28c-f61f4817ef0e",
 CellID->350433770],
Cell[242630, 5391, 398, 6, 37, "Output",ExpressionUUID->"c0f37429-9421-4b62-90f2-bee6dc851789",
 CellID->1713846921]
}, Open  ]],
Cell[243043, 5400, 1431, 34, 63, "Text",ExpressionUUID->"64efee36-cab5-4b90-aeaa-71c63e562bf7",
 CellID->1604354778],
Cell[244477, 5436, 1101, 25, 39, "CodeText",ExpressionUUID->"35cbb00b-c7ec-4e94-be5d-466d6b33762c",
 CellTags->"i:23",
 CellID->413798181],
Cell[CellGroupData[{
Cell[245603, 5465, 8296, 199, 31, "Input",ExpressionUUID->"9fcdf2be-a956-4866-b9f7-5f4a8c6f71b5",
 CellID->1724622515],
Cell[253902, 5666, 396, 6, 37, "Output",ExpressionUUID->"d37b432d-a975-4fd5-8d3f-caace5271051",
 CellID->2008263695]
}, Open  ]],
Cell[CellGroupData[{
Cell[254335, 5677, 8392, 202, 31, "Input",ExpressionUUID->"eabf552a-ef1d-4c9b-9a50-c813188c16ca",
 CellID->660153953],
Cell[262730, 5881, 618, 12, 37, "Output",ExpressionUUID->"df4f8777-661b-497b-ba0b-6c75afa9425b",
 CellID->672297543]
}, Open  ]],
Cell[263363, 5896, 1169, 23, 63, "Text",ExpressionUUID->"c2d5ee66-3d3b-44a5-9028-061e234e09ed",
 CellID->1234489263]
}, Open  ]],
Cell[CellGroupData[{
Cell[264569, 5924, 757, 17, 57, "Subsection",ExpressionUUID->"b1d821e5-5ba6-421d-aca8-ff616f52eb9d",
 CellID->639889059],
Cell[265329, 5943, 2068, 45, 113, "Text",ExpressionUUID->"8e0ce34f-312c-4a70-b304-d1bc96da6323",
 CellTags->"i:24",
 CellID->28591120],
Cell[267400, 5990, 732, 16, 39, "CodeText",ExpressionUUID->"5d3de938-7e73-4fb9-ad42-9059f95ce9f6",
 CellID->247693268],
Cell[CellGroupData[{
Cell[268157, 6010, 436, 9, 26, "Input",ExpressionUUID->"688c0e43-ea6d-4626-bd1e-2d670cf066ce",
 CellID->168416409],
Cell[268596, 6021, 2681, 73, 114, "Output",ExpressionUUID->"974271ac-4f3a-4875-a0b8-038b2dc73633",
 CellID->1265821792]
}, Open  ]],
Cell[271292, 6097, 1150, 23, 88, "Text",ExpressionUUID->"8c077631-ad70-4d44-9a72-49ca90d4a985",
 CellTags->"LastCellOfAPage",
 CellID->1164965992],
Cell[272445, 6122, 545, 11, 39, "CodeText",ExpressionUUID->"afb99c14-a2a0-4960-bfa2-4f57611abacc",
 CellTags->"p: 75",
 CellID->1677020723],
Cell[CellGroupData[{
Cell[273015, 6137, 562, 11, 26, "Input",ExpressionUUID->"2ff0b698-4759-4924-a1d4-590a90ee4e48",
 CellID->927681528],
Cell[273580, 6150, 3578, 93, 171, "Output",ExpressionUUID->"e8ccbb75-59bc-4c53-ac16-95a49db0a11a",
 CellID->2116676562]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[277207, 6249, 744, 17, 57, "Subsection",ExpressionUUID->"df96383b-8942-49cf-8c1b-7c525d991a4c",
 CellID->1977193827],
Cell[277954, 6268, 3747, 84, 188, "Text",ExpressionUUID->"7d7f043c-c8ba-495e-bd2e-886da9aaba6c",
 CellTags->"i:25",
 CellID->1196192676],
Cell[281704, 6354, 549, 11, 39, "CodeText",ExpressionUUID->"e434c699-e973-4fa6-a063-7136abba5b11",
 CellID->1789882006],
Cell[CellGroupData[{
Cell[282278, 6369, 540, 13, 46, "Input",ExpressionUUID->"9a45ed45-e957-4e5d-9226-0e0faa0c47c3",
 CellID->1023418643],
Cell[282821, 6384, 1050, 25, 44, "Output",ExpressionUUID->"74ee7df7-9f3e-45a3-9742-ad3f8fea1e44",
 CellID->1315731501]
}, Open  ]],
Cell[283886, 6412, 586, 11, 39, "CodeText",ExpressionUUID->"63029839-301d-4185-89df-06689aadf0e7",
 CellID->616607258],
Cell[CellGroupData[{
Cell[284497, 6427, 350, 8, 26, "Input",ExpressionUUID->"8f4ba71a-3c93-43bc-947a-b879eceea552",
 CellID->2072517240],
Cell[284850, 6437, 679, 15, 44, "Output",ExpressionUUID->"73e3e092-4eef-49be-9e9f-cd9f2a0bfebd",
 CellID->1578958145]
}, Open  ]],
Cell[285544, 6455, 628, 13, 38, "Text",ExpressionUUID->"bb9cb9ab-13c8-4305-94a8-0beeb7917f8b",
 CellID->1016740374],
Cell[286175, 6470, 765, 18, 39, "CodeText",ExpressionUUID->"d379dc41-42c3-4df0-be9e-a110f1a845d7",
 CellID->684384169],
Cell[CellGroupData[{
Cell[286965, 6492, 312, 6, 26, "Input",ExpressionUUID->"3a270fb1-ff9b-48bb-9bf2-e31083311134",
 CellID->960320957],
Cell[287280, 6500, 383, 6, 37, "Output",ExpressionUUID->"b8402955-c8a6-4578-ba2e-7ba9a4df93ec",
 CellID->1900946066]
}, Open  ]],
Cell[287678, 6509, 993, 21, 63, "Text",ExpressionUUID->"f0577c0b-6f49-4c6c-a23c-6afbf98d0742",
 CellTags->{"LastCellOfAPage", "i:26"},
 CellID->229071444],
Cell[288674, 6532, 610, 12, 39, "CodeText",ExpressionUUID->"dc80e6d3-6ef3-4535-8d6e-43ec8d3e07d2",
 CellTags->"p: 76",
 CellID->1547089227],
Cell[CellGroupData[{
Cell[289309, 6548, 684, 18, 65, "Input",ExpressionUUID->"447322ef-604d-411e-907f-cdce60d0ec49",
 CellID->1876424154],
Cell[289996, 6568, 1534, 26, 46, "Message",ExpressionUUID->"a5132b53-3d2d-451c-8240-37388821f594",
 CellID->724995332],
Cell[291533, 6596, 1532, 26, 46, "Message",ExpressionUUID->"dfe78fa5-293d-4c7c-ab9b-5c630242fc48",
 CellID->174331846],
Cell[293068, 6624, 2473, 61, 109, "Output",ExpressionUUID->"2d0f1221-769f-4e84-8a5d-411857701e06",
 CellID->1450219110]
}, Open  ]],
Cell[295556, 6688, 1985, 45, 138, "Text",ExpressionUUID->"e6369828-5a5a-4a5e-b3f6-30a055f1c87b",
 CellTags->"i:27",
 CellID->318614271],
Cell[297544, 6735, 500, 11, 39, "CodeText",ExpressionUUID->"6d4d0b95-19b9-4dfb-9cfb-8722bb683311",
 CellID->837380298],
Cell[CellGroupData[{
Cell[298069, 6750, 546, 14, 46, "Input",ExpressionUUID->"a97a9669-926c-4372-9190-08fe81d3ff7e",
 CellID->1240209624],
Cell[298618, 6766, 869, 20, 48, "Output",ExpressionUUID->"645749e1-8c4c-42b2-9c0b-08733f19526b",
 CellID->1857453811]
}, Open  ]],
Cell[299502, 6789, 549, 13, 63, "Text",ExpressionUUID->"4622f190-5a7b-49a8-adeb-b69099e9def9",
 CellTags->"i:28",
 CellID->582453422],
Cell[300054, 6804, 969, 20, 63, "Text",ExpressionUUID->"186b4316-724b-4d25-9216-2861f261eca8",
 CellTags->"i:29",
 CellID->834154799],
Cell[301026, 6826, 541, 11, 39, "CodeText",ExpressionUUID->"04d484fe-ff4d-416f-ae94-a0a33434a7d0",
 CellID->583530763],
Cell[CellGroupData[{
Cell[301592, 6841, 624, 16, 46, "Input",ExpressionUUID->"e4a6d6d2-55f6-4858-8275-c94367c93051",
 CellID->2074492455],
Cell[302219, 6859, 2202, 52, 109, "Output",ExpressionUUID->"3956dfc2-68e1-45e8-8133-6b249f37d8fc",
 CellID->693738908]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[304470, 6917, 411, 8, 57, "Subsection",ExpressionUUID->"3290e642-357d-4035-892c-15f72161ed28",
 CellID->1264666041],
Cell[304884, 6927, 2390, 64, 63, "Text",ExpressionUUID->"dea03844-7622-43a9-a404-749b81408036",
 CellTags->{"LastCellOfAPage", "i:30"},
 CellID->1630985658],
Cell[307277, 6993, 586, 12, 39, "CodeText",ExpressionUUID->"839e2052-3ef0-4643-858d-07aa6d0c187a",
 CellTags->"p: 77",
 CellID->1651721658],
Cell[CellGroupData[{
Cell[307888, 7009, 630, 17, 46, "Input",ExpressionUUID->"7e1f8bef-4954-4c51-acb9-222457e1c7e5",
 CellID->1751211788],
Cell[308521, 7028, 823, 21, 44, "Output",ExpressionUUID->"52ba9897-ac91-41fa-afcb-c572b5468350",
 CellID->211678567]
}, Open  ]],
Cell[309359, 7052, 504, 12, 38, "Text",ExpressionUUID->"d7a0c8c7-61cb-4f3c-b9af-4d26ed7897c1",
 CellTags->"i:31",
 CellID->998681096],
Cell[309866, 7066, 467, 10, 39, "CodeText",ExpressionUUID->"c69eab4d-25e5-4bf7-901e-06e265a2503e",
 CellID->522303647],
Cell[CellGroupData[{
Cell[310358, 7080, 352, 8, 26, "Input",ExpressionUUID->"0927115b-d9ff-4135-9524-cb16c05e1941",
 CellID->176832921],
Cell[310713, 7090, 531, 12, 44, "Output",ExpressionUUID->"cfb2ac58-efc3-404c-bbb9-c2183531cae9",
 CellID->1760545594]
}, Open  ]],
Cell[311259, 7105, 573, 10, 88, "Text",ExpressionUUID->"4fda7f9c-d8ae-4ccb-b93f-e9e2810018f7",
 CellID->900995876],
Cell[311835, 7117, 592, 12, 39, "CodeText",ExpressionUUID->"3de1179d-abd3-4f32-8085-32793cef110c",
 CellTags->"i:32",
 CellID->1513583576],
Cell[CellGroupData[{
Cell[312452, 7133, 679, 18, 46, "Input",ExpressionUUID->"814b62f3-c0fa-4e9c-83c5-ef595d59ae76",
 CellID->435706583],
Cell[313134, 7153, 1177, 32, 48, "Output",ExpressionUUID->"b7be0302-5596-42e4-9be2-c30fe8ea2f6f",
 CellID->1703848222]
}, Open  ]],
Cell[314326, 7188, 861, 19, 88, "Text",ExpressionUUID->"aa086ad3-9f60-404f-9d22-c26592327eb8",
 CellID->1931708255],
Cell[315190, 7209, 1236, 26, 113, "Text",ExpressionUUID->"d6678ec8-80d3-45f2-a9de-0041b79c9e31",
 CellID->721981035],
Cell[316429, 7237, 406, 6, 39, "CodeText",ExpressionUUID->"1a59e276-a37c-4b20-bcf9-94bc6e188e4e",
 CellTags->"i:33",
 CellID->133024003],
Cell[CellGroupData[{
Cell[316860, 7247, 528, 12, 46, "Input",ExpressionUUID->"19ead272-c90f-41c1-887c-068081c04571",
 CellID->1769611386],
Cell[317391, 7261, 1051, 27, 49, "Output",ExpressionUUID->"25b45066-e4a7-44c9-ae86-96aedd77ddd8",
 CellID->1622948958]
}, Open  ]],
Cell[CellGroupData[{
Cell[318479, 7293, 446, 10, 55, "Subsubsection",ExpressionUUID->"7033ff26-d756-4ef3-8223-0c1876917ae8",
 CellID->41405543],
Cell[318928, 7305, 2912, 66, 113, "Text",ExpressionUUID->"53f9efe4-ee95-49bf-bf05-57e5730fcb18",
 CellTags->{"LastCellOfAPage", "i:34"},
 CellID->120914358],
Cell[321843, 7373, 1028, 22, 39, "CodeText",ExpressionUUID->"7d408fe9-090e-4b35-b591-a9b7201fe310",
 CellTags->"p: 78",
 CellID->170864780],
Cell[CellGroupData[{
Cell[322896, 7399, 25765, 610, 79, "Input",ExpressionUUID->"34c80144-08f6-47c1-88fb-c44799c1bd53",
 CellID->10206468],
Cell[348664, 8011, 1553, 38, 78, "Output",ExpressionUUID->"4231429b-416e-40a8-a87a-8444cd5ce9a5",
 CellID->677925044]
}, Open  ]],
Cell[350232, 8052, 1868, 39, 113, "Text",ExpressionUUID->"a0200895-c6c9-43df-87ee-63f035b6816c",
 CellID->584612605],
Cell[352103, 8093, 1179, 24, 61, "CodeText",ExpressionUUID->"ad893368-4ad7-41b4-a887-e5ac16bc59d4",
 CellTags->"i:35",
 CellID->152966638],
Cell[CellGroupData[{
Cell[353307, 8121, 8407, 202, 31, "Input",ExpressionUUID->"4697c315-159f-441b-b8ad-02c14c15df8a",
 CellID->437756167],
Cell[361717, 8325, 760, 17, 44, "Output",ExpressionUUID->"cc3a7fa5-be5e-404e-912a-024371d79620",
 CellID->635015375]
}, Open  ]],
Cell[362492, 8345, 1062, 22, 38, "Text",ExpressionUUID->"234e132a-18bd-455f-9453-f555f7df8714",
 CellID->812956515],
Cell[363557, 8369, 889, 17, 39, "CodeText",ExpressionUUID->"fe6409e7-16cb-4f82-ae48-95c3ad4fb044",
 CellID->725966997],
Cell[CellGroupData[{
Cell[364471, 8390, 8330, 200, 31, "Input",ExpressionUUID->"066c2ef4-c27f-45f2-b228-affdb0d17d28",
 CellID->1703203616],
Cell[372804, 8592, 497, 9, 37, "Output",ExpressionUUID->"8a398977-ca4e-4811-afd8-0a2b0af79a1f",
 CellID->55136316]
}, Open  ]],
Cell[CellGroupData[{
Cell[373338, 8606, 8391, 201, 31, "Input",ExpressionUUID->"dc3d5033-2020-4ae6-ab0f-eab5980abcea",
 CellID->239120928],
Cell[381732, 8809, 389, 6, 37, "Output",ExpressionUUID->"94205089-c9a5-4a36-bf86-8310aa85ad8a",
 CellID->1751975497]
}, Open  ]],
Cell[CellGroupData[{
Cell[382158, 8820, 8375, 200, 31, "Input",ExpressionUUID->"26f5305b-1405-4809-8911-3a2f89d1fbc1",
 CellID->924977853],
Cell[390536, 9022, 817, 16, 37, "Output",ExpressionUUID->"fefff4d7-64bf-4cdd-baf2-c14101ad5de3",
 CellID->959353465]
}, Open  ]],
Cell[391368, 9041, 770, 16, 38, "Text",ExpressionUUID->"d856d6d5-ab59-4031-b9ca-eff76ccca4ab",
 CellTags->"i:36",
 CellID->1148894748]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[392187, 9063, 185, 2, 57, "Subsection",ExpressionUUID->"958f6bf4-122b-4b45-a4a2-658629a8b060",
 CellID->920077458],
Cell[392375, 9067, 1029, 21, 88, "Text",ExpressionUUID->"d2bd0bfb-8fb0-4686-a759-c0a6aca0d447",
 CellTags->"LastCellOfAPage",
 CellID->804730587],
Cell[CellGroupData[{
Cell[393429, 9092, 474, 11, 55, "Subsubsection",ExpressionUUID->"521333f4-5f59-43a2-8eba-2cb4b8ad3ef2",
 CellTags->"p: 79",
 CellID->2019678993],
Cell[393906, 9105, 1551, 36, 88, "Text",ExpressionUUID->"40954ed4-85fc-4ca4-8e5e-8164ca6b261e",
 CellTags->"i:37",
 CellID->118867265],
Cell[395460, 9143, 771, 19, 39, "CodeText",ExpressionUUID->"399d19f4-39c8-4c51-9053-49cfc2d46d2d",
 CellID->1234786428],
Cell[CellGroupData[{
Cell[396256, 9166, 792, 21, 65, "Input",ExpressionUUID->"31b76d89-8b70-48e0-82eb-5729bf5327e6",
 CellID->167075957],
Cell[397051, 9189, 557, 11, 37, "Output",ExpressionUUID->"263c6d60-8a6c-4927-86d2-31075bf816cd",
 CellID->477977016]
}, Open  ]],
Cell[397623, 9203, 639, 13, 38, "Text",ExpressionUUID->"c4cb065e-88f2-4e80-ab16-e04b9b36b6f7",
 CellID->1092351900],
Cell[398265, 9218, 505, 12, 39, "CodeText",ExpressionUUID->"7e848e6c-f5c3-4d92-88e1-bab3baa96b04",
 CellID->295114712],
Cell[CellGroupData[{
Cell[398795, 9234, 416, 9, 26, "Input",ExpressionUUID->"31e5f6d4-64d1-4104-a7d1-e2859336f9a3",
 CellID->1198722540],
Cell[399214, 9245, 530, 11, 37, "Output",ExpressionUUID->"508a387f-8386-45b6-8952-a59c32ff43f4",
 CellID->379032049]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[399793, 9262, 442, 9, 55, "Subsubsection",ExpressionUUID->"615feb37-e0fc-4934-a705-e0cb516d7263",
 CellID->1551208727],
Cell[400238, 9273, 1070, 26, 63, "Text",ExpressionUUID->"034e7473-e470-4fb8-86e6-bc55a9539a68",
 CellTags->"i:38",
 CellID->4552669],
Cell[401311, 9301, 524, 12, 39, "CodeText",ExpressionUUID->"421243ae-3a08-4b7c-980e-9f8c58dd2a03",
 CellID->1371682411],
Cell[CellGroupData[{
Cell[401860, 9317, 372, 8, 26, "Input",ExpressionUUID->"a988f783-e121-4754-981d-b4511fc26c41",
 CellID->1359436790],
Cell[402235, 9327, 533, 11, 37, "Output",ExpressionUUID->"505bd2a9-aad1-4dfe-a8ef-759ea633e72a",
 CellID->1088535026]
}, Open  ]],
Cell[402783, 9341, 502, 12, 39, "CodeText",ExpressionUUID->"ca76cc93-1b42-469c-9ccf-3e71368eb631",
 CellID->954631211],
Cell[CellGroupData[{
Cell[403310, 9357, 373, 8, 26, "Input",ExpressionUUID->"1b6e20e6-9b8e-45e6-b15f-5b35d0dee443",
 CellID->391392083],
Cell[403686, 9367, 529, 11, 37, "Output",ExpressionUUID->"d3ec29c0-bc92-4c4d-b53d-da8f35d49440",
 CellID->88710125]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[404264, 9384, 414, 8, 55, "Subsubsection",ExpressionUUID->"ba61bf98-2c38-454c-a719-2d4e1b2e0d19",
 CellID->1358934012],
Cell[404681, 9394, 2042, 39, 188, "Text",ExpressionUUID->"b64e4f58-64a8-40ff-b704-54a9642b9d9d",
 CellTags->"i:39",
 CellID->1502312842],
Cell[406726, 9435, 641, 13, 63, "Text",ExpressionUUID->"2e294d52-08be-446c-a133-323d5a9f7d6f",
 CellTags->"LastCellOfAPage",
 CellID->55916443],
Cell[407370, 9450, 901, 20, 61, "CodeText",ExpressionUUID->"6ec0ec36-722f-4373-abdf-ae759bef9a0d",
 CellTags->"p: 80",
 CellID->1679730071],
Cell[CellGroupData[{
Cell[408296, 9474, 355, 8, 26, "Input",ExpressionUUID->"ec490348-2a92-4d67-8e09-c3f87e76a435",
 CellID->412739345],
Cell[408654, 9484, 789, 16, 37, "Output",ExpressionUUID->"bf35213b-3fa5-496b-8933-1021b4b8e172",
 CellID->1251095351]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[409492, 9506, 411, 8, 55, "Subsubsection",ExpressionUUID->"e00971c6-9d51-4926-9baa-aa38601e471b",
 CellID->1781611568],
Cell[409906, 9516, 1537, 28, 138, "Text",ExpressionUUID->"61169e99-ab86-4892-9135-a2fa92587d7f",
 CellTags->"i:40",
 CellID->1181133255],
Cell[411446, 9546, 1466, 31, 88, "Text",ExpressionUUID->"51821e9a-7efb-4f17-834e-1720b8b9a701",
 CellID->1450695100],
Cell[412915, 9579, 755, 17, 39, "CodeText",ExpressionUUID->"87cbb61a-1f81-47b6-b332-f3800738657d",
 CellID->1598280766],
Cell[CellGroupData[{
Cell[413695, 9600, 270, 4, 26, "Input",ExpressionUUID->"0606914f-4dbf-472c-beb9-23997774b65e",
 CellID->1450701309],
Cell[413968, 9606, 1288, 28, 76, "Output",ExpressionUUID->"d7e6cfca-ff5e-4e48-b04e-ae382da69faa",
 CellID->158519932]
}, Open  ]],
Cell[415271, 9637, 615, 12, 39, "CodeText",ExpressionUUID->"2c0d03a0-e075-4bed-9a2f-ca2534ef48ce",
 CellTags->"i:41",
 CellID->1771751745],
Cell[CellGroupData[{
Cell[415911, 9653, 284, 6, 26, "Input",ExpressionUUID->"c21c67c0-bbdf-45d3-aa4a-3500c9464112",
 CellID->1185572909],
Cell[416198, 9661, 1222, 27, 76, "Output",ExpressionUUID->"ae69a9ef-0efd-44fe-8c64-e985438929df",
 CellID->962075691]
}, Open  ]],
Cell[417435, 9691, 1139, 26, 61, "CodeText",ExpressionUUID->"e456aa8e-73e2-4442-9fc8-27efa1f16728",
 CellTags->"i:42",
 CellID->24452198],
Cell[CellGroupData[{
Cell[418599, 9721, 333, 5, 26, "Input",ExpressionUUID->"a0eba476-d727-4905-b6fb-3ced7087b164",
 CellID->798715209],
Cell[418935, 9728, 1169, 25, 76, "Output",ExpressionUUID->"a7afd2b5-52f1-49c2-9eb4-c125cf19b981",
 CellID->1283107804]
}, Open  ]],
Cell[420119, 9756, 2734, 61, 113, "Text",ExpressionUUID->"8c55ad2d-54fc-49a1-bbbd-381505a081b3",
 CellTags->"LastCellOfAPage",
 CellID->1852975908],
Cell[422856, 9819, 561, 12, 61, "CodeText",ExpressionUUID->"37d3b631-26b1-4204-891e-25bd40281d65",
 CellTags->"p: 81",
 CellID->1456938870],
Cell[CellGroupData[{
Cell[423442, 9835, 578, 14, 46, "Input",ExpressionUUID->"836bf755-2f56-4e90-8f0c-d9ab783e463b",
 CellID->532692425],
Cell[424023, 9851, 3033, 72, 209, "Output",ExpressionUUID->"0be72795-de6c-46db-b434-ea0f07719bb3",
 CellID->1238254771]
}, Open  ]],
Cell[427071, 9926, 1197, 22, 113, "Text",ExpressionUUID->"ec9c95d6-7d6c-4148-9b20-3904fa1d1602",
 CellID->305182279],
Cell[428271, 9950, 709, 16, 39, "CodeText",ExpressionUUID->"af68f530-026f-4816-beba-9147b66ab039",
 CellID->1627122286],
Cell[CellGroupData[{
Cell[429005, 9970, 342, 8, 26, "Input",ExpressionUUID->"75fb7411-e3ba-4a5b-83f1-2b38bf2e36a3",
 CellID->773251645],
Cell[429350, 9980, 477, 10, 37, "Output",ExpressionUUID->"870fe122-fbce-49c7-84e4-17e4b87d570c",
 CellID->158893360]
}, Open  ]],
Cell[CellGroupData[{
Cell[429864, 9995, 537, 15, 26, "Input",ExpressionUUID->"a27dcea1-1697-4c48-88cf-a7265e0a28e4",
 CellID->107355996],
Cell[430404, 10012, 508, 11, 37, "Output",ExpressionUUID->"7aaf344d-31a7-4572-b83c-c5094a7b62b1",
 CellID->1025319084]
}, Open  ]],
Cell[430927, 10026, 1164, 25, 63, "Text",ExpressionUUID->"7c79f958-13e2-4021-82c6-2e7e7b947c46",
 CellID->119757751],
Cell[432094, 10053, 1132, 25, 61, "CodeText",ExpressionUUID->"17b06467-7387-45b4-aebe-dd539ce6a6ce",
 CellID->15563290],
Cell[CellGroupData[{
Cell[433251, 10082, 290, 4, 26, "Input",ExpressionUUID->"2aba9408-4ae1-4d3a-8c1a-cd5d4a1521de",
 CellID->576343818],
Cell[433544, 10088, 557, 12, 37, "Output",ExpressionUUID->"6a51de98-0e4c-4f73-acca-771902db6ac3",
 CellID->1757793400]
}, Open  ]],
Cell[434116, 10103, 2573, 54, 138, "Text",ExpressionUUID->"53ad43c5-8201-497f-ac7c-810c884bf071",
 CellTags->"LastCellOfAPage",
 CellID->20086465],
Cell[436692, 10159, 1217, 31, 61, "CodeText",ExpressionUUID->"4333e063-954c-4217-b818-d3d3cebbb02b",
 CellTags->"p: 82",
 CellID->495813260],
Cell[CellGroupData[{
Cell[437934, 10194, 318, 4, 26, "Input",ExpressionUUID->"9d2bc0b7-4b5c-4d28-9e16-4904ca68d9ac",
 CellID->438284676],
Cell[438255, 10200, 551, 12, 37, "Output",ExpressionUUID->"3eab64db-30b6-47bc-9ded-1409f84ceb39",
 CellID->771597144]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[438855, 10218, 425, 8, 55, "Subsubsection",ExpressionUUID->"52f80f9f-1373-4fe8-b7ee-1d90716e3cbc",
 CellID->655735118],
Cell[439283, 10228, 528, 9, 113, "Text",ExpressionUUID->"f8164dd4-d80a-4117-90bd-35e16f3114b5",
 CellTags->"i:43",
 CellID->1588382636],
Cell[439814, 10239, 242, 3, 39, "CodeText",ExpressionUUID->"d5acf416-9559-4e8d-91d2-ecb6e478abad",
 CellID->456845819],
Cell[CellGroupData[{
Cell[440081, 10246, 562, 10, 26, "Input",ExpressionUUID->"d7c9cae7-3ad0-4123-a7e6-36f7125a9e07",
 CellID->440184246],
Cell[440646, 10258, 2028, 44, 95, "Output",ExpressionUUID->"1e3b0288-9588-4c07-af97-1a21c1facd53",
 CellID->1281806036]
}, Open  ]],
Cell[442689, 10305, 1686, 31, 163, "Text",ExpressionUUID->"c8454ca5-e6f9-4607-b6e9-4513d72dd967",
 CellID->95458607],
Cell[444378, 10338, 499, 10, 39, "CodeText",ExpressionUUID->"8beeac37-d9bb-4d83-82d0-c9fae7d6184a",
 CellID->1728958728],
Cell[CellGroupData[{
Cell[444902, 10352, 8405, 201, 31, "Input",ExpressionUUID->"bfbfbe19-8b6c-40ca-a79b-3d3a3f454faa",
 CellID->704850180],
Cell[453310, 10555, 57694, 1094, 205, "Output",ExpressionUUID->"75b68e9f-f44f-422b-a714-cb760fd76f20",
 CellID->1768062714]
}, Open  ]],
Cell[511019, 11652, 2191, 46, 163, "Text",ExpressionUUID->"19ff2229-9f0f-40b7-b754-62a1e834ae78",
 CellTags->{"i:44", "p: 83"},
 CellID->376770836],
Cell[513213, 11700, 2523, 53, 188, "Text",ExpressionUUID->"c3f3ca51-4ca0-44f3-98d7-21d583425d2b",
 CellID->92915124],
Cell[515739, 11755, 678, 18, 39, "CodeText",ExpressionUUID->"01403d86-f06f-487e-8301-f24eb455f61d",
 CellID->2052509876],
Cell[CellGroupData[{
Cell[516442, 11777, 488, 9, 26, "Input",ExpressionUUID->"ffc5f37a-fe61-4e52-a726-db06b84fce32",
 CellID->1463421689],
Cell[516933, 11788, 2020, 43, 95, "Output",ExpressionUUID->"9ef457d1-6838-45a6-9453-760ba74a0926",
 CellID->1445245510]
}, Open  ]],
Cell[518968, 11834, 494, 14, 38, "Text",ExpressionUUID->"22ab971d-8bdc-4d20-aa78-8f9620cefcb0",
 CellTags->"i:45",
 CellID->1058777069],
Cell[519465, 11850, 570, 12, 61, "CodeText",ExpressionUUID->"d6b2669a-4b08-4577-9950-1c0b97525be3",
 CellID->211580175],
Cell[CellGroupData[{
Cell[520060, 11866, 8374, 201, 31, "Input",ExpressionUUID->"3a541f11-a165-4608-bd07-40eead868146",
 CellID->816699641],
Cell[528437, 12069, 62123, 1184, 205, "Output",ExpressionUUID->"8de2d4d4-f62a-4de0-8347-8cd2c0138ef8",
 CellID->503531477]
}, Open  ]],
Cell[590575, 13256, 1000, 19, 88, "Text",ExpressionUUID->"9360fcb1-29e6-4d9b-9e77-687a18825e66",
 CellTags->"LastCellOfAPage",
 CellID->942929089],
Cell[591578, 13277, 691, 16, 37, "CodeCaption",ExpressionUUID->"4f9ae235-6872-4c57-9f49-ae5e26a478fa",
 CellTags->"p: 84",
 CellID->754978352],
Cell[CellGroupData[{
Cell[592294, 13297, 8077, 197, 51, "Input",ExpressionUUID->"a0bd1800-f0a6-4009-8cde-3101f5ad66c2",
 CellID->121203932],
Cell[600374, 13496, 57660, 1095, 205, "Output",ExpressionUUID->"3e3c06d2-a979-41f4-949f-4ae2a0a37811",
 CellID->933064975]
}, Open  ]],
Cell[658049, 14594, 771, 14, 113, "Text",ExpressionUUID->"396342c7-d084-486c-9ee6-9e0eed3c4b77",
 CellID->877802713],
Cell[658823, 14610, 1434, 36, 81, "CodeCaption",ExpressionUUID->"76542b25-227c-4835-a066-7f2cd6820858",
 CellTags->"i:46",
 CellID->759883930],
Cell[CellGroupData[{
Cell[660282, 14650, 16571, 394, 75, "Input",ExpressionUUID->"7df76156-0260-43ea-8745-b7fe50644593",
 CellID->283007184],
Cell[676856, 15046, 57665, 1095, 205, "Output",ExpressionUUID->"4c99d4c9-5d4e-4022-b838-593d6daaaa50",
 CellID->136957108]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[734582, 16148, 317, 4, 57, "Subsection",ExpressionUUID->"a58a83e1-67a9-4aee-a4f1-ceb6e9d51825",
 CellID->141344902],
Cell[734902, 16154, 534, 9, 63, "Text",ExpressionUUID->"b5b3cad8-1199-4c0a-90f3-738ccbf8a74d",
 CellID->1562681532],
Cell[CellGroupData[{
Cell[735461, 16167, 405, 8, 55, "Subsubsection",ExpressionUUID->"47647d0d-7a61-4f5c-a142-c80e417502e9",
 CellID->1614944190],
Cell[735869, 16177, 939, 21, 138, "Text",ExpressionUUID->"8fb8ca76-f927-4a09-a19e-bf957e81da8e",
 CellTags->{"LastCellOfAPage", "i:47", "p: 85"},
 CellID->161877745],
Cell[736811, 16200, 602, 8, 39, "CodeText",ExpressionUUID->"2e9f9b02-5908-475b-a970-7971756ebf93",
 CellID->357761409],
Cell[CellGroupData[{
Cell[737438, 16212, 390, 9, 26, "Input",ExpressionUUID->"28221f8e-955b-4531-9de9-e95e3567d9c5",
 CellID->1919246769],
Cell[737831, 16223, 500, 11, 37, "Output",ExpressionUUID->"d3f69a62-97ea-4f1f-b51e-89842842cf4d",
 CellID->1540261091]
}, Open  ]],
Cell[738346, 16237, 524, 11, 39, "CodeText",ExpressionUUID->"e4c85b11-2a51-44ed-93ac-a26dc8001bf3",
 CellID->159588484],
Cell[CellGroupData[{
Cell[738895, 16252, 411, 7, 26, "Input",ExpressionUUID->"19732f33-9392-4307-85c6-fee19710091e",
 CellID->1005306710],
Cell[739309, 16261, 942, 17, 57, "Output",ExpressionUUID->"fd491a8c-c85e-4a9b-b9ba-cfc0ae6156c1",
 CellID->1996147024]
}, Open  ]],
Cell[740266, 16281, 859, 19, 39, "CodeText",ExpressionUUID->"dafb4b42-6dcf-40b3-bbcc-bd5675e27f32",
 CellID->1932679589],
Cell[CellGroupData[{
Cell[741150, 16304, 364, 5, 26, "Input",ExpressionUUID->"212a381f-4d40-413d-828e-c21125bdffbb",
 CellID->1855691448],
Cell[741517, 16311, 915, 16, 57, "Output",ExpressionUUID->"d41fb229-0a44-4010-944f-58ae7ab146c7",
 CellID->468530947]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[742481, 16333, 411, 8, 55, "Subsubsection",ExpressionUUID->"8a06df97-2eb0-4966-9bdb-f155271fb235",
 CellID->1701897865],
Cell[742895, 16343, 2221, 50, 138, "Text",ExpressionUUID->"d340be42-205c-4b78-aed7-e97a2f274298",
 CellTags->"i:48",
 CellID->123845133],
Cell[745119, 16395, 493, 10, 39, "CodeText",ExpressionUUID->"4b02ec52-5bc7-4717-a347-510fef7ae658",
 CellID->511142606],
Cell[CellGroupData[{
Cell[745637, 16409, 601, 12, 26, "Input",ExpressionUUID->"219186db-272b-4ff4-b7c7-2e720beb8274",
 CellID->553496388],
Cell[746241, 16423, 1695, 34, 78, "Output",ExpressionUUID->"aacef37b-ca1c-4abe-8192-e6449bdb9c6d",
 CellID->357081512]
}, Open  ]],
Cell[747951, 16460, 615, 13, 38, "Text",ExpressionUUID->"185a6c8d-a5a1-4630-b82e-051fae434e48",
 CellID->1337349182],
Cell[748569, 16475, 466, 10, 39, "CodeText",ExpressionUUID->"7e30ee63-cae1-4306-baef-3eaf61e7ff53",
 CellID->306426399],
Cell[CellGroupData[{
Cell[749060, 16489, 631, 14, 26, "Input",ExpressionUUID->"2f9975d4-ffc2-44c1-af13-baa519aa0eef",
 CellID->1263852372],
Cell[749694, 16505, 1639, 34, 78, "Output",ExpressionUUID->"3d581715-6b2b-4272-b988-af2c746d0d4e",
 CellID->1985669946]
}, Open  ]],
Cell[751348, 16542, 1627, 30, 113, "Text",ExpressionUUID->"5b362f74-f69e-4413-8b41-20df59257f99",
 CellTags->{"i:49", "p: 86"},
 CellID->625344153],
Cell[752978, 16574, 574, 12, 39, "CodeText",ExpressionUUID->"b8a9e122-ed17-4b88-adbc-a49770a57240",
 CellID->664146411],
Cell[CellGroupData[{
Cell[753577, 16590, 554, 14, 26, "Input",ExpressionUUID->"eee86dbf-71dc-4ce0-8afe-fe2022ab0183",
 CellID->1446788964],
Cell[754134, 16606, 2084, 44, 114, "Output",ExpressionUUID->"d2752ba5-109e-49c1-8191-5dc98c25d4a6",
 CellID->687891045]
}, Open  ]],
Cell[756233, 16653, 481, 8, 63, "Text",ExpressionUUID->"ca9a5850-c36c-4253-bd0d-a450a1f5aa19",
 CellID->702530163],
Cell[756717, 16663, 550, 12, 39, "CodeText",ExpressionUUID->"35f8aec4-cec4-4dc0-8a3e-68c04365c071",
 CellID->2047898177],
Cell[CellGroupData[{
Cell[757292, 16679, 758, 21, 26, "Input",ExpressionUUID->"6e4e35bf-ab66-4cee-8ff0-1617255aa44b",
 CellID->660008608],
Cell[758053, 16702, 2017, 43, 114, "Output",ExpressionUUID->"3cbe862d-f6fa-4750-8a4f-28a442aa40d1",
 CellID->1486709587]
}, Open  ]],
Cell[760085, 16748, 2307, 56, 163, "Text",ExpressionUUID->"9a6e43b6-fa44-4611-bcac-048a9d630800",
 CellTags->"i:50",
 CellID->1927522244],
Cell[762395, 16806, 470, 10, 39, "CodeText",ExpressionUUID->"2a0c3567-3d21-442f-9494-bbc8498437b8",
 CellID->1187352223],
Cell[CellGroupData[{
Cell[762890, 16820, 429, 8, 26, "Input",ExpressionUUID->"5631ff6f-7e87-42ae-a812-fdb80d35aba2",
 CellID->902096762],
Cell[763322, 16830, 2487, 59, 181, "Output",ExpressionUUID->"c25903da-aed2-465f-bc38-774d7f4ead3a",
 CellID->449697690]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[765858, 16895, 446, 9, 55, "Subsubsection",ExpressionUUID->"be8e7d7b-442f-4ed4-a32b-0f4f8a6cd7e9",
 CellTags->"p: 87",
 CellID->1294950611],
Cell[766307, 16906, 796, 15, 88, "Text",ExpressionUUID->"c05a03b5-67fe-434f-9c1a-c4f1d5db1998",
 CellTags->"i:51",
 CellID->1635640379],
Cell[767106, 16923, 690, 15, 39, "CodeText",ExpressionUUID->"57ea4f04-2fbb-49d3-8c53-d363290c04aa",
 CellID->2015122956],
Cell[CellGroupData[{
Cell[767821, 16942, 495, 8, 26, "Input",ExpressionUUID->"afd5c416-dd12-494f-a3fe-827e97023fdc",
 CellID->269684606],
Cell[768319, 16952, 2748, 69, 149, "Output",ExpressionUUID->"ba6b15a2-0818-458f-9690-8746e614f30a",
 CellID->1812842132]
}, Open  ]],
Cell[771082, 17024, 980, 19, 63, "Text",ExpressionUUID->"ca5000f4-a2b3-4ef5-81e0-aba8aec7ddd9",
 CellID->1856285076],
Cell[772065, 17045, 325, 6, 61, "CodeText",ExpressionUUID->"36ff1581-88e2-4049-8b98-203cdf73a608",
 CellID->415078149],
Cell[CellGroupData[{
Cell[772415, 17055, 324, 7, 26, "Input",ExpressionUUID->"4d37475e-90ee-45b4-b264-72431676bc58",
 CellID->866781981],
Cell[772742, 17064, 2442, 65, 149, "Output",ExpressionUUID->"44db251e-58e5-419d-912d-0f31d6fb1d4e",
 CellID->512370175]
}, Open  ]],
Cell[775199, 17132, 866, 19, 63, "Text",ExpressionUUID->"24193114-505a-41c7-9b51-cf577670ded3",
 CellID->1811163949]
}, Open  ]],
Cell[CellGroupData[{
Cell[776102, 17156, 421, 8, 55, "Subsubsection",ExpressionUUID->"3c8a1e6d-5030-475a-bf41-667b5038ad4b",
 CellID->11637702],
Cell[776526, 17166, 2298, 49, 113, "Text",ExpressionUUID->"4fa4527c-d870-4a50-beed-a8f8ab01240a",
 CellTags->"i:52",
 CellID->173845637],
Cell[778827, 17217, 718, 17, 39, "CodeText",ExpressionUUID->"289796df-4698-4148-a27f-f096b1f09468",
 CellID->305456797],
Cell[CellGroupData[{
Cell[779570, 17238, 581, 10, 26, "Input",ExpressionUUID->"e4880ca5-464b-49e9-9b48-4375a180104f",
 CellID->1245861139],
Cell[780154, 17250, 1446, 28, 76, "Output",ExpressionUUID->"96b24733-c782-4e5f-8d29-9449410137cf",
 CellID->352188518]
}, Open  ]],
Cell[CellGroupData[{
Cell[781637, 17283, 278, 6, 26, "Input",ExpressionUUID->"43678892-efe7-4e5a-914f-27272e26ce1d",
 CellID->613508013],
Cell[781918, 17291, 1196, 27, 76, "Output",ExpressionUUID->"97196169-bd9f-4bc1-8ebf-0122794a4444",
 CellID->521031274]
}, Open  ]],
Cell[783129, 17321, 2036, 53, 88, "Text",ExpressionUUID->"4c55d839-bfce-4d70-82f1-880153017492",
 CellID->1466042180],
Cell[785168, 17376, 651, 16, 39, "CodeText",ExpressionUUID->"91576af4-a64b-416b-8f62-dfb6c9cb2621",
 CellID->584492632],
Cell[CellGroupData[{
Cell[785844, 17396, 485, 12, 26, "Input",ExpressionUUID->"707d5e9c-4b3e-47fd-a795-4669ad3abfe3",
 CellID->655059325],
Cell[786332, 17410, 314, 5, 37, "Output",ExpressionUUID->"723e2054-fe38-4bd7-9e26-e2b918b8761a",
 CellID->1194737178]
}, Open  ]],
Cell[786661, 17418, 1282, 30, 88, "Text",ExpressionUUID->"a79d4181-64b1-400a-8fb7-2d01127c37c5",
 CellID->1671524191]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[787992, 17454, 744, 17, 57, "Subsection",ExpressionUUID->"5827c67c-503c-4236-bdfa-7c862211a203",
 CellID->1853704025],
Cell[788739, 17473, 2388, 54, 113, "Text",ExpressionUUID->"0cb6a9d4-1acc-4d0e-8fdf-62cbc7850fd4",
 CellTags->"i:53",
 CellID->1062342394],
Cell[791130, 17529, 676, 16, 61, "CodeText",ExpressionUUID->"a4f4b974-27f9-47ef-913e-1bd974d9271c",
 CellID->1557546524],
Cell[CellGroupData[{
Cell[791831, 17549, 8216, 202, 31, "Input",ExpressionUUID->"adc137e7-07a5-43f3-b133-8702ebc02bd9",
 CellID->731795315],
Cell[800050, 17753, 408, 10, 37, "Output",ExpressionUUID->"73cf0979-3110-46e8-adf3-58a0cd555242",
 CellID->1763787497]
}, Open  ]],
Cell[800473, 17766, 698, 13, 38, "Text",ExpressionUUID->"4953cb51-802d-4ee4-895e-5da3999009b4",
 CellID->1514411137]
}, Open  ]],
Cell[CellGroupData[{
Cell[801208, 17784, 410, 8, 57, "Subsection",ExpressionUUID->"e15558b0-0767-46fe-928f-e0084a8e118b",
 CellID->184051358],
Cell[801621, 17794, 1328, 28, 88, "Text",ExpressionUUID->"79fe8b1f-fbc1-4b87-923b-e06d10614662",
 CellTags->"i:54",
 CellID->1024277452],
Cell[802952, 17824, 537, 13, 39, "CodeText",ExpressionUUID->"65e15588-2778-44a9-9b81-f6179df1f362",
 CellID->138969239],
Cell[CellGroupData[{
Cell[803514, 17841, 437, 11, 27, "Input",ExpressionUUID->"3cb2deef-c0d2-4065-9cc4-4b4c8bc83079",
 CellID->459187689],
Cell[803954, 17854, 647, 12, 57, "Output",ExpressionUUID->"f650070d-51d1-4ebf-841f-3a2d9a4b1a98",
 CellID->1229788853]
}, Open  ]],
Cell[804616, 17869, 394, 8, 39, "CodeText",ExpressionUUID->"870102d5-5576-4a55-8b72-415b38ecbf26",
 CellTags->"p: 89",
 CellID->1155881018],
Cell[CellGroupData[{
Cell[805035, 17881, 437, 11, 27, "Input",ExpressionUUID->"197ce2b4-53c4-4faf-a7fc-8ad1f7d49f02",
 CellID->26362234],
Cell[805475, 17894, 644, 12, 57, "Output",ExpressionUUID->"bf30ddf4-096c-42c3-8838-dca0082db435",
 CellID->1080023975]
}, Open  ]],
Cell[806134, 17909, 911, 20, 63, "Text",ExpressionUUID->"46062715-4cd8-483c-bfc8-f0d1e481821e",
 CellID->954667861],
Cell[807048, 17931, 374, 9, 39, "CodeText",ExpressionUUID->"7123d69c-0055-4443-a13b-22d18f7ced37",
 CellID->384578419],
Cell[CellGroupData[{
Cell[807447, 17944, 420, 11, 26, "Input",ExpressionUUID->"3fb89b43-8996-438f-b019-07c84e815806",
 CellID->267936898],
Cell[807870, 17957, 2153, 43, 171, "Output",ExpressionUUID->"a606c9c9-242d-409b-bb49-2fd511ec425c",
 CellID->1306175814]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[810072, 18006, 426, 8, 57, "Subsection",ExpressionUUID->"2a18bd49-06ba-4eff-acd0-952654522348",
 CellID->1075599377],
Cell[810501, 18016, 1137, 22, 113, "Text",ExpressionUUID->"0c60581c-25ad-4057-9cac-292bb379814c",
 CellTags->"i:55",
 CellID->1062265376],
Cell[811641, 18040, 618, 13, 61, "CodeText",ExpressionUUID->"5b42d233-aa45-448a-903b-fe16019e6aa9",
 CellID->1114634023],
Cell[CellGroupData[{
Cell[812284, 18057, 315, 6, 26, "Input",ExpressionUUID->"562f4bfc-7dae-4c34-9c4c-f1f59fb405a8",
 CellID->38425431],
Cell[812602, 18065, 1632, 41, 78, "Output",ExpressionUUID->"403502f2-cde3-4ea1-904c-a3272b29a37a",
 CellID->872562889]
}, Open  ]],
Cell[814249, 18109, 843, 13, 88, "Text",ExpressionUUID->"50ab23da-fffd-4762-b921-be09e6fe8224",
 CellTags->"LastCellOfAPage",
 CellID->2089933769],
Cell[815095, 18124, 787, 19, 39, "CodeText",ExpressionUUID->"ecc9c7dc-ffc3-42dc-8aea-5fdfdd63c633",
 CellTags->"p: 90",
 CellID->1376161216],
Cell[CellGroupData[{
Cell[815907, 18147, 632, 15, 26, "Input",ExpressionUUID->"4047b8a3-1784-4da1-91f1-f6f620794e23",
 CellID->1274325251],
Cell[816542, 18164, 3490, 108, 138, "Output",ExpressionUUID->"049fb584-9df2-48ac-a275-bf4f27b7109a",
 CellID->1886079083]
}, Open  ]],
Cell[820047, 18275, 2843, 67, 163, "Text",ExpressionUUID->"60415bdc-f869-4167-a199-fafa3397a58f",
 CellTags->"i:56",
 CellID->80125145],
Cell[822893, 18344, 731, 17, 39, "CodeText",ExpressionUUID->"db88f0b2-0c88-44f5-b986-cbf139fa1d76",
 CellID->1833028837],
Cell[CellGroupData[{
Cell[823649, 18365, 795, 21, 46, "Input",ExpressionUUID->"42e8fa1b-b023-4f65-9f0c-b2158cf03865",
 CellID->961510129],
Cell[824447, 18388, 1233, 33, 57, "Output",ExpressionUUID->"adc51450-fed7-42d2-bb8a-2fbec08bca15",
 CellID->419892788]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[825729, 18427, 505, 14, 57, "Subsection",ExpressionUUID->"8dcdb700-bc13-4f50-8a6e-c28970b754da",
 CellID->745805352],
Cell[826237, 18443, 2642, 61, 138, "Text",ExpressionUUID->"adfdca44-6a96-4c02-b9db-1daad0c01c77",
 CellTags->"i:57",
 CellID->228581048],
Cell[828882, 18506, 712, 16, 39, "CodeText",ExpressionUUID->"55435f95-a0ab-423d-9cbb-6085e1b697fe",
 CellID->281753520],
Cell[CellGroupData[{
Cell[829619, 18526, 8537, 205, 31, "Input",ExpressionUUID->"0cd51b25-644f-41bc-a17b-1329f43f5eae",
 CellID->1807562840],
Cell[838159, 18733, 645, 13, 37, "Output",ExpressionUUID->"2d1c5dda-d17e-4d04-b64d-072b7b34730e",
 CellID->781921949]
}, Open  ]],
Cell[838819, 18749, 861, 22, 38, "Text",ExpressionUUID->"432d7bab-47d1-4ce2-8261-44b7d47d33d5",
 CellTags->"LastCellOfAPage",
 CellID->1510930029],
Cell[839683, 18773, 834, 21, 39, "CodeText",ExpressionUUID->"38654bbc-3bdc-4be7-b74f-49c3af5b0175",
 CellTags->"p: 91",
 CellID->1133219154],
Cell[CellGroupData[{
Cell[840542, 18798, 8746, 207, 31, "Input",ExpressionUUID->"1393a36d-7979-4b6f-adc0-15bff3269d4c",
 CellID->1197795070],
Cell[849291, 19007, 1938, 42, 114, "Output",ExpressionUUID->"256a9ce5-9473-44d0-af0d-210d14634b98",
 CellID->441336535]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[851278, 19055, 411, 8, 57, "Subsection",ExpressionUUID->"faa189bd-cddd-4c0a-ba5c-7ac3c674fe92",
 CellID->1295903992],
Cell[851692, 19065, 1778, 39, 88, "Text",ExpressionUUID->"d232e583-f39b-44e1-8248-a9f8eb8492d7",
 CellTags->"i:58",
 CellID->2049688313],
Cell[853473, 19106, 844, 18, 61, "CodeText",ExpressionUUID->"c7e0f75d-1e06-4475-814b-13942f2212da",
 CellID->2139303793],
Cell[CellGroupData[{
Cell[854342, 19128, 447, 9, 27, "Input",ExpressionUUID->"39043621-1b77-4688-86ed-6b3d58a1da4e",
 CellID->527476438],
Cell[854792, 19139, 406, 8, 37, "Output",ExpressionUUID->"93e18266-2149-46df-bded-f0219c24641a",
 CellID->833210]
}, Open  ]],
Cell[855213, 19150, 1644, 41, 63, "Text",ExpressionUUID->"8e2d0ccf-23cb-490e-bfe1-9b08cf746e2a",
 CellID->1523523876],
Cell[856860, 19193, 783, 17, 61, "CodeText",ExpressionUUID->"e567984a-3b27-4a6f-ad67-ae820ec231f3",
 CellID->916662902],
Cell[CellGroupData[{
Cell[857668, 19214, 448, 10, 26, "Input",ExpressionUUID->"3dc79917-67cc-448c-88c7-4b4f8f1b9b1a",
 CellID->707733951],
Cell[858119, 19226, 1329, 29, 76, "Output",ExpressionUUID->"54a3dbe5-652d-4c02-8e29-1baa6753a6fb",
 CellID->1955297011]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[859497, 19261, 416, 8, 57, "Subsection",ExpressionUUID->"74319af1-c90d-4237-bdac-8a4872c02e27",
 CellID->329128420],
Cell[859916, 19271, 2107, 49, 138, "Text",ExpressionUUID->"a63f5ae6-51e9-42a9-b379-05282a5f1a4a",
 CellTags->{"LastCellOfAPage", "i:59"},
 CellID->2139433989],
Cell[862026, 19322, 558, 11, 39, "CodeText",ExpressionUUID->"e072241b-a96d-4b46-870c-aa71e3b3d415",
 CellTags->"p: 92",
 CellID->1094627905],
Cell[CellGroupData[{
Cell[862609, 19337, 352, 7, 26, "Input",ExpressionUUID->"447e47aa-cc28-4bf4-8202-c263e1115d0d",
 CellID->1015375819],
Cell[862964, 19346, 2123, 46, 114, "Output",ExpressionUUID->"07078f9c-91e1-4043-a24d-27aef088e793",
 CellID->95941134]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[865136, 19398, 413, 8, 57, "Subsection",ExpressionUUID->"49a571fc-231b-4b0d-8391-65b597425383",
 CellID->496398329],
Cell[865552, 19408, 2683, 63, 189, "Text",ExpressionUUID->"d736cc46-e3cc-4101-8c35-3e23548e19e1",
 CellTags->"i:60",
 CellID->2140230555],
Cell[868238, 19473, 341, 5, 39, "CodeText",ExpressionUUID->"2a640f66-4bc9-4896-86cf-02ea7c54bd15",
 CellTags->"i:61",
 CellID->464797007],
Cell[CellGroupData[{
Cell[868604, 19482, 8882, 212, 69, "Input",ExpressionUUID->"bac2076d-9e25-4f2d-86e8-6eb27c9f740a",
 CellID->1800285455],
Cell[877489, 19696, 4576, 114, 141, "Output",ExpressionUUID->"d79e2ead-1519-4512-8b1c-d1bb1e1f42d8",
 CellID->1965743696]
}, Open  ]],
Cell[882080, 19813, 2850, 64, 138, "Text",ExpressionUUID->"12571e79-fbcc-46cf-84a5-38bb63a59441",
 CellTags->"LastCellOfAPage",
 CellID->1003337416],
Cell[884933, 19879, 588, 12, 61, "CodeText",ExpressionUUID->"c364d55e-c45f-4a2a-b5cb-6a5cc2791ad7",
 CellTags->"p: 93",
 CellID->1053928474],
Cell[CellGroupData[{
Cell[885546, 19895, 8701, 205, 31, "Input",ExpressionUUID->"c90efbdc-361b-47e7-baff-d3d1654cdd21",
 CellID->576184878],
Cell[894250, 20102, 6235, 150, 172, "Output",ExpressionUUID->"cb6817e7-e242-4813-b1cc-b3461696ee84",
 CellID->1945206880]
}, Open  ]],
Cell[900500, 20255, 1028, 19, 88, "Text",ExpressionUUID->"7125c7ed-6f06-4b5e-95ad-c2ab0da12120",
 CellID->788488153],
Cell[901531, 20276, 424, 10, 39, "CodeText",ExpressionUUID->"58188606-9a94-45d7-b93f-8fc7ab629dea",
 CellID->1318171471],
Cell[CellGroupData[{
Cell[901980, 20290, 8306, 200, 31, "Input",ExpressionUUID->"0380ed90-94a8-4c62-b7c2-05f4a9972df7",
 CellID->826987174],
Cell[910289, 20492, 5771, 143, 172, "Output",ExpressionUUID->"b9d94443-1895-4651-bed7-ec96c3bb6411",
 CellID->280034416]
}, Open  ]],
Cell[916075, 20638, 1438, 26, 138, "Text",ExpressionUUID->"7103b719-76c2-4bde-8f3a-71794d4a33f1",
 CellID->340753006],
Cell[917516, 20666, 537, 10, 39, "CodeText",ExpressionUUID->"25f5ed4e-b259-431e-92e4-ca506799fb91",
 CellID->923502310],
Cell[CellGroupData[{
Cell[918078, 20680, 651, 14, 27, "Input",ExpressionUUID->"8ce0401d-70e2-420d-b4d0-11ccaf9add70",
 CellID->131919932],
Cell[918732, 20696, 11507, 290, 148, "Output",ExpressionUUID->"86e67c24-f0ef-4347-975d-000864d38cde",
 CellID->1807120541]
}, Open  ]],
Cell[930254, 20989, 623, 13, 39, "CodeText",ExpressionUUID->"bc1d68a9-e957-46aa-8ec2-5a580e6536c7",
 CellTags->"p: 94",
 CellID->1407654022],
Cell[CellGroupData[{
Cell[930902, 21006, 405, 11, 27, "Input",ExpressionUUID->"34fa3be6-1ebc-47d3-9dcd-e27bdc2d3016",
 CellID->1552215942],
Cell[931310, 21019, 11454, 289, 148, "Output",ExpressionUUID->"678f689e-7e00-4039-bb56-81ec50142383",
 CellID->1347691487]
}, Open  ]],
Cell[942779, 21311, 1001, 17, 138, "Text",ExpressionUUID->"fc932e81-d6ae-4e0c-87af-7aed52b4ff9a",
 CellID->1776606266],
Cell[943783, 21330, 589, 11, 39, "CodeText",ExpressionUUID->"9461a079-e1e5-4a4c-8b93-c295a7291e97",
 CellID->1094814639],
Cell[CellGroupData[{
Cell[944397, 21345, 663, 15, 27, "Input",ExpressionUUID->"c9ed4f9a-e0be-476e-b2b3-50f2b8645a0a",
 CellID->2085586744],
Cell[945063, 21362, 6775, 164, 96, "Output",ExpressionUUID->"7918a690-759a-4669-9748-eb37b710321f",
 CellID->545758131]
}, Open  ]],
Cell[951853, 21529, 987, 23, 61, "CodeText",ExpressionUUID->"bf87e77f-d7ce-47f5-bddc-074e7d12dad3",
 CellID->1812726534],
Cell[CellGroupData[{
Cell[952865, 21556, 8279, 201, 31, "Input",ExpressionUUID->"2bd77c65-b183-48c9-b3c5-63fbde4e6bfb",
 CellID->1429816691],
Cell[961147, 21759, 6635, 162, 96, "Output",ExpressionUUID->"6ba18979-63fc-42f3-9dec-bd62640bb4da",
 CellID->890806607]
}, Open  ]],
Cell[967797, 21924, 1516, 29, 88, "Text",ExpressionUUID->"cf9c6279-bed5-400b-9397-d1ad03fffcab",
 CellTags->"LastCellOfAPage",
 CellID->1970193627],
Cell[969316, 21955, 323, 5, 39, "CodeText",ExpressionUUID->"244f4e2e-e7b4-4392-91c4-b1ef06407f33",
 CellTags->"p: 95",
 CellID->1997868869],
Cell[CellGroupData[{
Cell[969664, 21964, 539, 11, 26, "Input",ExpressionUUID->"88dd0943-6997-461e-a554-cf12fd122d92",
 CellID->1037001096],
Cell[970206, 21977, 5228, 104, 185, "Output",ExpressionUUID->"78234893-2b4a-4a9c-bfb8-7c945f56f663",
 CellID->89155388]
}, Open  ]],
Cell[975449, 22084, 901, 19, 63, "Text",ExpressionUUID->"f6e7932a-4f16-4c1a-ae56-9125613db424",
 CellID->17988758],
Cell[976353, 22105, 1556, 36, 61, "CodeText",ExpressionUUID->"df2e1065-67ff-4bcf-851b-19dd8c587170",
 CellID->1167125488],
Cell[CellGroupData[{
Cell[977934, 22145, 342, 7, 26, "Input",ExpressionUUID->"6c65f6a4-2dfc-429f-94da-0edb879443da",
 CellID->557664099],
Cell[978279, 22154, 90324, 1682, 313, "Output",ExpressionUUID->"177fd360-2fb8-4d6d-989e-7772d71c9cfc",
 CellID->97673721]
}, Open  ]],
Cell[1068618, 23839, 1947, 38, 138, "Text",ExpressionUUID->"b6ab7224-fcd4-429c-a9da-a09771d26aee",
 CellTags->"LastCellOfAPage",
 CellID->432713460],
Cell[1070568, 23879, 644, 13, 39, "CodeText",ExpressionUUID->"c2c2b993-b6ff-478e-9779-99514d98f247",
 CellTags->"p: 96",
 CellID->246558331],
Cell[CellGroupData[{
Cell[1071237, 23896, 1041, 24, 122, "Input",ExpressionUUID->"653c1fe2-ca62-4087-8c17-e1c246e1c1b2",
 CellID->776159909],
Cell[1072281, 23922, 10606, 261, 221, "Output",ExpressionUUID->"c1d20747-fae8-4f71-bed0-05ca7b9c4f8d",
 CellID->915242032]
}, Open  ]],
Cell[1082902, 24186, 913, 16, 88, "Text",ExpressionUUID->"7b54655d-129f-4658-b9ff-905b1de6da1c",
 CellID->290177974],
Cell[1083818, 24204, 701, 13, 61, "CodeText",ExpressionUUID->"6e121b66-cd83-417a-8637-54b60f64d6bd",
 CellID->1427838101],
Cell[CellGroupData[{
Cell[1084544, 24221, 339, 7, 26, "Input",ExpressionUUID->"39042486-e86a-4f8c-bc11-949c5e996534",
 CellID->1155715515],
Cell[1084886, 24230, 60599, 1126, 333, "Output",ExpressionUUID->"d35a3b46-8459-4d70-a0da-b3397b12e136",
 CellID->1021766086]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[1145534, 25362, 210, 3, 57, "Subsection",ExpressionUUID->"4fa193ae-90fd-4451-9789-210698f27e23",
 CellTags->"p: 97",
 CellID->309499373],
Cell[1145747, 25367, 1214, 27, 113, "Text",ExpressionUUID->"83ff9ce5-3bda-4796-a1b3-1e5fbaafcbe6",
 CellTags->"i:62",
 CellID->598237487],
Cell[1146964, 25396, 342, 6, 39, "CodeText",ExpressionUUID->"3944d0d7-6810-4025-8aa1-3165817e0d5e",
 CellID->2098617508],
Cell[CellGroupData[{
Cell[1147331, 25406, 246, 4, 26, "Input",ExpressionUUID->"35d384a9-7ab8-439d-bf2d-1f4617b61cbc",
 CellID->756615436],
Cell[1147580, 25412, 252, 4, 37, "Output",ExpressionUUID->"74c19afa-ea7c-46ce-ad86-dc763bdb2b06",
 CellID->1331414154]
}, Open  ]],
Cell[1147847, 25419, 520, 9, 38, "Text",ExpressionUUID->"e0bbdd5b-3079-445f-9bb9-d8636cb82ab4",
 CellID->473400049]
}, Open  ]],
Cell[CellGroupData[{
Cell[1148404, 25433, 346, 6, 57, "Subsection",ExpressionUUID->"c6849495-f038-4555-bf2b-e1e24da477fc",
 CellID->1815884613],
Cell[1148753, 25441, 843, 13, 113, "Text",ExpressionUUID->"3ed709ac-2a4b-49eb-907a-840dcf4883c6",
 CellID->1682583174],
Cell[CellGroupData[{
Cell[1149621, 25458, 202, 3, 55, "Subsubsection",ExpressionUUID->"3bb65cbb-0345-495b-9843-5c7d64160413",
 CellTags->"i:63",
 CellID->1748335386],
Cell[1149826, 25463, 527, 11, 39, "CodeText",ExpressionUUID->"250f3bb1-73f6-4f09-92a5-61952f3d793a",
 CellID->939785722],
Cell[CellGroupData[{
Cell[1150378, 25478, 426, 9, 26, "Input",ExpressionUUID->"396b235e-6ee1-4958-97c1-13a644690373",
 CellID->166158877],
Cell[1150807, 25489, 2578, 50, 135, "Output",ExpressionUUID->"df38c3bc-b339-4d6c-badf-570e28fc94a0",
 CellID->900586377]
}, Open  ]],
Cell[CellGroupData[{
Cell[1153422, 25544, 232, 3, 54, "Subsubsubsection",ExpressionUUID->"25459579-628a-4069-90c5-563c441ad9e4",
 CellID->1110741722],
Cell[1153657, 25549, 412, 5, 39, "CodeText",ExpressionUUID->"0fe6913b-1eda-4a23-964d-3adf671172e5",
 CellID->160778283],
Cell[CellGroupData[{
Cell[1154094, 25558, 675, 14, 26, "Input",ExpressionUUID->"7aee81e9-600d-4786-97c1-bb195a8cad4b",
 CellID->1870025375],
Cell[1154772, 25574, 834, 15, 37, "Output",ExpressionUUID->"cecc0a87-2b8c-486b-a5e7-effc50f10757",
 CellID->1481081688]
}, Open  ]],
Cell[1155621, 25592, 817, 20, 61, "CodeText",ExpressionUUID->"755c08d2-9364-4e1d-8986-44b5d09f593f",
 CellTags->"p: 98",
 CellID->66627127],
Cell[CellGroupData[{
Cell[1156463, 25616, 568, 13, 26, "Input",ExpressionUUID->"f57af7af-ad98-4301-8863-0f6a7ea27f22",
 CellID->2125499500],
Cell[1157034, 25631, 787, 16, 37, "Output",ExpressionUUID->"d947d67f-25de-4107-bc52-03767bd01e7f",
 CellID->125420942]
}, Open  ]],
Cell[1157836, 25650, 518, 11, 39, "CodeText",ExpressionUUID->"68a957e5-b385-471e-9e31-a6870dc04f97",
 CellID->1938443850],
Cell[CellGroupData[{
Cell[1158379, 25665, 380, 6, 26, "Input",ExpressionUUID->"55002e08-75b2-44a3-bc95-53f5d5e48251",
 CellID->1122880602],
Cell[1158762, 25673, 804, 14, 37, "Output",ExpressionUUID->"ea5b1e1f-7b3c-4058-802c-f8b03cba8547",
 CellID->622586809]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[1159615, 25693, 279, 4, 54, "Subsubsubsection",ExpressionUUID->"83368df6-533c-4ab4-a1ed-561f64c8aab5",
 CellID->1218416633],
Cell[1159897, 25699, 506, 6, 39, "CodeText",ExpressionUUID->"eb1ad078-63e9-424c-9a43-f97f06632b60",
 CellID->1671776686],
Cell[CellGroupData[{
Cell[1160428, 25709, 550, 14, 26, "Input",ExpressionUUID->"5db3f2d5-8d8c-452f-a68c-5d87d8c5307f",
 CellID->130487273],
Cell[1160981, 25725, 858, 16, 37, "Output",ExpressionUUID->"bedb3195-04a3-4ed1-9a7d-f8e8c249115f",
 CellID->877939875]
}, Open  ]],
Cell[1161854, 25744, 416, 5, 39, "CodeText",ExpressionUUID->"1a08d88f-5c5c-4bef-8899-8ecde799f6c5",
 CellID->994660511],
Cell[CellGroupData[{
Cell[1162295, 25753, 550, 14, 26, "Input",ExpressionUUID->"6f8bb800-b5c5-4ae0-8b5e-a2fe398e3413",
 CellID->2056250510],
Cell[1162848, 25769, 862, 16, 37, "Output",ExpressionUUID->"49b2f9ff-66b3-490a-8be1-62aa3c38949f",
 CellID->251775701]
}, Open  ]],
Cell[1163725, 25788, 1515, 30, 113, "Text",ExpressionUUID->"ddfa0e5e-64ad-437f-8ef7-7f38c326607e",
 CellID->1908750878],
Cell[1165243, 25820, 454, 10, 39, "CodeText",ExpressionUUID->"faf98a3d-81a5-4954-a008-bdf41cfe9cd6",
 CellID->412585752],
Cell[CellGroupData[{
Cell[1165722, 25834, 501, 11, 26, "Input",ExpressionUUID->"d929942c-64b3-42bf-9429-f9087d53f7e5",
 CellID->262532867],
Cell[1166226, 25847, 829, 16, 37, "Output",ExpressionUUID->"3a2cc253-b268-48d7-a6a6-f0f92225aa65",
 CellID->1449520000]
}, Open  ]],
Cell[CellGroupData[{
Cell[1167092, 25868, 366, 6, 26, "Input",ExpressionUUID->"9a6ff526-a1a1-41fd-8d35-bb0a1863d448",
 CellID->1194689834],
Cell[1167461, 25876, 872, 16, 37, "Output",ExpressionUUID->"487e30af-9f2c-4f9d-ac3c-b466ab30280c",
 CellID->1348930178]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[1168382, 25898, 178, 2, 54, "Subsubsubsection",ExpressionUUID->"65f7d92d-93f1-42ac-aa28-9640e770fca9",
 CellID->386788536],
Cell[1168563, 25902, 3243, 63, 188, "Text",ExpressionUUID->"36db0e91-087c-4f09-849d-74bc9a7f3dd3",
 CellTags->"LastCellOfAPage",
 CellID->321925083],
Cell[1171809, 25967, 300, 7, 39, "CodeText",ExpressionUUID->"759bdba3-50da-4ea1-995d-1260d444ee4d",
 CellTags->"p: 99",
 CellID->28903346],
Cell[CellGroupData[{
Cell[1172134, 25978, 511, 14, 26, "Input",ExpressionUUID->"eb53acb6-c68e-425b-88ac-cdd99773e7ec",
 CellID->2024434470],
Cell[1172648, 25994, 1076, 26, 57, "Output",ExpressionUUID->"09f2b8de-b89f-4742-a55d-e798305f558d",
 CellID->1645602807]
}, Open  ]],
Cell[CellGroupData[{
Cell[1173761, 26025, 474, 13, 26, "Input",ExpressionUUID->"6ee9d9c9-be9c-4d25-a13c-bd163a076b38",
 CellID->2076791337],
Cell[1174238, 26040, 1073, 26, 57, "Output",ExpressionUUID->"9d70a017-9eb0-4db1-a0f3-cdd60f16e5f4",
 CellID->404341278]
}, Open  ]],
Cell[1175326, 26069, 999, 19, 88, "Text",ExpressionUUID->"2e74e866-3e87-4a45-b312-626bb8984d65",
 CellID->1851971710],
Cell[1176328, 26090, 814, 18, 39, "CodeText",ExpressionUUID->"37c5dcbc-d7d3-4556-96f8-883830ee7a26",
 CellID->9315633],
Cell[1177145, 26110, 410, 11, 26, "Input",ExpressionUUID->"ed0fcd1d-165a-4b9e-b9d5-3113201d9bf0",
 CellID->712566502],
Cell[CellGroupData[{
Cell[1177580, 26125, 648, 15, 26, "Input",ExpressionUUID->"8933255d-d070-4ac6-82f6-5d357cd5d338",
 CellID->699518812],
Cell[1178231, 26142, 972, 17, 37, "Output",ExpressionUUID->"b804fc34-d8ce-466e-9a69-e4c5ede752a3",
 CellID->1399656645]
}, Open  ]],
Cell[1179218, 26162, 484, 8, 39, "CodeText",ExpressionUUID->"77dc9472-3b36-4a71-b847-ca4a09e1517d",
 CellID->135029077],
Cell[CellGroupData[{
Cell[1179727, 26174, 647, 15, 26, "Input",ExpressionUUID->"df7e9b50-1090-4fc0-8f0d-81f39c800395",
 CellID->693093637],
Cell[1180377, 26191, 982, 17, 37, "Output",ExpressionUUID->"4991e84d-18ad-4dbc-9832-7719fb922e98",
 CellID->445912615]
}, Open  ]],
Cell[1181374, 26211, 618, 12, 39, "CodeText",ExpressionUUID->"d74efd53-2b76-40db-8e1f-9273af7fe1ba",
 CellID->498823838],
Cell[CellGroupData[{
Cell[1182017, 26227, 526, 14, 26, "Input",ExpressionUUID->"4c45d336-02b1-4193-bb47-9972f4235d9b",
 CellID->1925675221],
Cell[1182546, 26243, 854, 15, 37, "Output",ExpressionUUID->"afa755b2-927b-408c-b109-ad3a937cfee8",
 CellID->274673480]
}, Open  ]],
Cell[1183415, 26261, 1341, 24, 88, "Text",ExpressionUUID->"6f6f1ca4-337a-410f-8572-48d64d4de71e",
 CellID->1783599112],
Cell[1184759, 26287, 1142, 24, 39, "CodeText",ExpressionUUID->"62f21b0b-b60c-48e4-8f43-401e9bcae10f",
 CellID->1535779198],
Cell[1185904, 26313, 587, 15, 26, "Input",ExpressionUUID->"36b3a14d-bc16-4fd2-9269-7c4c75c9d9cd",
 CellID->226046911],
Cell[1186494, 26330, 488, 8, 39, "CodeText",ExpressionUUID->"154c6326-e730-4c5c-a209-f671d86a1ce6",
 CellID->594123388],
Cell[CellGroupData[{
Cell[1187007, 26342, 370, 6, 26, "Input",ExpressionUUID->"f3ac14de-0bbd-4c5b-876c-1fd1682f10c0",
 CellID->1732368218],
Cell[1187380, 26350, 963, 17, 37, "Output",ExpressionUUID->"b0f03195-e765-4ae0-b22b-c041016a4a0a",
 CellID->279144343]
}, Open  ]],
Cell[1188358, 26370, 1492, 27, 138, "Text",ExpressionUUID->"bfb46abf-a0b8-4bbb-bd27-42cf3af2ddc8",
 CellTags->"LastCellOfAPage",
 CellID->50169098],
Cell[1189853, 26399, 969, 18, 63, "Text",ExpressionUUID->"4551dfcd-ce62-4cca-8a30-307601f8bef6",
 CellTags->"p: 100",
 CellID->1403231969]
}, Open  ]],
Cell[CellGroupData[{
Cell[1190859, 26422, 253, 3, 54, "Subsubsubsection",ExpressionUUID->"b0ffdc68-16a5-405d-8a67-597213c34b23",
 CellID->1183345523],
Cell[1191115, 26427, 780, 15, 61, "CodeText",ExpressionUUID->"766eca1f-0f5e-4d33-81bb-59588447427b",
 CellID->642150194],
Cell[CellGroupData[{
Cell[1191920, 26446, 741, 18, 46, "Input",ExpressionUUID->"e41cc7f4-d9fc-4538-918b-b63383fd3250",
 CellID->1121685599],
Cell[1192664, 26466, 824, 15, 37, "Output",ExpressionUUID->"fb9cc82c-50a5-42c9-b6ed-163c627c6b93",
 CellID->497004742]
}, Open  ]],
Cell[1193503, 26484, 888, 17, 63, "Text",ExpressionUUID->"2d5edf6e-e345-4251-86a5-9c860277c671",
 CellID->504600874],
Cell[1194394, 26503, 379, 10, 39, "CodeText",ExpressionUUID->"4748cced-5536-4a58-8f24-f35e2c0254ec",
 CellID->180109076],
Cell[1194776, 26515, 833, 22, 46, "Input",ExpressionUUID->"e6ef2140-8edd-4cdd-bac0-e8db2bfaac84",
 CellID->413967315],
Cell[1195612, 26539, 541, 11, 39, "CodeText",ExpressionUUID->"882771af-d023-4b51-b8f5-d2f232d54e28",
 CellID->473588677],
Cell[CellGroupData[{
Cell[1196178, 26554, 736, 19, 26, "Input",ExpressionUUID->"40db5b48-660d-4a8d-8622-b50406e863fb",
 CellID->931844351],
Cell[1196917, 26575, 788, 14, 37, "Output",ExpressionUUID->"d7da7f39-3332-4bab-9114-659eb86e9909",
 CellID->807642639]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[1197754, 26595, 179, 2, 54, "Subsubsubsection",ExpressionUUID->"d869516f-a89e-42a8-a579-d8d13815a446",
 CellID->1367401809],
Cell[1197936, 26599, 817, 15, 113, "Text",ExpressionUUID->"bc4c5aae-5d28-400e-84c4-c7442aec51ff",
 CellID->1699697316],
Cell[1198756, 26616, 2255, 48, 138, "Text",ExpressionUUID->"778c7c02-7503-41cd-9b01-ef8f2c7be8a3",
 CellID->193731382],
Cell[1201014, 26666, 357, 7, 39, "CodeText",ExpressionUUID->"0239e2bd-6303-49c2-b3c4-a0d69eadbbd8",
 CellID->1357622091],
Cell[1201374, 26675, 826, 19, 46, "Input",ExpressionUUID->"c8094ffe-01ab-4f29-8c73-0558aade49c4",
 CellID->458128422],
Cell[1202203, 26696, 1792, 40, 88, "Text",ExpressionUUID->"df02465f-5d82-48ac-953e-5adb15877179",
 CellID->677314325],
Cell[1203998, 26738, 558, 13, 39, "CodeText",ExpressionUUID->"a43838ba-fe52-4e95-b482-b1f08322343b",
 CellID->1211483716],
Cell[CellGroupData[{
Cell[1204581, 26755, 851, 18, 46, "Input",ExpressionUUID->"92ee0522-456a-4191-b43c-6a46c252fbff",
 CellID->156716126],
Cell[1205435, 26775, 978, 17, 37, "Output",ExpressionUUID->"6179b153-06f6-4901-a89f-5ecdfa9069a2",
 CellID->1280552831]
}, Open  ]],
Cell[1206428, 26795, 2117, 45, 113, "Text",ExpressionUUID->"4c18dd3e-cca3-43c4-9096-8eb11da63fd9",
 CellTags->"p: 101",
 CellID->1105722162],
Cell[1208548, 26842, 513, 12, 39, "CodeText",ExpressionUUID->"cb0684de-fd8b-476e-8cb6-004286cd116d",
 CellID->426192135],
Cell[CellGroupData[{
Cell[1209086, 26858, 502, 12, 26, "Input",ExpressionUUID->"474bcb15-3bab-4df9-8bc7-16054aaae210",
 CellID->1888470112],
Cell[1209591, 26872, 655, 13, 37, "Output",ExpressionUUID->"77b68168-2a3d-46a9-982d-c8c305dcb526",
 CellID->978215165]
}, Open  ]],
Cell[1210261, 26888, 1135, 23, 88, "Text",ExpressionUUID->"ef4d3730-d3c9-477a-bb8c-d4f5347d6c87",
 CellID->1925126536],
Cell[1211399, 26913, 546, 12, 39, "CodeText",ExpressionUUID->"498f02b8-2958-486e-98a7-1074f5e357b9",
 CellID->930827827],
Cell[CellGroupData[{
Cell[1211970, 26929, 559, 15, 26, "Input",ExpressionUUID->"9f61d456-b387-45ba-a967-a17535d22a0c",
 CellID->275817751],
Cell[1212532, 26946, 598, 12, 37, "Output",ExpressionUUID->"14abc261-2bf4-492c-a6fe-2ed62dfe0a99",
 CellID->1988339197]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[1213191, 26965, 180, 2, 55, "Subsubsection",ExpressionUUID->"fa8b05d3-f82f-49fa-a9e9-50f9286d546c",
 CellID->502679892],
Cell[1213374, 26969, 1917, 36, 138, "Text",ExpressionUUID->"0762d814-094c-445e-ab5b-ad77b1a497ce",
 CellTags->"i:64",
 CellID->1313109903],
Cell[1215294, 27007, 1184, 29, 61, "CodeText",ExpressionUUID->"020469b5-6ef5-4f21-9afa-730ae13fc34d",
 CellID->771310861],
Cell[1216481, 27038, 543, 13, 65, "Input",ExpressionUUID->"d22fdb77-03f5-4dc4-80e5-bf5476c17818",
 CellID->2073868547],
Cell[1217027, 27053, 635, 13, 39, "CodeText",ExpressionUUID->"824765be-00dd-4c77-872b-efea20d2e082",
 CellID->1896183149],
Cell[CellGroupData[{
Cell[1217687, 27070, 362, 8, 26, "Input",ExpressionUUID->"5ca0eda2-35d3-4b99-ae2d-742e3363b459",
 CellID->469748586],
Cell[1218052, 27080, 5090, 102, 185, "Output",ExpressionUUID->"70757c94-13b4-4ee8-bc07-5ed811e64d4c",
 CellID->51584503]
}, Open  ]],
Cell[1223157, 27185, 373, 5, 39, "CodeText",ExpressionUUID->"aba8e9d4-d3a0-46e3-9447-28b062d53ff3",
 CellTags->"p: 102",
 CellID->517409764],
Cell[CellGroupData[{
Cell[1223555, 27194, 231, 4, 26, "Input",ExpressionUUID->"5502095e-5103-4c67-b530-42149b0fba54",
 CellID->944616845],
Cell[1223789, 27200, 317, 5, 37, "Output",ExpressionUUID->"b7216f4f-5306-4e95-a075-16353e44b73b",
 CellID->227967341]
}, Open  ]],
Cell[1224121, 27208, 1855, 37, 138, "Text",ExpressionUUID->"78f8c2bb-f67a-4de8-8ff6-4fbc80a77c91",
 CellID->1847183370],
Cell[1225979, 27247, 934, 21, 61, "CodeText",ExpressionUUID->"c809ba54-77e1-40cd-8620-2199201cc658",
 CellID->1983521668],
Cell[CellGroupData[{
Cell[1226938, 27272, 693, 13, 26, "Input",ExpressionUUID->"a57ee292-f6eb-4df9-9b6b-3aab403f037f",
 CellID->64359501],
Cell[1227634, 27287, 94507, 1759, 367, "Output",ExpressionUUID->"374af922-3555-4a61-9040-cba26d6ae108",
 CellID->314069501]
}, Open  ]],
Cell[1322156, 29049, 779, 12, 88, "Text",ExpressionUUID->"f7bb63bf-0864-47e5-93f6-e57e8c5e73f6",
 CellTags->"LastCellOfAPage",
 CellID->1711985380],
Cell[1322938, 29063, 642, 13, 39, "CodeText",ExpressionUUID->"32eae4ee-24be-4d77-8753-0adabe3f1a63",
 CellTags->"p: 103",
 CellID->35534509],
Cell[CellGroupData[{
Cell[1323605, 29080, 1715, 40, 32, "Input",ExpressionUUID->"874d7342-a5e7-47a3-b565-82bef4b7e6b4",
 CellID->1051014066],
Cell[1325323, 29122, 36369, 636, 273, "Output",ExpressionUUID->"0ad89d7c-f240-4631-a4e2-ac67e4d7205c",
 CellID->1062442431]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[1361741, 29764, 201, 2, 55, "Subsubsection",ExpressionUUID->"ab796b29-1e43-49a3-9a3b-2fa3f8bec8e6",
 CellID->548822030],
Cell[1361945, 29768, 1251, 24, 138, "Text",ExpressionUUID->"f0712ee6-de9b-4e61-9f30-2b1569a59b55",
 CellID->83099445],
Cell[1363199, 29794, 887, 19, 39, "CodeText",ExpressionUUID->"2396c156-f448-47f2-84db-53af53438067",
 CellID->1825034155],
Cell[CellGroupData[{
Cell[1364111, 29817, 8427, 205, 70, "Input",ExpressionUUID->"a3355acb-1b6b-4884-8c72-7c508750fe62",
 CellID->661887271],
Cell[1372541, 30024, 84337, 1649, 339, "Output",ExpressionUUID->"58e11fee-4b29-4ed6-bf92-c6172268f5c7",
 CellID->836293178]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[1456927, 31679, 230, 4, 55, "Subsubsection",ExpressionUUID->"a5fe60c1-4f6c-42e6-ba7a-60fc412fb29c",
 CellTags->"p: 104",
 CellID->205602557],
Cell[1457160, 31685, 2494, 50, 163, "Text",ExpressionUUID->"113a85af-94b8-4dfa-9284-7f1f08470f82",
 CellID->155103359],
Cell[1459657, 31737, 914, 19, 39, "CodeText",ExpressionUUID->"6cb410a0-7bd1-4f72-b4b4-0ed9fbf2461b",
 CellID->152651986],
Cell[CellGroupData[{
Cell[1460596, 31760, 470, 12, 26, "Input",ExpressionUUID->"5bda3a8c-56f4-4854-83a0-a104346fdc43",
 CellID->910857960],
Cell[1461069, 31774, 6392, 183, 142, "Output",ExpressionUUID->"7122be8e-d129-4f9f-a133-1430ed7c41f9",
 CellID->455692322]
}, Open  ]],
Cell[1467476, 31960, 1541, 29, 163, "Text",ExpressionUUID->"cf927d14-975c-4dce-9904-49bf8700ba36",
 CellID->1562432137],
Cell[1469020, 31991, 595, 12, 61, "CodeText",ExpressionUUID->"29303434-badd-4779-9dfb-248792fdf2e8",
 CellID->882028483],
Cell[CellGroupData[{
Cell[1469640, 32007, 1887, 46, 90, "Input",ExpressionUUID->"30a420ec-e9fb-4c9a-a7eb-bd8b6f6a0676",
 CellID->729523146],
Cell[1471530, 32055, 12532, 323, 297, "Output",ExpressionUUID->"f1ed7cba-cfaf-4199-a0f0-4f49dd373670",
 CellID->1689238185]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[1484111, 32384, 223, 3, 55, "Subsubsection",ExpressionUUID->"f75fa4c1-4f00-48d6-9f67-9e17a44368e2",
 CellTags->"p: 105",
 CellID->562117424],
Cell[1484337, 32389, 650, 11, 38, "Text",ExpressionUUID->"d006b24d-e556-4531-8676-d502b54b9692",
 CellID->1301156318],
Cell[1484990, 32402, 479, 10, 39, "CodeText",ExpressionUUID->"ab99235e-d31d-4a66-8ce7-851c5bada11a",
 CellID->978468062],
Cell[CellGroupData[{
Cell[1485494, 32416, 653, 17, 84, "Input",ExpressionUUID->"7cc419f3-1148-4596-94c4-8067bd75e352",
 CellID->1679470221],
Cell[1486150, 32435, 3496, 98, 113, "Output",ExpressionUUID->"067da443-fd34-4808-b3f7-9ea4bd21487a",
 CellID->88214644]
}, Open  ]],
Cell[CellGroupData[{
Cell[1489683, 32538, 160, 3, 65, "ExerciseSection",ExpressionUUID->"c0b57200-2c4b-4b60-9b1b-9d956b4cb05d",
 CellID->814524763],
Cell[1489846, 32543, 319, 9, 30, "Exercise",ExpressionUUID->"819a4b41-78bb-472a-8675-564e3d0c87d1",
 CounterAssignments->{{$CellContext`Exercise, 0}},
 CellTags->"Exercise",
 CellID->2039348820],
Cell[1490168, 32554, 495, 12, 26, "Exercise",ExpressionUUID->"6be6bd4e-1605-41fc-b4d3-955895013814",
 CellTags->"Exercise",
 CellID->1496611620],
Cell[1490666, 32568, 1032, 20, 64, "Exercise",ExpressionUUID->"051bdcca-4517-424e-abe7-d5e322851023",
 CellTags->"Exercise",
 CellID->75540029],
Cell[CellGroupData[{
Cell[1491723, 32592, 173, 3, 26, "Exercise",ExpressionUUID->"63956125-01cb-4e42-957d-30714725b803",
 CellTags->"Exercise",
 CellID->1559794665],
Cell[1491899, 32597, 2395, 56, 77, "ExerciseInput",ExpressionUUID->"d66e713b-6415-4173-a0d4-3777e386795b",
 CounterIncrements->None,
 CellTags->"Exercise",
 CellID->1105763553]
}, Open  ]],
Cell[CellGroupData[{
Cell[1494331, 32658, 193, 4, 30, "Exercise",ExpressionUUID->"aaaa5d98-19bc-4b43-9522-9780c6ab1e09",
 CellTags->"Exercise",
 CellID->710668125],
Cell[1494527, 32664, 2432, 55, 77, "ExerciseInput",ExpressionUUID->"42c18b96-53da-496d-849b-52140dd85810",
 CounterIncrements->None,
 CellTags->"Exercise",
 CellID->1733183110]
}, Open  ]],
Cell[1496974, 32722, 534, 8, 49, "Exercise",ExpressionUUID->"a8d9e256-ec40-4a54-b39b-48d1e92e963e",
 CellID->2042615908],
Cell[CellGroupData[{
Cell[1497533, 32734, 1858, 35, 102, "Exercise",ExpressionUUID->"101dc7be-066c-432e-a483-8fca0fe41286",
 CellTags->"Exercise",
 CellID->571984814],
Cell[1499394, 32771, 560, 15, 25, "ExerciseInput",ExpressionUUID->"69b067ed-d229-4650-8192-8f4b8bef3570",
 CellTags->"Answer",
 CellID->1211964926],
Cell[1499957, 32788, 14300, 239, 315, "ExerciseInput",ExpressionUUID->"84fbab73-3156-45a7-887b-61fc4249a634",
 CellTags->{"AnswerOutput", "LastCellOfAPage"},
 CellID->612119487]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[1514306, 33033, 134, 2, 70, "TechNoteSection",ExpressionUUID->"2d0c9e8c-3146-42d9-8124-012fa4373deb",
 CellTags->"p: 106",
 CellID->1668761543],
Cell[1514443, 33037, 1180, 25, 54, "TechNote",ExpressionUUID->"5df68249-667a-4509-a93d-592b0bf69c7a",
 CellID->1094928741],
Cell[CellGroupData[{
Cell[1515648, 33066, 576, 12, 26, "Input",ExpressionUUID->"58b65537-4888-447d-9143-ba310323ad94",
 CellID->679978844],
Cell[1516227, 33080, 856, 16, 37, "Output",ExpressionUUID->"d4542ea5-217f-4435-8556-6b1b2245526a",
 CellID->393371736]
}, Open  ]],
Cell[1517098, 33099, 1292, 25, 77, "TechNote",ExpressionUUID->"da7c387f-c745-4d47-a684-aa4ad2f53404",
 CellID->1578163499],
Cell[CellGroupData[{
Cell[1518415, 33128, 399, 8, 43, "Input",ExpressionUUID->"23ce853c-d305-4eeb-9f4d-cf23cea296c7",
 CellID->337827017],
Cell[1518817, 33138, 794, 14, 28, "Message",ExpressionUUID->"c3311e9a-a979-4dcf-aad2-3057c761a743",
 CellID->1401722934],
Cell[1519614, 33154, 794, 14, 28, "Message",ExpressionUUID->"b6dfbfde-85f8-4b4c-9b11-0fe1a2067365",
 CellID->861744148],
Cell[1520411, 33170, 403, 9, 37, "Output",ExpressionUUID->"030cf4f8-08b2-4214-b006-9792914353fd",
 CellID->692992009]
}, Open  ]],
Cell[1520829, 33182, 230, 3, 30, "TechNote",ExpressionUUID->"4d2a86dd-7643-4b7e-b545-afafe7a7fd68",
 CellID->809299440],
Cell[CellGroupData[{
Cell[1521084, 33189, 587, 15, 46, "Input",ExpressionUUID->"9ad938e9-a871-45bf-b64c-5e7ad55affe2",
 CellID->1953208002],
Cell[1521674, 33206, 360, 7, 37, "Output",ExpressionUUID->"c08b6b61-f384-4b40-869b-e89646c5d455",
 CellID->513309507]
}, Open  ]],
Cell[1522049, 33216, 1881, 45, 55, "TechNote",ExpressionUUID->"276748c4-8e49-407c-8e8a-03ef28a257e6",
 CellID->677019460],
Cell[1523933, 33263, 952, 18, 54, "TechNote",ExpressionUUID->"22ff3ae6-3b0f-4ac5-b835-506de654ab1f",
 CellID->105083083],
Cell[CellGroupData[{
Cell[1524910, 33285, 8462, 204, 31, "Input",ExpressionUUID->"c3370d87-a567-44cb-b38c-bc3691421122",
 CellID->1009695339],
Cell[1533375, 33491, 1168, 28, 76, "Output",ExpressionUUID->"9162944b-8359-4eab-8338-1dff5d9cbcf4",
 CellID->907330446]
}, Open  ]],
Cell[1534558, 33522, 726, 14, 30, "TechNote",ExpressionUUID->"1531d1ad-fdc7-4afe-bbf1-a88f901b32cb",
 CellID->155495114],
Cell[CellGroupData[{
Cell[1535309, 33540, 8743, 207, 51, "Input",ExpressionUUID->"b5da8380-2752-4024-a645-a1e8dc849262",
 CellID->2066266246],
Cell[1544055, 33749, 414, 7, 37, "Output",ExpressionUUID->"01eb1634-9bc9-4459-8858-7df96b646b91",
 CellID->2119981247]
}, Open  ]],
Cell[1544484, 33759, 513, 11, 30, "TechNote",ExpressionUUID->"73af4bca-b1f8-4ad2-938e-e84f5e7f6500",
 CellID->1838518621],
Cell[CellGroupData[{
Cell[1545022, 33774, 8772, 208, 51, "Input",ExpressionUUID->"3215d992-676e-4f13-9081-f2a01fe35125",
 CellID->228274792],
Cell[1553797, 33984, 314, 5, 37, "Output",ExpressionUUID->"cc1508cf-e8d2-49cc-80b4-c4085352a36f",
 CellID->401285920]
}, Open  ]],
Cell[1554126, 33992, 901, 18, 54, "TechNote",ExpressionUUID->"331005ba-0f08-4515-815e-5eb8f9323f49",
 CellTags->"p: 107",
 CellID->815084938],
Cell[CellGroupData[{
Cell[1555052, 34014, 17528, 409, 31, "Input",ExpressionUUID->"14381783-84dc-4020-a25a-34e0b138955a",
 CellID->1425883754],
Cell[1572583, 34425, 639, 11, 37, "Output",ExpressionUUID->"c2c9849f-9233-4aad-ac9c-e76f96070390",
 CellID->1876751088]
}, Open  ]],
Cell[1573237, 34439, 797, 18, 30, "TechNote",ExpressionUUID->"db36772f-95ca-41fd-af7a-62d76e99354c",
 CellID->1123688141],
Cell[CellGroupData[{
Cell[1574059, 34461, 357, 8, 26, "Input",ExpressionUUID->"577906f0-baac-4067-b141-dffac1fff5ef",
 CellID->151742684],
Cell[1574419, 34471, 480, 9, 37, "Output",ExpressionUUID->"e3fb19a2-0f05-4b71-a489-c630da48810b",
 CellID->1134127254]
}, Open  ]],
Cell[1574914, 34483, 1067, 22, 54, "TechNote",ExpressionUUID->"45bf3bb7-ea88-4653-8196-c23b043f20de",
 CellID->682522427],
Cell[CellGroupData[{
Cell[1576006, 34509, 642, 14, 27, "Input",ExpressionUUID->"8942c3dd-8b21-4aa5-8c8f-cd81a9185d28",
 CellID->1667213058],
Cell[1576651, 34525, 560, 10, 28, "Message",ExpressionUUID->"05882198-dd69-440e-a30f-e0ce4f660d2c",
 CellID->96530985],
Cell[1577214, 34537, 606, 14, 38, "Output",ExpressionUUID->"2e918909-30f4-433d-a366-e39759f3bece",
 CellID->362577459]
}, Open  ]],
Cell[1577835, 34554, 1062, 21, 54, "TechNote",ExpressionUUID->"1c924b92-6160-4f0e-bdf6-5322b7d94687",
 CellID->1090937348],
Cell[CellGroupData[{
Cell[1578922, 34579, 346, 7, 26, "Input",ExpressionUUID->"0cb37e67-c983-4cae-becc-e0e7788ed52e",
 CellID->1059951978],
Cell[1579271, 34588, 371, 5, 37, "Output",ExpressionUUID->"f66f4bff-8fe5-4e59-955b-b3a6bb53957f",
 CellID->1564122828]
}, Open  ]],
Cell[CellGroupData[{
Cell[1579679, 34598, 703, 16, 66, "Input",ExpressionUUID->"17daddb7-170c-4982-b401-227d08d04595",
 CellID->654335588],
Cell[1580385, 34616, 393, 7, 70, "Output",ExpressionUUID->"7fda2f6a-e1dc-48cd-82bb-502f77287a00",
 CellID->866609593]
}, Open  ]],
Cell[1580793, 34626, 1092, 22, 70, "TechNote",ExpressionUUID->"a2aaadbf-deb1-43d4-8956-4376fcc5fe0c",
 CellID->462944545],
Cell[CellGroupData[{
Cell[1581910, 34652, 355, 7, 70, "Input",ExpressionUUID->"0c8d0f69-5216-4e07-97a0-7f2404a6f137",
 CellID->1157960862],
Cell[1582268, 34661, 1867, 41, 70, "Output",ExpressionUUID->"33f22411-b9f6-436e-b3b0-235a789972da",
 CellID->1580701749]
}, Open  ]],
Cell[1584150, 34705, 489, 9, 70, "TechNote",ExpressionUUID->"6818ef2d-c330-404d-8dd9-e516877e151d",
 CellID->590121438],
Cell[CellGroupData[{
Cell[1584664, 34718, 293, 6, 70, "Input",ExpressionUUID->"c62641e2-c8ea-4a62-8411-b90d4972727a",
 CellID->1384002793],
Cell[1584960, 34726, 1025, 22, 70, "Output",ExpressionUUID->"a4683d20-f347-40cd-a8f2-a82921f92ab5",
 CellID->333705480]
}, Open  ]],
Cell[1586000, 34751, 943, 18, 70, "TechNote",ExpressionUUID->"b39daf8b-7435-4778-8e89-6f4e8cf9eb6b",
 CellTags->"p: 108",
 CellID->810815001],
Cell[CellGroupData[{
Cell[1586968, 34773, 623, 12, 70, "Input",ExpressionUUID->"c14d07a5-5c98-4eaa-9b73-9efa7c32d923",
 CellID->1501097205],
Cell[1587594, 34787, 338, 5, 70, "Output",ExpressionUUID->"430589a9-2b10-409b-b0ff-8e2a41c7954e",
 CellID->1575497548]
}, Open  ]],
Cell[1587947, 34795, 1426, 28, 70, "TechNote",ExpressionUUID->"01cc008b-cfc6-4dd9-9e35-634454b5c763",
 CellID->556020187],
Cell[CellGroupData[{
Cell[1589398, 34827, 306, 6, 70, "Input",ExpressionUUID->"864ed577-1d8b-4607-a0e6-727f77a1fcef",
 CellID->1391035370],
Cell[1589707, 34835, 1434, 40, 70, "Output",ExpressionUUID->"8c8ac031-62a6-4bc1-8ba4-59d99e9a4839",
 CellID->1834786413]
}, Open  ]],
Cell[1591156, 34878, 549, 11, 70, "TechNote",ExpressionUUID->"416990bc-167a-4bd6-8605-d94be118186e",
 CellID->2138140287],
Cell[CellGroupData[{
Cell[1591730, 34893, 323, 6, 70, "Input",ExpressionUUID->"c80b7e1d-d7c8-4cc0-8058-a3888b60d67f",
 CellID->1330654839],
Cell[1592056, 34901, 2227, 37, 70, "Message",ExpressionUUID->"2696ab41-5cd8-4356-a579-6d3fe1609134",
 CellID->1720230917],
Cell[1594286, 34940, 1535, 35, 70, "Output",ExpressionUUID->"f9afcfd4-12c3-4cdd-86cc-cbad897fc868",
 CellID->1063849154]
}, Open  ]],
Cell[1595836, 34978, 1105, 26, 70, "TechNote",ExpressionUUID->"9bd8f2de-cf39-42fc-b0da-bba96f141181",
 CellID->1693485237],
Cell[CellGroupData[{
Cell[1596966, 35008, 410, 8, 70, "Input",ExpressionUUID->"94f7b340-2456-41d4-84ff-252621ec1699",
 CellID->1805604568],
Cell[1597379, 35018, 5090, 108, 70, "Output",ExpressionUUID->"6aad2f08-8559-4f95-b55f-ddaa83168de1",
 CellID->154585241]
}, Open  ]],
Cell[1602484, 35129, 1117, 26, 70, "TechNote",ExpressionUUID->"719da146-85a0-4529-b847-cfa69489886f",
 CellID->422932718],
Cell[CellGroupData[{
Cell[1603626, 35159, 389, 8, 70, "Input",ExpressionUUID->"7a15e0c5-6bfc-4b57-adb9-fb362fe34848",
 CellID->1249794319],
Cell[1604018, 35169, 28029, 706, 70, "Output",ExpressionUUID->"07eafdf2-4d03-49f6-9c11-4f0f3bcb3318",
 CellID->1787569383]
}, Open  ]],
Cell[1632062, 35878, 1770, 40, 70, "TechNote",ExpressionUUID->"23e543f7-889a-41e9-bf38-dfc01fb11bb4",
 CellTags->"p: 109",
 CellID->698168610],
Cell[1633835, 35920, 599, 13, 70, "Input",ExpressionUUID->"88ab7e9a-0d74-40e9-acbc-3a4bc8ef8155",
 CellID->269181062],
Cell[1634437, 35935, 482, 11, 70, "Input",ExpressionUUID->"b805c3fb-9881-4ba9-9432-33ad9e29cad5",
 CellID->1525548452],
Cell[1634922, 35948, 257, 3, 70, "TechNote",ExpressionUUID->"87b1f534-7cb8-43d4-ab6a-a1eaa771f571",
 CellID->1085571231],
Cell[CellGroupData[{
Cell[1635204, 35955, 1493, 37, 70, "Input",ExpressionUUID->"1e629172-1a0c-45a7-afbd-195c5f76978b",
 CellID->174614505],
Cell[1636700, 35994, 293, 6, 70, "Output",ExpressionUUID->"cbc6045b-5ac3-4122-b5b8-f6dbc72f5b1c",
 CellID->1245542147]
}, Open  ]],
Cell[1637008, 36003, 2396, 47, 70, "TechNote",ExpressionUUID->"71f9cac3-7c58-417b-aa8f-7f9ac9d2660b",
 CellID->1809365857],
Cell[CellGroupData[{
Cell[1639429, 36054, 8979, 213, 70, "Input",ExpressionUUID->"b7b0b34e-f1d0-49b6-9bec-90b57c04d9c0",
 CellID->1656879039],
Cell[1648411, 36269, 1095, 23, 70, "Output",ExpressionUUID->"3efcae55-598f-47ba-82ce-66b287f89283",
 CellID->128680078]
}, Open  ]],
Cell[1649521, 36295, 408, 9, 70, "TechNote",ExpressionUUID->"1dcba7b7-11f9-4ea3-a9d1-6826eb455934",
 CellID->1842498591],
Cell[CellGroupData[{
Cell[1649954, 36308, 349, 6, 70, "Input",ExpressionUUID->"de26875c-a0b0-42ee-90d5-6f4dd24307dc",
 CellID->23267723],
Cell[1650306, 36316, 847, 16, 70, "Output",ExpressionUUID->"a704df9e-d737-4deb-a376-95db98032fba",
 CellID->418373180]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[1651202, 36338, 156, 2, 70, "ReferenceSection",ExpressionUUID->"7beb1f3b-aab7-4ddc-bcc1-82272ad7abc7",
 CellID->1360856269],
Cell[1651361, 36342, 1006, 22, 70, "Reference",ExpressionUUID->"83c387de-e796-4f61-b3b1-02568f79b2be",
 CellID->123900748],
Cell[1652370, 36366, 1171, 25, 70, "Reference",ExpressionUUID->"8a17c86a-e92a-4556-a640-45394ff1353a",
 CellID->2141843412]
}, Open  ]],
Cell[CellGroupData[{
Cell[1653578, 36396, 119, 1, 70, "MoreExploreSection",ExpressionUUID->"4adb94db-0c6c-4bee-b6d3-e06124f1f0cc",
 CellID->14539167],
Cell[1653700, 36399, 665, 15, 70, "MoreExplore",ExpressionUUID->"810151fa-e506-4c99-ad88-2c19a9be147f",
 CellID->26626102],
Cell[1654368, 36416, 978, 19, 70, "MoreExplore",ExpressionUUID->"ab510bc6-0952-42dc-a575-575ad519d666",
 CellTags->"LastCellOfAPage",
 CellID->1520029637]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)

(* NotebookSignature LI4DQDYk9MEZuKke@eDw48xK *)
