(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 13.3' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[   1159369,      26962]
NotebookOptionsPosition[    866981,      21030]
NotebookOutlinePosition[   1077285,      25249]
CellTagsIndexPosition[   1074264,      25138]
WindowTitle->4 | Query
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
 
 CounterBox["Section"],
 StyleBox[" | ", "SectionBar"],
 "Query"
}], "Section",
 CellChangeTimes->{
  3.652728456208679*^9, 3.652728527108994*^9, {3.857058804999075*^9, 
   3.857058805747381*^9}},
 CounterAssignments->{{"Section", 3}},
 CellTags->"p: 111",
 CellID->2145722108,ExpressionUUID->"aa421888-77bb-402c-99a3-f23593d1df9d"],

Cell[TextData[{
 "This chapter uses a data resource from the ",
 ButtonBox["Wolfram Data Repository",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://datarepository.wolframcloud.com/"], None},
  ButtonNote->"https://datarepository.wolframcloud.com/"],
 "  (",
 ButtonBox["wolfr.am/WDR",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://wolfr.am/wdr"], None},
  ButtonNote->"https://wolfr.am/wdr"],
 "). To access the data, evaluate the following code."
}], "Text",
 CellChangeTimes->{{3.7788541127442904`*^9, 3.778854133414246*^9}, {
  3.8572256490833893`*^9, 3.857225653440201*^9}, {3.858239527815037*^9, 
  3.858239532155394*^9}, {3.858424346644807*^9, 3.858424359458304*^9}, {
  3.881405116028925*^9, 3.881405126665286*^9}, {3.882456298753354*^9, 
  3.88245631151073*^9}, {3.882456386237452*^9, 3.882456411907556*^9}, {
  3.882456487016274*^9, 3.882456505810841*^9}, {3.882459233780246*^9, 
  3.88245923595151*^9}, {3.888935844429644*^9, 3.88893584443178*^9}, {
  3.898014783781989*^9, 3.8980147847653522`*^9}},
 CellID->1532866539,ExpressionUUID->"924f007f-6d05-436a-9b70-3a796c9bcf70"],

Cell[TextData[{
 "Acquire the ",
 ButtonBox["ResourceObject",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ResourceObject.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/ResourceObject.html"],
 " from the Wolfram Data Repository: "
}], "CodeCaption",
 CellChangeTimes->{{3.77549691973217*^9, 3.775496924283777*^9}, {
  3.888932934911173*^9, 3.888932972321426*^9}, {3.8889358606099052`*^9, 
  3.888935860612075*^9}},
 CellID->336964028,ExpressionUUID->"f315c02d-ba83-4b1d-83f7-614249c56270"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ro", "=", 
  RowBox[{
  "ResourceObject", "[", "\"\<Sample Data for Query Book\>\"", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.888932859088291*^9, 3.8889328965549097`*^9}},
 CellLabel->"In[3]:=",
 CellID->443800812,ExpressionUUID->"24e27879-e385-44bc-a725-7ce4f3922661"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   TagBox["ResourceObject",
    "SummaryHead"], "[", 
   DynamicModuleBox[{Typeset`open$$ = False, Typeset`embedState$$ = "Ready"}, 
    TemplateBox[{
      PaneSelectorBox[{False -> GridBox[{{
            PaneBox[
             ButtonBox[
              DynamicBox[
               FEPrivate`FrontEndResource["FEBitmaps", "SummaryBoxOpener"], 
               ImageSizeCache -> {12., {0., 12.}}], Appearance -> None, 
              BaseStyle -> {}, ButtonFunction :> (Typeset`open$$ = True), 
              Evaluator -> Automatic, Method -> "Preemptive"], 
             Alignment -> {Center, Center}, ImageSize -> 
             Dynamic[{
               Automatic, 
                3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                 Magnification])}]], 
            StyleBox[
             GraphicsBox[
              RasterBox[CompressedData["
1:eJztnMeOHUUUhi1gwZJX4C3YskFia8QD2MJYbIxkIyFehp1ztsc55+xxzjnn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               "], {{0, 0}, {180., 180.}}, {0, 255}, ColorFunction -> 
               RGBColor], AspectRatio -> 1, Axes -> False, Background -> None,
               Frame -> None, FrameTicks -> None, ImageSize -> 
              Dynamic[{
                Automatic, 
                 3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                  Magnification])}], PlotRange -> {{0, 180.}, {0, 180.}}], 
             StripOnInput -> False, CacheGraphics -> False], 
            GridBox[{{
               RowBox[{
                 TagBox["\"Name: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                  TemplateBox[{"\"Sample Data for Query Book\"", "\" \"", 
                    
                    TemplateBox[{
                    "\"\[RightGuillemet]\"", 
                    "https://datarepository.wolframcloud.com/resources/\
bd67dc14-bd67-4f1a-acaa-ddb12a7a79e7/"}, "HyperlinkURL"]}, "RowDefault"], 
                  "SummaryItem"]}], 
               TagBox["\"\"", "SummaryItem"]}, {
               RowBox[{
                 TagBox["\"Type: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["\"DataResource\"", "SummaryItem"]}], 
               "\[SpanFromLeft]"}, {
               TagBox[
                DynamicModuleBox[{ResourceSystemClient`Private`len$$ = 1}, 
                 RowBox[{
                   TagBox["\"Description: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox[
                    ButtonBox[
                    DynamicBox[
                    ToBoxes[
                    Replace[
                    ResourceSystemClient`Private`snipDots[
                    "Data to support the Wolfram Media book Query: Getting \
Information from Data with the Wolfram Language", 
                    ResourceSystemClient`Private`len$$], Except[
                    Blank[String]] -> 
                    Snippet[
                    "Data to support the Wolfram Media book Query: Getting \
Information from Data with the Wolfram Language", 
                    ResourceSystemClient`Private`len$$], {0}], StandardForm], 
                    ImageSizeCache -> {466., {2.2265625, 8.94140625}}], 
                    Appearance -> None, BaseStyle -> {}, 
                    ButtonFunction :> (ResourceSystemClient`Private`len$$ = 
                    Ceiling[ResourceSystemClient`Private`len$$ 1.5]), 
                    Evaluator -> Automatic, Method -> "Preemptive"], 
                    "SummaryItem"]}], DynamicModuleValues :> {}], 
                "SummaryItem"], "\[SpanFromLeft]"}}, AutoDelete -> False, 
             BaseStyle -> {
              ShowStringCharacters -> False, NumberMarks -> False, 
               PrintPrecision -> 3, ShowSyntaxStyles -> False}, 
             GridBoxAlignment -> {
              "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {
              "Columns" -> {{2}}, "Rows" -> {{Automatic}}}]}}, AutoDelete -> 
          False, BaselinePosition -> {1, 1}, 
          GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], True -> 
        GridBox[{{
            PaneBox[
             ButtonBox[
              DynamicBox[
               FEPrivate`FrontEndResource["FEBitmaps", "SummaryBoxCloser"]], 
              Appearance -> None, BaseStyle -> {}, 
              ButtonFunction :> (Typeset`open$$ = False), Evaluator -> 
              Automatic, Method -> "Preemptive"], 
             Alignment -> {Center, Center}, ImageSize -> 
             Dynamic[{
               Automatic, 
                3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                 Magnification])}]], 
            StyleBox[
             GraphicsBox[
              RasterBox[CompressedData["
1:eJztnMeOHUUUhi1gwZJX4C3YskFia8QD2MJYbIxkIyFehp1ztsc55+xxzjnn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               "], {{0, 0}, {180., 180.}}, {0, 255}, ColorFunction -> 
               RGBColor], AspectRatio -> 1, Axes -> False, Background -> None,
               Frame -> None, FrameTicks -> None, ImageSize -> 
              Dynamic[{
                Automatic, 
                 3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                  Magnification])}], PlotRange -> {{0, 180.}, {0, 180.}}], 
             StripOnInput -> False, CacheGraphics -> False], 
            GridBox[{{
               RowBox[{
                 TagBox["\"Name: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                  TemplateBox[{"\"Sample Data for Query Book\"", "\" \"", 
                    
                    TemplateBox[{
                    "\"\[RightGuillemet]\"", 
                    "https://datarepository.wolframcloud.com/resources/\
bd67dc14-bd67-4f1a-acaa-ddb12a7a79e7/"}, "HyperlinkURL"]}, "RowDefault"], 
                  "SummaryItem"]}], 
               TagBox["\"\"", "SummaryItem"]}, {
               RowBox[{
                 TagBox["\"Type: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["\"DataResource\"", "SummaryItem"]}], 
               "\[SpanFromLeft]"}, {
               TagBox[
                DynamicModuleBox[{ResourceSystemClient`Private`len$$ = 1}, 
                 RowBox[{
                   TagBox["\"Description: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox[
                    ButtonBox[
                    DynamicBox[
                    ToBoxes[
                    Replace[
                    ResourceSystemClient`Private`snipDots[
                    "Data to support the Wolfram Media book Query: Getting \
Information from Data with the Wolfram Language", 
                    ResourceSystemClient`Private`len$$], Except[
                    Blank[String]] -> 
                    Snippet[
                    "Data to support the Wolfram Media book Query: Getting \
Information from Data with the Wolfram Language", 
                    ResourceSystemClient`Private`len$$], {0}], StandardForm]],
                     Appearance -> None, BaseStyle -> {}, 
                    ButtonFunction :> (ResourceSystemClient`Private`len$$ = 
                    Ceiling[ResourceSystemClient`Private`len$$ 1.5]), 
                    Evaluator -> Automatic, Method -> "Preemptive"], 
                    "SummaryItem"]}], DynamicModuleValues :> {}], 
                "SummaryItem"], "\[SpanFromLeft]"}, {
               RowBox[{
                 TagBox["\"Categories: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                  TagBox[
                   
                   TemplateBox[{
                    ",", "\",\"", "\"Astronomy\"", "\"History\"", 
                    "\"Human Activities\""}, "RowWithSeparators"], Short], 
                  "SummaryItem"]}], ""}, {
               RowBox[{
                 TagBox["\"ContentTypes: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                  TagBox[
                   
                   TemplateBox[{
                    ",", "\",\"", "\"Text\"", "\"Numerical Data\""}, 
                    "RowWithSeparators"], Short], "SummaryItem"]}], ""}, {
               RowBox[{
                 TagBox["\"Keywords: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                  TagBox[
                   
                   TemplateBox[{",", "\",\"", "\"Dataset\"", "\"Query\""}, 
                    "RowWithSeparators"], Short], "SummaryItem"]}], ""}, {
               RowBox[{
                 TagBox["\"Documentation: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                  
                  TemplateBox[{
                   "\"https://datarepository.wolframcloud.com/resources/\
bd67dc14-bd67-4f1a-acaa-ddb12a7a79e7/\"", 
                    "https://datarepository.wolframcloud.com/resources/\
bd67dc14-bd67-4f1a-acaa-ddb12a7a79e7/"}, "HyperlinkURL"], "SummaryItem"]}], 
               ""}, {
               RowBox[{
                 TagBox["\"Data Location: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                  
                  DynamicModuleBox[{
                   ResourceSystemClient`Private`typesetstorage$$ = 
                    ResourceSystemClient`Private`typesetstorageLocation, 
                    ResourceSystemClient`Private`info$$}, 
                   DynamicBox[
                    ToBoxes[
                    ResourceSystemClient`Private`info$$ = 
                    ResourceSystemClient`Private`resourceInfo[
                    "bd67dc14-bd67-4f1a-acaa-ddb12a7a79e7"]; If[
                    AssociationQ[ResourceSystemClient`Private`info$$], 
                    ResourceSystemClient`Private`typesetstorage$$[
                    Lookup[
                    ResourceSystemClient`Private`info$$, 
                    "ContentElementLocations", None]], 
                    Missing["NotAvailable"]], StandardForm]], 
                   DynamicModuleValues :> {}], "SummaryItem"]}], ""}, {
               RowBox[{
                 TagBox["\"UUID: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                 "\"bd67dc14-bd67-4f1a-acaa-ddb12a7a79e7\"", "SummaryItem"]}],
                ""}, {
               RowBox[{
                 TagBox["\"Version: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["\"1.0.1\"", "SummaryItem"]}], ""}, {
               RowBox[{
                 TagBox["\"Size: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                  
                  TemplateBox[{
                   "918.7280000000001`", "\"kB\"", "kilobytes", 
                    "\"Kilobytes\""}, "Quantity"], "SummaryItem"]}], ""}, {
               RowBox[{
                 TagBox["\"Elements: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                  TagBox[
                   RowBox[{"\"aAssociation\"", ",", "\"Content\"", ",", 
                    RowBox[{"\[LeftSkeleton]", "20", "\[RightSkeleton]"}], 
                    ",", "\"Titanic List of Associations\"", ",", 
                    "\"Titanic List of Associations Dataset\""}], 
                   Short[#, 2]& ], "SummaryItem"]}], ""}}, AutoDelete -> 
             False, BaseStyle -> {
              ShowStringCharacters -> False, NumberMarks -> False, 
               PrintPrecision -> 3, ShowSyntaxStyles -> False}, 
             GridBoxAlignment -> {
              "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {
              "Columns" -> {{2}}, "Rows" -> {{Automatic}}}]}}, AutoDelete -> 
          False, BaselinePosition -> {1, 1}, 
          GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, 
       Dynamic[Typeset`open$$], ImageSize -> Automatic]},
     "SummaryPanel"],
    DynamicModuleValues:>{}], "]"}],
  ResourceObject[<|
   "Name" -> "Sample Data for Query Book", "UUID" -> 
    "bd67dc14-bd67-4f1a-acaa-ddb12a7a79e7", "ResourceType" -> "DataResource", 
    "Version" -> "1.0.1", "Description" -> 
    "Data to support the Wolfram Media book Query: Getting Information from \
Data with the Wolfram Language", "RepositoryLocation" -> 
    URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
    "ContentSize" -> Quantity[918.7280000000001, "Kilobytes"], 
    "ContentElements" -> {
     "aAssociation", "Content", "Dinghy Association of Associations", 
      "Dinghy Association of Associations Dataset", 
      "Dinghy List of Associations", "Dinghy List of Associations Dataset", 
      "Eastern Cities List", "IDWeight List of Associations", 
      "Lifeboat List of Associations", 
      "Lifeboat List of Associations Dataset", "Mars Association", 
      "MLS List of Associations", "MLS List of Associations Dataset", 
      "MLS List of Lists", "MLS List of Lists Dataset", 
      "Planets Deeply Nested Structure", 
      "Planets Deeply Nested Structure Dataset", "Pops List", 
      "Titanic Cabins 2 List of Associations", 
      "Titanic Cabins 2 List of Associations Dataset", 
      "Titanic Cabins List of Associations", 
      "Titanic Cabins List of Associations Dataset", 
      "Titanic List of Associations", 
      "Titanic List of Associations Dataset"}|>, {
   ResourceSystemBase -> 
    "https://www.wolframcloud.com/obj/resourcesystem/api/1.0"}],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{
  3.888932908054226*^9, 3.888933667462413*^9, 3.89946053551606*^9, 
   3.899480149933816*^9, {3.899544850701754*^9, 3.8995448729630527`*^9}},
 CellLabel->"Out[3]=",
 CellID->1590202819,ExpressionUUID->"3364bc30-fdd1-466a-a34b-7e3f4d548afd"]
}, Open  ]],

Cell[TextData[{
 "Some of the code in the preceding chapter got pretty obscure. Using \
different operators at different levels in the same expression can be a \
challenge. Here is where the ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " function often comes to the rescue. In the simplest sense, ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " is a functional programming construct like ",
 ButtonBox["Map",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Map.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Map.html"],
 ", ",
 ButtonBox["Apply",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Apply.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Apply.html"],
 ", ",
 ButtonBox["Select",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Select.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Select.html"],
 ", or ",
 ButtonBox["CurryApplied",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/CurryApplied.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/CurryApplied.html"],
 ". You can think of it as a recipe for creating pipelines of functions. The \
arguments to ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " are generally themselves functions or compositions of functions. Although ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " was introduced to the Wolfram Language at about the same time as the ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " construct, it is actually quite useful for general programming tasks. This \
chapter shows how to use ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " on a variety of data structures to make your programs more elegant and \
efficient."
}], "Text",
 CellChangeTimes->{{3.739633388228003*^9, 3.739633555847232*^9}, {
   3.7396339514337597`*^9, 3.739633992435484*^9}, {3.7396340255516977`*^9, 
   3.739634037430355*^9}, {3.739642373529708*^9, 3.739642385675956*^9}, {
   3.739642427727818*^9, 3.7396424355270987`*^9}, {3.7396426508004217`*^9, 
   3.7396426606964293`*^9}, {3.740308071649218*^9, 3.740308325144733*^9}, {
   3.740308391691884*^9, 3.7403084179778337`*^9}, {3.7403085030380783`*^9, 
   3.740308556956909*^9}, 3.7403086832036333`*^9, {3.740392247971602*^9, 
   3.7403922750031157`*^9}, {3.740405816218411*^9, 3.74040581691131*^9}, {
   3.741545162184791*^9, 3.741545162721884*^9}, {3.742208595392124*^9, 
   3.742208754790292*^9}, 3.7422237624557133`*^9, {3.769189514563921*^9, 
   3.769189522335744*^9}, {3.7694252824790173`*^9, 3.769425283322871*^9}, {
   3.7694253237422237`*^9, 3.7694253256313562`*^9}, {3.769425356553022*^9, 
   3.7694253904142303`*^9}, {3.769425441884534*^9, 3.7694254665350924`*^9}, {
   3.771857713763628*^9, 3.771857773524209*^9}, {3.771857828185341*^9, 
   3.771857872041663*^9}, {3.771881054011348*^9, 3.771881055889081*^9}, 
   3.771923367239119*^9, {3.7770449649410086`*^9, 3.7770450053860083`*^9}, {
   3.777045199183008*^9, 3.7770452183400087`*^9}, {3.857058636826397*^9, 
   3.8570586601464453`*^9}, {3.857998073304203*^9, 3.8579980899409437`*^9}, {
   3.8581741496015*^9, 3.8581741670948*^9}},
 CellTags->"i:1",
 CellID->1206273092,ExpressionUUID->"6c81d2ec-fca6-4f9a-844f-11771a60626c"],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox[ButtonBox["Query",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
  FontColor->RGBColor[
   0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]],
 " Structure"
}], "Subsection",
 CellID->1929332511,ExpressionUUID->"ef219c24-d053-4a36-91f0-23f7c2fa8edc"],

Cell[CellGroupData[{

Cell["Arguments", "Subsubsection",
 CellChangeTimes->{{3.771858083951602*^9, 3.771858089483861*^9}},
 CellID->423895187,ExpressionUUID->"1a533f8d-a1c4-47e6-a9aa-d1fa24b41826"],

Cell[TextData[{
 "The precise pipeline ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " creates depends on the position and content of each function or \
composition in the sequence of arguments presented to it. The first argument \
generally operates on the entirety of the expression. The second argument \
generally operates at the first level of the expression. A third argument \
generally creates code that will operate at the second level of the \
expression and so on. Each subsequent position of an argument in ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " generally operates at the next lower level of the expression to which it \
will ultimately be applied. The \[OpenCurlyDoubleQuote]generally\
\[CloseCurlyDoubleQuote] qualification is present in each of the preceding \
sentences for good reason, however. The exact order in which ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " operates depends on the content of the functions being used. Fortunately, \
the exceptions are generally logical. And, as I\[CloseCurlyQuote]ll show, \
there\[CloseCurlyQuote]s a simple way to determine the order of operations \
created by ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " without having to actually run the ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " function on data."
}], "Text",
 CellTags->{"LastCellOfAPage", "i:2", "p: 112"},
 CellID->1481217322,ExpressionUUID->"993d20f6-ce69-433a-b036-86b81a031e8e"],

Cell[TextData[{
 "Here\[CloseCurlyQuote]s a simple example. Suppose I wanted to ",
 ButtonBox["Map",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Map.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Map.html"],
 " the function ",
 Cell[BoxData[
 "v"], "InlineCodeText",ExpressionUUID->
  "8be2b5aa-76b3-46e8-a6f5-d14eee85126c"],
 " over each item at level 1 of an expression and then apply the function ",
 Cell[BoxData[
 "u"], "InlineCodeText",ExpressionUUID->
  "05f7c140-dbdd-4b92-8d99-ff6dfed93c13"],
 " to the entire result. Here\[CloseCurlyQuote]s how I could do it. I\
\[CloseCurlyQuote]ll use that little expression ",
 Cell[BoxData[
  RowBox[{"g", "[", 
   RowBox[{"8", ",", 
    RowBox[{"h", "[", 
     RowBox[{"x", ",", "y", ",", "9"}], "]"}]}], "]"}]], "InlineCodeText",
  ExpressionUUID->"df8f2840-a8c3-4165-980e-0af224c21997"],
 " to illustrate the result."
}], "Text",
 CellChangeTimes->{{3.739633388228003*^9, 3.739633555847232*^9}, {
   3.7396339514337597`*^9, 3.739633992435484*^9}, {3.7396340255516977`*^9, 
   3.739634037430355*^9}, {3.739642373529708*^9, 3.739642385675956*^9}, {
   3.739642427727818*^9, 3.7396424355270987`*^9}, {3.7396426508004217`*^9, 
   3.7396426606964293`*^9}, {3.740308071649218*^9, 3.740308325144733*^9}, {
   3.740308391691884*^9, 3.7403084179778337`*^9}, {3.7403085030380783`*^9, 
   3.740308556956909*^9}, 3.7403086832036333`*^9, {3.740392247971602*^9, 
   3.7403922480513163`*^9}, {3.740482714219589*^9, 3.740482716041113*^9}, {
   3.741545332722364*^9, 3.7415453332509737`*^9}, {3.742208798698678*^9, 
   3.742208895800334*^9}, {3.742472408839056*^9, 3.74247241464088*^9}, {
   3.769189835996038*^9, 3.769189957194759*^9}, {3.7694254123442802`*^9, 
   3.769425421634502*^9}, 3.7718578253432426`*^9, 3.777040978060436*^9, 
   3.7770453558470087`*^9, {3.7770459406160083`*^9, 3.7770459509530087`*^9}, 
   3.787334223794318*^9, 3.8579984877485723`*^9},
 CellID->898288290,ExpressionUUID->"df6b5b6c-7113-4abc-b5bc-0b0e33a46835"],

Cell[TextData[{
 "Apply functions at different levels of an expression without ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.769510303901534*^9, 3.769510314423686*^9}, {
   3.769510745982202*^9, 3.76951074631136*^9}, 3.7770419589240084`*^9, 
   3.777045955744008*^9},
 CellID->854729932,ExpressionUUID->"d68b053d-246c-40b1-ae38-3d5c0f0e8d09"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"u", "[", 
  RowBox[{"Map", "[", 
   RowBox[{"v", ",", 
    RowBox[{"g", "[", 
     RowBox[{"8", ",", 
      RowBox[{"h", "[", 
       RowBox[{"x", ",", "y", ",", "9"}], "]"}]}], "]"}]}], "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.769190118482987*^9, 3.769190130942012*^9}},
 CellLabel->"In[521]:=",
 CellID->395733039,ExpressionUUID->"50255748-7a2f-44f3-8e99-6c3d09cb1959"],

Cell[BoxData[
 RowBox[{"u", "[", 
  RowBox[{"g", "[", 
   RowBox[{
    RowBox[{"v", "[", "8", "]"}], ",", 
    RowBox[{"v", "[", 
     RowBox[{"h", "[", 
      RowBox[{"x", ",", "y", ",", "9"}], "]"}], "]"}]}], "]"}], 
  "]"}]], "Output",
 CellChangeTimes->{3.769190131342217*^9, 3.769956297180141*^9, 
  3.7699593562535*^9, 3.771858205580245*^9, 3.771923382584559*^9, 
  3.7719302182910557`*^9, 3.7719303630373898`*^9, 3.881422339866399*^9, 
  3.881423703198635*^9},
 CellLabel->"Out[521]=",
 CellID->613483360,ExpressionUUID->"61f60624-02ea-4232-9a35-07b72a6f16c3"]
}, Open  ]],

Cell[TextData[{
 "Here\[CloseCurlyQuote]s how I could do it using ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 ". I make ",
 Cell[BoxData[
 "u"], "InlineCodeText",ExpressionUUID->
  "4bb7db10-5af8-4f48-a1a8-e5daac3200e8"],
 " the first argument to ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " because I basically want it to work at the top level (level 0) and make ",
 Cell[BoxData[
 "v"], "InlineCodeText",ExpressionUUID->
  "a60b5b57-396d-4268-aa30-489f84546c89"],
 " the second argument because I want it to work on everything at the first \
level. "
}], "Text",
 CellChangeTimes->{{3.769190135647106*^9, 3.7691902023128357`*^9}, {
   3.777041175878216*^9, 3.777041178542482*^9}, {3.777045959407008*^9, 
   3.7770459674860086`*^9}, {3.777046078744008*^9, 3.7770460833540087`*^9}, 
   3.7770461207080083`*^9, {3.8581742264385767`*^9, 3.858174238189535*^9}, 
   3.8695816414229546`*^9},
 CellID->884901346,ExpressionUUID->"0c4fb6fb-eb3b-4666-859e-36c56fa238a0"],

Cell[TextData[{
 "Apply functions at different levels with ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.769510318056025*^9, 3.76951032170817*^9}, {
   3.769510734499071*^9, 3.7695107492012663`*^9}, 3.7770419620110083`*^9, 
   3.7770461291210084`*^9},
 CellID->88812882,ExpressionUUID->"1f9353e4-07d0-48db-ae1f-ec8e03283e30"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{"u", ",", "v"}], "]"}], "[", 
  RowBox[{"g", "[", 
   RowBox[{"8", ",", 
    RowBox[{"h", "[", 
     RowBox[{"x", ",", "y", ",", "9"}], "]"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.769190146923984*^9, 3.769190151456773*^9}},
 CellLabel->"In[522]:=",
 CellID->1389093200,ExpressionUUID->"10432845-3438-42a8-8e1f-3e17599d9220"],

Cell[BoxData[
 RowBox[{"u", "[", 
  RowBox[{"g", "[", 
   RowBox[{
    RowBox[{"v", "[", "8", "]"}], ",", 
    RowBox[{"v", "[", 
     RowBox[{"h", "[", 
      RowBox[{"x", ",", "y", ",", "9"}], "]"}], "]"}]}], "]"}], 
  "]"}]], "Output",
 CellChangeTimes->{3.769190151862301*^9, 3.769956297192211*^9, 
  3.769959356289267*^9, 3.771858205658719*^9, 3.771923382633326*^9, 
  3.771930218326836*^9, 3.771930363046627*^9, 3.8814223680639887`*^9, 
  3.881423708928598*^9},
 CellLabel->"Out[522]=",
 CellID->1944622202,ExpressionUUID->"b9dde1ec-4f33-4677-b10c-ab03447330c5"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "Discovering the Order of Operations Produced by a ",
 StyleBox[ButtonBox["Query",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
  FontColor->RGBColor[
   0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]]
}], "Subsubsection",
 CellID->734159213,ExpressionUUID->"190f3ed0-1cda-473b-b2ad-aab1348b1232"],

Cell[TextData[{
 "For beginners, the best way to determine the pipeline of operations \
produced by a ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " expression is to run ",
 ButtonBox["Normal",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Normal.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Normal.html"],
 " on it. Let\[CloseCurlyQuote]s look at my previous example. "
}], "Text",
 CellChangeTimes->{{3.769436326163818*^9, 3.7694364751300373`*^9}, {
   3.769464572541979*^9, 3.7694645995117693`*^9}, {3.771891296747389*^9, 
   3.771891333436037*^9}, {3.777053160465186*^9, 3.7770532317111864`*^9}, 
   3.787342544239781*^9, {3.857999493778414*^9, 3.857999566363535*^9}, 
   3.8579996537334623`*^9, {3.858174248645857*^9, 3.858174255243856*^9}, {
   3.858243293956778*^9, 3.8582432983392344`*^9}, {3.8695816684165597`*^9, 
   3.8695816803755875`*^9}},
 CellTags->"i:3",
 CellID->1453820474,ExpressionUUID->"fef5d77f-57ad-4998-bb16-15c65b45af79"],

Cell[TextData[{
 ButtonBox["Normal",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Normal.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Normal.html"],
 " shows the order of operations resulting from a ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " expression:"
}], "CodeText",
 CellChangeTimes->{{3.857999628940475*^9, 3.857999650950054*^9}, {
  3.857999789272746*^9, 3.85799979715726*^9}, {3.858243306758026*^9, 
  3.858243313540964*^9}},
 CellID->1322251363,ExpressionUUID->"7c2b5ee2-63a2-441c-a520-f520c86c252e"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Normal", "[", 
  RowBox[{"Query", "[", 
   RowBox[{"u", ",", "v"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.857999568290103*^9, 3.8579995737786694`*^9}},
 CellLabel->"In[380]:=",
 CellID->1940995775,ExpressionUUID->"af4a8d18-7a1a-45e9-af0b-4b9840a16616"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Map", "[", "v", "]"}], "/*", "u"}]], "Output",
 CellChangeTimes->{3.8579995742184563`*^9, 3.881422378516114*^9},
 CellLabel->"Out[380]=",
 CellID->258484999,ExpressionUUID->"4a2cc8ce-5fbe-45d8-ad74-448787f578e9"]
}, Open  ]],

Cell[TextData[{
 "Notice two things. First, the ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " can exist without regard to any data structure. It is essentially a recipe \
for building a function. Although this concept is sometimes difficult for \
newcomers to functional programming or the Wolfram Language, it\
\[CloseCurlyQuote]s really no different than writing a function ",
 Cell[BoxData[
 "x"], "InlineCodeText",ExpressionUUID->
  "47da8442-b242-4319-a2d6-03ed22552e97"],
 "\[ThickSpace]",
 Cell[BoxData[
  ButtonBox["\[Function]",
   BaseStyle->"FunctionHyperlink",
   ButtonData->{
     URL["https://reference.wolfram.com/language/ref/Function.html"], None},
   ButtonNote->"https://reference.wolfram.com/language/ref/Function.html"]], 
  "InlineCodeText",ExpressionUUID->"35d4fc2e-1980-408d-882e-9ae3e6db1ed5"],
 "\[ThickSpace]",
 Cell[BoxData[
  SuperscriptBox["x", "2"]], "InlineCodeText",ExpressionUUID->
  "0ed42799-4a9c-4768-902e-2fa3fee5f3d2"],
 " or the function ",
 Cell[BoxData[
  RowBox[{
   ButtonBox["Map",
    BaseStyle->"FunctionHyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Map.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Map.html"], 
   "\[ThickSpace]", 
   StyleBox["[", "InlineCodeText"], 
   ButtonBox[
    RowBox[{"\[ThickSpace]", "Sqrt", "\[ThickSpace]"}],
    BaseStyle->"FunctionHyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Sqrt.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Sqrt.html"], 
   StyleBox["]", "InlineCodeText"]}]],ExpressionUUID->
  "5ef52278-24bb-4652-a22f-3cd12c4d42ed"],
 ". Those functions can exist perfectly well without ever seeing any data."
}], "Text",
 CellTags->"i:4",
 CellID->1750924037,ExpressionUUID->"9151008d-740e-446b-931f-fa474a966b93"],

Cell[TextData[{
 "Second, notice that the Wolfram Language kernel returns a ",
 ButtonBox["RightComposition",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/RightComposition.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/RightComposition.html"],
 " of functions. First, the ",
 Cell[BoxData[
 "v"], "InlineCodeText",ExpressionUUID->
  "e7a29207-f309-4873-87b2-f0c077c172c1"],
 " function is mapped over the data. Then the ",
 Cell[BoxData[
 "u"], "InlineCodeText",ExpressionUUID->
  "0da3284a-ada8-4526-8198-5b05acc6ec2f"],
 " function is applied to the result."
}], "Text",
 CellID->853421096,ExpressionUUID->"d686f284-d5e9-4308-ad24-2b61101a3f5e"],

Cell[TextData[{
 "Here\[CloseCurlyQuote]s another example. I pick this one because, without \
reading either the rest of this chapter or the ",
 ButtonBox["Wolfram Language documentation",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/"], None},
  ButtonNote->"https://reference.wolfram.com/language/"],
 ", you might not intuit the order in which operations are done. This is why ",
 ButtonBox["Normal",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Normal.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Normal.html"],
 " is so helpful. The operation is extremely fast even when working with big \
data: it doesn\[CloseCurlyQuote]t need the data on which the ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " will ultimately be performed. It thus lets one learn by experimentation \
and practice."
}], "Text",
 CellTags->{"LastCellOfAPage", "p: 113"},
 CellID->1733893837,ExpressionUUID->"be12d2ec-8cd3-48ee-8aab-438f518ab102"],

Cell[TextData[{
 ButtonBox["GroupBy",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/GroupBy.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/GroupBy.html"],
 " in a ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " produces a different order of operations in the pipeline than might \
naively be expected:"
}], "CodeText",
 CellChangeTimes->{{3.857999628940475*^9, 3.857999650950054*^9}, 
   3.8579998064644327`*^9, {3.857999879701005*^9, 3.8579998967571783`*^9}, {
   3.858243460676931*^9, 3.8582434644526653`*^9}},
 CellID->879389447,ExpressionUUID->"c95e4cc5-1eb2-40f6-80f8-dc809536c6c8"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Normal", "[", 
  RowBox[{"Query", "[", 
   RowBox[{
    RowBox[{"GroupBy", "[", "f", "]"}], ",", "g", ",", "h"}], "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.857999718760511*^9, 3.857999730650736*^9}},
 CellLabel->"In[381]:=",
 CellID->1829808046,ExpressionUUID->"0c92a32d-1acd-477e-b9e6-37c9601a2e81"],

Cell[BoxData[
 RowBox[{
  RowBox[{"GroupBy", "[", "f", "]"}], "/*", 
  RowBox[{"Map", "[", 
   RowBox[{
    RowBox[{"Map", "[", "h", "]"}], "/*", "g"}], "]"}]}]], "Output",
 CellChangeTimes->{3.857999734105131*^9, 3.881422384364484*^9},
 CellLabel->"Out[381]=",
 CellID->2044356847,ExpressionUUID->"4233d7b2-5025-4626-bde9-2f2878398660"]
}, Open  ]],

Cell[TextData[{
 "This response is a little hard to read because of the nested ",
 ButtonBox["Map",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Map.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Map.html"],
 " statements. The idea, however, is that first the grouping is performed. \
Then the function ",
 Cell[BoxData[
 "h"], "InlineCodeText",ExpressionUUID->
  "d8e6ae80-0cc1-45ce-8076-8e3e99b5c03c"],
 " is mapped over the prior result at level ",
 Cell[BoxData[
  RowBox[{"{", "2", "}"}]], "InlineCodeText",ExpressionUUID->
  "b1e81f5d-e9ce-4f6f-b76c-7aa850f45473"],
 ", and then the function ",
 Cell[BoxData[
 "g"], "InlineCodeText",ExpressionUUID->
  "76fd4a18-62c4-41bd-9307-cfb0a64669a8"],
 " is mapped over the prior result. Although ",
 ButtonBox["Normal",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Normal.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Normal.html"],
 " when applied to ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " does not make use of ResourceFunctions to express its output, if it did, \
the output from the previous ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " might look like the following output. "
}], "Text",
 CellChangeTimes->{{3.8579999208799133`*^9, 3.8579999434002113`*^9}, {
   3.858000013444146*^9, 3.858000125241795*^9}, {3.858243479948393*^9, 
   3.858243514871108*^9}, 3.867320501957448*^9, {3.867320879417246*^9, 
   3.867320912968623*^9}, {3.867320973558343*^9, 3.8673209906709847`*^9}, {
   3.867321213715382*^9, 3.867321217773935*^9}, {3.8673221600118313`*^9, 
   3.867322160853751*^9}, {3.8673221988426843`*^9, 3.867322203598193*^9}, {
   3.8673222977983313`*^9, 3.8673222977983313`*^9}, {3.8673224068860955`*^9, 
   3.8673224073340044`*^9}, {3.867322447873435*^9, 3.8673224482378035`*^9}, {
   3.867322496912089*^9, 3.8673225296733785`*^9}, {3.8673225997171307`*^9, 
   3.867322619096074*^9}, {3.8673226659055853`*^9, 3.8673227122749543`*^9}, 
   3.867322746179639*^9, {3.8673228456214647`*^9, 3.867322870105686*^9}, {
   3.867322988085267*^9, 3.8673229896249323`*^9}, {3.8673232788686523`*^9, 
   3.867323298088699*^9}, {3.8673237765239415`*^9, 3.867323780276072*^9}, {
   3.869582233466157*^9, 3.8695822365957284`*^9}, 3.8963522082875566`*^9},
 CellTags->"i:5",
 CellID->79894686,ExpressionUUID->"205ce658-c842-43e6-82bc-c01d00655c40"],

Cell[TextData[{
 "A ",
 ButtonBox["Map",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Map.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Map.html"],
 " that contains a pipeline that itself contains a ",
 ButtonBox["Map",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Map.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Map.html"],
 " can be \[OpenCurlyDoubleQuote]flattened\[CloseCurlyDoubleQuote] with use \
of the ",
 ButtonBox["MapLevel",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
MapLevel"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/MapLevel"],
 " ",
 ButtonBox["ResourceFunction",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ResourceFunction.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/ResourceFunction.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.858000136619331*^9, 3.858000208781817*^9}, 
   3.858243542457369*^9, {3.867323936784206*^9, 3.867323940734031*^9}, {
   3.867324258636196*^9, 3.8673242595397043`*^9}, {3.869669256580117*^9, 
   3.8696692666812363`*^9}, 3.8963522383158293`*^9},
 CellTags->"i:6",
 CellID->1493063484,ExpressionUUID->"81843c10-437f-4ec3-b099-bf5f467fadd8"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"GroupBy", "[", "f", "]"}], "/*", 
   RowBox[{
    InterpretationBox[
     TagBox[
      DynamicModuleBox[{Typeset`open = False}, 
       FrameBox[
        PaneSelectorBox[{False->GridBox[{
           {
            PaneBox[GridBox[{
               {
                StyleBox[
                 StyleBox[
                  AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                   BoxBaselineShift->-0.25,
                   BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                  
                  FontColor->RGBColor[
                   0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                 ShowStringCharacters->False,
                 FontFamily->"Source Sans Pro Black",
                 FontSize->0.6538461538461539 Inherited,
                 FontWeight->"Heavy",
                 PrivateFontOptions->{"OperatorSubstitution"->False}], 
                StyleBox[
                 RowBox[{
                  StyleBox["MapLevel", "ResourceFunctionLabel"], " "}],
                 ShowAutoStyles->False,
                 ShowStringCharacters->False,
                 FontSize->Rational[12, 13] Inherited,
                 FontColor->GrayLevel[0.1]]}
              },
              GridBoxSpacings->{"Columns" -> {{0.25}}}],
             Alignment->Left,
             BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
             BaselinePosition->Baseline,
             FrameMargins->{{3, 0}, {0, 0}}], 
            ItemBox[
             PaneBox[
              TogglerBox[Dynamic[Typeset`open], {True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "IconizeCloser"],
                ImageSizeCache->{11., {2., 9.}}], False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "IconizeOpener"],
                ImageSizeCache->{11., {2., 9.}}]},
               Appearance->None,
               BaselinePosition->Baseline,
               ContentPadding->False,
               FrameMargins->0],
              Alignment->Left,
              BaselinePosition->Baseline,
              FrameMargins->{{1, 1}, {0, 0}}],
             Frame->{{
                RGBColor[
                0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                 0.5], False}, {False, False}}]}
          },
          BaselinePosition->{1, 1},
          GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
         GridBox[{
           {GridBox[{
              {
               PaneBox[GridBox[{
                  {
                   StyleBox[
                    StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                    ShowStringCharacters->False,
                    FontFamily->"Source Sans Pro Black",
                    FontSize->0.6538461538461539 Inherited,
                    FontWeight->"Heavy",
                    PrivateFontOptions->{"OperatorSubstitution"->False}], 
                   StyleBox[
                    RowBox[{
                    StyleBox["MapLevel", "ResourceFunctionLabel"], " "}],
                    ShowAutoStyles->False,
                    ShowStringCharacters->False,
                    FontSize->Rational[12, 13] Inherited,
                    FontColor->GrayLevel[0.1]]}
                 },
                 GridBoxSpacings->{"Columns" -> {{0.25}}}],
                Alignment->Left,
                BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
                BaselinePosition->Baseline,
                FrameMargins->{{3, 0}, {0, 0}}], 
               ItemBox[
                PaneBox[
                 TogglerBox[Dynamic[Typeset`open], {True->
                  
                  DynamicBox[FEPrivate`FrontEndResource[
                   "FEBitmaps", "IconizeCloser"]], False->
                  
                  DynamicBox[FEPrivate`FrontEndResource[
                   "FEBitmaps", "IconizeOpener"]]},
                  Appearance->None,
                  BaselinePosition->Baseline,
                  ContentPadding->False,
                  FrameMargins->0],
                 Alignment->Left,
                 BaselinePosition->Baseline,
                 FrameMargins->{{1, 1}, {0, 0}}],
                Frame->{{
                   RGBColor[
                   0.8313725490196079, 0.8470588235294118, 0.8509803921568627,
                     0.5], False}, {False, False}}]}
             },
             BaselinePosition->{1, 1},
             GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
           {
            StyleBox[
             PaneBox[GridBox[{
                {
                 RowBox[{
                  TagBox["\<\"Version (latest): \"\>",
                   "IconizedLabel"], " ", 
                  TagBox["\<\"1.0.0\"\>",
                   "IconizedItem"]}]},
                {
                 TagBox[
                  
                  TemplateBox[{
                   "\"Documentation \[RightGuillemet]\"", 
                    "https://resources.wolframcloud.com/FunctionRepository/\
resources/MapLevel"},
                   "HyperlinkURL"],
                  "IconizedItem"]}
               },
               DefaultBaseStyle->"Column",
               GridBoxAlignment->{"Columns" -> {{Left}}},
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
              Alignment->Left,
              BaselinePosition->Baseline,
              FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
             FontFamily->"Roboto",
             FontSize->11]}
          },
          BaselinePosition->{1, 1},
          GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
          GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
               GrayLevel[0.8]}, False}},
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
         Typeset`open],
         BaselinePosition->Baseline,
         ImageSize->Automatic],
        Background->RGBColor[
         0.9686274509803922, 0.9764705882352941, 0.984313725490196],
        BaselinePosition->Baseline,
        DefaultBaseStyle->{},
        FrameMargins->{{0, 0}, {1, 0}},
        FrameStyle->RGBColor[
         0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
        RoundingRadius->4]],
      {"FunctionResourceBox", 
       RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
       "MapLevel"},
      TagBoxNote->"FunctionResourceBox"],
     ResourceFunction[
      ResourceObject[<|
       "Name" -> "MapLevel", "ShortName" -> "MapLevel", "UUID" -> 
        "643eb83e-c32c-41a8-830c-78e9282acb6c", "ResourceType" -> "Function", 
        "Version" -> "1.0.0", "Description" -> 
        "Create an operator that maps a function over data at a specified \
level", "RepositoryLocation" -> 
        URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
        "SymbolName" -> 
        "FunctionRepository`$5c8c3349f3044fe1a584634b09381ccc`MapLevel", 
        "FunctionLocation" -> 
        CloudObject[
         "https://www.wolframcloud.com/obj/835b686f-f639-48e9-8faa-\
fe7a755e6bb7"]|>, ResourceSystemBase -> Automatic]],
     Selectable->False], "[", 
    RowBox[{"h", ",", 
     RowBox[{"{", "2", "}"}]}], "]"}], "/*", 
   RowBox[{"Map", "[", "g", "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.857999949072825*^9, 3.858000003843671*^9}},
 CellLabel->"In[382]:=",
 CellID->938617732,ExpressionUUID->"d08cc498-98a9-444c-8c0f-ef6a058af6f1"],

Cell[TextData[{
 "I cannot say this too often\[LongDash]when in doubt, apply ",
 ButtonBox["Normal",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Normal.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Normal.html"],
 " to the ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " and study the resulting pipeline. Although the ",
 ButtonBox["Normal",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Normal.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Normal.html"],
 " of a ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " is not quite a perfect replica of the actual ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 ", the order of operations for the two is ",
 StyleBox["always",
  FontSlant->"Italic"],
 " the same. Indeed, it would be rational to skip the following subsection of \
the book, which attempts to explain the intricacies of order of operations \
with ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 ", and just decide to check your ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " with ",
 ButtonBox["Normal",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Normal.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Normal.html"],
 " every time you use it. It would be better, however, to read the following \
subsection because it\[CloseCurlyQuote]s intrinsically interesting and \
because a good theoretical understanding can save time."
}], "Text",
 CellChangeTimes->{{3.769436326163818*^9, 3.7694364751300373`*^9}, {
   3.769464572541979*^9, 3.7694645995117693`*^9}, {3.771891296747389*^9, 
   3.771891333436037*^9}, {3.777053160465186*^9, 3.7770532317111864`*^9}, 
   3.787342544239781*^9, {3.857999493778414*^9, 3.8579995410387163`*^9}, 
   3.858000236740556*^9, {3.858174352048689*^9, 3.8581743588487577`*^9}, 
   3.8582436403887672`*^9, 3.8582436705261106`*^9, {3.8582437005272818`*^9, 
   3.858243700766684*^9}, {3.865495230316184*^9, 3.8654952315746326`*^9}, {
   3.8655933781284113`*^9, 3.865593386958366*^9}, {3.867324281547819*^9, 
   3.867324284290412*^9}},
 CellID->1574659806,ExpressionUUID->"6b6f8445-c53e-4f48-8305-f747c2bd07d6"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "Visualizing a ",
 StyleBox[ButtonBox["Query",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
  FontColor->RGBColor[
   0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]]
}], "Subsubsection",
 CellID->1240826048,ExpressionUUID->"eb37b8c8-9178-4825-8e17-f4030f5cdaaa"],

Cell[TextData[{
 "You can also visualize a ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " itself in ",
 ButtonBox["TreeForm",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/TreeForm.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/TreeForm.html"],
 ". Here I make use of the ",
 ButtonBox["ResourceFunction",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ResourceFunction.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/ResourceFunction.html"],
 " ",
 ButtonBox["QueryTreeForm",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
QueryTreeForm"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/\
QueryTreeForm"],
 " to visualize the order of operations in a ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " expression. It presents the order of operations the same as a tree \
descended on a depth-first basis. I\[CloseCurlyQuote]ve written some simple \
code that does some decoration. It labels the tree with the original ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " expression on top and the ",
 ButtonBox["Normal",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Normal.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Normal.html"],
 " representation of that ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " expression on the bottom. "
}], "Text",
 CellChangeTimes->{{3.769191069939315*^9, 3.769191080777771*^9}, {
   3.769191828982379*^9, 3.769191829356724*^9}, {3.769191955657051*^9, 
   3.7691919795484943`*^9}, {3.769425554080245*^9, 3.769425554351574*^9}, {
   3.769425623948793*^9, 3.7694256293804493`*^9}, {3.7694257082956877`*^9, 
   3.7694257090354433`*^9}, {3.769426305758849*^9, 3.769426306093978*^9}, {
   3.771864114661933*^9, 3.771864135822378*^9}, {3.771864562971156*^9, 
   3.771864597279317*^9}, {3.7718824987066183`*^9, 3.771882501647901*^9}, 
   3.7770409816137915`*^9, {3.7770463042030087`*^9, 3.7770463046590085`*^9}, {
   3.7770463724230084`*^9, 3.7770463745030084`*^9}, {3.7770466894370174`*^9, 
   3.7770467169170046`*^9}, {3.784901499995741*^9, 3.7849015553374567`*^9}, {
   3.784902359071034*^9, 3.78490236144671*^9}, {3.785525398414404*^9, 
   3.785525419864208*^9}, 3.787334627984776*^9, 3.787335463955718*^9, {
   3.787335561120738*^9, 3.787335566002511*^9}, 3.787335736049685*^9, {
   3.8579986870101767`*^9, 3.857998726727867*^9}, {3.8579987648388863`*^9, 
   3.857998788404725*^9}, {3.857999006506681*^9, 3.857999015773757*^9}, {
   3.857999180735652*^9, 3.85799928160351*^9}, 3.858000260166074*^9, {
   3.85817438189231*^9, 3.858174465781926*^9}, {3.8582438801108713`*^9, 
   3.8582438927041397`*^9}, {3.858243995014299*^9, 3.858243998363679*^9}, {
   3.8673243689799385`*^9, 3.867324369111826*^9}, {3.8696669950518637`*^9, 
   3.8696670083100166`*^9}, {3.89635230575415*^9, 3.896352306138378*^9}},
 CellTags->"i:7",
 CellID->2131197115,ExpressionUUID->"9b03082b-2507-4d09-ada9-aeafacc22913"],

Cell[TextData[{
 "Visualize the pipeline produced by ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " as a tree:"
}], "CodeText",
 CellChangeTimes->{{3.7695121386929626`*^9, 3.769512192613738*^9}, 
   3.7770419663230085`*^9, 3.7770467225762672`*^9},
 CellID->206735976,ExpressionUUID->"51115db2-31f9-467a-81fc-e893e463631f"],

Cell[BoxData[
 RowBox[{
  RowBox[{"labeledQueryTreeForm", "[", 
   RowBox[{"q_Query", ",", 
    RowBox[{"opts", ":", 
     RowBox[{"OptionsPattern", "[", 
      InterpretationBox[
       TagBox[
        DynamicModuleBox[{Typeset`open = False}, 
         FrameBox[
          PaneSelectorBox[{False->GridBox[{
             {
              PaneBox[GridBox[{
                 {
                  StyleBox[
                   StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                   ShowStringCharacters->False,
                   FontFamily->"Source Sans Pro Black",
                   FontSize->0.6538461538461539 Inherited,
                   FontWeight->"Heavy",
                   PrivateFontOptions->{"OperatorSubstitution"->False}], 
                  StyleBox[
                   RowBox[{
                    StyleBox["QueryTreeForm", "ResourceFunctionLabel"], " "}],
                   ShowAutoStyles->False,
                   ShowStringCharacters->False,
                   FontSize->Rational[12, 13] Inherited,
                   FontColor->GrayLevel[0.1]]}
                },
                GridBoxSpacings->{"Columns" -> {{0.25}}}],
               Alignment->Left,
               BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
               BaselinePosition->Baseline,
               FrameMargins->{{3, 0}, {0, 0}}], 
              ItemBox[
               PaneBox[
                TogglerBox[Dynamic[Typeset`open], {True->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeCloser"],
                  ImageSizeCache->{11., {2., 9.}}], False->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeOpener"],
                  ImageSizeCache->{11., {2., 9.}}]},
                 Appearance->None,
                 BaselinePosition->Baseline,
                 ContentPadding->False,
                 FrameMargins->0],
                Alignment->Left,
                BaselinePosition->Baseline,
                FrameMargins->{{1, 1}, {0, 0}}],
               Frame->{{
                  RGBColor[
                  0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                   0.5], False}, {False, False}}]}
            },
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
           GridBox[{
             {GridBox[{
                {
                 PaneBox[GridBox[{
                    {
                    StyleBox[
                    StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                    ShowStringCharacters->False,
                    FontFamily->"Source Sans Pro Black",
                    FontSize->0.6538461538461539 Inherited,
                    FontWeight->"Heavy",
                    PrivateFontOptions->{"OperatorSubstitution"->False}], 
                    StyleBox[
                    RowBox[{
                    StyleBox["QueryTreeForm", "ResourceFunctionLabel"], " "}],
                    ShowAutoStyles->False,
                    ShowStringCharacters->False,
                    FontSize->Rational[12, 13] Inherited,
                    FontColor->GrayLevel[0.1]]}
                   },
                   GridBoxSpacings->{"Columns" -> {{0.25}}}],
                  Alignment->Left,
                  BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
                  BaselinePosition->Baseline,
                  FrameMargins->{{3, 0}, {0, 0}}], 
                 ItemBox[
                  PaneBox[
                   TogglerBox[Dynamic[Typeset`open], {True->
                    
                    DynamicBox[FEPrivate`FrontEndResource[
                    "FEBitmaps", "IconizeCloser"]], False->
                    
                    DynamicBox[FEPrivate`FrontEndResource[
                    "FEBitmaps", "IconizeOpener"]]},
                    Appearance->None,
                    BaselinePosition->Baseline,
                    ContentPadding->False,
                    FrameMargins->0],
                   Alignment->Left,
                   BaselinePosition->Baseline,
                   FrameMargins->{{1, 1}, {0, 0}}],
                  Frame->{{
                    RGBColor[
                    0.8313725490196079, 0.8470588235294118, 
                    0.8509803921568627, 0.5], False}, {False, False}}]}
               },
               BaselinePosition->{1, 1},
               
               GridBoxAlignment->{
                "Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
               GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
             {
              StyleBox[
               PaneBox[GridBox[{
                  {
                   RowBox[{
                    TagBox["\<\"Version (latest): \"\>",
                    "IconizedLabel"], " ", 
                    TagBox["\<\"1.0.0\"\>",
                    "IconizedItem"]}]},
                  {
                   TagBox[
                    
                    TemplateBox[{
                    "\"Documentation \[RightGuillemet]\"", 
                    "https://resources.wolframcloud.com/FunctionRepository/\
resources/3206ba72-af09-45f3-8e35-aa091d151c4b/"},
                    "HyperlinkURL"],
                    "IconizedItem"]}
                 },
                 DefaultBaseStyle->"Column",
                 GridBoxAlignment->{"Columns" -> {{Left}}},
                 
                 GridBoxItemSize->{
                  "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
                Alignment->Left,
                BaselinePosition->Baseline,
                FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
               FontFamily->"Roboto",
               FontSize->11]}
            },
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
            GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
                 GrayLevel[0.8]}, False}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
           Typeset`open],
           BaselinePosition->Baseline,
           ImageSize->Automatic],
          
          Background->RGBColor[
           0.9686274509803922, 0.9764705882352941, 0.984313725490196],
          BaselinePosition->Baseline,
          DefaultBaseStyle->{},
          FrameMargins->{{0, 0}, {1, 0}},
          
          FrameStyle->RGBColor[
           0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
          RoundingRadius->4]],
        {"FunctionResourceBox", 
         RGBColor[
         0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
         "QueryTreeForm"},
        TagBoxNote->"FunctionResourceBox"],
       ResourceFunction[
        ResourceObject[<|
         "Name" -> "QueryTreeForm", "ShortName" -> "QueryTreeForm", "UUID" -> 
          "3206ba72-af09-45f3-8e35-aa091d151c4b", "ResourceType" -> 
          "Function", "Version" -> "1.0.0", "Description" -> 
          "Present a query as a tree", "RepositoryLocation" -> 
          URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
          "SymbolName" -> 
          "FunctionRepository`$2da878cbbd1243ad964243a2f6b17fc3`\
QueryTreeForm", "FunctionLocation" -> 
          CloudObject[
           "https://www.wolframcloud.com/obj/5feb9a5f-cccd-4bc1-afa0-\
15c81789ede8"]|>, {
         ResourceSystemBase -> 
          "https://www.wolframcloud.com/obj/resourcesystem/api/1.0"}]],
       Selectable->False], "]"}]}]}], "]"}], ":=", 
  RowBox[{
   RowBox[{
    InterpretationBox[
     TagBox[
      DynamicModuleBox[{Typeset`open = False}, 
       FrameBox[
        PaneSelectorBox[{False->GridBox[{
           {
            PaneBox[GridBox[{
               {
                StyleBox[
                 StyleBox[
                  AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                   BoxBaselineShift->-0.25,
                   BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                  
                  FontColor->RGBColor[
                   0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                 ShowStringCharacters->False,
                 FontFamily->"Source Sans Pro Black",
                 FontSize->0.6538461538461539 Inherited,
                 FontWeight->"Heavy",
                 PrivateFontOptions->{"OperatorSubstitution"->False}], 
                StyleBox[
                 RowBox[{
                  StyleBox["QueryTreeForm", "ResourceFunctionLabel"], " "}],
                 ShowAutoStyles->False,
                 ShowStringCharacters->False,
                 FontSize->Rational[12, 13] Inherited,
                 FontColor->GrayLevel[0.1]]}
              },
              GridBoxSpacings->{"Columns" -> {{0.25}}}],
             Alignment->Left,
             BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
             BaselinePosition->Baseline,
             FrameMargins->{{3, 0}, {0, 0}}], 
            ItemBox[
             PaneBox[
              TogglerBox[Dynamic[Typeset`open], {True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "IconizeCloser"],
                ImageSizeCache->{11., {2., 9.}}], False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "IconizeOpener"],
                ImageSizeCache->{11., {2., 9.}}]},
               Appearance->None,
               BaselinePosition->Baseline,
               ContentPadding->False,
               FrameMargins->0],
              Alignment->Left,
              BaselinePosition->Baseline,
              FrameMargins->{{1, 1}, {0, 0}}],
             Frame->{{
                RGBColor[
                0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                 0.5], False}, {False, False}}]}
          },
          BaselinePosition->{1, 1},
          GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
         GridBox[{
           {GridBox[{
              {
               PaneBox[GridBox[{
                  {
                   StyleBox[
                    StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                    ShowStringCharacters->False,
                    FontFamily->"Source Sans Pro Black",
                    FontSize->0.6538461538461539 Inherited,
                    FontWeight->"Heavy",
                    PrivateFontOptions->{"OperatorSubstitution"->False}], 
                   StyleBox[
                    RowBox[{
                    StyleBox["QueryTreeForm", "ResourceFunctionLabel"], " "}],
                    ShowAutoStyles->False,
                    ShowStringCharacters->False,
                    FontSize->Rational[12, 13] Inherited,
                    FontColor->GrayLevel[0.1]]}
                 },
                 GridBoxSpacings->{"Columns" -> {{0.25}}}],
                Alignment->Left,
                BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
                BaselinePosition->Baseline,
                FrameMargins->{{3, 0}, {0, 0}}], 
               ItemBox[
                PaneBox[
                 TogglerBox[Dynamic[Typeset`open], {True->
                  
                  DynamicBox[FEPrivate`FrontEndResource[
                   "FEBitmaps", "IconizeCloser"]], False->
                  
                  DynamicBox[FEPrivate`FrontEndResource[
                   "FEBitmaps", "IconizeOpener"]]},
                  Appearance->None,
                  BaselinePosition->Baseline,
                  ContentPadding->False,
                  FrameMargins->0],
                 Alignment->Left,
                 BaselinePosition->Baseline,
                 FrameMargins->{{1, 1}, {0, 0}}],
                Frame->{{
                   RGBColor[
                   0.8313725490196079, 0.8470588235294118, 0.8509803921568627,
                     0.5], False}, {False, False}}]}
             },
             BaselinePosition->{1, 1},
             GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
           {
            StyleBox[
             PaneBox[GridBox[{
                {
                 RowBox[{
                  TagBox["\<\"Version (latest): \"\>",
                   "IconizedLabel"], " ", 
                  TagBox["\<\"1.0.0\"\>",
                   "IconizedItem"]}]},
                {
                 TagBox[
                  
                  TemplateBox[{
                   "\"Documentation \[RightGuillemet]\"", 
                    "https://resources.wolframcloud.com/FunctionRepository/\
resources/3206ba72-af09-45f3-8e35-aa091d151c4b/"},
                   "HyperlinkURL"],
                  "IconizedItem"]}
               },
               DefaultBaseStyle->"Column",
               GridBoxAlignment->{"Columns" -> {{Left}}},
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
              Alignment->Left,
              BaselinePosition->Baseline,
              FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
             FontFamily->"Roboto",
             FontSize->11]}
          },
          BaselinePosition->{1, 1},
          GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
          GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
               GrayLevel[0.8]}, False}},
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
         Typeset`open],
         BaselinePosition->Baseline,
         ImageSize->Automatic],
        Background->RGBColor[
         0.9686274509803922, 0.9764705882352941, 0.984313725490196],
        BaselinePosition->Baseline,
        DefaultBaseStyle->{},
        FrameMargins->{{0, 0}, {1, 0}},
        FrameStyle->RGBColor[
         0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
        RoundingRadius->4]],
      {"FunctionResourceBox", 
       RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
       "QueryTreeForm"},
      TagBoxNote->"FunctionResourceBox"],
     ResourceFunction[
      ResourceObject[<|
       "Name" -> "QueryTreeForm", "ShortName" -> "QueryTreeForm", "UUID" -> 
        "3206ba72-af09-45f3-8e35-aa091d151c4b", "ResourceType" -> "Function", 
        "Version" -> "1.0.0", "Description" -> "Present a query as a tree", 
        "RepositoryLocation" -> 
        URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
        "SymbolName" -> 
        "FunctionRepository`$2da878cbbd1243ad964243a2f6b17fc3`QueryTreeForm", 
        "FunctionLocation" -> 
        CloudObject[
         "https://www.wolframcloud.com/obj/5feb9a5f-cccd-4bc1-afa0-\
15c81789ede8"]|>, {
       ResourceSystemBase -> 
        "https://www.wolframcloud.com/obj/resourcesystem/api/1.0"}]],
     Selectable->False], "[", 
    RowBox[{"q", ",", "opts"}], "]"}], "//", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"Labeled", "[", 
      RowBox[{"#", ",", 
       RowBox[{"{", 
        RowBox[{"q", ",", 
         RowBox[{"Normal", "[", "q", "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"Top", ",", "Bottom"}], "}"}]}], "]"}], "&"}], 
    ")"}]}]}]], "Input",
 CellChangeTimes->{{3.77186438167418*^9, 3.771864408683278*^9}, 
   3.771864439138364*^9, {3.77186479902042*^9, 3.771864813662861*^9}, {
   3.7849047411709833`*^9, 3.78490474505696*^9}, {3.8811651699937077`*^9, 
   3.881165176315878*^9}},
 CellTags->"LastCellOfAPage",
 CellLabel->"In[383]:=",
 CellID->752582927,ExpressionUUID->"ff820cef-9d38-43f5-a59e-6fb627c44f6b"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"labeledQueryTreeForm", "[", 
   RowBox[{"Query", "[", 
    RowBox[{"u", ",", "v"}], "]"}], "]"}], "//", "Framed"}]], "Input",
 CellChangeTimes->{{3.771864417629685*^9, 3.771864434918181*^9}, {
  3.77186455134613*^9, 3.771864552356738*^9}},
 CellTags->"p: 114",
 CellLabel->"In[384]:=",
 CellID->1233188327,ExpressionUUID->"67a3abec-c3cd-465f-b0a5-e640fc49d4d9"],

Cell[BoxData[
 FrameBox[
  TemplateBox[{
    InterpretationBox[
     GraphicsBox[
      TagBox[
       GraphicsComplexBox[{{0.4629100498862757, 1.8516401995451028`}, {0., 
        0.9258200997725514}, {0., 0.}, {0.9258200997725514, 
        0.9258200997725514}}, {{
          RGBColor[0.55, 0.45, 0.45], 
          LineBox[{{1, 2}, {1, 4}, {2, 3}}]}, {
          TagBox[
           TooltipBox[
            InsetBox[
             FormBox[
              FrameBox[
               StyleBox["RightComposition", {"StandardForm", "Output", 
                 GrayLevel[0]}, FontSize -> Scaled[0.05], StripOnInput -> 
                False], Background -> RGBColor[1., 1., 0.871], FrameStyle -> 
               GrayLevel[0.5], FrameMargins -> Inherited, StripOnInput -> 
               False], StandardForm], 1], 
            TagBox[
             RowBox[{
               RowBox[{"Map", "[", "v", "]"}], "/*", "u"}], HoldForm]], 
           Annotation[#, 
            HoldForm[
             RightComposition[
              Map[$CellContext`v], $CellContext`u]], "Tooltip"]& ], 
          TagBox[
           TooltipBox[
            InsetBox[
             FormBox[
              FrameBox[
               StyleBox["Map", {"StandardForm", "Output", 
                 GrayLevel[0]}, FontSize -> Scaled[0.05], StripOnInput -> 
                False], Background -> RGBColor[1., 1., 0.871], FrameStyle -> 
               GrayLevel[0.5], FrameMargins -> Inherited, StripOnInput -> 
               False], StandardForm], 2], 
            TagBox[
             RowBox[{"Map", "[", "v", "]"}], HoldForm]], Annotation[#, 
            HoldForm[
             Map[$CellContext`v]], "Tooltip"]& ], 
          TagBox[
           TooltipBox[
            InsetBox[
             FormBox[
              FrameBox[
               StyleBox[
                TagBox["v", HoldForm], {"StandardForm", "Output", 
                 GrayLevel[0]}, FontSize -> Scaled[0.05], StripOnInput -> 
                False], Background -> RGBColor[1., 1., 0.871], FrameStyle -> 
               GrayLevel[0.5], FrameMargins -> Inherited, StripOnInput -> 
               False], StandardForm], 3], 
            TagBox["v", HoldForm]], Annotation[#, 
            HoldForm[$CellContext`v], "Tooltip"]& ], 
          TagBox[
           TooltipBox[
            InsetBox[
             FormBox[
              FrameBox[
               StyleBox[
                TagBox["u", HoldForm], {"StandardForm", "Output", 
                 GrayLevel[0]}, FontSize -> Scaled[0.05], StripOnInput -> 
                False], Background -> RGBColor[1., 1., 0.871], FrameStyle -> 
               GrayLevel[0.5], FrameMargins -> Inherited, StripOnInput -> 
               False], StandardForm], 4], 
            TagBox["u", HoldForm]], Annotation[#, 
            HoldForm[$CellContext`u], "Tooltip"]& ]}}, {}], 
       Annotation[#, 
        VertexCoordinateRules -> {{0.4629100498862757, 1.8516401995451028`}, {
         0., 0.9258200997725514}, {0., 0.}, {0.9258200997725514, 
         0.9258200997725514}}]& ], FrameTicks -> Automatic, PlotRange -> All, 
      PlotRangePadding -> Scaled[0.1], AspectRatio -> 
      NCache[Rational[1, 2] Rational[3, 2]^Rational[1, 2], 
        0.6123724356957945], FormatType :> StandardForm], 
     TreeForm[
      RightComposition[
       Map[$CellContext`v], $CellContext`u]], Editable -> False], 
    RowBox[{"Query", "[", 
      RowBox[{"u", ",", "v"}], "]"}], 
    RowBox[{
      RowBox[{"Map", "[", "v", "]"}], "/*", "u"}]},
   "Labeled",
   DisplayFunction->(GridBox[{{
       ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
       TagBox[
        ItemBox[
         PaneBox[
          TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
          BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
        "SkipImageSizeLevel"]}, {
       ItemBox[#3, DefaultBaseStyle -> "LabeledLabel"]}}, 
     GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
     AutoDelete -> False, 
     GridBoxItemSize -> {"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
      BaselinePosition -> {2, 1}]& ),
   InterpretationFunction->(RowBox[{"Labeled", "[", 
      RowBox[{#, ",", 
        RowBox[{"{", 
          RowBox[{#2, ",", #3}], "}"}], ",", 
        RowBox[{"{", 
          RowBox[{"Top", ",", "Bottom"}], "}"}], ",", 
        RowBox[{"{", "}"}]}], "]"}]& )],
  StripOnInput->False]], "Output",
 CellChangeTimes->{{3.771864435389037*^9, 3.771864441540161*^9}, 
   3.771864552778769*^9, 3.771864816263906*^9, 3.771882941019853*^9, 
   3.7719233830452003`*^9, 3.771930218649558*^9, 3.771930363096649*^9, 
   3.881422402979211*^9},
 CellLabel->"Out[384]=",
 CellID->585343767,ExpressionUUID->"7f6fb17a-8087-43f2-98ac-3deb7b354a50"]
}, Open  ]],

Cell[TextData[{
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " has constructed a pipeline of functions in which, first, the ",
 Cell[BoxData[
 "v"], "InlineCodeText",ExpressionUUID->
  "192ca29e-8dab-4eec-a1df-8b2a9af988cc"],
 " function is mapped over the data and then the ",
 Cell[BoxData[
 "u"], "InlineCodeText",ExpressionUUID->
  "ff61debd-7d4c-4bd3-a86c-0235a3112272"],
 " function is applied to the result. ",
 ButtonBox["Normal",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Normal.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Normal.html"],
 " outputs the result as a ",
 ButtonBox["RightComposition",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/RightComposition.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/RightComposition.html"],
 "\[LongDash]which I think is a good thing, but just be aware that it could \
equally well have returned the result as a ",
 ButtonBox["Composition",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Composition.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Composition.html"],
 ", ",
 Cell[BoxData[
  RowBox[{"u", 
   ButtonBox[
    StyleBox["@*",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Composition.html"], 
      None},
    ButtonNote->
     "https://reference.wolfram.com/language/ref/Composition.html"], 
   RowBox[{
    ButtonBox[
     StyleBox["Map",
      FontColor->GrayLevel[0]],
     BaseStyle->"Hyperlink",
     ButtonData->{
       URL["https://reference.wolfram.com/language/ref/Map.html"], None},
     ButtonNote->"https://reference.wolfram.com/language/ref/Map.html"], "[", 
    "v", "]"}]}]], "InlineCodeText",ExpressionUUID->
  "7228d03c-b047-439e-9a08-af6d349ab926"],
 ". This, by the way, is why I emphasized ",
 ButtonBox["RightComposition",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/RightComposition.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/RightComposition.html"],
 " so much in the preceding chapters. It may be thought by some users of the \
Wolfram Language to be a peculiar or obscure focus, but a good understanding \
of ",
 ButtonBox["RightComposition",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/RightComposition.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/RightComposition.html"],
 " ends up being crucial to understanding ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " and interpreting its output when things go wrong. "
}], "Text",
 CellTags->"i:8",
 CellID->1771849880,ExpressionUUID->"6b0a5cb6-33b8-41d8-bc75-bc2121a5bbb3"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "Order of Operations in ",
 StyleBox[ButtonBox["Query",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
  FontColor->RGBColor[
   0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]]
}], "Subsection",
 CellID->2051451570,ExpressionUUID->"221b3b61-760d-4cb4-97b7-998316fa40de"],

Cell[CellGroupData[{

Cell["Learning Strategies", "Subsubsection",
 CellChangeTimes->{{3.858001895788932*^9, 3.858001899233324*^9}},
 CellID->820210331,ExpressionUUID->"d0dadc2c-79be-41d5-b117-be042d2506a8"],

Cell[TextData[{
 "The hardest part of ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " is mastering order of operations. Why, for example, was the previous \
pipeline ",
 Cell[BoxData[
  RowBox[{
   RowBox[{
    ButtonBox["Map",
     BaseStyle->"FunctionHyperlink",
     ButtonData->{
       URL["https://reference.wolfram.com/language/ref/Map.html"], None},
     ButtonNote->"https://reference.wolfram.com/language/ref/Map.html"], 
    "\[ThickSpace]", 
    StyleBox["[", "InlineCodeText"], "\[ThickSpace]", 
    StyleBox["v", "InlineCodeText"], "\[ThickSpace]", 
    StyleBox["]", "InlineCodeText"]}], "\[ThickSpace]", 
   ButtonBox["/*",
    BaseStyle->"FunctionHyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/RightComposition.html"],
       None},
    ButtonNote->
     "https://reference.wolfram.com/language/ref/RightComposition.html"], 
   "\[ThickSpace]", 
   StyleBox["u", "InlineCodeText"]}]],ExpressionUUID->
  "09042ea7-6d13-473c-a50d-a6f613eeb27b"],
 " instead of ",
 Cell[BoxData[
  RowBox[{
   StyleBox["u", "InlineCodeText"], "\[ThickSpace]", 
   ButtonBox["/*",
    BaseStyle->"FunctionHyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/RightComposition.html"],
       None},
    ButtonNote->
     "https://reference.wolfram.com/language/ref/RightComposition.html"], 
   "\[ThickSpace]", 
   RowBox[{
    ButtonBox["Map",
     BaseStyle->"FunctionHyperlink",
     ButtonData->{
       URL["https://reference.wolfram.com/language/ref/Map.html"], None},
     ButtonNote->"https://reference.wolfram.com/language/ref/Map.html"], 
    "\[ThickSpace]", 
    StyleBox["[", "InlineCodeText"], "\[ThickSpace]", 
    StyleBox["v", "InlineCodeText"], "\[ThickSpace]", 
    StyleBox["]", "InlineCodeText"]}]}]],ExpressionUUID->
  "247fd69a-854f-4ad0-999b-d3ddcd5c1486"],
 "? There are three ways of learning this order. The first is the one I \
already suggested. Just experiment using ",
 ButtonBox["Normal",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Normal.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Normal.html"],
 ". One can learn a lot by playing around. Sometimes, however, repeated \
experimentation with ",
 ButtonBox["Normal",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Normal.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Normal.html"],
 " on different ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " expressions devolves into hopeless floundering. It\[CloseCurlyQuote]s \
often useful and more elegant to get the ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " expression right the first time. I now thus present two design principles \
that, along with the details contained in the official documentation, should \
help you quickly generate efficient queries."
}], "Text",
 CellTags->"i:9",
 CellID->521985220,ExpressionUUID->"55a1a49f-a9cd-4a43-8e7b-df1989cab58d"]
}, Open  ]],

Cell[CellGroupData[{

Cell["LIFO: The General Rule", "Subsubsection",
 CellChangeTimes->{{3.77189134411059*^9, 3.771891350646455*^9}, 
   3.785525474847567*^9},
 CellID->216866657,ExpressionUUID->"e335da22-20b2-4c42-a44d-fdb7c18bdeda"],

Cell[TextData[{
 "Here\[CloseCurlyQuote]s the first principle. It\[CloseCurlyQuote]s LIFO. \
Last in, first out. The order of operations is generally in the opposite \
order of the arguments to ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 ". By way of example, in the previous ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 ", the ",
 Cell[BoxData[
 "v"], "InlineCodeText",ExpressionUUID->
  "42050087-e3b6-407a-ab35-4e50182c3de3"],
 " function is the second argument to ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 ", so it is put in the pipeline before the ",
 Cell[BoxData[
 "u"], "InlineCodeText",ExpressionUUID->
  "06e8a9d8-2684-4fd5-b105-ae693a80f977"],
 " function, which is the first argument."
}], "Text",
 CellChangeTimes->{{3.739397363134877*^9, 3.739397513687368*^9}, {
   3.739398698458577*^9, 3.73939873927433*^9}, {3.739440138711542*^9, 
   3.739440159268874*^9}, {3.739635410950569*^9, 3.7396355074582653`*^9}, {
   3.7396449262974863`*^9, 3.739644950950056*^9}, {3.739645388829921*^9, 
   3.739645392023707*^9}, {3.739888050556522*^9, 3.73988814622622*^9}, 
   3.7399141783955517`*^9, {3.739914699305935*^9, 3.739914734450185*^9}, {
   3.742211431558421*^9, 3.7422115463210163`*^9}, {3.742224826637786*^9, 
   3.7422248281933928`*^9}, {3.742244752374278*^9, 3.742244756195615*^9}, {
   3.769433574828773*^9, 3.769433645720646*^9}, {3.7694337313131647`*^9, 
   3.769433750392447*^9}, {3.769436301215728*^9, 3.769436306447261*^9}, {
   3.769464534953104*^9, 3.769464550231772*^9}, {3.76951456105851*^9, 
   3.769514567231017*^9}, {3.7718905612624607`*^9, 3.77189056591323*^9}, {
   3.771891027508432*^9, 3.77189106666284*^9}, {3.7718911275732822`*^9, 
   3.771891146230858*^9}, 3.7770409850621357`*^9, {3.777048561655952*^9, 
   3.7770486321800036`*^9}, 3.787338661900754*^9, {3.858000456893011*^9, 
   3.858000515203339*^9}, {3.85800063535387*^9, 3.858000646987503*^9}, {
   3.8580009567334023`*^9, 3.8580009984043303`*^9}, {3.8581745393834133`*^9, 
   3.85817461650438*^9}, {3.867324725612053*^9, 3.8673247314696555`*^9}, {
   3.868004825449263*^9, 3.868004825672783*^9}, {3.8695832680978184`*^9, 
   3.869583268833027*^9}},
 CellTags->"i:10",
 CellID->33119792,ExpressionUUID->"9bf26197-1588-4608-982a-7f0466344369"],

Cell["\<\
LIFO isn\[CloseCurlyQuote]t an arbitrary convention. It makes a lot of sense. \
The operations generally have to start at the lowest level instead of the \
highest level because a function applied higher in an expression could \
eliminate subexpressions at lower levels. And if that happened, subsequently \
applied functions would then have no input on which to operate.\
\>", "Text",
 CellChangeTimes->{{3.739397363134877*^9, 3.739397513687368*^9}, {
   3.739398698458577*^9, 3.73939873927433*^9}, {3.739440138711542*^9, 
   3.739440159268874*^9}, {3.739635410950569*^9, 3.7396355074582653`*^9}, {
   3.7396449262974863`*^9, 3.739644950950056*^9}, {3.739645388829921*^9, 
   3.739645392023707*^9}, {3.739888050556522*^9, 3.73988814622622*^9}, 
   3.7399141783955517`*^9, {3.739914699305935*^9, 3.739914734450185*^9}, {
   3.742211431558421*^9, 3.7422115463210163`*^9}, {3.742224826637786*^9, 
   3.7422248281933928`*^9}, {3.742244752374278*^9, 3.742244756195615*^9}, {
   3.769433574828773*^9, 3.769433645720646*^9}, {3.7694337313131647`*^9, 
   3.769433750392447*^9}, {3.769436301215728*^9, 3.769436306447261*^9}, {
   3.769464534953104*^9, 3.769464550231772*^9}, {3.76951456105851*^9, 
   3.769514567231017*^9}, {3.7718905612624607`*^9, 3.77189056591323*^9}, {
   3.771891027508432*^9, 3.77189106666284*^9}, {3.7718911275732822`*^9, 
   3.771891146230858*^9}, 3.7770409850621357`*^9, {3.777048561655952*^9, 
   3.7770486321800036`*^9}, 3.787338661900754*^9, {3.858000456893011*^9, 
   3.858000515203339*^9}, {3.85800063535387*^9, 3.858000646987503*^9}, {
   3.8580009567334023`*^9, 3.8580009984043303`*^9}, {3.8581745393834133`*^9, 
   3.858174600796616*^9}, {3.8582442557740927`*^9, 3.858244256043407*^9}},
 CellTags->"LastCellOfAPage",
 CellID->1864953212,ExpressionUUID->"dc45230e-5c54-43a0-8995-490791e49431"],

Cell[TextData[{
 "Let\[CloseCurlyQuote]s look at more complicated examples of this general \
principle. Here is a visualization of ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["Query",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Query.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"], "[", 
   RowBox[{"u", ",", "v", ",", "w"}], "]"}]], "InlineCodeText",ExpressionUUID->
  "72e3c423-74a5-4e8d-b298-d4f39ac90e4b"],
 "."
}], "Text",
 CellChangeTimes->{{3.7691905859253273`*^9, 3.7691905936873837`*^9}, {
   3.769190629414385*^9, 3.769190636481744*^9}, {3.769191786857829*^9, 
   3.769191811590599*^9}, {3.7691920147601843`*^9, 3.7691920221400557`*^9}, {
   3.771891225165654*^9, 3.771891230206566*^9}, 3.777048779432728*^9, {
   3.858001023298894*^9, 3.858001025166881*^9}, {3.86549536396202*^9, 
   3.865495364523786*^9}, {3.869583552680687*^9, 3.8695835723661685`*^9}},
 CellTags->"p: 115",
 CellID->907754216,ExpressionUUID->"8a3c2769-5c7f-4e81-b403-783f7319c5f9"],

Cell[TextData[{
 "Visualize the pipeline produced by a three-level ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " as a tree:"
}], "CodeText",
 CellChangeTimes->{{3.769512169321653*^9, 3.769512188042982*^9}, 
   3.7770419797310085`*^9, {3.7770487826220465`*^9, 3.777048788313616*^9}},
 CellID->1835196116,ExpressionUUID->"16502932-1b91-4356-b598-fed821000cab"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"labeledQueryTreeForm", "[", 
   RowBox[{"Query", "[", 
    RowBox[{"u", ",", "v", ",", "w"}], "]"}], "]"}], "//", 
  "Framed"}]], "Input",
 CellChangeTimes->{{3.769191014632347*^9, 3.769191043058782*^9}, {
  3.769191338508111*^9, 3.769191343749279*^9}, {3.769425785981811*^9, 
  3.769425786333584*^9}, {3.7718643497445393`*^9, 3.771864352691135*^9}, {
  3.771864650087194*^9, 3.771864680158452*^9}},
 CellLabel->"In[385]:=",
 CellID->901280024,ExpressionUUID->"344da393-4e91-45e3-ab45-1efc5c3a3d51"],

Cell[BoxData[
 FrameBox[
  TemplateBox[{
    InterpretationBox[
     GraphicsBox[
      TagBox[
       GraphicsComplexBox[{{0.9258200997725514, 3.7032803990902057`}, {
        0.4629100498862757, 2.7774602993176543`}, {0.4629100498862757, 
        1.8516401995451028`}, {0., 0.9258200997725514}, {0., 0.}, {
        0.9258200997725514, 0.9258200997725514}, {1.3887301496588271`, 
        2.7774602993176543`}}, {{
          RGBColor[0.55, 0.45, 0.45], 
          LineBox[{{1, 2}, {1, 7}, {2, 3}, {3, 4}, {3, 6}, {4, 5}}]}, {
          TagBox[
           TooltipBox[
            InsetBox[
             FormBox[
              FrameBox[
               StyleBox["RightComposition", {"StandardForm", "Output", 
                 GrayLevel[0]}, FontSize -> Scaled[0.05], StripOnInput -> 
                False], Background -> RGBColor[1., 1., 0.871], FrameStyle -> 
               GrayLevel[0.5], FrameMargins -> Inherited, StripOnInput -> 
               False], StandardForm], 1], 
            TagBox[
             RowBox[{
               RowBox[{"Map", "[", 
                 RowBox[{
                   RowBox[{"Map", "[", "w", "]"}], "/*", "v"}], "]"}], "/*", 
               "u"}], HoldForm]], Annotation[#, 
            HoldForm[
             RightComposition[
              Map[
               RightComposition[
                Map[$CellContext`w], $CellContext`v]], $CellContext`u]], 
            "Tooltip"]& ], 
          TagBox[
           TooltipBox[
            InsetBox[
             FormBox[
              FrameBox[
               StyleBox["Map", {"StandardForm", "Output", 
                 GrayLevel[0]}, FontSize -> Scaled[0.05], StripOnInput -> 
                False], Background -> RGBColor[1., 1., 0.871], FrameStyle -> 
               GrayLevel[0.5], FrameMargins -> Inherited, StripOnInput -> 
               False], StandardForm], 2], 
            TagBox[
             RowBox[{"Map", "[", 
               RowBox[{
                 RowBox[{"Map", "[", "w", "]"}], "/*", "v"}], "]"}], 
             HoldForm]], Annotation[#, 
            HoldForm[
             Map[
              RightComposition[
               Map[$CellContext`w], $CellContext`v]]], "Tooltip"]& ], 
          TagBox[
           TooltipBox[
            InsetBox[
             FormBox[
              FrameBox[
               StyleBox["RightComposition", {"StandardForm", "Output", 
                 GrayLevel[0]}, FontSize -> Scaled[0.05], StripOnInput -> 
                False], Background -> RGBColor[1., 1., 0.871], FrameStyle -> 
               GrayLevel[0.5], FrameMargins -> Inherited, StripOnInput -> 
               False], StandardForm], 3], 
            TagBox[
             RowBox[{
               RowBox[{"Map", "[", "w", "]"}], "/*", "v"}], HoldForm]], 
           Annotation[#, 
            HoldForm[
             RightComposition[
              Map[$CellContext`w], $CellContext`v]], "Tooltip"]& ], 
          TagBox[
           TooltipBox[
            InsetBox[
             FormBox[
              FrameBox[
               StyleBox["Map", {"StandardForm", "Output", 
                 GrayLevel[0]}, FontSize -> Scaled[0.05], StripOnInput -> 
                False], Background -> RGBColor[1., 1., 0.871], FrameStyle -> 
               GrayLevel[0.5], FrameMargins -> Inherited, StripOnInput -> 
               False], StandardForm], 4], 
            TagBox[
             RowBox[{"Map", "[", "w", "]"}], HoldForm]], Annotation[#, 
            HoldForm[
             Map[$CellContext`w]], "Tooltip"]& ], 
          TagBox[
           TooltipBox[
            InsetBox[
             FormBox[
              FrameBox[
               StyleBox[
                TagBox["w", HoldForm], {"StandardForm", "Output", 
                 GrayLevel[0]}, FontSize -> Scaled[0.05], StripOnInput -> 
                False], Background -> RGBColor[1., 1., 0.871], FrameStyle -> 
               GrayLevel[0.5], FrameMargins -> Inherited, StripOnInput -> 
               False], StandardForm], 5], 
            TagBox["w", HoldForm]], Annotation[#, 
            HoldForm[$CellContext`w], "Tooltip"]& ], 
          TagBox[
           TooltipBox[
            InsetBox[
             FormBox[
              FrameBox[
               StyleBox[
                TagBox["v", HoldForm], {"StandardForm", "Output", 
                 GrayLevel[0]}, FontSize -> Scaled[0.05], StripOnInput -> 
                False], Background -> RGBColor[1., 1., 0.871], FrameStyle -> 
               GrayLevel[0.5], FrameMargins -> Inherited, StripOnInput -> 
               False], StandardForm], 6], 
            TagBox["v", HoldForm]], Annotation[#, 
            HoldForm[$CellContext`v], "Tooltip"]& ], 
          TagBox[
           TooltipBox[
            InsetBox[
             FormBox[
              FrameBox[
               StyleBox[
                TagBox["u", HoldForm], {"StandardForm", "Output", 
                 GrayLevel[0]}, FontSize -> Scaled[0.05], StripOnInput -> 
                False], Background -> RGBColor[1., 1., 0.871], FrameStyle -> 
               GrayLevel[0.5], FrameMargins -> Inherited, StripOnInput -> 
               False], StandardForm], 7], 
            TagBox["u", HoldForm]], Annotation[#, 
            HoldForm[$CellContext`u], "Tooltip"]& ]}}, {}], 
       Annotation[#, 
        VertexCoordinateRules -> {{0.9258200997725514, 3.7032803990902057`}, {
         0.4629100498862757, 2.7774602993176543`}, {0.4629100498862757, 
         1.8516401995451028`}, {0., 0.9258200997725514}, {0., 0.}, {
         0.9258200997725514, 0.9258200997725514}, {1.3887301496588271`, 
         2.7774602993176543`}}]& ], FrameTicks -> Automatic, PlotRange -> All,
       PlotRangePadding -> Scaled[0.1], AspectRatio -> 
      NCache[Rational[1, 2] Rational[5, 2]^Rational[1, 2], 
        0.7905694150420949], FormatType :> StandardForm], 
     TreeForm[
      RightComposition[
       Map[
        RightComposition[
         Map[$CellContext`w], $CellContext`v]], $CellContext`u]], Editable -> 
     False], 
    RowBox[{"Query", "[", 
      RowBox[{"u", ",", "v", ",", "w"}], "]"}], 
    RowBox[{
      RowBox[{"Map", "[", 
        RowBox[{
          RowBox[{"Map", "[", "w", "]"}], "/*", "v"}], "]"}], "/*", "u"}]},
   "Labeled",
   DisplayFunction->(GridBox[{{
       ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
       TagBox[
        ItemBox[
         PaneBox[
          TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
          BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
        "SkipImageSizeLevel"]}, {
       ItemBox[#3, DefaultBaseStyle -> "LabeledLabel"]}}, 
     GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
     AutoDelete -> False, 
     GridBoxItemSize -> {"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
      BaselinePosition -> {2, 1}]& ),
   InterpretationFunction->(RowBox[{"Labeled", "[", 
      RowBox[{#, ",", 
        RowBox[{"{", 
          RowBox[{#2, ",", #3}], "}"}], ",", 
        RowBox[{"{", 
          RowBox[{"Top", ",", "Bottom"}], "}"}], ",", 
        RowBox[{"{", "}"}]}], "]"}]& )],
  StripOnInput->False]], "Output",
 CellChangeTimes->{{3.769191020547186*^9, 3.769191043519353*^9}, 
   3.7691913440743513`*^9, 3.769191432810413*^9, 3.769192038071496*^9, 
   3.7694257866621523`*^9, 3.769956297564846*^9, 3.769959356606152*^9, 
   3.7718646805235147`*^9, 3.7719233830973463`*^9, 3.771930218694168*^9, 
   3.771930363138753*^9, 3.881422414325549*^9},
 CellLabel->"Out[385]=",
 CellID->1414954336,ExpressionUUID->"2b2952ad-cfc2-485e-ae99-54f7425de58c"]
}, Open  ]],

Cell[TextData[{
 "You can see a nested ",
 ButtonBox["RightComposition",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/RightComposition.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/RightComposition.html"],
 " of operators. The first thing that happens is that the kernel forms a \
lower-level ",
 ButtonBox["RightComposition",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/RightComposition.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/RightComposition.html"],
 " in which ",
 Cell[BoxData[
 "w"], "InlineCodeText",ExpressionUUID->
  "accfe70e-326a-47d6-849c-2a3457e7b29a"],
 " is mapped over data and then ",
 Cell[BoxData[
 "v"], "InlineCodeText",ExpressionUUID->
  "b2a97b1a-38e1-439c-a4ed-648e364db2d4"],
 " is applied to the result. The mapping of ",
 Cell[BoxData[
 "w"], "InlineCodeText",ExpressionUUID->
  "4233bd47-9333-4520-97e7-28399ac6284a"],
 " comes before the application of ",
 Cell[BoxData[
 "v"], "InlineCodeText",ExpressionUUID->
  "49bf36df-724a-4733-83cc-ec8ff446109a"],
 " because ",
 Cell[BoxData[
 "w"], "InlineCodeText",ExpressionUUID->
  "eadb7064-0e12-494c-83bd-e99add140957"],
 " is the third argument and ",
 Cell[BoxData[
 "v"], "InlineCodeText",ExpressionUUID->
  "2f0cb69b-3092-4872-b59e-6b07f7565016"],
 " is the second argument. In short, the inner composition is ",
 Cell[BoxData[
  RowBox[{
   RowBox[{
    ButtonBox[
     StyleBox["Map",
      FontColor->GrayLevel[0]],
     BaseStyle->"Hyperlink",
     ButtonData->{
       URL["https://reference.wolfram.com/language/ref/Map.html"], None},
     ButtonNote->"https://reference.wolfram.com/language/ref/Map.html"], "[", 
    "w", "]"}], 
   ButtonBox[
    StyleBox["/*",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/RightComposition.html"],
       None},
    ButtonNote->
     "https://reference.wolfram.com/language/ref/RightComposition.html"], 
   "v"}]], "InlineCodeText",ExpressionUUID->
  "c19492cc-b58e-4374-9408-0bb109490f41"],
 ". That composed function is itself the first component of a higher-level \
composition in which the mapping of the lower-level composition is the first \
component and the function ",
 Cell[BoxData[
 "u"], "InlineCodeText",ExpressionUUID->
  "ec195dde-bd74-41d3-a0de-c6462b0b2ef0"],
 " is the second component. The mapping of the lower-level composition comes \
first because of the LIFO convention: the function ",
 Cell[BoxData[
 "u"], "InlineCodeText",ExpressionUUID->
  "ec538e10-39ad-428c-b157-c41232dff491"],
 " is before the functions ",
 Cell[BoxData[
 "v"], "InlineCodeText",ExpressionUUID->
  "3ad2a833-a319-4c79-ad09-f978e70f7710"],
 " or ",
 Cell[BoxData[
 "w"], "InlineCodeText",ExpressionUUID->
  "d0181cca-33ad-49ad-b280-b7dd9d1795c0"],
 " in the arguments to ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 ", so ",
 Cell[BoxData[
 "u"], "InlineCodeText",ExpressionUUID->
  "2835bc78-fccd-4aec-a4ee-325263477009"],
 " is applied after ",
 Cell[BoxData[
 "v"], "InlineCodeText",ExpressionUUID->
  "51f03706-c87b-4eb3-a245-375e26cf62c7"],
 " and ",
 Cell[BoxData[
 "w"], "InlineCodeText",ExpressionUUID->
  "4e3541ce-137b-4ba3-aa3f-d1eef7a3e040"],
 " have done their work. "
}], "Text",
 CellChangeTimes->{{3.769190657602837*^9, 3.7691906673817053`*^9}, {
   3.7691909995813503`*^9, 3.769191038999569*^9}, {3.7691912905934687`*^9, 
   3.769191299429537*^9}, {3.7691914098346863`*^9, 3.769191429322054*^9}, 
   3.7691918252396708`*^9, {3.769192045693741*^9, 3.769192219050596*^9}, {
   3.771890162874617*^9, 3.771890203244384*^9}, {3.7718902386778507`*^9, 
   3.771890238850148*^9}, {3.777040988365466*^9, 3.777040990669697*^9}, {
   3.777048794186203*^9, 3.777048816925476*^9}, {3.7770495200157785`*^9, 
   3.7770495204458213`*^9}, {3.7770497154553204`*^9, 3.777049737232498*^9}, 
   3.7770497834851227`*^9, {3.7770500191896906`*^9, 3.777050069157687*^9}, {
   3.7849865997253933`*^9, 3.784986607089827*^9}, 3.7873394888421803`*^9, {
   3.787339565372053*^9, 3.787339582972106*^9}, {3.858000527513866*^9, 
   3.8580005284109364`*^9}, {3.858009493459042*^9, 3.858009493538293*^9}, {
   3.858009533643949*^9, 3.858009552745121*^9}, {3.8581746409495077`*^9, 
   3.858174641985526*^9}, {3.8677544926647787`*^9, 3.8677544926647787`*^9}, {
   3.8695837333891*^9, 3.8695837339231625`*^9}},
 CellID->1980983398,ExpressionUUID->"448f38a8-8c1e-49ed-8599-24415417939c"],

Cell[TextData[{
 "The functions within ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " can themselves be compositions. Look at this one."
}], "Text",
 CellChangeTimes->{{3.769190890816032*^9, 3.769190907483494*^9}, 
   3.7770500763134027`*^9},
 CellTags->"i:11",
 CellID->1948990745,ExpressionUUID->"6dcfb5c6-0fb5-418e-b501-335f241e810d"],

Cell[TextData[{
 "Visualize a ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " pipeline produced with composed operators:"
}], "CodeText",
 CellChangeTimes->{{3.769512203319748*^9, 3.769512231019539*^9}, 
   3.7770419850020084`*^9, 3.7770500843152027`*^9},
 CellID->1784264372,ExpressionUUID->"4daf6984-c7e5-434b-ac1e-fd6142a9f76d"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"labeledQueryTreeForm", "[", 
   RowBox[{"Query", "[", 
    RowBox[{
     RowBox[{"u1", "/*", "u2"}], ",", "v", ",", "w"}], "]"}], "]"}], "//", 
  "Framed"}]], "Input",
 CellChangeTimes->{{3.769190919765563*^9, 3.769190940497148*^9}, {
  3.769190970761469*^9, 3.769190989615892*^9}, {3.769191110021381*^9, 
  3.769191112839635*^9}, {3.769191356025962*^9, 3.769191359139061*^9}, {
  3.7694257906748037`*^9, 3.769425790990116*^9}, {3.771864688945622*^9, 
  3.7718646935237293`*^9}},
 CellLabel->"In[386]:=",
 CellID->1119383524,ExpressionUUID->"6d94ccf7-ae01-42d1-a832-5b72ea1f4be6"],

Cell[BoxData[
 FrameBox[
  TemplateBox[{
    InterpretationBox[
     GraphicsBox[
      TagBox[
       GraphicsComplexBox[{{1.287592612918428, 3.4335803011158084`}, {
        0.42919753763947605`, 2.575185225836856}, {0.42919753763947605`, 
        1.7167901505579042`}, {0., 0.8583950752789522}, {0., 0.}, {
        0.8583950752789521, 0.8583950752789522}, {1.287592612918428, 
        2.575185225836856}, {2.1459876881973803`, 2.575185225836856}}, {{
          RGBColor[0.55, 0.45, 0.45], 
          LineBox[{{1, 2}, {1, 7}, {1, 8}, {2, 3}, {3, 4}, {3, 6}, {4, 5}}]}, {
          TagBox[
           TooltipBox[
            InsetBox[
             FormBox[
              FrameBox[
               StyleBox["RightComposition", {"StandardForm", "Output", 
                 GrayLevel[0]}, FontSize -> Scaled[0.05], StripOnInput -> 
                False], Background -> RGBColor[1., 1., 0.871], FrameStyle -> 
               GrayLevel[0.5], FrameMargins -> Inherited, StripOnInput -> 
               False], StandardForm], 1], 
            TagBox[
             RowBox[{
               RowBox[{"Map", "[", 
                 RowBox[{
                   RowBox[{"Map", "[", "w", "]"}], "/*", "v"}], "]"}], "/*", 
               "u1", "/*", "u2"}], HoldForm]], Annotation[#, 
            HoldForm[
             RightComposition[
              Map[
               RightComposition[
                
                Map[$CellContext`w], $CellContext`v]], $CellContext`u1, \
$CellContext`u2]], "Tooltip"]& ], 
          TagBox[
           TooltipBox[
            InsetBox[
             FormBox[
              FrameBox[
               StyleBox["Map", {"StandardForm", "Output", 
                 GrayLevel[0]}, FontSize -> Scaled[0.05], StripOnInput -> 
                False], Background -> RGBColor[1., 1., 0.871], FrameStyle -> 
               GrayLevel[0.5], FrameMargins -> Inherited, StripOnInput -> 
               False], StandardForm], 2], 
            TagBox[
             RowBox[{"Map", "[", 
               RowBox[{
                 RowBox[{"Map", "[", "w", "]"}], "/*", "v"}], "]"}], 
             HoldForm]], Annotation[#, 
            HoldForm[
             Map[
              RightComposition[
               Map[$CellContext`w], $CellContext`v]]], "Tooltip"]& ], 
          TagBox[
           TooltipBox[
            InsetBox[
             FormBox[
              FrameBox[
               StyleBox["RightComposition", {"StandardForm", "Output", 
                 GrayLevel[0]}, FontSize -> Scaled[0.05], StripOnInput -> 
                False], Background -> RGBColor[1., 1., 0.871], FrameStyle -> 
               GrayLevel[0.5], FrameMargins -> Inherited, StripOnInput -> 
               False], StandardForm], 3], 
            TagBox[
             RowBox[{
               RowBox[{"Map", "[", "w", "]"}], "/*", "v"}], HoldForm]], 
           Annotation[#, 
            HoldForm[
             RightComposition[
              Map[$CellContext`w], $CellContext`v]], "Tooltip"]& ], 
          TagBox[
           TooltipBox[
            InsetBox[
             FormBox[
              FrameBox[
               StyleBox["Map", {"StandardForm", "Output", 
                 GrayLevel[0]}, FontSize -> Scaled[0.05], StripOnInput -> 
                False], Background -> RGBColor[1., 1., 0.871], FrameStyle -> 
               GrayLevel[0.5], FrameMargins -> Inherited, StripOnInput -> 
               False], StandardForm], 4], 
            TagBox[
             RowBox[{"Map", "[", "w", "]"}], HoldForm]], Annotation[#, 
            HoldForm[
             Map[$CellContext`w]], "Tooltip"]& ], 
          TagBox[
           TooltipBox[
            InsetBox[
             FormBox[
              FrameBox[
               StyleBox[
                TagBox["w", HoldForm], {"StandardForm", "Output", 
                 GrayLevel[0]}, FontSize -> Scaled[0.05], StripOnInput -> 
                False], Background -> RGBColor[1., 1., 0.871], FrameStyle -> 
               GrayLevel[0.5], FrameMargins -> Inherited, StripOnInput -> 
               False], StandardForm], 5], 
            TagBox["w", HoldForm]], Annotation[#, 
            HoldForm[$CellContext`w], "Tooltip"]& ], 
          TagBox[
           TooltipBox[
            InsetBox[
             FormBox[
              FrameBox[
               StyleBox[
                TagBox["v", HoldForm], {"StandardForm", "Output", 
                 GrayLevel[0]}, FontSize -> Scaled[0.05], StripOnInput -> 
                False], Background -> RGBColor[1., 1., 0.871], FrameStyle -> 
               GrayLevel[0.5], FrameMargins -> Inherited, StripOnInput -> 
               False], StandardForm], 6], 
            TagBox["v", HoldForm]], Annotation[#, 
            HoldForm[$CellContext`v], "Tooltip"]& ], 
          TagBox[
           TooltipBox[
            InsetBox[
             FormBox[
              FrameBox[
               StyleBox[
                TagBox["u1", HoldForm], {"StandardForm", "Output", 
                 GrayLevel[0]}, FontSize -> Scaled[0.05], StripOnInput -> 
                False], Background -> RGBColor[1., 1., 0.871], FrameStyle -> 
               GrayLevel[0.5], FrameMargins -> Inherited, StripOnInput -> 
               False], StandardForm], 7], 
            TagBox["u1", HoldForm]], Annotation[#, 
            HoldForm[$CellContext`u1], "Tooltip"]& ], 
          TagBox[
           TooltipBox[
            InsetBox[
             FormBox[
              FrameBox[
               StyleBox[
                TagBox["u2", HoldForm], {"StandardForm", "Output", 
                 GrayLevel[0]}, FontSize -> Scaled[0.05], StripOnInput -> 
                False], Background -> RGBColor[1., 1., 0.871], FrameStyle -> 
               GrayLevel[0.5], FrameMargins -> Inherited, StripOnInput -> 
               False], StandardForm], 8], 
            TagBox["u2", HoldForm]], Annotation[#, 
            HoldForm[$CellContext`u2], "Tooltip"]& ]}}, {}], 
       Annotation[#, 
        VertexCoordinateRules -> {{1.287592612918428, 3.4335803011158084`}, {
         0.42919753763947605`, 2.575185225836856}, {0.42919753763947605`, 
         1.7167901505579042`}, {0., 0.8583950752789522}, {0., 0.}, {
         0.8583950752789521, 0.8583950752789522}, {1.287592612918428, 
         2.575185225836856}, {2.1459876881973803`, 2.575185225836856}}]& ], 
      FrameTicks -> Automatic, PlotRange -> All, PlotRangePadding -> 
      Scaled[0.1], AspectRatio -> 
      NCache[Rational[1, 2] Rational[5, 2]^Rational[1, 2], 
        0.7905694150420949], FormatType :> StandardForm], 
     TreeForm[
      RightComposition[
       Map[
        RightComposition[
         Map[$CellContext`w], $CellContext`v]], $CellContext`u1, \
$CellContext`u2]], Editable -> False], 
    RowBox[{"Query", "[", 
      RowBox[{
        RowBox[{"u1", "/*", "u2"}], ",", "v", ",", "w"}], "]"}], 
    RowBox[{
      RowBox[{"Map", "[", 
        RowBox[{
          RowBox[{"Map", "[", "w", "]"}], "/*", "v"}], "]"}], "/*", "u1", 
      "/*", "u2"}]},
   "Labeled",
   DisplayFunction->(GridBox[{{
       ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
       TagBox[
        ItemBox[
         PaneBox[
          TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
          BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
        "SkipImageSizeLevel"]}, {
       ItemBox[#3, DefaultBaseStyle -> "LabeledLabel"]}}, 
     GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
     AutoDelete -> False, 
     GridBoxItemSize -> {"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
      BaselinePosition -> {2, 1}]& ),
   InterpretationFunction->(RowBox[{"Labeled", "[", 
      RowBox[{#, ",", 
        RowBox[{"{", 
          RowBox[{#2, ",", #3}], "}"}], ",", 
        RowBox[{"{", 
          RowBox[{"Top", ",", "Bottom"}], "}"}], ",", 
        RowBox[{"{", "}"}]}], "]"}]& )],
  StripOnInput->False]], "Output",
 CellChangeTimes->{3.7691909899162283`*^9, 3.769191113075551*^9, 
  3.769191359421446*^9, 3.769191436418726*^9, 3.7694257913400717`*^9, 
  3.769956297612729*^9, 3.769959356648182*^9, 3.771864693889894*^9, 
  3.7719233831551113`*^9, 3.771930218744975*^9, 3.771930363182638*^9, 
  3.881422420931427*^9},
 CellTags->"LastCellOfAPage",
 CellLabel->"Out[386]=",
 CellID->2028382706,ExpressionUUID->"e124599c-c915-4ef7-a20d-22e93aa900e9"]
}, Open  ]],

Cell[TextData[{
 "Now notice that although ",
 Cell[BoxData[
 "u1"], "InlineCodeText",ExpressionUUID->
  "0fa5753e-e1dd-4d12-be3c-787158860462"],
 " comes before ",
 Cell[BoxData[
 "u2"], "InlineCodeText",ExpressionUUID->
  "a3793624-d52a-40db-9b5b-b9170a2e4a5a"],
 ", ",
 Cell[BoxData[
 "u1"], "InlineCodeText",ExpressionUUID->
  "e76affee-4155-4285-99e2-4195b2a4969b"],
 " is the first element in the right composition and ",
 Cell[BoxData[
 "u2"], "InlineCodeText",ExpressionUUID->
  "6ab98240-55be-49c6-b40e-0e99ee45f2ab"],
 " is the second element. If more than one function is part of the same \
argument to ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 ", the functions are right composed in the order provided, not in reverse \
order. The reverse ordering convention described previously applies only with \
respect to differently positioned arguments to ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 "."
}], "Text",
 CellChangeTimes->{{3.769192226086699*^9, 3.769192311253367*^9}, {
   3.7718828406081257`*^9, 3.7718828448489227`*^9}, {3.777050089567728*^9, 
   3.7770501026440353`*^9}, {3.7770508279556*^9, 3.777050862636722*^9}, 
   3.8673229688140354`*^9},
 CellTags->"p: 116",
 CellID->669653496,ExpressionUUID->"ee13aeaf-e86e-4cab-b930-3449276c7cf2"],

Cell[TextData[{
 "Here\[CloseCurlyQuote]s what happens when I apply this ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " to some data. I\[CloseCurlyQuote]ll show the results using ",
 ButtonBox["TreeForm",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/TreeForm.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/TreeForm.html"],
 "."
}], "Text",
 CellChangeTimes->{{3.769192590278226*^9, 3.769192636569295*^9}, {
   3.7694260543670883`*^9, 3.769426055310733*^9}, {3.7718828793361073`*^9, 
   3.771882880746213*^9}, {3.7770411839500227`*^9, 3.77704118462309*^9}, {
   3.777050869481634*^9, 3.7770508823023524`*^9}, 3.858244447990035*^9, {
   3.86794230553293*^9, 3.867942306020804*^9}},
 CellID->2051996992,ExpressionUUID->"dd3a87e0-f865-49fd-adea-daeafff99c6c"],

Cell[TextData[{
 "Visualize the results of a ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " that itself contains composed operators:"
}], "CodeText",
 CellChangeTimes->{{3.7695122744223013`*^9, 3.7695122908739243`*^9}, 
   3.7770419898830085`*^9, 3.777050885865996*^9, 3.858244457488377*^9},
 CellID->608594760,ExpressionUUID->"3035960f-708a-48ff-8634-c0df6c59c7c9"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"TreeForm", "[", 
   RowBox[{
    RowBox[{"Query", "[", 
     RowBox[{
      RowBox[{"u1", "/*", "u2"}], ",", "v", ",", "w"}], "]"}], "[", 
    RowBox[{"g", "[", 
     RowBox[{"8", ",", 
      RowBox[{"h", "[", 
       RowBox[{"x", ",", "y", ",", "9"}], "]"}]}], "]"}], "]"}], "]"}], "//", 
  "Framed"}]], "Input",
 CellChangeTimes->{{3.769192610185081*^9, 3.769192623268886*^9}, {
  3.769192693478036*^9, 3.76919269945827*^9}, {3.771864702783225*^9, 
  3.771864760134762*^9}},
 CellLabel->"In[523]:=",
 CellID->1473557371,ExpressionUUID->"7087966b-4cfd-41a1-bbdd-dc2f336dcd21"],

Cell[BoxData[
 FrameBox[
  InterpretationBox[
   GraphicsBox[
    TagBox[
     GraphicsComplexBox[{{0.4548588261473421, 5.458305913768105}, {
      0.4548588261473421, 4.548588261473421}, {0.4548588261473421, 
      3.6388706091787366`}, {0., 2.7291529568840525`}, {0., 
      1.8194353045893683`}, {0.9097176522946842, 2.7291529568840525`}, {
      0.9097176522946842, 1.8194353045893683`}, {0., 0.9097176522946837}, {0.,
       0.}, {0.9097176522946842, 0.9097176522946837}, {0.9097176522946842, 
      0.}, {1.8194353045893683`, 0.9097176522946837}, {1.8194353045893683`, 
      0.}}, {
       {RGBColor[0.55, 0.45, 0.45], 
        LineBox[{{1, 2}, {2, 3}, {3, 4}, {3, 6}, {4, 5}, {6, 7}, {7, 8}, {7, 
         10}, {7, 12}, {8, 9}, {10, 11}, {12, 13}}]}, {
        TagBox[
         TooltipBox[InsetBox[
           FrameBox[
            StyleBox["u2", "StandardForm", "Output",
             StripOnInput->False,
             LineColor->GrayLevel[0],
             FrontFaceColor->GrayLevel[0],
             GraphicsColor->GrayLevel[0],
             FontSize->Scaled[0.05],
             FontColor->GrayLevel[0],
             $CellContext`BackFaceColor -> GrayLevel[0]],
            Background->RGBColor[1., 1., 0.871],
            FrameStyle->GrayLevel[0.5],
            StripOnInput->False], 1],
          TagBox[
           RowBox[{"u2", "[", 
             RowBox[{"u1", "[", 
               RowBox[{"g", "[", 
                 RowBox[{
                   RowBox[{"v", "[", "8", "]"}], ",", 
                   RowBox[{"v", "[", 
                    RowBox[{"h", "[", 
                    RowBox[{
                    RowBox[{"w", "[", "x", "]"}], ",", 
                    RowBox[{"w", "[", "y", "]"}], ",", 
                    RowBox[{"w", "[", "9", "]"}]}], "]"}], "]"}]}], "]"}], 
               "]"}], "]"}], HoldForm]],
         Annotation[#, 
          HoldForm[
           $CellContext`u2[
            $CellContext`u1[
             $CellContext`g[
              $CellContext`v[8], 
              $CellContext`v[
               $CellContext`h[
                $CellContext`w[$CellContext`x], 
                $CellContext`w[$CellContext`y], 
                $CellContext`w[9]]]]]]], "Tooltip"]& ], 
        TagBox[
         TooltipBox[InsetBox[
           FrameBox[
            StyleBox["u1", "StandardForm", "Output",
             StripOnInput->False,
             LineColor->GrayLevel[0],
             FrontFaceColor->GrayLevel[0],
             GraphicsColor->GrayLevel[0],
             FontSize->Scaled[0.05],
             FontColor->GrayLevel[0],
             $CellContext`BackFaceColor -> GrayLevel[0]],
            Background->RGBColor[1., 1., 0.871],
            FrameStyle->GrayLevel[0.5],
            StripOnInput->False], 2],
          TagBox[
           RowBox[{"u1", "[", 
             RowBox[{"g", "[", 
               RowBox[{
                 RowBox[{"v", "[", "8", "]"}], ",", 
                 RowBox[{"v", "[", 
                   RowBox[{"h", "[", 
                    RowBox[{
                    RowBox[{"w", "[", "x", "]"}], ",", 
                    RowBox[{"w", "[", "y", "]"}], ",", 
                    RowBox[{"w", "[", "9", "]"}]}], "]"}], "]"}]}], "]"}], 
             "]"}], HoldForm]],
         Annotation[#, 
          HoldForm[
           $CellContext`u1[
            $CellContext`g[
             $CellContext`v[8], 
             $CellContext`v[
              $CellContext`h[
               $CellContext`w[$CellContext`x], 
               $CellContext`w[$CellContext`y], 
               $CellContext`w[9]]]]]], "Tooltip"]& ], 
        TagBox[
         TooltipBox[InsetBox[
           FrameBox[
            StyleBox["g", "StandardForm", "Output",
             StripOnInput->False,
             LineColor->GrayLevel[0],
             FrontFaceColor->GrayLevel[0],
             GraphicsColor->GrayLevel[0],
             FontSize->Scaled[0.05],
             FontColor->GrayLevel[0],
             $CellContext`BackFaceColor -> GrayLevel[0]],
            Background->RGBColor[1., 1., 0.871],
            FrameStyle->GrayLevel[0.5],
            StripOnInput->False], 3],
          TagBox[
           RowBox[{"g", "[", 
             RowBox[{
               RowBox[{"v", "[", "8", "]"}], ",", 
               RowBox[{"v", "[", 
                 RowBox[{"h", "[", 
                   RowBox[{
                    RowBox[{"w", "[", "x", "]"}], ",", 
                    RowBox[{"w", "[", "y", "]"}], ",", 
                    RowBox[{"w", "[", "9", "]"}]}], "]"}], "]"}]}], "]"}], 
           HoldForm]],
         Annotation[#, 
          HoldForm[
           $CellContext`g[
            $CellContext`v[8], 
            $CellContext`v[
             $CellContext`h[
              $CellContext`w[$CellContext`x], 
              $CellContext`w[$CellContext`y], 
              $CellContext`w[9]]]]], "Tooltip"]& ], 
        TagBox[
         TooltipBox[InsetBox[
           FrameBox[
            StyleBox["v", "StandardForm", "Output",
             StripOnInput->False,
             LineColor->GrayLevel[0],
             FrontFaceColor->GrayLevel[0],
             GraphicsColor->GrayLevel[0],
             FontSize->Scaled[0.05],
             FontColor->GrayLevel[0],
             $CellContext`BackFaceColor -> GrayLevel[0]],
            Background->RGBColor[1., 1., 0.871],
            FrameStyle->GrayLevel[0.5],
            StripOnInput->False], 4],
          TagBox[
           RowBox[{"v", "[", "8", "]"}], HoldForm]],
         Annotation[#, 
          HoldForm[
           $CellContext`v[8]], "Tooltip"]& ], 
        TagBox[
         TooltipBox[InsetBox[
           FrameBox[
            StyleBox[
             TagBox["8",
              HoldForm], "StandardForm", "Output",
             StripOnInput->False,
             LineColor->GrayLevel[0],
             FrontFaceColor->GrayLevel[0],
             GraphicsColor->GrayLevel[0],
             FontSize->Scaled[0.05],
             FontColor->GrayLevel[0],
             $CellContext`BackFaceColor -> GrayLevel[0]],
            Background->RGBColor[1., 1., 0.871],
            FrameStyle->GrayLevel[0.5],
            StripOnInput->False], 5],
          TagBox["8", HoldForm]],
         Annotation[#, 
          HoldForm[8], "Tooltip"]& ], 
        TagBox[
         TooltipBox[InsetBox[
           FrameBox[
            StyleBox["v", "StandardForm", "Output",
             StripOnInput->False,
             LineColor->GrayLevel[0],
             FrontFaceColor->GrayLevel[0],
             GraphicsColor->GrayLevel[0],
             FontSize->Scaled[0.05],
             FontColor->GrayLevel[0],
             $CellContext`BackFaceColor -> GrayLevel[0]],
            Background->RGBColor[1., 1., 0.871],
            FrameStyle->GrayLevel[0.5],
            StripOnInput->False], 6],
          TagBox[
           RowBox[{"v", "[", 
             RowBox[{"h", "[", 
               RowBox[{
                 RowBox[{"w", "[", "x", "]"}], ",", 
                 RowBox[{"w", "[", "y", "]"}], ",", 
                 RowBox[{"w", "[", "9", "]"}]}], "]"}], "]"}], HoldForm]],
         Annotation[#, 
          HoldForm[
           $CellContext`v[
            $CellContext`h[
             $CellContext`w[$CellContext`x], 
             $CellContext`w[$CellContext`y], 
             $CellContext`w[9]]]], "Tooltip"]& ], 
        TagBox[
         TooltipBox[InsetBox[
           FrameBox[
            StyleBox["h", "StandardForm", "Output",
             StripOnInput->False,
             LineColor->GrayLevel[0],
             FrontFaceColor->GrayLevel[0],
             GraphicsColor->GrayLevel[0],
             FontSize->Scaled[0.05],
             FontColor->GrayLevel[0],
             $CellContext`BackFaceColor -> GrayLevel[0]],
            Background->RGBColor[1., 1., 0.871],
            FrameStyle->GrayLevel[0.5],
            StripOnInput->False], 7],
          TagBox[
           RowBox[{"h", "[", 
             RowBox[{
               RowBox[{"w", "[", "x", "]"}], ",", 
               RowBox[{"w", "[", "y", "]"}], ",", 
               RowBox[{"w", "[", "9", "]"}]}], "]"}], HoldForm]],
         Annotation[#, 
          HoldForm[
           $CellContext`h[
            $CellContext`w[$CellContext`x], 
            $CellContext`w[$CellContext`y], 
            $CellContext`w[9]]], "Tooltip"]& ], 
        TagBox[
         TooltipBox[InsetBox[
           FrameBox[
            StyleBox["w", "StandardForm", "Output",
             StripOnInput->False,
             LineColor->GrayLevel[0],
             FrontFaceColor->GrayLevel[0],
             GraphicsColor->GrayLevel[0],
             FontSize->Scaled[0.05],
             FontColor->GrayLevel[0],
             $CellContext`BackFaceColor -> GrayLevel[0]],
            Background->RGBColor[1., 1., 0.871],
            FrameStyle->GrayLevel[0.5],
            StripOnInput->False], 8],
          TagBox[
           RowBox[{"w", "[", "x", "]"}], HoldForm]],
         Annotation[#, 
          HoldForm[
           $CellContext`w[$CellContext`x]], "Tooltip"]& ], 
        TagBox[
         TooltipBox[InsetBox[
           FrameBox[
            StyleBox[
             TagBox["x",
              HoldForm], "StandardForm", "Output",
             StripOnInput->False,
             LineColor->GrayLevel[0],
             FrontFaceColor->GrayLevel[0],
             GraphicsColor->GrayLevel[0],
             FontSize->Scaled[0.05],
             FontColor->GrayLevel[0],
             $CellContext`BackFaceColor -> GrayLevel[0]],
            Background->RGBColor[1., 1., 0.871],
            FrameStyle->GrayLevel[0.5],
            StripOnInput->False], 9],
          TagBox["x", HoldForm]],
         Annotation[#, 
          HoldForm[$CellContext`x], "Tooltip"]& ], 
        TagBox[
         TooltipBox[InsetBox[
           FrameBox[
            StyleBox["w", "StandardForm", "Output",
             StripOnInput->False,
             LineColor->GrayLevel[0],
             FrontFaceColor->GrayLevel[0],
             GraphicsColor->GrayLevel[0],
             FontSize->Scaled[0.05],
             FontColor->GrayLevel[0],
             $CellContext`BackFaceColor -> GrayLevel[0]],
            Background->RGBColor[1., 1., 0.871],
            FrameStyle->GrayLevel[0.5],
            StripOnInput->False], 10],
          TagBox[
           RowBox[{"w", "[", "y", "]"}], HoldForm]],
         Annotation[#, 
          HoldForm[
           $CellContext`w[$CellContext`y]], "Tooltip"]& ], 
        TagBox[
         TooltipBox[InsetBox[
           FrameBox[
            StyleBox[
             TagBox["y",
              HoldForm], "StandardForm", "Output",
             StripOnInput->False,
             LineColor->GrayLevel[0],
             FrontFaceColor->GrayLevel[0],
             GraphicsColor->GrayLevel[0],
             FontSize->Scaled[0.05],
             FontColor->GrayLevel[0],
             $CellContext`BackFaceColor -> GrayLevel[0]],
            Background->RGBColor[1., 1., 0.871],
            FrameStyle->GrayLevel[0.5],
            StripOnInput->False], 11],
          TagBox["y", HoldForm]],
         Annotation[#, 
          HoldForm[$CellContext`y], "Tooltip"]& ], 
        TagBox[
         TooltipBox[InsetBox[
           FrameBox[
            StyleBox["w", "StandardForm", "Output",
             StripOnInput->False,
             LineColor->GrayLevel[0],
             FrontFaceColor->GrayLevel[0],
             GraphicsColor->GrayLevel[0],
             FontSize->Scaled[0.05],
             FontColor->GrayLevel[0],
             $CellContext`BackFaceColor -> GrayLevel[0]],
            Background->RGBColor[1., 1., 0.871],
            FrameStyle->GrayLevel[0.5],
            StripOnInput->False], 12],
          TagBox[
           RowBox[{"w", "[", "9", "]"}], HoldForm]],
         Annotation[#, 
          HoldForm[
           $CellContext`w[9]], "Tooltip"]& ], 
        TagBox[
         TooltipBox[InsetBox[
           FrameBox[
            StyleBox[
             TagBox["9",
              HoldForm], "StandardForm", "Output",
             StripOnInput->False,
             LineColor->GrayLevel[0],
             FrontFaceColor->GrayLevel[0],
             GraphicsColor->GrayLevel[0],
             FontSize->Scaled[0.05],
             FontColor->GrayLevel[0],
             $CellContext`BackFaceColor -> GrayLevel[0]],
            Background->RGBColor[1., 1., 0.871],
            FrameStyle->GrayLevel[0.5],
            StripOnInput->False], 13],
          TagBox["9", HoldForm]],
         Annotation[#, 
          HoldForm[9], "Tooltip"]& ]}}],
     Annotation[#, 
      VertexCoordinateRules -> {{0.4548588261473421, 5.458305913768105}, {
       0.4548588261473421, 4.548588261473421}, {0.4548588261473421, 
       3.6388706091787366`}, {0., 2.7291529568840525`}, {0., 
       1.8194353045893683`}, {0.9097176522946842, 2.7291529568840525`}, {
       0.9097176522946842, 1.8194353045893683`}, {0., 0.9097176522946837}, {
       0., 0.}, {0.9097176522946842, 0.9097176522946837}, {0.9097176522946842,
        0.}, {1.8194353045893683`, 0.9097176522946837}, {1.8194353045893683`, 
       0.}}]& ],
    AspectRatio->NCache[Rational[14, 3]^Rational[1, 2], 2.160246899469287],
    FormatType:>StandardForm,
    FrameTicks->Automatic,
    PlotRange->All,
    PlotRangePadding->Scaled[0.1]],
   TreeForm[
    $CellContext`u2[
     $CellContext`u1[
      $CellContext`g[
       $CellContext`v[8], 
       $CellContext`v[
        $CellContext`h[
         $CellContext`w[$CellContext`x], 
         $CellContext`w[$CellContext`y], 
         $CellContext`w[9]]]]]]],
   Editable->False],
  StripOnInput->False]], "Output",
 CellChangeTimes->{
  3.76919262389097*^9, 3.7691927025756073`*^9, 3.7699562976310663`*^9, 
   3.7699593566640587`*^9, {3.7718647047661877`*^9, 3.7718647604674387`*^9}, 
   3.771923383210876*^9, 3.771930218810738*^9, 3.7719303632236223`*^9, 
   3.881422436501933*^9, 3.881423747783486*^9},
 CellLabel->"Out[523]=",
 CellID->794374154,ExpressionUUID->"52ba15f7-8790-45ee-a1bb-65f793953998"]
}, Open  ]],

Cell[TextData[{
 "You can see the composition as ",
 Cell[BoxData[
 "u1"], "InlineCodeText",ExpressionUUID->
  "2bddb354-6796-4c3e-a103-f368429baf91"],
 " is first applied at the top level and then ",
 Cell[BoxData[
 "u2"], "InlineCodeText",ExpressionUUID->
  "8516f499-3e4d-4e73-8514-a9d005e3cfff"],
 " is applied."
}], "Text",
 CellChangeTimes->{{3.769192710716055*^9, 3.7691927385951033`*^9}, {
  3.777050902736309*^9, 3.77705090952763*^9}},
 CellID->187520659,ExpressionUUID->"5d384f2c-5eaf-4b4e-b5ec-0ee314bc00b2"],

Cell[TextData[{
 "Here\[CloseCurlyQuote]s a yet more baroque ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 ". I wish I could tell you that we never do things this complicated, but as \
you will see, we do. So it\[CloseCurlyQuote]s crucial to understand the order \
of operations."
}], "Text",
 CellChangeTimes->{{3.76919111787738*^9, 3.769191120376196*^9}, {
  3.769192316139473*^9, 3.769192341917797*^9}, {3.769426067413232*^9, 
  3.769426068726673*^9}, {3.7770509571618657`*^9, 3.777050963995182*^9}, {
  3.858009597073432*^9, 3.858009600997744*^9}},
 CellID->1301205664,ExpressionUUID->"654d0253-f926-4c89-912d-16a5a5ed14a0"],

Cell[TextData[{
 "Visualize a ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " making extensive use of composed operators:"
}], "CodeText",
 CellChangeTimes->{{3.769512309853012*^9, 3.769512325933022*^9}, 
   3.7770419936410084`*^9, 3.858244499931405*^9},
 CellID->2123264644,ExpressionUUID->"554dded8-0426-4549-90b4-a07519402f72"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"labeledQueryTreeForm", "[", 
   RowBox[{
    RowBox[{"Query", "[", 
     RowBox[{
      RowBox[{"u1", "/*", "u2"}], ",", 
      RowBox[{"v1", "/*", "v2", "/*", "v3"}], ",", 
      RowBox[{"w1", "/*", "w2"}]}], "]"}], ",", 
    RowBox[{"ImageSize", "\[Rule]", "420"}]}], "]"}], "//", 
  "Framed"}]], "Input",
 CellChangeTimes->{{3.7691913677515087`*^9, 3.769191383641665*^9}, {
  3.7718647704977016`*^9, 3.7718647782924347`*^9}, {3.771864827726781*^9, 
  3.7718648392002068`*^9}, {3.771882895516665*^9, 3.771882903687549*^9}, {
  3.771882951805983*^9, 3.771882953308456*^9}},
 CellLabel->"In[388]:=",
 CellID->1537617447,ExpressionUUID->"42595cc3-edf5-4e13-8e0e-f516558f2b2d"],

Cell[BoxData[
 FrameBox[
  TemplateBox[{
    InterpretationBox[
     GraphicsBox[
      TagBox[
       GraphicsComplexBox[{{2.313298802868179, 3.8554980047802987`}, {
        1.5421992019121196`, 3.084398403824239}, {1.5421992019121196`, 
        2.313298802868179}, {0.3855498004780299, 1.5421992019121196`}, {
        0.3855498004780299, 0.7710996009560596}, {0., 0.}, {
        0.7710996009560598, 0.}, {1.1566494014340896`, 1.5421992019121196`}, {
        1.9277490023901493`, 1.5421992019121196`}, {2.698848603346209, 
        1.5421992019121196`}, {2.313298802868179, 3.084398403824239}, {
        3.084398403824239, 3.084398403824239}}, {{
          RGBColor[0.55, 0.45, 0.45], 
          
          LineBox[{{1, 2}, {1, 11}, {1, 12}, {2, 3}, {3, 4}, {3, 8}, {3, 9}, {
           3, 10}, {4, 5}, {5, 6}, {5, 7}}]}, {
          TagBox[
           TooltipBox[
            InsetBox[
             FormBox[
              FrameBox[
               StyleBox["RightComposition", {"StandardForm", "Output", 
                 GrayLevel[0]}, FontSize -> Scaled[0.05], StripOnInput -> 
                False], Background -> RGBColor[1., 1., 0.871], FrameStyle -> 
               GrayLevel[0.5], FrameMargins -> Inherited, StripOnInput -> 
               False], StandardForm], 1], 
            TagBox[
             RowBox[{
               RowBox[{"Map", "[", 
                 RowBox[{
                   RowBox[{"Map", "[", 
                    RowBox[{"w1", "/*", "w2"}], "]"}], "/*", "v1", "/*", "v2",
                    "/*", "v3"}], "]"}], "/*", "u1", "/*", "u2"}], HoldForm]],
            Annotation[#, 
            HoldForm[
             RightComposition[
              Map[
               RightComposition[
                Map[
                 
                 RightComposition[$CellContext`w1, $CellContext`w2]], \
$CellContext`v1, $CellContext`v2, $CellContext`v3]], $CellContext`u1, \
$CellContext`u2]], "Tooltip"]& ], 
          TagBox[
           TooltipBox[
            InsetBox[
             FormBox[
              FrameBox[
               StyleBox["Map", {"StandardForm", "Output", 
                 GrayLevel[0]}, FontSize -> Scaled[0.05], StripOnInput -> 
                False], Background -> RGBColor[1., 1., 0.871], FrameStyle -> 
               GrayLevel[0.5], FrameMargins -> Inherited, StripOnInput -> 
               False], StandardForm], 2], 
            TagBox[
             RowBox[{"Map", "[", 
               RowBox[{
                 RowBox[{"Map", "[", 
                   RowBox[{"w1", "/*", "w2"}], "]"}], "/*", "v1", "/*", "v2", 
                 "/*", "v3"}], "]"}], HoldForm]], Annotation[#, 
            HoldForm[
             Map[
              RightComposition[
               Map[
                
                RightComposition[$CellContext`w1, $CellContext`w2]], \
$CellContext`v1, $CellContext`v2, $CellContext`v3]]], "Tooltip"]& ], 
          TagBox[
           TooltipBox[
            InsetBox[
             FormBox[
              FrameBox[
               StyleBox["RightComposition", {"StandardForm", "Output", 
                 GrayLevel[0]}, FontSize -> Scaled[0.05], StripOnInput -> 
                False], Background -> RGBColor[1., 1., 0.871], FrameStyle -> 
               GrayLevel[0.5], FrameMargins -> Inherited, StripOnInput -> 
               False], StandardForm], 3], 
            TagBox[
             RowBox[{
               RowBox[{"Map", "[", 
                 RowBox[{"w1", "/*", "w2"}], "]"}], "/*", "v1", "/*", "v2", 
               "/*", "v3"}], HoldForm]], Annotation[#, 
            HoldForm[
             RightComposition[
              Map[
               
               RightComposition[$CellContext`w1, $CellContext`w2]], \
$CellContext`v1, $CellContext`v2, $CellContext`v3]], "Tooltip"]& ], 
          TagBox[
           TooltipBox[
            InsetBox[
             FormBox[
              FrameBox[
               StyleBox["Map", {"StandardForm", "Output", 
                 GrayLevel[0]}, FontSize -> Scaled[0.05], StripOnInput -> 
                False], Background -> RGBColor[1., 1., 0.871], FrameStyle -> 
               GrayLevel[0.5], FrameMargins -> Inherited, StripOnInput -> 
               False], StandardForm], 4], 
            TagBox[
             RowBox[{"Map", "[", 
               RowBox[{"w1", "/*", "w2"}], "]"}], HoldForm]], Annotation[#, 
            HoldForm[
             Map[
              RightComposition[$CellContext`w1, $CellContext`w2]]], 
            "Tooltip"]& ], 
          TagBox[
           TooltipBox[
            InsetBox[
             FormBox[
              FrameBox[
               StyleBox["RightComposition", {"StandardForm", "Output", 
                 GrayLevel[0]}, FontSize -> Scaled[0.05], StripOnInput -> 
                False], Background -> RGBColor[1., 1., 0.871], FrameStyle -> 
               GrayLevel[0.5], FrameMargins -> Inherited, StripOnInput -> 
               False], StandardForm], 5], 
            TagBox[
             RowBox[{"w1", "/*", "w2"}], HoldForm]], Annotation[#, 
            HoldForm[
             RightComposition[$CellContext`w1, $CellContext`w2]], 
            "Tooltip"]& ], 
          TagBox[
           TooltipBox[
            InsetBox[
             FormBox[
              FrameBox[
               StyleBox[
                TagBox["w1", HoldForm], {"StandardForm", "Output", 
                 GrayLevel[0]}, FontSize -> Scaled[0.05], StripOnInput -> 
                False], Background -> RGBColor[1., 1., 0.871], FrameStyle -> 
               GrayLevel[0.5], FrameMargins -> Inherited, StripOnInput -> 
               False], StandardForm], 6], 
            TagBox["w1", HoldForm]], Annotation[#, 
            HoldForm[$CellContext`w1], "Tooltip"]& ], 
          TagBox[
           TooltipBox[
            InsetBox[
             FormBox[
              FrameBox[
               StyleBox[
                TagBox["w2", HoldForm], {"StandardForm", "Output", 
                 GrayLevel[0]}, FontSize -> Scaled[0.05], StripOnInput -> 
                False], Background -> RGBColor[1., 1., 0.871], FrameStyle -> 
               GrayLevel[0.5], FrameMargins -> Inherited, StripOnInput -> 
               False], StandardForm], 7], 
            TagBox["w2", HoldForm]], Annotation[#, 
            HoldForm[$CellContext`w2], "Tooltip"]& ], 
          TagBox[
           TooltipBox[
            InsetBox[
             FormBox[
              FrameBox[
               StyleBox[
                TagBox["v1", HoldForm], {"StandardForm", "Output", 
                 GrayLevel[0]}, FontSize -> Scaled[0.05], StripOnInput -> 
                False], Background -> RGBColor[1., 1., 0.871], FrameStyle -> 
               GrayLevel[0.5], FrameMargins -> Inherited, StripOnInput -> 
               False], StandardForm], 8], 
            TagBox["v1", HoldForm]], Annotation[#, 
            HoldForm[$CellContext`v1], "Tooltip"]& ], 
          TagBox[
           TooltipBox[
            InsetBox[
             FormBox[
              FrameBox[
               StyleBox[
                TagBox["v2", HoldForm], {"StandardForm", "Output", 
                 GrayLevel[0]}, FontSize -> Scaled[0.05], StripOnInput -> 
                False], Background -> RGBColor[1., 1., 0.871], FrameStyle -> 
               GrayLevel[0.5], FrameMargins -> Inherited, StripOnInput -> 
               False], StandardForm], 9], 
            TagBox["v2", HoldForm]], Annotation[#, 
            HoldForm[$CellContext`v2], "Tooltip"]& ], 
          TagBox[
           TooltipBox[
            InsetBox[
             FormBox[
              FrameBox[
               StyleBox[
                TagBox["v3", HoldForm], {"StandardForm", "Output", 
                 GrayLevel[0]}, FontSize -> Scaled[0.05], StripOnInput -> 
                False], Background -> RGBColor[1., 1., 0.871], FrameStyle -> 
               GrayLevel[0.5], FrameMargins -> Inherited, StripOnInput -> 
               False], StandardForm], 10], 
            TagBox["v3", HoldForm]], Annotation[#, 
            HoldForm[$CellContext`v3], "Tooltip"]& ], 
          TagBox[
           TooltipBox[
            InsetBox[
             FormBox[
              FrameBox[
               StyleBox[
                TagBox["u1", HoldForm], {"StandardForm", "Output", 
                 GrayLevel[0]}, FontSize -> Scaled[0.05], StripOnInput -> 
                False], Background -> RGBColor[1., 1., 0.871], FrameStyle -> 
               GrayLevel[0.5], FrameMargins -> Inherited, StripOnInput -> 
               False], StandardForm], 11], 
            TagBox["u1", HoldForm]], Annotation[#, 
            HoldForm[$CellContext`u1], "Tooltip"]& ], 
          TagBox[
           TooltipBox[
            InsetBox[
             FormBox[
              FrameBox[
               StyleBox[
                TagBox["u2", HoldForm], {"StandardForm", "Output", 
                 GrayLevel[0]}, FontSize -> Scaled[0.05], StripOnInput -> 
                False], Background -> RGBColor[1., 1., 0.871], FrameStyle -> 
               GrayLevel[0.5], FrameMargins -> Inherited, StripOnInput -> 
               False], StandardForm], 12], 
            TagBox["u2", HoldForm]], Annotation[#, 
            HoldForm[$CellContext`u2], "Tooltip"]& ]}}, {}], 
       Annotation[#, 
        VertexCoordinateRules -> {{2.313298802868179, 3.8554980047802987`}, {
         1.5421992019121196`, 3.084398403824239}, {1.5421992019121196`, 
         2.313298802868179}, {0.3855498004780299, 1.5421992019121196`}, {
         0.3855498004780299, 0.7710996009560596}, {0., 0.}, {
         0.7710996009560598, 0.}, {1.1566494014340896`, 
         1.5421992019121196`}, {1.9277490023901493`, 1.5421992019121196`}, {
         2.698848603346209, 1.5421992019121196`}, {2.313298802868179, 
         3.084398403824239}, {3.084398403824239, 3.084398403824239}}]& ], 
      FrameTicks -> Automatic, PlotRange -> All, PlotRangePadding -> 
      Scaled[0.1], AspectRatio -> 
      NCache[Rational[1, 2] 3^Rational[1, 2], 0.8660254037844386], ImageSize -> 
      420, FormatType :> StandardForm], 
     TreeForm[
      RightComposition[
       Map[
        RightComposition[
         Map[
          
          RightComposition[$CellContext`w1, $CellContext`w2]], \
$CellContext`v1, $CellContext`v2, $CellContext`v3]], $CellContext`u1, \
$CellContext`u2], ImageSize -> 420], Editable -> False], 
    RowBox[{"Query", "[", 
      RowBox[{
        RowBox[{"u1", "/*", "u2"}], ",", 
        RowBox[{"v1", "/*", "v2", "/*", "v3"}], ",", 
        RowBox[{"w1", "/*", "w2"}]}], "]"}], 
    RowBox[{
      RowBox[{"Map", "[", 
        RowBox[{
          RowBox[{"Map", "[", 
            RowBox[{"w1", "/*", "w2"}], "]"}], "/*", "v1", "/*", "v2", "/*", 
          "v3"}], "]"}], "/*", "u1", "/*", "u2"}]},
   "Labeled",
   DisplayFunction->(GridBox[{{
       ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
       TagBox[
        ItemBox[
         PaneBox[
          TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
          BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
        "SkipImageSizeLevel"]}, {
       ItemBox[#3, DefaultBaseStyle -> "LabeledLabel"]}}, 
     GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
     AutoDelete -> False, 
     GridBoxItemSize -> {"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
      BaselinePosition -> {2, 1}]& ),
   InterpretationFunction->(RowBox[{"Labeled", "[", 
      RowBox[{#, ",", 
        RowBox[{"{", 
          RowBox[{#2, ",", #3}], "}"}], ",", 
        RowBox[{"{", 
          RowBox[{"Top", ",", "Bottom"}], "}"}], ",", 
        RowBox[{"{", "}"}]}], "]"}]& )],
  StripOnInput->False]], "Output",
 CellChangeTimes->{{3.769191376525258*^9, 3.769191383905514*^9}, 
   3.769191439135545*^9, 3.7695122988723288`*^9, 3.769956297672195*^9, 
   3.769959356698657*^9, {3.771864774605731*^9, 3.771864778682466*^9}, {
   3.771864830378851*^9, 3.771864839690445*^9}, 3.771882955339686*^9, 
   3.771923383257738*^9, 3.771930218855296*^9, 3.7719303632667*^9, 
   3.8814224442516603`*^9},
 CellTags->"LastCellOfAPage",
 CellLabel->"Out[388]=",
 CellID->1863436210,ExpressionUUID->"0e396507-5aef-47b8-aaac-8432dcf6bb28"]
}, Open  ]],

Cell[TextData[{
 "Here the ",
 Cell[BoxData[
  RowBox[{"w1", 
   ButtonBox["/*",
    BaseStyle->"FunctionHyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/RightComposition.html"],
       None},
    ButtonNote->
     "https://reference.wolfram.com/language/ref/RightComposition.html"], 
   "w2"}]], "InlineCodeText",ExpressionUUID->
  "28310f3d-b2bc-47fc-b4d4-0ce662239275"],
 " ",
 ButtonBox["RightComposition",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/RightComposition.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/RightComposition.html"],
 " comes first and is at the lowest level of the ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " tree. The mapping of that composition then is the first element in a ",
 ButtonBox["RightComposition",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/RightComposition.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/RightComposition.html"],
 " with ",
 Cell[BoxData[
 "v1"], "InlineCodeText",ExpressionUUID->
  "89e1486b-f4f2-414c-aa9c-c7cccffb5b85"],
 ", ",
 Cell[BoxData[
 "v2"], "InlineCodeText",ExpressionUUID->
  "b5bccce8-16c2-4941-bfd8-0f91ab65c6f8"],
 ", and ",
 Cell[BoxData[
 "v3"], "InlineCodeText",ExpressionUUID->
  "85f95560-30d1-4292-9fac-0342f14a440c"],
 ". That intermediate level is then itself the first element in a top-level ",
 ButtonBox["RightComposition",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/RightComposition.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/RightComposition.html"],
 " with ",
 Cell[BoxData[
 "u1"], "InlineCodeText",ExpressionUUID->
  "0ed74ed7-0069-461b-ac61-7ea103ac0a21"],
 " and ",
 Cell[BoxData[
 "u2"], "InlineCodeText",ExpressionUUID->
  "a67f4903-6931-4b30-959a-4cf02e0c9038"],
 ". It\[CloseCurlyQuote]s that last, top-level composition that is applied to \
the data."
}], "Text",
 CellChangeTimes->{{3.7691924249609003`*^9, 3.769192521548328*^9}, {
   3.7770509797976017`*^9, 3.7770510246561155`*^9}, {3.777051764314186*^9, 
   3.777051810727186*^9}, {3.7849867739858828`*^9, 3.784986780697728*^9}, {
   3.784986849137125*^9, 3.7849868520006933`*^9}, 3.785509316852454*^9, 
   3.787339953109414*^9, {3.858000612044395*^9, 3.8580006132799177`*^9}, {
   3.867754517712996*^9, 3.867754522791576*^9}},
 CellTags->"p: 117",
 CellID->973109509,ExpressionUUID->"81726349-247e-42b0-97b0-171f7756ed74"],

Cell[TextData[{
 "Again, let\[CloseCurlyQuote]s look at it with data. You can see the \
stacking of the operators. The functions ",
 Cell[BoxData[
 "w1"], "InlineCodeText",ExpressionUUID->
  "174501e0-ce28-4cac-96c9-f910e58f59bf"],
 " and ",
 Cell[BoxData[
 "w2"], "InlineCodeText",ExpressionUUID->
  "4cd22938-0137-4fae-8f62-bfd0444c8020"],
 " are serially applied to the data at the lowest level. Then ",
 Cell[BoxData[
 "v1"], "InlineCodeText",ExpressionUUID->
  "279ad336-1778-48cf-a865-fdb5ee3f3c49"],
 ", ",
 Cell[BoxData[
 "v2"], "InlineCodeText",ExpressionUUID->
  "ed654e34-6ee0-463c-a896-3b55e3d47c72"],
 ", and ",
 Cell[BoxData[
 "v3"], "InlineCodeText",ExpressionUUID->
  "0a54d6ca-bcef-4ba6-ba85-f607e81019b4"],
 " are applied to the intermediate results, and then ",
 Cell[BoxData[
 "u1"], "InlineCodeText",ExpressionUUID->
  "0a58b4a6-a7bb-4f6a-b9ed-ee0eea5a0bc6"],
 " and ",
 Cell[BoxData[
 "u2"], "InlineCodeText",ExpressionUUID->
  "601d7d70-1737-4716-ac70-ccc20f4c3a75"],
 " are applied to the top-level results. By the way, it\[CloseCurlyQuote]s \
almost as if we take the operators that appear horizontally in the diagram of \
the previous pure ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " and rotate them 90 degrees counterclockwise to see how they apply to the \
data."
}], "Text",
 CellChangeTimes->{{3.769192754356264*^9, 3.769192763309486*^9}, {
   3.769192795617318*^9, 3.769192870744421*^9}, {3.769192984974873*^9, 
   3.769193046883067*^9}, {3.777041191614789*^9, 3.777041192264854*^9}, {
   3.7770519467711864`*^9, 3.7770520047761865`*^9}, 3.7770520472021866`*^9, {
   3.8673289394033756`*^9, 3.867328946422881*^9}},
 CellID->1963545858,ExpressionUUID->"9b33b4a6-9ebf-4259-8622-f4abb7593cc0"],

Cell[TextData[{
 "Visualize the results of a ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " making extensive use of composed operators:"
}], "CodeText",
 CellChangeTimes->{{3.769512333582425*^9, 3.769512346899819*^9}, 
   3.7770420013370085`*^9, 3.858244652930825*^9},
 CellID->1457739734,ExpressionUUID->"38c03118-2615-4b8c-9e9d-e76ff72f48a2"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"TreeForm", "[", 
   RowBox[{
    RowBox[{"Query", "[", 
     RowBox[{
      RowBox[{"u1", "/*", "u2"}], ",", 
      RowBox[{"v1", "/*", "v2", "/*", "v3"}], ",", 
      RowBox[{"w1", "/*", "w2"}]}], "]"}], "[", 
    RowBox[{"g", "[", 
     RowBox[{"8", ",", 
      RowBox[{"h", "[", 
       RowBox[{"x", ",", "y", ",", "9"}], "]"}]}], "]"}], "]"}], "]"}], "//", 
  "Framed"}]], "Input",
 CellChangeTimes->{{3.769192764753016*^9, 3.7691927835749493`*^9}, {
  3.771864849911553*^9, 3.771864870576552*^9}},
 CellLabel->"In[524]:=",
 CellID->934031957,ExpressionUUID->"f10cd2c5-1613-4b46-be2f-f61030ef474b"],

Cell[BoxData[
 FrameBox[
  InterpretationBox[
   GraphicsBox[
    TagBox[GraphicsComplexBox[CompressedData["
1:eJxTTMoPSmViYGAQAWIQveGU5DFG0Xv2zE15/y+8VnCA8SG0HJwfNTGsNzFI
yoEBClgiJocc7BeD89fJXZBWPCsE50P08aGpZ4Oa984eph/Gh+mH8WH6UdWz
oZn/zx6V/w7ORxeHqUflI2h0c7HTCHNg6gGmzmcn
      "], {
       {RGBColor[0.55, 0.45, 0.45], 
        LineBox[{{1, 2}, {2, 3}, {3, 4}, {3, 8}, {4, 5}, {5, 6}, {6, 7}, {8, 
         9}, {9, 10}, {10, 11}, {11, 12}, {11, 15}, {11, 18}, {12, 13}, {13, 
         14}, {15, 16}, {16, 17}, {18, 19}, {19, 20}}]}, {
        TagBox[
         TooltipBox[InsetBox[
           FrameBox[
            StyleBox["u2", "StandardForm", "Output",
             StripOnInput->False,
             LineColor->GrayLevel[0],
             FrontFaceColor->GrayLevel[0],
             GraphicsColor->GrayLevel[0],
             FontSize->Scaled[0.05],
             FontColor->GrayLevel[0],
             $CellContext`BackFaceColor -> GrayLevel[0]],
            Background->RGBColor[1., 1., 0.871],
            FrameStyle->GrayLevel[0.5],
            StripOnInput->False], 1],
          TagBox[
           RowBox[{"u2", "[", 
             RowBox[{"u1", "[", 
               RowBox[{"g", "[", 
                 RowBox[{
                   RowBox[{"v3", "[", 
                    RowBox[{"v2", "[", 
                    RowBox[{"v1", "[", "8", "]"}], "]"}], "]"}], ",", 
                   RowBox[{"v3", "[", 
                    RowBox[{"v2", "[", 
                    RowBox[{"v1", "[", 
                    RowBox[{"h", "[", 
                    RowBox[{
                    RowBox[{"w2", "[", 
                    RowBox[{"w1", "[", "x", "]"}], "]"}], ",", 
                    RowBox[{"w2", "[", 
                    RowBox[{"w1", "[", "y", "]"}], "]"}], ",", 
                    RowBox[{"w2", "[", 
                    RowBox[{"w1", "[", "9", "]"}], "]"}]}], "]"}], "]"}], 
                    "]"}], "]"}]}], "]"}], "]"}], "]"}], HoldForm]],
         Annotation[#, 
          HoldForm[
           $CellContext`u2[
            $CellContext`u1[
             $CellContext`g[
              $CellContext`v3[
               $CellContext`v2[
                $CellContext`v1[8]]], 
              $CellContext`v3[
               $CellContext`v2[
                $CellContext`v1[
                 $CellContext`h[
                  $CellContext`w2[
                   $CellContext`w1[$CellContext`x]], 
                  $CellContext`w2[
                   $CellContext`w1[$CellContext`y]], 
                  $CellContext`w2[
                   $CellContext`w1[9]]]]]]]]]], "Tooltip"]& ], 
        TagBox[
         TooltipBox[InsetBox[
           FrameBox[
            StyleBox["u1", "StandardForm", "Output",
             StripOnInput->False,
             LineColor->GrayLevel[0],
             FrontFaceColor->GrayLevel[0],
             GraphicsColor->GrayLevel[0],
             FontSize->Scaled[0.05],
             FontColor->GrayLevel[0],
             $CellContext`BackFaceColor -> GrayLevel[0]],
            Background->RGBColor[1., 1., 0.871],
            FrameStyle->GrayLevel[0.5],
            StripOnInput->False], 2],
          TagBox[
           RowBox[{"u1", "[", 
             RowBox[{"g", "[", 
               RowBox[{
                 RowBox[{"v3", "[", 
                   RowBox[{"v2", "[", 
                    RowBox[{"v1", "[", "8", "]"}], "]"}], "]"}], ",", 
                 RowBox[{"v3", "[", 
                   RowBox[{"v2", "[", 
                    RowBox[{"v1", "[", 
                    RowBox[{"h", "[", 
                    RowBox[{
                    RowBox[{"w2", "[", 
                    RowBox[{"w1", "[", "x", "]"}], "]"}], ",", 
                    RowBox[{"w2", "[", 
                    RowBox[{"w1", "[", "y", "]"}], "]"}], ",", 
                    RowBox[{"w2", "[", 
                    RowBox[{"w1", "[", "9", "]"}], "]"}]}], "]"}], "]"}], 
                    "]"}], "]"}]}], "]"}], "]"}], HoldForm]],
         Annotation[#, 
          HoldForm[
           $CellContext`u1[
            $CellContext`g[
             $CellContext`v3[
              $CellContext`v2[
               $CellContext`v1[8]]], 
             $CellContext`v3[
              $CellContext`v2[
               $CellContext`v1[
                $CellContext`h[
                 $CellContext`w2[
                  $CellContext`w1[$CellContext`x]], 
                 $CellContext`w2[
                  $CellContext`w1[$CellContext`y]], 
                 $CellContext`w2[
                  $CellContext`w1[9]]]]]]]]], "Tooltip"]& ], 
        TagBox[
         TooltipBox[InsetBox[
           FrameBox[
            StyleBox["g", "StandardForm", "Output",
             StripOnInput->False,
             LineColor->GrayLevel[0],
             FrontFaceColor->GrayLevel[0],
             GraphicsColor->GrayLevel[0],
             FontSize->Scaled[0.05],
             FontColor->GrayLevel[0],
             $CellContext`BackFaceColor -> GrayLevel[0]],
            Background->RGBColor[1., 1., 0.871],
            FrameStyle->GrayLevel[0.5],
            StripOnInput->False], 3],
          TagBox[
           RowBox[{"g", "[", 
             RowBox[{
               RowBox[{"v3", "[", 
                 RowBox[{"v2", "[", 
                   RowBox[{"v1", "[", "8", "]"}], "]"}], "]"}], ",", 
               RowBox[{"v3", "[", 
                 RowBox[{"v2", "[", 
                   RowBox[{"v1", "[", 
                    RowBox[{"h", "[", 
                    RowBox[{
                    RowBox[{"w2", "[", 
                    RowBox[{"w1", "[", "x", "]"}], "]"}], ",", 
                    RowBox[{"w2", "[", 
                    RowBox[{"w1", "[", "y", "]"}], "]"}], ",", 
                    RowBox[{"w2", "[", 
                    RowBox[{"w1", "[", "9", "]"}], "]"}]}], "]"}], "]"}], 
                   "]"}], "]"}]}], "]"}], HoldForm]],
         Annotation[#, 
          HoldForm[
           $CellContext`g[
            $CellContext`v3[
             $CellContext`v2[
              $CellContext`v1[8]]], 
            $CellContext`v3[
             $CellContext`v2[
              $CellContext`v1[
               $CellContext`h[
                $CellContext`w2[
                 $CellContext`w1[$CellContext`x]], 
                $CellContext`w2[
                 $CellContext`w1[$CellContext`y]], 
                $CellContext`w2[
                 $CellContext`w1[9]]]]]]]], "Tooltip"]& ], 
        TagBox[
         TooltipBox[InsetBox[
           FrameBox[
            StyleBox["v3", "StandardForm", "Output",
             StripOnInput->False,
             LineColor->GrayLevel[0],
             FrontFaceColor->GrayLevel[0],
             GraphicsColor->GrayLevel[0],
             FontSize->Scaled[0.05],
             FontColor->GrayLevel[0],
             $CellContext`BackFaceColor -> GrayLevel[0]],
            Background->RGBColor[1., 1., 0.871],
            FrameStyle->GrayLevel[0.5],
            StripOnInput->False], 4],
          TagBox[
           RowBox[{"v3", "[", 
             RowBox[{"v2", "[", 
               RowBox[{"v1", "[", "8", "]"}], "]"}], "]"}], HoldForm]],
         Annotation[#, 
          HoldForm[
           $CellContext`v3[
            $CellContext`v2[
             $CellContext`v1[8]]]], "Tooltip"]& ], 
        TagBox[
         TooltipBox[InsetBox[
           FrameBox[
            StyleBox["v2", "StandardForm", "Output",
             StripOnInput->False,
             LineColor->GrayLevel[0],
             FrontFaceColor->GrayLevel[0],
             GraphicsColor->GrayLevel[0],
             FontSize->Scaled[0.05],
             FontColor->GrayLevel[0],
             $CellContext`BackFaceColor -> GrayLevel[0]],
            Background->RGBColor[1., 1., 0.871],
            FrameStyle->GrayLevel[0.5],
            StripOnInput->False], 5],
          TagBox[
           RowBox[{"v2", "[", 
             RowBox[{"v1", "[", "8", "]"}], "]"}], HoldForm]],
         Annotation[#, 
          HoldForm[
           $CellContext`v2[
            $CellContext`v1[8]]], "Tooltip"]& ], 
        TagBox[
         TooltipBox[InsetBox[
           FrameBox[
            StyleBox["v1", "StandardForm", "Output",
             StripOnInput->False,
             LineColor->GrayLevel[0],
             FrontFaceColor->GrayLevel[0],
             GraphicsColor->GrayLevel[0],
             FontSize->Scaled[0.05],
             FontColor->GrayLevel[0],
             $CellContext`BackFaceColor -> GrayLevel[0]],
            Background->RGBColor[1., 1., 0.871],
            FrameStyle->GrayLevel[0.5],
            StripOnInput->False], 6],
          TagBox[
           RowBox[{"v1", "[", "8", "]"}], HoldForm]],
         Annotation[#, 
          HoldForm[
           $CellContext`v1[8]], "Tooltip"]& ], 
        TagBox[
         TooltipBox[InsetBox[
           FrameBox[
            StyleBox[
             TagBox["8",
              HoldForm], "StandardForm", "Output",
             StripOnInput->False,
             LineColor->GrayLevel[0],
             FrontFaceColor->GrayLevel[0],
             GraphicsColor->GrayLevel[0],
             FontSize->Scaled[0.05],
             FontColor->GrayLevel[0],
             $CellContext`BackFaceColor -> GrayLevel[0]],
            Background->RGBColor[1., 1., 0.871],
            FrameStyle->GrayLevel[0.5],
            StripOnInput->False], 7],
          TagBox["8", HoldForm]],
         Annotation[#, 
          HoldForm[8], "Tooltip"]& ], 
        TagBox[
         TooltipBox[InsetBox[
           FrameBox[
            StyleBox["v3", "StandardForm", "Output",
             StripOnInput->False,
             LineColor->GrayLevel[0],
             FrontFaceColor->GrayLevel[0],
             GraphicsColor->GrayLevel[0],
             FontSize->Scaled[0.05],
             FontColor->GrayLevel[0],
             $CellContext`BackFaceColor -> GrayLevel[0]],
            Background->RGBColor[1., 1., 0.871],
            FrameStyle->GrayLevel[0.5],
            StripOnInput->False], 8],
          TagBox[
           RowBox[{"v3", "[", 
             RowBox[{"v2", "[", 
               RowBox[{"v1", "[", 
                 RowBox[{"h", "[", 
                   RowBox[{
                    RowBox[{"w2", "[", 
                    RowBox[{"w1", "[", "x", "]"}], "]"}], ",", 
                    RowBox[{"w2", "[", 
                    RowBox[{"w1", "[", "y", "]"}], "]"}], ",", 
                    RowBox[{"w2", "[", 
                    RowBox[{"w1", "[", "9", "]"}], "]"}]}], "]"}], "]"}], 
               "]"}], "]"}], HoldForm]],
         Annotation[#, 
          HoldForm[
           $CellContext`v3[
            $CellContext`v2[
             $CellContext`v1[
              $CellContext`h[
               $CellContext`w2[
                $CellContext`w1[$CellContext`x]], 
               $CellContext`w2[
                $CellContext`w1[$CellContext`y]], 
               $CellContext`w2[
                $CellContext`w1[9]]]]]]], "Tooltip"]& ], 
        TagBox[
         TooltipBox[InsetBox[
           FrameBox[
            StyleBox["v2", "StandardForm", "Output",
             StripOnInput->False,
             LineColor->GrayLevel[0],
             FrontFaceColor->GrayLevel[0],
             GraphicsColor->GrayLevel[0],
             FontSize->Scaled[0.05],
             FontColor->GrayLevel[0],
             $CellContext`BackFaceColor -> GrayLevel[0]],
            Background->RGBColor[1., 1., 0.871],
            FrameStyle->GrayLevel[0.5],
            StripOnInput->False], 9],
          TagBox[
           RowBox[{"v2", "[", 
             RowBox[{"v1", "[", 
               RowBox[{"h", "[", 
                 RowBox[{
                   RowBox[{"w2", "[", 
                    RowBox[{"w1", "[", "x", "]"}], "]"}], ",", 
                   RowBox[{"w2", "[", 
                    RowBox[{"w1", "[", "y", "]"}], "]"}], ",", 
                   RowBox[{"w2", "[", 
                    RowBox[{"w1", "[", "9", "]"}], "]"}]}], "]"}], "]"}], 
             "]"}], HoldForm]],
         Annotation[#, 
          HoldForm[
           $CellContext`v2[
            $CellContext`v1[
             $CellContext`h[
              $CellContext`w2[
               $CellContext`w1[$CellContext`x]], 
              $CellContext`w2[
               $CellContext`w1[$CellContext`y]], 
              $CellContext`w2[
               $CellContext`w1[9]]]]]], "Tooltip"]& ], 
        TagBox[
         TooltipBox[InsetBox[
           FrameBox[
            StyleBox["v1", "StandardForm", "Output",
             StripOnInput->False,
             LineColor->GrayLevel[0],
             FrontFaceColor->GrayLevel[0],
             GraphicsColor->GrayLevel[0],
             FontSize->Scaled[0.05],
             FontColor->GrayLevel[0],
             $CellContext`BackFaceColor -> GrayLevel[0]],
            Background->RGBColor[1., 1., 0.871],
            FrameStyle->GrayLevel[0.5],
            StripOnInput->False], 10],
          TagBox[
           RowBox[{"v1", "[", 
             RowBox[{"h", "[", 
               RowBox[{
                 RowBox[{"w2", "[", 
                   RowBox[{"w1", "[", "x", "]"}], "]"}], ",", 
                 RowBox[{"w2", "[", 
                   RowBox[{"w1", "[", "y", "]"}], "]"}], ",", 
                 RowBox[{"w2", "[", 
                   RowBox[{"w1", "[", "9", "]"}], "]"}]}], "]"}], "]"}], 
           HoldForm]],
         Annotation[#, 
          HoldForm[
           $CellContext`v1[
            $CellContext`h[
             $CellContext`w2[
              $CellContext`w1[$CellContext`x]], 
             $CellContext`w2[
              $CellContext`w1[$CellContext`y]], 
             $CellContext`w2[
              $CellContext`w1[9]]]]], "Tooltip"]& ], 
        TagBox[
         TooltipBox[InsetBox[
           FrameBox[
            StyleBox["h", "StandardForm", "Output",
             StripOnInput->False,
             LineColor->GrayLevel[0],
             FrontFaceColor->GrayLevel[0],
             GraphicsColor->GrayLevel[0],
             FontSize->Scaled[0.05],
             FontColor->GrayLevel[0],
             $CellContext`BackFaceColor -> GrayLevel[0]],
            Background->RGBColor[1., 1., 0.871],
            FrameStyle->GrayLevel[0.5],
            StripOnInput->False], 11],
          TagBox[
           RowBox[{"h", "[", 
             RowBox[{
               RowBox[{"w2", "[", 
                 RowBox[{"w1", "[", "x", "]"}], "]"}], ",", 
               RowBox[{"w2", "[", 
                 RowBox[{"w1", "[", "y", "]"}], "]"}], ",", 
               RowBox[{"w2", "[", 
                 RowBox[{"w1", "[", "9", "]"}], "]"}]}], "]"}], HoldForm]],
         Annotation[#, 
          HoldForm[
           $CellContext`h[
            $CellContext`w2[
             $CellContext`w1[$CellContext`x]], 
            $CellContext`w2[
             $CellContext`w1[$CellContext`y]], 
            $CellContext`w2[
             $CellContext`w1[9]]]], "Tooltip"]& ], 
        TagBox[
         TooltipBox[InsetBox[
           FrameBox[
            StyleBox["w2", "StandardForm", "Output",
             StripOnInput->False,
             LineColor->GrayLevel[0],
             FrontFaceColor->GrayLevel[0],
             GraphicsColor->GrayLevel[0],
             FontSize->Scaled[0.05],
             FontColor->GrayLevel[0],
             $CellContext`BackFaceColor -> GrayLevel[0]],
            Background->RGBColor[1., 1., 0.871],
            FrameStyle->GrayLevel[0.5],
            StripOnInput->False], 12],
          TagBox[
           RowBox[{"w2", "[", 
             RowBox[{"w1", "[", "x", "]"}], "]"}], HoldForm]],
         Annotation[#, 
          HoldForm[
           $CellContext`w2[
            $CellContext`w1[$CellContext`x]]], "Tooltip"]& ], 
        TagBox[
         TooltipBox[InsetBox[
           FrameBox[
            StyleBox["w1", "StandardForm", "Output",
             StripOnInput->False,
             LineColor->GrayLevel[0],
             FrontFaceColor->GrayLevel[0],
             GraphicsColor->GrayLevel[0],
             FontSize->Scaled[0.05],
             FontColor->GrayLevel[0],
             $CellContext`BackFaceColor -> GrayLevel[0]],
            Background->RGBColor[1., 1., 0.871],
            FrameStyle->GrayLevel[0.5],
            StripOnInput->False], 13],
          TagBox[
           RowBox[{"w1", "[", "x", "]"}], HoldForm]],
         Annotation[#, 
          HoldForm[
           $CellContext`w1[$CellContext`x]], "Tooltip"]& ], 
        TagBox[
         TooltipBox[InsetBox[
           FrameBox[
            StyleBox[
             TagBox["x",
              HoldForm], "StandardForm", "Output",
             StripOnInput->False,
             LineColor->GrayLevel[0],
             FrontFaceColor->GrayLevel[0],
             GraphicsColor->GrayLevel[0],
             FontSize->Scaled[0.05],
             FontColor->GrayLevel[0],
             $CellContext`BackFaceColor -> GrayLevel[0]],
            Background->RGBColor[1., 1., 0.871],
            FrameStyle->GrayLevel[0.5],
            StripOnInput->False], 14],
          TagBox["x", HoldForm]],
         Annotation[#, 
          HoldForm[$CellContext`x], "Tooltip"]& ], 
        TagBox[
         TooltipBox[InsetBox[
           FrameBox[
            StyleBox["w2", "StandardForm", "Output",
             StripOnInput->False,
             LineColor->GrayLevel[0],
             FrontFaceColor->GrayLevel[0],
             GraphicsColor->GrayLevel[0],
             FontSize->Scaled[0.05],
             FontColor->GrayLevel[0],
             $CellContext`BackFaceColor -> GrayLevel[0]],
            Background->RGBColor[1., 1., 0.871],
            FrameStyle->GrayLevel[0.5],
            StripOnInput->False], 15],
          TagBox[
           RowBox[{"w2", "[", 
             RowBox[{"w1", "[", "y", "]"}], "]"}], HoldForm]],
         Annotation[#, 
          HoldForm[
           $CellContext`w2[
            $CellContext`w1[$CellContext`y]]], "Tooltip"]& ], 
        TagBox[
         TooltipBox[InsetBox[
           FrameBox[
            StyleBox["w1", "StandardForm", "Output",
             StripOnInput->False,
             LineColor->GrayLevel[0],
             FrontFaceColor->GrayLevel[0],
             GraphicsColor->GrayLevel[0],
             FontSize->Scaled[0.05],
             FontColor->GrayLevel[0],
             $CellContext`BackFaceColor -> GrayLevel[0]],
            Background->RGBColor[1., 1., 0.871],
            FrameStyle->GrayLevel[0.5],
            StripOnInput->False], 16],
          TagBox[
           RowBox[{"w1", "[", "y", "]"}], HoldForm]],
         Annotation[#, 
          HoldForm[
           $CellContext`w1[$CellContext`y]], "Tooltip"]& ], 
        TagBox[
         TooltipBox[InsetBox[
           FrameBox[
            StyleBox[
             TagBox["y",
              HoldForm], "StandardForm", "Output",
             StripOnInput->False,
             LineColor->GrayLevel[0],
             FrontFaceColor->GrayLevel[0],
             GraphicsColor->GrayLevel[0],
             FontSize->Scaled[0.05],
             FontColor->GrayLevel[0],
             $CellContext`BackFaceColor -> GrayLevel[0]],
            Background->RGBColor[1., 1., 0.871],
            FrameStyle->GrayLevel[0.5],
            StripOnInput->False], 17],
          TagBox["y", HoldForm]],
         Annotation[#, 
          HoldForm[$CellContext`y], "Tooltip"]& ], 
        TagBox[
         TooltipBox[InsetBox[
           FrameBox[
            StyleBox["w2", "StandardForm", "Output",
             StripOnInput->False,
             LineColor->GrayLevel[0],
             FrontFaceColor->GrayLevel[0],
             GraphicsColor->GrayLevel[0],
             FontSize->Scaled[0.05],
             FontColor->GrayLevel[0],
             $CellContext`BackFaceColor -> GrayLevel[0]],
            Background->RGBColor[1., 1., 0.871],
            FrameStyle->GrayLevel[0.5],
            StripOnInput->False], 18],
          TagBox[
           RowBox[{"w2", "[", 
             RowBox[{"w1", "[", "9", "]"}], "]"}], HoldForm]],
         Annotation[#, 
          HoldForm[
           $CellContext`w2[
            $CellContext`w1[9]]], "Tooltip"]& ], 
        TagBox[
         TooltipBox[InsetBox[
           FrameBox[
            StyleBox["w1", "StandardForm", "Output",
             StripOnInput->False,
             LineColor->GrayLevel[0],
             FrontFaceColor->GrayLevel[0],
             GraphicsColor->GrayLevel[0],
             FontSize->Scaled[0.05],
             FontColor->GrayLevel[0],
             $CellContext`BackFaceColor -> GrayLevel[0]],
            Background->RGBColor[1., 1., 0.871],
            FrameStyle->GrayLevel[0.5],
            StripOnInput->False], 19],
          TagBox[
           RowBox[{"w1", "[", "9", "]"}], HoldForm]],
         Annotation[#, 
          HoldForm[
           $CellContext`w1[9]], "Tooltip"]& ], 
        TagBox[
         TooltipBox[InsetBox[
           FrameBox[
            StyleBox[
             TagBox["9",
              HoldForm], "StandardForm", "Output",
             StripOnInput->False,
             LineColor->GrayLevel[0],
             FrontFaceColor->GrayLevel[0],
             GraphicsColor->GrayLevel[0],
             FontSize->Scaled[0.05],
             FontColor->GrayLevel[0],
             $CellContext`BackFaceColor -> GrayLevel[0]],
            Background->RGBColor[1., 1., 0.871],
            FrameStyle->GrayLevel[0.5],
            StripOnInput->False], 20],
          TagBox["9", HoldForm]],
         Annotation[#, 
          HoldForm[9], "Tooltip"]& ]}}],
     Annotation[#, VertexCoordinateRules -> CompressedData["
1:eJxTTMoPSmViYGAQAWIQveGU5DFG0Xv2zE15/y+8VnCA8SG0HJwfNTGsNzFI
yoEBClgiJocc7BeD89fJXZBWPCsE50P08aGpZ4Oa984eph/Gh+mH8WH6UdWz
oZn/zx6V/w7ORxeHqUflI2h0c7HTCHNg6gGmzmcn
       "]]& ],
    AspectRatio->NCache[Rational[10, 3]^Rational[1, 2], 1.8257418583505538`],
    FormatType:>StandardForm,
    FrameTicks->Automatic,
    PlotRange->All,
    PlotRangePadding->Scaled[0.1]],
   TreeForm[
    $CellContext`u2[
     $CellContext`u1[
      $CellContext`g[
       $CellContext`v3[
        $CellContext`v2[
         $CellContext`v1[8]]], 
       $CellContext`v3[
        $CellContext`v2[
         $CellContext`v1[
          $CellContext`h[
           $CellContext`w2[
            $CellContext`w1[$CellContext`x]], 
           $CellContext`w2[
            $CellContext`w1[$CellContext`y]], 
           $CellContext`w2[
            $CellContext`w1[9]]]]]]]]]],
   Editable->False],
  StripOnInput->False]], "Output",
 CellChangeTimes->{{3.7718648653340273`*^9, 3.771864870931006*^9}, 
   3.771923383346595*^9, 3.771930218906719*^9, 3.7719303633098993`*^9, 
   3.881422451362337*^9, 3.8814237903054543`*^9},
 CellLabel->"Out[524]=",
 CellID->1069895839,ExpressionUUID->"447ab121-87c1-42ea-bfbb-b949b25d1e3c"]
}, Open  ]],

Cell[TextData[{
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 ", of course works with Associations, and, as will be discussed in the next \
chapter, Datasets. "
}], "Text",
 CellChangeTimes->{{3.769193238083452*^9, 3.769193261345806*^9}, {
   3.769426356981304*^9, 3.769426383301614*^9}, 3.769956194061767*^9, {
   3.769956547380026*^9, 3.769956559316266*^9}, {3.7718581190709352`*^9, 
   3.771858153867387*^9}, {3.7770520581341867`*^9, 3.7770520693431864`*^9}, {
   3.7770521125731864`*^9, 3.7770521179491863`*^9}},
 CellID->1738264362,ExpressionUUID->"78e9d148-b97a-40ad-a6b0-00be72b6b39a"],

Cell[TextData[{
 "Here I use a ",
 ButtonBox["Part",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Part.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Part.html"],
 " function inside ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " to get the age of the first three passengers from a data structure (a ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of Associations):"
}], "CodeText",
 CellChangeTimes->{{3.777052121017186*^9, 3.7770521465391865`*^9}, 
   3.7873411375708847`*^9, {3.858001135891634*^9, 3.8580011781364183`*^9}, {
   3.8580016564994917`*^9, 3.8580016631245327`*^9}, 3.858244702691976*^9, 
   3.86732907299607*^9},
 CellID->671326961,ExpressionUUID->"66656b07-dbf3-4c7d-8cc0-12c663b8ff07"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"dinghy", "=", 
  RowBox[{"ResourceData", "[", 
   RowBox[{"ro", ",", "\"\<Dinghy List of Associations\>\""}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.858001090015551*^9, 3.858001091674775*^9}, {
  3.858001732055234*^9, 3.858001756628764*^9}},
 CellLabel->"In[390]:=",
 CellID->1046273860,ExpressionUUID->"f5fadf45-d5e2-4bc5-9968-e22c921c2825"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "16"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "True"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"1st\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "65"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"male\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "2"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", 
      RowBox[{"Missing", "[", "]"}]}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "True"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "18"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
    "\[RightAssociation]"}]}], "}"}]], "Output",
 CellChangeTimes->{3.858001760676743*^9, 3.865531561486703*^9, 
  3.880546487093883*^9, 3.8805483471387253`*^9, 3.8814074791246758`*^9, 
  3.881422479801198*^9},
 CellLabel->"Out[390]=",
 CellID->222958915,ExpressionUUID->"f7751817-07d3-4c68-8ecf-37aab49cd0d3"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"#", "[", 
      RowBox[{"[", 
       RowBox[{"{", 
        RowBox[{"1", ",", "2", ",", "3"}], "}"}], "]"}], "]"}], "&"}], ",", 
    RowBox[{"#age", "&"}]}], "]"}], "[", "dinghy", "]"}]], "Input",
 CellChangeTimes->{{3.769426330813548*^9, 3.769426354639648*^9}, 
   3.76995622169735*^9, {3.8580016693466597`*^9, 3.8580017062024593`*^9}},
 CellLabel->"In[391]:=",
 CellID->663902885,ExpressionUUID->"4dc570c5-350a-41b1-b680-19a8c9e79d22"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"16", ",", "65", ",", "2"}], "}"}]], "Output",
 CellChangeTimes->{
  3.769426355124406*^9, 3.769956297725349*^9, 3.769956585278489*^9, 
   3.769959356759344*^9, 3.77188300199557*^9, 3.771923383472474*^9, 
   3.7719302189838448`*^9, 3.7719303633554707`*^9, {3.8580016774209833`*^9, 
   3.858001706828816*^9}, 3.8580017681925993`*^9, 3.8814224841806498`*^9},
 CellTags->"LastCellOfAPage",
 CellLabel->"Out[391]=",
 CellID->1728359321,ExpressionUUID->"4df09204-fa3a-44b1-9933-74c2560e4ff0"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Beyond LIFO: Descending and Ascending Operators", "Subsubsection",
 CellChangeTimes->{{3.739644979997633*^9, 3.739644987859138*^9}, {
  3.7718913632533693`*^9, 3.771891365885742*^9}},
 CellTags->"p: 118",
 CellID->606071473,ExpressionUUID->"13d35be9-c69e-4cd3-a212-efbecaa38e15"],

Cell[TextData[{
 "The second principle is that ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " doesn\[CloseCurlyQuote]t insist on LIFO where there is good reason to \
believe that doing things out of LIFO order will be efficient and will not \
wreck anything. This principle is consistent with the reasoning behind the \
LIFO presumption. One generally operates first at the lowest level because \
one worries that doing otherwise could destroy data in a way that would make \
operations at higher levels meaningless. But there are operations whose form \
gives one confidence that they will not destroy data. ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " constructs a pipeline that puts those operations first because doing so is \
faster and can often save memory. For example, suppose that one wasn\
\[CloseCurlyQuote]t talking about a little dinghy but the full ocean liner \
Titanic. It would be wasteful to go through the entire data structure to get \
the age of every single passenger and then select the age of just the first \
three. It would be smarter to get the first three passengers and then \
determine their age. "
}], "Text",
 CellChangeTimes->{{3.739397363134877*^9, 3.739397513687368*^9}, {
   3.739398698458577*^9, 3.73939873927433*^9}, {3.739440138711542*^9, 
   3.739440159268874*^9}, {3.739635410950569*^9, 3.7396355074582653`*^9}, {
   3.7396449262974863`*^9, 3.739644950950056*^9}, {3.739645388829921*^9, 
   3.739645392023707*^9}, {3.739888050556522*^9, 3.73988814622622*^9}, 
   3.7399141783955517`*^9, {3.739914699305935*^9, 3.739914734450185*^9}, {
   3.742211431558421*^9, 3.7422115463210163`*^9}, {3.742224826637786*^9, 
   3.7422248281933928`*^9}, {3.742244752374278*^9, 3.742244756195615*^9}, {
   3.769433574828773*^9, 3.769433645720646*^9}, {3.7694337313131647`*^9, 
   3.769433750392447*^9}, {3.769436301215728*^9, 3.769436306447261*^9}, {
   3.769464534953104*^9, 3.769464550231772*^9}, {3.76951456105851*^9, 
   3.769514567231017*^9}, {3.7718905612624607`*^9, 3.77189056591323*^9}, {
   3.771891027508432*^9, 3.77189108255737*^9}, {3.771891155151466*^9, 
   3.771891159324099*^9}, {3.771891263886017*^9, 3.7718912815666037`*^9}, {
   3.7770411954071684`*^9, 3.777041213516979*^9}, {3.7770526931791863`*^9, 
   3.7770527297071867`*^9}, {3.7770527856211863`*^9, 
   3.7770528287821865`*^9}, {3.7849869694090347`*^9, 3.784986970848052*^9}, 
   3.784988357867635*^9, 3.787342388982644*^9, 3.78734249823965*^9, {
   3.858001816250897*^9, 3.858001843340208*^9}, {3.858002080470648*^9, 
   3.8580024841960897`*^9}, {3.858002647679331*^9, 3.85800270180591*^9}, {
   3.858009677418213*^9, 3.858009721024695*^9}, {3.858174775625133*^9, 
   3.85817478344366*^9}, 3.8582448273100443`*^9, {3.867329676173073*^9, 
   3.867329683200922*^9}, {3.8679387195695915`*^9, 3.8679387197925124`*^9}, {
   3.867938754245006*^9, 3.8679387552275195`*^9}, {3.8695841806553802`*^9, 
   3.8695842476897783`*^9}},
 CellTags->"i:12",
 CellID->702383209,ExpressionUUID->"0a70bd0e-276a-4dc9-9140-ddaf6b6d9027"],

Cell[TextData[{
 "\[OpenCurlyDoubleQuote]Do things that are efficient and won\
\[CloseCurlyQuote]t wreck things\[CloseCurlyDoubleQuote] is not really a rule \
that the kernel can implement. Determination of which operators are put first \
in the pipeline is based on their form, not necessarily their function. So \
these principles are implemented\[LongDash]pretty well but not perfectly\
\[LongDash]by imagining the kernel as moving through the expression tree, \
first going down in a breadth-first manner and then coming back up. \
(Expression trees generally grow upside down in the computer world.) Only the \
few operators labeled as descending are executed on the way down. Otherwise, \
the kernel works in the normal way set forth in its ",
 ButtonBox["documentation: ",
  BaseStyle->"HyperlinkText",
  ButtonData->{
    URL["http://reference.wolfram.com/language/tutorial/Evaluation.html"], 
    None},
  ButtonNote->
   "http://reference.wolfram.com/language/tutorial/Evaluation.html"],
 "starting with the leaves of the expression and working its way up the tree. \
Operators that aren\[CloseCurlyQuote]t descending are called ascending. When \
in doubt, assume an operator is ascending. "
}], "Text",
 CellChangeTimes->{{3.739397363134877*^9, 3.739397513687368*^9}, {
   3.739398698458577*^9, 3.73939873927433*^9}, {3.739440138711542*^9, 
   3.739440159268874*^9}, {3.739635410950569*^9, 3.7396355074582653`*^9}, {
   3.7396449262974863`*^9, 3.739644950950056*^9}, {3.739645388829921*^9, 
   3.739645392023707*^9}, {3.739888050556522*^9, 3.73988814622622*^9}, 
   3.7399141783955517`*^9, {3.739914699305935*^9, 3.739914734450185*^9}, {
   3.742211431558421*^9, 3.7422115463210163`*^9}, {3.742224826637786*^9, 
   3.7422248281933928`*^9}, {3.742244752374278*^9, 3.742244756195615*^9}, {
   3.769433574828773*^9, 3.769433645720646*^9}, {3.7694337313131647`*^9, 
   3.769433750392447*^9}, {3.769436301215728*^9, 3.769436306447261*^9}, {
   3.769464534953104*^9, 3.769464550231772*^9}, {3.76951456105851*^9, 
   3.769514567231017*^9}, {3.7718905612624607`*^9, 3.77189056591323*^9}, {
   3.771891027508432*^9, 3.77189108255737*^9}, {3.771891155151466*^9, 
   3.771891159324099*^9}, {3.771891263886017*^9, 3.7718912815666037`*^9}, {
   3.7770411954071684`*^9, 3.777041213516979*^9}, {3.7770526931791863`*^9, 
   3.7770527297071867`*^9}, {3.7770527856211863`*^9, 
   3.7770528287821865`*^9}, {3.7849869694090347`*^9, 3.784986970848052*^9}, 
   3.784988357867635*^9, 3.787342388982644*^9, 3.78734249823965*^9, {
   3.858001816250897*^9, 3.858001843340208*^9}, {3.858002080470648*^9, 
   3.8580024841960897`*^9}, {3.858002647679331*^9, 3.8580028581867313`*^9}, {
   3.858002921188579*^9, 3.858003005718123*^9}, 3.85800316285852*^9, 
   3.858003192943914*^9, 3.8695848195516615`*^9, {3.896352678273288*^9, 
   3.896352694161433*^9}},
 CellID->1763547735,ExpressionUUID->"d66fd7c7-44d0-4167-8c74-2ec4021b365e"],

Cell[TextData[{
 "Here\[CloseCurlyQuote]s a picture that may help. Here\[CloseCurlyQuote]s a ",
 ButtonBox["TreeForm",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/TreeForm.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/TreeForm.html"],
 " of ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["Query",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Query.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"], "[", 
   RowBox[{"f", ",", "g"}], "]"}]], "InlineCodeText",ExpressionUUID->
  "355adbea-b625-4907-ab25-f430df0731ea"],
 " applied to the ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of Lists ",
 Cell[BoxData[
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"3", ",", "4"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"5", ",", "6"}], "}"}]}], "}"}]], "InlineCodeText",
  ExpressionUUID->"1ef41481-165a-4d1d-978e-cc892d13f116"],
 ". Ordinarily, if the resulting structure wasn\[CloseCurlyQuote]t the result \
of a ",
 StyleBox["Query", "InlineCodeText"],
 ", the deepest levels would be evaluated first. That is, think of a little \
creature wandering the (upside down) tree. It keeps heading down, and when it \
can\[CloseCurlyQuote]t get any further, it goes back up until it can go down \
over previously untraversed paths. On the way up\[LongDash]but ",
 StyleBox["not",
  FontSlant->"Italic"],
 " on the way down\[LongDash]when it finds an expression it can transform, it \
does so, so here the kernel would keep going down to, say 3, come up to ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 ", go down to 4, come up to ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 ", come up to ",
 Cell[BoxData[
 "g"], "InlineCodeText",ExpressionUUID->
  "1d35a81f-92c7-4213-997d-5c208d2d7f2f"],
 " and say, \[OpenCurlyDoubleQuote]Wait, I can evaluate ",
 Cell[BoxData[
  RowBox[{"g", "[", 
   RowBox[{"{", 
    RowBox[{"3", ",", "4"}], "}"}], "]"}]], "InlineCodeText",ExpressionUUID->
  "d7f712b0-8715-4781-b25a-aef83263107e"],
 "; I\[CloseCurlyQuote]ll do that now.\[CloseCurlyDoubleQuote] The creature \
would wander further and ultimately hit ",
 Cell[BoxData[
  RowBox[{"g", "[", 
   RowBox[{"{", 
    RowBox[{"5", ",", "7"}], "}"}], "]"}]], "InlineCodeText",ExpressionUUID->
  "04b0e407-bf5d-4110-a3c0-8c2d4bff239f"],
 " and evaluate that. Then it would pass the resulting expression to ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " (which wouldn\[CloseCurlyQuote]t do anything) and then pass the resulting \
expression to ",
 Cell[BoxData[
 "f"], "InlineCodeText",ExpressionUUID->
  "f40f0fde-5891-4101-85a0-042a47554e21"],
 ". "
}], "Text",
 CellChangeTimes->{{3.769434075276471*^9, 3.769434086207712*^9}, {
   3.769434282045189*^9, 3.7694344071148567`*^9}, {3.7694345242753*^9, 
   3.769434526070627*^9}, {3.769435045823868*^9, 3.769435069266513*^9}, {
   3.769435100811562*^9, 3.769435166145528*^9}, {3.769435651061207*^9, 
   3.769435694617783*^9}, {3.76943573309993*^9, 3.76943573369895*^9}, {
   3.769435811150865*^9, 3.769435857682308*^9}, {3.76946468581754*^9, 
   3.76946480604386*^9}, 3.7695145867543716`*^9, 3.7770409939740267`*^9, {
   3.777041218873515*^9, 3.777041219915619*^9}, {3.7770538278151865`*^9, 
   3.7770538898841867`*^9}, {3.7770539501811867`*^9, 
   3.7770539620991864`*^9}, {3.7770539955221863`*^9, 
   3.7770540484011865`*^9}, {3.787343773604793*^9, 3.787343802395487*^9}, 
   3.787343995386959*^9, 3.787344269938575*^9, {3.8582449119806633`*^9, 
   3.858244921500657*^9}, 3.865495968576576*^9, {3.865496009681521*^9, 
   3.865496009773869*^9}, {3.8673299163548203`*^9, 3.867329917538512*^9}, {
   3.867329981576461*^9, 3.8673300074194283`*^9}},
 CellTags->"LastCellOfAPage",
 CellID->72973721,ExpressionUUID->"ef539be3-d16d-465e-b399-dc4a72a0dde2"],

Cell[TextData[{
 "Using ",
 ButtonBox["TreeForm",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/TreeForm.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/TreeForm.html"],
 " to demonstrate the order of kernel evaluations:"
}], "CodeText",
 CellChangeTimes->{{3.785509459373171*^9, 3.7855094697338676`*^9}},
 CellTags->"p: 119",
 CellID->1974240687,ExpressionUUID->"8bef9007-914d-4423-b784-c59d0f72eef8"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"TreeForm", "[", 
   RowBox[{
    RowBox[{"Query", "[", 
     RowBox[{"f", ",", "g"}], "]"}], "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"3", ",", "4"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"5", ",", "7"}], "}"}]}], "}"}], "]"}], "]"}], "//", 
  "Framed"}]], "Input",
 CellChangeTimes->{{3.76943507186971*^9, 3.769435091570014*^9}, {
  3.769436601808387*^9, 3.769436602716037*^9}, {3.771883803703148*^9, 
  3.771883804779888*^9}},
 CellLabel->"In[392]:=",
 CellID->349428380,ExpressionUUID->"f81a8e7d-8141-4111-a42b-53f70b1017f1"],

Cell[BoxData[
 FrameBox[
  InterpretationBox[
   GraphicsBox[
    TagBox[
     GraphicsComplexBox[{{1.299038105676658, 3.464101615137755}, {
      1.299038105676658, 2.598076211353316}, {0.43301270189221935`, 
      1.7320508075688774`}, {0.43301270189221935`, 0.8660254037844388}, {0., 
      0.}, {0.8660254037844387, 0.}, {2.165063509461097, 
      1.7320508075688774`}, {2.165063509461097, 0.8660254037844388}, {
      1.7320508075688774`, 0.}, {2.598076211353316, 0.}}, {
       {RGBColor[0.55, 0.45, 0.45], 
        LineBox[{{1, 2}, {2, 3}, {2, 7}, {3, 4}, {4, 5}, {4, 6}, {7, 8}, {8, 
         9}, {8, 10}}]}, {
        TagBox[
         TooltipBox[InsetBox[
           FrameBox[
            StyleBox["f", "StandardForm", "Output",
             StripOnInput->False,
             LineColor->GrayLevel[0],
             FrontFaceColor->GrayLevel[0],
             GraphicsColor->GrayLevel[0],
             FontSize->Scaled[0.05],
             FontColor->GrayLevel[0],
             $CellContext`BackFaceColor -> GrayLevel[0]],
            Background->RGBColor[1., 1., 0.871],
            FrameStyle->GrayLevel[0.5],
            StripOnInput->False], 1],
          TagBox[
           RowBox[{"f", "[", 
             RowBox[{"{", 
               RowBox[{
                 RowBox[{"g", "[", 
                   RowBox[{"{", 
                    RowBox[{"3", ",", "4"}], "}"}], "]"}], ",", 
                 RowBox[{"g", "[", 
                   RowBox[{"{", 
                    RowBox[{"5", ",", "7"}], "}"}], "]"}]}], "}"}], "]"}], 
           HoldForm]],
         Annotation[#, 
          HoldForm[
           $CellContext`f[{
             $CellContext`g[{3, 4}], 
             $CellContext`g[{5, 7}]}]], "Tooltip"]& ], 
        TagBox[
         TooltipBox[InsetBox[
           FrameBox[
            StyleBox["List", "StandardForm", "Output",
             StripOnInput->False,
             LineColor->GrayLevel[0],
             FrontFaceColor->GrayLevel[0],
             GraphicsColor->GrayLevel[0],
             FontSize->Scaled[0.05],
             FontColor->GrayLevel[0],
             $CellContext`BackFaceColor -> GrayLevel[0]],
            Background->RGBColor[1., 1., 0.871],
            FrameStyle->GrayLevel[0.5],
            StripOnInput->False], 2],
          TagBox[
           RowBox[{"{", 
             RowBox[{
               RowBox[{"g", "[", 
                 RowBox[{"{", 
                   RowBox[{"3", ",", "4"}], "}"}], "]"}], ",", 
               RowBox[{"g", "[", 
                 RowBox[{"{", 
                   RowBox[{"5", ",", "7"}], "}"}], "]"}]}], "}"}], HoldForm]],
         Annotation[#, 
          HoldForm[{
            $CellContext`g[{3, 4}], 
            $CellContext`g[{5, 7}]}], "Tooltip"]& ], 
        TagBox[
         TooltipBox[InsetBox[
           FrameBox[
            StyleBox["g", "StandardForm", "Output",
             StripOnInput->False,
             LineColor->GrayLevel[0],
             FrontFaceColor->GrayLevel[0],
             GraphicsColor->GrayLevel[0],
             FontSize->Scaled[0.05],
             FontColor->GrayLevel[0],
             $CellContext`BackFaceColor -> GrayLevel[0]],
            Background->RGBColor[1., 1., 0.871],
            FrameStyle->GrayLevel[0.5],
            StripOnInput->False], 3],
          TagBox[
           RowBox[{"g", "[", 
             RowBox[{"{", 
               RowBox[{"3", ",", "4"}], "}"}], "]"}], HoldForm]],
         Annotation[#, 
          HoldForm[
           $CellContext`g[{3, 4}]], "Tooltip"]& ], 
        TagBox[
         TooltipBox[InsetBox[
           FrameBox[
            StyleBox["List", "StandardForm", "Output",
             StripOnInput->False,
             LineColor->GrayLevel[0],
             FrontFaceColor->GrayLevel[0],
             GraphicsColor->GrayLevel[0],
             FontSize->Scaled[0.05],
             FontColor->GrayLevel[0],
             $CellContext`BackFaceColor -> GrayLevel[0]],
            Background->RGBColor[1., 1., 0.871],
            FrameStyle->GrayLevel[0.5],
            StripOnInput->False], 4],
          TagBox[
           RowBox[{"{", 
             RowBox[{"3", ",", "4"}], "}"}], HoldForm]],
         Annotation[#, 
          HoldForm[{3, 4}], "Tooltip"]& ], 
        TagBox[
         TooltipBox[InsetBox[
           FrameBox[
            StyleBox[
             TagBox["3",
              HoldForm], "StandardForm", "Output",
             StripOnInput->False,
             LineColor->GrayLevel[0],
             FrontFaceColor->GrayLevel[0],
             GraphicsColor->GrayLevel[0],
             FontSize->Scaled[0.05],
             FontColor->GrayLevel[0],
             $CellContext`BackFaceColor -> GrayLevel[0]],
            Background->RGBColor[1., 1., 0.871],
            FrameStyle->GrayLevel[0.5],
            StripOnInput->False], 5],
          TagBox["3", HoldForm]],
         Annotation[#, 
          HoldForm[3], "Tooltip"]& ], 
        TagBox[
         TooltipBox[InsetBox[
           FrameBox[
            StyleBox[
             TagBox["4",
              HoldForm], "StandardForm", "Output",
             StripOnInput->False,
             LineColor->GrayLevel[0],
             FrontFaceColor->GrayLevel[0],
             GraphicsColor->GrayLevel[0],
             FontSize->Scaled[0.05],
             FontColor->GrayLevel[0],
             $CellContext`BackFaceColor -> GrayLevel[0]],
            Background->RGBColor[1., 1., 0.871],
            FrameStyle->GrayLevel[0.5],
            StripOnInput->False], 6],
          TagBox["4", HoldForm]],
         Annotation[#, 
          HoldForm[4], "Tooltip"]& ], 
        TagBox[
         TooltipBox[InsetBox[
           FrameBox[
            StyleBox["g", "StandardForm", "Output",
             StripOnInput->False,
             LineColor->GrayLevel[0],
             FrontFaceColor->GrayLevel[0],
             GraphicsColor->GrayLevel[0],
             FontSize->Scaled[0.05],
             FontColor->GrayLevel[0],
             $CellContext`BackFaceColor -> GrayLevel[0]],
            Background->RGBColor[1., 1., 0.871],
            FrameStyle->GrayLevel[0.5],
            StripOnInput->False], 7],
          TagBox[
           RowBox[{"g", "[", 
             RowBox[{"{", 
               RowBox[{"5", ",", "7"}], "}"}], "]"}], HoldForm]],
         Annotation[#, 
          HoldForm[
           $CellContext`g[{5, 7}]], "Tooltip"]& ], 
        TagBox[
         TooltipBox[InsetBox[
           FrameBox[
            StyleBox["List", "StandardForm", "Output",
             StripOnInput->False,
             LineColor->GrayLevel[0],
             FrontFaceColor->GrayLevel[0],
             GraphicsColor->GrayLevel[0],
             FontSize->Scaled[0.05],
             FontColor->GrayLevel[0],
             $CellContext`BackFaceColor -> GrayLevel[0]],
            Background->RGBColor[1., 1., 0.871],
            FrameStyle->GrayLevel[0.5],
            StripOnInput->False], 8],
          TagBox[
           RowBox[{"{", 
             RowBox[{"5", ",", "7"}], "}"}], HoldForm]],
         Annotation[#, 
          HoldForm[{5, 7}], "Tooltip"]& ], 
        TagBox[
         TooltipBox[InsetBox[
           FrameBox[
            StyleBox[
             TagBox["5",
              HoldForm], "StandardForm", "Output",
             StripOnInput->False,
             LineColor->GrayLevel[0],
             FrontFaceColor->GrayLevel[0],
             GraphicsColor->GrayLevel[0],
             FontSize->Scaled[0.05],
             FontColor->GrayLevel[0],
             $CellContext`BackFaceColor -> GrayLevel[0]],
            Background->RGBColor[1., 1., 0.871],
            FrameStyle->GrayLevel[0.5],
            StripOnInput->False], 9],
          TagBox["5", HoldForm]],
         Annotation[#, 
          HoldForm[5], "Tooltip"]& ], 
        TagBox[
         TooltipBox[InsetBox[
           FrameBox[
            StyleBox[
             TagBox["7",
              HoldForm], "StandardForm", "Output",
             StripOnInput->False,
             LineColor->GrayLevel[0],
             FrontFaceColor->GrayLevel[0],
             GraphicsColor->GrayLevel[0],
             FontSize->Scaled[0.05],
             FontColor->GrayLevel[0],
             $CellContext`BackFaceColor -> GrayLevel[0]],
            Background->RGBColor[1., 1., 0.871],
            FrameStyle->GrayLevel[0.5],
            StripOnInput->False], 10],
          TagBox["7", HoldForm]],
         Annotation[#, 
          HoldForm[7], "Tooltip"]& ]}}],
     Annotation[#, 
      VertexCoordinateRules -> {{1.299038105676658, 3.464101615137755}, {
       1.299038105676658, 2.598076211353316}, {0.43301270189221935`, 
       1.7320508075688774`}, {0.43301270189221935`, 0.8660254037844388}, {0., 
       0.}, {0.8660254037844387, 0.}, {2.165063509461097, 
       1.7320508075688774`}, {2.165063509461097, 0.8660254037844388}, {
       1.7320508075688774`, 0.}, {2.598076211353316, 0.}}]& ],
    AspectRatio->NCache[Rational[1, 2] 5^Rational[1, 2], 1.118033988749895],
    FormatType:>StandardForm,
    FrameTicks->Automatic,
    PlotRange->All,
    PlotRangePadding->Scaled[0.1]],
   TreeForm[
    $CellContext`f[{
      $CellContext`g[{3, 4}], 
      $CellContext`g[{5, 7}]}]],
   Editable->False],
  StripOnInput->False]], "Output",
 CellChangeTimes->{3.7694350923011503`*^9, 3.76943661527664*^9, 
  3.76995629962708*^9, 3.76995935885952*^9, 3.771883805250165*^9, 
  3.7719233835150757`*^9, 3.771930219024877*^9, 3.771930363399679*^9, 
  3.8814224942226973`*^9},
 CellLabel->"Out[392]=",
 CellID->1316394286,ExpressionUUID->"0180b7b1-9c5a-4ccc-981b-ab3e8528c46b"]
}, Open  ]],

Cell[TextData[{
 "You can see this if I take the ",
 ButtonBox["Normal",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Normal.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Normal.html"],
 " form of the ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " and ",
 ButtonBox["Trace",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Trace.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Trace.html"],
 " it. First, it takes the ",
 ButtonBox["RightComposition",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/RightComposition.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/RightComposition.html"],
 " and converts it to a traditional expression. Then it maps ",
 Cell[BoxData[
 "g"], "InlineCodeText",ExpressionUUID->
  "e67f3d86-86bd-4131-b8ca-0dd67ac708f0"],
 " over the ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " ",
 Cell[BoxData[
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"3", ",", "4"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"5", ",", "6"}], "}"}]}], "}"}]], "InlineCodeText",
  ExpressionUUID->"922ef85a-8353-4ad8-8371-1c5c5e2fc8c3"],
 ", and it takes that result and passes it to ",
 Cell[BoxData[
 "f"], "InlineCodeText",ExpressionUUID->
  "2fbb0978-8f4a-424a-a7d4-170ff3a9743f"],
 ". "
}], "Text",
 CellChangeTimes->{{3.769435875576447*^9, 3.769435890556779*^9}, {
  3.769436045221332*^9, 3.769436113940186*^9}, {3.777111624605893*^9, 
  3.777111640093441*^9}, {3.777111737100141*^9, 3.777111744741905*^9}, {
  3.858175754099895*^9, 3.858175761768536*^9}, {3.8582451584569073`*^9, 
  3.858245166007856*^9}, {3.8654960292135878`*^9, 3.865496029290814*^9}, {
  3.867330444620039*^9, 3.8673304448146257`*^9}},
 CellTags->"i:13",
 CellID->325914932,ExpressionUUID->"45137775-68da-4dd2-b7db-72b703878b25"],

Cell[TextData[{
 "Use ",
 ButtonBox["Trace",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Trace.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Trace.html"],
 " to see how the ",
 ButtonBox["Normal",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Normal.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Normal.html"],
 " form of a ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " works:"
}], "CodeText",
 CellChangeTimes->{{3.7695133520201597`*^9, 3.7695133751108828`*^9}, 
   3.7770420085370083`*^9, 3.777111866211051*^9, {3.858245200438301*^9, 
   3.858245205951784*^9}},
 CellID->128432424,ExpressionUUID->"43d6d647-9ae5-4340-9404-8dd3d703b5a0"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Column", "@", 
  RowBox[{"With", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"nq", "=", 
      RowBox[{"Normal", "[", 
       RowBox[{"Query", "[", 
        RowBox[{"f", ",", "g"}], "]"}], "]"}]}], "}"}], ",", 
    RowBox[{"Trace", "[", 
     RowBox[{"nq", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"3", ",", "4"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"5", ",", "7"}], "}"}]}], "}"}], "]"}], "]"}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.769435893908224*^9, 3.7694359411772213`*^9}, {
  3.769435982239731*^9, 3.76943602727426*^9}, {3.769436620839967*^9, 
  3.76943662142257*^9}},
 CellLabel->"In[393]:=",
 CellID->2034500492,ExpressionUUID->"b6caadd3-8728-4949-bc5d-f7df17cfbbf7"],

Cell[BoxData[
 TagBox[GridBox[{
    {
     TagBox[
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Map", "[", "g", "]"}], "/*", "f"}], ")"}], "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"3", ",", "4"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"5", ",", "7"}], "}"}]}], "}"}], "]"}],
      HoldForm]},
    {
     TagBox[
      RowBox[{"f", "[", 
       RowBox[{
        RowBox[{"Map", "[", "g", "]"}], "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"3", ",", "4"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"5", ",", "7"}], "}"}]}], "}"}], "]"}], "]"}],
      HoldForm]},
    {
     RowBox[{"{", 
      RowBox[{
       TagBox[
        RowBox[{
         RowBox[{"Map", "[", "g", "]"}], "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"3", ",", "4"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"5", ",", "7"}], "}"}]}], "}"}], "]"}],
        HoldForm], ",", 
       TagBox[
        RowBox[{"{", 
         RowBox[{
          RowBox[{"g", "[", 
           RowBox[{"{", 
            RowBox[{"3", ",", "4"}], "}"}], "]"}], ",", 
          RowBox[{"g", "[", 
           RowBox[{"{", 
            RowBox[{"5", ",", "7"}], "}"}], "]"}]}], "}"}],
        HoldForm]}], "}"}]},
    {
     TagBox[
      RowBox[{"f", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"g", "[", 
          RowBox[{"{", 
           RowBox[{"3", ",", "4"}], "}"}], "]"}], ",", 
         RowBox[{"g", "[", 
          RowBox[{"{", 
           RowBox[{"5", ",", "7"}], "}"}], "]"}]}], "}"}], "]"}],
      HoldForm]}
   },
   DefaultBaseStyle->"Column",
   GridBoxAlignment->{"Columns" -> {{Left}}},
   GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
  "Column"]], "Output",
 CellChangeTimes->{{3.7694360195354643`*^9, 3.769436027763166*^9}, 
   3.769436621953548*^9, 3.769956299642947*^9, 3.769959358898121*^9, 
   3.771923383531169*^9, 3.771930219037796*^9, 3.771930363437324*^9, 
   3.881422500820052*^9},
 CellLabel->"Out[393]=",
 CellID->1307239262,ExpressionUUID->"9f0a0c23-0d50-487e-9ae9-edd978efa232"]
}, Open  ]],

Cell[TextData[{
 "The next example makes clear that form matters. There are two pieces of \
code that are functionally equivalent in most contexts. They both grab the \
first three parts of a data structure. One does it using a ",
 ButtonBox["Part",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Part.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Part.html"],
 " function. The other does it using ",
 ButtonBox["Span",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Span.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Span.html"],
 ". When the ",
 ButtonBox["Part",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Part.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Part.html"],
 " function is used, the kernel doesn\[CloseCurlyQuote]t recognize it as \
necessarily non-destructive, so it puts it last in the pipeline. But when ",
 ButtonBox["Span",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Span.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Span.html"],
 " is used, the kernel recognizes it as non-destructive and elevates its \
priority. "
}], "Text",
 CellChangeTimes->{{3.739397363134877*^9, 3.739397513687368*^9}, {
   3.739398698458577*^9, 3.73939873927433*^9}, {3.739440138711542*^9, 
   3.739440159268874*^9}, {3.739635410950569*^9, 3.7396355074582653`*^9}, {
   3.7396449262974863`*^9, 3.739644950950056*^9}, {3.739645388829921*^9, 
   3.739645392023707*^9}, {3.739888050556522*^9, 3.73988814622622*^9}, 
   3.7399141783955517`*^9, {3.739914699305935*^9, 3.739914734450185*^9}, {
   3.742211431558421*^9, 3.7422115463210163`*^9}, {3.742224826637786*^9, 
   3.7422248281933928`*^9}, {3.742244752374278*^9, 3.742244756195615*^9}, {
   3.769433574828773*^9, 3.769433645720646*^9}, {3.7694337313131647`*^9, 
   3.769433750392447*^9}, {3.769436301215728*^9, 3.769436306447261*^9}, {
   3.769464534953104*^9, 3.769464550231772*^9}, {3.76951456105851*^9, 
   3.769514567231017*^9}, {3.7718905612624607`*^9, 3.77189056591323*^9}, {
   3.771891027508432*^9, 3.77189108255737*^9}, {3.771891155151466*^9, 
   3.771891159324099*^9}, {3.771891263886017*^9, 3.7718912815666037`*^9}, {
   3.7770411954071684`*^9, 3.777041213516979*^9}, {3.7770526931791863`*^9, 
   3.7770527297071867`*^9}, {3.7770527856211863`*^9, 
   3.7770528287821865`*^9}, {3.7849869694090347`*^9, 3.784986970848052*^9}, 
   3.784988357867635*^9, 3.787342388982644*^9, 3.78734249823965*^9, {
   3.858001816250897*^9, 3.858001843340208*^9}, {3.858002080470648*^9, 
   3.8580024841960897`*^9}, {3.858002647679331*^9, 3.8580028581867313`*^9}, {
   3.858002921188579*^9, 3.858003043136722*^9}, {3.858003468514093*^9, 
   3.858003470751527*^9}, {3.858009770499166*^9, 3.858009782428587*^9}, {
   3.858245227893292*^9, 3.858245242188908*^9}, {3.8673306938093266`*^9, 
   3.867330703017873*^9}, {3.867944836897542*^9, 3.867944841388317*^9}},
 CellTags->"i:14",
 CellID->667975183,ExpressionUUID->"a0b08b03-5bdf-4d2e-a16f-5f72a606a0c6"],

Cell[TextData[{
 "Compare ",
 ButtonBox["Span",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Span.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Span.html"],
 ", which is recognized as a non-destructive operator and thus comes first, \
with the ",
 ButtonBox["Part",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Part.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Part.html"],
 " function, which is not so recognized and thus comes last (LIFO):"
}], "CodeText",
 CellChangeTimes->{{3.858002550460147*^9, 3.858002576808303*^9}, {
  3.858245260633507*^9, 3.8582452773386374`*^9}, {3.867330729899041*^9, 
  3.867330745760927*^9}},
 CellID->1807659442,ExpressionUUID->"b810a614-eb1f-4be1-8e97-b6fb395d5ae6"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Map", "[", 
  RowBox[{"Normal", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Query", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"#", "[", 
         RowBox[{"[", 
          RowBox[{"{", 
           RowBox[{"1", ",", "2", ",", "3"}], "}"}], "]"}], "]"}], "&"}], ",", 
       RowBox[{"#age", "&"}]}], "]"}], ",", 
     RowBox[{"Query", "[", 
      RowBox[{
       RowBox[{"1", ";;", "3"}], ",", 
       RowBox[{"#age", "&"}]}], "]"}]}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.858002486728209*^9, 3.858002510035269*^9}, {
  3.858002581305625*^9, 3.8580026137024937`*^9}},
 CellLabel->"In[394]:=",
 CellID->531112505,ExpressionUUID->"d160ad10-ece7-4cc9-8023-816bf83e0777"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"Map", "[", 
     RowBox[{"#age", "&"}], "]"}], "/*", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"#1", "\[LeftDoubleBracket]", 
       RowBox[{"{", 
        RowBox[{"1", ",", "2", ",", "3"}], "}"}], "\[RightDoubleBracket]"}], 
      "&"}], ")"}]}], ",", 
   RowBox[{
    RowBox[{"GeneralUtilities`Slice", "[", 
     RowBox[{"1", ";;", "3"}], "]"}], "/*", 
    RowBox[{"Map", "[", 
     RowBox[{"#age", "&"}], "]"}]}]}], "}"}]], "Output",
 CellChangeTimes->{{3.858002501523418*^9, 3.8580025120062037`*^9}, 
   3.85800261408821*^9, 3.881422506687985*^9},
 CellLabel->"Out[394]=",
 CellID->1609555005,ExpressionUUID->"563f0b21-85fb-469d-add6-245705890e1c"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Descending Operators", "Subsubsubsection",
 CellChangeTimes->{{3.771890608928754*^9, 3.771890617013329*^9}, {
  3.858245340221136*^9, 3.8582453405419817`*^9}},
 CellID->860485608,ExpressionUUID->"65472c73-122e-48fb-8eb0-985ac5e6beba"],

Cell[TextData[{
 "I will now discuss some of the most common \
\[OpenCurlyDoubleQuote]descending operators\[CloseCurlyDoubleQuote] that cut \
in line in the operator pipeline formed by ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 ". ",
 ButtonBox["Select",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Select.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Select.html"],
 " is a common example. It makes sense to select data first because then the \
pipeline doesn\[CloseCurlyQuote]t have to process as much at the lower \
levels. Moreover, ",
 ButtonBox["Select",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Select.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Select.html"],
 " won\[CloseCurlyQuote]t change the content of the expressions it \
encounters. It just keeps some while discarding others."
}], "Text",
 CellChangeTimes->{{3.76943651424616*^9, 3.7694365773059*^9}, {
   3.7694367371386003`*^9, 3.769436773093279*^9}, {3.7694368943695707`*^9, 
   3.769436897049797*^9}, {3.769437119547029*^9, 3.769437344800877*^9}, {
   3.7694648675952806`*^9, 3.7694648824118757`*^9}, {3.76946492536924*^9, 
   3.769464977489326*^9}, {3.769465020858015*^9, 3.7694650901253223`*^9}, {
   3.7694651344074507`*^9, 3.769465143310676*^9}, {3.77188386746428*^9, 
   3.771883872392335*^9}, {3.777111881345564*^9, 3.7771118887813077`*^9}, {
   3.7771121447590027`*^9, 3.7771121557309055`*^9}, {3.7771121901484632`*^9, 
   3.7771122390449567`*^9}, {3.785509522610511*^9, 3.785509525433934*^9}, {
   3.858009913154072*^9, 3.858010014464519*^9}, {3.858175835371477*^9, 
   3.85817586488161*^9}, 3.858245351753087*^9, {3.8673307742072096`*^9, 
   3.8673307752972193`*^9}, {3.8673308492288013`*^9, 3.8673308519406147`*^9}},
 CellTags->{"LastCellOfAPage", "i:15"},
 CellID->284558015,ExpressionUUID->"2b829b58-1cc7-4408-89a7-467edb812ddf"],

Cell[TextData[{
 "Here\[CloseCurlyQuote]s the result of a ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " whose first argument selects values whose total is even and whose second \
argument maps the addition of 1 to the second part of each of the expressions \
it confronts. If the conventional LIFO order prevailed, the kernel would \
first perform ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["#",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Slot.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Slot.html"], "+", 
   RowBox[{"1", 
    ButtonBox[
     StyleBox["&",
      FontColor->GrayLevel[0]],
     BaseStyle->"Hyperlink",
     ButtonData->{
       URL["https://reference.wolfram.com/language/ref/Function.html"], None},
     ButtonNote->
      "https://reference.wolfram.com/language/ref/Function.html"]}]}]], 
  "InlineCodeText",ExpressionUUID->"59124198-1406-4623-b069-3fde9adcdf2e"],
 " on each of the second parts of ",
 Cell[BoxData[
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"3", ",", "4"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"5", ",", "7"}], "}"}]}], "}"}]], "InlineCodeText",
  ExpressionUUID->"b34ac325-5127-4931-8d30-ff14a5f8dbf6"],
 " and produce ",
 Cell[BoxData[
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"3", ",", "5"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"5", ",", "8"}], "}"}]}], "}"}]], "InlineCodeText",
  ExpressionUUID->"8d46cb9a-fc75-44a0-a294-074c1e8b734a"],
 ". Then ",
 ButtonBox["Select",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Select.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Select.html"],
 " would realize that only ",
 Cell[BoxData[
  RowBox[{"{", 
   RowBox[{"3", ",", "5"}], "}"}]], "InlineCodeText",ExpressionUUID->
  "fd8cfa02-2ce8-48a8-afb4-83cbd4c3b0f6"],
 " has an even total. The result of the ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " would be ",
 Cell[BoxData[
  RowBox[{"{", 
   RowBox[{"3", ",", "5"}], "}"}]], "InlineCodeText",ExpressionUUID->
  "fc8d81f5-0cd0-4ab7-98ee-90a7ca354983"],
 ". "
}], "Text",
 CellChangeTimes->{{3.76943651424616*^9, 3.7694365773059*^9}, {
  3.7694367371386003`*^9, 3.769436773093279*^9}, {3.7694368943695707`*^9, 
  3.769436897049797*^9}, {3.769437119547029*^9, 3.769437344800877*^9}, {
  3.7694648675952806`*^9, 3.7694648824118757`*^9}, {3.76946492536924*^9, 
  3.769464977489326*^9}, {3.769465020858015*^9, 3.7694650901253223`*^9}, {
  3.7694651344074507`*^9, 3.769465143310676*^9}, {3.77188386746428*^9, 
  3.771883872392335*^9}, {3.777111881345564*^9, 3.7771118887813077`*^9}, {
  3.7771121447590027`*^9, 3.7771121557309055`*^9}, {3.7771121901484632`*^9, 
  3.7771122390449567`*^9}, {3.785509522610511*^9, 3.785509525433934*^9}, {
  3.858009913154072*^9, 3.858010014464519*^9}, {3.858175835371477*^9, 
  3.8581758603008738`*^9}, {3.858245376269401*^9, 3.858245376688883*^9}, {
  3.8677546607996683`*^9, 3.867754664099405*^9}},
 CellTags->"p: 120",
 CellID->1837340642,ExpressionUUID->"c7066cbd-b0fe-42c4-ae3d-cea6ca2af895"],

Cell[TextData[{
 "However, that\[CloseCurlyQuote]s not what happens. Instead, ",
 ButtonBox["Select",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Select.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Select.html"],
 " gets precedence. It identifies ",
 Cell[BoxData[
  RowBox[{"{", 
   RowBox[{"5", ",", "7"}], "}"}]], "InlineCodeText",ExpressionUUID->
  "a9715d47-5e10-4ed2-814c-74839c6e6737"],
 " but not ",
 Cell[BoxData[
  RowBox[{"{", 
   RowBox[{"3", ",", "4"}], "}"}]], "InlineCodeText",ExpressionUUID->
  "b31b1e74-25bf-4136-b083-a6381c6f210f"],
 " as having a total that is even, so we are left with just ",
 Cell[BoxData[
  RowBox[{"{", 
   RowBox[{"{", 
    RowBox[{"5", ",", "7"}], "}"}], "}"}]], "InlineCodeText",ExpressionUUID->
  "b7908fbd-5e9e-4cce-9a0e-3e14cd734101"],
 ". We then add 1 to the second position of each element of that intermediate \
result and are left with ",
 Cell[BoxData[
  RowBox[{"{", 
   RowBox[{"{", 
    RowBox[{"5", ",", "8"}], "}"}], "}"}]], "InlineCodeText",ExpressionUUID->
  "a2b29800-1cdb-48a0-b75e-65c520d0f7d7"],
 "."
}], "Text",
 CellChangeTimes->{{3.76943651424616*^9, 3.7694365773059*^9}, {
  3.7694367371386003`*^9, 3.769436773093279*^9}, {3.7694368943695707`*^9, 
  3.769436897049797*^9}, {3.769437119547029*^9, 3.769437344800877*^9}, {
  3.7694648675952806`*^9, 3.7694648824118757`*^9}, {3.76946492536924*^9, 
  3.769464977489326*^9}, {3.769465020858015*^9, 3.7694650885613832`*^9}, {
  3.769465148197219*^9, 3.769465165379003*^9}, {3.7770412231919465`*^9, 
  3.777041223841011*^9}, {3.7771122527779565`*^9, 3.777112303885957*^9}, {
  3.858010024732155*^9, 3.858010026836701*^9}},
 CellID->1270892387,ExpressionUUID->"14837212-9b73-4847-8445-843665b03860"],

Cell[TextData[{
 "The ",
 ButtonBox["Select",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Select.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Select.html"],
 " in this ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " gets executed first, even though it is the first argument to ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.76951462858989*^9, 3.7695146630134487`*^9}, 
   3.7770420118820086`*^9, {3.7771123109519567`*^9, 3.7771123173259563`*^9}, 
   3.858245439676745*^9, {3.8673309697258906`*^9, 3.867330970585246*^9}},
 CellID->143640249,ExpressionUUID->"3c71bc0a-1872-472d-9e79-8d17ae61b4a7"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{
    RowBox[{"Select", "[", 
     RowBox[{
      RowBox[{"EvenQ", "[", 
       RowBox[{"Total", "[", "#", "]"}], "]"}], "&"}], "]"}], ",", 
    RowBox[{"MapAt", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"#", "+", "1"}], "&"}], ",", 
      RowBox[{"{", "2", "}"}]}], "]"}]}], "]"}], "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"3", ",", "4"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"5", ",", "7"}], "}"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.769436774915228*^9, 3.769436790652165*^9}, {
  3.7694369362943993`*^9, 3.769436974825556*^9}, {3.769437077767355*^9, 
  3.7694370994558563`*^9}, {3.769437183870718*^9, 3.769437197981419*^9}, {
  3.7694649996657743`*^9, 3.7694650098426447`*^9}},
 CellLabel->"In[395]:=",
 CellID->870669227,ExpressionUUID->"711dd59e-3359-46f4-a93b-d15d30f0c939"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"5", ",", "8"}], "}"}], "}"}]], "Output",
 CellChangeTimes->{{3.769436966067219*^9, 3.769436976597754*^9}, {
   3.76943708077409*^9, 3.7694371004146843`*^9}, 3.769437198906101*^9, {
   3.7694650042184753`*^9, 3.7694650110090113`*^9}, 3.76946516722764*^9, 
   3.769956299701632*^9, 3.7699593589115562`*^9, 3.771923383568921*^9, 
   3.7719302190753517`*^9, 3.771930363446258*^9, 3.881422512738645*^9},
 CellLabel->"Out[395]=",
 CellID->308493149,ExpressionUUID->"2e23896c-b249-4d55-92af-76d741710290"]
}, Open  ]],

Cell[TextData[{
 ButtonBox["Trace",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Trace.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Trace.html"],
 " again shows what is going on. Although it\[CloseCurlyQuote]s a little \
involved, you should be able to see that ",
 ButtonBox["Select",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Select.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Select.html"],
 " is being performed before ",
 ButtonBox["MapAt",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/MapAt.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/MapAt.html"],
 "."
}], "Text",
 CellChangeTimes->{{3.769437347341095*^9, 3.769437355183825*^9}, {
   3.769437397559779*^9, 3.769437415310646*^9}, 3.7770410966822968`*^9, 
   3.7771123232709565`*^9, {3.7771124690379567`*^9, 3.777112480218957*^9}},
 CellTags->"i:16",
 CellID->832004499,ExpressionUUID->"d85f8291-043f-4e16-889f-e55e8fa0019f"],

Cell[TextData[{
 ButtonBox["Trace",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Trace.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Trace.html"],
 " shows the exact order of operations in executing the ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.769514668983654*^9, 3.7695146977134533`*^9}, 
   3.7770420143140087`*^9, 3.7771124838809566`*^9, 3.8582454633259783`*^9},
 CellID->1460106408,ExpressionUUID->"9e918067-f9b8-4dda-b3f2-02871eed6029"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Column", "@", 
  RowBox[{"With", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"nq", "=", 
      RowBox[{"Normal", "[", 
       RowBox[{"Query", "[", 
        RowBox[{
         RowBox[{"Select", "[", 
          RowBox[{
           RowBox[{"EvenQ", "[", 
            RowBox[{"Total", "[", "#", "]"}], "]"}], "&"}], "]"}], ",", 
         RowBox[{"MapAt", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"#", "+", "1"}], "&"}], ",", 
           RowBox[{"{", "2", "}"}]}], "]"}]}], "]"}], "]"}]}], "}"}], ",", 
    RowBox[{"Trace", "[", 
     RowBox[{"nq", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"3", ",", "4"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"5", ",", "7"}], "}"}]}], "}"}], "]"}], "]"}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.7694367178414297`*^9, 3.769436724543528*^9}, {
  3.769437364853746*^9, 3.769437365051775*^9}},
 CellLabel->"In[396]:=",
 CellID->385140842,ExpressionUUID->"13134b76-8828-4060-91ac-7f6826dde544"],

Cell[BoxData[
 TagBox[GridBox[{
    {
     TagBox[
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Select", "[", 
          RowBox[{
           RowBox[{"EvenQ", "[", 
            RowBox[{"Total", "[", "#1", "]"}], "]"}], "&"}], "]"}], "/*", 
         RowBox[{"MapAt", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"#1", "+", "1"}], "&"}], ",", 
           RowBox[{"{", 
            RowBox[{"All", ",", "2"}], "}"}]}], "]"}]}], ")"}], "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"3", ",", "4"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"5", ",", "7"}], "}"}]}], "}"}], "]"}],
      HoldForm]},
    {
     TagBox[
      RowBox[{
       RowBox[{"MapAt", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"#1", "+", "1"}], "&"}], ",", 
         RowBox[{"{", 
          RowBox[{"All", ",", "2"}], "}"}]}], "]"}], "[", 
       RowBox[{
        RowBox[{"Select", "[", 
         RowBox[{
          RowBox[{"EvenQ", "[", 
           RowBox[{"Total", "[", "#1", "]"}], "]"}], "&"}], "]"}], "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"3", ",", "4"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"5", ",", "7"}], "}"}]}], "}"}], "]"}], "]"}],
      HoldForm]},
    {
     RowBox[{"{", 
      RowBox[{
       TagBox[
        RowBox[{
         RowBox[{"Select", "[", 
          RowBox[{
           RowBox[{"EvenQ", "[", 
            RowBox[{"Total", "[", "#1", "]"}], "]"}], "&"}], "]"}], "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"3", ",", "4"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"5", ",", "7"}], "}"}]}], "}"}], "]"}],
        HoldForm], ",", 
       RowBox[{"{", 
        RowBox[{
         TagBox[
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"EvenQ", "[", 
              RowBox[{"Total", "[", "#1", "]"}], "]"}], "&"}], ")"}], "[", 
           RowBox[{"{", 
            RowBox[{"3", ",", "4"}], "}"}], "]"}],
          HoldForm], ",", 
         TagBox[
          RowBox[{"EvenQ", "[", 
           RowBox[{"Total", "[", 
            RowBox[{"{", 
             RowBox[{"3", ",", "4"}], "}"}], "]"}], "]"}],
          HoldForm], ",", 
         RowBox[{"{", 
          RowBox[{
           TagBox[
            RowBox[{"Total", "[", 
             RowBox[{"{", 
              RowBox[{"3", ",", "4"}], "}"}], "]"}],
            HoldForm], ",", 
           TagBox["7",
            HoldForm]}], "}"}], ",", 
         TagBox[
          RowBox[{"EvenQ", "[", "7", "]"}],
          HoldForm], ",", 
         TagBox["False",
          HoldForm]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         TagBox[
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"EvenQ", "[", 
              RowBox[{"Total", "[", "#1", "]"}], "]"}], "&"}], ")"}], "[", 
           RowBox[{"{", 
            RowBox[{"5", ",", "7"}], "}"}], "]"}],
          HoldForm], ",", 
         TagBox[
          RowBox[{"EvenQ", "[", 
           RowBox[{"Total", "[", 
            RowBox[{"{", 
             RowBox[{"5", ",", "7"}], "}"}], "]"}], "]"}],
          HoldForm], ",", 
         RowBox[{"{", 
          RowBox[{
           TagBox[
            RowBox[{"Total", "[", 
             RowBox[{"{", 
              RowBox[{"5", ",", "7"}], "}"}], "]"}],
            HoldForm], ",", 
           TagBox["12",
            HoldForm]}], "}"}], ",", 
         TagBox[
          RowBox[{"EvenQ", "[", "12", "]"}],
          HoldForm], ",", 
         TagBox["True",
          HoldForm]}], "}"}], ",", 
       TagBox[
        RowBox[{"{", 
         RowBox[{"{", 
          RowBox[{"5", ",", "7"}], "}"}], "}"}],
        HoldForm]}], "}"}]},
    {
     TagBox[
      RowBox[{
       RowBox[{"MapAt", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"#1", "+", "1"}], "&"}], ",", 
         RowBox[{"{", 
          RowBox[{"All", ",", "2"}], "}"}]}], "]"}], "[", 
       RowBox[{"{", 
        RowBox[{"{", 
         RowBox[{"5", ",", "7"}], "}"}], "}"}], "]"}],
      HoldForm]},
    {
     TagBox[
      RowBox[{"{", 
       RowBox[{"{", 
        RowBox[{"5", ",", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"#1", "+", "1"}], "&"}], ")"}], "[", "7", "]"}]}], "}"}], 
       "}"}],
      HoldForm]},
    {
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         TagBox[
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"#1", "+", "1"}], "&"}], ")"}], "[", "7", "]"}],
          HoldForm], ",", 
         TagBox[
          RowBox[{"7", "+", "1"}],
          HoldForm], ",", 
         TagBox["8",
          HoldForm]}], "}"}], ",", 
       TagBox[
        RowBox[{"{", 
         RowBox[{"5", ",", "8"}], "}"}],
        HoldForm]}], "}"}]},
    {
     TagBox[
      RowBox[{"{", 
       RowBox[{"{", 
        RowBox[{"5", ",", "8"}], "}"}], "}"}],
      HoldForm]}
   },
   DefaultBaseStyle->"Column",
   GridBoxAlignment->{"Columns" -> {{Left}}},
   GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
  "Column"]], "Output",
 CellChangeTimes->{3.769436725447048*^9, 3.769437367817127*^9, 
  3.769956299755004*^9, 3.769959358947694*^9, 3.771923383611066*^9, 
  3.771930219177965*^9, 3.771930363484313*^9, 3.881422518603546*^9},
 CellLabel->"Out[396]=",
 CellID->526359822,ExpressionUUID->"216b3185-f5ed-446d-9f4a-e29655c4fa52"]
}, Open  ]],

Cell[TextData[{
 "Here are some other common descending operators that ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " inserts early in the operator pipeline it constructs."
}], "Text",
 CellChangeTimes->{{3.739915181966028*^9, 3.7399153102297783`*^9}, {
   3.739915548347556*^9, 3.739915606088242*^9}, {3.7399156451148777`*^9, 
   3.739915679194249*^9}, {3.739916158942021*^9, 3.739916253543297*^9}, {
   3.739916326209985*^9, 3.739916326510872*^9}, {3.7399164860765047`*^9, 
   3.739916522317307*^9}, 3.739917605308672*^9, {3.739918002976633*^9, 
   3.739918103944501*^9}, {3.739973523781519*^9, 3.739973542293166*^9}, {
   3.7399735940924387`*^9, 3.7399736161322813`*^9}, {3.739973830736205*^9, 
   3.739973993681363*^9}, {3.740308816944653*^9, 3.74030882210187*^9}, {
   3.740406193216916*^9, 3.7404062010935802`*^9}, {3.7416101740068417`*^9, 
   3.7416101965827312`*^9}, {3.7422121925728283`*^9, 3.742212209746647*^9}, {
   3.742212424136759*^9, 3.742212481252739*^9}, 3.74224481680163*^9, {
   3.7694380231676817`*^9, 3.769438037265938*^9}, 3.787344791627288*^9, 
   3.787401725700933*^9, {3.858010048649437*^9, 3.858010082511351*^9}, {
   3.858175900932355*^9, 3.8581759087315817`*^9}},
 CellID->1351590519,ExpressionUUID->"044fdd6b-f4a6-407c-83c5-e0ed9a0c79cb"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox[ButtonBox["Slice",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
Slice"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/Slice"],
  FontColor->GrayLevel[0.45]],
 " Operators"
}], "Subsubsubsection",
 CellID->2082226180,ExpressionUUID->"ad86bed1-8a82-4a7a-9412-445c5b57eaf7"],

Cell[TextData[{
 "There are a number of built-in Wolfram Language functions that get \
converted into a special operator: ",
 Cell[BoxData[
  RowBox[{"GeneralUtilities`Slice", " \[NegativeThinSpace]"}]], 
  "InlineCodeText",ExpressionUUID->"a105d9c4-388d-4653-b0a4-a9b713608825"],
 ". ",
 Cell[BoxData[
 "`"], "InlineCodeText",ExpressionUUID->
  "48b064d6-458a-4847-9335-da50b04e61e9"],
 " functions that get converted include ",
 ButtonBox["Span",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Span.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Span.html"],
 ", ",
 ButtonBox["Take",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Take.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Take.html"],
 ", and ",
 ButtonBox["Key",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Key.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Key.html"],
 ". The ",
 ButtonBox["ResourceFunction",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ResourceFunction.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/ResourceFunction.html"],
 " ",
 ButtonBox["Slice",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
Slice"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/Slice"],
 " also gets converted. Anything that gets converted into this form is a \
descending operator; ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " inserts it early in the pipeline. This early insertion makes sense because \
these operators just filter out unwanted items in a data structure. Here\
\[CloseCurlyQuote]s a demonstration."
}], "Text",
 CellChangeTimes->{{3.739915181966028*^9, 3.7399153102297783`*^9}, {
   3.739915548347556*^9, 3.739915606088242*^9}, {3.7399156451148777`*^9, 
   3.739915679194249*^9}, {3.739916158942021*^9, 3.739916253543297*^9}, {
   3.739916326209985*^9, 3.739916326510872*^9}, {3.7399164860765047`*^9, 
   3.739916522317307*^9}, 3.739917605308672*^9, {3.739918002976633*^9, 
   3.739918103944501*^9}, {3.739973523781519*^9, 3.739973542293166*^9}, {
   3.7399735940924387`*^9, 3.7399736161322813`*^9}, {3.739973830736205*^9, 
   3.739973993681363*^9}, {3.740308816944653*^9, 3.74030882210187*^9}, {
   3.740406193216916*^9, 3.7404062010935802`*^9}, {3.7416101740068417`*^9, 
   3.7416101965827312`*^9}, {3.7422121925728283`*^9, 3.742212209746647*^9}, {
   3.742212424136759*^9, 3.742212481252739*^9}, {3.769193141032733*^9, 
   3.769193194405067*^9}, {3.769437441003978*^9, 3.7694375734345207`*^9}, {
   3.769437625133614*^9, 3.769437628190254*^9}, {3.769465191758479*^9, 
   3.769465215188415*^9}, {3.771883917865432*^9, 3.7718839198047457`*^9}, 
   3.777112959018933*^9, 3.7771130163926697`*^9, 3.777113121750204*^9, {
   3.777113616345659*^9, 3.7771136209901233`*^9}, {3.7771136590139256`*^9, 
   3.7771136716451883`*^9}, {3.785509676597354*^9, 3.785509817547909*^9}, {
   3.785525653311602*^9, 3.7855256627683983`*^9}, {3.785525693437131*^9, 
   3.785525741409437*^9}, {3.7856845017868977`*^9, 3.785684530336959*^9}, 
   3.78734466326749*^9, {3.858010109604643*^9, 3.858010249665388*^9}, {
   3.858011052560587*^9, 3.858011214563449*^9}, {3.858011257570019*^9, 
   3.858011316982751*^9}, {3.858175925843812*^9, 3.858175926327797*^9}, {
   3.858245506376801*^9, 3.858245531587034*^9}, {3.867331081814866*^9, 
   3.867331087176195*^9}, {3.8695853320541105`*^9, 3.8695853390713983`*^9}, {
   3.8695869197078285`*^9, 3.8695869237625933`*^9}, {3.869586963258046*^9, 
   3.869586964054919*^9}, 3.8697441999454308`*^9, {3.89635286574564*^9, 
   3.8963528691239033`*^9}, {3.8963530640823936`*^9, 3.896353077553328*^9}, {
   3.896353140952855*^9, 3.89635315646488*^9}, 3.8963532227028913`*^9, {
   3.896356293694787*^9, 3.896356297822961*^9}, {3.896356337604542*^9, 
   3.8963563736666937`*^9}, {3.896437025084292*^9, 3.896437038924157*^9}},
 CellTags->{"LastCellOfAPage", "i:17"},
 CellID->928598400,ExpressionUUID->"d4a908e5-03ef-4b07-ad3c-1c6cb68a02c7"],

Cell[TextData[{
 "Operators that are transformed into ",
 ButtonBox["Slice",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
Slice"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/Slice"],
 " are descending and get precedence: "
}], "CodeText",
 CellChangeTimes->{{3.7695147069475594`*^9, 3.769514726226789*^9}, 
   3.777042017888008*^9, 3.785509869266617*^9, 3.8580112357579107`*^9, {
   3.858245579473934*^9, 3.858245589005941*^9}, {3.86958698247017*^9, 
   3.869586983174234*^9}, {3.869587098560503*^9, 3.869587101460515*^9}, {
   3.8696492419009156`*^9, 3.8696492493593397`*^9}},
 CellTags->"p: 121",
 CellID->1807941136,ExpressionUUID->"6683fdb3-4cd1-449d-89e0-92dd6b5d9415"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"Normal", "[", 
    RowBox[{"Query", "[", 
     RowBox[{"1", ";;", "3"}], "]"}], "]"}], ",", 
   RowBox[{"Normal", "[", 
    RowBox[{"Query", "[", 
     RowBox[{"Take", "[", "5", "]"}], "]"}], "]"}], ",", 
   RowBox[{"Normal", "[", 
    RowBox[{"Query", "[", 
     RowBox[{"Key", "[", "imakey", "]"}], "]"}], "]"}]}], "}"}]], "Input",
 CellChangeTimes->{{3.769437469928904*^9, 3.769437475746216*^9}, {
  3.76943751351226*^9, 3.769437601923621*^9}, {3.858011324876965*^9, 
  3.8580113252382193`*^9}},
 CellLabel->"In[397]:=",
 CellID->618275752,ExpressionUUID->"bcdf385f-2fd9-48ce-b2b4-d5081f272173"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"GeneralUtilities`Slice", "[", 
    RowBox[{"1", ";;", "3"}], "]"}], ",", 
   RowBox[{"GeneralUtilities`Slice", "[", "5", "]"}], ",", 
   RowBox[{"GeneralUtilities`Slice", "[", 
    RowBox[{"Key", "[", "imakey", "]"}], "]"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.769437524567685*^9, {3.769437558482067*^9, 3.7694376025054827`*^9}, 
   3.769956299775797*^9, 3.769959358961434*^9, 3.771923383622196*^9, 
   3.771930219214211*^9, 3.771930363495536*^9, 3.85801132573132*^9, 
   3.8814225266992807`*^9},
 CellLabel->"Out[397]=",
 CellID->1917338552,ExpressionUUID->"1d61422b-e4c9-4c26-b7d9-e3d46d20b2a8"]
}, Open  ]],

Cell[TextData[{
 "When one uses a string as an argument to ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 ", the kernel assumes one means to use it as a ",
 ButtonBox["Key",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Key.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Key.html"],
 ". It is thus converted into a ",
 Cell[BoxData[
  RowBox[{"GeneralUtilities`Slice", " \[NegativeThinSpace]"}]], 
  "InlineCodeText",ExpressionUUID->"812afb51-0fad-41b1-83e5-cf251a483854"],
 " and placed early in the pipeline. "
}], "Text",
 CellChangeTimes->{{3.858011336445839*^9, 3.858011418162468*^9}, {
  3.8580114705907593`*^9, 3.85801147486117*^9}, {3.8582507234270563`*^9, 
  3.858250724502912*^9}, {3.8695865002404737`*^9, 3.869586510969962*^9}},
 CellID->1536541172,ExpressionUUID->"4b0a3d78-846d-4213-a643-51e1e3f9bfad"],

Cell[TextData[{
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " treats a string argument as if wrapped by ",
 ButtonBox["Key",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Key.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Key.html"],
 " and converts into a ",
 Cell[BoxData[
 "GeneralUtilities`Slice"], "InlineCode",ExpressionUUID->
  "b6cddf54-4b08-4269-862c-dc0d7777b624"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.858011426241168*^9, 3.858011465275886*^9}, {
   3.858011507645961*^9, 3.8580115234415617`*^9}, 3.858245607941102*^9, {
   3.858245681043661*^9, 3.858245707197897*^9}, {3.85824579428995*^9, 
   3.858245808876607*^9}, {3.869586559334873*^9, 3.869586583943949*^9}, {
   3.885050609928975*^9, 3.885050651868785*^9}},
 CellID->1693936954,ExpressionUUID->"4d501715-88b0-4677-8763-985613398b61"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Normal", "[", 
  RowBox[{"Query", "[", 
   RowBox[{"\"\<a\>\"", ",", "f"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.858011370823977*^9, 3.858011384389896*^9}},
 CellLabel->"In[398]:=",
 CellID->2065379361,ExpressionUUID->"9e5d40b8-2e5a-4994-9765-2ca8916ceb12"],

Cell[BoxData[
 RowBox[{
  RowBox[{"GeneralUtilities`Slice", "[", "\<\"a\"\>", "]"}], "/*", 
  "f"}]], "Output",
 CellChangeTimes->{{3.858011376825088*^9, 3.85801138474503*^9}, 
   3.881422532890777*^9},
 CellLabel->"Out[398]=",
 CellID->732116838,ExpressionUUID->"e1cfd3ad-f346-4cb8-be46-26c43c1a7146"]
}, Open  ]],

Cell[TextData[{
 "A ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " that extracts the value associated with the ",
 Cell[BoxData[
 "\"\<a\>\""], "InlineCode",ExpressionUUID->
  "fb70212a-6eae-41b4-9c4c-1d9ab6a876d5"],
 " key and applies the function ",
 Cell[BoxData[
 "f"], "InlineCode",ExpressionUUID->"19cb6ab1-daf9-40cc-9b09-307295b1f71e"],
 " to the result:"
}], "CodeText",
 CellID->1396714629,ExpressionUUID->"33b53995-b748-4202-91a0-cb1dd9dac509"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{"\"\<a\>\"", ",", "f"}], "]"}], "[", 
  RowBox[{"Association", "[", 
   RowBox[{
    RowBox[{"\"\<a\>\"", "\[Rule]", "3"}], ",", 
    RowBox[{"\"\<b\>\"", "\[Rule]", "4"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.858011479904333*^9, 3.858011492728266*^9}},
 CellLabel->"In[399]:=",
 CellID->12146369,ExpressionUUID->"44a4ed45-2f5c-4e6a-95eb-c04179677c4a"],

Cell[BoxData[
 RowBox[{"f", "[", "3", "]"}]], "Output",
 CellChangeTimes->{3.858011493230282*^9, 3.8814225358940983`*^9},
 CellLabel->"Out[399]=",
 CellID->561349961,ExpressionUUID->"431b5f46-aff4-45b3-af47-980dd6be77d5"]
}, Open  ]],

Cell[TextData[{
 "Variants of ",
 ButtonBox["Select",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Select.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Select.html"],
 " (",
 ButtonBox["SelectFirst",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/SelectFirst.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/SelectFirst.html"],
 ", ",
 ButtonBox["KeySelect",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/KeySelect.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/KeySelect.html"],
 ", ",
 ButtonBox["MaximalBy",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/MaximalBy.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/MaximalBy.html"],
 ", ",
 ButtonBox["MinimalBy",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/MinimalBy.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/MinimalBy.html"],
 ") likewise just prune out data, so they are \
\[OpenCurlyDoubleQuote]descending,\[CloseCurlyDoubleQuote] getting applied on \
the way down. "
}], "Text",
 CellChangeTimes->{{3.739915181966028*^9, 3.7399153102297783`*^9}, {
   3.739915548347556*^9, 3.739915606088242*^9}, {3.7399156451148777`*^9, 
   3.739915679194249*^9}, {3.739916158942021*^9, 3.739916253543297*^9}, {
   3.739916326209985*^9, 3.739916326510872*^9}, {3.7399164860765047`*^9, 
   3.739916522317307*^9}, 3.7399737108099194`*^9, {3.740318402306541*^9, 
   3.740318405782423*^9}, {3.741610342047627*^9, 3.741610362533004*^9}, {
   3.7422128251139593`*^9, 3.7422129265136223`*^9}, 3.769437646490691*^9, {
   3.7718839354539022`*^9, 3.771883956285907*^9}, {3.7771140992629037`*^9, 
   3.777114118851904*^9}, {3.858175943044181*^9, 3.858175949244536*^9}},
 CellTags->"i:18",
 CellID->908443047,ExpressionUUID->"00f07889-e0ff-4aaf-9d9e-f76441e3ca1d"],

Cell[TextData[{
 ButtonBox["Select",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Select.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Select.html"],
 ", ",
 ButtonBox["KeySelect",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/KeySelect.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/KeySelect.html"],
 ", and similar operators get precedence:"
}], "CodeText",
 CellChangeTimes->{{3.7695147873158617`*^9, 3.769514801504623*^9}, 
   3.7770420213920083`*^9, {3.7771141263219037`*^9, 3.7771141351319036`*^9}},
 CellID->691599763,ExpressionUUID->"28d68705-6e1d-46dd-a16c-c91f9ba20606"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"Normal", "[", 
    RowBox[{"Query", "[", 
     RowBox[{
      RowBox[{"Select", "[", "EvenQ", "]"}], ",", "g"}], "]"}], "]"}], ",", 
   RowBox[{"Normal", "[", 
    RowBox[{"Query", "[", 
     RowBox[{
      RowBox[{"SelectFirst", "[", "EvenQ", "]"}], ",", "g"}], "]"}], "]"}], 
   ",", 
   RowBox[{"Normal", "[", 
    RowBox[{"Query", "[", 
     RowBox[{
      RowBox[{"KeySelect", "[", "EvenQ", "]"}], ",", "g"}], "]"}], "]"}], ",", 
   RowBox[{"Normal", "[", 
    RowBox[{"Query", "[", 
     RowBox[{
      RowBox[{"MaximalBy", "[", "Last", "]"}], ",", "g"}], "]"}], "]"}], ",", 
   RowBox[{"Normal", "[", 
    RowBox[{"Query", "[", 
     RowBox[{
      RowBox[{"MinimalBy", "[", "Last", "]"}], ",", "g"}], "]"}], "]"}]}], 
  "}"}]], "Input",
 CellChangeTimes->{{3.769514964467784*^9, 3.769514997068714*^9}},
 CellLabel->"In[400]:=",
 CellID->643451727,ExpressionUUID->"20c873fd-40d3-4253-a0a6-c93413d292b4"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"Select", "[", "EvenQ", "]"}], "/*", 
    RowBox[{"Map", "[", "g", "]"}]}], ",", 
   RowBox[{
    RowBox[{"SelectFirst", "[", "EvenQ", "]"}], "/*", "g"}], ",", 
   RowBox[{
    RowBox[{"KeySelect", "[", "EvenQ", "]"}], "/*", 
    RowBox[{"Map", "[", "g", "]"}]}], ",", 
   RowBox[{
    RowBox[{"MaximalBy", "[", "Last", "]"}], "/*", 
    RowBox[{"Map", "[", "g", "]"}]}], ",", 
   RowBox[{
    RowBox[{"MinimalBy", "[", "Last", "]"}], "/*", 
    RowBox[{"Map", "[", "g", "]"}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.76951499774168*^9, 3.76995629982031*^9, 
  3.769959358996522*^9, 3.7719233836617317`*^9, 3.771930219227335*^9, 
  3.771930363528182*^9, 3.8814225417439327`*^9},
 CellLabel->"Out[400]=",
 CellID->312618507,ExpressionUUID->"ae6b74f6-3cb4-49a6-b05c-fa2633f3060a"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Deletes", "Subsubsubsection",
 CellChangeTimes->{{3.771890815869388*^9, 3.7718908234147377`*^9}},
 CellID->243818870,ExpressionUUID->"38f1b2b9-daac-4e78-8893-b3c99e63e3bf"],

Cell[TextData[{
 "Included among \[OpenCurlyDoubleQuote]descending operators\
\[CloseCurlyDoubleQuote] are certain functions that delete, such as ",
 ButtonBox["DeleteDuplicatesBy",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/DeleteDuplicatesBy.html"],
     None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/DeleteDuplicatesBy.html"],
 " and ",
 ButtonBox["DeleteMissing",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/DeleteMissing.html"], 
    None},
  ButtonNote->"https://reference.wolfram.com/language/ref/DeleteMissing.html"],
 ". These functions are also filters, except that instead of specifying what \
one wants to keep, one specifies what one wants to get rid of. By getting rid \
of data, these filtering functions tend to accelerate the execution of \
subsequent commands. "
}], "Text",
 CellChangeTimes->{{3.739915181966028*^9, 3.7399153102297783`*^9}, {
   3.739915548347556*^9, 3.739915606088242*^9}, {3.7399156451148777`*^9, 
   3.739915679194249*^9}, {3.739916158942021*^9, 3.739916253543297*^9}, {
   3.739916326209985*^9, 3.739916326510872*^9}, {3.7399164860765047`*^9, 
   3.739916522317307*^9}, 3.7399737108099194`*^9, {3.740318402306541*^9, 
   3.740318405782423*^9}, {3.741610342047627*^9, 3.741610362533004*^9}, {
   3.7422128251139593`*^9, 3.7422129265136223`*^9}, {3.771883966146957*^9, 
   3.771883984422059*^9}, {3.7771141474919033`*^9, 3.7771141714269037`*^9}, {
   3.858067088471143*^9, 3.858067159448636*^9}, {3.858175976298831*^9, 
   3.85817600783318*^9}, {3.8673326784236717`*^9, 3.8673326786873655`*^9}},
 CellTags->"i:19",
 CellID->1087675261,ExpressionUUID->"4cb2e8d1-7742-4eec-a188-6e77ec93f1b0"],

Cell[TextData[{
 ButtonBox["DeleteDuplicates",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/DeleteDuplicates.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/DeleteDuplicates.html"],
 " and basic versions of ",
 ButtonBox["DeleteMissing",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/DeleteMissing.html"], 
    None},
  ButtonNote->"https://reference.wolfram.com/language/ref/DeleteMissing.html"],
 " get precedence:"
}], "CodeText",
 CellChangeTimes->{{3.7695148574611998`*^9, 3.7695148749743557`*^9}, 
   3.7770420244080086`*^9, {3.7771141801989036`*^9, 3.777114185136904*^9}},
 CellID->1726528718,ExpressionUUID->"cf86f09d-f3f1-4ef3-9164-abb4bdff0121"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Map", "[", 
  RowBox[{"Normal", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Query", "[", 
      RowBox[{
       RowBox[{"DeleteDuplicatesBy", "[", "EvenQ", "]"}], ",", "g"}], "]"}], 
     ",", 
     RowBox[{"Query", "[", 
      RowBox[{"DeleteMissing", ",", "g"}], "]"}]}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.769514932408504*^9, 3.7695149421433067`*^9}, {
  3.858067202244323*^9, 3.858067242812078*^9}},
 CellLabel->"In[401]:=",
 CellID->1636762992,ExpressionUUID->"6b7f81ab-41f5-49bf-a696-50d93731768e"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"DeleteDuplicatesBy", "[", "EvenQ", "]"}], "/*", 
    RowBox[{"Map", "[", "g", "]"}]}], ",", 
   RowBox[{"DeleteMissing", "/*", 
    RowBox[{"Map", "[", "g", "]"}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.85806724326103*^9, 3.881422548711267*^9},
 CellTags->"LastCellOfAPage",
 CellLabel->"Out[401]=",
 CellID->1515834082,ExpressionUUID->"9e32aae5-4baa-44d1-a92e-4b9de42f0d60"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[StyleBox[ButtonBox["Cases",
 BaseStyle->"Hyperlink",
 ButtonData->{
   URL["https://reference.wolfram.com/language/ref/Cases.html"], None},
 ButtonNote->"https://reference.wolfram.com/language/ref/Cases.html"],
 FontColor->GrayLevel[0.45]]], "Subsubsubsection",
 CellTags->"p: 122",
 CellID->321485744,ExpressionUUID->"f5a2f29e-911e-470b-ad0f-deee0d31d51c"],

Cell[TextData[{
 "At least in some circumstances, ",
 ButtonBox["Cases",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Cases.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Cases.html"],
 " is treated as a descending operator. When used at the first level, ",
 ButtonBox["Cases",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Cases.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Cases.html"],
 " does not tend to destroy structure. "
}], "Text",
 CellChangeTimes->{{3.739917830150255*^9, 3.739917882418539*^9}, {
  3.739974073942803*^9, 3.739974090662409*^9}, {3.7422129451473846`*^9, 
  3.742212964270438*^9}, {3.771884000673663*^9, 3.771884015987708*^9}, {
  3.777114233115904*^9, 3.777114242037904*^9}},
 CellTags->"i:20",
 CellID->1066189986,ExpressionUUID->"64299d2a-7892-440b-b804-92aeb362c809"],

Cell[TextData[{
 "The basic use of ",
 ButtonBox["Cases",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Cases.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Cases.html"],
 " gets precedence:"
}], "CodeText",
 CellChangeTimes->{{3.769515071910164*^9, 3.7695150791045713`*^9}, 
   3.7770420273120084`*^9, {3.7771142476119037`*^9, 3.7771142514779034`*^9}},
 CellID->411023109,ExpressionUUID->"14f4b278-559b-4df1-b5b7-d2c107febd56"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Normal", "[", 
  RowBox[{"Query", "[", 
   RowBox[{
    RowBox[{"Cases", "[", 
     RowBox[{"{", 
      RowBox[{"_", ",", "_"}], "}"}], "]"}], ",", "g"}], "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.739917778507025*^9, 3.7399178203286333`*^9}},
 CellLabel->"In[402]:=",
 CellID->851544134,ExpressionUUID->"9ad67457-5ebb-46cb-b3b7-aced9488e51d"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Cases", "[", 
   RowBox[{"{", 
    RowBox[{"_", ",", "_"}], "}"}], "]"}], "/*", 
  RowBox[{"Map", "[", "g", "]"}]}]], "Output",
 CellChangeTimes->{3.74041473765308*^9, 3.74042426194905*^9, 
  3.740496181161777*^9, 3.740500476460619*^9, 3.7417736760796003`*^9, 
  3.7417752249507008`*^9, 3.741787996411276*^9, 3.741876423261571*^9, 
  3.741879479909018*^9, 3.741956402989273*^9, 3.742122966959305*^9, 
  3.769956299882534*^9, 3.7699593590585747`*^9, 3.771923383720271*^9, 
  3.771930219309153*^9, 3.771930363580453*^9, 3.881422554739896*^9},
 CellLabel->"Out[402]=",
 CellID->1983893533,ExpressionUUID->"f794f296-7199-482f-ba3a-8f7d78df5b21"]
}, Open  ]],

Cell[TextData[{
 "Thus, the following ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " does not take the first element of each sublist and then see whether the \
result has just two values. Instead, it first sees which sublists have two \
values and then finds the first part of the result."
}], "Text",
 CellChangeTimes->{{3.7399179148748693`*^9, 3.7399179180944147`*^9}, {
   3.7422129851003437`*^9, 3.7422130452234497`*^9}, {3.769465252743471*^9, 
   3.769465253221706*^9}, 3.785509974504262*^9, {3.867333028880331*^9, 
   3.86733303381979*^9}},
 CellID->1916946909,ExpressionUUID->"395c437c-4257-4e2d-b49a-34fc289682db"],

Cell[TextData[{
 "A more complicated instance demonstrating ",
 ButtonBox["Cases",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Cases.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Cases.html"],
 " and precedence:"
}], "CodeText",
 CellChangeTimes->{{3.785509991621107*^9, 3.7855100100086412`*^9}, 
   3.7855252425366297`*^9, {3.86733305390543*^9, 3.8673330541603107`*^9}, 
   3.8674114255469437`*^9},
 CellID->2113561191,ExpressionUUID->"fbe6d943-d345-4913-86de-67ed568bd369"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{
    RowBox[{"Cases", "[", 
     RowBox[{"{", 
      RowBox[{"_", ",", "_"}], "}"}], "]"}], ",", "First"}], "]"}], "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"3", ",", "4"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"5", ",", "6", ",", "7"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"8", ",", "9"}], "}"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.739917895199596*^9, 3.739917931104281*^9}},
 CellLabel->"In[403]:=",
 CellID->1577027269,ExpressionUUID->"0dcefb86-723d-48fa-aa0b-d8bff172bf32"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"3", ",", "8"}], "}"}]], "Output",
 CellChangeTimes->{3.740414737776567*^9, 3.74042426199181*^9, 
  3.740496181335734*^9, 3.740500476566481*^9, 3.74177367615236*^9, 
  3.7417752250356693`*^9, 3.741787996488729*^9, 3.741876423314682*^9, 
  3.741879479963009*^9, 3.741956403072033*^9, 3.7421229670285997`*^9, 
  3.769956299920279*^9, 3.769959359093486*^9, 3.771923383761516*^9, 
  3.771930219322006*^9, 3.771930363616844*^9, 3.881422558435157*^9},
 CellLabel->"Out[403]=",
 CellID->436170645,ExpressionUUID->"39040697-fdb5-4f89-976e-59c9f3f27a79"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Sorting Operators", "Subsubsubsection",
 CellChangeTimes->{{3.858067621853731*^9, 3.8580676241700087`*^9}, 
   3.858067657836926*^9},
 CellID->1893534976,ExpressionUUID->"68261d6c-046c-40bb-beaa-95f1c2f7de12"],

Cell[TextData[{
 "Certain forms of various sorting functions, such as ",
 ButtonBox["Sort",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Sort.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Sort.html"],
 ", ",
 ButtonBox["SortBy",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/SortBy.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/SortBy.html"],
 ", ",
 ButtonBox["ReverseSort",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ReverseSort.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/ReverseSort.html"],
 ", ",
 ButtonBox["ReverseSortBy",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ReverseSortBy.html"], 
    None},
  ButtonNote->"https://reference.wolfram.com/language/ref/ReverseSortBy.html"],
 ", and ",
 ButtonBox["KeySortBy",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/KeySortBy.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/KeySortBy.html"],
 ", are descending operators. They are put toward the front of the pipeline. "
}], "Text",
 CellChangeTimes->{{3.739916661632018*^9, 3.739916739908804*^9}, {
   3.7399173839174547`*^9, 3.739917400297529*^9}, {3.7399741094028273`*^9, 
   3.739974111107225*^9}, {3.742213138882392*^9, 3.742213158746372*^9}, {
   3.742244906302527*^9, 3.7422449151671953`*^9}, {3.769465382099872*^9, 
   3.7694653890305147`*^9}, {3.7695155782879553`*^9, 
   3.7695155886740017`*^9}, {3.777116362262855*^9, 3.7771163718968554`*^9}, 
   3.78740372593216*^9, {3.858067719344515*^9, 3.858067784462098*^9}, {
   3.858067896736532*^9, 3.858067903015607*^9}, {3.858068357748624*^9, 
   3.858068360716619*^9}, {3.858068395621529*^9, 3.85806840167181*^9}, {
   3.858068893432349*^9, 3.858068896584309*^9}, {3.867333683899649*^9, 
   3.867333687779503*^9}},
 CellTags->"i:21",
 CellID->734470864,ExpressionUUID->"bca0f0ce-d46e-40bb-8375-3ad0d84b5009"],

Cell[TextData[{
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " puts these sorting operations first:"
}], "CodeText",
 CellChangeTimes->{{3.858068053364613*^9, 3.858068066725895*^9}, 
   3.858068901183058*^9},
 CellID->1268370463,ExpressionUUID->"1ff6d9c9-e59d-4074-aa3d-a8dec915f5b2"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Map", "[", 
  RowBox[{"Normal", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Query", "[", 
      RowBox[{"Sort", ",", "g"}], "]"}], ",", 
     RowBox[{"Query", "[", 
      RowBox[{
       RowBox[{"SortBy", "[", "f", "]"}], ",", "g"}], "]"}], ",", 
     RowBox[{"Query", "[", 
      RowBox[{"ReverseSort", ",", "g"}], "]"}], ",", 
     RowBox[{"Query", "[", 
      RowBox[{
       RowBox[{"ReverseSortBy", "[", "f", "]"}], ",", "g"}], "]"}], ",", 
     RowBox[{"Query", "[", 
      RowBox[{
       RowBox[{"KeySortBy", "[", "f", "]"}], ",", "g"}], "]"}]}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.8580678290123377`*^9, 3.858067882651952*^9}, {
  3.85806801133228*^9, 3.858068029827289*^9}, {3.858068364611964*^9, 
  3.858068373362954*^9}},
 CellLabel->"In[404]:=",
 CellID->797425860,ExpressionUUID->"c2595bc2-0495-4bf0-b585-75cddef3f223"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"Sort", "/*", 
    RowBox[{"Map", "[", "g", "]"}]}], ",", 
   RowBox[{
    RowBox[{"SortBy", "[", "f", "]"}], "/*", 
    RowBox[{"Map", "[", "g", "]"}]}], ",", 
   RowBox[{"ReverseSort", "/*", 
    RowBox[{"Map", "[", "g", "]"}]}], ",", 
   RowBox[{
    RowBox[{"ReverseSortBy", "[", "f", "]"}], "/*", 
    RowBox[{"Map", "[", "g", "]"}]}], ",", 
   RowBox[{
    RowBox[{"KeySortBy", "[", "f", "]"}], "/*", 
    RowBox[{"Map", "[", "g", "]"}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.8580678368633738`*^9, 3.8580678828278923`*^9, 
  3.858068030814659*^9, 3.858068373873246*^9, 3.881422563755528*^9},
 CellLabel->"Out[404]=",
 CellID->1604686665,ExpressionUUID->"3ff3919d-4d8d-4ac2-80ab-46e7d3d2f3c0"]
}, Open  ]],

Cell[TextData[{
 "Notice, again, that form matters. Here I write ",
 ButtonBox["SortBy",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/SortBy.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/SortBy.html"],
 ", ",
 ButtonBox["ReverseSortBy",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ReverseSortBy.html"], 
    None},
  ButtonNote->"https://reference.wolfram.com/language/ref/ReverseSortBy.html"],
 ", and ",
 ButtonBox["KeySortBy",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/KeySortBy.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/KeySortBy.html"],
 " as anonymous functions. They are not treated as descending operators even \
though the code functions the same way as it did previously."
}], "Text",
 CellChangeTimes->{{3.858068073075869*^9, 3.85806813118932*^9}, {
  3.858068382451445*^9, 3.8580683912273903`*^9}, {3.858068905534927*^9, 
  3.8580689124621058`*^9}, {3.85817611036535*^9, 3.858176111782709*^9}, {
  3.8673337057079268`*^9, 3.867333728773102*^9}},
 CellID->2080471066,ExpressionUUID->"e1b5fa21-284c-4536-8342-32bf2c2cf62d"],

Cell[TextData[{
 "When sorting operations are performed using an anonymous function, ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " generally does not recognize them as descending operators:"
}], "CodeText",
 CellChangeTimes->{{3.858068169757625*^9, 3.8580681949550743`*^9}, 
   3.8581761184491997`*^9},
 CellID->1146091360,ExpressionUUID->"f4be3516-cbfd-4a42-80c5-eba56f98aecc"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Map", "[", 
  RowBox[{"Normal", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Query", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"SortBy", "[", 
         RowBox[{"#", ",", "f"}], "]"}], "&"}], ",", "g"}], "]"}], ",", 
     RowBox[{"Query", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"ReverseSortBy", "[", 
         RowBox[{"#", ",", "f"}], "]"}], "&"}], ",", "g"}], "]"}], ",", 
     RowBox[{"Query", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"KeySortBy", "[", 
         RowBox[{"#", ",", "f"}], "]"}], "&"}], ",", "g"}], "]"}]}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.858068136525531*^9, 3.858068159338252*^9}, {
  3.858070732873663*^9, 3.858070736866848*^9}},
 CellLabel->"In[405]:=",
 CellID->424413760,ExpressionUUID->"7830593e-4231-4a7e-bd73-8984d4747fee"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"Map", "[", "g", "]"}], "/*", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"SortBy", "[", 
       RowBox[{"#1", ",", "f"}], "]"}], "&"}], ")"}]}], ",", 
   RowBox[{
    RowBox[{"Map", "[", "g", "]"}], "/*", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"ReverseSortBy", "[", 
       RowBox[{"#1", ",", "f"}], "]"}], "&"}], ")"}]}], ",", 
   RowBox[{
    RowBox[{"Map", "[", "g", "]"}], "/*", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"KeySortBy", "[", 
       RowBox[{"#1", ",", "f"}], "]"}], "&"}], ")"}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.8580681605493727`*^9, 3.858070737619301*^9, 
  3.881422568272031*^9},
 CellLabel->"Out[405]=",
 CellID->1136874297,ExpressionUUID->"5a2853c6-54ef-40de-aa1d-52bb9c28b84b"]
}, Open  ]],

Cell[TextData[{
 "Here\[CloseCurlyQuote]s an example showing more concretely the importance \
of form in ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " arguments. I show two variants of ",
 ButtonBox["Sort",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Sort.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Sort.html"],
 " that might appear identical. The first time, I use ",
 ButtonBox["Sort",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Sort.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Sort.html"],
 ". The second time I use ",
 Cell[BoxData[
  RowBox[{
   RowBox[{
    ButtonBox[
     StyleBox["Sort",
      FontColor->GrayLevel[0]],
     BaseStyle->"Hyperlink",
     ButtonData->{
       URL["https://reference.wolfram.com/language/ref/Sort.html"], None},
     ButtonNote->"https://reference.wolfram.com/language/ref/Sort.html"], "[", 
    ButtonBox[
     StyleBox["#",
      FontColor->GrayLevel[0]],
     BaseStyle->"Hyperlink",
     ButtonData->{
       URL["https://reference.wolfram.com/language/ref/Slot.html"], None},
     ButtonNote->"https://reference.wolfram.com/language/ref/Slot.html"], 
    "]"}], 
   ButtonBox[
    StyleBox["&",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Function.html"], None},
    ButtonNote->
     "https://reference.wolfram.com/language/ref/Function.html"]}]], 
  "InlineCodeText",ExpressionUUID->"b24e8914-e353-4286-bc56-1e07d8652244"],
 ". The results differ because the order of operations is different."
}], "Text",
 CellChangeTimes->{{3.858068423090036*^9, 3.858068436870532*^9}, {
  3.8580688492493134`*^9, 3.858068865426849*^9}, {3.858068937764328*^9, 
  3.858068945166522*^9}, {3.8582504312227917`*^9, 3.8582504324361677`*^9}, {
  3.865497167994569*^9, 3.865497240599578*^9}, {3.867333757413919*^9, 
  3.8673337896939764`*^9}, {3.8673339409418144`*^9, 3.867333976921127*^9}, {
  3.8677547041827583`*^9, 3.867754708083787*^9}, {3.8679388640036535`*^9, 
  3.8679389054132705`*^9}},
 CellTags->"LastCellOfAPage",
 CellID->288384798,ExpressionUUID->"a5f9bcc5-f921-4e34-a7be-df8046a35a7d"],

Cell[TextData[{
 "Take a matrix. The order in which ",
 ButtonBox["Total",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Total.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Total.html"],
 " is applied to the rows depends on whether ",
 ButtonBox["Sort",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Sort.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Sort.html"],
 " or ",
 Cell[BoxData[
  RowBox[{
   RowBox[{
    ButtonBox[
     StyleBox["Sort",
      FontColor->GrayLevel[0]],
     BaseStyle->"Hyperlink",
     ButtonData->{
       URL["https://reference.wolfram.com/language/ref/Sort.html"], None},
     ButtonNote->"https://reference.wolfram.com/language/ref/Sort.html"], "[", 
    ButtonBox[
     StyleBox["#",
      FontColor->GrayLevel[0]],
     BaseStyle->"Hyperlink",
     ButtonData->{
       URL["https://reference.wolfram.com/language/ref/Slot.html"], None},
     ButtonNote->"https://reference.wolfram.com/language/ref/Slot.html"], 
    "]"}], 
   ButtonBox[
    StyleBox["&",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Function.html"], None},
    ButtonNote->
     "https://reference.wolfram.com/language/ref/Function.html"]}]], 
  "InlineCode",ExpressionUUID->"876b5f9f-4e47-4709-853c-caf381380843"],
 " is used:"
}], "CodeText",
 CellTags->"p: 123",
 CellID->1420574191,ExpressionUUID->"575898c8-9d1e-4531-ae63-978b2c291034"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"matrix", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"2", ",", "11"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"7", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "1"}], ",", "9"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"4", ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "16"}], "}"}]}], "}"}]}], ";", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{
     RowBox[{"Query", "[", 
      RowBox[{"Sort", ",", "Total"}], "]"}], "[", "matrix", "]"}], ",", 
    RowBox[{
     RowBox[{"Query", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Sort", "[", "#", "]"}], "&"}], ",", "Total"}], "]"}], "[", 
     "matrix", "]"}]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.858068439176796*^9, 3.8580684576705637`*^9}, {
  3.858068490949527*^9, 3.858068598427896*^9}, {3.8580686567401648`*^9, 
  3.858068664884067*^9}, {3.858068778261891*^9, 3.858068786753932*^9}},
 CellLabel->"In[406]:=",
 CellID->187142217,ExpressionUUID->"a26c860a-d0a9-47a4-b2ab-37114261d400"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"8", ",", "17", ",", "13", ",", "9", ",", "7"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"7", ",", "8", ",", "9", ",", "13", ",", "17"}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.858068458564251*^9, 3.858068509301446*^9, 
  3.8580685992087917`*^9, 3.858068665293977*^9, 3.858068787532076*^9, 
  3.881422573412862*^9},
 CellLabel->"Out[406]=",
 CellID->1030656638,ExpressionUUID->"ef7406cd-b8e3-4904-b74e-0fe56701ad8e"]
}, Open  ]],

Cell[TextData[{
 "Several other sorting operators, including ",
 ButtonBox["KeySort",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/KeySort.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/KeySort.html"],
 ", ",
 ButtonBox["AlphabeticSort",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/AlphabeticSort.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/AlphabeticSort.html"],
 ", and ",
 ButtonBox["LexicographicSort",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/LexicographicSort.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/LexicographicSort.html"],
 ", are not \[OpenCurlyDoubleQuote]descending\[CloseCurlyDoubleQuote] and \
thus do not get promoted in the pipeline produced by ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 ". "
}], "Text",
 CellChangeTimes->{{3.858068320734406*^9, 3.858068345596306*^9}, {
  3.858070794205742*^9, 3.858070869907103*^9}, {3.858070940013788*^9, 
  3.858070951495448*^9}, {3.8673339880426073`*^9, 3.867334003343713*^9}},
 CellTags->"i:22",
 CellID->1640572757,ExpressionUUID->"c24a4d18-560e-4e66-b9dd-ed656b5af582"],

Cell[TextData[{
 "The specialized sorting operators ",
 ButtonBox["AlphabeticSort",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/AlphabeticSort.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/AlphabeticSort.html"],
 " and ",
 ButtonBox["LexicographicSort",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/LexicographicSort.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/LexicographicSort.html"],
 " are not descending. Neither is ",
 ButtonBox["KeySort",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/KeySort.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/KeySort.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.858070920173677*^9, 3.858070921263831*^9}, {
   3.858070960706127*^9, 3.8580710135649*^9}, 3.85825061602367*^9, {
   3.867335086503772*^9, 3.8673350999425316`*^9}},
 CellID->2060683301,ExpressionUUID->"397b46d6-7c4c-42a6-9387-ad6f133f136e"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Map", "[", 
  RowBox[{"Normal", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Query", "[", 
      RowBox[{"KeySort", ",", "g"}], "]"}], ",", 
     RowBox[{"Query", "[", 
      RowBox[{"AlphabeticSort", ",", "g"}], "]"}], ",", 
     RowBox[{"Query", "[", 
      RowBox[{"LexicographicSort", ",", "g"}], "]"}]}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.858070874959221*^9, 3.858070897301227*^9}},
 CellLabel->"In[407]:=",
 CellID->1422654882,ExpressionUUID->"b7335a5e-9da0-430b-9fec-bb4278a35fe3"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"Map", "[", "g", "]"}], "/*", "KeySort"}], ",", 
   RowBox[{
    RowBox[{"Map", "[", "g", "]"}], "/*", "AlphabeticSort"}], ",", 
   RowBox[{
    RowBox[{"Map", "[", "g", "]"}], "/*", "LexicographicSort"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.858070898078727*^9, 3.881422578795499*^9},
 CellLabel->"Out[407]=",
 CellID->61073847,ExpressionUUID->"910cf48a-ec37-4e1f-8a6b-0c39501a7598"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[StyleBox[ButtonBox["Values",
 BaseStyle->"Hyperlink",
 ButtonData->{
   URL["https://reference.wolfram.com/language/ref/Values.html"], None},
 ButtonNote->"https://reference.wolfram.com/language/ref/Values.html"],
 FontWeight->"Bold",
 FontColor->GrayLevel[0.45]]], "Subsubsubsection",
 Evaluatable->False,
 InitializationCell->False,
 CellID->994936192,ExpressionUUID->"5facb705-7d22-4de8-956a-08f009c6354c"],

Cell[TextData[{
 ButtonBox["Values",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Values.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Values.html"],
 " is a function that strips the keys off Associations. Perhaps because \
stripping off the keys can make things go faster, ",
 ButtonBox["Values",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Values.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Values.html"],
 " is applied early as a \[OpenCurlyDoubleQuote]descending operator.\
\[CloseCurlyDoubleQuote] "
}], "Text",
 CellChangeTimes->{{3.739916743112012*^9, 3.7399167446179132`*^9}, {
   3.73991680250184*^9, 3.7399168577128487`*^9}, {3.739917291123192*^9, 
   3.7399172950729113`*^9}, {3.741612803775054*^9, 3.741612811872464*^9}, {
   3.742213171343265*^9, 3.742213225801085*^9}, {3.742244927310357*^9, 
   3.742244954191638*^9}, {3.7694382212432747`*^9, 3.769438223692834*^9}, {
   3.76946543406679*^9, 3.769465443259131*^9}, {3.769515769934189*^9, 
   3.769515773949315*^9}, {3.771884215824057*^9, 3.771884262010242*^9}, 
   3.777116484796855*^9, 3.7771166828588552`*^9, {3.7855105022118053`*^9, 
   3.7855105302689667`*^9}, {3.7855105610145807`*^9, 3.785510561014742*^9}, {
   3.7855106523213167`*^9, 3.785510652321472*^9}, 3.8581762012205143`*^9, {
   3.858250664175988*^9, 3.858250677403481*^9}, {3.8582507348027477`*^9, 
   3.858250735485757*^9}, {3.8695866033348*^9, 3.8695866104584427`*^9}, 
   3.8824571505269127`*^9},
 CellTags->"i:23",
 CellID->1584903402,ExpressionUUID->"68b55e3f-2915-4801-94ab-fea3df21ebe2"],

Cell[TextData[{
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " treats ",
 ButtonBox["Values",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Values.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Values.html"],
 " as a descending operator and therefore prioritizes it in the operator \
pipeline:"
}], "CodeText",
 CellChangeTimes->{{3.76951572326546*^9, 3.76951576227442*^9}, 
   3.777042035152008*^9, {3.777116748221855*^9, 3.777116752144855*^9}, {
   3.785510675221589*^9, 3.78551068410483*^9}, {3.858250761525815*^9, 
   3.858250764317765*^9}, {3.8695873858971825`*^9, 3.8695873953580265`*^9}, {
   3.8696492908416243`*^9, 3.869649294459363*^9}, 3.869649454314478*^9, {
   3.8824572460611877`*^9, 3.882457304532786*^9}},
 CellID->1287815298,ExpressionUUID->"0fab3997-9a6d-41db-9048-9068963ff43b"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Normal", "[", 
  RowBox[{"Query", "[", 
   RowBox[{"Values", ",", "g"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.739917957791827*^9, 3.7399179737584743`*^9}},
 CellLabel->"In[525]:=",
 CellID->84320026,ExpressionUUID->"c7842608-3676-4bbc-bb04-5abffc415027"],

Cell[BoxData[
 RowBox[{"Values", "/*", 
  RowBox[{"Map", "[", "g", "]"}]}]], "Output",
 CellChangeTimes->{3.740414737986746*^9, 3.740424262097643*^9, 
  3.740496181775226*^9, 3.740500476776263*^9, 3.741773676329173*^9, 
  3.7417752252057734`*^9, 3.741787996657174*^9, 3.741876423411559*^9, 
  3.741879480060218*^9, 3.741956403239149*^9, 3.742122967160219*^9, 
  3.769465452330646*^9, 3.769956300068791*^9, 3.769959359236959*^9, 
  3.771923383874465*^9, 3.771930219459374*^9, 3.771930363713269*^9, 
  3.881422583873788*^9, 3.8814238731514063`*^9},
 CellLabel->"Out[525]=",
 CellID->993866120,ExpressionUUID->"e8a49908-33fa-428f-8df8-1601d219e384"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["DescendingQ", "Subsubsubsection",
 CellChangeTimes->{{3.77189085465263*^9, 3.7718908626059437`*^9}},
 CellID->916780542,ExpressionUUID->"ad8a59e2-2999-4077-bf42-56bc626feb21"],

Cell[TextData[{
 "In cases of doubt, there is a function tucked away in the ",
 Cell[BoxData[
  FormBox["Dataset`", TraditionalForm]], "InlineCodeText",ExpressionUUID->
  "89c691ee-9264-4ea9-934e-26b2a20ee79f"],
 " context that can help you determine whether a single operator will be \
descending or not: ",
 Cell[BoxData[
 "Dataset`DescendingQ"], "InlineCodeText",ExpressionUUID->
  "d588132b-54d1-444f-97e0-46726c0b5dd7"],
 ". (Don\[CloseCurlyQuote]t use this on composed operators.) Here\
\[CloseCurlyQuote]s an example of how that function works. "
}], "Text",
 CellChangeTimes->{{3.7422455938518267`*^9, 3.7422456360428953`*^9}, {
   3.7422456727239943`*^9, 3.7422456803485317`*^9}, {3.742245713762887*^9, 
   3.7422457142359953`*^9}, {3.769438098130785*^9, 3.769438169374984*^9}, 
   3.769465280582624*^9, {3.7718840974350767`*^9, 3.771884107516313*^9}, 
   3.7771152581929946`*^9, {3.7771152988710623`*^9, 3.777115301538329*^9}, 
   3.7771153705532293`*^9, {3.777115430133187*^9, 3.777115448077981*^9}, {
   3.785510083980836*^9, 3.785510119116691*^9}, {3.785510207311473*^9, 
   3.785510239335511*^9}, {3.785510325475935*^9, 3.785510325475977*^9}, {
   3.8582507840248833`*^9, 3.858250808550868*^9}, {3.869734946970806*^9, 
   3.8697349585649767`*^9}, {3.8697419863144646`*^9, 3.8697419979449077`*^9}},
 CellTags->"i:24",
 CellID->99329491,ExpressionUUID->"09987c9a-5f96-47ee-90cd-7b6a376d80fe"],

Cell[TextData[{
 "Use ",
 Cell[BoxData[
 "Dataset`DescendingQ"], "InlineCode",ExpressionUUID->
  "dc784a40-fa72-481f-8f70-4913527eca1e"],
 " to know for sure if an operator is descending:"
}], "CodeText",
 CellChangeTimes->{{3.7695150875556583`*^9, 3.769515107487813*^9}, 
   3.7770420298000083`*^9, {3.785510292245075*^9, 3.785510313953416*^9}, 
   3.858250853414361*^9, {3.858250951312688*^9, 3.858250953987685*^9}, {
   3.869735001242269*^9, 3.86973500684102*^9}},
 CellID->1462121682,ExpressionUUID->"1863801b-ddce-4af5-b6ab-ceaff69e6ab9"],

Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<Dataset`\>\"", "]"}]], "Input",
 CellChangeTimes->{{3.8580673563050747`*^9, 3.858067359206594*^9}},
 CellLabel->"In[409]:=",
 CellID->2144666197,ExpressionUUID->"a1eea8a4-5669-48f3-a48c-0b31e5e5a01a"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"AssociationMap", "[", 
  RowBox[{"Dataset`DescendingQ", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Select", "[", "f", "]"}], ",", 
     RowBox[{"#age", "&"}], ",", "Sqrt", ",", 
     RowBox[{"SortBy", "[", 
      RowBox[{"#age", "&"}], "]"}], ",", 
     RowBox[{"Take", "[", "5", "]"}], ",", "DeleteMissing", ",", 
     RowBox[{
      RowBox[{"DeleteMissing", "[", 
       RowBox[{"#", ",", "1", ",", "2"}], "]"}], "&"}]}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.7422456388084593`*^9, 3.7422457075478888`*^9}, {
  3.769438054921604*^9, 3.769438090117921*^9}},
 CellLabel->"In[410]:=",
 CellID->1633881231,ExpressionUUID->"f5c612fb-f8a0-4afe-a56d-398a36307823"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{
    RowBox[{"Select", "[", "f", "]"}], "\[Rule]", "True"}], ",", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"#age", "&"}], ")"}], "\[Rule]", "False"}], ",", 
   RowBox[{"Sqrt", "\[Rule]", "False"}], ",", 
   RowBox[{
    RowBox[{"SortBy", "[", 
     RowBox[{"#age", "&"}], "]"}], "\[Rule]", "True"}], ",", 
   RowBox[{"5", "\[Rule]", "True"}], ",", 
   RowBox[{"DeleteMissing", "\[Rule]", "True"}], ",", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"DeleteMissing", "[", 
       RowBox[{"#1", ",", "1", ",", "2"}], "]"}], "&"}], ")"}], "\[Rule]", 
    "False"}]}], "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{
  3.742245664560313*^9, {3.742245699862055*^9, 3.742245719688699*^9}, {
   3.769438056832651*^9, 3.769438091364026*^9}, 3.769956299932683*^9, 
   3.769959359105394*^9, 3.7719233837765207`*^9, 3.771930219362952*^9, 
   3.771930363627716*^9, 3.858067363997616*^9, 3.881422612818946*^9},
 CellLabel->"Out[410]=",
 CellID->897196398,ExpressionUUID->"0c8649cb-4c3b-462c-a0ab-6deab7224e20"]
}, Open  ]],

Cell[TextData[{
 "Again, notice that form matters. While ",
 ButtonBox["DeleteMissing",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/DeleteMissing.html"], 
    None},
  ButtonNote->"https://reference.wolfram.com/language/ref/DeleteMissing.html"],
 " itself is descending, more complex variants of it, such as ",
 Cell[BoxData[
  RowBox[{
   RowBox[{
    ButtonBox[
     StyleBox["DeleteMissing",
      FontColor->GrayLevel[0]],
     BaseStyle->"Hyperlink",
     ButtonData->{
       URL["https://reference.wolfram.com/language/ref/DeleteMissing.html"], 
       None},
     ButtonNote->
      "https://reference.wolfram.com/language/ref/DeleteMissing.html"], 
    "\[ThickSpace]", "[", "\[ThickSpace]", 
    RowBox[{
     ButtonBox[
      StyleBox["#",
       FontColor->GrayLevel[0]],
      BaseStyle->"Hyperlink",
      ButtonData->{
        URL["https://reference.wolfram.com/language/ref/Slot.html"], None},
      ButtonNote->"https://reference.wolfram.com/language/ref/Slot.html"], 
     ",", " ", "1", ",", " ", "2"}], "\[ThickSpace]", "]"}], "\[ThickSpace] ", 
   ButtonBox[
    StyleBox["&",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Function.html"], None},
    ButtonNote->
     "https://reference.wolfram.com/language/ref/Function.html"]}]], 
  "InlineCodeText",ExpressionUUID->"045b094d-5e3b-497c-aa4c-f6f6a98476f9"],
 ", are not. This is why one has to be very careful before assuming that an \
operator is descending. Moral: use ",
 ButtonBox["Normal",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Normal.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Normal.html"],
 " to check the pipeline structure or use ",
 Cell[BoxData[
 "Dataset`DescendingQ"], "InlineCodeText",ExpressionUUID->
  "09d03794-82d0-4c60-97ba-d08be4feb9a0"],
 " to check on a particular operator."
}], "Text",
 CellTags->"LastCellOfAPage",
 CellID->1414798734,ExpressionUUID->"2728c0a1-7953-4772-ba38-dc29b4949998"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Four Complications", "Subsection",
 CellChangeTimes->{{3.7399737530250196`*^9, 3.739973766791013*^9}, {
  3.74161041866179*^9, 3.741610419964863*^9}, {3.742244861434519*^9, 
  3.742244862352713*^9}, {3.858067505096998*^9, 3.8580675057736588`*^9}},
 CellTags->"p: 124",
 CellID->1730266315,ExpressionUUID->"39c966dd-881c-4898-abcb-4c19c61dd941"],

Cell[TextData[{
 "I will now deal with four complications: (1) composed operators; (2) ",
 ButtonBox["GroupBy",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/GroupBy.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/GroupBy.html"],
 "; (3) subqueries; and (4) \[OpenCurlyDoubleQuote]Part Specification-Rule\
\[CloseCurlyDoubleQuote] notation for ",
 ButtonBox["MapAt",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/MapAt.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/MapAt.html"],
 "."
}], "Text",
 CellChangeTimes->{{3.739917298038516*^9, 3.739917360809341*^9}, {
   3.739918232181086*^9, 3.7399182434757977`*^9}, {3.73997377116943*^9, 
   3.739973779116209*^9}, {3.739974098963523*^9, 3.739974099504693*^9}, {
   3.7404240468689117`*^9, 3.7404240708313704`*^9}, {3.742213082105529*^9, 
   3.742213083911474*^9}, {3.742244864628106*^9, 3.7422448961898746`*^9}, 
   3.7694653143499403`*^9, {3.771884150552326*^9, 3.77188416482347*^9}, 
   3.7770409967493043`*^9, {3.7770417023710084`*^9, 3.7770417072200084`*^9}, {
   3.777116045935855*^9, 3.777116050723855*^9}, {3.777116158336855*^9, 
   3.7771161646948547`*^9}, {3.777116346551855*^9, 3.7771163501468554`*^9}, {
   3.785510410287298*^9, 3.7855104130549517`*^9}, {3.858067492689229*^9, 
   3.8580675179677267`*^9}, {3.858171904476136*^9, 3.8581719250934772`*^9}, {
   3.8696507481362743`*^9, 3.8696507487558017`*^9}},
 CellID->1509892178,ExpressionUUID->"3c4885d0-239e-48a9-808b-6a6cb5cca29d"],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Complication 1: Compositions of Ascending and \
Descending Operators",
 FontWeight->"Bold"]], "Subsubsection",
 CellChangeTimes->{{3.77188432043664*^9, 3.771884339812168*^9}, {
   3.7770426166700087`*^9, 3.7770426216290083`*^9}, 3.7855254890471573`*^9, {
   3.8580711554411716`*^9, 3.858071155497539*^9}},
 CellID->765480978,ExpressionUUID->"2a063035-68bd-4898-a615-b8cbf22462eb"],

Cell[TextData[{
 "One can have a composed function as an argument to ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 ", such as ",
 Cell[BoxData[
  RowBox[{"f", 
   ButtonBox[
    StyleBox["/*",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/RightComposition.html"],
       None},
    ButtonNote->
     "https://reference.wolfram.com/language/ref/RightComposition.html"], 
   "g"}]], "InlineCodeText",ExpressionUUID->
  "4b01ec78-2977-44ad-960a-b0cdbe828b68"],
 " or ",
 Cell[BoxData[
  RowBox[{
   RowBox[{
    ButtonBox[
     StyleBox["Select",
      FontColor->GrayLevel[0]],
     BaseStyle->"Hyperlink",
     ButtonData->{
       URL["https://reference.wolfram.com/language/ref/Select.html"], None},
     ButtonNote->"https://reference.wolfram.com/language/ref/Select.html"], 
    "[", "f", "]"}], 
   ButtonBox[
    StyleBox["/*",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/RightComposition.html"],
       None},
    ButtonNote->
     "https://reference.wolfram.com/language/ref/RightComposition.html"], 
   "g"}]], "InlineCodeText",ExpressionUUID->
  "245890ce-096b-449e-8f5c-94324e4beeda"],
 " or ",
 Cell[BoxData[
  RowBox[{"g", 
   ButtonBox[
    StyleBox["/*",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/RightComposition.html"],
       None},
    ButtonNote->
     "https://reference.wolfram.com/language/ref/RightComposition.html"], 
   RowBox[{
    ButtonBox[
     StyleBox["Select",
      FontColor->GrayLevel[0]],
     BaseStyle->"Hyperlink",
     ButtonData->{
       URL["https://reference.wolfram.com/language/ref/Select.html"], None},
     ButtonNote->"https://reference.wolfram.com/language/ref/Select.html"], 
    "[", "f", "]"}]}]], "InlineCodeText",ExpressionUUID->
  "fb052e24-9114-4ddf-bd83-954ca79c7b38"],
 " or ",
 Cell[BoxData[
  RowBox[{"f", 
   ButtonBox[
    StyleBox["/*",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/RightComposition.html"],
       None},
    ButtonNote->
     "https://reference.wolfram.com/language/ref/RightComposition.html"], "g", 
   ButtonBox[
    StyleBox["/*",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/RightComposition.html"],
       None},
    ButtonNote->
     "https://reference.wolfram.com/language/ref/RightComposition.html"], 
   "h"}]], "InlineCodeText",ExpressionUUID->
  "d6ac4f44-b28a-49d0-bc14-86a82b39b3ff"],
 " or an infinite number of other compositions. If the operators within the \
composition are ",
 StyleBox["all",
  FontSlant->"Italic"],
 " ascending or ",
 StyleBox["all",
  FontSlant->"Italic"],
 " descending, then it\[CloseCurlyQuote]s easy. If they are all ascending, \
then they are applied in the usual way as the kernel heads back up the tree. \
If they are all descending, then they all are applied early as the kernel \
heads down the tree. "
}], "Text",
 CellTags->"i:25",
 CellID->1889740701,ExpressionUUID->"d5ff2f41-43e4-4b57-9e7c-faa4f10d6bb9"],

Cell["\<\
But what if the composed operators are a mix between ascending and descending \
operators?\
\>", "Text",
 CellChangeTimes->{{3.769465497950158*^9, 3.769465514312953*^9}, {
   3.777041002717901*^9, 3.777041002893919*^9}, 3.7874020462377443`*^9},
 CellID->1736306224,ExpressionUUID->"f969b4f7-d78b-4980-8afb-38d1e7538604"],

Cell[TextData[{
 "If all the descending operators in a mixed composition come before any \
ascending operators, the kernel applies all the descending operators first. \
Then it proceeds in the normal way, which would mean it applies operators in \
subsequent arguments to ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " and only then comes back to apply the remaining operators in the prior \
arguments. Here\[CloseCurlyQuote]s an example."
}], "Text",
 CellChangeTimes->{{3.769465497950158*^9, 3.7694655208408318`*^9}, {
   3.769515844595392*^9, 3.769515846765633*^9}, {3.777041230943722*^9, 
   3.777041231239751*^9}, 3.777116852546855*^9, 3.8696531244923244`*^9},
 CellID->2016280083,ExpressionUUID->"3e652357-fd07-47a4-8cd4-2adc9d3d4b5f"],

Cell["\<\
Descending operators sometimes stay descending even if RightComposed with \
ascending operators:\
\>", "CodeText",
 CellChangeTimes->{{3.769515791216304*^9, 3.769515820477353*^9}, {
   3.7695158568876457`*^9, 3.769515903288059*^9}, 3.7770420390950084`*^9},
 CellID->1111328186,ExpressionUUID->"8f9b3fab-ddf3-465b-b6d3-3a7cf9dc5afe"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Normal", "[", 
  RowBox[{"Query", "[", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"Select", "[", "f", "]"}], "/*", 
      RowBox[{"SortBy", "[", "g", "]"}], "/*", "h", "/*", "i"}], ")"}], ",", 
    "j"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.769465568179895*^9, 3.769465584690218*^9}},
 CellLabel->"In[411]:=",
 CellID->1223502098,ExpressionUUID->"45188c3e-9ae9-4f53-8fb2-befbe5f34622"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Select", "[", "f", "]"}], "/*", 
  RowBox[{"SortBy", "[", "g", "]"}], "/*", 
  RowBox[{"Map", "[", "j", "]"}], "/*", "h", "/*", "i"}]], "Output",
 CellChangeTimes->{3.7694655851270933`*^9, 3.769956300080785*^9, 
  3.769959359305986*^9, 3.771923383913278*^9, 3.771930219515657*^9, 
  3.771930363749751*^9, 3.881422621737108*^9},
 CellLabel->"Out[411]=",
 CellID->822514723,ExpressionUUID->"736e0af6-0b76-4fdf-9f77-04c28eb7781a"]
}, Open  ]],

Cell[TextData[{
 "Notice that all of the descending operators in the ",
 ButtonBox["RightComposition",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/RightComposition.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/RightComposition.html"],
 " in the first argument to ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " come before any of the ascending operators (",
 Cell[BoxData[
 "f"], "InlineCodeText",ExpressionUUID->
  "39af767a-9364-47d1-a538-d5bb7fe470ae"],
 " and ",
 Cell[BoxData[
 "g"], "InlineCodeText",ExpressionUUID->
  "f76d62af-ec25-4568-9823-924857cdfe3f"],
 "). So it first applies the two descending operators ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["Select",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Select.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Select.html"], 
   "[", "f", "]"}]], "InlineCodeText",ExpressionUUID->
  "f499d5bf-0008-4a34-84b3-02948b8f3c58"],
 " and ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["SortBy",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/SortBy.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/SortBy.html"], 
   "[", "g", "]"}]], "InlineCodeText",ExpressionUUID->
  "3e8aac98-9b0f-427f-b469-a5d71cc37ed5"],
 ". Then it skips the remaining two ascending operators ",
 Cell[BoxData[
 "h"], "InlineCodeText",ExpressionUUID->
  "a0144738-950f-4219-92bb-69b90181b57f"],
 " and ",
 Cell[BoxData[
 "i"], "InlineCodeText",ExpressionUUID->
  "aae96b2d-2375-4d66-8b1e-44a0221d5fee"],
 " in the ",
 ButtonBox["RightComposition",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/RightComposition.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/RightComposition.html"],
 " and goes to the end to apply ",
 Cell[BoxData[
 "j"], "InlineCodeText",ExpressionUUID->
  "733502a8-2d66-4cda-9804-f46f7424efec"],
 ". Then it comes back and applies ",
 Cell[BoxData[
 "h"], "InlineCodeText",ExpressionUUID->
  "33daf928-4f8e-4a72-afda-14c1bab629d7"],
 " and ",
 Cell[BoxData[
 "i"], "InlineCodeText",ExpressionUUID->
  "a9d607ac-7d56-4b6d-8043-76bc381a3d61"],
 "."
}], "Text",
 CellChangeTimes->{{3.769465497950158*^9, 3.769465540066251*^9}, 
   3.7771172008484125`*^9, {3.777118230397852*^9, 3.7771182477968516`*^9}, {
   3.777118447774852*^9, 3.7771184841228514`*^9}, {3.85817629011827*^9, 
   3.858176292377076*^9}, 3.8696538701030498`*^9},
 CellID->1611994292,ExpressionUUID->"361bf61f-3fb7-4da2-bf90-27688e385c15"],

Cell[TextData[{
 "However, that\[CloseCurlyQuote]s the only circumstance in which any of the \
operators in a mixed ",
 ButtonBox["RightComposition",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/RightComposition.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/RightComposition.html"],
 " are privileged to come first. Here, I\[CloseCurlyQuote]ve stuck ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["SortBy",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/SortBy.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/SortBy.html"], 
   "[", "h", "]"}]], "InlineCodeText",ExpressionUUID->
  "dc207bdc-61d4-4c79-b9bb-9346bd879d4f"],
 ", a descending operator, to the right of ",
 Cell[BoxData[
 "g"], "InlineCodeText",ExpressionUUID->
  "c089d746-c263-4740-b385-fa340a700792"],
 ", an ascending operator, in the ",
 ButtonBox["RightComposition",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/RightComposition.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/RightComposition.html"],
 ". The ",
 ButtonBox["RightComposition",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/RightComposition.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/RightComposition.html"],
 " is now \[OpenCurlyDoubleQuote]contaminated,\[CloseCurlyDoubleQuote] and \
evaluation proceeds as if none of the operators were descending."
}], "Text",
 CellID->1445311545,ExpressionUUID->"3fcab89e-d656-48ea-b0ed-9125895fbb1f"],

Cell[TextData[{
 "Usually, descending operators lose their privilege if they mix with \
ascending operators in a ",
 ButtonBox["Composition",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Composition.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Composition.html"],
 " or ",
 ButtonBox["RightComposition",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/RightComposition.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/RightComposition.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.769515908075718*^9, 3.769515932778528*^9}, 
   3.777042042143008*^9, {3.7771186250048513`*^9, 3.777118636378852*^9}},
 CellID->845315064,ExpressionUUID->"8990a73f-4a3d-4106-85e1-b1013ac1e63d"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Normal", "[", 
  RowBox[{"Query", "[", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"Select", "[", "f", "]"}], "/*", "g", "/*", 
      RowBox[{"SortBy", "[", "h", "]"}]}], ")"}], ",", "j"}], "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.769465607432372*^9, 3.769465629958465*^9}},
 CellLabel->"In[412]:=",
 CellID->944110624,ExpressionUUID->"9aec0d78-00c4-40cf-85dc-a42e8cd93c6f"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Map", "[", "j", "]"}], "/*", 
  RowBox[{"Select", "[", "f", "]"}], "/*", "g", "/*", 
  RowBox[{"SortBy", "[", "h", "]"}]}]], "Output",
 CellChangeTimes->{3.769465630201762*^9, 3.769956300117371*^9, 
  3.769959359343617*^9, 3.771923383923571*^9, 3.771930219556933*^9, 
  3.771930363760537*^9, 3.881422627288275*^9},
 CellTags->"LastCellOfAPage",
 CellLabel->"Out[412]=",
 CellID->606821985,ExpressionUUID->"7db38615-f4f9-41da-8a28-0a9e4bab231f"]
}, Open  ]],

Cell[TextData[{
 "Again, when in doubt or when the results from your ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " produce errors or just don\[CloseCurlyQuote]t make sense, just ",
 ButtonBox["Normal",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Normal.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Normal.html"],
 " the ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " before running it. Doing so seldom takes long at all."
}], "Text",
 CellChangeTimes->{
  3.7694656466801443`*^9, {3.7771186429318514`*^9, 3.7771186445718517`*^9}, {
   3.858071250142817*^9, 3.858071299925494*^9}},
 CellTags->"p: 125",
 CellID->5549762,ExpressionUUID->"f22e4fa1-0d4f-42d3-9106-95e05db5d464"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox["Complication 2: ",
  FontWeight->"Bold"],
 StyleBox[ButtonBox["GroupBy",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/GroupBy.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/GroupBy.html"],
  FontWeight->"Bold",
  FontColor->RGBColor[
   0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]]
}], "Subsubsection",
 CellID->1314167312,ExpressionUUID->"1ae448a1-7037-42a8-bb7a-5ff9c08656aa"],

Cell[TextData[{
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["GroupBy",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/GroupBy.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/GroupBy.html"], 
   "\[ThickSpace]", "[", "\[ThickSpace]", "f", "\[ThickSpace]", "]"}]], 
  "InlineCodeText",ExpressionUUID->"8af1ea8d-4a56-4a11-9cda-3bf33f7f1d7f"],
 " is a special case. This function definitely changes the structure of its \
argument. It doesn\[CloseCurlyQuote]t tend to reduce the amount of data to be \
processed. Nonetheless, it\[CloseCurlyQuote]s a descending operator. "
}], "Text",
 CellTags->"i:26",
 CellID->617929571,ExpressionUUID->"61043a2f-62ed-46b9-a8e6-3e054a506e0b"],

Cell[TextData[{
 "You can see this with an example. If the following ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " were evaluated in the LIFO way, first it would ",
 ButtonBox["Map",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Map.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Map.html"],
 " ",
 ButtonBox["Length",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Length.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Length.html"],
 " over the ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of Associations and get a bunch of numbers. It would then try to group \
those numbers by ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["#",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Slot.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Slot.html"], 
   "sex", 
   ButtonBox[
    StyleBox["&",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Function.html"], None},
    ButtonNote->
     "https://reference.wolfram.com/language/ref/Function.html"]}]], 
  "InlineCodeText",ExpressionUUID->"95245f30-7c3c-48c6-b975-28fc9d6b9d90"],
 ", but I\[CloseCurlyQuote]d then get an error message because numbers don\
\[CloseCurlyQuote]t have a sex. The situation is saved by the ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " treating ",
 ButtonBox["GroupBy",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/GroupBy.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/GroupBy.html"],
 " as descending. It gets applied first. Since there is one male and four \
females on the dinghy and I am now mapping ",
 ButtonBox["Length",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Length.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Length.html"],
 " to an ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 ", I get an ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " with the same keys and values of 4 for female and 1 for male."
}], "Text",
 CellChangeTimes->{{3.769465740708164*^9, 3.769465743650116*^9}, 
   3.7699562801054983`*^9, {3.7718845014701757`*^9, 3.771884528816688*^9}, {
   3.7770412419768248`*^9, 3.7770412467773046`*^9}, {3.7770417220570087`*^9, 
   3.7770417304430084`*^9}, {3.7771188095738516`*^9, 
   3.7771188492118516`*^9}, {3.785510758741514*^9, 3.785510764829198*^9}, 
   3.787414723278554*^9, {3.787414756343004*^9, 3.7874147810281897`*^9}, {
   3.787414822725646*^9, 3.787414848373836*^9}, 3.787414898423751*^9, {
   3.85807174687411*^9, 3.858071768961285*^9}, {3.8580718129772663`*^9, 
   3.858071878112562*^9}, 3.85817636383025*^9, 3.8654976904439373`*^9, {
   3.8674078853783236`*^9, 3.8674078902803535`*^9}, {3.8677549894627137`*^9, 
   3.8677549931249585`*^9}, 3.8696540053350587`*^9, {3.8824578505979767`*^9, 
   3.8824578861014633`*^9}, {3.8849647663982983`*^9, 3.8849647684457808`*^9}},
 CellID->1270141401,ExpressionUUID->"05ba6e51-d87f-4312-84e7-42b39ce5a118"],

Cell[TextData[{
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["GroupBy",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/GroupBy.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/GroupBy.html"], 
   "[", "f", "]"}]], "InlineCode",ExpressionUUID->
  "7faaf3e5-68ee-4063-922d-23e440023c2c"],
 " is a descending operator that inserts a level into the data on which the ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " is being applied:"
}], "CodeText",
 CellChangeTimes->{{3.76951593993396*^9, 3.769515963241825*^9}, 
   3.777041006821312*^9, 3.7770420450780087`*^9, 3.7771189069288516`*^9, 
   3.787414951770096*^9, {3.858071895495611*^9, 3.858071895687295*^9}, 
   3.858251664115817*^9, 3.8582516950605593`*^9, 3.898109477213552*^9},
 CellID->1135523955,ExpressionUUID->"137f7971-0d07-4490-a851-c67b9724f994"],

Cell[CellGroupData[{

Cell[BoxData["dinghy"], "Input",
 CellChangeTimes->{{3.8580717951366796`*^9, 3.858071796214348*^9}},
 CellLabel->"In[413]:=",
 CellID->571629898,ExpressionUUID->"afaa4632-d9c3-4840-a719-9a50432073b6"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "16"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "True"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"1st\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "65"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"male\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "2"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", 
      RowBox[{"Missing", "[", "]"}]}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "True"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "18"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
    "\[RightAssociation]"}]}], "}"}]], "Output",
 CellChangeTimes->{3.858071796657551*^9, 3.881422633308032*^9},
 CellLabel->"Out[413]=",
 CellID->1054317018,ExpressionUUID->"8e011360-7b2b-4f0f-8508-1609f6edbf33"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{
    RowBox[{"GroupBy", "[", 
     RowBox[{"#sex", "&"}], "]"}], ",", "Length"}], "]"}], "[", "dinghy", 
  "]"}]], "Input",
 CellChangeTimes->{3.7699562227170973`*^9},
 CellLabel->"In[414]:=",
 CellID->1279075427,ExpressionUUID->"48816db8-5c32-4c13-8704-500e03fad958"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"female\"\>", "\[Rule]", "4"}], ",", 
   RowBox[{"\<\"male\"\>", "\[Rule]", "1"}]}], 
  "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{3.769465756074277*^9, 3.76995630012983*^9, 
  3.7699593593553267`*^9, 3.771923383963469*^9, 3.771930219606214*^9, 
  3.771930363792927*^9, 3.881422638022026*^9},
 CellLabel->"Out[414]=",
 CellID->175227464,ExpressionUUID->"3279cf7d-7b21-429c-bd32-a55f9dde1217"]
}, Open  ]],

Cell[TextData[{
 "One can think of ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " with ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["GroupBy",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/GroupBy.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/GroupBy.html"], 
   "[", "f", "]"}]], "InlineCodeText",ExpressionUUID->
  "6e85aaed-2a0d-4f3d-a5d2-296928a6b9b6"],
 " as increasing the depth of the expression on which it is going to act. \
(The ",
 Cell[BoxData[
 "f"], "InlineCodeText",ExpressionUUID->
  "ebf96cf4-136a-46dd-a090-9667213ad188"],
 " in the preceding sentence is just a shorthand for some arbitrary \
function.) It can be thought of as inserting a layer into the target \
expression. Thus, a ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " with three arguments, the first of which is a ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["GroupBy",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/GroupBy.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/GroupBy.html"], 
   "[", "f", "]"}]], "InlineCodeText",ExpressionUUID->
  "c07fa016-1013-4454-8af9-0317bc32ae4f"],
 ", creates a pipeline that performs the ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["GroupBy",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/GroupBy.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/GroupBy.html"], 
   "[", "f", "]"}]], "InlineCodeText",ExpressionUUID->
  "caf4dec2-f047-43b7-bfe7-a6fb32f3034a"],
 " first. If the ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["GroupBy",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/GroupBy.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/GroupBy.html"], 
   "[", "f", "]"}]], "InlineCodeText",ExpressionUUID->
  "3c4d0e67-dc5f-4942-952c-cfaa32855fba"],
 " is composed with further operators at the same level, they are then \
performed on the entirety of the data structure according to the usual order \
of operations. "
}], "Text",
 CellTags->"i:27",
 CellID->716383855,ExpressionUUID->"40a61a87-b3e5-406a-a13b-66426f084b8a"],

Cell[TextData[{
 "Here\[CloseCurlyQuote]s an example. I\[CloseCurlyQuote]m trying to get the \
mean age for each sex (gender) of the passengers. If I were to run this ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 ", I would get an error because when ",
 ButtonBox["GroupBy",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/GroupBy.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/GroupBy.html"],
 " is written as a function, it is not recognized as an operator."
}], "Text",
 CellChangeTimes->{{3.739975362269644*^9, 3.739975427650413*^9}, {
   3.739975457909712*^9, 3.739975606221381*^9}, 3.740310216181356*^9, {
   3.742213529388494*^9, 3.742213594563656*^9}, {3.7422136696113567`*^9, 
   3.742213817454135*^9}, {3.742213911963883*^9, 3.7422139267547417`*^9}, {
   3.769439883546877*^9, 3.769439906209055*^9}, {3.7694399516288643`*^9, 
   3.7694399765778313`*^9}, {3.7770412496645937`*^9, 
   3.7770412499216194`*^9}, {3.777119295083032*^9, 3.777119295394063*^9}, 
   3.787415405172082*^9, {3.858072239643114*^9, 3.858072251523374*^9}, {
   3.8580724935093937`*^9, 3.8580725165385942`*^9}, {3.858072643398782*^9, 
   3.858072646529847*^9}, {3.86740455950603*^9, 3.867404562757163*^9}},
 CellTags->"LastCellOfAPage",
 CellID->1430430395,ExpressionUUID->"4510c46f-bd4b-4cce-9131-94d1a2d0df81"],

Cell[TextData[{
 "A failed attempt at grouping using a function involving ",
 ButtonBox["GroupBy",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/GroupBy.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/GroupBy.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.8580723469122753`*^9, 3.858072363586008*^9}, {
  3.8674045707151284`*^9, 3.8674045708408313`*^9}},
 CellTags->"p: 126",
 CellID->1090429965,ExpressionUUID->"fd28ac76-9202-4327-9e33-639698e52e4b"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{
    RowBox[{"Function", "[", 
     RowBox[{"passenger", ",", 
      RowBox[{"GroupBy", "[", 
       RowBox[{"passenger", ",", 
        RowBox[{"#sex", "&"}]}], "]"}]}], "]"}], ",", "Mean", ",", 
    RowBox[{"#age", "&"}]}], "]"}], "[", "dinghy", "]"}]], "Input",
 CellChangeTimes->{{3.8580721499824123`*^9, 3.858072227893382*^9}, {
  3.858072418664716*^9, 3.858072419282177*^9}, {3.85807245797123*^9, 
  3.8580724889539213`*^9}},
 CellLabel->"In[415]:=",
 CellID->334728153,ExpressionUUID->"e1ecf4d5-ad14-43e9-b020-53f2507ac20d"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   TagBox["Failure",
    "SummaryHead"], "[", 
   DynamicModuleBox[{Typeset`open$$ = False, Typeset`embedState$$ = "Ready"}, 
    TemplateBox[{
      PaneSelectorBox[{False -> GridBox[{{
            FrameBox[
             StyleBox["\"\[WarningSign]\"", 
              Directive["Message", 35], StripOnInput -> False], 
             ContentPadding -> False, FrameStyle -> None, 
             FrameMargins -> {{0, 0}, {0, 0}}, StripOnInput -> False], 
            GridBox[{{
               TagBox[
                GridBox[{{
                   TagBox["\"Message: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox[
                   "\"\\!\\(\\*TagBox[RowBox[{RowBox[{\\\"(\\\", \
RowBox[{\\\"#age\\\", \\\"&\\\"}], \\\")\\\"}], \\\"[\\\", \
\\\"\\\\\\\"3rd\\\\\\\"\\\", \\\"]\\\"}], Function[Short[Slot[1], 5]]]\\) is \
expected to have an Association as the first argument.\"", "SummaryItem"]}}, 
                 GridBoxItemSize -> {"Columns" -> {6.5, All, Automatic}}, 
                 GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                 GridBoxSpacings -> {"Columns" -> {{0}}}], "SummaryItem"]}, {
               TagBox[
                GridBox[{{
                   TagBox["\"Tag: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox["Function", "SummaryItem"]}}, 
                 GridBoxItemSize -> {"Columns" -> {6.5, All, Automatic}}, 
                 GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                 GridBoxSpacings -> {"Columns" -> {{0}}}], "SummaryItem"]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
             False, GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{2}}, "Rows" -> {{Automatic}}},
              BaseStyle -> {
              ShowStringCharacters -> False, NumberMarks -> False, 
               PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
          GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
          AutoDelete -> False, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
          BaselinePosition -> {1, 1}], True -> GridBox[{{
            FrameBox[
             StyleBox["\"\[WarningSign]\"", 
              Directive["Message", 35], StripOnInput -> False], 
             ContentPadding -> False, FrameStyle -> None, 
             FrameMargins -> {{0, 0}, {0, 0}}, StripOnInput -> False], 
            GridBox[{{
               TagBox[
                GridBox[{{
                   TagBox["\"Message: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox[
                   "\"\\!\\(\\*TagBox[RowBox[{RowBox[{\\\"(\\\", \
RowBox[{\\\"#age\\\", \\\"&\\\"}], \\\")\\\"}], \\\"[\\\", \
\\\"\\\\\\\"3rd\\\\\\\"\\\", \\\"]\\\"}], Function[Short[Slot[1], 5]]]\\) is \
expected to have an Association as the first argument.\"", "SummaryItem"]}}, 
                 GridBoxItemSize -> {"Columns" -> {6.5, All, Automatic}}, 
                 GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                 GridBoxSpacings -> {"Columns" -> {{0}}}], "SummaryItem"]}, {
               TagBox[
                GridBox[{{
                   TagBox["\"Tag: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox["Function", "SummaryItem"]}}, 
                 GridBoxItemSize -> {"Columns" -> {6.5, All, Automatic}}, 
                 GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                 GridBoxSpacings -> {"Columns" -> {{0}}}], "SummaryItem"]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
             False, GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{2}}, "Rows" -> {{Automatic}}},
              BaseStyle -> {
              ShowStringCharacters -> False, NumberMarks -> False, 
               PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
          GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
          AutoDelete -> False, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
          BaselinePosition -> {1, 1}]}, 
       Dynamic[Typeset`open$$], ImageSize -> Automatic]},
     "SummaryPanel"],
    DynamicModuleValues:>{}], "]"}],
  Failure[
  Function, <|
   "MessageTemplate" :> MessageName[Function, "slot1"], "MessageParameters" -> {
      HoldForm["age"], 
      HoldForm[Slot["age"]& ], 
      HoldForm[
       (Slot["age"]& )["3rd"]]}|>],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{{3.8580721899589987`*^9, 3.8580721997011013`*^9}, 
   3.858072274213345*^9, 3.858072419663327*^9, 3.858072458465685*^9, 
   3.858072524287805*^9, 3.881422685086377*^9},
 CellLabel->"Out[415]=",
 CellID->1001897162,ExpressionUUID->"4950f685-275b-4b81-9fa5-2fed83da8621"]
}, Open  ]],

Cell[TextData[{
 "Running ",
 ButtonBox["Normal",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Normal.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Normal.html"],
 " on the ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " confirms that the order of operations is not correct:"
}], "CodeText",
 CellChangeTimes->{{3.858072316832102*^9, 3.858072337832263*^9}, {
  3.858072650512856*^9, 3.858072653296617*^9}},
 CellID->707693560,ExpressionUUID->"84470f2f-a734-4600-a072-59b9a88a8b10"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Normal", "[", 
  RowBox[{"Query", "[", 
   RowBox[{
    RowBox[{"Function", "[", 
     RowBox[{"passenger", ",", 
      RowBox[{"GroupBy", "[", 
       RowBox[{"passenger", ",", 
        RowBox[{"#sex", "&"}]}], "]"}]}], "]"}], ",", "Mean", ",", 
    RowBox[{"#age", "&"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.858072295970036*^9, 3.8580723060301943`*^9}, {
  3.858072425481514*^9, 3.858072460974868*^9}, {3.858072521646237*^9, 
  3.858072522470023*^9}},
 CellLabel->"In[416]:=",
 CellID->1982415791,ExpressionUUID->"9e5faf41-212d-49f1-a61d-fb2ecadffe20"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Map", "[", 
   RowBox[{
    RowBox[{"Map", "[", 
     RowBox[{"#age", "&"}], "]"}], "/*", "Mean"}], "]"}], "/*", 
  RowBox[{"Function", "[", 
   RowBox[{"passenger", ",", 
    RowBox[{"GroupBy", "[", 
     RowBox[{"passenger", ",", 
      RowBox[{"#sex", "&"}]}], "]"}]}], "]"}]}]], "Output",
 CellChangeTimes->{{3.858072301144196*^9, 3.8580723064105997`*^9}, {
   3.858072426298032*^9, 3.858072461453246*^9}, 3.858072526267325*^9, 
   3.881422690098723*^9},
 CellLabel->"Out[416]=",
 CellID->1931230757,ExpressionUUID->"213bbe77-6d7d-47c0-a23e-7024e00e5449"]
}, Open  ]],

Cell[TextData[{
 "But if I write ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["GroupBy",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/GroupBy.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/GroupBy.html"], 
   "[", "f", "]"}]], "InlineCode",ExpressionUUID->
  "8d2952c7-cd80-4275-9a28-06147fc37bcd"],
 " as an operator, I get the desired behavior:"
}], "CodeText",
 CellChangeTimes->{{3.858072370483425*^9, 3.858072386251346*^9}, 
   3.858072660760315*^9, {3.8679396847273455`*^9, 3.8679397080897603`*^9}, {
   3.867942369884203*^9, 3.8679423742056017`*^9}, 3.898109528508183*^9},
 CellID->1697118616,ExpressionUUID->"b2d7ae7d-5707-4840-8b41-42e0f7af9e87"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{
    RowBox[{"GroupBy", "[", 
     RowBox[{"#sex", "&"}], "]"}], ",", "Mean", ",", 
    RowBox[{"#age", "&"}]}], "]"}], "[", "dinghy", "]"}]], "Input",
 CellChangeTimes->{{3.8580723901473846`*^9, 3.858072402689695*^9}, {
  3.858072449398765*^9, 3.858072464677678*^9}, {3.858072529275022*^9, 
  3.85807253011185*^9}},
 CellLabel->"In[417]:=",
 CellID->1624175394,ExpressionUUID->"446f01e2-c230-45da-98ea-2992fb434a2f"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"female\"\>", "\[Rule]", "12"}], ",", 
   RowBox[{"\<\"male\"\>", "\[Rule]", "65"}]}], 
  "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{
  3.858072404736537*^9, {3.858072450340475*^9, 3.858072465010729*^9}, 
   3.85807253043954*^9, 3.881422694926454*^9},
 CellLabel->"Out[417]=",
 CellID->807331275,ExpressionUUID->"336599b2-6bc7-4346-b9e7-b0164b631a24"]
}, Open  ]],

Cell[TextData[{
 "A digression. Do you remember how I said earlier in the chapter that the ",
 ButtonBox["Normal",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Normal.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Normal.html"],
 " of a ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " is not exactly the same thing as the ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 "? The code in the previous input provides an example of this subtlety. "
}], "Text",
 CellChangeTimes->{{3.8580725668169937`*^9, 3.858072631491836*^9}, {
   3.858072669338724*^9, 3.858072684019353*^9}, 3.8673174695407467`*^9, {
   3.8674047014977226`*^9, 3.8674047523030677`*^9}, 3.8674048988153954`*^9, {
   3.8696540295342565`*^9, 3.869654033769826*^9}},
 CellID->288237,ExpressionUUID->"26d96458-9078-4294-aa80-0967d2243846"],

Cell[TextData[{
 "Here, I ",
 ButtonBox["Normal",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Normal.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Normal.html"],
 " the ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " before executing it:"
}], "CodeText",
 CellChangeTimes->{{3.867404900306614*^9, 3.8674049020614786`*^9}},
 CellID->333173077,ExpressionUUID->"c27313d2-9938-4f6d-8fd2-f3e41b69b4e2"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Normal", "[", 
   RowBox[{"Query", "[", 
    RowBox[{
     RowBox[{"GroupBy", "[", 
      RowBox[{"#sex", "&"}], "]"}], ",", "Mean", ",", 
     RowBox[{"#age", "&"}]}], "]"}], "]"}], "[", "dinghy", "]"}]], "Input",
 CellChangeTimes->{{3.858072612984082*^9, 3.858072618721665*^9}},
 CellLabel->"In[418]:=",
 CellID->1362443178,ExpressionUUID->"2cfd13b1-3d4b-4ea6-9a05-a294424e86b3"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"female\"\>", "\[Rule]", 
    RowBox[{
     FractionBox["1", "4"], " ", 
     RowBox[{"(", 
      RowBox[{"36", "+", 
       RowBox[{"Missing", "[", "]"}]}], ")"}]}]}], ",", 
   RowBox[{"\<\"male\"\>", "\[Rule]", "65"}]}], 
  "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{3.858072619047085*^9, 3.881422699544285*^9},
 CellLabel->"Out[418]=",
 CellID->353265299,ExpressionUUID->"bb8d06c2-0a48-41c6-a13a-be7ad6978baf"]
}, Open  ]],

Cell[TextData[{
 "The result is probably not what one would want. Because the age of one of \
the female passengers is ",
 ButtonBox["Missing",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Missing.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Missing.html"],
 ", the ",
 ButtonBox["Mean",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Mean.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Mean.html"],
 " function won\[CloseCurlyQuote]t compute a purely numeric value. By \
contrast, the un-normalized version of ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " produces the result one would want most of the time. It works because ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " has built-in capabilities for dealing with ",
 ButtonBox["Missing",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Missing.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Missing.html"],
 " values. As discussed later, setting the ",
 ButtonBox["MissingBehavior",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/MissingBehavior.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/MissingBehavior.html"],
 " option to ",
 ButtonBox["None",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/None.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/None.html"],
 " lets one turn that behavior off. "
}], "Text",
 CellChangeTimes->{{3.858072686145135*^9, 3.85807285012827*^9}, {
   3.858072887302225*^9, 3.858072920398966*^9}, {3.858176489715178*^9, 
   3.858176582213077*^9}, {3.8582520186946297`*^9, 3.858252022811376*^9}, {
   3.8654978376484337`*^9, 3.86549783812014*^9}, 3.8673176405463953`*^9, 
   3.8674070383786883`*^9, {3.8696546772384334`*^9, 3.869654716704387*^9}},
 CellTags->"i:28",
 CellID->1017579689,ExpressionUUID->"41aee731-8073-4738-83a7-56d76aae1f33"],

Cell[TextData[{
 "Now the behavior of ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " is the same as when I applied ",
 ButtonBox["Normal",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Normal.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Normal.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.8674070399009748`*^9, 3.8674070549815245`*^9}, {
  3.867939874886838*^9, 3.867939875326543*^9}},
 CellID->371742051,ExpressionUUID->"1d3b6299-1177-4ffe-94b0-ef8af00871e1"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{
    RowBox[{"GroupBy", "[", 
     RowBox[{"#sex", "&"}], "]"}], ",", "Mean", ",", 
    RowBox[{"#age", "&"}], ",", 
    RowBox[{"MissingBehavior", "\[Rule]", " ", "None"}]}], "]"}], "[", 
  "dinghy", "]"}]], "Input",
 CellChangeTimes->{{3.858072818433667*^9, 3.858072830817643*^9}, {
  3.858072876561576*^9, 3.858072881792615*^9}},
 CellLabel->"In[419]:=",
 CellID->1534862328,ExpressionUUID->"1544009c-cfaa-4702-876c-78fcb2882d3c"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"female\"\>", "\[Rule]", 
    RowBox[{
     FractionBox["1", "4"], " ", 
     RowBox[{"(", 
      RowBox[{"36", "+", 
       RowBox[{"Missing", "[", "]"}]}], ")"}]}]}], ",", 
   RowBox[{"\<\"male\"\>", "\[Rule]", "65"}]}], 
  "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{3.858072882302301*^9, 3.8814227041761913`*^9},
 CellLabel->"Out[419]=",
 CellID->152943247,ExpressionUUID->"3f1df8e2-f2d4-4fc8-98ad-5b867316e6fa"]
}, Open  ]],

Cell[TextData[{
 "Other operator forms of ",
 ButtonBox["GroupBy",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/GroupBy.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/GroupBy.html"],
 " likewise are also treated as descending and promoted in the operator \
pipeline. Here\[CloseCurlyQuote]s the version of ",
 ButtonBox["GroupBy",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/GroupBy.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/GroupBy.html"],
 " that takes a rule between functions as its argument. "
}], "Text",
 CellChangeTimes->{{3.8580729485294857`*^9, 3.85807301439872*^9}, {
  3.8581765925062113`*^9, 3.8581766047799883`*^9}, {3.858252036255308*^9, 
  3.858252039460059*^9}, {3.8696557365366955`*^9, 3.8696557480523233`*^9}},
 CellTags->"LastCellOfAPage",
 CellID->890330716,ExpressionUUID->"298e8a37-a860-45b7-87b4-e2303e374a69"],

Cell[TextData[{
 ButtonBox["GroupBy",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/GroupBy.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/GroupBy.html"],
 " retains descending status even when its argument is a rule between \
functions:"
}], "CodeText",
 CellChangeTimes->{{3.769516016307892*^9, 3.769516034953287*^9}, 
   3.771891513744453*^9, 3.7770420497980084`*^9, 3.7771194751350355`*^9},
 CellTags->"p: 127",
 CellID->1345311412,ExpressionUUID->"0d97a47c-3442-4e47-8dc4-69bf22461db4"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Normal", "[", 
  RowBox[{"Query", "[", 
   RowBox[{
    RowBox[{"GroupBy", "[", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"#sex", "&"}], ")"}], "\[Rule]", 
      RowBox[{"(", 
       RowBox[{"#age", "&"}], ")"}]}], "]"}], ",", 
    RowBox[{"Mean", "/*", "N"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.85817662156598*^9, 3.858176644323955*^9}},
 CellLabel->"In[420]:=",
 CellID->2135010319,ExpressionUUID->"bad7c083-8a81-47d2-a7c9-67927f9caa66"],

Cell[BoxData[
 RowBox[{
  RowBox[{"GroupBy", "[", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"#sex", "&"}], ")"}], "\[Rule]", 
    RowBox[{"(", 
     RowBox[{"#age", "&"}], ")"}]}], "]"}], "/*", 
  RowBox[{"Map", "[", 
   RowBox[{"Mean", "/*", "N"}], "]"}]}]], "Output",
 CellChangeTimes->{{3.8581766241694937`*^9, 3.858176646616167*^9}, 
   3.881422709786909*^9},
 CellLabel->"Out[420]=",
 CellID->916953074,ExpressionUUID->"88e987bd-4a7c-489b-a6a3-288a590d9452"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{
    RowBox[{"GroupBy", "[", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"#sex", "&"}], ")"}], "\[Rule]", 
      RowBox[{"(", 
       RowBox[{"#age", "&"}], ")"}]}], "]"}], ",", 
    RowBox[{"Mean", "/*", "N"}]}], "]"}], "[", "dinghy", "]"}]], "Input",
 CellChangeTimes->{{3.769440183703755*^9, 3.7694402175894947`*^9}, 
   3.769956226552814*^9},
 CellLabel->"In[421]:=",
 CellID->861255306,ExpressionUUID->"1443e70b-0f9e-4022-903d-8fdb09b5b081"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"female\"\>", "\[Rule]", "12.`"}], ",", 
   RowBox[{"\<\"male\"\>", "\[Rule]", "65.`"}]}], 
  "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{{3.769440211234499*^9, 3.769440217979693*^9}, 
   3.769956300220643*^9, 3.769959359443672*^9, 3.771923384064951*^9, 
   3.771930219700138*^9, 3.771930363847495*^9, 3.881422713713024*^9},
 CellLabel->"Out[421]=",
 CellID->1970307968,ExpressionUUID->"12e62246-c4b3-40c7-bcd9-38d665992923"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Complication 3: Subqueries", "Subsubsection",
 CellChangeTimes->{{3.7718846235450697`*^9, 3.771884636824224*^9}, 
   3.7855254955270576`*^9, {3.858073093753737*^9, 3.858073093785061*^9}},
 CellID->837516154,ExpressionUUID->"1df1dde1-2bf0-493f-b07d-d7e6558400a2"],

Cell[TextData[{
 "Suppose one wants to convert a descending operator into an ascending one. \
One wants, for example, a ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["Select",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Select.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Select.html"], 
   "[", "f", "]"}]], "InlineCodeText",ExpressionUUID->
  "c632d79c-c49a-4f17-9b85-32a0e4ecf243"],
 " operator to be applied in the usual LIFO way. One can change the order of \
operations produced by ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " by wrapping what would otherwise be a descending operator in (another) ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 ". One could term these wrapped queries as \
\[OpenCurlyDoubleQuote]subqueries.\[CloseCurlyDoubleQuote]"
}], "Text",
 CellChangeTimes->{{3.742229156498777*^9, 3.742229185751514*^9}, 
   3.7422292973079147`*^9, {3.742229347326501*^9, 3.742229354443056*^9}, {
   3.771884645826598*^9, 3.771884651975339*^9}, {3.777119606041125*^9, 
   3.7771196101695375`*^9}, 3.78742344235111*^9, {3.7874235052387743`*^9, 
   3.787423518133779*^9}, {3.858073100020509*^9, 3.8580731054205103`*^9}, {
   3.858073151297864*^9, 3.858073283878282*^9}, 3.8674089837317276`*^9, {
   3.8679399274526424`*^9, 3.867939976357848*^9}},
 CellTags->"i:29",
 CellID->1580355676,ExpressionUUID->"85f70334-ccbb-4466-872f-81866fd5991e"],

Cell[TextData[{
 "The following list shows how wrapping a descending ",
 ButtonBox["Select",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Select.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Select.html"],
 " operator in ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " turns it into an ascending operator that is applied last."
}], "Text",
 CellChangeTimes->{{3.742229227280984*^9, 3.742229255633753*^9}, {
  3.7422293622915297`*^9, 3.742229393149476*^9}, {3.742473078935178*^9, 
  3.742473086231449*^9}, {3.7718846561031523`*^9, 3.771884660524804*^9}, {
  3.7771196237598963`*^9, 3.7771196277302933`*^9}, {3.8674093925827675`*^9, 
  3.8674093990499387`*^9}},
 CellID->650318415,ExpressionUUID->"0eb0b6f2-6401-4dd3-83de-8978c1177360"],

Cell[TextData[{
 "Use nested ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " functions to try and change the order of operations:"
}], "CodeText",
 CellChangeTimes->{{3.769516040639134*^9, 3.769516050991198*^9}, 
   3.7770420529510083`*^9, 3.7771196355910797`*^9, {3.8696559576813593`*^9, 
   3.869655961651621*^9}},
 CellID->741568281,ExpressionUUID->"eb9bcdab-b19e-4c6e-806a-b32fc318cdb9"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Map", "[", 
  RowBox[{"Normal", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Query", "[", 
      RowBox[{
       RowBox[{"Select", "[", "f", "]"}], ",", "g"}], "]"}], ",", 
     RowBox[{"Query", "[", 
      RowBox[{
       RowBox[{"Query", "[", 
        RowBox[{"Select", "[", "f", "]"}], "]"}], ",", "g"}], "]"}]}], 
    "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.858073116419003*^9, 3.858073130855937*^9}},
 CellLabel->"In[422]:=",
 CellID->1951260318,ExpressionUUID->"0feeb69a-2d71-44fe-b1a4-5e620e99f023"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"Select", "[", "f", "]"}], "/*", 
    RowBox[{"Map", "[", "g", "]"}]}], ",", 
   RowBox[{
    RowBox[{"Map", "[", "g", "]"}], "/*", 
    RowBox[{"Select", "[", "f", "]"}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.858073139851472*^9, 3.88142274238844*^9},
 CellLabel->"Out[422]=",
 CellID->294048847,ExpressionUUID->"fcfb3d18-b6e4-4917-815a-6ce796da09a2"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox["Complication 4: Syntactic Sugar for ",
  FontWeight->"Bold"],
 StyleBox[ButtonBox["MapAt",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/MapAt.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/MapAt.html"],
  FontWeight->"Bold",
  FontColor->RGBColor[
   0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]]
}], "Subsubsection",
 CellID->1547648289,ExpressionUUID->"758d6545-3a8d-45fe-969e-4583b84f69e2"],

Cell[TextData[{
 "Suppose one wants to apply a function only to one position with a Wolfram \
Language expression. The functional programming construct to do this is ",
 ButtonBox["MapAt",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/MapAt.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/MapAt.html"],
 "."
}], "Text",
 CellChangeTimes->{{3.740424110803794*^9, 3.7404241649781322`*^9}, {
   3.7421256368374443`*^9, 3.742125639072977*^9}, {3.742473090307781*^9, 
   3.74247309753653*^9}, {3.7718847050582743`*^9, 3.77188470733331*^9}, 
   3.7771196552300434`*^9, {3.785511102684092*^9, 3.7855111091983643`*^9}, {
   3.858176672831304*^9, 3.858176673140394*^9}, {3.858252185241356*^9, 
   3.8582521906403227`*^9}, {3.8674095056560993`*^9, 3.8674095062430477`*^9}},
 CellTags->"i:30",
 CellID->1470125903,ExpressionUUID->"71eff357-1f9b-4d91-a637-e30b65ddc28a"],

Cell[TextData[{
 "Apply the ",
 Cell[BoxData[
 "f"], "InlineCode",ExpressionUUID->"3a469fbb-ef33-4793-8ce9-740dc532e3a9"],
 " function to the third element of ",
 Cell[BoxData[
 "dinghy"], "InlineCode",ExpressionUUID->
  "b599dd60-45d2-4d75-a495-7311f60e430f"],
 ":"
}], "CodeText",
 CellID->658604269,ExpressionUUID->"715cac7a-e359-42bb-a227-47972ab5c833"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"MapAt", "[", 
   RowBox[{"f", ",", "3"}], "]"}], "[", "dinghy", "]"}]], "Input",
 CellChangeTimes->{{3.740424170050281*^9, 3.740424178883615*^9}, {
   3.740424395346137*^9, 3.740424395470222*^9}, {3.740425725870919*^9, 
   3.7404257276081038`*^9}, 3.741613088019041*^9, {3.769463849178567*^9, 
   3.769463850427042*^9}, 3.769956227383038*^9},
 CellLabel->"In[423]:=",
 CellID->1606692986,ExpressionUUID->"68af5188-6d6b-43a6-9028-b7ced1dec139"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "16"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "True"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"1st\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "65"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"male\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"f", "[", 
    RowBox[{"\[LeftAssociation]", 
     RowBox[{
      RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
      RowBox[{"\<\"age\"\>", "\[Rule]", "2"}], ",", 
      RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
      RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
     "\[RightAssociation]"}], "]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", 
      RowBox[{"Missing", "[", "]"}]}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "True"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "18"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
    "\[RightAssociation]"}]}], "}"}]], "Output",
 CellChangeTimes->{3.740424179316677*^9, 3.740424262449274*^9, 
  3.74042439700534*^9, 3.74042572800285*^9, 3.740496183454527*^9, 
  3.740500477991548*^9, 3.741613088354754*^9, 3.741773676861822*^9, 
  3.741775225902974*^9, 3.741787997457985*^9, 3.741876423861867*^9, 
  3.7418794805424747`*^9, 3.7419564040059147`*^9, 3.742122967850649*^9, 
  3.7694638510642223`*^9, 3.769956300270197*^9, 3.769959359492528*^9, 
  3.7719233841628723`*^9, 3.771930219748419*^9, 3.771930363894763*^9, 
  3.881422749732273*^9},
 CellLabel->"Out[423]=",
 CellID->1671844000,ExpressionUUID->"4cad47c9-8664-4faa-bba2-d796d442ba60"]
}, Open  ]],

Cell[TextData[{
 "Or, if one wants to apply ",
 Cell[BoxData[
 "f"], "InlineCodeText",ExpressionUUID->
  "b36f891b-5e3a-493a-9fb6-7a3cb90a81b5"],
 " to every age value within the ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of Associations, one writes the following code."
}], "Text",
 CellChangeTimes->{{3.740424628785801*^9, 3.740424684830914*^9}, {
   3.740425703775359*^9, 3.740425704304605*^9}, {3.740425741525714*^9, 
   3.7404257791055183`*^9}, {3.742230004201582*^9, 3.742230010121893*^9}, {
   3.769465891037477*^9, 3.769465898485899*^9}, 3.7855111715433187`*^9, 
   3.787423564294567*^9, 3.858073328999715*^9, {3.867940003462429*^9, 
   3.867940023191688*^9}},
 CellTags->"LastCellOfAPage",
 CellID->1229638324,ExpressionUUID->"96587f94-3eeb-4c25-a404-a1005c31f075"],

Cell[TextData[{
 "Use ",
 ButtonBox["All",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/All.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/All.html"],
 " in combination with key names in the ",
 ButtonBox["Part",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Part.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Part.html"],
 " specification to ",
 ButtonBox["MapAt",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/MapAt.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/MapAt.html"],
 " in order to operate on columns:"
}], "CodeText",
 CellChangeTimes->{{3.769516070553907*^9, 3.769516145769799*^9}, 
   3.7770420692450085`*^9, {3.7855111956690397`*^9, 3.785511213509803*^9}},
 CellTags->"p: 128",
 CellID->15622747,ExpressionUUID->"50549a3c-df12-403d-87f1-f2b42d76de88"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"MapAt", "[", 
   RowBox[{"f", ",", 
    RowBox[{"{", 
     RowBox[{"All", ",", "\"\<age\>\""}], "}"}]}], "]"}], "[", "dinghy", 
  "]"}]], "Input",
 CellChangeTimes->{{3.74042464050036*^9, 3.74042465417177*^9}, {
   3.740425731270522*^9, 3.7404257567608547`*^9}, 3.741613097209344*^9, {
   3.76946387070547*^9, 3.769463871844594*^9}, 3.769956228129815*^9},
 CellLabel->"In[424]:=",
 CellID->1296176387,ExpressionUUID->"edac463b-1700-45d6-9781-4730ad97b7e7"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", 
      RowBox[{"f", "[", "16", "]"}]}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "True"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"1st\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", 
      RowBox[{"f", "[", "65", "]"}]}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"male\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", 
      RowBox[{"f", "[", "2", "]"}]}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", 
      RowBox[{"f", "[", 
       RowBox[{"Missing", "[", "]"}], "]"}]}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "True"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", 
      RowBox[{"f", "[", "18", "]"}]}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
    "\[RightAssociation]"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.740424654585433*^9, {3.740425734043585*^9, 3.740425757191669*^9}, 
   3.740496183611095*^9, 3.740500478128603*^9, 3.741613097554265*^9, 
   3.7417736769286003`*^9, 3.741775225989299*^9, 3.741787997542013*^9, 
   3.741876423911278*^9, 3.7418794805925217`*^9, 3.7419564040897493`*^9, 
   3.742122967934205*^9, 3.769463872372135*^9, 3.769956300282333*^9, 
   3.7699593595053377`*^9, 3.771923384176263*^9, 3.77193021976112*^9, 
   3.771930363927931*^9, 3.8814227694837303`*^9},
 CellLabel->"Out[424]=",
 CellID->197012863,ExpressionUUID->"2aa67724-d9d3-4371-8d62-653c1d94a771"]
}, Open  ]],

Cell[TextData[{
 "If one knew age was the second key-value pair, one could write the code \
using an integer part number. (Yes, I know this is against the whole \
philosophy of ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 ", but it can be done.)"
}], "Text",
 CellChangeTimes->{{3.740425761588793*^9, 3.740425776350382*^9}, {
   3.742230014404834*^9, 3.742230027468012*^9}, {3.777119747933313*^9, 
   3.777119752580777*^9}, 3.787423624340426*^9, {3.858073362301475*^9, 
   3.8580733916428823`*^9}, 3.8582523205665607`*^9, {3.8674096574409003`*^9, 
   3.867409659094042*^9}, {3.867940029261551*^9, 3.867940035573209*^9}},
 CellID->762421141,ExpressionUUID->"6e2d98f0-92aa-4233-967a-950e9a5e12e8"],

Cell[TextData[{
 "Use ",
 ButtonBox["All",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/All.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/All.html"],
 " in combination with integers in the ",
 ButtonBox["Part",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Part.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Part.html"],
 " specification to ",
 ButtonBox["MapAt",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/MapAt.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/MapAt.html"],
 " in order to operate on columns:"
}], "CodeText",
 CellChangeTimes->{{3.7695161121738577`*^9, 3.769516140165202*^9}, 
   3.777042072157008*^9, {3.777119759278447*^9, 3.7771197669792175`*^9}},
 CellID->19314427,ExpressionUUID->"c93bc5c2-47c7-4fa5-80ed-37d1326a494e"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"MapAt", "[", 
   RowBox[{"f", ",", 
    RowBox[{"{", 
     RowBox[{"All", ",", "2"}], "}"}]}], "]"}], "[", "dinghy", "]"}]], "Input",
 CellChangeTimes->{{3.740425787648905*^9, 3.740425787845408*^9}, 
   3.741613116053179*^9, {3.769463883096581*^9, 3.76946388524739*^9}, 
   3.769956228813867*^9},
 CellLabel->"In[425]:=",
 CellID->2124678785,ExpressionUUID->"16ba7936-5882-4474-9292-aa5bf3b32817"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", 
      RowBox[{"f", "[", "16", "]"}]}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "True"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"1st\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", 
      RowBox[{"f", "[", "65", "]"}]}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"male\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", 
      RowBox[{"f", "[", "2", "]"}]}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", 
      RowBox[{"f", "[", 
       RowBox[{"Missing", "[", "]"}], "]"}]}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "True"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", 
      RowBox[{"f", "[", "18", "]"}]}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
    "\[RightAssociation]"}]}], "}"}]], "Output",
 CellChangeTimes->{3.740425788526227*^9, 3.740496183772534*^9, 
  3.740500478354226*^9, 3.7416131163549423`*^9, 3.741773676995201*^9, 
  3.74177522615674*^9, 3.7417879976257963`*^9, 3.74187642396096*^9, 
  3.741879480642476*^9, 3.741956404173251*^9, 3.742122968017974*^9, 
  3.769463885843733*^9, 3.769956300319253*^9, 3.769959359542183*^9, 
  3.771923384220924*^9, 3.7719302197963257`*^9, 3.771930363938322*^9, 
  3.881422778275654*^9},
 CellLabel->"Out[425]=",
 CellID->1768841350,ExpressionUUID->"fe56e88d-bb24-4274-ab3f-bfa3bdbdef04"]
}, Open  ]],

Cell[TextData[{
 "Although this notation is fine, it can be somewhat cumbersome when one \
wants to apply different functions to different parts of the data. Consider, \
for example, how one would need to write an operation that mapped the \
function ",
 Cell[BoxData[
 "f"], "InlineCodeText",ExpressionUUID->
  "9017e655-49d8-4358-afed-e24eb24608e0"],
 " onto the age column, the function ",
 Cell[BoxData[
 "g"], "InlineCodeText",ExpressionUUID->
  "9a12ca97-9727-49de-bdae-c57307264fc0"],
 " onto the sex column, and the function ",
 Cell[BoxData[
 "h"], "InlineCodeText",ExpressionUUID->
  "5904b14f-a09d-4625-bcf0-a9ae1b72c014"],
 " onto the survived column. One can imagine doing this if one had different \
rules for cleaning up each column of data, but doing so is a bit cumbersome."
}], "Text",
 CellChangeTimes->{{3.74222515741957*^9, 3.742225214410879*^9}, {
   3.742225275306759*^9, 3.7422252824233932`*^9}, {3.7424731109891567`*^9, 
   3.742473130571702*^9}, {3.769465933899457*^9, 3.76946597203424*^9}, 
   3.7770410125998898`*^9, {3.777049534271204*^9, 3.7770495348082576`*^9}, {
   3.777119783138833*^9, 3.7771197945359726`*^9}, 3.787423717810315*^9, {
   3.858073426200863*^9, 3.858073426314454*^9}, {3.8581767380135202`*^9, 
   3.858176753956196*^9}, 3.858252367378563*^9, {3.8679400497829123`*^9, 
   3.867940102335453*^9}},
 CellTags->"i:31",
 CellID->1118257179,ExpressionUUID->"4488a051-0329-4daf-a511-c3a949aa8ebe"],

Cell["\<\
The composition of MapAts permits different functions to be applied to \
different columns:\
\>", "CodeText",
 CellChangeTimes->{{3.7695161555694637`*^9, 3.769516172436144*^9}, 
   3.7770420806060085`*^9, {3.7771198406725855`*^9, 3.7771198420417223`*^9}},
 CellID->1593567719,ExpressionUUID->"d5cc8f4d-5a65-4e46-b6fb-e7b2c86ad1b1"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"MapAt", "[", 
     RowBox[{"f", ",", 
      RowBox[{"{", 
       RowBox[{"All", ",", "\"\<age\>\""}], "}"}]}], "]"}], "/*", 
    RowBox[{"MapAt", "[", 
     RowBox[{"g", ",", 
      RowBox[{"{", 
       RowBox[{"All", ",", "\"\<sex\>\""}], "}"}]}], "]"}], "/*", 
    RowBox[{"MapAt", "[", 
     RowBox[{"h", ",", 
      RowBox[{"{", 
       RowBox[{"All", ",", "\"\<survived\>\""}], "}"}]}], "]"}]}], ")"}], "[",
   "dinghy", "]"}]], "Input",
 CellChangeTimes->{{3.742225217486985*^9, 3.742225269260049*^9}, {
   3.769463907565686*^9, 3.769463909561523*^9}, 3.7699562295930853`*^9},
 CellLabel->"In[426]:=",
 CellID->1919012556,ExpressionUUID->"ea520a96-fd9d-401c-845b-ea7526268854"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", 
      RowBox[{"f", "[", "16", "]"}]}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", 
      RowBox[{"g", "[", "\<\"female\"\>", "]"}]}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", 
      RowBox[{"h", "[", "True", "]"}]}]}], "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"1st\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", 
      RowBox[{"f", "[", "65", "]"}]}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", 
      RowBox[{"g", "[", "\<\"male\"\>", "]"}]}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", 
      RowBox[{"h", "[", "False", "]"}]}]}], "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", 
      RowBox[{"f", "[", "2", "]"}]}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", 
      RowBox[{"g", "[", "\<\"female\"\>", "]"}]}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", 
      RowBox[{"h", "[", "False", "]"}]}]}], "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", 
      RowBox[{"f", "[", 
       RowBox[{"Missing", "[", "]"}], "]"}]}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", 
      RowBox[{"g", "[", "\<\"female\"\>", "]"}]}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", 
      RowBox[{"h", "[", "True", "]"}]}]}], "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", 
      RowBox[{"f", "[", "18", "]"}]}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", 
      RowBox[{"g", "[", "\<\"female\"\>", "]"}]}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", 
      RowBox[{"h", "[", "False", "]"}]}]}], "\[RightAssociation]"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.742225270283848*^9, 3.769463910167901*^9, 
  3.769956300336686*^9, 3.7699592396794357`*^9, 3.769959359554831*^9, 
  3.771923384266667*^9, 3.771930219820311*^9, 3.7719303639732733`*^9, 
  3.881422796396391*^9},
 CellLabel->"Out[426]=",
 CellID->987653307,ExpressionUUID->"add58158-7cfb-42ec-b819-7de12fa1e7ea"]
}, Open  ]],

Cell[TextData[{
 "Within ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 ", however, there is an alternative syntax for ",
 ButtonBox["MapAt",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/MapAt.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/MapAt.html"],
 ": Part Specification-Rule notation. One puts the part (or key) number as \
the left-hand side of a ",
 ButtonBox["Rule",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Rule.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Rule.html"],
 " and the function to be applied as the right-hand side, and one wraps it \
all up in a ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 "."
}], "Text",
 CellChangeTimes->{{3.7404244017969933`*^9, 3.74042443570534*^9}, {
   3.740424507658195*^9, 3.740424561631302*^9}, {3.742225393448855*^9, 
   3.742225424344557*^9}, {3.769466028122507*^9, 3.769466029725375*^9}, {
   3.7718847433224277`*^9, 3.771884756466764*^9}, {3.7771198473632545`*^9, 
   3.77711986261878*^9}, {3.777121058108807*^9, 3.7771210798498073`*^9}, 
   3.7874238025568037`*^9, {3.85807351312146*^9, 3.858073557658431*^9}, {
   3.8673174728842707`*^9, 3.8673174730232377`*^9}, {3.867940123991971*^9, 
   3.867940128223543*^9}},
 CellTags->"LastCellOfAPage",
 CellID->460399544,ExpressionUUID->"fe05ed41-e88c-4ea8-9d80-462c8cb00e90"],

Cell[TextData[{
 "There\[CloseCurlyQuote]s syntactic sugar for ",
 ButtonBox["MapAt",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/MapAt.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/MapAt.html"],
 ". One can \[OpenCurlyDoubleQuote]speak\[CloseCurlyDoubleQuote] the code \
below as \[OpenCurlyDoubleQuote]apply ",
 Cell[BoxData[
 "f"], "InlineCode",ExpressionUUID->"e17f09a8-7a04-4b64-aea5-18e61d908680"],
 " to the third part\[CloseCurlyDoubleQuote]:"
}], "CodeText",
 CellChangeTimes->{{3.7695161793729467`*^9, 3.769516192450076*^9}, {
   3.777041253160943*^9, 3.7770412539800253`*^9}, 3.7770420836290083`*^9, 
   3.777121084821807*^9, {3.858073559852292*^9, 3.858073580056604*^9}, 
   3.858252470439539*^9, {3.8674115617483673`*^9, 3.867411569138124*^9}, {
   3.867940150942731*^9, 3.86794015199821*^9}},
 CellTags->"p: 129",
 CellID->601742876,ExpressionUUID->"479e3160-28d5-4a76-b807-21b72febbec3"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Normal", "[", 
  RowBox[{"Query", "[", 
   RowBox[{"{", 
    RowBox[{"3", "\[Rule]", "f"}], "}"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.740424439359367*^9, 3.7404245026257772`*^9}, {
  3.740425805791677*^9, 3.740425829026074*^9}, {3.769466041575531*^9, 
  3.769466046273354*^9}},
 CellLabel->"In[427]:=",
 CellID->551555867,ExpressionUUID->"305ba623-d07f-4129-ac84-6c179244aeea"],

Cell[BoxData[
 RowBox[{"MapAt", "[", 
  RowBox[{"f", ",", "3"}], "]"}]], "Output",
 CellChangeTimes->{{3.740424451072482*^9, 3.7404245030836143`*^9}, {
   3.74042579961065*^9, 3.7404258295415916`*^9}, 3.7404961839197807`*^9, 
   3.740500478469162*^9, 3.7417736770712957`*^9, 3.741775226283379*^9, 
   3.7417879977123957`*^9, 3.741876424015772*^9, 3.741879480729597*^9, 
   3.741956404256282*^9, 3.74212296810497*^9, 3.769466047562973*^9, 
   3.7699563003713627`*^9, 3.769959359591669*^9, 3.771923384282919*^9, 
   3.771930219854054*^9, 3.7719303639819117`*^9, 3.881422804427569*^9},
 CellLabel->"Out[427]=",
 CellID->1181504613,ExpressionUUID->"48d221ba-9e4c-412c-8dae-e1aba19fdb08"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{"{", 
    RowBox[{"3", "\[Rule]", "f"}], "}"}], "]"}], "[", "dinghy", 
  "]"}]], "Input",
 CellChangeTimes->{{3.740424523056725*^9, 3.7404245313374147`*^9}, {
   3.740425814183002*^9, 3.740425835956663*^9}, 3.741613131814601*^9, {
   3.769466051557983*^9, 3.769466053500429*^9}, 3.769956230301252*^9},
 CellLabel->"In[428]:=",
 CellID->1680548497,ExpressionUUID->"d86082a1-abae-4285-8aef-4815bf8bfdbe"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "16"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "True"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"1st\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "65"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"male\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"f", "[", 
    RowBox[{"\[LeftAssociation]", 
     RowBox[{
      RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
      RowBox[{"\<\"age\"\>", "\[Rule]", "2"}], ",", 
      RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
      RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
     "\[RightAssociation]"}], "]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", 
      RowBox[{"Missing", "[", "]"}]}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "True"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "18"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
    "\[RightAssociation]"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.740424531781872*^9, {3.7404258159098387`*^9, 3.740425836989319*^9}, 
   3.740496184071224*^9, 3.74050047893441*^9, 3.741613132135784*^9, 
   3.741773677146883*^9, 3.741775226373358*^9, 3.741787997795848*^9, 
   3.74187642406108*^9, 3.7418794807760067`*^9, 3.741956404339704*^9, 
   3.7421229681856327`*^9, 3.769466054198062*^9, 3.7699563003831472`*^9, 
   3.769959359603941*^9, 3.771923384319578*^9, 3.7719302198640213`*^9, 
   3.771930364018736*^9, 3.881422820239976*^9},
 CellLabel->"Out[428]=",
 CellID->1332758192,ExpressionUUID->"9025fbce-585a-47c7-9450-60b70fd12102"]
}, Open  ]],

Cell[TextData[{
 "To apply the function only to the ",
 Cell[BoxData[
 "\"\<age\>\""], "InlineCode",ExpressionUUID->
  "db1f2d39-2795-4104-9c53-bd7a9e0866ce"],
 " key-value pair within every ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 ", I write the following code:"
}], "CodeText",
 CellChangeTimes->{{3.7404246920951357`*^9, 3.740424700657197*^9}, {
   3.740425842566688*^9, 3.740425885201462*^9}, 3.742225429750162*^9, {
   3.742230232086748*^9, 3.742230237951241*^9}, {3.7771211155008073`*^9, 
   3.777121116482807*^9}, {3.777121149659647*^9, 3.777121187517432*^9}, {
   3.8674138321376*^9, 3.867413882907843*^9}, {3.867940221664646*^9, 
   3.867940222344669*^9}, {3.8850480934356937`*^9, 3.8850481009485793`*^9}},
 CellID->349400849,ExpressionUUID->"4bbff7cd-12a2-4ffb-84ef-837459466331"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{"All", ",", 
    RowBox[{"{", 
     RowBox[{"\"\<age\>\"", "\[Rule]", "f"}], "}"}]}], "]"}], "[", "dinghy", 
  "]"}]], "Input",
 CellChangeTimes->{{3.740424703365309*^9, 3.740424712528495*^9}, {
   3.740425862623336*^9, 3.740425900539673*^9}, 3.741613138902199*^9, {
   3.769466067330907*^9, 3.769466068483904*^9}, 3.7699562309931393`*^9},
 CellLabel->"In[429]:=",
 CellID->1159778245,ExpressionUUID->"8a60ac66-14c2-4fe3-802b-9a84580c587f"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", 
      RowBox[{"f", "[", "16", "]"}]}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "True"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"1st\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", 
      RowBox[{"f", "[", "65", "]"}]}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"male\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", 
      RowBox[{"f", "[", "2", "]"}]}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", 
      RowBox[{"f", "[", 
       RowBox[{"Missing", "[", "]"}], "]"}]}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "True"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", 
      RowBox[{"f", "[", "18", "]"}]}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
    "\[RightAssociation]"}]}], "}"}]], "Output",
 CellChangeTimes->{3.740424713533126*^9, 3.740425878260022*^9, 
  3.74049618423927*^9, 3.7405004792441797`*^9, 3.741613139220519*^9, 
  3.741773677213921*^9, 3.74177522645886*^9, 3.741787997880405*^9, 
  3.7418764241445293`*^9, 3.7418794808254213`*^9, 3.7419564044230127`*^9, 
  3.742122968262903*^9, 3.769466069057768*^9, 3.769956300419304*^9, 
  3.769959359640854*^9, 3.771923384330574*^9, 3.771930219902466*^9, 
  3.7719303640802317`*^9, 3.88142282476084*^9},
 CellLabel->"Out[429]=",
 CellID->159407615,ExpressionUUID->"581c5aed-167d-4bd5-9041-80b8bc36acdc"]
}, Open  ]],

Cell[TextData[{
 "Notice how when ",
 ButtonBox["Normal",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Normal.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Normal.html"],
 " is applied to this ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 ", one gets a ",
 ButtonBox["MapAt",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/MapAt.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/MapAt.html"],
 " operator with a two-argument ",
 ButtonBox["Part",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Part.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Part.html"],
 " specification, the first argument of which is ",
 ButtonBox["All",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/All.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/All.html"],
 " (meaning all of the rows)."
}], "Text",
 CellChangeTimes->{{3.742125668804694*^9, 3.7421257133989*^9}, {
   3.742225442663294*^9, 3.74222548232565*^9}, {3.769466088198238*^9, 
   3.769466122728614*^9}, 3.7718847835910587`*^9, {3.7771213523979187`*^9, 
   3.7771213619898777`*^9}, 3.858073594963398*^9, {3.8582525265582657`*^9, 
   3.858252526710165*^9}, 3.867413961421135*^9, {3.8679402314884863`*^9, 
   3.86794023366183*^9}},
 CellTags->"i:32",
 CellID->180094750,ExpressionUUID->"7c0b6480-c4db-4962-bc39-fc566c9624b0"],

Cell["For example:", "CodeText",
 CellChangeTimes->{3.785511361575882*^9},
 CellID->1119490324,ExpressionUUID->"caa6e0a6-6c7f-4e9c-a52c-24c35f4c934d"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Normal", "[", 
  RowBox[{"Query", "[", 
   RowBox[{"All", ",", 
    RowBox[{"{", 
     RowBox[{"\"\<age\>\"", "\[Rule]", "f"}], "}"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.742125684038569*^9, 3.742125686805546*^9}},
 CellLabel->"In[430]:=",
 CellID->1048004627,ExpressionUUID->"63d0608b-1178-449a-a853-741210339604"],

Cell[BoxData[
 RowBox[{"MapAt", "[", 
  RowBox[{"f", ",", 
   RowBox[{"{", 
    RowBox[{"All", ",", "\<\"age\"\>"}], "}"}]}], "]"}]], "Output",
 CellChangeTimes->{3.7421256870622396`*^9, 3.769956300431047*^9, 
  3.7699593596515293`*^9, 3.7719233843699417`*^9, 3.771930219912298*^9, 
  3.7719303641154327`*^9, 3.881422851672229*^9},
 CellLabel->"Out[430]=",
 CellID->1394473689,ExpressionUUID->"639828c6-ac14-4d43-9b9e-9aabe2247436"]
}, Open  ]],

Cell[TextData[{
 "One can use this same syntactic sugar to perform ",
 ButtonBox["RightComposition",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/RightComposition.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/RightComposition.html"],
 " of multiple ",
 ButtonBox["MapAt",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/MapAt.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/MapAt.html"],
 " statements, each operating on different parts. "
}], "Text",
 CellChangeTimes->{{3.769516258604477*^9, 3.76951631619279*^9}, 
   3.777041015928222*^9, {3.777121455443222*^9, 3.7771214642321005`*^9}},
 CellID->678583927,ExpressionUUID->"599a10cc-4d10-47c0-8d62-dfbc1773c781"],

Cell[TextData[{
 "Here I apply the function ",
 Cell[BoxData[
 "f"], "InlineCode",ExpressionUUID->"ade64473-9af7-43f0-98a4-a53f765af4d2"],
 " to the age values and the function ",
 Cell[BoxData[
 "g"], "InlineCode",ExpressionUUID->"f9dcd9b6-ce93-4c2c-bf51-c6360b425ec2"],
 " to the sex values:"
}], "CodeText",
 CellChangeTimes->{{3.777121466895367*^9, 3.7771214850881863`*^9}},
 CellID->474988586,ExpressionUUID->"dc0dd66f-bb6e-485c-a592-e46f305f50b2"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{"All", ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"\"\<age\>\"", "\[Rule]", "f"}], ",", 
      RowBox[{"\"\<sex\>\"", "\[Rule]", "g"}]}], "}"}]}], "]"}], "[", 
  "dinghy", "]"}]], "Input",
 CellChangeTimes->{{3.769516227587441*^9, 3.769516236473228*^9}, 
   3.769956231623273*^9},
 CellLabel->"In[431]:=",
 CellID->763837994,ExpressionUUID->"fce1b72a-92ef-4635-854f-73db60f08c7a"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", 
      RowBox[{"f", "[", "16", "]"}]}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", 
      RowBox[{"g", "[", "\<\"female\"\>", "]"}]}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "True"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"1st\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", 
      RowBox[{"f", "[", "65", "]"}]}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", 
      RowBox[{"g", "[", "\<\"male\"\>", "]"}]}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", 
      RowBox[{"f", "[", "2", "]"}]}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", 
      RowBox[{"g", "[", "\<\"female\"\>", "]"}]}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", 
      RowBox[{"f", "[", 
       RowBox[{"Missing", "[", "]"}], "]"}]}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", 
      RowBox[{"g", "[", "\<\"female\"\>", "]"}]}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "True"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", 
      RowBox[{"f", "[", "18", "]"}]}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", 
      RowBox[{"g", "[", "\<\"female\"\>", "]"}]}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
    "\[RightAssociation]"}]}], "}"}]], "Output",
 CellChangeTimes->{3.769516236882881*^9, 3.769956300467208*^9, 
  3.769959359690682*^9, 3.771923384447802*^9, 3.771930219952221*^9, 
  3.7719303641268587`*^9, 3.881422855922764*^9},
 CellLabel->"Out[431]=",
 CellID->148909870,ExpressionUUID->"f1d6cb7d-45f1-431a-8895-56cfc2d39792"]
}, Open  ]],

Cell[TextData[{
 "A ",
 ButtonBox["Normal",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Normal.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Normal.html"],
 " of the ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " shows that it literally constructs a ",
 ButtonBox["RightComposition",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/RightComposition.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/RightComposition.html"],
 " of MapAts:"
}], "CodeText",
 CellChangeTimes->{{3.7695163186783457`*^9, 3.769516338310861*^9}, {
   3.777121515553232*^9, 3.777121516361313*^9}, {3.7855113875636997`*^9, 
   3.785511402952373*^9}, 3.858176793823572*^9},
 CellID->1491348462,ExpressionUUID->"04dc1b28-6752-41c7-aa92-a567ae831abf"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Normal", "[", 
  RowBox[{"Query", "[", 
   RowBox[{"All", ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"\"\<age\>\"", "\[Rule]", "f"}], ",", 
      RowBox[{"\"\<sex\>\"", "\[Rule]", "g"}]}], "}"}]}], "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.7695163450206423`*^9, 3.76951634750552*^9}},
 CellLabel->"In[432]:=",
 CellID->958145391,ExpressionUUID->"8defcd8a-57e3-4882-bc7b-1f5934cff5b1"],

Cell[BoxData[
 RowBox[{
  RowBox[{"MapAt", "[", 
   RowBox[{"g", ",", 
    RowBox[{"{", 
     RowBox[{"All", ",", "\<\"sex\"\>"}], "}"}]}], "]"}], "/*", 
  RowBox[{"MapAt", "[", 
   RowBox[{"f", ",", 
    RowBox[{"{", 
     RowBox[{"All", ",", "\<\"age\"\>"}], "}"}]}], "]"}]}]], "Output",
 CellChangeTimes->{3.7695163477542477`*^9, 3.76995630047974*^9, 
  3.769959359705339*^9, 3.7719233844867487`*^9, 3.7719302199631433`*^9, 
  3.771930364160346*^9, 3.881422863098048*^9},
 CellTags->"LastCellOfAPage",
 CellLabel->"Out[432]=",
 CellID->1117128903,ExpressionUUID->"07cf6dfb-6025-4c12-a2ba-c2756a8c7f7b"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "Solve Sample Problems with ",
 StyleBox[ButtonBox["Query",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
  FontColor->RGBColor[
   0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]]
}], "Subsection",
 CellTags->"p: 130",
 CellID->924778655,ExpressionUUID->"956c49a7-3bdb-47b5-80d5-8526952c1743"],

Cell[TextData[{
 "Let\[CloseCurlyQuote]s now further explore ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " by redoing the examples from the preceding chapter. The material in \
Example 1 is particularly important for understanding the remainder of this \
book."
}], "Text",
 CellChangeTimes->{{3.739633388228003*^9, 3.739633555847232*^9}, {
   3.7396339514337597`*^9, 3.739633992435484*^9}, {3.7396340255516977`*^9, 
   3.739634037430355*^9}, {3.739642373529708*^9, 3.739642385675956*^9}, {
   3.739642427727818*^9, 3.7396424355270987`*^9}, {3.7396426508004217`*^9, 
   3.7396426606964293`*^9}, {3.740308071649218*^9, 3.740308278177744*^9}, {
   3.7403086499235897`*^9, 3.740308662724636*^9}, {3.742209585934729*^9, 
   3.742209598626915*^9}, {3.742210112489916*^9, 3.742210127175764*^9}, {
   3.742472504524987*^9, 3.742472505196253*^9}, {3.771857907715027*^9, 
   3.771857909661221*^9}, {3.771858730211218*^9, 3.771858730581765*^9}, 
   3.7771215429479713`*^9, 3.787749499421927*^9, {3.858176811893927*^9, 
   3.858176815965088*^9}, {3.8679448645856843`*^9, 3.86794486553661*^9}},
 CellID->1196790926,ExpressionUUID->"ca94c504-bd73-463f-94f2-1d48fff4eea3"],

Cell[CellGroupData[{

Cell[TextData[{
 "Example 1 Redone Using ",
 StyleBox[ButtonBox["Query",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
  FontColor->RGBColor[
   0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]]
}], "Subsubsection",
 CellID->1133255480,ExpressionUUID->"5210a76d-1e5c-44b1-a643-9ad4bf6e9b86"],

Cell["\<\
In Example 1 from the preceding chapter, we wanted to get the genders of \
persons over the age of 70 on the Titanic. Here\[CloseCurlyQuote]s a \
traditional approach to retrieving that information. \
\>", "Text",
 CellChangeTimes->{{3.739633388228003*^9, 3.739633555847232*^9}, {
   3.7396339514337597`*^9, 3.739633992435484*^9}, {3.7396340255516977`*^9, 
   3.739634037430355*^9}, {3.739642373529708*^9, 3.739642385675956*^9}, {
   3.739642427727818*^9, 3.7396424355270987`*^9}, {3.7396426508004217`*^9, 
   3.7396426594970217`*^9}, {3.7396444616822767`*^9, 3.73964446303369*^9}, {
   3.739644585491514*^9, 3.739644606736518*^9}, {3.739887052992765*^9, 
   3.739887059235611*^9}, {3.740392313668995*^9, 3.740392315624358*^9}, {
   3.741546597495429*^9, 3.741546650954936*^9}, {3.742209607075047*^9, 
   3.742209771810668*^9}, {3.769426175127594*^9, 3.769426183265627*^9}, {
   3.769958388533943*^9, 3.769958402498604*^9}, {3.769958478259583*^9, 
   3.7699585019117393`*^9}, {3.77188302335548*^9, 3.77188303416754*^9}, {
   3.7770412581054373`*^9, 3.777041261777805*^9}, 3.7771216830889845`*^9, {
   3.777127026289898*^9, 3.7771271459408617`*^9}, 3.787748766846459*^9, 
   3.787748873378586*^9, {3.858075718702458*^9, 3.8580757215353603`*^9}, {
   3.8580759786398687`*^9, 3.858076075357492*^9}, {3.867416309051196*^9, 
   3.86741631595144*^9}},
 CellID->592387117,ExpressionUUID->"4cd214a1-506b-40d7-bbcc-a0546cea9a69"],

Cell["Retrieve the Titanic data:", "CodeText",
 CellChangeTimes->{{3.858076092357609*^9, 3.8580760987776117`*^9}},
 CellID->166124599,ExpressionUUID->"1db3a5b0-b5c0-45bc-95a5-f6b48451a59e"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"titanic", "=", 
  RowBox[{"ResourceData", "[", 
   RowBox[{"ro", ",", "\"\<Titanic List of Associations\>\""}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.7693238541104097`*^9, 3.7693238673179197`*^9}, {
  3.769955312243359*^9, 3.769955313674405*^9}, {3.771929783476038*^9, 
  3.771929784452317*^9}, {3.880546535464983*^9, 3.880546545182453*^9}},
 CellTags->"i:33",
 CellLabel->"In[433]:=",
 CellID->192288021,ExpressionUUID->"f10d6f96-1175-43a2-9a9c-1b91770009e3"],

Cell[BoxData[
 TemplateBox[<|"shortenedBoxes" -> TagBox[
     RowBox[{"{", 
       RowBox[{
         RowBox[{"\[LeftAssociation]", 
           RowBox[{
             RowBox[{"\"class\"", "\[Rule]", "\"1st\""}], ",", 
             RowBox[{"\"age\"", "\[Rule]", "29"}], ",", 
             RowBox[{"\"sex\"", "\[Rule]", "\"female\""}], ",", 
             RowBox[{"\"survived\"", "\[Rule]", "True"}]}], 
           "\[RightAssociation]"}], ",", 
         RowBox[{"\[LeftAssociation]", 
           RowBox[{
             RowBox[{"\"class\"", "\[Rule]", "\"1st\""}], ",", 
             RowBox[{"\"age\"", "\[Rule]", "1"}], ",", 
             RowBox[{"\"sex\"", "\[Rule]", "\"male\""}], ",", 
             RowBox[{"\"survived\"", "\[Rule]", "True"}]}], 
           "\[RightAssociation]"}], ",", 
         TemplateBox[{"1305"}, "OutputSizeLimit`Skeleton"], ",", 
         RowBox[{"\[LeftAssociation]", 
           RowBox[{
             RowBox[{"\"class\"", "\[Rule]", "\"3rd\""}], ",", 
             RowBox[{"\"age\"", "\[Rule]", "27"}], ",", 
             RowBox[{"\"sex\"", "\[Rule]", "\"male\""}], ",", 
             RowBox[{"\"survived\"", "\[Rule]", "False"}]}], 
           "\[RightAssociation]"}], ",", 
         RowBox[{"\[LeftAssociation]", 
           RowBox[{
             RowBox[{"\"class\"", "\[Rule]", "\"3rd\""}], ",", 
             RowBox[{"\"age\"", "\[Rule]", "29"}], ",", 
             RowBox[{"\"sex\"", "\[Rule]", "\"male\""}], ",", 
             RowBox[{"\"survived\"", "\[Rule]", "False"}]}], 
           "\[RightAssociation]"}]}], "}"}], Short[#, 8]& ], "line" -> 433, 
   "sessionID" -> 28257104344315683933, "byteCount" -> 959544, "size" -> 8, 
   "stored" -> False, "expr" -> Missing["NotAvailable", "NewSessionID"], 
   "wrap" -> OutputSizeLimit`Defer, "version" -> 1|>,
  "OutputSizeLimitTemplate"]], "Output",
 CellChangeTimes->{
  3.8580760865827427`*^9, 3.86553185703309*^9, 3.88054649578006*^9, {
   3.880546537129037*^9, 3.88054654633815*^9}, 3.880548359287199*^9, 
   3.8814228767853937`*^9},
 CellLabel->"Out[433]=",
 CellID->1581510428,ExpressionUUID->"12fda718-592b-4a70-8684-e89b5c8b58cc"]
}, Open  ]],

Cell["Get the genders of everyone over the age of 70:", "CodeText",
 CellChangeTimes->{{3.739633567903345*^9, 3.739633606983877*^9}, {
   3.739633889880464*^9, 3.739633891174473*^9}, {3.745865661982296*^9, 
   3.7458656625103273`*^9}, {3.769377811918202*^9, 3.769377812041176*^9}, 
   3.7759994489088135`*^9, {3.858076122052824*^9, 3.858076122513639*^9}},
 CellID->160778283,ExpressionUUID->"76c44df8-9b86-4c3d-88a0-16d532275469"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Map", "[", 
  RowBox[{
   RowBox[{"#sex", "&"}], ",", 
   RowBox[{"Select", "[", 
    RowBox[{"titanic", ",", 
     RowBox[{
      RowBox[{"#age", ">", "70"}], "&"}]}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.739633610447838*^9, 3.739633631613989*^9}, {
   3.739633664605859*^9, 3.739633711854266*^9}, {3.73963376856483*^9, 
   3.739633782982746*^9}, {3.73988686536066*^9, 3.739886869835806*^9}, 
   3.740414692333641*^9, 3.741543639426669*^9, {3.7693240308820257`*^9, 
   3.769324033077526*^9}, {3.769377813712468*^9, 3.769377813841609*^9}},
 CellLabel->"In[434]:=",
 CellID->666174455,ExpressionUUID->"994732cf-8b0d-4b5a-9090-a6a8dda49f9a"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"male\"\>", ",", "\<\"male\"\>", ",", "\<\"female\"\>", 
   ",", "\<\"male\"\>", ",", "\<\"male\"\>", ",", "\<\"male\"\>"}], 
  "}"}]], "Output",
 CellChangeTimes->{
  3.740414733182982*^9, 3.74042425964915*^9, 3.74049617218657*^9, 
   3.740500469325178*^9, 3.741543639731195*^9, 3.741691131251693*^9, 
   3.741773672422173*^9, 3.741775220605451*^9, 3.741787991306003*^9, 
   3.7418764201728573`*^9, 3.7418794767923107`*^9, 3.741956398187413*^9, 
   3.742122961210229*^9, 3.7693240339213457`*^9, 3.769332254109931*^9, {
   3.7693778143654537`*^9, 3.769377820897806*^9}, 3.769955274237214*^9, 
   3.769955317747169*^9, 3.771929808643845*^9, 3.858076130278123*^9, 
   3.881422911067697*^9},
 CellLabel->"Out[434]=",
 CellID->781788813,ExpressionUUID->"cc25c439-48ce-4e92-ae9d-61dab961c709"]
}, Open  ]],

Cell[TextData[{
 "Here\[CloseCurlyQuote]s the pipeline version I construct without use of ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 ". First I create a ",
 ButtonBox["Select",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Select.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Select.html"],
 " operator using the function ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["#",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Slot.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Slot.html"], 
   "age", 
   ButtonBox[
    StyleBox[">",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Greater.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Greater.html"], 
   "70", 
   ButtonBox[
    StyleBox["&",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Function.html"], None},
    ButtonNote->
     "https://reference.wolfram.com/language/ref/Function.html"]}]], 
  "InlineCodeText",ExpressionUUID->"861e7074-1a79-4875-a57a-e5fe03ad81a7"],
 ". I take the output from that operation and map ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["#",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Slot.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Slot.html"], 
   "sex", 
   ButtonBox[
    StyleBox["&",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Function.html"], None},
    ButtonNote->
     "https://reference.wolfram.com/language/ref/Function.html"]}]], 
  "InlineCodeText",ExpressionUUID->"3acce682-41e4-40d8-a0de-136cbcc6103e"],
 " over it."
}], "Text",
 CellChangeTimes->{{3.858076135511643*^9, 3.8580761516519423`*^9}, {
   3.858076182239773*^9, 3.858076278466167*^9}, 3.858172070273595*^9, {
   3.858252650156636*^9, 3.858252651371294*^9}, 3.8582526868472548`*^9, {
   3.8582527588381557`*^9, 3.8582527608791428`*^9}, {3.8677540280178547`*^9, 
   3.8677540481873226`*^9}, {3.867940244360035*^9, 3.8679402451103497`*^9}, {
   3.8693206805995693`*^9, 3.869320725972312*^9}, {3.8697352738851757`*^9, 
   3.869735274452215*^9}},
 CellID->416464154,ExpressionUUID->"4d46b1d8-ef37-46f1-b2db-2be4283bd8e0"],

Cell[TextData[{
 "As in the previous chapter, I can name the pipeline ",
 Cell[BoxData[
 "oldGenders"], "InlineCode",ExpressionUUID->
  "89e34c02-b587-42f9-83bf-92d85bedbfc8"],
 " and apply it to the data stored in ",
 Cell[BoxData[
 "titanic"], "InlineCode",ExpressionUUID->
  "ebf5301c-fa86-4a2a-b58c-801ad92a9320"],
 ":"
}], "CodeText",
 CellID->2019768947,ExpressionUUID->"cac4cd75-ebf1-4138-8c14-f0f902683dd5"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"oldGenders", "=", 
  RowBox[{
   RowBox[{"Select", "[", 
    RowBox[{
     RowBox[{"#age", ">", "70"}], "&"}], "]"}], "/*", " ", 
   RowBox[{"Map", "[", 
    RowBox[{"#sex", "&"}], "]"}]}]}]], "Input",
 CellLabel->"In[435]:=",
 CellID->1183207220,ExpressionUUID->"e335b668-345d-4004-b1e7-303cc9dee14d"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Select", "[", 
   RowBox[{
    RowBox[{"#age", ">", "70"}], "&"}], "]"}], "/*", 
  RowBox[{"Map", "[", 
   RowBox[{"#sex", "&"}], "]"}]}]], "Output",
 CellChangeTimes->{3.858076167372415*^9, 3.881422915906309*^9},
 CellLabel->"Out[435]=",
 CellID->2008622160,ExpressionUUID->"85b6a38f-ae41-4005-a9ff-462f3ac8dd99"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"oldGenders", "[", "titanic", "]"}]], "Input",
 CellChangeTimes->{{3.858076160912724*^9, 3.858076164413692*^9}},
 CellLabel->"In[436]:=",
 CellID->1361128160,ExpressionUUID->"82b9d957-62b1-4808-9b6b-1ff1a9aed502"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"male\"\>", ",", "\<\"male\"\>", ",", "\<\"female\"\>", 
   ",", "\<\"male\"\>", ",", "\<\"male\"\>", ",", "\<\"male\"\>"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.8580761694208097`*^9, 3.8814229188173933`*^9},
 CellLabel->"Out[436]=",
 CellID->805056362,ExpressionUUID->"88117c83-7428-4ee6-af47-2a8da25cf891"]
}, Open  ]],

Cell[TextData[{
 "Here\[CloseCurlyQuote]s how I could do the same thing using ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 ". The ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["Select",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Select.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Select.html"], 
   "[", 
   RowBox[{
    ButtonBox[
     StyleBox["#",
      FontColor->GrayLevel[0]],
     BaseStyle->"Hyperlink",
     ButtonData->{
       URL["https://reference.wolfram.com/language/ref/Slot.html"], None},
     ButtonNote->"https://reference.wolfram.com/language/ref/Slot.html"], 
    "age", 
    ButtonBox[
     StyleBox[">",
      FontColor->GrayLevel[0]],
     BaseStyle->"Hyperlink",
     ButtonData->{
       URL["https://reference.wolfram.com/language/ref/Greater.html"], None},
     ButtonNote->"https://reference.wolfram.com/language/ref/Greater.html"], 
    "70", 
    ButtonBox[
     StyleBox["&",
      FontColor->GrayLevel[0]],
     BaseStyle->"Hyperlink",
     ButtonData->{
       URL["https://reference.wolfram.com/language/ref/Function.html"], None},
     ButtonNote->
      "https://reference.wolfram.com/language/ref/Function.html"]}], "]"}]], 
  "InlineCodeText",ExpressionUUID->"26b8f17c-40ae-4e26-8166-66e685745628"],
 " operator will be applied first. The ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["#",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Slot.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Slot.html"], 
   "sex", 
   ButtonBox[
    StyleBox["&",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Function.html"], None},
    ButtonNote->
     "https://reference.wolfram.com/language/ref/Function.html"]}]], 
  "InlineCodeText",ExpressionUUID->"3a6db2ab-d2c0-4531-b478-b9943f383043"],
 " function will be applied second but automatically mapped over the result \
due to its position in the ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " arguments. It\[CloseCurlyQuote]s cleaner code, in my opinion."
}], "Text",
 CellTags->{"LastCellOfAPage", "i:34"},
 CellID->1710140487,ExpressionUUID->"9d76df4e-0481-4fa1-91f2-c0a5a35acbc3"],

Cell[TextData[{
 "Construct a ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " in which a ",
 ButtonBox["Select",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Select.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Select.html"],
 " function is the first argument and an anonymous function is the second \
argument:"
}], "CodeText",
 CellChangeTimes->{{3.8693207806003523`*^9, 3.869320850593009*^9}},
 CellTags->"p: 131",
 CellID->934876620,ExpressionUUID->"0eaf5597-46ef-45af-83c2-26f669337d69"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{
    RowBox[{"Select", "[", 
     RowBox[{
      RowBox[{"#age", ">", "70"}], "&"}], "]"}], ",", 
    RowBox[{"#sex", "&"}]}], "]"}], "[", "titanic", "]"}]], "Input",
 CellChangeTimes->{{3.858076299510764*^9, 3.85807633918839*^9}},
 CellLabel->"In[437]:=",
 CellID->1444962174,ExpressionUUID->"9566c3ca-bed7-4a7f-a278-d232ea15b49f"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"male\"\>", ",", "\<\"male\"\>", ",", "\<\"female\"\>", 
   ",", "\<\"male\"\>", ",", "\<\"male\"\>", ",", "\<\"male\"\>"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.858076340002136*^9, 3.8814229274824038`*^9},
 CellLabel->"Out[437]=",
 CellID->1705469889,ExpressionUUID->"cb58eea9-5930-43bd-863e-c6764f206065"]
}, Open  ]],

Cell["\<\
It is interesting, by the way, that there were so few passengers over the age \
of 70. Perhaps it was because of a combination of people not living as long \
at the start of the twentieth century and the elderly generally not making \
sea voyages in the Atlantic chill of mid-April.\
\>", "Text",
 CellChangeTimes->{{3.8580765422635508`*^9, 3.8580765601455107`*^9}, {
   3.8582528083209047`*^9, 3.858252813198646*^9}, {3.867417412829387*^9, 
   3.867417423625051*^9}, {3.867417507240179*^9, 3.867417509211385*^9}, 
   3.8696574375529366`*^9},
 CellID->557472637,ExpressionUUID->"2edb04cc-9f05-4f89-9456-c483ad850fa9"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "Example 2 Redone Using ",
 StyleBox[ButtonBox["Query",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
  FontColor->RGBColor[
   0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]]
}], "Subsubsection",
 CellID->1898307330,ExpressionUUID->"baa801cf-d26e-490f-beeb-79de3828216b"],

Cell[TextData[{
 "Suppose I want to count the number of women in each cabin class. Here are \
some ways I did so in the previous chapter without the benefit of ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 ". "
}], "Text",
 CellChangeTimes->{{3.739644264589081*^9, 3.7396443358358088`*^9}, {
  3.7404059517109413`*^9, 3.74040596764041*^9}, {3.741690968703422*^9, 
  3.7416910857506027`*^9}, {3.742210269864191*^9, 3.742210274597959*^9}, {
  3.769426409220784*^9, 3.769426415083776*^9}, {3.77188327251101*^9, 
  3.771883293961046*^9}, {3.7771304944007607`*^9, 3.7771305200447607`*^9}, {
  3.858097536154758*^9, 3.858097563590415*^9}, {3.8580976195160713`*^9, 
  3.858097629600296*^9}, {3.858176867804229*^9, 3.858176875196945*^9}, {
  3.8674182809658937`*^9, 3.8674183326111126`*^9}, {3.8679403160373917`*^9, 
  3.8679403165081835`*^9}},
 CellID->1834235478,ExpressionUUID->"9ccffe80-773b-4438-bdd6-0de2fac0f302"],

Cell["\<\
A traditional approach to counting the number of women passengers in each \
cabin class:\
\>", "CodeText",
 CellChangeTimes->{{3.739617611774098*^9, 3.739617648188451*^9}, {
  3.739886815808002*^9, 3.739886816780113*^9}, {3.74040314081485*^9, 
  3.740403163497882*^9}, {3.745865721630187*^9, 3.745865722230126*^9}, {
  3.746114028696927*^9, 3.746114032368875*^9}, {3.76932409680611*^9, 
  3.769324097800249*^9}, {3.7803126425367317`*^9, 3.78031264762226*^9}, {
  3.858097650273533*^9, 3.858097655932968*^9}, {3.8674182904820056`*^9, 
  3.8674182906134443`*^9}},
 CellID->1671776686,ExpressionUUID->"ad6f8054-dbe6-4556-a5d0-472426b45af8"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Counts", "[", 
  RowBox[{"Map", "[", 
   RowBox[{
    RowBox[{"#class", "&"}], ",", 
    RowBox[{"Select", "[", 
     RowBox[{"titanic", ",", 
      RowBox[{
       RowBox[{"#sex", "===", "\"\<female\>\""}], "&"}]}], "]"}]}], "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.7396176615944157`*^9, 3.739617694908123*^9}, 
   3.7404146940666943`*^9, 3.7415436585492992`*^9, {3.7693240867901373`*^9, 
   3.7693240884990053`*^9}},
 CellLabel->"In[438]:=",
 CellID->2022207901,ExpressionUUID->"5812ccb6-94da-4c55-af32-f5939303fe82"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"1st\"\>", "\[Rule]", "144"}], ",", 
   RowBox[{"\<\"2nd\"\>", "\[Rule]", "106"}], ",", 
   RowBox[{"\<\"3rd\"\>", "\[Rule]", "216"}]}], 
  "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{3.7404147334472923`*^9, 3.740424259793779*^9, 
  3.740496172995007*^9, 3.7405004698279667`*^9, 3.74154366293108*^9, 
  3.741691131437211*^9, 3.74177367260156*^9, 3.741775220867505*^9, 
  3.741787991572068*^9, 3.741876420322661*^9, 3.74187947694198*^9, 
  3.7419563984067917`*^9, 3.742122961431411*^9, 3.769324089505498*^9, 
  3.769332254194058*^9, 3.7693778846132917`*^9, 3.7699552743180323`*^9, 
  3.7699553230724163`*^9, 3.77192980879731*^9, 3.881422933328713*^9},
 CellLabel->"Out[438]=",
 CellID->2086865669,ExpressionUUID->"2204e33b-adb1-4153-aaad-e53d23c864c7"]
}, Open  ]],

Cell["A more operator-oriented form:", "CodeText",
 CellChangeTimes->{{3.7396179307471743`*^9, 3.739617942140655*^9}, {
  3.739886819735628*^9, 3.739886820178211*^9}, {3.745865726078169*^9, 
  3.7458657264940767`*^9}, {3.775579133716481*^9, 3.7755791350844812`*^9}, {
  3.858097659565888*^9, 3.858097659885179*^9}},
 CellID->994660511,ExpressionUUID->"f8bbb14e-0c84-4722-be17-1aaed40d0b4f"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Counts", "[", 
  RowBox[{
   RowBox[{"Map", "[", 
    RowBox[{"#class", "&"}], "]"}], "[", 
   RowBox[{
    RowBox[{"Select", "[", 
     RowBox[{
      RowBox[{"#sex", "===", "\"\<female\>\""}], "&"}], "]"}], "[", "titanic",
     "]"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.739617951881237*^9, 3.739617976101159*^9}, 
   3.74041469465107*^9, 3.741543675019472*^9, {3.7693241056078243`*^9, 
   3.769324109168713*^9}},
 CellLabel->"In[439]:=",
 CellID->1246500129,ExpressionUUID->"2271677b-0b0a-48de-be5e-5ac8484ffbe5"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"1st\"\>", "\[Rule]", "144"}], ",", 
   RowBox[{"\<\"2nd\"\>", "\[Rule]", "106"}], ",", 
   RowBox[{"\<\"3rd\"\>", "\[Rule]", "216"}]}], 
  "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{3.7404147335422573`*^9, 3.740424259847546*^9, 
  3.7404961732249813`*^9, 3.7405004700102386`*^9, 3.741543675445747*^9, 
  3.7416911315004463`*^9, 3.741773672649569*^9, 3.741775220953117*^9, 
  3.7417879916715193`*^9, 3.741876420372274*^9, 3.741879476992586*^9, 
  3.741956398486928*^9, 3.742122961515029*^9, 3.769324112566496*^9, 
  3.769332254208117*^9, 3.769377886491817*^9, 3.7699552743681383`*^9, 
  3.769955325418665*^9, 3.771929808840312*^9, 3.88142293968408*^9},
 CellLabel->"Out[439]=",
 CellID->434862355,ExpressionUUID->"13e85647-327f-4e7b-9025-ef25b9270ca2"]
}, Open  ]],

Cell[TextData[{
 "Using ",
 ButtonBox["RightComposition",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/RightComposition.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/RightComposition.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.742166832533568*^9, 3.742166847137595*^9}, {
   3.745865734742074*^9, 3.74586574011889*^9}, {3.76933375461448*^9, 
   3.769333757312049*^9}, {3.7760081396600685`*^9, 3.7760081437316427`*^9}, {
   3.858097669366231*^9, 3.858097683146905*^9}, 3.858252922585487*^9},
 CellID->412585752,ExpressionUUID->"b4d6b3e7-7e39-4217-a64e-f56998060035"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"womenCountByCabin", "=", 
  RowBox[{
   RowBox[{"Select", "[", 
    RowBox[{
     RowBox[{"#sex", "===", "\"\<female\>\""}], "&"}], "]"}], "/*", 
   RowBox[{"Map", "[", 
    RowBox[{"#class", "&"}], "]"}], "/*", "Counts"}]}]], "Input",
 CellChangeTimes->{{3.7396325173475237`*^9, 3.739632535118067*^9}, {
   3.739642779588788*^9, 3.739642811594777*^9}, 3.7404146963035583`*^9},
 CellLabel->"In[440]:=",
 CellID->1265287660,ExpressionUUID->"251090e2-bcf2-42bd-ae32-c4b4380cb712"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Select", "[", 
   RowBox[{
    RowBox[{"#sex", "===", "\<\"female\"\>"}], "&"}], "]"}], "/*", 
  RowBox[{"Map", "[", 
   RowBox[{"#class", "&"}], "]"}], "/*", "Counts"}]], "Output",
 CellChangeTimes->{3.740414733620132*^9, 3.740424259898007*^9, 
  3.740496173491117*^9, 3.74050047011275*^9, 3.741543998775545*^9, 
  3.741691131570986*^9, 3.741773672702553*^9, 3.7417752210638*^9, 
  3.7417879917764177`*^9, 3.741876420425647*^9, 3.7418794770424547`*^9, 
  3.741956398569463*^9, 3.742122961640432*^9, 3.7693241246655617`*^9, 
  3.769332254241338*^9, 3.7693778967682037`*^9, 3.769955274375473*^9, 
  3.769955327728115*^9, 3.771929808885107*^9, 3.881422942916857*^9},
 CellLabel->"Out[440]=",
 CellID->1847406992,ExpressionUUID->"d90cd08d-2de7-4e62-95d1-ac8786b60792"]
}, Open  ]],

Cell[TextData[{
 "Now I write the code taking advantage of ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 ". The filtering ",
 ButtonBox["Select",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Select.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Select.html"],
 " operator and the ",
 ButtonBox["Counts",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Counts.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Counts.html"],
 " operator work on the entirety of the data, so they go at the top level. \
The cabin class determination works on each passenger, so it goes at a lower \
level. "
}], "Text",
 CellChangeTimes->{{3.739644264589081*^9, 3.7396443358358088`*^9}, {
   3.7404059517109413`*^9, 3.74040596764041*^9}, {3.741690968703422*^9, 
   3.7416910857506027`*^9}, {3.742210269864191*^9, 3.742210274597959*^9}, {
   3.769426409220784*^9, 3.769426415083776*^9}, {3.77188327251101*^9, 
   3.771883293961046*^9}, {3.7771304944007607`*^9, 3.7771305200447607`*^9}, {
   3.858097536154758*^9, 3.858097555437828*^9}, {3.8580976882882442`*^9, 
   3.858097743311945*^9}, 3.858172105240122*^9, {3.8679403327009397`*^9, 
   3.867940333170849*^9}},
 CellTags->"i:35",
 CellID->1913560027,ExpressionUUID->"2adeda53-1817-44d6-8597-718224d34f6c"],

Cell["Get the number of women broken down by cabin class:", "CodeText",
 CellChangeTimes->{{3.76951252248726*^9, 3.769512535512541*^9}, 
   3.7770421007640085`*^9},
 CellID->1211609874,ExpressionUUID->"344abc4c-4540-42f5-8b99-ac20f2a7e95b"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"womenCountByCabinQuery", "=", 
  RowBox[{"Query", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Select", "[", 
      RowBox[{
       RowBox[{"#sex", "===", "\"\<female\>\""}], "&"}], "]"}], "/*", 
     "Counts"}], ",", 
    RowBox[{"#class", "&"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.739644167703952*^9, 3.739644187947084*^9}, {
   3.739914218317428*^9, 3.739914236452696*^9}, 3.7404147005691977`*^9},
 CellLabel->"In[441]:=",
 CellID->867926061,ExpressionUUID->"c948e47f-cffd-4176-9a5a-ca69301a9e40"],

Cell[BoxData[
 RowBox[{"Query", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"Select", "[", 
     RowBox[{
      RowBox[{"#sex", "===", "\<\"female\"\>"}], "&"}], "]"}], "/*", 
    "Counts"}], ",", 
   RowBox[{"#class", "&"}]}], "]"}]], "Output",
 CellChangeTimes->{3.740414735637299*^9, 3.7404242610445957`*^9, 
  3.740496177723384*^9, 3.7405004741285467`*^9, 3.741609086200698*^9, 
  3.74169109257095*^9, 3.741773674522015*^9, 3.74177522322523*^9, 
  3.74178799442068*^9, 3.741876422078371*^9, 3.741879478708826*^9, 
  3.7419564012559233`*^9, 3.742122964873135*^9, 3.76995629866883*^9, 
  3.7699593583599043`*^9, 3.7699602534791107`*^9, 3.7699602852116528`*^9, 
  3.7719233852723627`*^9, 3.771930220094015*^9, 3.771930364583102*^9, 
  3.881422949721429*^9},
 CellLabel->"Out[441]=",
 CellID->892316331,ExpressionUUID->"1061d887-856b-4c38-871e-3119d7ad9bd3"]
}, Open  ]],

Cell[TextData[{
 "The use of ",
 ButtonBox["Normal",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Normal.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Normal.html"],
 " shows that the ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " is converted into a right composition of operators: first it selects the \
women ",
 StyleBox["and then",
  FontSlant->"Italic"],
 " it maps ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["#",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Slot.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Slot.html"], 
   "class", 
   ButtonBox[
    StyleBox["&",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Function.html"], None},
    ButtonNote->
     "https://reference.wolfram.com/language/ref/Function.html"]}]], 
  "InlineCodeText",ExpressionUUID->"390c18b9-c9b4-49ab-90de-22bba43cb958"],
 " over those remaining ",
 StyleBox["and then",
  FontSlant->"Italic"],
 " it applies ",
 ButtonBox["Counts",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Counts.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Counts.html"],
 " on the result. ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " produces pipelines of right-composed operators."
}], "Text",
 CellTags->"LastCellOfAPage",
 CellID->721019311,ExpressionUUID->"f8a2260e-a4f3-4445-889a-5ca2db85a96c"],

Cell[TextData[{
 "Using ",
 ButtonBox["Normal",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Normal.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Normal.html"],
 " shows how the ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " will work:"
}], "CodeText",
 CellChangeTimes->{3.785512956648983*^9, 3.78551505812679*^9, 
  3.858252989981967*^9},
 CellTags->"p: 132",
 CellID->2072375687,ExpressionUUID->"820c8990-641d-417a-a2bf-1841eb686cac"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Normal", "[", "womenCountByCabinQuery", "]"}]], "Input",
 CellChangeTimes->{{3.7396442372069063`*^9, 3.739644261323147*^9}, 
   3.739644343376279*^9},
 CellLabel->"In[442]:=",
 CellID->2068823603,ExpressionUUID->"96294c67-e2eb-4152-9dd6-3c4fbd73d707"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Select", "[", 
   RowBox[{
    RowBox[{"#sex", "===", "\<\"female\"\>"}], "&"}], "]"}], "/*", 
  RowBox[{"Map", "[", 
   RowBox[{"#class", "&"}], "]"}], "/*", "Counts"}]], "Output",
 CellChangeTimes->{3.7404147358763647`*^9, 3.7404242611445713`*^9, 
  3.740496178075026*^9, 3.740500474375615*^9, 3.741773674591683*^9, 
  3.741775223309534*^9, 3.741787994505836*^9, 3.741876422128291*^9, 
  3.7418794787596073`*^9, 3.741956401355833*^9, 3.742122965022519*^9, 
  3.769956298713252*^9, 3.769959358403495*^9, 3.769960253582659*^9, 
  3.769960287238809*^9, 3.7719233852901173`*^9, 3.771930220146378*^9, 
  3.771930364594791*^9, 3.881422953735825*^9},
 CellLabel->"Out[442]=",
 CellID->1686085867,ExpressionUUID->"b3a10b09-86fc-44ec-bc6f-c84399ddada8"]
}, Open  ]],

Cell[TextData[{
 "The ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " is now applied to ",
 Cell[BoxData[
 "titanic"], "InlineCodeText",ExpressionUUID->
  "0765eeaf-8521-4e82-9e13-bfa7795be629"],
 ". It works!"
}], "Text",
 CellChangeTimes->{{3.769426710274918*^9, 3.769426739029826*^9}, {
   3.7771311661857605`*^9, 3.777131192608761*^9}, 3.858252997574773*^9},
 CellID->604781376,ExpressionUUID->"a209b853-6fe4-4453-84bb-59892109725c"],

Cell["\<\
Get the number of women on the Titanic broken down by cabin class:\
\>", "CodeText",
 CellChangeTimes->{{3.769512539463773*^9, 3.769512552572049*^9}, 
   3.7770421047640085`*^9},
 CellID->1838775252,ExpressionUUID->"a8eaf6c8-616d-4074-ab1e-c7a63135db0e"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"womenCountByCabinQuery", "[", "titanic", "]"}]], "Input",
 CellChangeTimes->{{3.7694267263615*^9, 3.769426732033906*^9}, {
  3.7699602970869293`*^9, 3.769960297825067*^9}},
 CellLabel->"In[443]:=",
 CellID->277051260,ExpressionUUID->"f459479d-877d-477d-955e-8e7679beed79"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"1st\"\>", "\[Rule]", "144"}], ",", 
   RowBox[{"\<\"2nd\"\>", "\[Rule]", "106"}], ",", 
   RowBox[{"\<\"3rd\"\>", "\[Rule]", "216"}]}], 
  "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{
  3.769426732342874*^9, 3.76995629872476*^9, 3.7699593584130487`*^9, {
   3.769960248030431*^9, 3.769960253633895*^9}, {3.7699602915845003`*^9, 
   3.769960300902017*^9}, 3.771923385341381*^9, 3.771930220186398*^9, 
   3.771930364626905*^9, 3.8814229601109324`*^9},
 CellLabel->"Out[443]=",
 CellID->1681537553,ExpressionUUID->"4a4a7c44-04b3-44c5-a037-a00e7443791e"]
}, Open  ]],

Cell[TextData[{
 "The order of operations produced by ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " is precisely as advertised in the preceding material. ",
 ButtonBox["Select",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Select.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Select.html"],
 " is a descending operator so it gets promoted, but ",
 ButtonBox["Counts",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Counts.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Counts.html"],
 " is not. So, even when composed with a descending operator, ",
 ButtonBox["Counts",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Counts.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Counts.html"],
 " doesn\[CloseCurlyQuote]t itself become descending. So basically, ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " uses the default LIFO order but sticks the ",
 ButtonBox["Select",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Select.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Select.html"],
 " operator at the head of the pipeline."
}], "Text",
 CellChangeTimes->{{3.769426439011554*^9, 3.769426478888007*^9}, {
   3.769426519886235*^9, 3.769426651022386*^9}, {3.769426770841229*^9, 
   3.7694268069687843`*^9}, {3.7718833563348227`*^9, 3.771883357203909*^9}, {
   3.7771312455087605`*^9, 3.777131257252761*^9}, {3.7771312959737606`*^9, 
   3.777131345232761*^9}, {3.7771313796167607`*^9, 3.7771314157167606`*^9}, 
   3.787749914550495*^9, {3.8580977807998857`*^9, 3.85809800377107*^9}, {
   3.858098210694043*^9, 3.858098223001889*^9}, {3.867418604397843*^9, 
   3.8674186152317047`*^9}},
 CellTags->"i:36",
 CellID->1114157968,ExpressionUUID->"86a68006-db4b-4a3a-83a9-00bf2de864e1"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "Example 3 Redone Using ",
 StyleBox[ButtonBox["Query",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
  FontColor->RGBColor[
   0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]]
}], "Subsubsection",
 CellID->1076083631,ExpressionUUID->"91abbc58-9c07-41e5-a228-1f90d5006668"],

Cell["\<\
I will now redo the third example from the previous chapter in which I obtain \
the mean age of the passengers in each cabin class. You may recall that the \
existence of missing data required some special handling. \
\>", "Text",
 CellChangeTimes->{{3.739886738740533*^9, 3.7398867591714287`*^9}, {
   3.739887141119657*^9, 3.7398871596454983`*^9}, {3.742210573994701*^9, 
   3.742210590817659*^9}, {3.742210649967228*^9, 3.7422106560080442`*^9}, {
   3.74222426711747*^9, 3.7422242860048237`*^9}, {3.742243960601997*^9, 
   3.742243960885675*^9}, {3.769427767414488*^9, 3.769427768379163*^9}, {
   3.7718834053181543`*^9, 3.771883417646584*^9}, {3.777131844923761*^9, 
   3.7771318589287605`*^9}, {3.858098294785427*^9, 3.858098332410536*^9}, {
   3.8581721441078176`*^9, 3.858172144298518*^9}, {3.8654985866247683`*^9, 
   3.865498587917795*^9}, 3.865593850160614*^9},
 CellID->1777794830,ExpressionUUID->"2141bad5-2572-427e-abb2-bc587f9fa591"],

Cell["\<\
Write a function that takes the mean of the numeric data and maps it over the \
age values of passengers on the Titanic grouped by cabin class:\
\>", "CodeText",
 CellChangeTimes->{{3.8580983631757708`*^9, 3.8580983954396467`*^9}, {
  3.8674192634363375`*^9, 3.8674192668804207`*^9}},
 CellID->1083430228,ExpressionUUID->"fb666f68-f1fb-444d-a7bb-4d63774b9cd5"],

Cell[BoxData[
 RowBox[{
  RowBox[{"filteredMean", "=", 
   RowBox[{
    RowBox[{"N", "[", 
     RowBox[{"Mean", "[", 
      RowBox[{
       RowBox[{"Select", "[", "NumericQ", "]"}], "[", "#", "]"}], "]"}], 
     "]"}], "&"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.769324335200986*^9, 3.769324342107297*^9}},
 CellLabel->"In[444]:=",
 CellID->712566502,ExpressionUUID->"18af9e01-bc4f-476a-aa44-32df17883566"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Map", "[", 
  RowBox[{"filteredMean", ",", 
   RowBox[{"Map", "[", 
    RowBox[{
     RowBox[{"#age", "&"}], ",", 
     RowBox[{"GroupBy", "[", 
      RowBox[{"titanic", ",", 
       RowBox[{"#class", "&"}]}], "]"}], ",", 
     RowBox[{"{", "2", "}"}]}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7396174845485897`*^9, 3.739617552961605*^9}, 
   3.741544033279705*^9, {3.769324156835322*^9, 3.769324158462873*^9}, {
   3.769324223022193*^9, 3.769324259768042*^9}, {3.7693243453361797`*^9, 
   3.7693243485810137`*^9}},
 CellLabel->"In[245]:=",
 CellID->1083563188,ExpressionUUID->"30f7ae71-582a-4a68-9d1f-c0a29af3f21a"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"1st\"\>", "\[Rule]", "39.16549295774648`"}], ",", 
   RowBox[{"\<\"2nd\"\>", "\[Rule]", "29.517241379310345`"}], ",", 
   RowBox[{"\<\"3rd\"\>", "\[Rule]", "24.848303393213573`"}]}], 
  "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{3.8580983571856823`*^9},
 CellLabel->"Out[245]=",
 CellID->1907114070,ExpressionUUID->"7018e64e-7c06-43c2-81ad-fd47953df1a6"]
}, Open  ]],

Cell[TextData[{
 "I also showed how one could dispense with the level specification on ",
 ButtonBox["Map",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Map.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Map.html"],
 " and write the following (ugly) code."
}], "Text",
 CellChangeTimes->{{3.741544102061838*^9, 3.741544122224333*^9}, 
   3.742171581106248*^9, {3.7458662662690496`*^9, 3.7458662669648314`*^9}, {
   3.76933381214555*^9, 3.7693338130679827`*^9}, 3.857034600866672*^9, {
   3.858098483010311*^9, 3.858098485395432*^9}, {3.8581769205548067`*^9, 
   3.858176922446621*^9}, {3.8674192796395264`*^9, 3.867419280295054*^9}},
 CellID->498823838,ExpressionUUID->"4bc44683-9161-4a5c-8a8d-81964ccf2890"],

Cell[TextData[{
 "Create an operator pipeline with nested ",
 ButtonBox["Map",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Map.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Map.html"],
 " statements and the function for handling missing data:"
}], "CodeText",
 CellChangeTimes->{{3.858098565047284*^9, 3.8580985974250174`*^9}, {
  3.858253308862247*^9, 3.8582533157978907`*^9}},
 CellID->69005038,ExpressionUUID->"1577fcba-7d89-4ec7-9cdf-bd365f5da0ef"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"meanAgeByCabin", "=", 
   RowBox[{
    RowBox[{"GroupBy", "[", 
     RowBox[{"#class", "&"}], "]"}], "/*", 
    RowBox[{"Map", "[", 
     RowBox[{
      RowBox[{"Map", "[", 
       RowBox[{"#age", "&"}], "]"}], "/*", "filteredMean"}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"meanAgeByCabin", "[", "titanic", "]"}]}], "Input",
 CellChangeTimes->{{3.858098540068694*^9, 3.858098551151332*^9}},
 CellLabel->"In[445]:=",
 CellID->1484505277,ExpressionUUID->"51fd499f-c52a-4df2-8416-b8e93477500c"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"1st\"\>", "\[Rule]", "39.16549295774648`"}], ",", 
   RowBox[{"\<\"2nd\"\>", "\[Rule]", "29.517241379310345`"}], ",", 
   RowBox[{"\<\"3rd\"\>", "\[Rule]", "24.848303393213573`"}]}], 
  "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{3.85809855150415*^9, 3.881422974026559*^9},
 CellLabel->"Out[446]=",
 CellID->1538949238,ExpressionUUID->"56082762-2489-4767-9ffe-553c60741c6f"]
}, Open  ]],

Cell[TextData[{
 "Using ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " yields cleaner code. There\[CloseCurlyQuote]s no need to write a custom \
mean function to get rid of missing values. We don\[CloseCurlyQuote]t write \
obscure nested Maps. ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " does that work by default."
}], "Text",
 CellChangeTimes->{{3.858098403249153*^9, 3.858098419230261*^9}, {
  3.858098603542029*^9, 3.858098628920815*^9}, {3.8581769359458723`*^9, 
  3.858176944676425*^9}},
 CellTags->{"LastCellOfAPage", "i:37"},
 CellID->1460625397,ExpressionUUID->"8126d20d-d3a8-4056-8fe2-8427fcd73fca"],

Cell["Get the mean age of passengers broken down by cabin class:", "CodeText",
 CellChangeTimes->{{3.769512563303865*^9, 3.769512573096303*^9}, 
   3.7770421094440084`*^9},
 CellTags->"p: 133",
 CellID->1659562789,ExpressionUUID->"b2333dd5-e143-48ed-bb75-94485afbf97b"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"meanAgeByCabinQuery", "=", 
   RowBox[{"Query", "[", 
    RowBox[{
     RowBox[{"GroupBy", "[", 
      RowBox[{"#class", "&"}], "]"}], ",", 
     RowBox[{"Mean", "/*", "N"}], ",", 
     RowBox[{"#age", "&"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{"meanAgeByCabinQuery", "[", "titanic", "]"}]}], "Input",
 CellChangeTimes->{{3.858098664282785*^9, 3.85809868255278*^9}},
 CellLabel->"In[447]:=",
 CellID->571768404,ExpressionUUID->"7ac86a8f-5414-4544-ab45-e31886bbfd88"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"1st\"\>", "\[Rule]", "39.16549295774648`"}], ",", 
   RowBox[{"\<\"2nd\"\>", "\[Rule]", "29.517241379310345`"}], ",", 
   RowBox[{"\<\"3rd\"\>", "\[Rule]", "24.848303393213573`"}]}], 
  "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{
  3.7695126640331697`*^9, {3.769512695466631*^9, 3.769512707309622*^9}, 
   3.769956298767983*^9, 3.769959358452999*^9, 3.769960307340279*^9, 
   3.771923385359947*^9, 3.771930220199678*^9, 3.771930364635046*^9, {
   3.8580984305373697`*^9, 3.858098444383407*^9}, 3.858098682888756*^9, 
   3.881422979550967*^9},
 CellLabel->"Out[448]=",
 CellID->1762634976,ExpressionUUID->"c019fd09-bdf8-4e6b-9af1-f0a5b88855f8"]
}, Open  ]],

Cell[TextData[{
 "Here\[CloseCurlyQuote]s the ",
 ButtonBox["Normal",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Normal.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Normal.html"],
 " form. It looks, by the way, exactly like the pipeline I constructed by \
hand in the previous chapter and in the code immediately prior to this."
}], "Text",
 CellChangeTimes->{{3.7694278019831333`*^9, 3.7694278094801903`*^9}, {
  3.769428493111878*^9, 3.769428532781054*^9}, {3.7770415755690084`*^9, 
  3.7770415766330085`*^9}, {3.7771318666757607`*^9, 3.777131874922761*^9}, {
  3.78552031580097*^9, 3.785520320472313*^9}, {3.8580986433789167`*^9, 
  3.858098646078909*^9}, {3.8674193314777994`*^9, 3.867419336936863*^9}, {
  3.8696574725318756`*^9, 3.869657480116642*^9}},
 CellID->860440724,ExpressionUUID->"1f460b47-cd56-4ad0-88b8-fb976ae9a080"],

Cell[TextData[{
 "Wrap ",
 ButtonBox["Normal",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Normal.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Normal.html"],
 " around a ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " to see the pipeline of operators: "
}], "CodeText",
 CellChangeTimes->{{3.869320885910556*^9, 3.869320913617028*^9}},
 CellID->578055870,ExpressionUUID->"d2a5c1a7-8c5c-402d-9854-c733f145ddd2"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Normal", "[", "meanAgeByCabinQuery", "]"}]], "Input",
 CellChangeTimes->{{3.7694278121634293`*^9, 3.769427821583231*^9}},
 CellLabel->"In[449]:=",
 CellID->371357827,ExpressionUUID->"dccc7c42-be8b-46fb-abb5-b745e500d0d4"],

Cell[BoxData[
 RowBox[{
  RowBox[{"GroupBy", "[", 
   RowBox[{"#class", "&"}], "]"}], "/*", 
  RowBox[{"Map", "[", 
   RowBox[{
    RowBox[{"Map", "[", 
     RowBox[{"#age", "&"}], "]"}], "/*", "Mean", "/*", "N"}], 
   "]"}]}]], "Output",
 CellChangeTimes->{3.769427822027232*^9, 3.7699562988373938`*^9, 
  3.769959358501709*^9, 3.769960311979141*^9, 3.7719233854890957`*^9, 
  3.771930220265794*^9, 3.771930364679203*^9, 3.8580986867873383`*^9, 
  3.881422984112323*^9},
 CellLabel->"Out[449]=",
 CellID->2045939152,ExpressionUUID->"94478636-e4cd-4a1f-96ed-dd08b0517142"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "Example 4 Redone Using ",
 StyleBox[ButtonBox["Query",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
  FontColor->RGBColor[
   0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]]
}], "Subsubsection",
 CellID->1408172730,ExpressionUUID->"255e5841-7797-46a4-b398-28ba579f144c"],

Cell["\<\
Let\[CloseCurlyQuote]s redo the median survival analysis from the preceding \
chapter. The idea was to find the median age of Titanic passengers \
(restricted to those under the age of 50) based on whether the passenger \
survived. Here\[CloseCurlyQuote]s what I did.\
\>", "Text",
 CellChangeTimes->{{3.7396341501876583`*^9, 3.739634152094104*^9}, {
   3.739634197194685*^9, 3.739634202560649*^9}, {3.739634245160413*^9, 
   3.739634258069985*^9}, {3.739634395933104*^9, 3.739634497713078*^9}, {
   3.7396424693096437`*^9, 3.739642558449687*^9}, {3.739644852804641*^9, 
   3.7396448713889933`*^9}, {3.741609238646812*^9, 3.741609285344823*^9}, 
   3.741691519084786*^9, 3.742210817279091*^9, {3.7422108476371*^9, 
   3.742211010168661*^9}, {3.742224335526144*^9, 3.742224616605399*^9}, {
   3.742243990811151*^9, 3.7422440274243393`*^9}, {3.742472601111665*^9, 
   3.742472614563286*^9}, 3.769429224433238*^9, {3.771883520313431*^9, 
   3.771883554126631*^9}, {3.7770415886020083`*^9, 3.7770415897620087`*^9}, {
   3.7771325987740645`*^9, 3.7771326353980484`*^9}, 3.787751208523962*^9, {
   3.7877512756003017`*^9, 3.787751298466617*^9}, {3.8580988455081263`*^9, 
   3.858098920149919*^9}, {3.8581721791866198`*^9, 3.858172179300023*^9}, {
   3.8674195154778585`*^9, 3.867419517518589*^9}, {3.8679403481007557`*^9, 
   3.8679403485336266`*^9}},
 CellID->1889283170,ExpressionUUID->"08972b75-5531-441e-96d8-6025d847fa38"],

Cell["\<\
Use conventional programming techniques to compute the median age of Titanic \
passengers (restricted to those under the age of 50) based on whether the \
passenger survived:\
\>", "CodeText",
 CellChangeTimes->{{3.858172192824679*^9, 3.858172220215246*^9}, {
  3.867423386361271*^9, 3.867423388734494*^9}},
 CellID->666898227,ExpressionUUID->"2cb6d20a-c842-44ce-bdec-d081a12e7fb0"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Map", "[", 
  RowBox[{"Median", ",", 
   RowBox[{"Map", "[", 
    RowBox[{
     RowBox[{"#age", "&"}], ",", 
     RowBox[{"GroupBy", "[", 
      RowBox[{
       RowBox[{"Select", "[", 
        RowBox[{"titanic", ",", 
         RowBox[{
          RowBox[{"#age", "<", "50"}], "&"}]}], "]"}], ",", 
       RowBox[{"#survived", "&"}]}], "]"}], ",", 
     RowBox[{"{", "2", "}"}]}], "]"}]}], "]"}]], "Input",
 CellLabel->"In[450]:=",
 CellID->1280209751,ExpressionUUID->"815b6ef9-8d7f-46af-996a-6f9e9e443351"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"True", "\[Rule]", "26"}], ",", 
   RowBox[{"False", "\[Rule]", "27"}]}], "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{3.858098935908976*^9, 3.881422987787899*^9},
 CellLabel->"Out[450]=",
 CellID->297196832,ExpressionUUID->"9fba9e32-af00-4be7-8296-962e88f6a31d"]
}, Open  ]],

Cell[TextData[{
 "Or if I preferred a pipeline style of program, I could write out the \
following ",
 ButtonBox["RightComposition",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/RightComposition.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/RightComposition.html"],
 " of operators."
}], "Text",
 CellChangeTimes->{{3.858098947310238*^9, 3.858098972640819*^9}, 
   3.858099071938325*^9, {3.867423425401299*^9, 3.867423426020005*^9}, {
   3.8679403548246465`*^9, 3.867940358201777*^9}, {3.869657514653819*^9, 
   3.8696575154899373`*^9}},
 CellID->748164066,ExpressionUUID->"5c644cc9-3a65-439e-8c0a-3cbc8bc63bde"],

Cell[TextData[{
 "Create an operator pipeline by hand and then apply it to ",
 Cell[BoxData[
 "titanic"], "InlineCode",ExpressionUUID->
  "7c7ff539-d83b-44bd-b8e5-96db676c7bc1"],
 " to do the same computation:"
}], "CodeText",
 CellChangeTimes->{{3.858172228036626*^9, 3.858172254713359*^9}, {
   3.8582534860508413`*^9, 3.858253498474143*^9}, 3.858253551801155*^9},
 CellID->926910788,ExpressionUUID->"14a9b81f-e249-471b-ae94-3828750397e4"],

Cell[CellGroupData[{

Cell[BoxData[
 StyleBox[
  RowBox[{
   RowBox[{"medianSurvival", "=", 
    RowBox[{
     RowBox[{"Select", "[", 
      RowBox[{
       RowBox[{"#age", "<", "50"}], "&"}], "]"}], "/*", 
     RowBox[{"GroupBy", "[", 
      RowBox[{"#survived", "&"}], "]"}], "/*", 
     RowBox[{"Map", "[", 
      RowBox[{
       RowBox[{"Map", "[", 
        RowBox[{"#age", "&"}], "]"}], "/*", "Median"}], "]"}]}]}], ";", 
   RowBox[{"medianSurvival", "[", "titanic", "]"}]}],
  ShowSpecialCharacters->False,
  ShowStringCharacters->True,
  NumberMarks->True]], "Input",
 CellChangeTimes->{{3.739632718156968*^9, 3.739632737789496*^9}, {
   3.739634184236287*^9, 3.739634187276444*^9}, {3.739634382802*^9, 
   3.739634383463662*^9}, {3.739645470380024*^9, 3.73964550783854*^9}, 
   3.769324521699586*^9, {3.858098980294374*^9, 3.8580989852314777`*^9}, {
   3.858099044003693*^9, 3.858099057873446*^9}},
 CellLabel->"In[451]:=",
 CellID->413967315,ExpressionUUID->"3c820050-353a-4ed8-8a9e-032936bbf871"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"True", "\[Rule]", "26"}], ",", 
   RowBox[{"False", "\[Rule]", "27"}]}], "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{3.8580989857823467`*^9, 3.881422991282032*^9},
 CellLabel->"Out[451]=",
 CellID->2144698707,ExpressionUUID->"6a0bedf0-211a-4f27-a125-912c57d564d9"]
}, Open  ]],

Cell[TextData[{
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " again permits the code to be more lucid. I use three arguments. The first \
accomplishes filtering and grouping on the entire set of data. The third \
argument applies a function (",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["#",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Slot.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Slot.html"], 
   "age", 
   ButtonBox[
    StyleBox["&",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Function.html"], None},
    ButtonNote->
     "https://reference.wolfram.com/language/ref/Function.html"]}]], 
  "InlineCodeText",ExpressionUUID->"c0d1ab24-c0af-4ca1-8126-e8e4abe8990a"],
 ") to each member of each resulting group. And the second argument specifies \
what to do (",
 ButtonBox["Median",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Median.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Median.html"],
 ") with each group after the function in the third argument is applied."
}], "Text",
 CellID->2039688300,ExpressionUUID->"7e6d24c4-7043-4ecd-b6f1-5c8813031a3c"],

Cell[TextData[{
 "A ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " operator is constructed from three arguments: "
}], "CodeText",
 CellChangeTimes->{{3.858099224331105*^9, 3.858099280407721*^9}, {
  3.8582535575397882`*^9, 3.858253562871134*^9}},
 CellID->1666521407,ExpressionUUID->"bcb70941-1a3c-4dfe-a8f4-a16535560def"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"medianSurvivalQuery", "=", 
   RowBox[{"Query", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Select", "[", 
       RowBox[{
        RowBox[{"#age", "<", "50"}], "&"}], "]"}], "/*", 
      RowBox[{"GroupBy", "[", 
       RowBox[{"#survived", "&"}], "]"}]}], ",", "Median", ",", 
     RowBox[{"#age", "&"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"medianSurvivalQuery", "[", "titanic", "]"}]}], "Input",
 CellChangeTimes->{{3.858099013862773*^9, 3.858099019444268*^9}},
 CellLabel->"In[452]:=",
 CellID->409225118,ExpressionUUID->"c6a42891-9841-496c-a920-cfaab5618a39"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"True", "\[Rule]", "26"}], ",", 
   RowBox[{"False", "\[Rule]", "27"}]}], "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{3.858099019822522*^9, 3.881422999978406*^9},
 CellTags->"LastCellOfAPage",
 CellLabel->"Out[453]=",
 CellID->1103819832,ExpressionUUID->"b7123ad8-5455-4ce5-a240-9fad0feee436"]
}, Open  ]],

Cell[TextData[{
 "Here\[CloseCurlyQuote]s the ",
 ButtonBox["Normal",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Normal.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Normal.html"],
 " version of what\[CloseCurlyQuote]s going on:"
}], "CodeText",
 CellChangeTimes->{{3.7694292263522787`*^9, 3.76942923921036*^9}, {
  3.7770415942320085`*^9, 3.7770415999680085`*^9}, {3.7771327678404284`*^9, 
  3.7771327729329376`*^9}, {3.858099194752694*^9, 3.858099195628484*^9}},
 CellTags->"p: 134",
 CellID->873235537,ExpressionUUID->"df6c03ef-54d9-4459-82f6-32a79f70b0d5"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Normal", "[", "medianSurvivalQuery", "]"}]], "Input",
 CellChangeTimes->{{3.769429102237175*^9, 3.769429109465804*^9}},
 CellLabel->"In[454]:=",
 CellID->566426761,ExpressionUUID->"051baf6e-6dfd-4d7a-8582-34a46922301e"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Select", "[", 
   RowBox[{
    RowBox[{"#age", "<", "50"}], "&"}], "]"}], "/*", 
  RowBox[{"GroupBy", "[", 
   RowBox[{"#survived", "&"}], "]"}], "/*", 
  RowBox[{"Map", "[", 
   RowBox[{
    RowBox[{"Map", "[", 
     RowBox[{"#age", "&"}], "]"}], "/*", "Median"}], "]"}]}]], "Output",
 CellChangeTimes->{3.769429110221133*^9, 3.7699562992107964`*^9, 
  3.769959358605331*^9, 3.769960324352973*^9, 3.771923385627026*^9, 
  3.771930220368125*^9, 3.7719303647658033`*^9, 3.8580991986396646`*^9, 
  3.881423005093042*^9},
 CellLabel->"Out[454]=",
 CellID->1725776803,ExpressionUUID->"db48addc-885a-4834-bdc6-e556b9632ffa"]
}, Open  ]],

Cell[TextData[{
 "Notice that we did not have to deal with passengers whose ages were \
missing. The default behavior of ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " (set by the default option ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["MissingBehavior",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/MissingBehavior.html"], 
      None},
    ButtonNote->
     "https://reference.wolfram.com/language/ref/MissingBehavior.html"], " ", 
   ButtonBox[
    StyleBox["\[Rule]",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Rule.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Rule.html"], " ", 
   ButtonBox[
    StyleBox["Automatic",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Automatic.html"], None},
    ButtonNote->
     "https://reference.wolfram.com/language/ref/Automatic.html"]}]], 
  "InlineCodeText",ExpressionUUID->"b3c8e7f7-9102-4f05-8cc4-0042264ed209"],
 ") is to drop or ignore missing values presented to certain aggregation \
functions such as ",
 ButtonBox["Total",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Total.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Total.html"],
 ", ",
 ButtonBox["Mean",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Mean.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Mean.html"],
 ", ",
 ButtonBox["Median",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Median.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Median.html"],
 ", ",
 ButtonBox["Min",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Min.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Min.html"],
 ", ",
 ButtonBox["Max",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Max.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Max.html"],
 ", and others. I\[CloseCurlyQuote]ll discuss how ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " deals with missing values in more detail later."
}], "Text",
 CellChangeTimes->{{3.7694292645167723`*^9, 3.7694292964304113`*^9}, {
   3.7771329522788706`*^9, 3.7771329625308957`*^9}, 3.7877513665160427`*^9, {
   3.8580996905492783`*^9, 3.85809977674824*^9}, {3.8580998192005177`*^9, 
   3.858099834196228*^9}, {3.858172305167157*^9, 3.8581723146731157`*^9}, 
   3.858253630438161*^9, {3.86775568526329*^9, 3.86775568526329*^9}, {
   3.8677627545965204`*^9, 3.8677627694285445`*^9}, {3.867762902868249*^9, 
   3.8677629572583265`*^9}, {3.867764770255546*^9, 3.8677647746404867`*^9}, {
   3.869661252021634*^9, 3.8696612535143194`*^9}, 3.896353590295866*^9},
 CellTags->"i:38",
 CellID->1246255478,ExpressionUUID->"52508bae-69f9-4e4e-933e-322bf0e29751"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "Example 5 Redone Using ",
 StyleBox[ButtonBox["Query",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
  FontColor->RGBColor[
   0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]]
}], "Subsubsection",
 CellID->1420833860,ExpressionUUID->"a19d0e44-7255-400d-b4cd-d5dd0f270800"],

Cell[TextData[{
 "Often in data analysis, one needs to join two sets of data together using \
some common column to perform the assembly. In the previous chapter, I showed \
how to use ",
 ButtonBox["JoinAcross",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/JoinAcross.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/JoinAcross.html"],
 " to accomplish this goal."
}], "Text",
 CellChangeTimes->{{3.7694296471775217`*^9, 3.769429651250544*^9}, {
   3.769429685981124*^9, 3.769429704520731*^9}, {3.769429926101303*^9, 
   3.7694299326444283`*^9}, {3.769430066485775*^9, 3.769430076240843*^9}, {
   3.769430271037302*^9, 3.769430307702634*^9}, {3.769430411043139*^9, 
   3.769430423705868*^9}, {3.769430480352475*^9, 3.769430590281168*^9}, {
   3.7771329765282955`*^9, 3.777133013745016*^9}, 3.787751854036693*^9, {
   3.85817233710249*^9, 3.858172390798752*^9}, {3.85817701160259*^9, 
   3.858177027643682*^9}, 3.867765057624529*^9, {3.867940382252223*^9, 
   3.867940384877944*^9}, 3.8680068078800573`*^9},
 CellTags->"i:39",
 CellID->716242384,ExpressionUUID->"f8dee422-5706-405f-88f0-22a959014c80"],

Cell[TextData[{
 "Use ",
 ButtonBox["JoinAcross",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/JoinAcross.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/JoinAcross.html"],
 " to join two sets of data:"
}], "CodeText",
 CellChangeTimes->{{3.867765121215778*^9, 3.867765148859826*^9}},
 CellID->1807992,ExpressionUUID->"b5040dc9-bc28-43c2-8247-b45abaaee15d"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"joined", "=", 
  RowBox[{"JoinAcross", "[", 
   RowBox[{"titanic", ",", "titanicCabins", ",", "\"\<class\>\""}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.858172441046753*^9, 3.858172447818445*^9}, {
  3.858172860183899*^9, 3.858172886710986*^9}},
 CellLabel->"In[455]:=",
 CellID->1790519304,ExpressionUUID->"ef476f40-9875-4519-a7bf-fe61f64a6792"],

Cell[BoxData[
 TemplateBox[<|"shortenedBoxes" -> TagBox[
     RowBox[{"{", 
       RowBox[{
         RowBox[{"\[LeftAssociation]", 
           RowBox[{
             RowBox[{"\"class\"", "\[Rule]", "\"1st\""}], ",", 
             RowBox[{"\"age\"", "\[Rule]", "29"}], ",", 
             RowBox[{"\"sex\"", "\[Rule]", "\"female\""}], ",", 
             RowBox[{"\"survived\"", "\[Rule]", "True"}], ",", 
             RowBox[{"\"squarefeet\"", "\[Rule]", "300"}], ",", 
             RowBox[{"\"window\"", "\[Rule]", "True"}], ",", 
             RowBox[{"\"decklocations\"", "\[Rule]", 
               RowBox[{"{", 
                 RowBox[{"1", ",", "2"}], "}"}]}]}], "\[RightAssociation]"}], 
         ",", 
         TemplateBox[{"1307"}, "OutputSizeLimit`Skeleton"], ",", 
         RowBox[{"\[LeftAssociation]", 
           RowBox[{
             RowBox[{"\"class\"", "\[Rule]", "\"3rd\""}], ",", 
             RowBox[{"\"age\"", "\[Rule]", "29"}], ",", 
             RowBox[{"\"sex\"", "\[Rule]", "\"male\""}], ",", 
             RowBox[{"\"survived\"", "\[Rule]", "False"}], ",", 
             RowBox[{"\"squarefeet\"", "\[Rule]", "100"}], ",", 
             RowBox[{"\"window\"", "\[Rule]", "False"}], ",", 
             RowBox[{"\"decklocations\"", "\[Rule]", 
               RowBox[{"{", 
                 RowBox[{"4", ",", "5", ",", "6"}], "}"}]}]}], 
           "\[RightAssociation]"}]}], "}"}], Short[#, 8]& ], "line" -> 455, 
   "sessionID" -> 28257104344315683933, "byteCount" -> 1542048, "size" -> 8, 
   "stored" -> False, "expr" -> Missing["NotAvailable", "NewSessionID"], 
   "wrap" -> OutputSizeLimit`Defer, "version" -> 1|>,
  "OutputSizeLimitTemplate"]], "Output",
 CellChangeTimes->{{3.858172433660941*^9, 3.8581724481744013`*^9}, {
   3.858172861411895*^9, 3.858172887121632*^9}, 3.881423012046505*^9},
 CellLabel->"Out[455]=",
 CellID->574514980,ExpressionUUID->"331c7568-460c-48cb-8940-64dadbb092e9"]
}, Open  ]],

Cell[TextData[{
 "While this joining could be done using ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " as shown next, there\[CloseCurlyQuote]s really no point. Although ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " is a wonderful functional programming construct, one doesn\
\[CloseCurlyQuote]t have to use it every time one wants to do data analysis."
}], "Text",
 CellChangeTimes->{{3.858172524817424*^9, 3.85817259656914*^9}, {
  3.858172654248887*^9, 3.858172657004229*^9}, {3.8581727806324873`*^9, 
  3.858172783771946*^9}, {3.858253676674883*^9, 3.858253677878173*^9}, {
  3.8677652209246674`*^9, 3.867765222523037*^9}, {3.8679403990205193`*^9, 
  3.867940409339302*^9}},
 CellTags->"i:40",
 CellID->217238876,ExpressionUUID->"21be0da0-d53a-4d8f-8d4d-68c7f926a8f9"],

Cell[TextData[{
 "Combine ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " with an anonymous function based on ",
 ButtonBox["JoinAcross",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/JoinAcross.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/JoinAcross.html"],
 " to join information on the dinghy passengers with information on Titanic \
cabins:"
}], "CodeText",
 CellChangeTimes->{{3.85817260480499*^9, 3.858172661342761*^9}, 
   3.858253690872095*^9, {3.868006850122669*^9, 3.868006850458806*^9}},
 CellID->869004243,ExpressionUUID->"47112501-39b0-497e-bd92-06818b800cca"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{
    RowBox[{"JoinAcross", "[", 
     RowBox[{"titanic", ",", "#", ",", "\"\<class\>\""}], "]"}], "&"}], "]"}],
   "[", "titanicCabins", "]"}]], "Input",
 CellChangeTimes->{{3.858172534548436*^9, 3.858172556596013*^9}, {
  3.858172867462302*^9, 3.858172868496821*^9}},
 CellLabel->"In[456]:=",
 CellID->1404129662,ExpressionUUID->"512b8e9f-7953-4db9-9a5a-8c2a3a6998a7"],

Cell[BoxData[
 TemplateBox[<|"shortenedBoxes" -> TagBox[
     RowBox[{"{", 
       RowBox[{
         RowBox[{"\[LeftAssociation]", 
           RowBox[{
             RowBox[{"\"class\"", "\[Rule]", "\"1st\""}], ",", 
             RowBox[{"\"age\"", "\[Rule]", "29"}], ",", 
             RowBox[{"\"sex\"", "\[Rule]", "\"female\""}], ",", 
             RowBox[{"\"survived\"", "\[Rule]", "True"}], ",", 
             RowBox[{"\"squarefeet\"", "\[Rule]", "300"}], ",", 
             RowBox[{"\"window\"", "\[Rule]", "True"}], ",", 
             RowBox[{"\"decklocations\"", "\[Rule]", 
               RowBox[{"{", 
                 RowBox[{"1", ",", "2"}], "}"}]}]}], "\[RightAssociation]"}], 
         ",", 
         TemplateBox[{"1307"}, "OutputSizeLimit`Skeleton"], ",", 
         RowBox[{"\[LeftAssociation]", 
           RowBox[{
             RowBox[{"\"class\"", "\[Rule]", "\"3rd\""}], ",", 
             RowBox[{"\"age\"", "\[Rule]", "29"}], ",", 
             RowBox[{"\"sex\"", "\[Rule]", "\"male\""}], ",", 
             RowBox[{"\"survived\"", "\[Rule]", "False"}], ",", 
             RowBox[{"\"squarefeet\"", "\[Rule]", "100"}], ",", 
             RowBox[{"\"window\"", "\[Rule]", "False"}], ",", 
             RowBox[{"\"decklocations\"", "\[Rule]", 
               RowBox[{"{", 
                 RowBox[{"4", ",", "5", ",", "6"}], "}"}]}]}], 
           "\[RightAssociation]"}]}], "}"}], Short[#, 8]& ], "line" -> 456, 
   "sessionID" -> 28257104344315683933, "byteCount" -> 1542048, "size" -> 8, 
   "stored" -> False, "expr" -> Missing["NotAvailable", "NewSessionID"], 
   "wrap" -> OutputSizeLimit`Defer, "version" -> 1|>,
  "OutputSizeLimitTemplate"]], "Output",
 CellChangeTimes->{3.85817255700838*^9, 3.858172868855351*^9, 
  3.881423018580893*^9},
 CellLabel->"Out[456]=",
 CellID->1221430868,ExpressionUUID->"dab75eb6-ee4d-451c-a22a-bc22d7942430"]
}, Open  ]],

Cell[TextData[{
 "Now ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " will come in handy for doing data analysis on the resulting data. Recall \
that before I wanted the mean square footage of cabins on the Titanic, but I \
wanted it broken down by the sex of its occupying passenger. "
}], "Text",
 CellChangeTimes->{{3.85817278732932*^9, 3.858172820537114*^9}, {
   3.858173010126121*^9, 3.8581730359781713`*^9}, {3.858177050515484*^9, 
   3.858177056163103*^9}, 3.858253704426827*^9, {3.867770774401482*^9, 
   3.867770775337669*^9}, 3.867770837485326*^9, {3.8679404321950235`*^9, 
   3.8679404387423124`*^9}, {3.8696613560565825`*^9, 3.869661374091508*^9}},
 CellID->1255317230,ExpressionUUID->"77caaa76-3407-4903-984f-4a54476d3008"],

Cell["\<\
Here\[CloseCurlyQuote]s essentially how I did it with a pipeline of operators:\
\>", "CodeText",
 CellChangeTimes->{{3.867770838788954*^9, 3.867770841145753*^9}, {
   3.867940442357807*^9, 3.867940442991336*^9}, 3.869320935979033*^9},
 CellID->503908183,ExpressionUUID->"8833acbc-bafa-415b-8b21-7ab1a1ead419"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"GroupBy", "[", 
     RowBox[{"#sex", "&"}], "]"}], "/*", 
    RowBox[{"Map", "[", 
     RowBox[{
      RowBox[{"Map", "[", 
       RowBox[{"#squarefeet", "&"}], "]"}], "/*", "Mean", "/*", "N"}], 
     "]"}]}], ")"}], "[", "joined", "]"}]], "Input",
 CellChangeTimes->{{3.8581730457543287`*^9, 3.858173058727416*^9}},
 CellLabel->"In[457]:=",
 CellID->1505930395,ExpressionUUID->"5f0e059a-1fbc-4bbc-b9dc-de3a5adaf3ec"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"female\"\>", "\[Rule]", "184.54935622317598`"}], ",", 
   RowBox[{"\<\"male\"\>", "\[Rule]", "162.7520759193357`"}]}], 
  "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{3.8581730597166367`*^9, 3.881423023816155*^9},
 CellTags->"LastCellOfAPage",
 CellLabel->"Out[457]=",
 CellID->1189918756,ExpressionUUID->"d966ff06-d24d-4ec2-8670-d0b24fabb7c2"]
}, Open  ]],

Cell[TextData[{
 "And with the useful ",
 ButtonBox["MapLevel",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
MapLevel"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/MapLevel"],
 " ",
 ButtonBox["ResourceFunction",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ResourceFunction.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/ResourceFunction.html"],
 ", I could have written it this way to avoid the ugly nested ",
 ButtonBox["Map",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Map.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Map.html"],
 " statements:"
}], "CodeText",
 CellChangeTimes->{{3.8678311520536704`*^9, 3.867831180316516*^9}, {
  3.8679404592023945`*^9, 3.8679404597040367`*^9}, {3.869761966418577*^9, 
  3.869761974985401*^9}},
 CellTags->"p: 135",
 CellID->13494555,ExpressionUUID->"a308cb2a-ddbd-42b3-8126-ff4a3706874d"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"GroupBy", "[", 
     RowBox[{"#sex", "&"}], "]"}], "/*", 
    RowBox[{
     InterpretationBox[
      TagBox[
       DynamicModuleBox[{Typeset`open = False}, 
        FrameBox[
         PaneSelectorBox[{False->GridBox[{
            {
             PaneBox[GridBox[{
                {
                 StyleBox[
                  StyleBox[
                   AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                   
                   FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                  ShowStringCharacters->False,
                  FontFamily->"Source Sans Pro Black",
                  FontSize->0.6538461538461539 Inherited,
                  FontWeight->"Heavy",
                  PrivateFontOptions->{"OperatorSubstitution"->False}], 
                 StyleBox[
                  RowBox[{
                   StyleBox["MapLevel", "ResourceFunctionLabel"], " "}],
                  ShowAutoStyles->False,
                  ShowStringCharacters->False,
                  FontSize->Rational[12, 13] Inherited,
                  FontColor->GrayLevel[0.1]]}
               },
               GridBoxSpacings->{"Columns" -> {{0.25}}}],
              Alignment->Left,
              BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
              BaselinePosition->Baseline,
              FrameMargins->{{3, 0}, {0, 0}}], 
             ItemBox[
              PaneBox[
               TogglerBox[Dynamic[Typeset`open], {True->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "IconizeCloser"],
                 ImageSizeCache->{11., {2., 9.}}], False->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "IconizeOpener"],
                 ImageSizeCache->{11., {2., 9.}}]},
                Appearance->None,
                BaselinePosition->Baseline,
                ContentPadding->False,
                FrameMargins->0],
               Alignment->Left,
               BaselinePosition->Baseline,
               FrameMargins->{{1, 1}, {0, 0}}],
              Frame->{{
                 RGBColor[
                 0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                  0.5], False}, {False, False}}]}
           },
           BaselinePosition->{1, 1},
           GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
           
           GridBoxItemSize->{
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
           GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
          GridBox[{
            {GridBox[{
               {
                PaneBox[GridBox[{
                   {
                    StyleBox[
                    StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                    ShowStringCharacters->False,
                    FontFamily->"Source Sans Pro Black",
                    FontSize->0.6538461538461539 Inherited,
                    FontWeight->"Heavy",
                    PrivateFontOptions->{"OperatorSubstitution"->False}], 
                    StyleBox[
                    RowBox[{
                    StyleBox["MapLevel", "ResourceFunctionLabel"], " "}],
                    ShowAutoStyles->False,
                    ShowStringCharacters->False,
                    FontSize->Rational[12, 13] Inherited,
                    FontColor->GrayLevel[0.1]]}
                  },
                  GridBoxSpacings->{"Columns" -> {{0.25}}}],
                 Alignment->Left,
                 BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
                 BaselinePosition->Baseline,
                 FrameMargins->{{3, 0}, {0, 0}}], 
                ItemBox[
                 PaneBox[
                  TogglerBox[Dynamic[Typeset`open], {True->
                   
                   DynamicBox[FEPrivate`FrontEndResource[
                    "FEBitmaps", "IconizeCloser"]], False->
                   
                   DynamicBox[FEPrivate`FrontEndResource[
                    "FEBitmaps", "IconizeOpener"]]},
                   Appearance->None,
                   BaselinePosition->Baseline,
                   ContentPadding->False,
                   FrameMargins->0],
                  Alignment->Left,
                  BaselinePosition->Baseline,
                  FrameMargins->{{1, 1}, {0, 0}}],
                 Frame->{{
                    RGBColor[
                    0.8313725490196079, 0.8470588235294118, 
                    0.8509803921568627, 0.5], False}, {False, False}}]}
              },
              BaselinePosition->{1, 1},
              
              GridBoxAlignment->{
               "Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
              GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
            {
             StyleBox[
              PaneBox[GridBox[{
                 {
                  RowBox[{
                   TagBox["\<\"Version (latest): \"\>",
                    "IconizedLabel"], " ", 
                   TagBox["\<\"1.0.0\"\>",
                    "IconizedItem"]}]},
                 {
                  TagBox[
                   
                   TemplateBox[{
                    "\"Documentation \[RightGuillemet]\"", 
                    "https://resources.wolframcloud.com/FunctionRepository/\
resources/MapLevel"},
                    "HyperlinkURL"],
                   "IconizedItem"]}
                },
                DefaultBaseStyle->"Column",
                GridBoxAlignment->{"Columns" -> {{Left}}},
                
                GridBoxItemSize->{
                 "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
               Alignment->Left,
               BaselinePosition->Baseline,
               FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
              FontFamily->"Roboto",
              FontSize->11]}
           },
           BaselinePosition->{1, 1},
           GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
           GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
                GrayLevel[0.8]}, False}},
           
           GridBoxItemSize->{
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
          Typeset`open],
          BaselinePosition->Baseline,
          ImageSize->Automatic],
         Background->RGBColor[
          0.9686274509803922, 0.9764705882352941, 0.984313725490196],
         BaselinePosition->Baseline,
         DefaultBaseStyle->{},
         FrameMargins->{{0, 0}, {1, 0}},
         FrameStyle->RGBColor[
          0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
         RoundingRadius->4]],
       {"FunctionResourceBox", 
        RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784],
         "MapLevel"},
       TagBoxNote->"FunctionResourceBox"],
      ResourceFunction[
       ResourceObject[<|
        "Name" -> "MapLevel", "ShortName" -> "MapLevel", "UUID" -> 
         "643eb83e-c32c-41a8-830c-78e9282acb6c", "ResourceType" -> "Function",
          "Version" -> "1.0.0", "Description" -> 
         "Create an operator that maps a function over data at a specified \
level", "RepositoryLocation" -> 
         URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
         "SymbolName" -> 
         "FunctionRepository`$5c8c3349f3044fe1a584634b09381ccc`MapLevel", 
         "FunctionLocation" -> 
         CloudObject[
          "https://www.wolframcloud.com/obj/835b686f-f639-48e9-8faa-\
fe7a755e6bb7"]|>, ResourceSystemBase -> Automatic]],
      Selectable->False], "[", 
     RowBox[{
      RowBox[{"#squarefeet", "&"}], ",", 
      RowBox[{"{", "2", "}"}]}], "]"}], "/*", 
    RowBox[{"Map", "[", 
     RowBox[{"Mean", "/*", "N"}], "]"}]}], ")"}], "[", "joined", 
  "]"}]], "Input",
 CellChangeTimes->{{3.8581731137170753`*^9, 3.8581731833744183`*^9}},
 CellLabel->"In[458]:=",
 CellID->1616810794,ExpressionUUID->"11200d35-9d65-42e9-b484-3f543676a8a9"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"female\"\>", "\[Rule]", "184.54935622317598`"}], ",", 
   RowBox[{"\<\"male\"\>", "\[Rule]", "162.7520759193357`"}]}], 
  "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{{3.858173160045096*^9, 3.858173183956338*^9}, 
   3.881423028155507*^9},
 CellLabel->"Out[458]=",
 CellID->28546773,ExpressionUUID->"52ae8012-bff7-4159-887b-317842f205bd"]
}, Open  ]],

Cell[TextData[{
 "With ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 ", the code is simpler:"
}], "CodeText",
 CellChangeTimes->{{3.8581731907039623`*^9, 3.858173213690125*^9}},
 CellID->989415378,ExpressionUUID->"aba949d4-e0e1-4fdc-92a4-192ed930b81b"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{
    RowBox[{"GroupBy", "[", 
     RowBox[{"#sex", "&"}], "]"}], ",", 
    RowBox[{"Mean", "/*", "N"}], ",", 
    RowBox[{"#squarefeet", "&"}]}], "]"}], "[", "joined", "]"}]], "Input",
 CellChangeTimes->{{3.858172891897358*^9, 3.858172922385521*^9}, {
  3.8581729531322813`*^9, 3.858172953544215*^9}, {3.858173202143876*^9, 
  3.858173209191411*^9}},
 CellLabel->"In[459]:=",
 CellID->1876694280,ExpressionUUID->"5e59d81f-aa32-4194-afe5-a7c03193cdd3"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"female\"\>", "\[Rule]", "184.54935622317598`"}], ",", 
   RowBox[{"\<\"male\"\>", "\[Rule]", "162.7520759193357`"}]}], 
  "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{{3.858172918831924*^9, 3.8581729229739227`*^9}, 
   3.8581729538900337`*^9, 3.858173209614159*^9, 3.881423032479085*^9},
 CellLabel->"Out[459]=",
 CellID->1310595258,ExpressionUUID->"b21fef2d-3eb1-42e4-9e14-c6f98ed38218"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "How to Do Nothing: ",
 StyleBox[ButtonBox["All",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/All.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/All.html"],
  FontColor->RGBColor[
   0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]],
 " or ",
 StyleBox[ButtonBox["Identity",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Identity.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Identity.html"],
  FontColor->RGBColor[
   0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]]
}], "Subsection",
 CellID->1446298583,ExpressionUUID->"ab9764ce-c825-4ed6-a79a-0e0ba84cef1a"],

Cell["\<\
I now want to go through many of the frequently used operators that tend not \
to alter structure. Executing these operators sooner rather than later is \
likely to be efficient. \
\>", "Text",
 CellChangeTimes->{{3.769436248342314*^9, 3.769436285954693*^9}, 
   3.787753732924405*^9, {3.858104747586203*^9, 3.858104748295788*^9}},
 CellTags->"i:41",
 CellID->1881524972,ExpressionUUID->"0045a9f7-3820-4b12-a2dc-3220704fc6cb"],

Cell[TextData[{
 "Sometimes, one does not wish to do anything at a particular level of an \
expression. One wants to leave it as is. Suppose, for example, you just want \
the age and sex of everyone in the dinghy. You can\[CloseCurlyQuote]t do this \
by putting a ",
 ButtonBox["Null",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Null.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Null.html"],
 " as an argument to ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " (unlike some other languages where this is permissible: ",
 Cell[BoxData[
  RowBox[{
   RowBox[{
    ButtonBox[
     StyleBox["Query",
      FontColor->GrayLevel[0]],
     BaseStyle->"Hyperlink",
     ButtonData->{
       URL["https://reference.wolfram.com/language/ref/Query.html"], None},
     ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"], 
    "[", 
    RowBox[{",", 
     RowBox[{"{", 
      RowBox[{"\"\<age\>\"", ",", "\"\<sex\>\""}], "}"}]}], "]"}], "[", 
   "dinghy", "]"}]], "InlineCodeText",ExpressionUUID->
  "b13afb84-e8f9-4c82-9ccb-fb4ad085ca97"],
 ")."
}], "Text",
 CellChangeTimes->{{3.7404972967818537`*^9, 3.740497383239305*^9}, {
   3.741614915273978*^9, 3.741614917016789*^9}, {3.7422267377718897`*^9, 
   3.7422267441188602`*^9}, {3.742473175157117*^9, 3.742473198568081*^9}, {
   3.7694665975751534`*^9, 3.7694666007081347`*^9}, {3.769516486433367*^9, 
   3.769516490976604*^9}, 3.7699561960920362`*^9, {3.7699562333982153`*^9, 
   3.769956233398246*^9}, {3.7699604393922358`*^9, 3.7699604575124483`*^9}, {
   3.771884837242964*^9, 3.7718848611228123`*^9}, 3.7770410222558546`*^9, {
   3.7770417668790083`*^9, 3.777041767178008*^9}, {3.7771334949321303`*^9, 
   3.7771335062582626`*^9}, {3.785520396352709*^9, 3.785520401904224*^9}, 
   3.787753791888803*^9, {3.8581048150554733`*^9, 3.8581048151101*^9}, {
   3.867831619801509*^9, 3.8678316225512056`*^9}},
 CellTags->"i:42",
 CellID->572884088,ExpressionUUID->"d5e5a871-6be4-44a7-b732-f9a25ef136c9"],

Cell[TextData[{
 "To fix this, use ",
 ButtonBox["All",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/All.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/All.html"],
 " or ",
 ButtonBox["Identity",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Identity.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Identity.html"],
 " as a kind of placeholder that tells the kernel to do nothing. The ",
 ButtonBox["Identity",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Identity.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Identity.html"],
 " function just returns its argument unchanged. ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " appears to convert  ",
 ButtonBox["All",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/All.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/All.html"],
 " into ",
 ButtonBox["Identity",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Identity.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Identity.html"],
 ", so it should not make any difference whether one uses ",
 ButtonBox["All",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/All.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/All.html"],
 " or ",
 ButtonBox["Identity",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Identity.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Identity.html"],
 " in a ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 "."
}], "Text",
 CellChangeTimes->{{3.740497397985059*^9, 3.740497407581552*^9}, {
   3.742226756972557*^9, 3.74222677438766*^9}, {3.777133552971934*^9, 
   3.777133557247361*^9}, 3.787753884970318*^9, 3.8581048388379593`*^9, {
   3.8581049453168716`*^9, 3.858104947175191*^9}, {3.858105049550458*^9, 
   3.858105098600666*^9}, {3.858105139799926*^9, 3.8581052132940273`*^9}, {
   3.8581771184178343`*^9, 3.858177124869688*^9}, {3.867940475001695*^9, 
   3.8679404783300123`*^9}, {3.869661405819352*^9, 3.8696614409862075`*^9}},
 CellID->1919093969,ExpressionUUID->"4dcc4a6f-46b9-4dd9-af20-34d4fbf354d1"],

Cell[TextData[{
 "Use ",
 ButtonBox["All",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/All.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/All.html"],
 " or ",
 ButtonBox["Identity",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Identity.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Identity.html"],
 " to tell the ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " effectively to do nothing at a given level:"
}], "CodeText",
 CellChangeTimes->{{3.769516509438875*^9, 3.769516525357058*^9}, 
   3.7770421455620084`*^9, {3.777133565624199*^9, 3.7771335704306793`*^9}, {
   3.858105003166423*^9, 3.858105007082242*^9}, 3.8582540427743883`*^9},
 CellID->561189059,ExpressionUUID->"39508d4b-95b1-4ef4-be44-d17a43667958"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{"All", ",", 
    RowBox[{"{", 
     RowBox[{"\"\<age\>\"", ",", "\"\<sex\>\""}], "}"}]}], "]"}], "[", 
  "dinghy", "]"}]], "Input",
 CellChangeTimes->{{3.740497351866873*^9, 3.7404973599530373`*^9}, {
   3.74161494013557*^9, 3.7416149406532393`*^9}, {3.769466609203747*^9, 
   3.7694666103852787`*^9}, 3.769956234126593*^9},
 CellLabel->"In[460]:=",
 CellID->1155442690,ExpressionUUID->"4ce1eebb-4452-4881-aafe-99a747aec4bb"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"age\"\>", "\[Rule]", "16"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"age\"\>", "\[Rule]", "65"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"male\"\>"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"age\"\>", "\[Rule]", "2"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"age\"\>", "\[Rule]", 
      RowBox[{"Missing", "[", "]"}]}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"age\"\>", "\[Rule]", "18"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}]}], 
    "\[RightAssociation]"}]}], "}"}]], "Output",
 CellChangeTimes->{3.7404973604699593`*^9, 3.7405004798822927`*^9, 
  3.7416149410738907`*^9, 3.741773677537499*^9, 3.7417752267746983`*^9, 
  3.741787998226026*^9, 3.741876424381508*^9, 3.741879481029339*^9, 
  3.741956404756495*^9, 3.742122968599812*^9, 3.7694666160277967`*^9, 
  3.7699563005163107`*^9, 3.76995935974737*^9, 3.771923385894651*^9, 
  3.771930220532089*^9, 3.771930364944234*^9, 3.881423040909542*^9},
 CellLabel->"Out[460]=",
 CellID->404527290,ExpressionUUID->"3af9dbe5-f069-4df2-917a-f8508a4cb403"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{"Identity", ",", 
    RowBox[{"{", 
     RowBox[{"\"\<age\>\"", ",", "\"\<sex\>\""}], "}"}]}], "]"}], "[", 
  "dinghy", "]"}]], "Input",
 CellChangeTimes->{{3.740497351866873*^9, 3.7404973599530373`*^9}, {
   3.740497409958674*^9, 3.7404974133530073`*^9}, {3.741614943206959*^9, 
   3.7416149440394583`*^9}, {3.769466612361768*^9, 3.76946661345721*^9}, 
   3.769956234718342*^9},
 CellLabel->"In[461]:=",
 CellID->1650964185,ExpressionUUID->"daa4248e-ec74-423c-8d3b-610dcda3152f"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"age\"\>", "\[Rule]", "16"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"age\"\>", "\[Rule]", "65"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"male\"\>"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"age\"\>", "\[Rule]", "2"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"age\"\>", "\[Rule]", 
      RowBox[{"Missing", "[", "]"}]}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"age\"\>", "\[Rule]", "18"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}]}], 
    "\[RightAssociation]"}]}], "}"}]], "Output",
 CellChangeTimes->{3.740497413836646*^9, 3.7405004800156517`*^9, 
  3.741614944431416*^9, 3.741773677587508*^9, 3.74177522685527*^9, 
  3.7417879983112288`*^9, 3.741876424429912*^9, 3.741879481075037*^9, 
  3.741956404839636*^9, 3.7421229686586237`*^9, 3.769466617797792*^9, 
  3.7699563005283213`*^9, 3.769959359761407*^9, 3.771923385933057*^9, 
  3.771930220569208*^9, 3.771930364976675*^9, 3.881423044587384*^9},
 CellLabel->"Out[461]=",
 CellID->638089639,ExpressionUUID->"682cce19-1c1c-498e-8b6d-e2dac1b82671"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Queries with Deeply Nested Datasets", "Subsection",
 CellID->1924867530,ExpressionUUID->"fa40dea7-7fce-4bca-b963-e5eeb09f5bea"],

Cell[TextData[{
 "One useful feature of the Wolfram Language is its support for hierarchical \
data, deeply nested Lists, Associations, and Datasets. One is not limited to \
simple two-dimensional tables as might be the case in systems based, for \
example, on SQL. Here\[CloseCurlyQuote]s an example: the planets ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " (put in ",
 ButtonBox["Normal",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Normal.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Normal.html"],
 " form since I haven\[CloseCurlyQuote]t shown you the ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " wrapper yet). Basically, it\[CloseCurlyQuote]s an ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " whose outer keys are the names of the planets. Each value is data on the \
mass, radius, and moons of that planet, but the moons data is itself an ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " in which the keys are the names of the moons and the values are \
Associations in which the keys are the mass of the moon and its radius."
}], "Text",
 CellTags->{"LastCellOfAPage", "i:43", "p: 136"},
 CellID->1554918302,ExpressionUUID->"fd39e9b2-5987-48ad-b286-90bc72a13305"],

Cell[TextData[{
 "Get the ",
 Cell[BoxData[
 "planets"], "InlineCode",ExpressionUUID->
  "21e506a2-33b1-49d3-ba7a-3915c1bdbe93"],
 " data in ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " form from the ",
 ButtonBox["ResourceObject",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ResourceObject.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/ResourceObject.html"],
 " for this book:"
}], "CodeText",
 CellTags->"i:44",
 CellID->931771994,ExpressionUUID->"4bf20fe9-d9e3-46b1-80fb-7a8ae27fcde4"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"planets", "=", 
    RowBox[{"ResourceData", "[", 
     RowBox[{"ro", ",", "\"\<Planets Deeply Nested Structure\>\""}], "]"}]}], 
   ")"}], "//", 
  RowBox[{
   InterpretationBox[
    TagBox[
     DynamicModuleBox[{Typeset`open = False}, 
      FrameBox[
       PaneSelectorBox[{False->GridBox[{
          {
           PaneBox[GridBox[{
              {
               StyleBox[
                StyleBox[
                 AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                  BoxBaselineShift->-0.25,
                  BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                 
                 FontColor->RGBColor[
                  0.8745098039215686, 0.2784313725490196, 
                   0.03137254901960784]],
                ShowStringCharacters->False,
                FontFamily->"Source Sans Pro Black",
                FontSize->0.6538461538461539 Inherited,
                FontWeight->"Heavy",
                PrivateFontOptions->{"OperatorSubstitution"->False}], 
               StyleBox[
                RowBox[{
                 StyleBox["Terse", "ResourceFunctionLabel"], " "}],
                ShowAutoStyles->False,
                ShowStringCharacters->False,
                FontSize->Rational[12, 13] Inherited,
                FontColor->GrayLevel[0.1]]}
             },
             GridBoxSpacings->{"Columns" -> {{0.25}}}],
            Alignment->Left,
            BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
            BaselinePosition->Baseline,
            FrameMargins->{{3, 0}, {0, 0}}], 
           ItemBox[
            PaneBox[
             TogglerBox[Dynamic[Typeset`open], {True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeCloser"],
               ImageSizeCache->{11., {2., 9.}}], False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeOpener"],
               ImageSizeCache->{11., {2., 9.}}]},
              Appearance->None,
              BaselinePosition->Baseline,
              ContentPadding->False,
              FrameMargins->0],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{1, 1}, {0, 0}}],
            Frame->{{
               RGBColor[
               0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                0.5], False}, {False, False}}]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
         GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
        GridBox[{
          {GridBox[{
             {
              PaneBox[GridBox[{
                 {
                  StyleBox[
                   StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                   ShowStringCharacters->False,
                   FontFamily->"Source Sans Pro Black",
                   FontSize->0.6538461538461539 Inherited,
                   FontWeight->"Heavy",
                   PrivateFontOptions->{"OperatorSubstitution"->False}], 
                  StyleBox[
                   RowBox[{
                    StyleBox["Terse", "ResourceFunctionLabel"], " "}],
                   ShowAutoStyles->False,
                   ShowStringCharacters->False,
                   FontSize->Rational[12, 13] Inherited,
                   FontColor->GrayLevel[0.1]]}
                },
                GridBoxSpacings->{"Columns" -> {{0.25}}}],
               Alignment->Left,
               BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
               BaselinePosition->Baseline,
               FrameMargins->{{3, 0}, {0, 0}}], 
              ItemBox[
               PaneBox[
                TogglerBox[Dynamic[Typeset`open], {True->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeCloser"]], False->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeOpener"]]},
                 Appearance->None,
                 BaselinePosition->Baseline,
                 ContentPadding->False,
                 FrameMargins->0],
                Alignment->Left,
                BaselinePosition->Baseline,
                FrameMargins->{{1, 1}, {0, 0}}],
               Frame->{{
                  RGBColor[
                  0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                   0.5], False}, {False, False}}]}
            },
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
          {
           StyleBox[
            PaneBox[GridBox[{
               {
                RowBox[{
                 TagBox["\<\"Version (latest): \"\>",
                  "IconizedLabel"], " ", 
                 TagBox["\<\"1.0.0\"\>",
                  "IconizedItem"]}]},
               {
                TagBox[
                 
                 TemplateBox[{
                  "\"Documentation \[RightGuillemet]\"", 
                   "https://resources.wolframcloud.com/FunctionRepository/\
resources/6809487c-44ed-4a55-a610-ab706ebb8661/"},
                  "HyperlinkURL"],
                 "IconizedItem"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
            FontFamily->"Roboto",
            FontSize->11]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
              GrayLevel[0.8]}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
        Typeset`open],
        BaselinePosition->Baseline,
        ImageSize->Automatic],
       Background->RGBColor[
        0.9686274509803922, 0.9764705882352941, 0.984313725490196],
       BaselinePosition->Baseline,
       DefaultBaseStyle->{},
       FrameMargins->{{0, 0}, {1, 0}},
       FrameStyle->RGBColor[
        0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
       RoundingRadius->4]],
     {"FunctionResourceBox", 
      RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
      "Terse"},
     TagBoxNote->"FunctionResourceBox"],
    ResourceFunction[
     ResourceObject[<|
      "Name" -> "Terse", "ShortName" -> "Terse", "UUID" -> 
       "6809487c-44ed-4a55-a610-ab706ebb8661", "ResourceType" -> "Function", 
       "Version" -> "1.0.0", "Description" -> "An operator form of Short", 
       "RepositoryLocation" -> 
       URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
       "SymbolName" -> 
       "FunctionRepository`$369a78f89aa2413eb5b19a962ce89cd7`Terse", 
       "FunctionLocation" -> 
       CloudObject[
        "https://www.wolframcloud.com/obj/c1820918-b759-4685-b9b8-\
c971a81216b5"]|>, ResourceSystemBase -> Automatic]],
    Selectable->False], "[", "5", "]"}]}]], "Input",
 CellChangeTimes->{{3.7718876353937397`*^9, 3.771887748710259*^9}, {
   3.771930330637136*^9, 3.7719303366306343`*^9}, 3.881165261978614*^9},
 CellLabel->"In[149]:=",
 CellID->133037289,ExpressionUUID->"5a886a3c-b995-4467-b182-bf40005c2152"],

Cell[BoxData[
 TagBox[
  RowBox[{"\[LeftAssociation]", 
   RowBox[{
    RowBox[{"\<\"Mercury\"\>", "\[Rule]", 
     RowBox[{"\[LeftAssociation]", 
      RowBox[{
       RowBox[{"\<\"Mass\"\>", "\[Rule]", 
        TemplateBox[{"3.30104`6.*^23", "\"kg\"", "kilograms", "\"Kilograms\""},
         "Quantity"]}], ",", 
       RowBox[{"\<\"Radius\"\>", "\[Rule]", 
        TemplateBox[{"2439.7`5.", "\"km\"", "kilometers", "\"Kilometers\""},
         "Quantity"]}], ",", 
       RowBox[{"\<\"Moons\"\>", "\[Rule]", 
        RowBox[{"\[LeftAssociation]", "\[RightAssociation]"}]}]}], 
      "\[RightAssociation]"}]}], ",", 
    RowBox[{"\[LeftSkeleton]", "6", "\[RightSkeleton]"}], ",", 
    RowBox[{"\<\"Neptune\"\>", "\[Rule]", 
     RowBox[{"\[LeftAssociation]", 
      RowBox[{
       RowBox[{"\<\"Mass\"\>", "\[Rule]", 
        TemplateBox[{"1.0241`6.*^26", "\"kg\"", "kilograms", "\"Kilograms\""},
         "Quantity"]}], ",", 
       RowBox[{"\<\"Radius\"\>", "\[Rule]", 
        TemplateBox[{"24552.5`5.", "\"km\"", "kilometers", "\"Kilometers\""},
         "Quantity"]}], ",", 
       RowBox[{"\<\"Moons\"\>", "\[Rule]", 
        RowBox[{"\[LeftAssociation]", 
         RowBox[{
          RowBox[{"\<\"Naiad\"\>", "\[Rule]", 
           RowBox[{"\[LeftAssociation]", 
            RowBox[{
             RowBox[{"\<\"Mass\"\>", "\[Rule]", 
              
              TemplateBox[{
               "1.94779898714452669`1.9995659225206872*^17", "\"kg\"", 
                "kilograms", "\"Kilograms\""},
               "Quantity"]}], ",", 
             RowBox[{"\<\"Radius\"\>", "\[Rule]", 
              TemplateBox[{"33.`2.", "\"km\"", "kilometers", "\"Kilometers\""},
               "Quantity"]}]}], "\[RightAssociation]"}]}], ",", 
          RowBox[{"\<\"Thalassa\"\>", "\[Rule]", 
           RowBox[{"\[LeftAssociation]", 
            RowBox[{
             RowBox[{"\<\"Mass\"\>", "\[Rule]", 
              
              TemplateBox[{
               "3.74576728297024363`1.9995659225206872*^17", "\"kg\"", 
                "kilograms", "\"Kilograms\""},
               "Quantity"]}], ",", 
             RowBox[{"\<\"Radius\"\>", "\[Rule]", 
              TemplateBox[{"41.`2.", "\"km\"", "kilometers", "\"Kilometers\""},
               "Quantity"]}]}], "\[RightAssociation]"}]}], ",", 
          RowBox[{"\[LeftSkeleton]", "10", "\[RightSkeleton]"}], ",", 
          RowBox[{"\<\"Neso\"\>", "\[Rule]", 
           RowBox[{"\[LeftAssociation]", 
            RowBox[{"\<\"Radius\"\>", "\[Rule]", 
             TemplateBox[{"30.`2.", "\"km\"", "kilometers", "\"Kilometers\""},
              "Quantity"]}], "\[RightAssociation]"}]}]}], 
         "\[RightAssociation]"}]}]}], "\[RightAssociation]"}]}]}], 
   "\[RightAssociation]"}],
  Short[#, 5]& ]], "Output",
 CellChangeTimes->{{3.771887642895035*^9, 3.771887750161378*^9}, 
   3.771923385980091*^9, 3.771930220580653*^9, 3.7719303650208807`*^9, 
   3.880548369920422*^9, 3.881423070711307*^9, 3.881839241888096*^9},
 CellLabel->"Out[149]//Short=",
 CellID->25584265,ExpressionUUID->"f9fc3d87-4c51-4358-9858-d20028340a4c"]
}, Open  ]],

Cell[TextData[{
 "Suppose I want the radius of Phobos, a moon of Mars. I could just use a ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " that picked out keys at different levels."
}], "Text",
 CellChangeTimes->{{3.740492987194606*^9, 3.740493061496787*^9}, {
   3.742228576885487*^9, 3.74222857714292*^9}, {3.742473399266007*^9, 
   3.742473406057234*^9}, {3.771884941695077*^9, 3.77188494361681*^9}, 
   3.777041025079137*^9, {3.777134329618591*^9, 3.7771343488675156`*^9}, {
   3.858177165376309*^9, 3.8581772067791862`*^9}, 3.858254137323144*^9, {
   3.867836117512265*^9, 3.867836117675949*^9}},
 CellID->735482568,ExpressionUUID->"0bf13172-f1a5-4314-99d2-f2bdc4ba5090"],

Cell[TextData[{
 "Use ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " with lots of arguments to access deeply nested data:"
}], "CodeText",
 CellChangeTimes->{{3.769516554912051*^9, 3.769516566224416*^9}, 
   3.7770421513370085`*^9, 3.777134354755104*^9},
 CellID->2000374,ExpressionUUID->"85fbeac6-1bd0-4fe6-9f47-36da2df50a3e"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{
   "\"\<Mars\>\"", ",", "\"\<Moons\>\"", ",", "\"\<Phobos\>\"", ",", 
    "\"\<Radius\>\""}], "]"}], "[", "planets", "]"}]], "Input",
 CellChangeTimes->{{3.7404930342001543`*^9, 3.740493048923832*^9}},
 CellLabel->"In[463]:=",
 CellID->339648244,ExpressionUUID->"1c8f95bf-c25a-498c-8932-616b2c0d8770"],

Cell[BoxData[
 TemplateBox[{"11.1`3.", "\"km\"", "kilometers", "\"Kilometers\""},
  "Quantity"]], "Output",
 CellChangeTimes->{3.740493049490932*^9, 3.740496194266638*^9, 
  3.740500485842576*^9, 3.741788010179802*^9, 3.741792443656603*^9, 
  3.7418764250475407`*^9, 3.741879481679572*^9, 3.741956405606151*^9, 
  3.742122969333506*^9, 3.769467772240954*^9, 3.76995630066068*^9, 
  3.7699593605457907`*^9, 3.771887794765765*^9, 3.771923386016967*^9, 
  3.771930220617422*^9, 3.771930365098068*^9, 3.881423089537665*^9},
 CellLabel->"Out[463]=",
 CellID->357101871,ExpressionUUID->"50b104ac-1eb5-4f1d-ab6a-ae983f9fabeb"]
}, Open  ]],

Cell[TextData[{
 "Or suppose I want the mean mass of the moons of Mars, a tongue twister as \
well as a ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 "."
}], "Text",
 CellChangeTimes->{{3.740493063656996*^9, 3.740493075868616*^9}, {
   3.740493136976904*^9, 3.740493156191861*^9}, {3.7417924497863483`*^9, 
   3.74179245016735*^9}, 3.7424734139762173`*^9, {3.867836120175514*^9, 
   3.867836120322671*^9}},
 CellTags->"i:45",
 CellID->1637392790,ExpressionUUID->"c49a0df6-b83c-4db4-b650-7c2889baf080"],

Cell["The mean mass of the moons of Mars:", "CodeText",
 CellChangeTimes->{{3.769516572715619*^9, 3.769516582628518*^9}, {
  3.7770421553040085`*^9, 3.7770421563920083`*^9}},
 CellID->975032605,ExpressionUUID->"56dd37c9-fa74-4e24-8e35-bf07116d45a0"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{
   "\"\<Mars\>\"", ",", "\"\<Moons\>\"", ",", "Mean", ",", "\"\<Mass\>\""}], 
   "]"}], "[", "planets", "]"}]], "Input",
 CellChangeTimes->{{3.7404930794753428`*^9, 3.740493089951312*^9}, {
  3.740493142009761*^9, 3.7404931428871107`*^9}},
 CellLabel->"In[464]:=",
 CellID->1805168872,ExpressionUUID->"5c6a230d-9ac3-4e46-9dde-b1ee52261e1d"],

Cell[BoxData[
 TemplateBox[{
  "6.096610829762369`2.8853273743447083*^15", "\"kg\"", "kilograms", 
   "\"Kilograms\""},
  "Quantity"]], "Output",
 CellChangeTimes->{3.740493090403294*^9, 3.740493143822502*^9, 
  3.7404961946050053`*^9, 3.740500485957931*^9, 3.741788010258655*^9, 
  3.7417924537948933`*^9, 3.741876425111767*^9, 3.741879481764224*^9, 
  3.741956405671373*^9, 3.742122969449564*^9, 3.769467778017107*^9, 
  3.769956300697916*^9, 3.7699593605856*^9, 3.7718877983004227`*^9, 
  3.771923386054932*^9, 3.771930220630674*^9, 3.7719303651358643`*^9, 
  3.881423095205171*^9},
 CellLabel->"Out[464]=",
 CellID->630080705,ExpressionUUID->"f24464c1-260e-44b1-a54b-34c0b134c859"]
}, Open  ]],

Cell["Or the total mass of the moons for each planet:", "CodeText",
 CellChangeTimes->{{3.741865126336026*^9, 3.741865136795182*^9}, {
  3.7771343799166203`*^9, 3.7771343814367723`*^9}},
 CellID->1391084888,ExpressionUUID->"9f9c461e-b128-4653-987b-403211cc71c7"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{"All", ",", "\"\<Moons\>\"", ",", "Total", ",", "\"\<Mass\>\""}], 
   "]"}], "[", "planets", "]"}]], "Input",
 CellChangeTimes->{{3.742228624256695*^9, 3.7422286282423143`*^9}},
 CellLabel->"In[465]:=",
 CellID->309247727,ExpressionUUID->"a4ebb836-5210-40bf-828d-29f629cf648e"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"Mercury\"\>", "\[Rule]", "0"}], ",", 
   RowBox[{"\<\"Venus\"\>", "\[Rule]", "0"}], ",", 
   RowBox[{"\<\"Earth\"\>", "\[Rule]", 
    TemplateBox[{
     "7.3459006322855173653772`4.995678626217362*^22", "\"kg\"", "kilograms", 
      "\"Kilograms\""},
     "Quantity"]}], ",", 
   RowBox[{"\<\"Mars\"\>", "\[Rule]", 
    TemplateBox[{
     "1.2193221659524738`2.8853273743447083*^16", "\"kg\"", "kilograms", 
      "\"Kilograms\""},
     "Quantity"]}], ",", 
   RowBox[{"\<\"Jupiter\"\>", "\[Rule]", 
    TemplateBox[{
     "3.93014495624943813490738`4.98358290192235*^23", "\"kg\"", "kilograms", 
      "\"Kilograms\""},
     "Quantity"]}], ",", 
   RowBox[{"\<\"Saturn\"\>", "\[Rule]", 
    TemplateBox[{
     "1.40510302468385873962401`4.924759393349542*^23", "\"kg\"", "kilograms",
       "\"Kilograms\""},
     "Quantity"]}], ",", 
   RowBox[{"\<\"Uranus\"\>", "\[Rule]", 
    TemplateBox[{
     "9.141802013724491324794`3.3647579628804034*^21", "\"kg\"", "kilograms", 
      "\"Kilograms\""},
     "Quantity"]}], ",", 
   RowBox[{"\<\"Neptune\"\>", "\[Rule]", 
    TemplateBox[{
     "2.1486889814509604147309`4.537272993178199*^22", "\"kg\"", "kilograms", 
      "\"Kilograms\""},
     "Quantity"]}]}], "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{
  3.741865146453856*^9, 3.741876425203869*^9, 3.74187948182583*^9, 
   3.741956405751567*^9, 3.742122969604557*^9, {3.742228620967306*^9, 
   3.7422286291009293`*^9}, 3.7694677825219183`*^9, 3.769956300709545*^9, 
   3.769959360595995*^9, 3.771887801313427*^9, 3.771923386099403*^9, 
   3.77193022066363*^9, 3.771930365147612*^9, 3.881423099405882*^9},
 CellLabel->"Out[465]=",
 CellID->237079367,ExpressionUUID->"d5c2ae26-d471-4ca6-ba3c-4e71a7fe3d23"]
}, Open  ]],

Cell["\<\
Essentially, working with deeply nested Associations is no different than \
working with less nested ones.\
\>", "Text",
 CellChangeTimes->{{3.740493095619956*^9, 3.740493115544261*^9}},
 CellTags->"LastCellOfAPage",
 CellID->2142934656,ExpressionUUID->"6ac74694-e79c-4110-a888-94b5dce44bfd"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Functions That Create Queries", "Subsection",
 CellChangeTimes->{{3.7771344509197197`*^9, 3.777134454833111*^9}},
 CellTags->"p: 137",
 CellID->319036314,ExpressionUUID->"fe1f0646-7c01-4467-a181-97c16dd74fae"],

Cell[TextData[{
 "One of the signature features of the Wolfram Language, along with other \
descendants of LISP, is the ability to write functions that create functions. \
You can thus write a function that generates a ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 ". This is a major advantage of the Wolfram ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " framework over constructs such as SQL, which is not built for symbolic \
query construction. Here, for example, I write a function, ",
 Cell[BoxData[
 "medianGrouper"], "InlineCodeText",ExpressionUUID->
  "673438c2-c5c8-440a-a2ad-f2d6af18bba2"],
 ", that groups its arguments according to some function ",
 Cell[BoxData[
 "f"], "InlineCodeText",ExpressionUUID->
  "b3281ff8-ed0b-464a-b9a4-bc8ef3d7fd69"],
 " and then finds, for each grouping, the median of the mapping of the \
function ",
 Cell[BoxData[
 "g"], "InlineCodeText",ExpressionUUID->
  "a46af8f2-5fdf-4a3e-b83b-a565830099dc"],
 " over each grouping. "
}], "Text",
 CellChangeTimes->{{3.740408850536088*^9, 3.740408906062386*^9}, {
   3.740408967481748*^9, 3.7404090245886707`*^9}, {3.740409873141615*^9, 
   3.740409882424099*^9}, {3.7416151063788633`*^9, 3.741615115176591*^9}, {
   3.742473214948989*^9, 3.742473260832296*^9}, {3.769467913762641*^9, 
   3.769467920078968*^9}, {3.7694682343342752`*^9, 3.769468239948292*^9}, {
   3.769516629762692*^9, 3.7695166536187677`*^9}, {3.771887825034569*^9, 
   3.771887828992103*^9}, {3.777049551967973*^9, 3.777049552465023*^9}, 
   3.7771344668103085`*^9, {3.777134979317554*^9, 3.7771350061142335`*^9}, 
   3.787754971387241*^9, 3.7877552153447037`*^9, {3.858105259059153*^9, 
   3.85810527396642*^9}, 3.8581053407323923`*^9, 3.868007189989653*^9, 
   3.8696618277607794`*^9},
 CellTags->"i:46",
 CellID->76174816,ExpressionUUID->"7d5da2fe-c024-4e71-938c-fb7dc81b49f9"],

Cell[TextData[{
 "Use a function to symbolically construct a ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.769516603072082*^9, 3.769516612820656*^9}, 
   3.7770421641600084`*^9, {3.7771350123358555`*^9, 3.7771350133759594`*^9}, 
   3.858254280676394*^9},
 CellID->1834255930,ExpressionUUID->"2513b7b1-82f1-4c14-afcf-782a5b4a4263"],

Cell[BoxData[
 RowBox[{
  RowBox[{"medianGrouper", "[", 
   RowBox[{"f_", ",", "g_"}], "]"}], ":=", 
  RowBox[{"Query", "[", 
   RowBox[{
    RowBox[{"GroupBy", "[", "f", "]"}], ",", "Median", ",", "g"}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.740408916501045*^9, 3.740408977563401*^9}, {
  3.85810529117831*^9, 3.858105292473962*^9}},
 CellLabel->"In[466]:=",
 CellID->369878900,ExpressionUUID->"45142d82-16f1-4257-87ac-001c626d944b"],

Cell[TextData[{
 "Here, I use ",
 Cell[BoxData[
 "medianGrouper"], "InlineCodeText",ExpressionUUID->
  "b3fcb499-6728-4d01-87bb-3e95575f9a66"],
 " to form a ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " named ",
 Cell[BoxData[
 "mga"], "InlineCodeText",ExpressionUUID->
  "6619ffc5-d690-4441-b81f-acb2de113b0c"],
 ". It groups data by a combination of its sex and class and then computes \
the median age of each grouping."
}], "Text",
 CellID->1736997882,ExpressionUUID->"ade544a6-a2c3-4f31-bb34-6f8c2155061d"],

Cell[TextData[{
 "Use a function to build a ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " that will group data by sex and class and then compute the median age for \
each grouping:"
}], "CodeText",
 CellChangeTimes->{{3.769516660737754*^9, 3.7695166846880903`*^9}, 
   3.7770421666800084`*^9, 3.8582544016887302`*^9},
 CellID->433414140,ExpressionUUID->"ec65eb18-2029-42b6-819e-ab5dfb439db6"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"mga", " ", "=", " ", 
  RowBox[{"medianGrouper", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"#sex", ",", "#class"}], "}"}], "&"}], ",", 
    RowBox[{"#age", "&"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.7404090365830708`*^9, 3.740409052984831*^9}, {
   3.74040913527949*^9, 3.740409150593988*^9}, 3.7404147039617*^9, {
   3.741691679804037*^9, 3.741691681277916*^9}},
 CellLabel->"In[467]:=",
 CellID->830705456,ExpressionUUID->"94a78f08-a721-45dc-b518-d527381cecf7"],

Cell[BoxData[
 RowBox[{"Query", "[", 
  RowBox[{
   RowBox[{"GroupBy", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"#sex", ",", "#class"}], "}"}], "&"}], "]"}], ",", "Median", 
   ",", 
   RowBox[{"#age", "&"}]}], "]"}]], "Output",
 CellChangeTimes->{
  3.740414738661056*^9, 3.740424262493876*^9, 3.740496184972192*^9, 
   3.7405004804498653`*^9, 3.741615134982705*^9, 3.741691702029971*^9, 
   3.7417736778427267`*^9, 3.7417752271585903`*^9, 3.741787998580121*^9, 
   3.741876424603466*^9, 3.7418794812569237`*^9, 3.741956405066936*^9, 
   3.742122968895114*^9, {3.769468290758254*^9, 3.7694682947549553`*^9}, 
   3.769956300818933*^9, 3.7699593607405252`*^9, 3.771887837979137*^9, 
   3.7719233861646957`*^9, 3.771930220705975*^9, 3.7719303652110147`*^9, 
   3.858105382396161*^9, 3.881423109742833*^9},
 CellLabel->"Out[467]=",
 CellID->867617317,ExpressionUUID->"dba00f54-0f39-4bab-a595-51c193dc1b64"]
}, Open  ]],

Cell["I apply the resulting function to the Titanic data.", "Text",
 CellChangeTimes->{{3.74040992907695*^9, 3.740409943239048*^9}, 
   3.741615126584888*^9, {3.742473296141746*^9, 3.7424733021174498`*^9}, {
   3.769468296841175*^9, 3.7694683018017187`*^9}, {3.769516695671323*^9, 
   3.769516697569642*^9}, {3.771887843423135*^9, 3.771887844470344*^9}, {
   3.7771350440250244`*^9, 3.777135052825904*^9}, {3.8581772787890453`*^9, 
   3.858177279711981*^9}},
 CellID->602799318,ExpressionUUID->"3a660138-d91e-45a2-a8ef-644dab57746d"],

Cell["The median ages of sex, cabin combinations on the Titanic:", "CodeText",
 CellChangeTimes->{{3.769516691452379*^9, 3.769516723244698*^9}, 
   3.7770421709120083`*^9},
 CellID->1889082535,ExpressionUUID->"3eb2d903-077b-4c49-96d3-f56839029b30"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"mga", "[", "titanic", "]"}]], "Input",
 CellChangeTimes->{{3.740409064731921*^9, 3.740409079497533*^9}, {
   3.740409162622171*^9, 3.740409168601406*^9}, 3.7404147046587677`*^9, 
   3.741615131162709*^9, {3.7694683038258123`*^9, 3.769468305151717*^9}, {
   3.76951670031244*^9, 3.7695167019508553`*^9}, {3.858105372954997*^9, 
   3.858105373596573*^9}},
 CellLabel->"In[468]:=",
 CellID->1567774727,ExpressionUUID->"a829c017-457f-421c-be25-b6a0f4d14db2"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{"\<\"female\"\>", ",", "\<\"1st\"\>"}], "}"}], "\[Rule]", "36"}],
    ",", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"\<\"male\"\>", ",", "\<\"1st\"\>"}], "}"}], "\[Rule]", "42"}], 
   ",", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"\<\"male\"\>", ",", "\<\"2nd\"\>"}], "}"}], "\[Rule]", 
    FractionBox["59", "2"]}], ",", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"\<\"female\"\>", ",", "\<\"2nd\"\>"}], "}"}], "\[Rule]", "28"}],
    ",", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"\<\"male\"\>", ",", "\<\"3rd\"\>"}], "}"}], "\[Rule]", "25"}], 
   ",", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"\<\"female\"\>", ",", "\<\"3rd\"\>"}], "}"}], "\[Rule]", 
    "22"}]}], "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{
  3.740414738742927*^9, 3.74042426254782*^9, 3.740496185136303*^9, 
   3.740500480584528*^9, {3.741615131465795*^9, 3.741615135115797*^9}, 
   3.741691704424306*^9, 3.741773677912436*^9, 3.741775227237831*^9, 
   3.741787998641945*^9, 3.741876424661737*^9, 3.741879481316244*^9, 
   3.741956405139597*^9, 3.7421229689632807`*^9, 3.7694683058711367`*^9, 
   3.769516702621756*^9, 3.7699563008582363`*^9, 3.769959360751432*^9, 
   3.769960900385353*^9, 3.7718878462109623`*^9, 3.771887885470518*^9, 
   3.771923386177298*^9, 3.771930220715849*^9, 3.7719303652434607`*^9, {
   3.85810537429608*^9, 3.85810538534931*^9}, 3.881423113655596*^9},
 CellLabel->"Out[468]=",
 CellID->759726627,ExpressionUUID->"7d0c9e03-557b-4e18-9153-917676219284"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Debugging Queries That Go Wrong", "Subsection",
 CellChangeTimes->{{3.771887899184531*^9, 3.771887904472945*^9}},
 CellID->874390307,ExpressionUUID->"691bb089-3270-4bdd-8157-3c3b0e145b7d"],

Cell[TextData[{
 "Unless you are an extraordinary programmer, your queries will create \
errors. An important skill in working with data is relaxing when these errors \
occur, being able to diagnose the root cause, and developing a fix. Of \
course, all the skills you\[CloseCurlyQuote]ve learned in other parts of \
Wolfram Language programming (and programming generally) apply here. Thus, \
techniques like reading the error message carefully, checking the spelling of \
your code (including capitalization), reading the documentation, looking up \
the error message in a search engine, and breaking the program up into pieces \
are all extremely useful. There are, however, some common and special errors \
associated with ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " that are useful to identify and study. There are further errors that can \
occur when the data is part of a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ", but I will defer examination of those errors until the Dataset chapter."
}], "Text",
 CellChangeTimes->{{3.742551624748261*^9, 3.7425517291031303`*^9}, {
   3.742555178121196*^9, 3.742555212510654*^9}, {3.742556891364489*^9, 
   3.742556966370206*^9}, {3.742557608410994*^9, 3.742557616951284*^9}, {
   3.769516826705359*^9, 3.769516859779461*^9}, {3.777135277614381*^9, 
   3.7771352953421535`*^9}, {3.7855207907901373`*^9, 3.785520820645587*^9}, {
   3.787755436376739*^9, 3.787755456777523*^9}, 3.787755516685495*^9, 
   3.78775555561876*^9, 3.787755610416245*^9, {3.858105394972665*^9, 
   3.858105418519418*^9}},
 CellTags->{"LastCellOfAPage", "i:47"},
 CellID->60318708,ExpressionUUID->"a93e7fe8-24d8-41a4-97d3-74ec253d4b12"],

Cell[CellGroupData[{

Cell["Results That Make No Sense", "Subsubsection",
 CellChangeTimes->{{3.7425567758553963`*^9, 3.742556782127562*^9}, {
  3.7770427102730083`*^9, 3.7770427377910085`*^9}},
 CellTags->"p: 138",
 CellID->1312073658,ExpressionUUID->"86cc65d3-4198-4b13-8f96-620ff4dca7b7"],

Cell["\<\
Suppose I want to group my dinghy data by passenger class, get the ages of \
the passengers, and then sort the list of ages within each passenger group. \
Here\[CloseCurlyQuote]s my first (flawed) attempt.\
\>", "Text",
 CellChangeTimes->{{3.742556793514773*^9, 3.7425568214709663`*^9}, {
   3.7425571091015873`*^9, 3.742557142448406*^9}, {3.7695167330078173`*^9, 
   3.7695167352669363`*^9}, 3.769956196949173*^9, {3.7771353025808773`*^9, 
   3.777135312941913*^9}, {3.867836484259954*^9, 3.8678364854675474`*^9}},
 CellID->966364523,ExpressionUUID->"827b682a-9220-475b-8eea-9e4778843f90"],

Cell[TextData[{
 "Errors can occur if one forgets that ",
 ButtonBox["Sort",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Sort.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Sort.html"],
 " is a descending operator:"
}], "CodeText",
 CellChangeTimes->{{3.769516868359809*^9, 3.76951688191151*^9}, {
   3.769516937741106*^9, 3.7695169390996723`*^9}, 3.7770421748310084`*^9, 
   3.777135321670786*^9, {3.8679405028499904`*^9, 3.8679405055099945`*^9}},
 CellID->1036411059,ExpressionUUID->"67830d9e-9935-4512-a9f7-828fc268fbb4"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"GroupBy", "[", 
      RowBox[{"#class", "&"}], "]"}], "/*", "Sort"}], ",", "All", ",", 
    RowBox[{"#age", "&"}]}], "]"}], "[", "dinghy", "]"}]], "Input",
 CellChangeTimes->{{3.742556785100729*^9, 3.742556786394174*^9}, {
   3.742556826008396*^9, 3.7425568782231493`*^9}, {3.742557041593305*^9, 
   3.742557096769044*^9}, {3.742557364006213*^9, 3.7425573736026487`*^9}, {
   3.769468354982748*^9, 3.769468370112742*^9}, 3.769956235416794*^9},
 CellLabel->"In[469]:=",
 CellID->661572791,ExpressionUUID->"914ed18d-6eac-46c7-85d0-d99b73d23597"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"1st\"\>", "\[Rule]", 
    RowBox[{"{", "65", "}"}]}], ",", 
   RowBox[{"\<\"3rd\"\>", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"16", ",", "2", ",", 
      RowBox[{"Missing", "[", "]"}], ",", "18"}], "}"}]}]}], 
  "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{{3.742556850829342*^9, 3.74255687853655*^9}, {
   3.742557042230151*^9, 3.742557044611775*^9}, {3.742557079094865*^9, 
   3.742557097604794*^9}, 3.742557367700086*^9, {3.769468357869359*^9, 
   3.7694683706774073`*^9}, 3.769956300964471*^9, 3.769959360862053*^9, 
   3.771887934530505*^9, 3.7719233862136993`*^9, 3.7719302207541018`*^9, 
   3.771930365253544*^9, 3.881423126553866*^9},
 CellLabel->"Out[469]=",
 CellID->1663184917,ExpressionUUID->"9221736d-7bac-4c6d-ad82-a90c27529eca"]
}, Open  ]],

Cell[TextData[{
 "This ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " works, but it gets the wrong answer. The ages are not sorted properly. \
Very frequently, in my experience, ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " errors result from misunderstandings about order of operations. "
}], "Text",
 CellChangeTimes->{{3.7425571466292133`*^9, 3.7425571992387123`*^9}, {
   3.769468378423696*^9, 3.76946838245536*^9}, {3.7771356568001537`*^9, 
   3.777135667160082*^9}, 3.7771358684309216`*^9, 3.858105446340877*^9, {
   3.8678371911036344`*^9, 3.8678371911880236`*^9}},
 CellID->2034006300,ExpressionUUID->"565eeaa2-0d10-4aa3-9790-435674d184ec"],

Cell[TextData[{
 "I\[CloseCurlyQuote]ll do a ",
 ButtonBox["Normal",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Normal.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Normal.html"],
 " transformation of the ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " and see what is going on:"
}], "CodeText",
 CellChangeTimes->{{3.7771358696879215`*^9, 3.7771358727019215`*^9}, 
   3.867837214077099*^9, {3.86794251927087*^9, 3.8679425209167395`*^9}},
 CellID->391881533,ExpressionUUID->"abd7db96-4e86-446a-b9d4-25515bcc86a1"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Normal", "[", 
  RowBox[{"Query", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"GroupBy", "[", 
      RowBox[{"#class", "&"}], "]"}], "/*", "Sort"}], ",", "All", ",", 
    RowBox[{"#age", "&"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.7425572017811728`*^9, 3.742557211385952*^9}, {
  3.7425574048745728`*^9, 3.742557409432012*^9}},
 CellLabel->"In[470]:=",
 CellID->1589325054,ExpressionUUID->"62ec8c83-191d-4277-991f-cd63e20627de"],

Cell[BoxData[
 RowBox[{
  RowBox[{"GroupBy", "[", 
   RowBox[{"#class", "&"}], "]"}], "/*", "Sort", "/*", 
  RowBox[{"Map", "[", 
   RowBox[{"Map", "[", 
    RowBox[{"#age", "&"}], "]"}], "]"}]}]], "Output",
 CellChangeTimes->{3.7425572116952667`*^9, 3.76946838706308*^9, 
  3.769956301002697*^9, 3.769959360901112*^9, 3.771887948030135*^9, 
  3.771923386225904*^9, 3.771930220765749*^9, 3.7719303652883387`*^9, 
  3.881423134004537*^9},
 CellLabel->"Out[470]=",
 CellID->171164316,ExpressionUUID->"3badcd08-dca6-4a5a-b16c-48a2972583cc"]
}, Open  ]],

Cell[TextData[{
 "We can see that at the time the ",
 ButtonBox["Sort",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Sort.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Sort.html"],
 " operation occurs, the kernel has not isolated the age column, so \
Associations are being sorted as a whole rather than on just their age \
component. I now realize I need to change the order of operations. We\
\[CloseCurlyQuote]ve looked at several techniques in this chapter about how \
to do so. Here\[CloseCurlyQuote]s a simple fix: subordinate the precedence of \
",
 ButtonBox["Sort",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Sort.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Sort.html"],
 " by wrapping ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " around it."
}], "Text",
 CellChangeTimes->{{3.74255721562772*^9, 3.742557277567995*^9}, {
  3.742557391357649*^9, 3.742557428092325*^9}, {3.771888165561784*^9, 
  3.771888182186502*^9}, {3.7771358837629213`*^9, 3.7771359147959213`*^9}, {
  3.865499449664555*^9, 3.865499449912943*^9}, {3.8696623812655745`*^9, 
  3.8696624036188154`*^9}},
 CellID->194626101,ExpressionUUID->"fc45481b-e713-45e9-bbc7-df6b35a31d97"],

Cell[TextData[{
 "Change the order of operations by moving the position of the operands to ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.769516952505537*^9, 3.7695169656679277`*^9}, 
   3.7770421782080083`*^9, 3.777136070556921*^9},
 CellID->637003440,ExpressionUUID->"dcd780f8-6df0-49ed-816a-6e9d43467a93"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Normal", "[", 
  RowBox[{"Query", "[", 
   RowBox[{
    RowBox[{"GroupBy", "[", 
     RowBox[{"#class", "&"}], "]"}], ",", 
    RowBox[{"Query", "[", "Sort", "]"}], ",", 
    RowBox[{"#age", "&"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.7425572017811728`*^9, 3.742557211385952*^9}, {
   3.742557280219768*^9, 3.742557300185289*^9}, {3.742557336290985*^9, 
   3.742557355064561*^9}, {3.769468406778598*^9, 3.769468408650682*^9}, 
   3.769956236044526*^9, {3.771888000602302*^9, 3.7718880139788647`*^9}, {
   3.7718880748462877`*^9, 3.7718880812342997`*^9}, {3.77188815224921*^9, 
   3.771888152790369*^9}},
 CellLabel->"In[471]:=",
 CellID->369074142,ExpressionUUID->"5d2149db-d018-42ef-adb8-c638d2df08e4"],

Cell[BoxData[
 RowBox[{
  RowBox[{"GroupBy", "[", 
   RowBox[{"#class", "&"}], "]"}], "/*", 
  RowBox[{"Map", "[", 
   RowBox[{
    RowBox[{"Map", "[", 
     RowBox[{"#age", "&"}], "]"}], "/*", "Sort"}], "]"}]}]], "Output",
 CellChangeTimes->{{3.771888008523493*^9, 3.7718880142232*^9}, 
   3.771888082062769*^9, 3.771888153600878*^9, 3.7719233862609873`*^9, 
   3.771930220803101*^9, 3.771930365296866*^9, 3.881423139711557*^9},
 CellLabel->"Out[471]=",
 CellID->299514872,ExpressionUUID->"c3963055-c552-43e3-b704-36bec7946708"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{
    RowBox[{"GroupBy", "[", 
     RowBox[{"#class", "&"}], "]"}], ",", 
    RowBox[{"Query", "[", "Sort", "]"}], ",", 
    RowBox[{"#age", "&"}]}], "]"}], "[", "dinghy", "]"}]], "Input",
 CellChangeTimes->{{3.7718880353749638`*^9, 3.771888053003365*^9}, {
  3.771888159571224*^9, 3.771888162013081*^9}},
 CellLabel->"In[472]:=",
 CellID->1269345407,ExpressionUUID->"446c9c36-1878-4070-ad99-ca992e1fc497"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"3rd\"\>", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"2", ",", "16", ",", "18", ",", 
      RowBox[{"Missing", "[", "]"}]}], "}"}]}], ",", 
   RowBox[{"\<\"1st\"\>", "\[Rule]", 
    RowBox[{"{", "65", "}"}]}]}], "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{{3.7718880368863*^9, 3.77188804813183*^9}, 
   3.771888083794503*^9, 3.771888163095125*^9, 3.771923386273367*^9, 
   3.7719302208152847`*^9, 3.771930365333479*^9, 3.8814231423466463`*^9},
 CellLabel->"Out[472]=",
 CellID->772587599,ExpressionUUID->"7c57ed37-547d-4edb-9a87-3ae4a41983af"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["The Failure to Obtain Any Result at All", "Subsubsection",
 CellChangeTimes->{{3.742551732021854*^9, 3.742551740096281*^9}, {
  3.7770427411660085`*^9, 3.7770427524220085`*^9}},
 CellID->930901965,ExpressionUUID->"2adf05d8-ff5c-4fe4-97c5-d248c8a10dc8"],

Cell[TextData[{
 "Sometimes a ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " will not produce a result at all. Instead, one obtains a ",
 ButtonBox["Failure",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Failure.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Failure.html"],
 " object. Here\[CloseCurlyQuote]s one where I use ",
 ButtonBox["IntegerDigits",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/IntegerDigits.html"], 
    None},
  ButtonNote->"https://reference.wolfram.com/language/ref/IntegerDigits.html"],
 " to obtain the second digit of the passengers\[CloseCurlyQuote] ages. This \
would seem to work\[LongDash]at least so long as the passengers\
\[CloseCurlyQuote] ages have two digits."
}], "Text",
 CellChangeTimes->{{3.7425518244432383`*^9, 3.7425519031919937`*^9}, {
   3.777136171632921*^9, 3.777136178129921*^9}, 3.787756362240985*^9, {
   3.858105484443219*^9, 3.858105488100957*^9}, {3.86966243836605*^9, 
   3.8696624454448123`*^9}, {3.896355214170431*^9, 3.896355214642453*^9}},
 CellTags->"i:48",
 CellID->1569454109,ExpressionUUID->"e9b694cf-cc69-40e7-9e70-bc6b5f23c2f6"],

Cell[TextData[{
 "By default, if ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " finds any errors, it returns a ",
 ButtonBox["Failure",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Failure.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Failure.html"],
 " object:"
}], "CodeText",
 CellChangeTimes->{{3.769516978925325*^9, 3.769516990120205*^9}, 
   3.7770421851660085`*^9, {3.7771363579149213`*^9, 3.777136366049921*^9}, 
   3.86784118752394*^9},
 CellID->2125442969,ExpressionUUID->"6662e84d-444f-4e18-ba2e-90008e08c83f"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{"All", ",", 
    RowBox[{
     RowBox[{
      RowBox[{"IntegerDigits", "[", "#age", "]"}], "[", 
      RowBox[{"[", "2", "]"}], "]"}], "&"}]}], "]"}], "[", "titanic", 
  "]"}]], "Input",
 CellChangeTimes->{{3.742551492697179*^9, 3.742551501183804*^9}, {
  3.742551539545876*^9, 3.74255160604003*^9}, {3.742551750463167*^9, 
  3.7425518084299383`*^9}, {3.742553206759508*^9, 3.742553211971922*^9}, {
  3.85816611421032*^9, 3.85816613151379*^9}},
 CellLabel->"In[473]:=",
 CellID->1494040969,ExpressionUUID->"4702f4b8-cf7f-4a27-92f4-07f4c9454ef9"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   TagBox["Failure",
    "SummaryHead"], "[", 
   DynamicModuleBox[{Typeset`open$$ = False, Typeset`embedState$$ = "Ready"}, 
    TemplateBox[{
      PaneSelectorBox[{False -> GridBox[{{
            FrameBox[
             StyleBox["\"\[WarningSign]\"", 
              Directive["Message", 35], StripOnInput -> False], 
             ContentPadding -> False, FrameStyle -> None, 
             FrameMargins -> {{0, 0}, {0, 0}}, StripOnInput -> False], 
            GridBox[{{
               TagBox[
                GridBox[{{
                   TagBox["\"Message: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox[
                   "\"Part \\!\\(\\*TagBox[\\\"2\\\", Function[Short[Slot[1], \
5]]]\\) of \\!\\(\\*TagBox[RowBox[{\\\"{\\\", \\\"1\\\", \\\"}\\\"}], \
Function[Short[Slot[1], 5]]]\\) does not exist.\"", "SummaryItem"]}}, 
                 GridBoxItemSize -> {"Columns" -> {6.5, All, Automatic}}, 
                 GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                 GridBoxSpacings -> {"Columns" -> {{0}}}], "SummaryItem"]}, {
               TagBox[
                GridBox[{{
                   TagBox["\"Tag: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox["Part", "SummaryItem"]}}, 
                 GridBoxItemSize -> {"Columns" -> {6.5, All, Automatic}}, 
                 GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                 GridBoxSpacings -> {"Columns" -> {{0}}}], "SummaryItem"]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
             False, GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{2}}, "Rows" -> {{Automatic}}},
              BaseStyle -> {
              ShowStringCharacters -> False, NumberMarks -> False, 
               PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
          GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
          AutoDelete -> False, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
          BaselinePosition -> {1, 1}], True -> GridBox[{{
            FrameBox[
             StyleBox["\"\[WarningSign]\"", 
              Directive["Message", 35], StripOnInput -> False], 
             ContentPadding -> False, FrameStyle -> None, 
             FrameMargins -> {{0, 0}, {0, 0}}, StripOnInput -> False], 
            GridBox[{{
               TagBox[
                GridBox[{{
                   TagBox["\"Message: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox[
                   "\"Part \\!\\(\\*TagBox[\\\"2\\\", Function[Short[Slot[1], \
5]]]\\) of \\!\\(\\*TagBox[RowBox[{\\\"{\\\", \\\"1\\\", \\\"}\\\"}], \
Function[Short[Slot[1], 5]]]\\) does not exist.\"", "SummaryItem"]}}, 
                 GridBoxItemSize -> {"Columns" -> {6.5, All, Automatic}}, 
                 GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                 GridBoxSpacings -> {"Columns" -> {{0}}}], "SummaryItem"]}, {
               TagBox[
                GridBox[{{
                   TagBox["\"Tag: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox["Part", "SummaryItem"]}}, 
                 GridBoxItemSize -> {"Columns" -> {6.5, All, Automatic}}, 
                 GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                 GridBoxSpacings -> {"Columns" -> {{0}}}], "SummaryItem"]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
             False, GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{2}}, "Rows" -> {{Automatic}}},
              BaseStyle -> {
              ShowStringCharacters -> False, NumberMarks -> False, 
               PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
          GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
          AutoDelete -> False, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
          BaselinePosition -> {1, 1}]}, 
       Dynamic[Typeset`open$$], ImageSize -> Automatic]},
     "SummaryPanel"],
    DynamicModuleValues:>{}], "]"}],
  Failure[
  Part, <|"MessageTemplate" :> MessageName[Part, "partw"], 
    "MessageParameters" -> {
      HoldForm[2], 
      HoldForm[{1}]}|>],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{
  3.742551571693283*^9, 3.742551611390874*^9, {3.74255176363899*^9, 
   3.742551809350239*^9}, 3.769468458431147*^9, 3.7699563010658827`*^9, 
   3.769959360947833*^9, 3.7699609368238773`*^9, 3.771888207980242*^9, 
   3.771888241332382*^9, 3.771923386309916*^9, 3.771930220982706*^9, 
   3.771930365370306*^9, {3.8581661191198597`*^9, 3.858166132007907*^9}, 
   3.881423147621853*^9},
 CellTags->"LastCellOfAPage",
 CellLabel->"Out[473]=",
 CellID->1430829980,ExpressionUUID->"b36a4da3-f1c6-4908-a3a6-63ecfe96ad3e"]
}, Open  ]],

Cell[TextData[{
 "This ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " fails for two reasons. The second will be discussed later. The first is \
that some of the passengers are less than 10 years old; there is no second \
base-10 digit to their age. As it happens, I could eliminate this particular \
problem by writing the ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " as shown. "
}], "Text",
 CellChangeTimes->{{3.7425519070170193`*^9, 3.7425519748538218`*^9}, {
   3.769468504891675*^9, 3.7694685062066603`*^9}, {3.7694686000074863`*^9, 
   3.769468630528458*^9}, {3.7771363784869213`*^9, 3.777136390718921*^9}, {
   3.858105508639163*^9, 3.858105518508273*^9}, {3.858166145228766*^9, 
   3.8581662209059067`*^9}, {3.865499504181076*^9, 3.865499505327648*^9}, 
   3.867841502643664*^9, {3.867841546122697*^9, 3.867841546980076*^9}, {
   3.8679405391618958`*^9, 3.867940539919816*^9}, {3.8696624844366665`*^9, 
   3.869662493629011*^9}},
 CellTags->"p: 139",
 CellID->319812624,ExpressionUUID->"5cf2f7a9-7f86-4286-8ae2-a578e00a5103"],

Cell[TextData[{
 "Using ",
 ButtonBox["Last",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Last.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Last.html"],
 " lets the ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " succeed when there is only one item in the list of digits:"
}], "CodeText",
 CellChangeTimes->{{3.8856568391914062`*^9, 3.885656939247555*^9}},
 CellID->1578711394,ExpressionUUID->"b6fc524d-68d5-49e0-a061-336fb0c69d03"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Query", "[", 
    RowBox[{"All", ",", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"IntegerDigits", "[", "#age", "]"}], "&"}], ")"}], "/*", 
      "Last"}]}], "]"}], "[", "titanic", "]"}], "//", 
  RowBox[{
   InterpretationBox[
    TagBox[
     DynamicModuleBox[{Typeset`open = False}, 
      FrameBox[
       PaneSelectorBox[{False->GridBox[{
          {
           PaneBox[GridBox[{
              {
               StyleBox[
                StyleBox[
                 AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                  BoxBaselineShift->-0.25,
                  BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                 
                 FontColor->RGBColor[
                  0.8745098039215686, 0.2784313725490196, 
                   0.03137254901960784]],
                ShowStringCharacters->False,
                FontFamily->"Source Sans Pro Black",
                FontSize->0.6538461538461539 Inherited,
                FontWeight->"Heavy",
                PrivateFontOptions->{"OperatorSubstitution"->False}], 
               StyleBox[
                RowBox[{
                 StyleBox["Terse", "ResourceFunctionLabel"], " "}],
                ShowAutoStyles->False,
                ShowStringCharacters->False,
                FontSize->Rational[12, 13] Inherited,
                FontColor->GrayLevel[0.1]]}
             },
             GridBoxSpacings->{"Columns" -> {{0.25}}}],
            Alignment->Left,
            BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
            BaselinePosition->Baseline,
            FrameMargins->{{3, 0}, {0, 0}}], 
           ItemBox[
            PaneBox[
             TogglerBox[Dynamic[Typeset`open], {True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeCloser"],
               ImageSizeCache->{11., {2., 9.}}], False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeOpener"],
               ImageSizeCache->{11., {2., 9.}}]},
              Appearance->None,
              BaselinePosition->Baseline,
              ContentPadding->False,
              FrameMargins->0],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{1, 1}, {0, 0}}],
            Frame->{{
               RGBColor[
               0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                0.5], False}, {False, False}}]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
         GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
        GridBox[{
          {GridBox[{
             {
              PaneBox[GridBox[{
                 {
                  StyleBox[
                   StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                   ShowStringCharacters->False,
                   FontFamily->"Source Sans Pro Black",
                   FontSize->0.6538461538461539 Inherited,
                   FontWeight->"Heavy",
                   PrivateFontOptions->{"OperatorSubstitution"->False}], 
                  StyleBox[
                   RowBox[{
                    StyleBox["Terse", "ResourceFunctionLabel"], " "}],
                   ShowAutoStyles->False,
                   ShowStringCharacters->False,
                   FontSize->Rational[12, 13] Inherited,
                   FontColor->GrayLevel[0.1]]}
                },
                GridBoxSpacings->{"Columns" -> {{0.25}}}],
               Alignment->Left,
               BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
               BaselinePosition->Baseline,
               FrameMargins->{{3, 0}, {0, 0}}], 
              ItemBox[
               PaneBox[
                TogglerBox[Dynamic[Typeset`open], {True->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeCloser"]], False->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeOpener"]]},
                 Appearance->None,
                 BaselinePosition->Baseline,
                 ContentPadding->False,
                 FrameMargins->0],
                Alignment->Left,
                BaselinePosition->Baseline,
                FrameMargins->{{1, 1}, {0, 0}}],
               Frame->{{
                  RGBColor[
                  0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                   0.5], False}, {False, False}}]}
            },
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
          {
           StyleBox[
            PaneBox[GridBox[{
               {
                RowBox[{
                 TagBox["\<\"Version (latest): \"\>",
                  "IconizedLabel"], " ", 
                 TagBox["\<\"1.0.0\"\>",
                  "IconizedItem"]}]},
               {
                TagBox[
                 
                 TemplateBox[{
                  "\"Documentation \[RightGuillemet]\"", 
                   "https://www.wolframcloud.com/obj/resourcesystem/published/\
FunctionRepository/resources/Terse"},
                  "HyperlinkURL"],
                 "IconizedItem"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
            FontFamily->"Roboto",
            FontSize->11]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
              GrayLevel[0.8]}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
        Typeset`open],
        BaselinePosition->Baseline,
        ImageSize->Automatic],
       Background->RGBColor[
        0.9686274509803922, 0.9764705882352941, 0.984313725490196],
       BaselinePosition->Baseline,
       DefaultBaseStyle->{},
       FrameMargins->{{0, 0}, {1, 0}},
       FrameStyle->RGBColor[
        0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
       RoundingRadius->4]],
     {"FunctionResourceBox", 
      RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
      "Terse"},
     TagBoxNote->"FunctionResourceBox"],
    ResourceFunction[
     ResourceObject[<|
      "Name" -> "Terse", "ShortName" -> "Terse", "UUID" -> 
       "6809487c-44ed-4a55-a610-ab706ebb8661", "ResourceType" -> "Function", 
       "Version" -> "1.0.0", "Description" -> "An operator form of Short", 
       "RepositoryLocation" -> 
       URL["https://www.wolframcloud.com/objects/resourcesystem/api/1.0"], 
       "SymbolName" -> 
       "FunctionRepository`$369a78f89aa2413eb5b19a962ce89cd7`Terse", 
       "FunctionLocation" -> 
       CloudObject[
        "https://www.wolframcloud.com/obj/c1820918-b759-4685-b9b8-\
c971a81216b5"]|>, ResourceSystemBase -> Automatic]],
    Selectable->False], "[", "5", "]"}]}]], "Input",
 CellChangeTimes->{{3.858166229582548*^9, 3.858166263063612*^9}},
 CellLabel->"In[474]:=",
 CellID->916747993,ExpressionUUID->"492af36c-f4dd-41c5-a60c-b4d9e876f057"],

Cell[BoxData[
 TagBox[
  RowBox[{"{", 
   RowBox[{
   "9", ",", "1", ",", "2", ",", "0", ",", "5", ",", "8", ",", "3", ",", "9", 
    ",", "3", ",", "1", ",", "7", ",", "8", ",", "4", ",", "6", ",", "0", ",", 
    RowBox[{"Missing", "[", "]"}], ",", "4", ",", "0", ",", "2", ",", "6", 
    ",", "7", ",", "7", ",", "6", ",", "2", ",", "9", ",", 
    RowBox[{"\[LeftSkeleton]", "1259", "\[RightSkeleton]"}], ",", 
    RowBox[{"Missing", "[", "]"}], ",", "3", ",", "8", ",", "1", ",", "8", 
    ",", "1", ",", "7", ",", 
    RowBox[{"Missing", "[", "]"}], ",", 
    RowBox[{"Missing", "[", "]"}], ",", 
    RowBox[{"Missing", "[", "]"}], ",", "9", ",", "1", ",", "7", ",", 
    RowBox[{"Missing", "[", "]"}], ",", "6", ",", "7", ",", "5", ",", "6", 
    ",", 
    RowBox[{"Missing", "[", "]"}], ",", 
    RowBox[{"Missing", "[", "]"}], ",", "5", ",", 
    RowBox[{"Missing", "[", "]"}], ",", "7", ",", "7", ",", "9"}], "}"}],
  Short[#, 5]& ]], "Output",
 CellChangeTimes->{{3.8581662453981256`*^9, 3.8581662633600273`*^9}, 
   3.881423152320664*^9},
 CellLabel->"Out[474]//Short=",
 CellID->94946584,ExpressionUUID->"1bc9b8fa-3cfa-47c0-a7d9-46146373163c"]
}, Open  ]],

Cell["\<\
But suppose I did not know the data well enough to realize this problem? Or \
suppose the error was more subtle? \
\>", "Text",
 CellChangeTimes->{{3.7425519070170193`*^9, 3.7425519748538218`*^9}, {
  3.769468504891675*^9, 3.7694685062066603`*^9}, {3.7694686000074863`*^9, 
  3.769468630528458*^9}, {3.7771363784869213`*^9, 3.777136390718921*^9}, {
  3.858105508639163*^9, 3.858105518508273*^9}, {3.858166145228766*^9, 
  3.8581662083427258`*^9}, {3.867940545038114*^9, 3.8679405456046953`*^9}, {
  3.869666406839061*^9, 3.86966640758138*^9}},
 CellID->1926433655,ExpressionUUID->"3bce51f5-d07c-498f-9baf-27a0797fa8fc"],

Cell[TextData[{
 "First, I might want to just ram through the ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " and get it to work on as much of the data as possible. That is, maybe 99% \
of the rows work just fine and that\[CloseCurlyQuote]s all I care about. A ",
 ButtonBox["Failure",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Failure.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Failure.html"],
 " object can be annoying in these circumstances. To ignore the failed items, \
I add an option at the end of the ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 ", ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["FailureAction",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/FailureAction.html"], 
      None},
    ButtonNote->
     "https://reference.wolfram.com/language/ref/FailureAction.html"], 
   ButtonBox[
    StyleBox["->",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Rule.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Rule.html"], 
   ButtonBox[
    StyleBox["None",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/None.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/None.html"]}]], 
  "InlineCodeText",ExpressionUUID->"06449a64-0610-425b-a30c-daf505ded293"],
 ". One of the things that makes Queries different from their ",
 ButtonBox["Normal",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Normal.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Normal.html"],
 " form is that ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " has error handling built in. The default option means that the computation \
generates a ",
 ButtonBox["Failure",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Failure.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Failure.html"],
 " object when an error occurs. There\[CloseCurlyQuote]s no \
\[OpenCurlyDoubleQuote]partial credit.\[CloseCurlyDoubleQuote]"
}], "Text",
 CellChangeTimes->{{3.742552050933264*^9, 3.742552067054846*^9}, {
   3.7425520992369823`*^9, 3.742552157110862*^9}, {3.742552209943914*^9, 
   3.7425522453569193`*^9}, {3.7694684744794893`*^9, 3.769468558064152*^9}, {
   3.76946864387598*^9, 3.769468690873969*^9}, {3.769516998099204*^9, 
   3.769517024924032*^9}, 3.771888220670843*^9, {3.7770410278104105`*^9, 
   3.777041030559685*^9}, {3.777136399442921*^9, 3.7771364304139214`*^9}, {
   3.777136481603921*^9, 3.777136484724921*^9}, {3.7771365698129215`*^9, 
   3.777136583235921*^9}, 3.785520930571846*^9, 3.7877564529184237`*^9, 
   3.787756555137739*^9, {3.858105546431559*^9, 3.858105569618353*^9}, {
   3.8677557409766846`*^9, 3.8677557409766846`*^9}, {3.8678429437901077`*^9, 
   3.8678429446252747`*^9}, {3.8696625113367686`*^9, 3.8696625115538063`*^9}},
 CellTags->"i:49",
 CellID->255968431,ExpressionUUID->"e05c0ab6-5d5d-4dad-b630-dc972d01a821"],

Cell["\<\
In this instance, shutting off the error checking is fairly helpful. I can \
see more clearly that the code is trying to take the second part of lists \
that have just one part. \
\>", "Text",
 CellChangeTimes->{{3.742552050933264*^9, 3.742552067054846*^9}, {
  3.7425520992369823`*^9, 3.742552157110862*^9}, {3.742552209943914*^9, 
  3.7425522453569193`*^9}, {3.7694684744794893`*^9, 3.769468554421301*^9}, {
  3.769468685044573*^9, 3.7694687136198063`*^9}, {3.769517047623994*^9, 
  3.769517048122046*^9}},
 CellID->1714225670,ExpressionUUID->"0dcadf34-efc1-41e9-8d26-84e356aa6374"],

Cell[TextData[{
 "Avoid ",
 ButtonBox["Failure",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Failure.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Failure.html"],
 " returns by setting ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["FailureAction",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/FailureAction.html"], 
      None},
    ButtonNote->
     "https://reference.wolfram.com/language/ref/FailureAction.html"], " ", 
   ButtonBox[
    StyleBox["\[Rule]",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Rule.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Rule.html"], " ", 
   ButtonBox[
    StyleBox["None",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/None.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/None.html"]}]], 
  "InlineCode",ExpressionUUID->"5ee984f5-5afc-421c-a8be-72da46fc0b83"],
 " as an option to ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 ":"
}], "CodeText",
 CellID->1184318856,ExpressionUUID->"ae6fbb15-8d12-4e34-a93d-5aa7c594fecb"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"Query", "[", 
     RowBox[{"All", ",", 
      RowBox[{
       RowBox[{
        RowBox[{"IntegerDigits", "[", "#age", "]"}], "[", 
        RowBox[{"[", "2", "]"}], "]"}], "&"}], ",", 
      RowBox[{"FailureAction", "\[Rule]", "None"}]}], "]"}], "[", "titanic", 
    "]"}], ")"}], "//", 
  RowBox[{
   InterpretationBox[
    TagBox[
     DynamicModuleBox[{Typeset`open = False}, 
      FrameBox[
       PaneSelectorBox[{False->GridBox[{
          {
           PaneBox[GridBox[{
              {
               StyleBox[
                StyleBox[
                 AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                  BoxBaselineShift->-0.25,
                  BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                 
                 FontColor->RGBColor[
                  0.8745098039215686, 0.2784313725490196, 
                   0.03137254901960784]],
                ShowStringCharacters->False,
                FontFamily->"Source Sans Pro Black",
                FontSize->0.6538461538461539 Inherited,
                FontWeight->"Heavy",
                PrivateFontOptions->{"OperatorSubstitution"->False}], 
               StyleBox[
                RowBox[{
                 StyleBox["Terse", "ResourceFunctionLabel"], " "}],
                ShowAutoStyles->False,
                ShowStringCharacters->False,
                FontSize->Rational[12, 13] Inherited,
                FontColor->GrayLevel[0.1]]}
             },
             GridBoxSpacings->{"Columns" -> {{0.25}}}],
            Alignment->Left,
            BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
            BaselinePosition->Baseline,
            FrameMargins->{{3, 0}, {0, 0}}], 
           ItemBox[
            PaneBox[
             TogglerBox[Dynamic[Typeset`open], {True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeCloser"],
               ImageSizeCache->{11., {2., 9.}}], False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeOpener"],
               ImageSizeCache->{11., {2., 9.}}]},
              Appearance->None,
              BaselinePosition->Baseline,
              ContentPadding->False,
              FrameMargins->0],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{1, 1}, {0, 0}}],
            Frame->{{
               RGBColor[
               0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                0.5], False}, {False, False}}]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
         GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
        GridBox[{
          {GridBox[{
             {
              PaneBox[GridBox[{
                 {
                  StyleBox[
                   StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                   ShowStringCharacters->False,
                   FontFamily->"Source Sans Pro Black",
                   FontSize->0.6538461538461539 Inherited,
                   FontWeight->"Heavy",
                   PrivateFontOptions->{"OperatorSubstitution"->False}], 
                  StyleBox[
                   RowBox[{
                    StyleBox["Terse", "ResourceFunctionLabel"], " "}],
                   ShowAutoStyles->False,
                   ShowStringCharacters->False,
                   FontSize->Rational[12, 13] Inherited,
                   FontColor->GrayLevel[0.1]]}
                },
                GridBoxSpacings->{"Columns" -> {{0.25}}}],
               Alignment->Left,
               BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
               BaselinePosition->Baseline,
               FrameMargins->{{3, 0}, {0, 0}}], 
              ItemBox[
               PaneBox[
                TogglerBox[Dynamic[Typeset`open], {True->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeCloser"]], False->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeOpener"]]},
                 Appearance->None,
                 BaselinePosition->Baseline,
                 ContentPadding->False,
                 FrameMargins->0],
                Alignment->Left,
                BaselinePosition->Baseline,
                FrameMargins->{{1, 1}, {0, 0}}],
               Frame->{{
                  RGBColor[
                  0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                   0.5], False}, {False, False}}]}
            },
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
          {
           StyleBox[
            PaneBox[GridBox[{
               {
                RowBox[{
                 TagBox["\<\"Version (latest): \"\>",
                  "IconizedLabel"], " ", 
                 TagBox["\<\"1.0.0\"\>",
                  "IconizedItem"]}]},
               {
                TagBox[
                 
                 TemplateBox[{
                  "\"Documentation \[RightGuillemet]\"", 
                   "https://resources.wolframcloud.com/FunctionRepository/\
resources/6809487c-44ed-4a55-a610-ab706ebb8661/"},
                  "HyperlinkURL"],
                 "IconizedItem"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
            FontFamily->"Roboto",
            FontSize->11]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
              GrayLevel[0.8]}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
        Typeset`open],
        BaselinePosition->Baseline,
        ImageSize->Automatic],
       Background->RGBColor[
        0.9686274509803922, 0.9764705882352941, 0.984313725490196],
       BaselinePosition->Baseline,
       DefaultBaseStyle->{},
       FrameMargins->{{0, 0}, {1, 0}},
       FrameStyle->RGBColor[
        0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
       RoundingRadius->4]],
     {"FunctionResourceBox", 
      RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
      "Terse"},
     TagBoxNote->"FunctionResourceBox"],
    ResourceFunction[
     ResourceObject[<|
      "Name" -> "Terse", "ShortName" -> "Terse", "UUID" -> 
       "6809487c-44ed-4a55-a610-ab706ebb8661", "ResourceType" -> "Function", 
       "Version" -> "1.0.0", "Description" -> "An operator form of Short", 
       "RepositoryLocation" -> 
       URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
       "SymbolName" -> 
       "FunctionRepository`$369a78f89aa2413eb5b19a962ce89cd7`Terse", 
       "FunctionLocation" -> 
       CloudObject[
        "https://www.wolframcloud.com/obj/c1820918-b759-4685-b9b8-\
c971a81216b5"]|>, ResourceSystemBase -> Automatic]],
    Selectable->False], "[", "5", "]"}]}]], "Input",
 CellChangeTimes->{{3.771888268100852*^9, 3.771888281955183*^9}, 
   3.881165274644829*^9, {3.890317480786295*^9, 3.8903175068105164`*^9}},
 CellLabel->"In[148]:=",
 CellID->1683876795,ExpressionUUID->"86395352-5f98-4e2d-8665-ea61d8cbe7f8"],

Cell[BoxData[
 TemplateBox[{
  "Part", "partw", 
   "\"Part \\!\\(\\*RowBox[{\\\"2\\\"}]\\) of \\!\\(\\*RowBox[{\\\"{\\\", \
\\\"1\\\", \\\"}\\\"}]\\) does not exist.\"", 2, 267, 20, 
   30524154872880734137, "Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.771930365416031*^9, 3.8581055890432253`*^9},
 CellLabel->"During evaluation of In[267]:=",
 CellID->1263613378,ExpressionUUID->"3f5d9c66-2356-4fcd-94b2-5d221ff25c72"],

Cell[BoxData[
 TemplateBox[{
  "Part", "partw", 
   "\"Part \\!\\(\\*RowBox[{\\\"2\\\"}]\\) of \\!\\(\\*RowBox[{\\\"{\\\", \
\\\"2\\\", \\\"}\\\"}]\\) does not exist.\"", 2, 267, 21, 
   30524154872880734137, "Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.771930365416031*^9, 3.858105589052857*^9},
 CellLabel->"During evaluation of In[267]:=",
 CellID->1084258863,ExpressionUUID->"eea7e934-9162-4507-849c-293b69eaca6a"],

Cell[BoxData[
 TemplateBox[{
  "Part", "partw", 
   "\"Part \\!\\(\\*RowBox[{\\\"2\\\"}]\\) of \
\\!\\(\\*RowBox[{\\\"IntegerDigits\\\", \\\"[\\\", RowBox[{\\\"Missing\\\", \
\\\"[\\\", \\\"]\\\"}], \\\"]\\\"}]\\) does not exist.\"", 2, 267, 22, 
   30524154872880734137, "Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.771930365416031*^9, 3.858105589058868*^9},
 CellLabel->"During evaluation of In[267]:=",
 CellID->1739965646,ExpressionUUID->"2506c094-1eb5-4a64-9e11-feabbc29b4a1"],

Cell[BoxData[
 TemplateBox[{
  "General", "stop", 
   "\"Further output of \\!\\(\\*StyleBox[RowBox[{\\\"Part\\\", \\\"::\\\", \
\\\"partw\\\"}], \\\"MessageName\\\"]\\) will be suppressed during this \
calculation.\"", 2, 267, 23, 30524154872880734137, "Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.771930365416031*^9, 3.8581055890642138`*^9},
 CellLabel->"During evaluation of In[267]:=",
 CellID->1317791123,ExpressionUUID->"b589c3d0-f419-44b0-970f-ce148e95828d"],

Cell[BoxData[
 TagBox[
  RowBox[{"{", 
   RowBox[{"9", ",", 
    RowBox[{
     RowBox[{"{", "1", "}"}], "\[LeftDoubleBracket]", "2", 
     "\[RightDoubleBracket]"}], ",", 
    RowBox[{
     RowBox[{"{", "2", "}"}], "\[LeftDoubleBracket]", "2", 
     "\[RightDoubleBracket]"}], ",", "0", ",", "5", ",", "8", ",", "3", ",", 
    "9", ",", "3", ",", "1", ",", "7", ",", 
    RowBox[{"\[LeftSkeleton]", "1287", "\[RightSkeleton]"}], ",", "6", ",", 
    "7", ",", "5", ",", "6", ",", 
    RowBox[{
     RowBox[{"IntegerDigits", "[", 
      RowBox[{"Missing", "[", "]"}], "]"}], "\[LeftDoubleBracket]", "2", 
     "\[RightDoubleBracket]"}], ",", 
    RowBox[{
     RowBox[{"IntegerDigits", "[", 
      RowBox[{"Missing", "[", "]"}], "]"}], "\[LeftDoubleBracket]", "2", 
     "\[RightDoubleBracket]"}], ",", "5", ",", 
    RowBox[{
     RowBox[{"IntegerDigits", "[", 
      RowBox[{"Missing", "[", "]"}], "]"}], "\[LeftDoubleBracket]", "2", 
     "\[RightDoubleBracket]"}], ",", "7", ",", "7", ",", "9"}], "}"}],
  Short[#, 5]& ]], "Output",
 CellChangeTimes->{{3.771888261065772*^9, 3.771888282672413*^9}, 
   3.771923386403236*^9, 3.77193022099601*^9, 3.7719303654652033`*^9, 
   3.858105589069838*^9},
 CellLabel->"Out[267]//Short=",
 CellID->1116552750,ExpressionUUID->"3d0600d6-1956-4fee-9cff-f15053656e88"]
}, Open  ]],

Cell[TextData[{
 "I might decide at that point that I don\[CloseCurlyQuote]t want the results \
that have problems; I just want the error-free components of the result. To \
do this, I set the ",
 ButtonBox["FailureAction",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/FailureAction.html"], 
    None},
  ButtonNote->"https://reference.wolfram.com/language/ref/FailureAction.html"],
 " option to ",
 Cell[BoxData[
 "\"\<Drop\>\""], "InlineCodeText",ExpressionUUID->
  "a8f447d2-287e-41a8-8950-2ff604daae24"],
 ". (Make sure to put ",
 Cell[BoxData[
 "\"\<Drop\>\""], "InlineCodeText",ExpressionUUID->
  "b3ebf0ac-dd07-4a67-aa39-1807e1173fdc"],
 " in quotes; it\[CloseCurlyQuote]s a string.) Now I get a clean response \
that does not generate any error messages and that appears free of errors."
}], "Text",
 CellChangeTimes->{{3.742552165219138*^9, 3.742552205900828*^9}, {
  3.7425522508252277`*^9, 3.742552454336459*^9}, {3.7425552210542393`*^9, 
  3.742555242238031*^9}, {3.7694687210621643`*^9, 3.769468744969748*^9}, {
  3.769517054302938*^9, 3.7695170548326197`*^9}, {3.7771381229079213`*^9, 
  3.7771381579989214`*^9}},
 CellTags->"LastCellOfAPage",
 CellID->1254727905,ExpressionUUID->"cb5571af-76b1-4016-bb70-e3747ccd60fd"],

Cell[TextData[{
 "Setting ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["FailureAction",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/FailureAction.html"], 
      None},
    ButtonNote->
     "https://reference.wolfram.com/language/ref/FailureAction.html"], " ", 
   ButtonBox[
    StyleBox["\[Rule]",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Rule.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Rule.html"], " ", 
   "\"\<Drop\>\""}]], "InlineCode",ExpressionUUID->
  "a4fec42f-36c8-4d6e-9a08-b70fcfbcfbac"],
 " avoids error messages and just keeps \[OpenCurlyDoubleQuote]the good stuff\
\[CloseCurlyDoubleQuote]:"
}], "CodeText",
 CellChangeTimes->{{3.769517132957882*^9, 3.7695171525599937`*^9}, {
   3.7770419021590085`*^9, 3.7770419133510084`*^9}, 3.777042191671008*^9, 
   3.777138170445921*^9, {3.867755857565256*^9, 3.86775586681571*^9}},
 CellTags->"p: 140",
 CellID->1455332047,ExpressionUUID->"1ef33e6c-0020-430c-90d8-cc68492cf014"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Query", "[", 
    RowBox[{"All", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"IntegerDigits", "[", "#age", "]"}], "[", 
       RowBox[{"[", "2", "]"}], "]"}], "&"}], ",", 
     RowBox[{"FailureAction", "\[Rule]", "\"\<Drop\>\""}]}], "]"}], "[", 
   "titanic", "]"}], "//", 
  RowBox[{
   InterpretationBox[
    TagBox[
     DynamicModuleBox[{Typeset`open = False}, 
      FrameBox[
       PaneSelectorBox[{False->GridBox[{
          {
           PaneBox[GridBox[{
              {
               StyleBox[
                StyleBox[
                 AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                  BoxBaselineShift->-0.25,
                  BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                 
                 FontColor->RGBColor[
                  0.8745098039215686, 0.2784313725490196, 
                   0.03137254901960784]],
                ShowStringCharacters->False,
                FontFamily->"Source Sans Pro Black",
                FontSize->0.6538461538461539 Inherited,
                FontWeight->"Heavy",
                PrivateFontOptions->{"OperatorSubstitution"->False}], 
               StyleBox[
                RowBox[{
                 StyleBox["Terse", "ResourceFunctionLabel"], " "}],
                ShowAutoStyles->False,
                ShowStringCharacters->False,
                FontSize->Rational[12, 13] Inherited,
                FontColor->GrayLevel[0.1]]}
             },
             GridBoxSpacings->{"Columns" -> {{0.25}}}],
            Alignment->Left,
            BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
            BaselinePosition->Baseline,
            FrameMargins->{{3, 0}, {0, 0}}], 
           ItemBox[
            PaneBox[
             TogglerBox[Dynamic[Typeset`open], {True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeCloser"],
               ImageSizeCache->{11., {2., 9.}}], False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeOpener"],
               ImageSizeCache->{11., {2., 9.}}]},
              Appearance->None,
              BaselinePosition->Baseline,
              ContentPadding->False,
              FrameMargins->0],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{1, 1}, {0, 0}}],
            Frame->{{
               RGBColor[
               0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                0.5], False}, {False, False}}]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
         GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
        GridBox[{
          {GridBox[{
             {
              PaneBox[GridBox[{
                 {
                  StyleBox[
                   StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                   ShowStringCharacters->False,
                   FontFamily->"Source Sans Pro Black",
                   FontSize->0.6538461538461539 Inherited,
                   FontWeight->"Heavy",
                   PrivateFontOptions->{"OperatorSubstitution"->False}], 
                  StyleBox[
                   RowBox[{
                    StyleBox["Terse", "ResourceFunctionLabel"], " "}],
                   ShowAutoStyles->False,
                   ShowStringCharacters->False,
                   FontSize->Rational[12, 13] Inherited,
                   FontColor->GrayLevel[0.1]]}
                },
                GridBoxSpacings->{"Columns" -> {{0.25}}}],
               Alignment->Left,
               BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
               BaselinePosition->Baseline,
               FrameMargins->{{3, 0}, {0, 0}}], 
              ItemBox[
               PaneBox[
                TogglerBox[Dynamic[Typeset`open], {True->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeCloser"]], False->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeOpener"]]},
                 Appearance->None,
                 BaselinePosition->Baseline,
                 ContentPadding->False,
                 FrameMargins->0],
                Alignment->Left,
                BaselinePosition->Baseline,
                FrameMargins->{{1, 1}, {0, 0}}],
               Frame->{{
                  RGBColor[
                  0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                   0.5], False}, {False, False}}]}
            },
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
          {
           StyleBox[
            PaneBox[GridBox[{
               {
                RowBox[{
                 TagBox["\<\"Version (latest): \"\>",
                  "IconizedLabel"], " ", 
                 TagBox["\<\"1.0.0\"\>",
                  "IconizedItem"]}]},
               {
                TagBox[
                 
                 TemplateBox[{
                  "\"Documentation \[RightGuillemet]\"", 
                   "https://resources.wolframcloud.com/FunctionRepository/\
resources/6809487c-44ed-4a55-a610-ab706ebb8661/"},
                  "HyperlinkURL"],
                 "IconizedItem"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
            FontFamily->"Roboto",
            FontSize->11]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
              GrayLevel[0.8]}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
        Typeset`open],
        BaselinePosition->Baseline,
        ImageSize->Automatic],
       Background->RGBColor[
        0.9686274509803922, 0.9764705882352941, 0.984313725490196],
       BaselinePosition->Baseline,
       DefaultBaseStyle->{},
       FrameMargins->{{0, 0}, {1, 0}},
       FrameStyle->RGBColor[
        0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
       RoundingRadius->4]],
     {"FunctionResourceBox", 
      RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
      "Terse"},
     TagBoxNote->"FunctionResourceBox"],
    ResourceFunction[
     ResourceObject[<|
      "Name" -> "Terse", "ShortName" -> "Terse", "UUID" -> 
       "6809487c-44ed-4a55-a610-ab706ebb8661", "ResourceType" -> "Function", 
       "Version" -> "1.0.0", "Description" -> "An operator form of Short", 
       "RepositoryLocation" -> 
       URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
       "SymbolName" -> 
       "FunctionRepository`$369a78f89aa2413eb5b19a962ce89cd7`Terse", 
       "FunctionLocation" -> 
       CloudObject[
        "https://www.wolframcloud.com/obj/c1820918-b759-4685-b9b8-\
c971a81216b5"]|>, ResourceSystemBase -> Automatic]],
    Selectable->False], "[", "5", "]"}]}]], "Input",
 CellChangeTimes->{{3.74255228608906*^9, 3.742552294459639*^9}, {
   3.769958618710656*^9, 3.769958625558568*^9}, 3.769958857810474*^9, 
   3.769958897315772*^9, {3.769960971583332*^9, 3.769960974689726*^9}, {
   3.771888302998261*^9, 3.771888309441263*^9}, 3.8811652799828*^9},
 CellLabel->"In[475]:=",
 CellID->1784829902,ExpressionUUID->"7fa61848-9763-4292-a3c0-73d2fad0f939"],

Cell[BoxData[
 TagBox[
  RowBox[{"{", 
   RowBox[{
   "9", ",", "0", ",", "5", ",", "8", ",", "3", ",", "9", ",", "3", ",", "1", 
    ",", "7", ",", "8", ",", "4", ",", "6", ",", "0", ",", "4", ",", "0", ",",
     "2", ",", "6", ",", "7", ",", "7", ",", "6", ",", "2", ",", "9", ",", 
    "5", ",", "5", ",", "9", ",", "5", ",", "8", ",", "5", ",", "0", ",", "0",
     ",", "8", ",", "2", ",", "5", ",", "2", ",", "1", ",", "8", ",", "4", 
    ",", "9", ",", "0", ",", "1", ",", "5", ",", "2", ",", "3", ",", 
    RowBox[{"\[LeftSkeleton]", "878", "\[RightSkeleton]"}], ",", "2", ",", 
    "1", ",", "4", ",", "5", ",", "9", ",", "6", ",", "8", ",", "3", ",", "2",
     ",", "1", ",", "0", ",", "6", ",", "0", ",", "3", ",", "8", ",", "8", 
    ",", "7", ",", "8", ",", "1", ",", "6", ",", "1", ",", "2", ",", "0", ",",
     "4", ",", "2", ",", "2", ",", "3", ",", "8", ",", "1", ",", "8", ",", 
    "1", ",", "7", ",", "9", ",", "1", ",", "7", ",", "6", ",", "7", ",", "5",
     ",", "6", ",", "5", ",", "7", ",", "7", ",", "9"}], "}"}],
  Short[#, 5]& ]], "Output",
 CellChangeTimes->{{3.742552287328416*^9, 3.7425522948226233`*^9}, 
   3.769956301114345*^9, {3.7699586214311743`*^9, 3.769958625986759*^9}, 
   3.769958898141659*^9, 3.769959362880672*^9, 3.769960975393133*^9, 
   3.771888310332958*^9, 3.7719233864464607`*^9, 3.771930221028492*^9, 
   3.771930365510529*^9, 3.85810562362188*^9, 3.881423228304594*^9},
 CellLabel->"Out[475]//Short=",
 CellID->1595295639,ExpressionUUID->"70ade288-bd9e-41b0-9dde-c93b44f39ecc"]
}, Open  ]],

Cell[TextData[{
 "This is a mixed virtue. On the one hand, I get a clean-looking result; on \
the other hand, I may have masked serious problems with my understanding of \
the data that come back to produce more problems with future queries. Worse, \
we might have undetected, substantive errors in the results. Still, \
sometimes, just dropping the bad items is a reasonable fix to a ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " problem."
}], "Text",
 CellChangeTimes->{{3.742552165219138*^9, 3.742552205900828*^9}, {
   3.7425522508252277`*^9, 3.742552454336459*^9}, {3.7425552210542393`*^9, 
   3.742555242238031*^9}, {3.7694687210621643`*^9, 3.769468758449812*^9}, {
   3.769517160411708*^9, 3.769517162003941*^9}, {3.7771382036949215`*^9, 
   3.777138249494921*^9}, {3.858177391446807*^9, 3.858177405610409*^9}, 
   3.858254880498866*^9, {3.869666446975587*^9, 3.869666448558922*^9}, {
   3.8696665759697647`*^9, 3.869666577578268*^9}},
 CellID->664129337,ExpressionUUID->"2f38c6ca-fd4e-4c58-bf30-b87ce6924765"],

Cell[TextData[{
 "A slightly less drastic approach than just dropping the problem data is to \
replace the problem results with something either more attractive or \
something clearer. If I use ",
 Cell[BoxData[
 "\"\<Replace\>\""], "InlineCodeText",ExpressionUUID->
  "f405235a-bf4d-4193-9a27-19d71730e250"],
 " as the value of the ",
 ButtonBox["FailureAction",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/FailureAction.html"], 
    None},
  ButtonNote->"https://reference.wolfram.com/language/ref/FailureAction.html"],
 " option, I get ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["Missing",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Missing.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Missing.html"], 
   "[", "Failed", "]"}]], "InlineCodeText",ExpressionUUID->
  "e9eb56b5-ee90-47fb-b7fd-d302690e7e08"],
 " instead of expressions such as ",
 Cell[BoxData[
  RowBox[{
   RowBox[{"{", "1", "}"}], "[", 
   RowBox[{"[", "2", "]"}], "]"}]], "InlineCodeText",ExpressionUUID->
  "0586a31a-49db-4c6e-8665-fb5e82fe583c"],
 ". While there may be no advantage here to that substitution, in other \
settings, where the problem data is more elaborate, a simple ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["Missing",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Missing.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Missing.html"], 
   "[", "Failed", "]"}]], "InlineCodeText",ExpressionUUID->
  "b8d5aa02-3541-4d64-89c0-98e40fd26dfd"],
 " may make your life\[LongDash]and that of the Wolfram Language front end\
\[LongDash]much more pleasant."
}], "Text",
 CellID->669027038,ExpressionUUID->"607c6c40-1d79-4299-84fc-658250e1182b"],

Cell[TextData[{
 "Use ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["FailureAction",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/FailureAction.html"], 
      None},
    ButtonNote->
     "https://reference.wolfram.com/language/ref/FailureAction.html"], " ", 
   ButtonBox[
    StyleBox["\[Rule]",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Rule.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Rule.html"], " ", 
   "\"\<Replace\>\""}]], "InlineCode",ExpressionUUID->
  "69c643b7-1093-45bc-8c5f-b595c172ee8a"],
 " to generate clean ",
 ButtonBox["Missing",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Missing.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Missing.html"],
 " values for problematic applications of the ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " function to parts of the data:"
}], "CodeText",
 CellID->894080513,ExpressionUUID->"35690c4d-5a7f-45c0-bcab-95810342d9b7"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Query", "[", 
    RowBox[{"All", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"IntegerDigits", "[", "#age", "]"}], "[", 
       RowBox[{"[", "2", "]"}], "]"}], "&"}], ",", 
     RowBox[{"FailureAction", "\[Rule]", "\"\<Replace\>\""}]}], "]"}], "[", 
   "titanic", "]"}], "//", 
  RowBox[{
   InterpretationBox[
    TagBox[
     DynamicModuleBox[{Typeset`open = False}, 
      FrameBox[
       PaneSelectorBox[{False->GridBox[{
          {
           PaneBox[GridBox[{
              {
               StyleBox[
                StyleBox[
                 AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                  BoxBaselineShift->-0.25,
                  BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                 
                 FontColor->RGBColor[
                  0.8745098039215686, 0.2784313725490196, 
                   0.03137254901960784]],
                ShowStringCharacters->False,
                FontFamily->"Source Sans Pro Black",
                FontSize->0.6538461538461539 Inherited,
                FontWeight->"Heavy",
                PrivateFontOptions->{"OperatorSubstitution"->False}], 
               StyleBox[
                RowBox[{
                 StyleBox["Terse", "ResourceFunctionLabel"], " "}],
                ShowAutoStyles->False,
                ShowStringCharacters->False,
                FontSize->Rational[12, 13] Inherited,
                FontColor->GrayLevel[0.1]]}
             },
             GridBoxSpacings->{"Columns" -> {{0.25}}}],
            Alignment->Left,
            BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
            BaselinePosition->Baseline,
            FrameMargins->{{3, 0}, {0, 0}}], 
           ItemBox[
            PaneBox[
             TogglerBox[Dynamic[Typeset`open], {True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeCloser"],
               ImageSizeCache->{11., {2., 9.}}], False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeOpener"],
               ImageSizeCache->{11., {2., 9.}}]},
              Appearance->None,
              BaselinePosition->Baseline,
              ContentPadding->False,
              FrameMargins->0],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{1, 1}, {0, 0}}],
            Frame->{{
               RGBColor[
               0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                0.5], False}, {False, False}}]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
         GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
        GridBox[{
          {GridBox[{
             {
              PaneBox[GridBox[{
                 {
                  StyleBox[
                   StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                   ShowStringCharacters->False,
                   FontFamily->"Source Sans Pro Black",
                   FontSize->0.6538461538461539 Inherited,
                   FontWeight->"Heavy",
                   PrivateFontOptions->{"OperatorSubstitution"->False}], 
                  StyleBox[
                   RowBox[{
                    StyleBox["Terse", "ResourceFunctionLabel"], " "}],
                   ShowAutoStyles->False,
                   ShowStringCharacters->False,
                   FontSize->Rational[12, 13] Inherited,
                   FontColor->GrayLevel[0.1]]}
                },
                GridBoxSpacings->{"Columns" -> {{0.25}}}],
               Alignment->Left,
               BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
               BaselinePosition->Baseline,
               FrameMargins->{{3, 0}, {0, 0}}], 
              ItemBox[
               PaneBox[
                TogglerBox[Dynamic[Typeset`open], {True->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeCloser"]], False->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeOpener"]]},
                 Appearance->None,
                 BaselinePosition->Baseline,
                 ContentPadding->False,
                 FrameMargins->0],
                Alignment->Left,
                BaselinePosition->Baseline,
                FrameMargins->{{1, 1}, {0, 0}}],
               Frame->{{
                  RGBColor[
                  0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                   0.5], False}, {False, False}}]}
            },
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
          {
           StyleBox[
            PaneBox[GridBox[{
               {
                RowBox[{
                 TagBox["\<\"Version (latest): \"\>",
                  "IconizedLabel"], " ", 
                 TagBox["\<\"1.0.0\"\>",
                  "IconizedItem"]}]},
               {
                TagBox[
                 
                 TemplateBox[{
                  "\"Documentation \[RightGuillemet]\"", 
                   "https://resources.wolframcloud.com/FunctionRepository/\
resources/6809487c-44ed-4a55-a610-ab706ebb8661/"},
                  "HyperlinkURL"],
                 "IconizedItem"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
            FontFamily->"Roboto",
            FontSize->11]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
              GrayLevel[0.8]}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
        Typeset`open],
        BaselinePosition->Baseline,
        ImageSize->Automatic],
       Background->RGBColor[
        0.9686274509803922, 0.9764705882352941, 0.984313725490196],
       BaselinePosition->Baseline,
       DefaultBaseStyle->{},
       FrameMargins->{{0, 0}, {1, 0}},
       FrameStyle->RGBColor[
        0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
       RoundingRadius->4]],
     {"FunctionResourceBox", 
      RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
      "Terse"},
     TagBoxNote->"FunctionResourceBox"],
    ResourceFunction[
     ResourceObject[<|
      "Name" -> "Terse", "ShortName" -> "Terse", "UUID" -> 
       "6809487c-44ed-4a55-a610-ab706ebb8661", "ResourceType" -> "Function", 
       "Version" -> "1.0.0", "Description" -> "An operator form of Short", 
       "RepositoryLocation" -> 
       URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
       "SymbolName" -> 
       "FunctionRepository`$369a78f89aa2413eb5b19a962ce89cd7`Terse", 
       "FunctionLocation" -> 
       CloudObject[
        "https://www.wolframcloud.com/obj/c1820918-b759-4685-b9b8-\
c971a81216b5"]|>, ResourceSystemBase -> Automatic]],
    Selectable->False], "[", "5", "]"}]}]], "Input",
 CellChangeTimes->{{3.769958632622637*^9, 3.769958641230864*^9}, 
   3.7699588584929733`*^9, 3.76995890350193*^9, {3.7699609811001663`*^9, 
   3.769960984047236*^9}, {3.7718884380431128`*^9, 3.771888440886862*^9}, {
   3.881165284636938*^9, 3.8811652863807*^9}},
 CellLabel->"In[476]:=",
 CellID->2122136960,ExpressionUUID->"edb05acc-ab82-43ca-9f6c-f2acfb330e0b"],

Cell[BoxData[
 TagBox[
  RowBox[{"{", 
   RowBox[{"9", ",", 
    RowBox[{"Missing", "[", "\<\"Failed\"\>", "]"}], ",", 
    RowBox[{"Missing", "[", "\<\"Failed\"\>", "]"}], ",", "0", ",", "5", ",", 
    "8", ",", "3", ",", "9", ",", "3", ",", "1", ",", "7", ",", "8", ",", "4",
     ",", "6", ",", "0", ",", 
    RowBox[{"Missing", "[", "\<\"Failed\"\>", "]"}], ",", 
    RowBox[{"\[LeftSkeleton]", "1278", "\[RightSkeleton]"}], ",", "9", ",", 
    "1", ",", "7", ",", 
    RowBox[{"Missing", "[", "\<\"Failed\"\>", "]"}], ",", "6", ",", "7", ",", 
    "5", ",", "6", ",", 
    RowBox[{"Missing", "[", "\<\"Failed\"\>", "]"}], ",", 
    RowBox[{"Missing", "[", "\<\"Failed\"\>", "]"}], ",", "5", ",", 
    RowBox[{"Missing", "[", "\<\"Failed\"\>", "]"}], ",", "7", ",", "7", ",", 
    "9"}], "}"}],
  Short[#, 5]& ]], "Output",
 CellChangeTimes->{
  3.742552795035138*^9, 3.769468781517379*^9, 3.769956301125317*^9, {
   3.7699586375640373`*^9, 3.76995864163272*^9}, 3.769958904251086*^9, 
   3.7699593641361313`*^9, 3.769960984541114*^9, 3.771888450525098*^9, 
   3.7719233865338078`*^9, 3.771930221067316*^9, 3.771930365551881*^9, 
   3.88142325096559*^9},
 CellLabel->"Out[476]//Short=",
 CellID->1766004808,ExpressionUUID->"c08eb2a5-1b56-40f5-8ac8-486bc9e46087"]
}, Open  ]],

Cell[TextData[{
 "One can also generate a custom response to failure by adding a second \
argument to ",
 Cell[BoxData[
 "\"\<Replace\>\""], "InlineCodeText",ExpressionUUID->
  "8521c8c1-3ed2-4b74-bdff-8bfb46b03ee7"],
 ". The ",
 ButtonBox["Wolfram Language documentatio",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/"], None},
  ButtonNote->"https://reference.wolfram.com/language/"],
 "n, for example, has a reasonable idea: set the ",
 ButtonBox["FailureAction",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/FailureAction.html"], 
    None},
  ButtonNote->"https://reference.wolfram.com/language/ref/FailureAction.html"],
 " option to ",
 Cell[BoxData[
  RowBox[{"{", 
   RowBox[{"\"\<Replace\>\"", ",", 
    ButtonBox[
     StyleBox["Print",
      FontColor->GrayLevel[0]],
     BaseStyle->"Hyperlink",
     ButtonData->{
       URL["https://reference.wolfram.com/language/ref/Print.html"], None},
     ButtonNote->"https://reference.wolfram.com/language/ref/Print.html"]}], 
   "}"}]], "InlineCodeText",ExpressionUUID->
  "566e08dc-5533-47f0-8279-f7615d7d8af2"],
 ". The kernel will then spit out a ",
 ButtonBox["Print",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Print.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Print.html"],
 " cell each time it encounters an error. The output will have ",
 ButtonBox["Null",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Null.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Null.html"],
 " instead of ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["Missing",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Missing.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Missing.html"], 
   "[", "Failed", "]"}]], "InlineCodeText",ExpressionUUID->
  "b2140527-fd03-41ce-8188-204191eea823"],
 " as the placeholder for the problem results because ",
 ButtonBox["Print",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Print.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Print.html"],
 " is a function that has side effects (it prints stuff out) but returns ",
 ButtonBox["Null",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Null.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Null.html"],
 " as a value. The next example demonstrates this method on the first 20 rows \
of ",
 Cell[BoxData[
 "titanic"], "InlineCodeText",ExpressionUUID->
  "6deeb9c7-924b-47df-b904-9c68506c2c48"],
 ". I restrict myself to the first 20 rows because I would otherwise generate \
dozens of ",
 ButtonBox["Print",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Print.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Print.html"],
 " cells. Generating hundreds of ",
 ButtonBox["Print",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Print.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Print.html"],
 " cells with error messages is generally not helpful."
}], "Text",
 CellTags->"LastCellOfAPage",
 CellID->1857227319,ExpressionUUID->"43b04043-6a54-4890-a0fd-7f1b8537ccdf"],

Cell["\<\
Use Wolfram commands to generate custom behavior when an error is confronted:\
\>", "CodeText",
 CellChangeTimes->{{3.7695172749900627`*^9, 3.769517344178047*^9}, 
   3.7770421981420083`*^9},
 CellTags->"p: 141",
 CellID->1363908524,ExpressionUUID->"30339e8d-cd60-4f71-9fe5-fa6f4f2f1c4a"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Query", "[", 
    RowBox[{
     RowBox[{"1", ";;", "20"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"IntegerDigits", "[", "#age", "]"}], "[", 
       RowBox[{"[", "2", "]"}], "]"}], "&"}], ",", 
     RowBox[{"FailureAction", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<Replace\>\"", ",", "Print"}], "}"}]}]}], "]"}], "[", 
   "titanic", "]"}], "//", 
  RowBox[{
   InterpretationBox[
    TagBox[
     DynamicModuleBox[{Typeset`open = False}, 
      FrameBox[
       PaneSelectorBox[{False->GridBox[{
          {
           PaneBox[GridBox[{
              {
               StyleBox[
                StyleBox[
                 AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                  BoxBaselineShift->-0.25,
                  BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                 
                 FontColor->RGBColor[
                  0.8745098039215686, 0.2784313725490196, 
                   0.03137254901960784]],
                ShowStringCharacters->False,
                FontFamily->"Source Sans Pro Black",
                FontSize->0.6538461538461539 Inherited,
                FontWeight->"Heavy",
                PrivateFontOptions->{"OperatorSubstitution"->False}], 
               StyleBox[
                RowBox[{
                 StyleBox["Terse", "ResourceFunctionLabel"], " "}],
                ShowAutoStyles->False,
                ShowStringCharacters->False,
                FontSize->Rational[12, 13] Inherited,
                FontColor->GrayLevel[0.1]]}
             },
             GridBoxSpacings->{"Columns" -> {{0.25}}}],
            Alignment->Left,
            BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
            BaselinePosition->Baseline,
            FrameMargins->{{3, 0}, {0, 0}}], 
           ItemBox[
            PaneBox[
             TogglerBox[Dynamic[Typeset`open], {True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeCloser"],
               ImageSizeCache->{11., {2., 9.}}], False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeOpener"],
               ImageSizeCache->{11., {2., 9.}}]},
              Appearance->None,
              BaselinePosition->Baseline,
              ContentPadding->False,
              FrameMargins->0],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{1, 1}, {0, 0}}],
            Frame->{{
               RGBColor[
               0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                0.5], False}, {False, False}}]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
         GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
        GridBox[{
          {GridBox[{
             {
              PaneBox[GridBox[{
                 {
                  StyleBox[
                   StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                   ShowStringCharacters->False,
                   FontFamily->"Source Sans Pro Black",
                   FontSize->0.6538461538461539 Inherited,
                   FontWeight->"Heavy",
                   PrivateFontOptions->{"OperatorSubstitution"->False}], 
                  StyleBox[
                   RowBox[{
                    StyleBox["Terse", "ResourceFunctionLabel"], " "}],
                   ShowAutoStyles->False,
                   ShowStringCharacters->False,
                   FontSize->Rational[12, 13] Inherited,
                   FontColor->GrayLevel[0.1]]}
                },
                GridBoxSpacings->{"Columns" -> {{0.25}}}],
               Alignment->Left,
               BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
               BaselinePosition->Baseline,
               FrameMargins->{{3, 0}, {0, 0}}], 
              ItemBox[
               PaneBox[
                TogglerBox[Dynamic[Typeset`open], {True->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeCloser"]], False->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeOpener"]]},
                 Appearance->None,
                 BaselinePosition->Baseline,
                 ContentPadding->False,
                 FrameMargins->0],
                Alignment->Left,
                BaselinePosition->Baseline,
                FrameMargins->{{1, 1}, {0, 0}}],
               Frame->{{
                  RGBColor[
                  0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                   0.5], False}, {False, False}}]}
            },
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
          {
           StyleBox[
            PaneBox[GridBox[{
               {
                RowBox[{
                 TagBox["\<\"Version (latest): \"\>",
                  "IconizedLabel"], " ", 
                 TagBox["\<\"1.0.0\"\>",
                  "IconizedItem"]}]},
               {
                TagBox[
                 
                 TemplateBox[{
                  "\"Documentation \[RightGuillemet]\"", 
                   "https://resources.wolframcloud.com/FunctionRepository/\
resources/6809487c-44ed-4a55-a610-ab706ebb8661/"},
                  "HyperlinkURL"],
                 "IconizedItem"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
            FontFamily->"Roboto",
            FontSize->11]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
              GrayLevel[0.8]}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
        Typeset`open],
        BaselinePosition->Baseline,
        ImageSize->Automatic],
       Background->RGBColor[
        0.9686274509803922, 0.9764705882352941, 0.984313725490196],
       BaselinePosition->Baseline,
       DefaultBaseStyle->{},
       FrameMargins->{{0, 0}, {1, 0}},
       FrameStyle->RGBColor[
        0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
       RoundingRadius->4]],
     {"FunctionResourceBox", 
      RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
      "Terse"},
     TagBoxNote->"FunctionResourceBox"],
    ResourceFunction[
     ResourceObject[<|
      "Name" -> "Terse", "ShortName" -> "Terse", "UUID" -> 
       "6809487c-44ed-4a55-a610-ab706ebb8661", "ResourceType" -> "Function", 
       "Version" -> "1.0.0", "Description" -> "An operator form of Short", 
       "RepositoryLocation" -> 
       URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
       "SymbolName" -> 
       "FunctionRepository`$369a78f89aa2413eb5b19a962ce89cd7`Terse", 
       "FunctionLocation" -> 
       CloudObject[
        "https://www.wolframcloud.com/obj/c1820918-b759-4685-b9b8-\
c971a81216b5"]|>, ResourceSystemBase -> Automatic]],
    Selectable->False], "[", "5", "]"}]}]], "Input",
 CellChangeTimes->{{3.742553128107201*^9, 3.742553131959485*^9}, {
   3.742553217903965*^9, 3.742553246797958*^9}, {3.7425533266487503`*^9, 
   3.742553328749578*^9}, {3.769958651730538*^9, 3.769958657851098*^9}, 
   3.769958859239757*^9, 3.7699589091681547`*^9, {3.769960988753893*^9, 
   3.76996099234723*^9}, {3.771888430413982*^9, 3.771888446452231*^9}, 
   3.881165293181041*^9},
 CellLabel->"In[477]:=",
 CellID->782786956,ExpressionUUID->"88f07fad-1241-480c-af25-f6473f936f9b"],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   TagBox["Failure",
    "SummaryHead"], "[", 
   DynamicModuleBox[{Typeset`open$$ = False, Typeset`embedState$$ = "Ready"}, 
    TemplateBox[{
      PaneSelectorBox[{False -> GridBox[{{
            FrameBox[
             StyleBox["\"\[WarningSign]\"", 
              Directive["Message", 35], StripOnInput -> False], 
             ContentPadding -> False, FrameStyle -> None, 
             FrameMargins -> {{0, 0}, {0, 0}}, StripOnInput -> False], 
            GridBox[{{
               TagBox[
                GridBox[{{
                   TagBox["\"Message: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox[
                   "\"Part \\!\\(\\*TagBox[\\\"2\\\", Function[Short[Slot[1], \
5]]]\\) of \\!\\(\\*TagBox[RowBox[{\\\"{\\\", \\\"1\\\", \\\"}\\\"}], \
Function[Short[Slot[1], 5]]]\\) does not exist.\"", "SummaryItem"]}}, 
                 GridBoxItemSize -> {"Columns" -> {6.5, All, Automatic}}, 
                 GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                 GridBoxSpacings -> {"Columns" -> {{0}}}], "SummaryItem"]}, {
               TagBox[
                GridBox[{{
                   TagBox["\"Tag: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox["Part", "SummaryItem"]}}, 
                 GridBoxItemSize -> {"Columns" -> {6.5, All, Automatic}}, 
                 GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                 GridBoxSpacings -> {"Columns" -> {{0}}}], "SummaryItem"]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
             False, GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{2}}, "Rows" -> {{Automatic}}},
              BaseStyle -> {
              ShowStringCharacters -> False, NumberMarks -> False, 
               PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
          GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
          AutoDelete -> False, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
          BaselinePosition -> {1, 1}], True -> GridBox[{{
            FrameBox[
             StyleBox["\"\[WarningSign]\"", 
              Directive["Message", 35], StripOnInput -> False], 
             ContentPadding -> False, FrameStyle -> None, 
             FrameMargins -> {{0, 0}, {0, 0}}, StripOnInput -> False], 
            GridBox[{{
               TagBox[
                GridBox[{{
                   TagBox["\"Message: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox[
                   "\"Part \\!\\(\\*TagBox[\\\"2\\\", Function[Short[Slot[1], \
5]]]\\) of \\!\\(\\*TagBox[RowBox[{\\\"{\\\", \\\"1\\\", \\\"}\\\"}], \
Function[Short[Slot[1], 5]]]\\) does not exist.\"", "SummaryItem"]}}, 
                 GridBoxItemSize -> {"Columns" -> {6.5, All, Automatic}}, 
                 GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                 GridBoxSpacings -> {"Columns" -> {{0}}}], "SummaryItem"]}, {
               TagBox[
                GridBox[{{
                   TagBox["\"Tag: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox["Part", "SummaryItem"]}}, 
                 GridBoxItemSize -> {"Columns" -> {6.5, All, Automatic}}, 
                 GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                 GridBoxSpacings -> {"Columns" -> {{0}}}], "SummaryItem"]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
             False, GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{2}}, "Rows" -> {{Automatic}}},
              BaseStyle -> {
              ShowStringCharacters -> False, NumberMarks -> False, 
               PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
          GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
          AutoDelete -> False, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
          BaselinePosition -> {1, 1}]}, 
       Dynamic[Typeset`open$$], ImageSize -> Automatic]},
     "SummaryPanel"],
    DynamicModuleValues:>{}], "]"}],
  Failure[
  Part, <|"MessageTemplate" :> MessageName[Part, "partw"], 
    "MessageParameters" -> {
      HoldForm[2], 
      HoldForm[{1}]}|>],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Print",
 CellChangeTimes->{3.771930365565456*^9, 3.881423317504177*^9},
 CellLabel->"During evaluation of In[477]:=",
 CellID->357868978,ExpressionUUID->"c521a050-9a7a-43ac-8c5a-83d3ac24bbea"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   TagBox["Failure",
    "SummaryHead"], "[", 
   DynamicModuleBox[{Typeset`open$$ = False, Typeset`embedState$$ = "Ready"}, 
    TemplateBox[{
      PaneSelectorBox[{False -> GridBox[{{
            FrameBox[
             StyleBox["\"\[WarningSign]\"", 
              Directive["Message", 35], StripOnInput -> False], 
             ContentPadding -> False, FrameStyle -> None, 
             FrameMargins -> {{0, 0}, {0, 0}}, StripOnInput -> False], 
            GridBox[{{
               TagBox[
                GridBox[{{
                   TagBox["\"Message: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox[
                   "\"Part \\!\\(\\*TagBox[\\\"2\\\", Function[Short[Slot[1], \
5]]]\\) of \\!\\(\\*TagBox[RowBox[{\\\"{\\\", \\\"2\\\", \\\"}\\\"}], \
Function[Short[Slot[1], 5]]]\\) does not exist.\"", "SummaryItem"]}}, 
                 GridBoxItemSize -> {"Columns" -> {6.5, All, Automatic}}, 
                 GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                 GridBoxSpacings -> {"Columns" -> {{0}}}], "SummaryItem"]}, {
               TagBox[
                GridBox[{{
                   TagBox["\"Tag: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox["Part", "SummaryItem"]}}, 
                 GridBoxItemSize -> {"Columns" -> {6.5, All, Automatic}}, 
                 GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                 GridBoxSpacings -> {"Columns" -> {{0}}}], "SummaryItem"]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
             False, GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{2}}, "Rows" -> {{Automatic}}},
              BaseStyle -> {
              ShowStringCharacters -> False, NumberMarks -> False, 
               PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
          GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
          AutoDelete -> False, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
          BaselinePosition -> {1, 1}], True -> GridBox[{{
            FrameBox[
             StyleBox["\"\[WarningSign]\"", 
              Directive["Message", 35], StripOnInput -> False], 
             ContentPadding -> False, FrameStyle -> None, 
             FrameMargins -> {{0, 0}, {0, 0}}, StripOnInput -> False], 
            GridBox[{{
               TagBox[
                GridBox[{{
                   TagBox["\"Message: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox[
                   "\"Part \\!\\(\\*TagBox[\\\"2\\\", Function[Short[Slot[1], \
5]]]\\) of \\!\\(\\*TagBox[RowBox[{\\\"{\\\", \\\"2\\\", \\\"}\\\"}], \
Function[Short[Slot[1], 5]]]\\) does not exist.\"", "SummaryItem"]}}, 
                 GridBoxItemSize -> {"Columns" -> {6.5, All, Automatic}}, 
                 GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                 GridBoxSpacings -> {"Columns" -> {{0}}}], "SummaryItem"]}, {
               TagBox[
                GridBox[{{
                   TagBox["\"Tag: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox["Part", "SummaryItem"]}}, 
                 GridBoxItemSize -> {"Columns" -> {6.5, All, Automatic}}, 
                 GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                 GridBoxSpacings -> {"Columns" -> {{0}}}], "SummaryItem"]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
             False, GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{2}}, "Rows" -> {{Automatic}}},
              BaseStyle -> {
              ShowStringCharacters -> False, NumberMarks -> False, 
               PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
          GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
          AutoDelete -> False, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
          BaselinePosition -> {1, 1}]}, 
       Dynamic[Typeset`open$$], ImageSize -> Automatic]},
     "SummaryPanel"],
    DynamicModuleValues:>{}], "]"}],
  Failure[
  Part, <|"MessageTemplate" :> MessageName[Part, "partw"], 
    "MessageParameters" -> {
      HoldForm[2], 
      HoldForm[{2}]}|>],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Print",
 CellChangeTimes->{3.771930365565456*^9, 3.881423317680875*^9},
 CellLabel->"During evaluation of In[477]:=",
 CellID->1749701646,ExpressionUUID->"730b1c48-565f-4496-8d20-f21a7bf30d80"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   TagBox["Failure",
    "SummaryHead"], "[", 
   DynamicModuleBox[{Typeset`open$$ = False, Typeset`embedState$$ = "Ready"}, 
    TemplateBox[{
      PaneSelectorBox[{False -> GridBox[{{
            FrameBox[
             StyleBox["\"\[WarningSign]\"", 
              Directive["Message", 35], StripOnInput -> False], 
             ContentPadding -> False, FrameStyle -> None, 
             FrameMargins -> {{0, 0}, {0, 0}}, StripOnInput -> False], 
            GridBox[{{
               TagBox[
                GridBox[{{
                   TagBox["\"Message: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox[
                   "\"Part \\!\\(\\*TagBox[\\\"2\\\", Function[Short[Slot[1], \
5]]]\\) of \\!\\(\\*TagBox[RowBox[{\\\"IntegerDigits\\\", \\\"[\\\", RowBox[{\
\\\"Missing\\\", \\\"[\\\", \\\"]\\\"}], \\\"]\\\"}], Function[Short[Slot[1], \
5]]]\\) does not exist.\"", "SummaryItem"]}}, 
                 GridBoxItemSize -> {"Columns" -> {6.5, All, Automatic}}, 
                 GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                 GridBoxSpacings -> {"Columns" -> {{0}}}], "SummaryItem"]}, {
               TagBox[
                GridBox[{{
                   TagBox["\"Tag: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox["Part", "SummaryItem"]}}, 
                 GridBoxItemSize -> {"Columns" -> {6.5, All, Automatic}}, 
                 GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                 GridBoxSpacings -> {"Columns" -> {{0}}}], "SummaryItem"]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
             False, GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{2}}, "Rows" -> {{Automatic}}},
              BaseStyle -> {
              ShowStringCharacters -> False, NumberMarks -> False, 
               PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
          GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
          AutoDelete -> False, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
          BaselinePosition -> {1, 1}], True -> GridBox[{{
            FrameBox[
             StyleBox["\"\[WarningSign]\"", 
              Directive["Message", 35], StripOnInput -> False], 
             ContentPadding -> False, FrameStyle -> None, 
             FrameMargins -> {{0, 0}, {0, 0}}, StripOnInput -> False], 
            GridBox[{{
               TagBox[
                GridBox[{{
                   TagBox["\"Message: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox[
                   "\"Part \\!\\(\\*TagBox[\\\"2\\\", Function[Short[Slot[1], \
5]]]\\) of \\!\\(\\*TagBox[RowBox[{\\\"IntegerDigits\\\", \\\"[\\\", RowBox[{\
\\\"Missing\\\", \\\"[\\\", \\\"]\\\"}], \\\"]\\\"}], Function[Short[Slot[1], \
5]]]\\) does not exist.\"", "SummaryItem"]}}, 
                 GridBoxItemSize -> {"Columns" -> {6.5, All, Automatic}}, 
                 GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                 GridBoxSpacings -> {"Columns" -> {{0}}}], "SummaryItem"]}, {
               TagBox[
                GridBox[{{
                   TagBox["\"Tag: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox["Part", "SummaryItem"]}}, 
                 GridBoxItemSize -> {"Columns" -> {6.5, All, Automatic}}, 
                 GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                 GridBoxSpacings -> {"Columns" -> {{0}}}], "SummaryItem"]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
             False, GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{2}}, "Rows" -> {{Automatic}}},
              BaseStyle -> {
              ShowStringCharacters -> False, NumberMarks -> False, 
               PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
          GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
          AutoDelete -> False, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
          BaselinePosition -> {1, 1}]}, 
       Dynamic[Typeset`open$$], ImageSize -> Automatic]},
     "SummaryPanel"],
    DynamicModuleValues:>{}], "]"}],
  Failure[
  Part, <|"MessageTemplate" :> MessageName[Part, "partw"], 
    "MessageParameters" -> {
      HoldForm[2], 
      HoldForm[
       IntegerDigits[
        Missing[]]]}|>],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Print",
 CellChangeTimes->{3.771930365565456*^9, 3.881423317868079*^9},
 CellLabel->"During evaluation of In[477]:=",
 CellID->1741985951,ExpressionUUID->"81095f8a-630c-442c-b5c9-157bf1c35093"]
}, Open  ]],

Cell[BoxData[
 TagBox[
  RowBox[{"{", 
   RowBox[{
   "9", ",", "Null", ",", "Null", ",", "0", ",", "5", ",", "8", ",", "3", ",",
     "9", ",", "3", ",", "1", ",", "7", ",", "8", ",", "4", ",", "6", ",", 
    "0", ",", "Null", ",", "4", ",", "0", ",", "2", ",", "6"}], "}"}],
  Short[#, 5]& ]], "Output",
 CellChangeTimes->{
  3.742553137492975*^9, {3.742553219345406*^9, 3.742553247638414*^9}, 
   3.7425533765365143`*^9, 3.7694688077589407`*^9, 3.7699563011631393`*^9, 
   3.769958658423601*^9, 3.7699589097644663`*^9, 3.769959365162915*^9, 
   3.7699609928064547`*^9, 3.7718884471189413`*^9, 3.771923386560563*^9, 
   3.771930221084499*^9, 3.771930365577054*^9, 3.881423318064893*^9},
 CellLabel->"Out[477]//Short=",
 CellID->913318906,ExpressionUUID->"252fbfe6-04a2-4657-9228-3401c096d540"]
}, Open  ]],

Cell[TextData[{
 "If one is worried that the use of ",
 Cell[BoxData[
  RowBox[{"{", 
   RowBox[{"\"\<Replace\>\"", ",", 
    ButtonBox[
     StyleBox["Print",
      FontColor->GrayLevel[0]],
     BaseStyle->"Hyperlink",
     ButtonData->{
       URL["https://reference.wolfram.com/language/ref/Print.html"], None},
     ButtonNote->"https://reference.wolfram.com/language/ref/Print.html"]}], 
   "}"}]], "InlineCodeText",ExpressionUUID->
  "fe61d003-08fd-439a-b4b0-265a9cde0b6b"],
 " as the option to ",
 ButtonBox["FailureAction",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/FailureAction.html"], 
    None},
  ButtonNote->"https://reference.wolfram.com/language/ref/FailureAction.html"],
 " might result in a notebook now stuffed with error messages, there is a \
hack to avoid the problem. It is shown next. Basically, you preface ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " with a counter. Then each time you encounter the error, the kernel \
increments the counter by one. You then condition the printing of the error \
message on the error counter being less than some ceiling value. It\
\[CloseCurlyQuote]s not elegant, but it\[CloseCurlyQuote]s a lot more elegant \
than having a notebook with a million-row set of data coming to a halt or \
crashing because the kernel generates one million print cells that choke the \
Wolfram Language front end!"
}], "Text",
 CellChangeTimes->{{3.742553386699615*^9, 3.7425534703489513`*^9}, {
   3.742553532209455*^9, 3.742553628520403*^9}, {3.742553673308374*^9, 
   3.742553676816744*^9}, {3.769468829296509*^9, 3.769468832199498*^9}, {
   3.7718884581056137`*^9, 3.7718884821036787`*^9}, {3.777139021169921*^9, 
   3.777139078752921*^9}, {3.8581774530971746`*^9, 3.858177467026472*^9}, {
   3.8678487233192415`*^9, 3.8678487235428195`*^9}, {3.8696634303183966`*^9, 
   3.8696634414219046`*^9}, 3.896355299744149*^9},
 CellID->1668027059,ExpressionUUID->"390ad8f0-25a9-4625-92fa-50ec43a6f0a7"],

Cell["Custom behavior on confronting errors can be elaborate:", "CodeText",
 CellChangeTimes->{{3.769517360249405*^9, 3.769517372628587*^9}, 
   3.7770422054370084`*^9, 3.777139094211921*^9},
 CellID->298294661,ExpressionUUID->"eb651922-bacc-406f-ba55-c4fac7578d5d"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"errorCount", "=", "0"}], ";", 
    RowBox[{
     RowBox[{"Query", "[", 
      RowBox[{
       RowBox[{"1", ";;", "20"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"IntegerDigits", "[", "#age", "]"}], "[", 
         RowBox[{"[", "2", "]"}], "]"}], "&"}], ",", 
       RowBox[{"FailureAction", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"\"\<Replace\>\"", ",", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"errorCount", "++"}], ";", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{"errorCount", "\[LessEqual]", "2"}], ",", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"Print", "[", "#", "]"}], ";", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "2", "]"}], "]"}]}], ")"}]}], "]"}]}], ")"}], 
           "&"}]}], "}"}]}]}], "]"}], "[", "titanic", "]"}]}], ")"}], "//", 
  RowBox[{
   InterpretationBox[
    TagBox[
     DynamicModuleBox[{Typeset`open = False}, 
      FrameBox[
       PaneSelectorBox[{False->GridBox[{
          {
           PaneBox[GridBox[{
              {
               StyleBox[
                StyleBox[
                 AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                  BoxBaselineShift->-0.25,
                  BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                 
                 FontColor->RGBColor[
                  0.8745098039215686, 0.2784313725490196, 
                   0.03137254901960784]],
                ShowStringCharacters->False,
                FontFamily->"Source Sans Pro Black",
                FontSize->0.6538461538461539 Inherited,
                FontWeight->"Heavy",
                PrivateFontOptions->{"OperatorSubstitution"->False}], 
               StyleBox[
                RowBox[{
                 StyleBox["Terse", "ResourceFunctionLabel"], " "}],
                ShowAutoStyles->False,
                ShowStringCharacters->False,
                FontSize->Rational[12, 13] Inherited,
                FontColor->GrayLevel[0.1]]}
             },
             GridBoxSpacings->{"Columns" -> {{0.25}}}],
            Alignment->Left,
            BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
            BaselinePosition->Baseline,
            FrameMargins->{{3, 0}, {0, 0}}], 
           ItemBox[
            PaneBox[
             TogglerBox[Dynamic[Typeset`open], {True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeCloser"],
               ImageSizeCache->{11., {2., 9.}}], False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeOpener"],
               ImageSizeCache->{11., {2., 9.}}]},
              Appearance->None,
              BaselinePosition->Baseline,
              ContentPadding->False,
              FrameMargins->0],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{1, 1}, {0, 0}}],
            Frame->{{
               RGBColor[
               0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                0.5], False}, {False, False}}]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
         GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
        GridBox[{
          {GridBox[{
             {
              PaneBox[GridBox[{
                 {
                  StyleBox[
                   StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                   ShowStringCharacters->False,
                   FontFamily->"Source Sans Pro Black",
                   FontSize->0.6538461538461539 Inherited,
                   FontWeight->"Heavy",
                   PrivateFontOptions->{"OperatorSubstitution"->False}], 
                  StyleBox[
                   RowBox[{
                    StyleBox["Terse", "ResourceFunctionLabel"], " "}],
                   ShowAutoStyles->False,
                   ShowStringCharacters->False,
                   FontSize->Rational[12, 13] Inherited,
                   FontColor->GrayLevel[0.1]]}
                },
                GridBoxSpacings->{"Columns" -> {{0.25}}}],
               Alignment->Left,
               BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
               BaselinePosition->Baseline,
               FrameMargins->{{3, 0}, {0, 0}}], 
              ItemBox[
               PaneBox[
                TogglerBox[Dynamic[Typeset`open], {True->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeCloser"]], False->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeOpener"]]},
                 Appearance->None,
                 BaselinePosition->Baseline,
                 ContentPadding->False,
                 FrameMargins->0],
                Alignment->Left,
                BaselinePosition->Baseline,
                FrameMargins->{{1, 1}, {0, 0}}],
               Frame->{{
                  RGBColor[
                  0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                   0.5], False}, {False, False}}]}
            },
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
          {
           StyleBox[
            PaneBox[GridBox[{
               {
                RowBox[{
                 TagBox["\<\"Version (latest): \"\>",
                  "IconizedLabel"], " ", 
                 TagBox["\<\"1.0.0\"\>",
                  "IconizedItem"]}]},
               {
                TagBox[
                 
                 TemplateBox[{
                  "\"Documentation \[RightGuillemet]\"", 
                   "https://resources.wolframcloud.com/FunctionRepository/\
resources/6809487c-44ed-4a55-a610-ab706ebb8661/"},
                  "HyperlinkURL"],
                 "IconizedItem"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
            FontFamily->"Roboto",
            FontSize->11]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
              GrayLevel[0.8]}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
        Typeset`open],
        BaselinePosition->Baseline,
        ImageSize->Automatic],
       Background->RGBColor[
        0.9686274509803922, 0.9764705882352941, 0.984313725490196],
       BaselinePosition->Baseline,
       DefaultBaseStyle->{},
       FrameMargins->{{0, 0}, {1, 0}},
       FrameStyle->RGBColor[
        0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
       RoundingRadius->4]],
     {"FunctionResourceBox", 
      RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
      "Terse"},
     TagBoxNote->"FunctionResourceBox"],
    ResourceFunction[
     ResourceObject[<|
      "Name" -> "Terse", "ShortName" -> "Terse", "UUID" -> 
       "6809487c-44ed-4a55-a610-ab706ebb8661", "ResourceType" -> "Function", 
       "Version" -> "1.0.0", "Description" -> "An operator form of Short", 
       "RepositoryLocation" -> 
       URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
       "SymbolName" -> 
       "FunctionRepository`$369a78f89aa2413eb5b19a962ce89cd7`Terse", 
       "FunctionLocation" -> 
       CloudObject[
        "https://www.wolframcloud.com/obj/c1820918-b759-4685-b9b8-\
c971a81216b5"]|>, ResourceSystemBase -> Automatic]],
    Selectable->False], "[", "6", "]"}]}]], "Input",
 CellChangeTimes->{{3.742553477342229*^9, 3.742553525143054*^9}, {
   3.742553571468143*^9, 3.742553571828175*^9}, {3.74255403676676*^9, 
   3.742554093306242*^9}, {3.769958667611184*^9, 3.769958675488275*^9}, 
   3.7699588602927723`*^9, 3.7699589138491793`*^9, {3.76996099709608*^9, 
   3.7699610028649406`*^9}, {3.770406405020565*^9, 3.770406412884699*^9}, 
   3.88116529923904*^9},
 CellLabel->"In[478]:=",
 CellID->962487873,ExpressionUUID->"a6c3550f-a6e6-441d-8a08-9422d106250e"],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   TagBox["Failure",
    "SummaryHead"], "[", 
   DynamicModuleBox[{Typeset`open$$ = False, Typeset`embedState$$ = "Ready"}, 
    TemplateBox[{
      PaneSelectorBox[{False -> GridBox[{{
            FrameBox[
             StyleBox["\"\[WarningSign]\"", 
              Directive["Message", 35], StripOnInput -> False], 
             ContentPadding -> False, FrameStyle -> None, 
             FrameMargins -> {{0, 0}, {0, 0}}, StripOnInput -> False], 
            GridBox[{{
               TagBox[
                GridBox[{{
                   TagBox["\"Message: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox[
                   "\"Part \\!\\(\\*TagBox[\\\"2\\\", Function[Short[Slot[1], \
5]]]\\) of \\!\\(\\*TagBox[RowBox[{\\\"{\\\", \\\"1\\\", \\\"}\\\"}], \
Function[Short[Slot[1], 5]]]\\) does not exist.\"", "SummaryItem"]}}, 
                 GridBoxItemSize -> {"Columns" -> {6.5, All, Automatic}}, 
                 GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                 GridBoxSpacings -> {"Columns" -> {{0}}}], "SummaryItem"]}, {
               TagBox[
                GridBox[{{
                   TagBox["\"Tag: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox["Part", "SummaryItem"]}}, 
                 GridBoxItemSize -> {"Columns" -> {6.5, All, Automatic}}, 
                 GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                 GridBoxSpacings -> {"Columns" -> {{0}}}], "SummaryItem"]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
             False, GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{2}}, "Rows" -> {{Automatic}}},
              BaseStyle -> {
              ShowStringCharacters -> False, NumberMarks -> False, 
               PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
          GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
          AutoDelete -> False, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
          BaselinePosition -> {1, 1}], True -> GridBox[{{
            FrameBox[
             StyleBox["\"\[WarningSign]\"", 
              Directive["Message", 35], StripOnInput -> False], 
             ContentPadding -> False, FrameStyle -> None, 
             FrameMargins -> {{0, 0}, {0, 0}}, StripOnInput -> False], 
            GridBox[{{
               TagBox[
                GridBox[{{
                   TagBox["\"Message: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox[
                   "\"Part \\!\\(\\*TagBox[\\\"2\\\", Function[Short[Slot[1], \
5]]]\\) of \\!\\(\\*TagBox[RowBox[{\\\"{\\\", \\\"1\\\", \\\"}\\\"}], \
Function[Short[Slot[1], 5]]]\\) does not exist.\"", "SummaryItem"]}}, 
                 GridBoxItemSize -> {"Columns" -> {6.5, All, Automatic}}, 
                 GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                 GridBoxSpacings -> {"Columns" -> {{0}}}], "SummaryItem"]}, {
               TagBox[
                GridBox[{{
                   TagBox["\"Tag: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox["Part", "SummaryItem"]}}, 
                 GridBoxItemSize -> {"Columns" -> {6.5, All, Automatic}}, 
                 GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                 GridBoxSpacings -> {"Columns" -> {{0}}}], "SummaryItem"]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
             False, GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{2}}, "Rows" -> {{Automatic}}},
              BaseStyle -> {
              ShowStringCharacters -> False, NumberMarks -> False, 
               PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
          GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
          AutoDelete -> False, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
          BaselinePosition -> {1, 1}]}, 
       Dynamic[Typeset`open$$], ImageSize -> Automatic]},
     "SummaryPanel"],
    DynamicModuleValues:>{}], "]"}],
  Failure[
  Part, <|"MessageTemplate" :> MessageName[Part, "partw"], 
    "MessageParameters" -> {
      HoldForm[2], 
      HoldForm[{1}]}|>],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Print",
 CellChangeTimes->{3.771930365617154*^9, 3.8814233251867113`*^9},
 CellLabel->"During evaluation of In[478]:=",
 CellID->504541116,ExpressionUUID->"5a22b81f-0855-4588-bfb1-20fcf55d3982"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   TagBox["Failure",
    "SummaryHead"], "[", 
   DynamicModuleBox[{Typeset`open$$ = False, Typeset`embedState$$ = "Ready"}, 
    TemplateBox[{
      PaneSelectorBox[{False -> GridBox[{{
            FrameBox[
             StyleBox["\"\[WarningSign]\"", 
              Directive["Message", 35], StripOnInput -> False], 
             ContentPadding -> False, FrameStyle -> None, 
             FrameMargins -> {{0, 0}, {0, 0}}, StripOnInput -> False], 
            GridBox[{{
               TagBox[
                GridBox[{{
                   TagBox["\"Message: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox[
                   "\"Part \\!\\(\\*TagBox[\\\"2\\\", Function[Short[Slot[1], \
5]]]\\) of \\!\\(\\*TagBox[RowBox[{\\\"{\\\", \\\"2\\\", \\\"}\\\"}], \
Function[Short[Slot[1], 5]]]\\) does not exist.\"", "SummaryItem"]}}, 
                 GridBoxItemSize -> {"Columns" -> {6.5, All, Automatic}}, 
                 GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                 GridBoxSpacings -> {"Columns" -> {{0}}}], "SummaryItem"]}, {
               TagBox[
                GridBox[{{
                   TagBox["\"Tag: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox["Part", "SummaryItem"]}}, 
                 GridBoxItemSize -> {"Columns" -> {6.5, All, Automatic}}, 
                 GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                 GridBoxSpacings -> {"Columns" -> {{0}}}], "SummaryItem"]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
             False, GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{2}}, "Rows" -> {{Automatic}}},
              BaseStyle -> {
              ShowStringCharacters -> False, NumberMarks -> False, 
               PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
          GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
          AutoDelete -> False, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
          BaselinePosition -> {1, 1}], True -> GridBox[{{
            FrameBox[
             StyleBox["\"\[WarningSign]\"", 
              Directive["Message", 35], StripOnInput -> False], 
             ContentPadding -> False, FrameStyle -> None, 
             FrameMargins -> {{0, 0}, {0, 0}}, StripOnInput -> False], 
            GridBox[{{
               TagBox[
                GridBox[{{
                   TagBox["\"Message: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox[
                   "\"Part \\!\\(\\*TagBox[\\\"2\\\", Function[Short[Slot[1], \
5]]]\\) of \\!\\(\\*TagBox[RowBox[{\\\"{\\\", \\\"2\\\", \\\"}\\\"}], \
Function[Short[Slot[1], 5]]]\\) does not exist.\"", "SummaryItem"]}}, 
                 GridBoxItemSize -> {"Columns" -> {6.5, All, Automatic}}, 
                 GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                 GridBoxSpacings -> {"Columns" -> {{0}}}], "SummaryItem"]}, {
               TagBox[
                GridBox[{{
                   TagBox["\"Tag: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox["Part", "SummaryItem"]}}, 
                 GridBoxItemSize -> {"Columns" -> {6.5, All, Automatic}}, 
                 GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                 GridBoxSpacings -> {"Columns" -> {{0}}}], "SummaryItem"]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
             False, GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{2}}, "Rows" -> {{Automatic}}},
              BaseStyle -> {
              ShowStringCharacters -> False, NumberMarks -> False, 
               PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
          GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
          AutoDelete -> False, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
          BaselinePosition -> {1, 1}]}, 
       Dynamic[Typeset`open$$], ImageSize -> Automatic]},
     "SummaryPanel"],
    DynamicModuleValues:>{}], "]"}],
  Failure[
  Part, <|"MessageTemplate" :> MessageName[Part, "partw"], 
    "MessageParameters" -> {
      HoldForm[2], 
      HoldForm[{2}]}|>],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Print",
 CellChangeTimes->{3.771930365617154*^9, 3.881423325383322*^9},
 CellLabel->"During evaluation of In[478]:=",
 CellID->1557098256,ExpressionUUID->"0cc54216-422f-4f13-9e23-58a9a9532bbc"]
}, Open  ]],

Cell[BoxData[
 TagBox[
  RowBox[{"{", 
   RowBox[{"9", ",", 
    RowBox[{"\[LeftAssociation]", 
     RowBox[{
      RowBox[{"\<\"MessageTemplate\"\>", "\[RuleDelayed]", 
       StyleBox[
        RowBox[{"Part", "::", "partw"}], "MessageName"]}], ",", 
      RowBox[{"\<\"MessageParameters\"\>", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"2", ",", 
         RowBox[{"{", "1", "}"}]}], "}"}]}]}], "\[RightAssociation]"}], ",", 
    RowBox[{"\[LeftAssociation]", 
     RowBox[{
      RowBox[{"\<\"MessageTemplate\"\>", "\[RuleDelayed]", 
       StyleBox[
        RowBox[{"Part", "::", "partw"}], "MessageName"]}], ",", 
      RowBox[{"\<\"MessageParameters\"\>", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"2", ",", 
         RowBox[{"{", "2", "}"}]}], "}"}]}]}], "\[RightAssociation]"}], ",", 
    "0", ",", "5", ",", "8", ",", "3", ",", "9", ",", "3", ",", "1", ",", "7",
     ",", "8", ",", "4", ",", "6", ",", "0", ",", "Null", ",", "4", ",", "0", 
    ",", "2", ",", "6"}], "}"}],
  Short[#, 6]& ]], "Output",
 CellChangeTimes->{{3.74255405813682*^9, 3.742554093902289*^9}, 
   3.769468843971757*^9, 3.769956301174217*^9, 3.769958675949952*^9, 
   3.7699589143812637`*^9, 3.769959366394465*^9, 3.7699610033367777`*^9, 
   3.77188849756684*^9, 3.771923386612997*^9, 3.771930221120688*^9, 
   3.771930365627716*^9, 3.881423325556098*^9},
 CellLabel->"Out[478]//Short=",
 CellID->914666250,ExpressionUUID->"f9e9298b-eb4b-4e40-ae7e-1ded0501b943"]
}, Open  ]],

Cell[TextData[{
 "Perhaps the most conservative approach to detecting the source of error is \
to use ",
 Cell[BoxData[
 "\"\<Encapsulate\>\""], "InlineCodeText",ExpressionUUID->
  "09a294ab-82de-4c7a-968c-7af15103abd4"],
 " as the value of ",
 ButtonBox["FailureAction",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/FailureAction.html"], 
    None},
  ButtonNote->"https://reference.wolfram.com/language/ref/FailureAction.html"],
 ". The following code shows what it does. I\[CloseCurlyQuote]m only going to \
look at the first 20 Titanic passengers to keep the output short. "
}], "Text",
 CellChangeTimes->{{3.742552562464507*^9, 3.742552615369327*^9}, {
  3.7425547684383307`*^9, 3.742555004307082*^9}, {3.742555269225665*^9, 
  3.742555290341729*^9}, {3.771888507539894*^9, 3.771888510468906*^9}, {
  3.777139230357921*^9, 3.7771392468289213`*^9}, {3.867849191445121*^9, 
  3.8678491918947077`*^9}, {3.867849371481102*^9, 3.8678493832971115`*^9}},
 CellTags->"LastCellOfAPage",
 CellID->1508728349,ExpressionUUID->"a459e499-e80a-452d-9c1f-315762d736d9"],

Cell[TextData[{
 "Use ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["FailureAction",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/FailureAction.html"], 
      None},
    ButtonNote->
     "https://reference.wolfram.com/language/ref/FailureAction.html"], " ", 
   ButtonBox[
    StyleBox["\[Rule]",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Rule.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Rule.html"], " ", 
   "\"\<Encapsulate\>\""}]], "InlineCode",ExpressionUUID->
  "ac74fd4c-1fe8-4adc-ba3d-ba80d0d168db"],
 " to insert the ",
 ButtonBox["Failure",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Failure.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Failure.html"],
 " objects into the result:"
}], "CodeText",
 CellChangeTimes->{{3.769517379232801*^9, 3.769517395234276*^9}, {
   3.777041928893008*^9, 3.7770419334050083`*^9}, 3.7770422088140087`*^9, {
   3.777139257167921*^9, 3.777139261869921*^9}, {3.867755916589773*^9, 
   3.8677559228743644`*^9}},
 CellTags->"p: 142",
 CellID->1466047781,ExpressionUUID->"40a639ce-893b-4b44-8c6a-281de1548e15"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Query", "[", 
    RowBox[{
     RowBox[{"1", ";;", "20"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"IntegerDigits", "[", "#age", "]"}], "[", 
       RowBox[{"[", "2", "]"}], "]"}], "&"}], ",", 
     RowBox[{"FailureAction", "\[Rule]", "\"\<Encapsulate\>\""}]}], "]"}], 
   "[", "titanic", "]"}], "//", 
  RowBox[{
   InterpretationBox[
    TagBox[
     DynamicModuleBox[{Typeset`open = False}, 
      FrameBox[
       PaneSelectorBox[{False->GridBox[{
          {
           PaneBox[GridBox[{
              {
               StyleBox[
                StyleBox[
                 AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                  BoxBaselineShift->-0.25,
                  BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                 
                 FontColor->RGBColor[
                  0.8745098039215686, 0.2784313725490196, 
                   0.03137254901960784]],
                ShowStringCharacters->False,
                FontFamily->"Source Sans Pro Black",
                FontSize->0.6538461538461539 Inherited,
                FontWeight->"Heavy",
                PrivateFontOptions->{"OperatorSubstitution"->False}], 
               StyleBox[
                RowBox[{
                 StyleBox["Terse", "ResourceFunctionLabel"], " "}],
                ShowAutoStyles->False,
                ShowStringCharacters->False,
                FontSize->Rational[12, 13] Inherited,
                FontColor->GrayLevel[0.1]]}
             },
             GridBoxSpacings->{"Columns" -> {{0.25}}}],
            Alignment->Left,
            BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
            BaselinePosition->Baseline,
            FrameMargins->{{3, 0}, {0, 0}}], 
           ItemBox[
            PaneBox[
             TogglerBox[Dynamic[Typeset`open], {True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeCloser"],
               ImageSizeCache->{11., {2., 9.}}], False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeOpener"],
               ImageSizeCache->{11., {2., 9.}}]},
              Appearance->None,
              BaselinePosition->Baseline,
              ContentPadding->False,
              FrameMargins->0],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{1, 1}, {0, 0}}],
            Frame->{{
               RGBColor[
               0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                0.5], False}, {False, False}}]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
         GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
        GridBox[{
          {GridBox[{
             {
              PaneBox[GridBox[{
                 {
                  StyleBox[
                   StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                   ShowStringCharacters->False,
                   FontFamily->"Source Sans Pro Black",
                   FontSize->0.6538461538461539 Inherited,
                   FontWeight->"Heavy",
                   PrivateFontOptions->{"OperatorSubstitution"->False}], 
                  StyleBox[
                   RowBox[{
                    StyleBox["Terse", "ResourceFunctionLabel"], " "}],
                   ShowAutoStyles->False,
                   ShowStringCharacters->False,
                   FontSize->Rational[12, 13] Inherited,
                   FontColor->GrayLevel[0.1]]}
                },
                GridBoxSpacings->{"Columns" -> {{0.25}}}],
               Alignment->Left,
               BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
               BaselinePosition->Baseline,
               FrameMargins->{{3, 0}, {0, 0}}], 
              ItemBox[
               PaneBox[
                TogglerBox[Dynamic[Typeset`open], {True->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeCloser"]], False->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeOpener"]]},
                 Appearance->None,
                 BaselinePosition->Baseline,
                 ContentPadding->False,
                 FrameMargins->0],
                Alignment->Left,
                BaselinePosition->Baseline,
                FrameMargins->{{1, 1}, {0, 0}}],
               Frame->{{
                  RGBColor[
                  0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                   0.5], False}, {False, False}}]}
            },
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
          {
           StyleBox[
            PaneBox[GridBox[{
               {
                RowBox[{
                 TagBox["\<\"Version (latest): \"\>",
                  "IconizedLabel"], " ", 
                 TagBox["\<\"1.0.0\"\>",
                  "IconizedItem"]}]},
               {
                TagBox[
                 
                 TemplateBox[{
                  "\"Documentation \[RightGuillemet]\"", 
                   "https://resources.wolframcloud.com/FunctionRepository/\
resources/6809487c-44ed-4a55-a610-ab706ebb8661/"},
                  "HyperlinkURL"],
                 "IconizedItem"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
            FontFamily->"Roboto",
            FontSize->11]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
              GrayLevel[0.8]}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
        Typeset`open],
        BaselinePosition->Baseline,
        ImageSize->Automatic],
       Background->RGBColor[
        0.9686274509803922, 0.9764705882352941, 0.984313725490196],
       BaselinePosition->Baseline,
       DefaultBaseStyle->{},
       FrameMargins->{{0, 0}, {1, 0}},
       FrameStyle->RGBColor[
        0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
       RoundingRadius->4]],
     {"FunctionResourceBox", 
      RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
      "Terse"},
     TagBoxNote->"FunctionResourceBox"],
    ResourceFunction[
     ResourceObject[<|
      "Name" -> "Terse", "ShortName" -> "Terse", "UUID" -> 
       "6809487c-44ed-4a55-a610-ab706ebb8661", "ResourceType" -> "Function", 
       "Version" -> "1.0.0", "Description" -> "An operator form of Short", 
       "RepositoryLocation" -> 
       URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
       "SymbolName" -> 
       "FunctionRepository`$369a78f89aa2413eb5b19a962ce89cd7`Terse", 
       "FunctionLocation" -> 
       CloudObject[
        "https://www.wolframcloud.com/obj/c1820918-b759-4685-b9b8-\
c971a81216b5"]|>, ResourceSystemBase -> Automatic]],
    Selectable->False], "[", "]"}]}]], "Input",
 CellChangeTimes->{{3.74255228608906*^9, 3.742552294459639*^9}, {
   3.742552516568502*^9, 3.74255252436847*^9}, {3.742552617608824*^9, 
   3.742552618666935*^9}, {3.742552651311307*^9, 3.7425526547303057`*^9}, {
   3.742552696912917*^9, 3.7425527414671288`*^9}, {3.742553713268653*^9, 
   3.7425537156383057`*^9}, {3.742554838424818*^9, 3.7425548394180307`*^9}, {
   3.769468889772377*^9, 3.769468889952015*^9}, {3.76995868399164*^9, 
   3.769958690577457*^9}, 3.769958861091083*^9, 3.769958920234421*^9, {
   3.769961012747005*^9, 3.769961016486377*^9}, {3.7704064161809187`*^9, 
   3.7704064228282137`*^9}, 3.881165304099728*^9},
 CellLabel->"In[479]:=",
 CellID->1356838375,ExpressionUUID->"0b45587c-ebcf-4485-b9fd-8805ab07de89"],

Cell[BoxData[
 TagBox[
  RowBox[{"{", 
   RowBox[{"9", ",", 
    InterpretationBox[
     RowBox[{
      TagBox["Failure",
       "SummaryHead"], "[", 
      DynamicModuleBox[{Typeset`open$$ = False, Typeset`embedState$$ = 
       "Ready"}, 
       TemplateBox[{
         PaneSelectorBox[{False -> GridBox[{{
               FrameBox[
                StyleBox["\"\[WarningSign]\"", 
                 Directive["Message", 35], StripOnInput -> False], 
                ContentPadding -> False, FrameStyle -> None, 
                FrameMargins -> {{0, 0}, {0, 0}}, StripOnInput -> False], 
               GridBox[{{
                  TagBox[
                   GridBox[{{
                    TagBox["\"Message: \"", "SummaryItemAnnotation"], 
                    "\[InvisibleSpace]", 
                    TagBox[
                    "\"Part \\!\\(\\*RowBox[{\\\"2\\\"}]\\) of \
\\!\\(\\*RowBox[{\\\"{\\\", \\\"1\\\", \\\"}\\\"}]\\) does not exist.\"", 
                    "SummaryItem"]}}, 
                    GridBoxItemSize -> {"Columns" -> {6.5, All, Automatic}}, 
                    GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                    GridBoxSpacings -> {"Columns" -> {{0}}}], 
                   "SummaryItem"]}, {
                  TagBox[
                   GridBox[{{
                    TagBox["\"Tag: \"", "SummaryItemAnnotation"], 
                    "\[InvisibleSpace]", 
                    TagBox["Part", "SummaryItem"]}}, 
                    GridBoxItemSize -> {"Columns" -> {6.5, All, Automatic}}, 
                    GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                    GridBoxSpacings -> {"Columns" -> {{0}}}], 
                   "SummaryItem"]}}, 
                GridBoxAlignment -> {
                 "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
                False, GridBoxItemSize -> {
                 "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                GridBoxSpacings -> {
                 "Columns" -> {{2}}, "Rows" -> {{Automatic}}}, 
                BaseStyle -> {
                 ShowStringCharacters -> False, NumberMarks -> False, 
                  PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             BaselinePosition -> {1, 1}], True -> GridBox[{{
               FrameBox[
                StyleBox["\"\[WarningSign]\"", 
                 Directive["Message", 35], StripOnInput -> False], 
                ContentPadding -> False, FrameStyle -> None, 
                FrameMargins -> {{0, 0}, {0, 0}}, StripOnInput -> False], 
               GridBox[{{
                  TagBox[
                   GridBox[{{
                    TagBox["\"Message: \"", "SummaryItemAnnotation"], 
                    "\[InvisibleSpace]", 
                    TagBox[
                    "\"Part \\!\\(\\*RowBox[{\\\"2\\\"}]\\) of \
\\!\\(\\*RowBox[{\\\"{\\\", \\\"1\\\", \\\"}\\\"}]\\) does not exist.\"", 
                    "SummaryItem"]}}, 
                    GridBoxItemSize -> {"Columns" -> {6.5, All, Automatic}}, 
                    GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                    GridBoxSpacings -> {"Columns" -> {{0}}}], 
                   "SummaryItem"]}, {
                  TagBox[
                   GridBox[{{
                    TagBox["\"Tag: \"", "SummaryItemAnnotation"], 
                    "\[InvisibleSpace]", 
                    TagBox["Part", "SummaryItem"]}}, 
                    GridBoxItemSize -> {"Columns" -> {6.5, All, Automatic}}, 
                    GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                    GridBoxSpacings -> {"Columns" -> {{0}}}], 
                   "SummaryItem"]}}, 
                GridBoxAlignment -> {
                 "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
                False, GridBoxItemSize -> {
                 "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                GridBoxSpacings -> {
                 "Columns" -> {{2}}, "Rows" -> {{Automatic}}}, 
                BaseStyle -> {
                 ShowStringCharacters -> False, NumberMarks -> False, 
                  PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             BaselinePosition -> {1, 1}]}, 
          Dynamic[Typeset`open$$], ImageSize -> Automatic]},
        "SummaryPanel"],
       DynamicModuleValues:>{}], "]"}],
     Failure[
     Part, <|"MessageTemplate" :> MessageName[Part, "partw"], 
       "MessageParameters" -> {
         HoldForm[2], 
         HoldForm[{1}]}|>],
     Editable->False,
     SelectWithContents->True,
     Selectable->False], ",", 
    InterpretationBox[
     RowBox[{
      TagBox["Failure",
       "SummaryHead"], "[", 
      DynamicModuleBox[{Typeset`open$$ = False, Typeset`embedState$$ = 
       "Ready"}, 
       TemplateBox[{
         PaneSelectorBox[{False -> GridBox[{{
               FrameBox[
                StyleBox["\"\[WarningSign]\"", 
                 Directive["Message", 35], StripOnInput -> False], 
                ContentPadding -> False, FrameStyle -> None, 
                FrameMargins -> {{0, 0}, {0, 0}}, StripOnInput -> False], 
               GridBox[{{
                  TagBox[
                   GridBox[{{
                    TagBox["\"Message: \"", "SummaryItemAnnotation"], 
                    "\[InvisibleSpace]", 
                    TagBox[
                    "\"Part \\!\\(\\*RowBox[{\\\"2\\\"}]\\) of \
\\!\\(\\*RowBox[{\\\"{\\\", \\\"2\\\", \\\"}\\\"}]\\) does not exist.\"", 
                    "SummaryItem"]}}, 
                    GridBoxItemSize -> {"Columns" -> {6.5, All, Automatic}}, 
                    GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                    GridBoxSpacings -> {"Columns" -> {{0}}}], 
                   "SummaryItem"]}, {
                  TagBox[
                   GridBox[{{
                    TagBox["\"Tag: \"", "SummaryItemAnnotation"], 
                    "\[InvisibleSpace]", 
                    TagBox["Part", "SummaryItem"]}}, 
                    GridBoxItemSize -> {"Columns" -> {6.5, All, Automatic}}, 
                    GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                    GridBoxSpacings -> {"Columns" -> {{0}}}], 
                   "SummaryItem"]}}, 
                GridBoxAlignment -> {
                 "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
                False, GridBoxItemSize -> {
                 "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                GridBoxSpacings -> {
                 "Columns" -> {{2}}, "Rows" -> {{Automatic}}}, 
                BaseStyle -> {
                 ShowStringCharacters -> False, NumberMarks -> False, 
                  PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             BaselinePosition -> {1, 1}], True -> GridBox[{{
               FrameBox[
                StyleBox["\"\[WarningSign]\"", 
                 Directive["Message", 35], StripOnInput -> False], 
                ContentPadding -> False, FrameStyle -> None, 
                FrameMargins -> {{0, 0}, {0, 0}}, StripOnInput -> False], 
               GridBox[{{
                  TagBox[
                   GridBox[{{
                    TagBox["\"Message: \"", "SummaryItemAnnotation"], 
                    "\[InvisibleSpace]", 
                    TagBox[
                    "\"Part \\!\\(\\*RowBox[{\\\"2\\\"}]\\) of \
\\!\\(\\*RowBox[{\\\"{\\\", \\\"2\\\", \\\"}\\\"}]\\) does not exist.\"", 
                    "SummaryItem"]}}, 
                    GridBoxItemSize -> {"Columns" -> {6.5, All, Automatic}}, 
                    GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                    GridBoxSpacings -> {"Columns" -> {{0}}}], 
                   "SummaryItem"]}, {
                  TagBox[
                   GridBox[{{
                    TagBox["\"Tag: \"", "SummaryItemAnnotation"], 
                    "\[InvisibleSpace]", 
                    TagBox["Part", "SummaryItem"]}}, 
                    GridBoxItemSize -> {"Columns" -> {6.5, All, Automatic}}, 
                    GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                    GridBoxSpacings -> {"Columns" -> {{0}}}], 
                   "SummaryItem"]}}, 
                GridBoxAlignment -> {
                 "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
                False, GridBoxItemSize -> {
                 "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                GridBoxSpacings -> {
                 "Columns" -> {{2}}, "Rows" -> {{Automatic}}}, 
                BaseStyle -> {
                 ShowStringCharacters -> False, NumberMarks -> False, 
                  PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             BaselinePosition -> {1, 1}]}, 
          Dynamic[Typeset`open$$], ImageSize -> Automatic]},
        "SummaryPanel"],
       DynamicModuleValues:>{}], "]"}],
     Failure[
     Part, <|"MessageTemplate" :> MessageName[Part, "partw"], 
       "MessageParameters" -> {
         HoldForm[2], 
         HoldForm[{2}]}|>],
     Editable->False,
     SelectWithContents->True,
     Selectable->False], ",", "0", ",", "5", ",", 
    RowBox[{"\[LeftSkeleton]", "11", "\[RightSkeleton]"}], ",", "4", ",", "0",
     ",", "2", ",", "6"}], "}"}],
  Short]], "Output",
 CellChangeTimes->{
  3.742552526086092*^9, 3.742552619245946*^9, 3.7425526563139343`*^9, {
   3.7425526982212677`*^9, 3.742552719756645*^9}, 3.742553717127346*^9, 
   3.742554840020986*^9, 3.7694688590588284`*^9, 3.769468890846599*^9, 
   3.769956301212001*^9, 3.769958690966484*^9, 3.7699589207583313`*^9, 
   3.7699593674220943`*^9, 3.769961016870817*^9, 3.771888513402279*^9, 
   3.771923386653034*^9, 3.7719302211952667`*^9, 3.771930365662937*^9, 
   3.881423335198735*^9},
 CellLabel->"Out[479]//Short=",
 CellID->1142832408,ExpressionUUID->"44a8ef90-8b47-46d0-8f95-e7706f850eb3"]
}, Open  ]],

Cell[TextData[{
 "Now, instead of having ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["Missing",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Missing.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Missing.html"], 
   "[", "Failed", "]"}]], "InlineCodeText",ExpressionUUID->
  "9752ebdd-8d5d-43e8-a828-5b7010d23718"],
 " as the output, which is short but not particularly informative, one gets \
the whole glorious ",
 ButtonBox["Failure",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Failure.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Failure.html"],
 " object embedded within the answer. You can already see from the output \
here that, actually, there are two kinds of errors being made in the ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 ". The first, as mentioned previously, is that some of the ages may have \
only one digit, so asking for the second digit won\[CloseCurlyQuote]t work. \
The second error, however, is that some of the passengers don\
\[CloseCurlyQuote]t have age information at all, so asking for ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["IntegerDigits",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/IntegerDigits.html"], 
      None},
    ButtonNote->
     "https://reference.wolfram.com/language/ref/IntegerDigits.html"], "[", 
   RowBox[{
    StyleBox["Missing",
     FontColor->GrayLevel[0]], "[", "]"}], "]"}]], "InlineCodeText",
  ExpressionUUID->"7da0ca0c-8a67-4811-889b-26ab22de7728"],
 " is a nonstarter. The disadvantage of ",
 Cell[BoxData[
 "\"\<Encapsulate\>\""], "InlineCodeText",ExpressionUUID->
  "b5df8f9e-457f-4065-9e3b-d7b03ee01af3"],
 " is that the output can be quite involved if the failures are frequent or \
complex."
}], "Text",
 CellID->2087797935,ExpressionUUID->"ee1b323f-d5b7-4752-bfdf-22e30680f95d"],

Cell[TextData[{
 "There are a couple of ways to clean up the ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 ". One is to use a ",
 ButtonBox["Switch",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Switch.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Switch.html"],
 " statement as shown here. If the age is missing, it outputs ",
 Cell[BoxData[
  RowBox[{
   StyleBox["Missing",
    FontColor->GrayLevel[0]], "[", "]"}]], "InlineCodeText",ExpressionUUID->
  "575308df-80bf-480d-b1d8-5c90366dac1f"],
 ". Otherwise it outputs the last digit of the age."
}], "Text",
 CellID->2057663061,ExpressionUUID->"b6798c24-6c47-4818-b020-81a21a07353e"],

Cell[TextData[{
 "Use ",
 ButtonBox["Switch",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Switch.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Switch.html"],
 " to clean up the ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.8678504380611825`*^9, 3.867850468205105*^9}, {
  3.869663602372898*^9, 3.8696636030615454`*^9}},
 CellID->505237748,ExpressionUUID->"a70259bd-1a43-4633-93e5-5b0a8cd49321"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Query", "[", 
    RowBox[{"All", ",", 
     RowBox[{
      RowBox[{"Switch", "[", 
       RowBox[{"#age", ",", "_Missing", ",", 
        RowBox[{"Missing", "[", "]"}], ",", "_", ",", 
        RowBox[{"Last", "[", 
         RowBox[{"IntegerDigits", "[", "#age", "]"}], "]"}]}], "]"}], "&"}]}],
     "]"}], "[", "titanic", "]"}], "//", "Short"}]], "Input",
 CellChangeTimes->{{3.8581775275774527`*^9, 3.85817752758596*^9}},
 CellLabel->"In[480]:=",
 CellID->2029196584,ExpressionUUID->"4b78d5cc-7332-4977-9f27-b7bbd4ddb321"],

Cell[BoxData[
 TagBox[
  RowBox[{"{", 
   RowBox[{"9", ",", "1", ",", "2", ",", "0", ",", "5", ",", "8", ",", 
    RowBox[{"\[LeftSkeleton]", "1297", "\[RightSkeleton]"}], ",", 
    RowBox[{"Missing", "[", "]"}], ",", "5", ",", 
    RowBox[{"Missing", "[", "]"}], ",", "7", ",", "7", ",", "9"}], "}"}],
  Short]], "Output",
 CellChangeTimes->{3.858177528858469*^9, 3.881423348070332*^9},
 CellLabel->"Out[480]//Short=",
 CellID->1850627681,ExpressionUUID->"21086d40-73f3-4384-a2ef-8c403596bd26"]
}, Open  ]],

Cell[TextData[{
 "A more informative method, but one that would be less amenable to \
subsequent processing, would be to generate some text. Here I do so by using ",
 ButtonBox["StringTemplate",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/StringTemplate.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/StringTemplate.html"],
 " and ",
 ButtonBox["Style",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Style.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Style.html"],
 " to generate an error message that may be more interpretable by humans."
}], "Text",
 CellChangeTimes->{{3.858177568796156*^9, 3.858177624232789*^9}, {
  3.858177739770545*^9, 3.858177741943534*^9}, {3.8582638412969027`*^9, 
  3.8582638458669662`*^9}},
 CellID->2083437919,ExpressionUUID->"e1fb82e2-52c1-4028-9dfa-2a2ade8509f1"],

Cell[TextData[{
 "Combine custom programs with ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["FailureAction",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/FailureAction.html"], 
      None},
    ButtonNote->
     "https://reference.wolfram.com/language/ref/FailureAction.html"], " ", 
   ButtonBox[
    StyleBox["\[Rule]",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Rule.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Rule.html"], " ", 
   "\"\<Encapsulate\>\""}]], "InlineCode",ExpressionUUID->
  "63e4fe79-a710-42fe-8c7e-29f5a318bc72"],
 " to generate custom responses when the operators inside ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " encounter problems:"
}], "CodeText",
 CellChangeTimes->{{3.769517415713531*^9, 3.76951746918322*^9}, {
   3.7770419449100084`*^9, 3.777041947652008*^9}, 3.7770422121910086`*^9, {
   3.7771393880109215`*^9, 3.7771393999279213`*^9}, {3.8677559383816147`*^9, 
   3.867755943544116*^9}},
 CellID->518328473,ExpressionUUID->"07c2785e-e98d-45de-83a2-8689f0f2c3d7"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Query", "[", 
    RowBox[{"All", ",", 
     RowBox[{
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"#age", "\[GreaterEqual]", "10"}], ",", 
        RowBox[{
         RowBox[{"IntegerDigits", "[", "#age", "]"}], "[", 
         RowBox[{"[", "2", "]"}], "]"}], ",", 
        RowBox[{"Style", "[", 
         RowBox[{
          RowBox[{
           RowBox[{
           "StringTemplate", "[", "\"\<`1` is not a 2 digit number\>\"", 
            "]"}], "[", "#age", "]"}], ",", "Pink"}], "]"}]}], "]"}], "&"}], 
     ",", 
     RowBox[{"FailureAction", "\[Rule]", "\"\<Encapsulate\>\""}]}], "]"}], 
   "[", "titanic", "]"}], "//", 
  RowBox[{
   InterpretationBox[
    TagBox[
     DynamicModuleBox[{Typeset`open = False}, 
      FrameBox[
       PaneSelectorBox[{False->GridBox[{
          {
           PaneBox[GridBox[{
              {
               StyleBox[
                StyleBox[
                 AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                  BoxBaselineShift->-0.25,
                  BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                 
                 FontColor->RGBColor[
                  0.8745098039215686, 0.2784313725490196, 
                   0.03137254901960784]],
                ShowStringCharacters->False,
                FontFamily->"Source Sans Pro Black",
                FontSize->0.6538461538461539 Inherited,
                FontWeight->"Heavy",
                PrivateFontOptions->{"OperatorSubstitution"->False}], 
               StyleBox[
                RowBox[{
                 StyleBox["Terse", "ResourceFunctionLabel"], " "}],
                ShowAutoStyles->False,
                ShowStringCharacters->False,
                FontSize->Rational[12, 13] Inherited,
                FontColor->GrayLevel[0.1]]}
             },
             GridBoxSpacings->{"Columns" -> {{0.25}}}],
            Alignment->Left,
            BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
            BaselinePosition->Baseline,
            FrameMargins->{{3, 0}, {0, 0}}], 
           ItemBox[
            PaneBox[
             TogglerBox[Dynamic[Typeset`open], {True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeCloser"],
               ImageSizeCache->{11., {2., 9.}}], False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeOpener"],
               ImageSizeCache->{11., {2., 9.}}]},
              Appearance->None,
              BaselinePosition->Baseline,
              ContentPadding->False,
              FrameMargins->0],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{1, 1}, {0, 0}}],
            Frame->{{
               RGBColor[
               0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                0.5], False}, {False, False}}]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
         GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
        GridBox[{
          {GridBox[{
             {
              PaneBox[GridBox[{
                 {
                  StyleBox[
                   StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                   ShowStringCharacters->False,
                   FontFamily->"Source Sans Pro Black",
                   FontSize->0.6538461538461539 Inherited,
                   FontWeight->"Heavy",
                   PrivateFontOptions->{"OperatorSubstitution"->False}], 
                  StyleBox[
                   RowBox[{
                    StyleBox["Terse", "ResourceFunctionLabel"], " "}],
                   ShowAutoStyles->False,
                   ShowStringCharacters->False,
                   FontSize->Rational[12, 13] Inherited,
                   FontColor->GrayLevel[0.1]]}
                },
                GridBoxSpacings->{"Columns" -> {{0.25}}}],
               Alignment->Left,
               BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
               BaselinePosition->Baseline,
               FrameMargins->{{3, 0}, {0, 0}}], 
              ItemBox[
               PaneBox[
                TogglerBox[Dynamic[Typeset`open], {True->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeCloser"]], False->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeOpener"]]},
                 Appearance->None,
                 BaselinePosition->Baseline,
                 ContentPadding->False,
                 FrameMargins->0],
                Alignment->Left,
                BaselinePosition->Baseline,
                FrameMargins->{{1, 1}, {0, 0}}],
               Frame->{{
                  RGBColor[
                  0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                   0.5], False}, {False, False}}]}
            },
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
          {
           StyleBox[
            PaneBox[GridBox[{
               {
                RowBox[{
                 TagBox["\<\"Version (latest): \"\>",
                  "IconizedLabel"], " ", 
                 TagBox["\<\"1.0.0\"\>",
                  "IconizedItem"]}]},
               {
                TagBox[
                 
                 TemplateBox[{
                  "\"Documentation \[RightGuillemet]\"", 
                   "https://resources.wolframcloud.com/FunctionRepository/\
resources/6809487c-44ed-4a55-a610-ab706ebb8661/"},
                  "HyperlinkURL"],
                 "IconizedItem"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
            FontFamily->"Roboto",
            FontSize->11]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
              GrayLevel[0.8]}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
        Typeset`open],
        BaselinePosition->Baseline,
        ImageSize->Automatic],
       Background->RGBColor[
        0.9686274509803922, 0.9764705882352941, 0.984313725490196],
       BaselinePosition->Baseline,
       DefaultBaseStyle->{},
       FrameMargins->{{0, 0}, {1, 0}},
       FrameStyle->RGBColor[
        0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
       RoundingRadius->4]],
     {"FunctionResourceBox", 
      RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
      "Terse"},
     TagBoxNote->"FunctionResourceBox"],
    ResourceFunction[
     ResourceObject[<|
      "Name" -> "Terse", "ShortName" -> "Terse", "UUID" -> 
       "6809487c-44ed-4a55-a610-ab706ebb8661", "ResourceType" -> "Function", 
       "Version" -> "1.0.0", "Description" -> "An operator form of Short", 
       "RepositoryLocation" -> 
       URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
       "SymbolName" -> 
       "FunctionRepository`$369a78f89aa2413eb5b19a962ce89cd7`Terse", 
       "FunctionLocation" -> 
       CloudObject[
        "https://www.wolframcloud.com/obj/c1820918-b759-4685-b9b8-\
c971a81216b5"]|>, ResourceSystemBase -> Automatic]],
    Selectable->False], "[", "5", "]"}]}]], "Input",
 CellChangeTimes->{{3.74255228608906*^9, 3.742552294459639*^9}, {
   3.742552516568502*^9, 3.74255252436847*^9}, {3.742552617608824*^9, 
   3.742552618666935*^9}, {3.742552651311307*^9, 3.7425526547303057`*^9}, {
   3.742552696912917*^9, 3.7425527414671288`*^9}, {3.742553713268653*^9, 
   3.7425537156383057`*^9}, {3.742554838424818*^9, 3.7425548394180307`*^9}, {
   3.742555019865675*^9, 3.7425551310043373`*^9}, {3.76946891508867*^9, 
   3.769468915300313*^9}, {3.769958697662191*^9, 3.769958709011407*^9}, 
   3.76995886180902*^9, 3.769958925389058*^9, {3.76996102180294*^9, 
   3.76996102588669*^9}, {3.771888558803338*^9, 3.771888559693942*^9}, {
   3.8581776277167883`*^9, 3.858177671417399*^9}, {3.858177721178125*^9, 
   3.858177730762115*^9}, 3.881165314517376*^9},
 CellLabel->"In[481]:=",
 CellID->1111923429,ExpressionUUID->"a1b94ee7-cac8-441c-bca0-8202faf9f2dd"],

Cell[BoxData[
 TagBox[
  RowBox[{"{", 
   RowBox[{"9", ",", 
    StyleBox["\<\"1 is not a 2 digit number\"\>",
     StripOnInput->False,
     LineColor->RGBColor[1, 0.5, 0.5],
     FrontFaceColor->RGBColor[1, 0.5, 0.5],
     GraphicsColor->RGBColor[1, 0.5, 0.5],
     FontColor->RGBColor[1, 0.5, 0.5],
     $CellContext`BackFaceColor -> RGBColor[1, 0.5, 0.5]], ",", 
    StyleBox["\<\"2 is not a 2 digit number\"\>",
     StripOnInput->False,
     LineColor->RGBColor[1, 0.5, 0.5],
     FrontFaceColor->RGBColor[1, 0.5, 0.5],
     GraphicsColor->RGBColor[1, 0.5, 0.5],
     FontColor->RGBColor[1, 0.5, 0.5],
     $CellContext`BackFaceColor -> RGBColor[1, 0.5, 0.5]], ",", "0", ",", 
    RowBox[{"\[LeftSkeleton]", "1302", "\[RightSkeleton]"}], ",", "7", ",", 
    "7", ",", "9"}], "}"}],
  Short[#, 5]& ]], "Output",
 CellChangeTimes->{{3.742555065643018*^9, 3.7425550839296417`*^9}, {
   3.742555116494494*^9, 3.7425551315127363`*^9}, 3.769468920330572*^9, 
   3.769956301221367*^9, {3.769958704091528*^9, 3.769958709512106*^9}, 
   3.769958925959935*^9, 3.769959368437853*^9, 3.769961026326228*^9, 
   3.7718885611724567`*^9, 3.7719233867106657`*^9, 3.771930221233345*^9, 
   3.7719303657188683`*^9, {3.858177633417944*^9, 3.8581776716602983`*^9}, {
   3.858177727741946*^9, 3.8581777312474413`*^9}, 3.88142337345779*^9},
 CellTags->"LastCellOfAPage",
 CellLabel->"Out[481]//Short=",
 CellID->1574747563,ExpressionUUID->"c87714f5-e4cc-4c67-bc14-241736279a93"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Dealing with Missing Parts", "Subsubsection",
 CellChangeTimes->{{3.7425556972603693`*^9, 3.7425557037962627`*^9}},
 CellTags->"p: 143",
 CellID->1525348318,ExpressionUUID->"bcf1e3d9-b080-4bb2-8f57-d893ecb1fb7a"],

Cell[TextData[{
 "There is another option to ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " that deals with a particular problem that can arise: missing data. \
Consider, for example, what happens when I want the fourth part of each row \
but at least some of the expressions don\[CloseCurlyQuote]t have a fourth \
part. I first modify my ",
 Cell[BoxData[
 "dinghy"], "InlineCodeText",ExpressionUUID->
  "27dff1a8-2e7b-4dd9-8193-3a15045304fe"],
 " to get rid of the ",
 Cell[BoxData[
 "\"\<survived\>\""], "InlineCodeText",ExpressionUUID->
  "0da4129b-2d8f-4b02-b20e-a87320396dd8"],
 " key-value pair in the third row. This means that the third row no longer \
has four parts; it has only three."
}], "Text",
 CellChangeTimes->{{3.742555655393703*^9, 3.742555765661119*^9}, {
   3.769468942183968*^9, 3.769468954885963*^9}, 3.769956236747106*^9, 
   3.777041037083338*^9, {3.7771394312769213`*^9, 3.777139444943921*^9}, {
   3.858177902369821*^9, 3.858177903007348*^9}, {3.858178020178294*^9, 
   3.858178064661326*^9}, 3.85826389818414*^9, {3.8678514178487415`*^9, 
   3.8678514294286118`*^9}},
 CellTags->"i:50",
 CellID->1229989336,ExpressionUUID->"24fd5195-eeb5-47ca-a78a-88b4dbf31f65"],

Cell[TextData[{
 "Create a variant of ",
 Cell[BoxData[
 "dinghy"], "InlineCode",ExpressionUUID->
  "6b661588-2467-4557-8b6d-65b817045de0"],
 " that omits a key-value pair:"
}], "CodeText",
 CellChangeTimes->{{3.769517729092123*^9, 3.769517749257564*^9}, 
   3.769956197912079*^9, 3.7770422158770084`*^9, {3.7771394522959213`*^9, 
   3.7771394602629213`*^9}},
 CellID->818578016,ExpressionUUID->"560ac848-ad1b-402d-9677-7b23bc494694"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"dinghya", "=", 
  RowBox[{"Delete", "[", 
   RowBox[{"dinghy", ",", 
    RowBox[{"{", 
     RowBox[{"3", ",", "\"\<survived\>\""}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.769469973387435*^9, 3.769469975197813*^9}, {
  3.769956237596734*^9, 3.769956238899338*^9}},
 CellLabel->"In[482]:=",
 CellID->1816388250,ExpressionUUID->"147c633f-cf57-46ea-89b5-59cf407e151b"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "16"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "True"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"1st\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "65"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"male\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "2"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", 
      RowBox[{"Missing", "[", "]"}]}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "True"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "18"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
    "\[RightAssociation]"}]}], "}"}]], "Output",
 CellChangeTimes->{3.76946997706528*^9, 3.769956301264894*^9, 
  3.7699587174384813`*^9, 3.769959368498852*^9, 3.77188890536029*^9, 
  3.771923386721385*^9, 3.771930221250641*^9, 3.771930365730403*^9, 
  3.858166447574615*^9, 3.8814074892842903`*^9, 3.8814233813607187`*^9},
 CellLabel->"Out[482]=",
 CellID->1538582666,ExpressionUUID->"07fdbcac-0077-495c-b7ed-fe0b44a62a23"]
}, Open  ]],

Cell[TextData[{
 "So what happens when I use ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " to get the fourth part of each row, even the row that doesn\
\[CloseCurlyQuote]t have a fourth part anymore?"
}], "Text",
 CellChangeTimes->{{3.858178068461811*^9, 3.8581781004136457`*^9}, {
  3.858263937058632*^9, 3.85826393734862*^9}, {3.8678514628662806`*^9, 
  3.8678514663668013`*^9}},
 CellID->349400531,ExpressionUUID->"3715e5c0-ed9a-4608-a399-f495b22a0eec"],

Cell[TextData[{
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " can return results even when it is asked to find Parts that don\
\[CloseCurlyQuote]t exist:"
}], "CodeText",
 CellChangeTimes->{{3.769517780088925*^9, 3.7695178065489264`*^9}, {
   3.777041655006008*^9, 3.7770416556930084`*^9}, 3.777042219414008*^9, 
   3.777139664600526*^9},
 CellID->545395986,ExpressionUUID->"1608174f-6030-43ef-835b-449101e29fff"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{"All", ",", "4"}], "]"}], "[", "dinghya", "]"}]], "Input",
 CellChangeTimes->{{3.742555533880932*^9, 3.742555643657461*^9}, {
   3.7425557714326487`*^9, 3.742555802092765*^9}, {3.769468970102235*^9, 
   3.769468973119671*^9}, {3.769469979716826*^9, 3.76946998126059*^9}, 
   3.769956239538733*^9},
 CellLabel->"In[483]:=",
 CellID->769473053,ExpressionUUID->"9bc72e1e-c1ca-41af-ada5-cf2fc34f7832"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"True", ",", "False", ",", 
   RowBox[{"Missing", "[", 
    RowBox[{"\<\"PartAbsent\"\>", ",", "4"}], "]"}], ",", "True", ",", 
   "False"}], "}"}]], "Output",
 CellChangeTimes->{{3.742555638963629*^9, 3.742555644130742*^9}, {
   3.742555771927154*^9, 3.742555796959433*^9}, 3.7425558505375233`*^9, 
   3.769468973824211*^9, 3.769469981721096*^9, 3.7699563012807426`*^9, 
   3.769958722425219*^9, 3.7699593685399847`*^9, 3.771923386756319*^9, 
   3.771930221286618*^9, 3.7719303657631083`*^9, 3.8581664496076803`*^9, 
   3.881423387150976*^9},
 CellLabel->"Out[483]=",
 CellID->143072221,ExpressionUUID->"58739c4f-8006-4ecc-b07b-df6119863765"]
}, Open  ]],

Cell[TextData[{
 "The good news is that in certain cases the kernel doesn\[CloseCurlyQuote]t \
skip a beat and doesn\[CloseCurlyQuote]t generate a potentially annoying \
error message. Instead, it just wraps the third part of the output in ",
 ButtonBox["Missing",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Missing.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Missing.html"],
 ". The bad news is that if this were a 100,000-element set of data and every \
row was supposed to have a \[OpenCurlyDoubleQuote]survival\
\[CloseCurlyDoubleQuote] key value, we might never notice the problem. Query\
\[CloseCurlyQuote]s lenity in certain cases would obscure the matter."
}], "Text",
 CellChangeTimes->{{3.7425558041921253`*^9, 3.7425558944651613`*^9}, {
  3.7694698301390133`*^9, 3.769469855778216*^9}, {3.7770416314060087`*^9, 
  3.7770416316390085`*^9}, {3.7770416650770082`*^9, 3.7770416664710083`*^9}, {
  3.77713961186471*^9, 3.7771396300231557`*^9}, {3.858178134219861*^9, 
  3.858178189231296*^9}, {3.865500525592951*^9, 3.865500533366106*^9}, {
  3.8678518020735674`*^9, 3.867851802296107*^9}, {3.869663680130047*^9, 
  3.8696636802141523`*^9}},
 CellID->615800317,ExpressionUUID->"ba147e7f-2666-4869-84dd-562608612123"],

Cell[TextData[{
 "This lenity appears to extend to all methods of data retrieval that rely on \
",
 ButtonBox["Slice",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
Slice"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/Slice"],
 ". Here are two additional examples."
}], "Text",
 CellChangeTimes->{{3.769469864801729*^9, 3.769469907501216*^9}, {
   3.769470043582933*^9, 3.7694700440128107`*^9}, {3.7855209835494137`*^9, 
   3.785520987798452*^9}, {3.785521022986683*^9, 3.785521029768977*^9}, 
   3.787758438780326*^9, 3.858265485318733*^9, {3.865500385508977*^9, 
   3.865500386928234*^9}, {3.8696726175660667`*^9, 3.869672628366482*^9}},
 CellID->1760162890,ExpressionUUID->"58fd25f0-e3ad-43d2-95b9-81642e648b71"],

Cell[TextData[{
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " ignores the absence of top-level missing parts:"
}], "CodeText",
 CellChangeTimes->{{3.769517780088925*^9, 3.769517831265666*^9}, {
   3.7770416589160085`*^9, 3.7770416592690086`*^9}, 3.7770422224300084`*^9, 
   3.7771397442714195`*^9, {3.865500464934682*^9, 3.8655004733029222`*^9}, {
   3.8678521871038256`*^9, 3.867852187298241*^9}},
 CellID->655439438,ExpressionUUID->"40eef032-1252-494d-9e98-e273e12872d9"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{"1", ";;", "10000"}], "]"}], "[", "dinghy", "]"}]], "Input",
 CellChangeTimes->{{3.7694699095708723`*^9, 3.769470041930202*^9}, {
   3.769956240207906*^9, 3.76995624083036*^9}, {3.8655004784788313`*^9, 
   3.8655004823259478`*^9}, 3.865593981381071*^9},
 CellLabel->"In[484]:=",
 CellID->710302110,ExpressionUUID->"6d04a66c-ec17-47af-beac-a75276ca2249"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "16"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "True"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"1st\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "65"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"male\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "2"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", 
      RowBox[{"Missing", "[", "]"}]}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "True"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "18"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
    "\[RightAssociation]"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.769469945940654*^9, {3.769469987402873*^9, 3.769470010045228*^9}, 
   3.769470046844347*^9, 3.769956301321829*^9, 3.769958725332841*^9, 
   3.769959368558855*^9, 3.771923386798203*^9, 3.7719302213035173`*^9, 
   3.771930365800639*^9, 3.8581664520077143`*^9, 3.88142339402802*^9},
 CellTags->"LastCellOfAPage",
 CellLabel->"Out[484]=",
 CellID->1386982376,ExpressionUUID->"10300d7e-0b90-4003-a9c7-3534f01cd3ad"]
}, Open  ]],

Cell[TextData[{
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " wraps ",
 ButtonBox["Missing",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Missing.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Missing.html"],
 " around Slices that do not exist:"
}], "CodeText",
 CellChangeTimes->{{3.8655004199606323`*^9, 3.865500444308379*^9}, 
   3.867852198665498*^9, {3.869672649053082*^9, 3.8696726581730824`*^9}},
 CellTags->"p: 144",
 CellID->129877822,ExpressionUUID->"47f0eae2-e749-4d5f-aa04-d9859bb106f2"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{"All", ",", "\"\<survived\>\""}], "]"}], "[", "dinghya", 
  "]"}]], "Input",
 CellLabel->"In[485]:=",
 CellID->151973682,ExpressionUUID->"ad377cfe-3d2e-4483-82a3-8d2fc4948815"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"True", ",", "False", ",", 
   RowBox[{"Missing", "[", 
    RowBox[{"\<\"KeyAbsent\"\>", ",", "\<\"survived\"\>"}], "]"}], ",", 
   "True", ",", "False"}], "}"}]], "Output",
 CellChangeTimes->{3.8814074965115232`*^9, 3.881423411168911*^9},
 CellLabel->"Out[485]=",
 CellID->1112543303,ExpressionUUID->"68e9196a-1970-41fc-92b5-8ba2351b5da5"]
}, Open  ]],

Cell[TextData[{
 "The lenity extends only to methods of retrieval that ultimately may rely on \
",
 ButtonBox["Slice",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
Slice"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/Slice"],
 ". If I\[CloseCurlyQuote]d asked for the survival value using an anonymous \
function with named slots (such as ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["#",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Slot.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Slot.html"], 
   "survived", 
   ButtonBox[
    StyleBox["&",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Function.html"], None},
    ButtonNote->
     "https://reference.wolfram.com/language/ref/Function.html"]}]], 
  "InlineCodeText",ExpressionUUID->"5bc290fc-7105-4f3b-86bb-6b68f43630d2"],
 "), I\[CloseCurlyQuote]d get an error."
}], "Text",
 CellChangeTimes->{{3.742556016539586*^9, 3.742556046126629*^9}, {
   3.742556081099781*^9, 3.7425561018104763`*^9}, {3.7770415701320086`*^9, 
   3.7770415705950084`*^9}, {3.777139759916112*^9, 3.7771397641563835`*^9}, 
   3.7855210501185293`*^9, 3.787758308550446*^9, {3.858166360425626*^9, 
   3.8581664173886538`*^9}, {3.858166468927215*^9, 3.8581664801078463`*^9}, 
   3.8582656293244963`*^9, {3.8673174781261654`*^9, 3.8673174791763773`*^9}, {
   3.867755974664874*^9, 3.8677559785548162`*^9}, {3.86958745616884*^9, 
   3.869587470963188*^9}},
 CellTags->"i:51",
 CellID->1055020946,ExpressionUUID->"93f71b97-da3d-498f-9b33-11ffc1df565d"],

Cell[TextData[{
 "But using an anonymous function with key arguments to retrieve missing data \
yields ",
 ButtonBox["Failure",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Failure.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Failure.html"],
 " objects:"
}], "CodeText",
 CellChangeTimes->{{3.769517833922464*^9, 3.769517845259309*^9}, 
   3.7770422265480084`*^9, {3.777139767365346*^9, 3.7771397756968446`*^9}, {
   3.858166421947279*^9, 3.858166435920073*^9}},
 CellID->304482978,ExpressionUUID->"d46b16f4-7524-47d6-8e19-2597fd9668a4"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{"All", ",", 
    RowBox[{"#survived", "&"}]}], "]"}], "[", "dinghya", "]"}]], "Input",
 CellChangeTimes->{{3.769470061751218*^9, 3.769470073328704*^9}, 
   3.76995624167974*^9},
 CellLabel->"In[486]:=",
 CellID->2115005932,ExpressionUUID->"6fddd2d0-43b3-4b46-af28-5c13ea63c4fb"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   TagBox["Failure",
    "SummaryHead"], "[", 
   DynamicModuleBox[{Typeset`open$$ = False, Typeset`embedState$$ = "Ready"}, 
    TemplateBox[{
      PaneSelectorBox[{False -> GridBox[{{
            FrameBox[
             StyleBox["\"\[WarningSign]\"", 
              Directive["Message", 35], StripOnInput -> False], 
             ContentPadding -> False, FrameStyle -> None, 
             FrameMargins -> {{0, 0}, {0, 0}}, StripOnInput -> False], 
            GridBox[{{
               TagBox[
                GridBox[{{
                   TagBox["\"Message: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox[
                   "\"Named Slot \\!\\(\\*TagBox[\\\"\\\\\\\"survived\\\\\\\"\
\\\", Function[Short[Slot[1], 5]]]\\) in \
\\!\\(\\*TagBox[RowBox[{\\\"#survived\\\", \\\"&\\\"}], \
Function[Short[Slot[1], 5]]]\\) cannot be filled from \
\\!\\(\\*TagBox[RowBox[{\\\"\[LeftAssociation]\\\", \
RowBox[{RowBox[{\\\"\\\\\\\"class\\\\\\\"\\\", \\\"\[Rule]\\\", \
\\\"\\\\\\\"3rd\\\\\\\"\\\"}], \\\",\\\", \
RowBox[{\\\"\\\\\\\"age\\\\\\\"\\\", \\\"\[Rule]\\\", \\\"2\\\"}], \\\",\\\", \
RowBox[{\\\"\\\\\\\"sex\\\\\\\"\\\", \\\"\[Rule]\\\", \
\\\"\\\\\\\"female\\\\\\\"\\\"}]}], \\\"\[RightAssociation]\\\"}], \
Function[Short[Slot[1], 5]]]\\).\"", "SummaryItem"]}}, 
                 GridBoxItemSize -> {"Columns" -> {6.5, All, Automatic}}, 
                 GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                 GridBoxSpacings -> {"Columns" -> {{0}}}], "SummaryItem"]}, {
               TagBox[
                GridBox[{{
                   TagBox["\"Tag: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox["Function", "SummaryItem"]}}, 
                 GridBoxItemSize -> {"Columns" -> {6.5, All, Automatic}}, 
                 GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                 GridBoxSpacings -> {"Columns" -> {{0}}}], "SummaryItem"]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
             False, GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{2}}, "Rows" -> {{Automatic}}},
              BaseStyle -> {
              ShowStringCharacters -> False, NumberMarks -> False, 
               PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
          GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
          AutoDelete -> False, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
          BaselinePosition -> {1, 1}], True -> GridBox[{{
            FrameBox[
             StyleBox["\"\[WarningSign]\"", 
              Directive["Message", 35], StripOnInput -> False], 
             ContentPadding -> False, FrameStyle -> None, 
             FrameMargins -> {{0, 0}, {0, 0}}, StripOnInput -> False], 
            GridBox[{{
               TagBox[
                GridBox[{{
                   TagBox["\"Message: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox[
                   "\"Named Slot \\!\\(\\*TagBox[\\\"\\\\\\\"survived\\\\\\\"\
\\\", Function[Short[Slot[1], 5]]]\\) in \
\\!\\(\\*TagBox[RowBox[{\\\"#survived\\\", \\\"&\\\"}], \
Function[Short[Slot[1], 5]]]\\) cannot be filled from \
\\!\\(\\*TagBox[RowBox[{\\\"\[LeftAssociation]\\\", \
RowBox[{RowBox[{\\\"\\\\\\\"class\\\\\\\"\\\", \\\"\[Rule]\\\", \
\\\"\\\\\\\"3rd\\\\\\\"\\\"}], \\\",\\\", \
RowBox[{\\\"\\\\\\\"age\\\\\\\"\\\", \\\"\[Rule]\\\", \\\"2\\\"}], \\\",\\\", \
RowBox[{\\\"\\\\\\\"sex\\\\\\\"\\\", \\\"\[Rule]\\\", \
\\\"\\\\\\\"female\\\\\\\"\\\"}]}], \\\"\[RightAssociation]\\\"}], \
Function[Short[Slot[1], 5]]]\\).\"", "SummaryItem"]}}, 
                 GridBoxItemSize -> {"Columns" -> {6.5, All, Automatic}}, 
                 GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                 GridBoxSpacings -> {"Columns" -> {{0}}}], "SummaryItem"]}, {
               TagBox[
                GridBox[{{
                   TagBox["\"Tag: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox["Function", "SummaryItem"]}}, 
                 GridBoxItemSize -> {"Columns" -> {6.5, All, Automatic}}, 
                 GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                 GridBoxSpacings -> {"Columns" -> {{0}}}], "SummaryItem"]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
             False, GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{2}}, "Rows" -> {{Automatic}}},
              BaseStyle -> {
              ShowStringCharacters -> False, NumberMarks -> False, 
               PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
          GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
          AutoDelete -> False, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
          BaselinePosition -> {1, 1}]}, 
       Dynamic[Typeset`open$$], ImageSize -> Automatic]},
     "SummaryPanel"],
    DynamicModuleValues:>{}], "]"}],
  Failure[
  Function, <|
   "MessageTemplate" :> MessageName[Function, "slota"], "MessageParameters" -> {
      HoldForm["survived"], 
      HoldForm[Slot["survived"]& ], 
      HoldForm[<|"class" -> "3rd", "age" -> 2, "sex" -> "female"|>]}|>],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.7694700742710257`*^9, 3.7699563013332872`*^9, 
  3.769958727651119*^9, 3.7699593685999327`*^9, 3.771888978798996*^9, 
  3.7719233868120327`*^9, 3.771930221336049*^9, 3.771930365837274*^9, 
  3.858166455291923*^9, 3.881423423539942*^9},
 CellLabel->"Out[486]=",
 CellID->1974056039,ExpressionUUID->"deeaa160-9b1e-41e9-9769-ba86a74c3c37"]
}, Open  ]],

Cell[TextData[{
 "I can force the kernel to be more strict by setting the ",
 ButtonBox["PartBehavior",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/PartBehavior.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/PartBehavior.html"],
 " option to ",
 ButtonBox["None",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/None.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/None.html"],
 ". Now, I get a failed ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 ". "
}], "Text",
 CellChangeTimes->{{3.742555899131486*^9, 3.74255595830519*^9}, {
   3.769469552957561*^9, 3.7694695579141693`*^9}, {3.7771397822318044`*^9, 
   3.7771397962590113`*^9}, 3.869663714286578*^9},
 CellTags->"i:52",
 CellID->370333675,ExpressionUUID->"0d0e3795-761f-4ecf-ac03-dd2b66f4ac7c"],

Cell[TextData[{
 "Make ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " intolerant of nonexistent parts by setting ",
 Cell[BoxData[
  RowBox[{
   ButtonBox["PartBehavior",
    BaseStyle->"FunctionHyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/PartBehavior.html"], 
      None},
    ButtonNote->
     "https://reference.wolfram.com/language/ref/PartBehavior.html"], " ", 
   ButtonBox["\[Rule]",
    BaseStyle->"FunctionHyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Rule.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Rule.html"], " ", 
   ButtonBox["None",
    BaseStyle->"FunctionHyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/None.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/None.html"]}]], 
  "InlineCode",ExpressionUUID->"0cee6256-d8bf-4560-99ac-cc5439a8821b"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.769517849280758*^9, 3.7695178703863573`*^9}, 
   3.777042229204008*^9, {3.777139792762963*^9, 3.7771398075323925`*^9}, {
   3.8677559866116285`*^9, 3.867756019419194*^9}},
 CellID->1506072953,ExpressionUUID->"e3fc7fc7-936b-46a6-a9a2-39363169cf59"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{"All", ",", "4", ",", 
    RowBox[{"PartBehavior", "\[Rule]", "None"}]}], "]"}], "[", "dinghya", 
  "]"}]], "Input",
 CellChangeTimes->{{3.742555533880932*^9, 3.742555643657461*^9}, {
   3.7425557714326487`*^9, 3.742555802092765*^9}, {3.742555923786107*^9, 
   3.742555929774452*^9}, {3.7694695602948713`*^9, 3.7694695619411173`*^9}, {
   3.769470088061714*^9, 3.7694700906893187`*^9}, 3.769956242379582*^9},
 CellLabel->"In[487]:=",
 CellID->2005576777,ExpressionUUID->"348ddd4b-5b0d-49c8-962f-92289716f573"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   TagBox["Failure",
    "SummaryHead"], "[", 
   DynamicModuleBox[{Typeset`open$$ = False, Typeset`embedState$$ = "Ready"}, 
    TemplateBox[{
      PaneSelectorBox[{False -> GridBox[{{
            FrameBox[
             StyleBox["\"\[WarningSign]\"", 
              Directive["Message", 35], StripOnInput -> False], 
             ContentPadding -> False, FrameStyle -> None, 
             FrameMargins -> {{0, 0}, {0, 0}}, StripOnInput -> False], 
            GridBox[{{
               TagBox[
                GridBox[{{
                   TagBox["\"Message: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox[
                   "\"Part \\!\\(\\*TagBox[\\\"4\\\", Function[Short[Slot[1], \
5]]]\\) of \\!\\(\\*TagBox[RowBox[{\\\"\[LeftAssociation]\\\", \
RowBox[{RowBox[{\\\"\\\\\\\"class\\\\\\\"\\\", \\\"\[Rule]\\\", \
\\\"\\\\\\\"3rd\\\\\\\"\\\"}], \\\",\\\", \
RowBox[{\\\"\\\\\\\"age\\\\\\\"\\\", \\\"\[Rule]\\\", \\\"2\\\"}], \\\",\\\", \
RowBox[{\\\"\\\\\\\"sex\\\\\\\"\\\", \\\"\[Rule]\\\", \
\\\"\\\\\\\"female\\\\\\\"\\\"}]}], \\\"\[RightAssociation]\\\"}], \
Function[Short[Slot[1], 5]]]\\) does not exist.\"", "SummaryItem"]}}, 
                 GridBoxItemSize -> {"Columns" -> {6.5, All, Automatic}}, 
                 GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                 GridBoxSpacings -> {"Columns" -> {{0}}}], "SummaryItem"]}, {
               TagBox[
                GridBox[{{
                   TagBox["\"Tag: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox["Part", "SummaryItem"]}}, 
                 GridBoxItemSize -> {"Columns" -> {6.5, All, Automatic}}, 
                 GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                 GridBoxSpacings -> {"Columns" -> {{0}}}], "SummaryItem"]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
             False, GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{2}}, "Rows" -> {{Automatic}}},
              BaseStyle -> {
              ShowStringCharacters -> False, NumberMarks -> False, 
               PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
          GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
          AutoDelete -> False, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
          BaselinePosition -> {1, 1}], True -> GridBox[{{
            FrameBox[
             StyleBox["\"\[WarningSign]\"", 
              Directive["Message", 35], StripOnInput -> False], 
             ContentPadding -> False, FrameStyle -> None, 
             FrameMargins -> {{0, 0}, {0, 0}}, StripOnInput -> False], 
            GridBox[{{
               TagBox[
                GridBox[{{
                   TagBox["\"Message: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox[
                   "\"Part \\!\\(\\*TagBox[\\\"4\\\", Function[Short[Slot[1], \
5]]]\\) of \\!\\(\\*TagBox[RowBox[{\\\"\[LeftAssociation]\\\", \
RowBox[{RowBox[{\\\"\\\\\\\"class\\\\\\\"\\\", \\\"\[Rule]\\\", \
\\\"\\\\\\\"3rd\\\\\\\"\\\"}], \\\",\\\", \
RowBox[{\\\"\\\\\\\"age\\\\\\\"\\\", \\\"\[Rule]\\\", \\\"2\\\"}], \\\",\\\", \
RowBox[{\\\"\\\\\\\"sex\\\\\\\"\\\", \\\"\[Rule]\\\", \
\\\"\\\\\\\"female\\\\\\\"\\\"}]}], \\\"\[RightAssociation]\\\"}], \
Function[Short[Slot[1], 5]]]\\) does not exist.\"", "SummaryItem"]}}, 
                 GridBoxItemSize -> {"Columns" -> {6.5, All, Automatic}}, 
                 GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                 GridBoxSpacings -> {"Columns" -> {{0}}}], "SummaryItem"]}, {
               TagBox[
                GridBox[{{
                   TagBox["\"Tag: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox["Part", "SummaryItem"]}}, 
                 GridBoxItemSize -> {"Columns" -> {6.5, All, Automatic}}, 
                 GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                 GridBoxSpacings -> {"Columns" -> {{0}}}], "SummaryItem"]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
             False, GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{2}}, "Rows" -> {{Automatic}}},
              BaseStyle -> {
              ShowStringCharacters -> False, NumberMarks -> False, 
               PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
          GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
          AutoDelete -> False, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
          BaselinePosition -> {1, 1}]}, 
       Dynamic[Typeset`open$$], ImageSize -> Automatic]},
     "SummaryPanel"],
    DynamicModuleValues:>{}], "]"}],
  Failure[
  Part, <|"MessageTemplate" :> MessageName[Part, "partw"], 
    "MessageParameters" -> {
      HoldForm[4], 
      HoldForm[<|"class" -> "3rd", "age" -> 2, "sex" -> "female"|>]}|>],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.74255593026403*^9, 3.7694695627275457`*^9, 
  3.7694700912455473`*^9, 3.7699563013714533`*^9, 3.7699587312339687`*^9, 
  3.769959368617209*^9, 3.771888983517075*^9, 3.771923386851268*^9, 
  3.771930221351915*^9, 3.7719303658474197`*^9, 3.881423440269743*^9},
 CellLabel->"Out[487]=",
 CellID->815283744,ExpressionUUID->"3114fd1e-6285-4813-895a-ec6e416f083c"]
}, Open  ]],

Cell["\<\
With the problem no longer masked, I can use the debugging techniques \
discussed in the previous subsection to isolate and solve the problem. \
\>", "Text",
 CellChangeTimes->{{3.742555959286372*^9, 3.7425559839160767`*^9}, 
   3.742556410681424*^9, {3.7694695739194517`*^9, 3.769469576460363*^9}},
 CellTags->"i:53",
 CellID->1937671343,ExpressionUUID->"068d5c61-bf05-44ff-a031-991a23526a6a"],

Cell["\<\
Combine intolerance of nonexistent parts with explicit error messages:\
\>", "CodeText",
 CellChangeTimes->{{3.7695178742032547`*^9, 3.769517892470818*^9}, 
   3.777042232244008*^9, {3.777139818297621*^9, 3.7771398198820963`*^9}},
 CellID->898881336,ExpressionUUID->"c7649769-b5af-45d8-983b-5c022380ffe5"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{"All", ",", "\"\<survived\>\"", ",", 
    RowBox[{"PartBehavior", "\[Rule]", "None"}], ",", 
    RowBox[{"FailureAction", "\[Rule]", "\"\<Encapsulate\>\""}]}], "]"}], "[",
   "dinghya", "]"}]], "Input",
 CellChangeTimes->{{3.742556151900626*^9, 3.742556226605771*^9}, {
   3.742556311955393*^9, 3.74255631304657*^9}, {3.742556353777357*^9, 
   3.742556439003447*^9}, {3.76946939967196*^9, 3.76946943102733*^9}, {
   3.769469569777656*^9, 3.769469570980249*^9}, {3.769469610920833*^9, 
   3.769469616627823*^9}, {3.769470098840242*^9, 3.769470101033149*^9}, 
   3.7699562431174307`*^9},
 CellLabel->"In[488]:=",
 CellID->1520565754,ExpressionUUID->"9b7e5245-e7c5-473d-a4c7-ddc8d9a685a3"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"True", ",", "False", ",", 
   RowBox[{"Missing", "[", 
    RowBox[{"\<\"KeyAbsent\"\>", ",", "\<\"survived\"\>"}], "]"}], ",", 
   "True", ",", "False"}], "}"}]], "Output",
 CellChangeTimes->{{3.742556193408388*^9, 3.742556227164742*^9}, 
   3.742556313532288*^9, {3.7425563699123383`*^9, 3.742556398757759*^9}, {
   3.742556432156025*^9, 3.742556439602635*^9}, 3.769469579266859*^9, 
   3.769469617308908*^9, 3.7694701016053057`*^9, 3.7699563013895063`*^9, 
   3.769958734993348*^9, 3.769959368655089*^9, 3.771923386863121*^9, 
   3.771930221392755*^9, 3.7719303658606358`*^9, 3.881423446495276*^9},
 CellLabel->"Out[488]=",
 CellID->140645120,ExpressionUUID->"ece1293e-0f49-47b9-bb0f-4ccff1df2a95"]
}, Open  ]],

Cell[TextData[{
 "Now I see that the problem must be that the third row doesn\
\[CloseCurlyQuote]t have a key-value pair with the ",
 Cell[BoxData[
 "\"\<survived\>\""], "InlineCodeText",ExpressionUUID->
  "1283c1ad-fb6f-45c6-9008-0b187ba69f4a"],
 " key. I ",
 "fix",
 " the problem using ",
 ButtonBox["Insert",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Insert.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Insert.html"],
 "."
}], "Text",
 CellChangeTimes->{{3.769470105364359*^9, 3.769470153427917*^9}, 
   3.771888996866412*^9, 3.777041040992728*^9, {3.7771400412301073`*^9, 
   3.777140059189903*^9}, 3.7877585925234013`*^9},
 CellTags->"i:54",
 CellID->1196739546,ExpressionUUID->"2001bd6d-7807-4207-8abc-1f55be7e65dc"],

Cell[TextData[{
 "Use ",
 ButtonBox["Insert",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Insert.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Insert.html"],
 " to restore a lost key-value pair:"
}], "CodeText",
 CellChangeTimes->{{3.7695178955483932`*^9, 3.769517908501416*^9}, {
   3.777042236572008*^9, 3.777042241211008*^9}, 3.7771400640933933`*^9},
 CellID->412372070,ExpressionUUID->"b8cba04a-99e8-42a9-81d0-3eec030cf33e"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"dinghyb", "=", 
  RowBox[{"Insert", "[", 
   RowBox[{"dinghya", ",", 
    RowBox[{"\"\<survived\>\"", "\[Rule]", 
     RowBox[{"Missing", "[", "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"{", 
      RowBox[{"3", ",", 
       RowBox[{"-", "1"}]}], "}"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.769470155119813*^9, 3.769470178298143*^9}, {
  3.7699562518681173`*^9, 3.769956253026371*^9}},
 CellLabel->"In[489]:=",
 CellID->1958022875,ExpressionUUID->"1c11c96a-6bfd-4d18-8d79-3919057ad704"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "16"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "True"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"1st\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "65"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"male\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "2"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", 
      RowBox[{"Missing", "[", "]"}]}]}], "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", 
      RowBox[{"Missing", "[", "]"}]}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "True"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "18"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
    "\[RightAssociation]"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.769470172847211*^9, 3.7694701787726917`*^9}, 
   3.7699563014286118`*^9, 3.7699587376676817`*^9, 3.7699593686691217`*^9, 
   3.771923386898217*^9, 3.7719302214072237`*^9, 3.7719303658929243`*^9, 
   3.881423452307362*^9},
 CellTags->"LastCellOfAPage",
 CellLabel->"Out[489]=",
 CellID->456896713,ExpressionUUID->"8dde4189-3fb9-4a3f-9064-2bb57148f765"]
}, Open  ]],

Cell["Now everything works:", "CodeText",
 CellChangeTimes->{{3.769470199771635*^9, 3.769470204944751*^9}, {
  3.771889002797982*^9, 3.771889003430069*^9}, {3.7771400698939734`*^9, 
  3.777140070343018*^9}},
 CellTags->"p: 145",
 CellID->1604541439,ExpressionUUID->"205d453f-8000-40ec-a692-dfbf50f2be6d"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{"All", ",", "\"\<survived\>\"", ",", 
    RowBox[{"PartBehavior", "\[Rule]", "None"}], ",", 
    RowBox[{"FailureAction", "\[Rule]", "\"\<Encapsulate\>\""}]}], "]"}], "[",
   "dinghyb", "]"}]], "Input",
 CellChangeTimes->{{3.742556445121909*^9, 3.7425565381357927`*^9}, {
   3.742556642594846*^9, 3.74255665157758*^9}, {3.7694701901040583`*^9, 
   3.7694702156952267`*^9}, 3.769956253926873*^9},
 CellLabel->"In[490]:=",
 CellID->921500002,ExpressionUUID->"ffe2c5b1-e3c9-4e27-b969-3e9b709de9dc"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"True", ",", "False", ",", 
   RowBox[{"Missing", "[", "]"}], ",", "True", ",", "False"}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.769470197031412*^9, 3.769470216168078*^9}, 
   3.769956301441586*^9, 3.769958739711234*^9, 3.769959368706778*^9, 
   3.771923386910489*^9, 3.77193022144425*^9, 3.7719303659018908`*^9, 
   3.881423480799582*^9},
 CellLabel->"Out[490]=",
 CellID->393632825,ExpressionUUID->"a6a2bf79-9c46-4912-b5b3-346bf2224f9b"]
}, Open  ]],

Cell[TextData[{
 "Of course, now that I recognize these issues with the data, it might be \
better to go back and clean the data ",
 StyleBox["before",
  FontSlant->"Italic"],
 " I ever start with more substantive analysis. Here\[CloseCurlyQuote]s the \
kind of code that would help. "
}], "Text",
 CellChangeTimes->{{3.8581667063864393`*^9, 3.858166750889368*^9}},
 CellTags->"i:55",
 CellID->1570418281,ExpressionUUID->"0886d535-e3cf-478f-ac69-e37ab19ea62d"],

Cell[TextData[{
 "Use ",
 ButtonBox["AssociationThread",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/AssociationThread.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/AssociationThread.html"],
 " to construct an ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " with the same keys as the passengers in ",
 Cell[BoxData[
 "dinghya"], "InlineCode",ExpressionUUID->
  "a19df9eb-5b10-4283-83f6-45996e2e5f7d"],
 " but in which all the values are ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["Missing",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Missing.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Missing.html"], 
   "[", "]"}]], "InlineCode",ExpressionUUID->
  "8dffe0bd-3527-4f9c-b6dc-f5ed26ff915b"],
 ":"
}], "CodeText",
 CellID->1669103137,ExpressionUUID->"5ea8fe00-aac6-4b44-9035-7a06fe8cd069"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"fix", "=", 
  RowBox[{"AssociationThread", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "\"\<class\>\"", ",", "\"\<age\>\"", ",", "\"\<sex\>\"", ",", 
      "\"\<survived\>\""}], "}"}], ",", 
    RowBox[{"Missing", "[", "]"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.858166888874161*^9, 3.858166915385449*^9}},
 CellLabel->"In[491]:=",
 CellID->23846940,ExpressionUUID->"d4a29181-c31f-497a-b017-773fd1b5a2ec"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"class\"\>", "\[Rule]", 
    RowBox[{"Missing", "[", "]"}]}], ",", 
   RowBox[{"\<\"age\"\>", "\[Rule]", 
    RowBox[{"Missing", "[", "]"}]}], ",", 
   RowBox[{"\<\"sex\"\>", "\[Rule]", 
    RowBox[{"Missing", "[", "]"}]}], ",", 
   RowBox[{"\<\"survived\"\>", "\[Rule]", 
    RowBox[{"Missing", "[", "]"}]}]}], "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{3.858166915643502*^9, 3.881423490185286*^9},
 CellLabel->"Out[491]=",
 CellID->1204021346,ExpressionUUID->"7c6787de-5c7d-4213-884b-e0d94c645d12"]
}, Open  ]],

Cell["\<\
Exploit the fact that when joined, Associations have duplicate keys and the \
last value encountered is the output:\
\>", "CodeText",
 CellChangeTimes->{{3.8581669274901247`*^9, 3.858166927493627*^9}, 
   3.858166994796488*^9, {3.8678529527303863`*^9, 3.8678529771545277`*^9}, {
   3.867853038145125*^9, 3.86785304926026*^9}},
 CellID->1759360153,ExpressionUUID->"4cd3a020-9b5a-4139-ab02-04eaf7096c40"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"fixFunction", "=", 
  RowBox[{
   RowBox[{"Join", "[", 
    RowBox[{"fix", ",", "#"}], "]"}], "&"}]}]], "Input",
 CellChangeTimes->{{3.858166801709914*^9, 3.858166833211317*^9}, {
  3.858167004129834*^9, 3.858167017651391*^9}},
 CellLabel->"In[492]:=",
 CellID->2060477096,ExpressionUUID->"c1ab82cd-dbab-4001-8e82-d8c2902b696b"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Join", "[", 
   RowBox[{"fix", ",", "#1"}], "]"}], "&"}]], "Output",
 CellChangeTimes->{3.858166827468511*^9, 3.858167052910192*^9, 
  3.881423494085832*^9},
 CellLabel->"Out[492]=",
 CellID->158973019,ExpressionUUID->"f1f6fad7-9dbf-45c4-988a-cb4144ea7811"]
}, Open  ]],

Cell[TextData[{
 "Use ",
 Cell[BoxData[
 "fixFunction"], "InlineCode",ExpressionUUID->
  "925faf04-d5a1-4e1e-b24d-02f41f6187b5"],
 " as the second argument to a ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " to map it over each passenger in the data:"
}], "CodeText",
 CellChangeTimes->{{3.858167022927113*^9, 3.858167033524535*^9}, {
  3.8581674349402514`*^9, 3.858167481764003*^9}, {3.858265967209395*^9, 
  3.858265980591053*^9}},
 CellID->1475445530,ExpressionUUID->"5d49a121-0aba-4399-ac7c-d98eb5bb2e4c"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"fixedDinghya", "=", 
  RowBox[{
   RowBox[{"Query", "[", 
    RowBox[{"All", ",", "fixFunction"}], "]"}], "[", "dinghya", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.858167038009798*^9, 3.858167049824813*^9}},
 CellLabel->"In[493]:=",
 CellID->1253240822,ExpressionUUID->"7ece678b-d3b2-4ab0-a83d-7e0d3498e3ca"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "16"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "True"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"1st\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "65"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"male\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "2"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", 
      RowBox[{"Missing", "[", "]"}]}]}], "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", 
      RowBox[{"Missing", "[", "]"}]}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "True"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "18"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
    "\[RightAssociation]"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.8581670504298*^9, 3.8581670548814173`*^9}, 
   3.881423497350399*^9},
 CellLabel->"Out[493]=",
 CellID->519287614,ExpressionUUID->"c62815f9-de71-47de-a680-81782737c458"]
}, Open  ]],

Cell["\<\
Now I can sensibly compute survival for each passenger or whatever else I am \
interested in:\
\>", "CodeText",
 CellChangeTimes->{{3.858167058980513*^9, 3.85816709878071*^9}, 
   3.858167139109779*^9, {3.858178246764449*^9, 3.85817824818357*^9}, {
   3.869664488016285*^9, 3.8696645002833347`*^9}},
 CellID->931041318,ExpressionUUID->"41cf4793-0ac8-4509-a283-dcabbe4bf61f"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"Query", "[", 
     RowBox[{"All", ",", 
      RowBox[{"#survived", "&"}]}], "]"}], "[", "fixedDinghya", "]"}], ",", 
   RowBox[{
    RowBox[{"Query", "[", 
     RowBox[{"Counts", ",", 
      RowBox[{"#survived", "&"}]}], "]"}], "[", "fixedDinghya", "]"}]}], 
  "}"}]], "Input",
 CellChangeTimes->{{3.858166773024062*^9, 3.858166789471633*^9}, 
   3.8581670721171637`*^9, {3.858167102714699*^9, 3.858167119578648*^9}, 
   3.858266012281479*^9},
 CellLabel->"In[494]:=",
 CellID->1650227049,ExpressionUUID->"aa75d915-561a-4dbc-b793-601fac59ebd1"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"True", ",", "False", ",", 
     RowBox[{"Missing", "[", "]"}], ",", "True", ",", "False"}], "}"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"True", "\[Rule]", "2"}], ",", 
     RowBox[{"False", "\[Rule]", "2"}], ",", 
     RowBox[{
      RowBox[{"Missing", "[", "]"}], "\[Rule]", "1"}]}], 
    "\[RightAssociation]"}]}], "}"}]], "Output",
 CellChangeTimes->{3.85816711993795*^9, 3.881423502735443*^9},
 CellLabel->"Out[494]=",
 CellID->1907738674,ExpressionUUID->"d4c428bd-b099-43a9-8d43-818118297d56"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Dealing with Missings", "Subsubsection",
 CellChangeTimes->{{3.769470245835209*^9, 3.76947025102684*^9}},
 CellID->475508438,ExpressionUUID->"ac70167f-a681-4592-a2c6-34f9e38bc8cb"],

Cell[TextData[{
 "I briefly discussed earlier how ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " deals with missing values in certain contexts. I now want to engage in a \
deeper dive. The first principle is that the treatment of missing data can \
depend on the value of the ",
 ButtonBox["MissingBehavior",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/MissingBehavior.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/MissingBehavior.html"],
 " option to ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 ". One possible value for that option is ",
 ButtonBox["None",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/None.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/None.html"],
 ". It\[CloseCurlyQuote]s not the default value, but one can use it. Setting ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["MissingBehavior",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/MissingBehavior.html"], 
      None},
    ButtonNote->
     "https://reference.wolfram.com/language/ref/MissingBehavior.html"], " ", 
   ButtonBox[
    StyleBox["\[Rule]",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Rule.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Rule.html"], " ", 
   ButtonBox[
    StyleBox["None",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/None.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/None.html"]}]], 
  "InlineCodeText",ExpressionUUID->"0b709aab-99e9-4ef6-a1c6-19bc9074b987"],
 " has the virtue of simplicity: one essentially gets the same behavior as if \
one applied the function entirely outside the ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " context or if one used the ",
 ButtonBox["Normal",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Normal.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Normal.html"],
 " of the ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 ". Here\[CloseCurlyQuote]s an example."
}], "Text",
 CellChangeTimes->{{3.7695074193512707`*^9, 3.7695075184178743`*^9}, 
   3.7770410442880583`*^9, {3.777199376977217*^9, 3.777199381767217*^9}, {
   3.8581678229203873`*^9, 3.858167852530634*^9}, {3.8581684331521807`*^9, 
   3.858168691533866*^9}, {3.858168797765195*^9, 3.85816881449828*^9}, {
   3.858178269074443*^9, 3.8581783132541513`*^9}, {3.8581802674075327`*^9, 
   3.858180277897352*^9}, {3.8655309886370163`*^9, 3.865530989885694*^9}, {
   3.867756031339012*^9, 3.867756031339012*^9}, {3.867762983468664*^9, 
   3.867763023944168*^9}, {3.8677631322398443`*^9, 3.867763132780229*^9}, {
   3.8678531274282837`*^9, 3.867853135681905*^9}, {3.867853861153116*^9, 
   3.8678538616031303`*^9}, {3.8679413019827075`*^9, 3.867941320167257*^9}},
 CellTags->{"LastCellOfAPage", "i:56"},
 CellID->810126788,ExpressionUUID->"489a3863-0283-4d5d-8b56-6462e83a59ba"],

Cell[TextData[{
 "The behavior of ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " with ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["MissingBehavior",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/MissingBehavior.html"], 
      None},
    ButtonNote->
     "https://reference.wolfram.com/language/ref/MissingBehavior.html"], " ", 
   ButtonBox[
    StyleBox["\[Rule]",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Rule.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Rule.html"], " ", 
   ButtonBox[
    StyleBox["None",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/None.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/None.html"]}]], 
  "InlineCode",ExpressionUUID->"4e226b39-b96d-4103-b330-1bd5e8887db7"],
 " is essentially the same as with the ",
 ButtonBox["Normal",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Normal.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Normal.html"],
 " of the ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 ":"
}], "CodeText",
 CellTags->"p: 146",
 CellID->1835780708,ExpressionUUID->"e41b6f5c-0124-4bd8-93b7-634d3609c200"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"Query", "[", 
     RowBox[{"Total", ",", 
      RowBox[{"MissingBehavior", "\[Rule]", "None"}]}], "]"}], "[", 
    RowBox[{"{", 
     RowBox[{"3", ",", "4", ",", 
      RowBox[{"Missing", "[", "]"}]}], "}"}], "]"}], ",", 
   RowBox[{
    RowBox[{"Normal", "[", 
     RowBox[{"Query", "[", "Total", "]"}], "]"}], "[", 
    RowBox[{"{", 
     RowBox[{"3", ",", "4", ",", 
      RowBox[{"Missing", "[", "]"}]}], "}"}], "]"}]}], "}"}]], "Input",
 CellChangeTimes->{{3.858168694448119*^9, 3.85816875530625*^9}},
 CellLabel->"In[495]:=",
 CellID->434130511,ExpressionUUID->"deb0dc40-2625-486d-abf0-d982ae5cd49b"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"7", "+", 
    RowBox[{"Missing", "[", "]"}]}], ",", 
   RowBox[{"7", "+", 
    RowBox[{"Missing", "[", "]"}]}]}], "}"}]], "Output",
 CellChangeTimes->{{3.858168729718113*^9, 3.858168756458544*^9}, 
   3.881423507807329*^9},
 CellLabel->"Out[495]=",
 CellID->927058937,ExpressionUUID->"96b4e27d-2d8d-4689-9282-bac3b0523a2f"]
}, Open  ]],

Cell[TextData[{
 "Where things get more complicated is when one leaves (or sets) the value of \
the ",
 ButtonBox["MissingBehavior",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/MissingBehavior.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/MissingBehavior.html"],
 " option to be ",
 ButtonBox["Automatic",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Automatic.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Automatic.html"],
 ". There are four possibilities I want to address here. The first, which \
occurs quite frequently, is that ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " doesn\[CloseCurlyQuote]t do anything special. The result is the same as if \
you set ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["MissingBehavior",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/MissingBehavior.html"], 
      None},
    ButtonNote->
     "https://reference.wolfram.com/language/ref/MissingBehavior.html"], " ", 
   ButtonBox[
    StyleBox["\[Rule]",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Rule.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Rule.html"], " ", 
   ButtonBox[
    StyleBox["None",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/None.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/None.html"]}]], 
  "InlineCodeText",ExpressionUUID->"89ac81cd-c3f2-4458-be4e-6ed61c76b0e6"],
 "."
}], "Text",
 CellTags->"i:57",
 CellID->1528413917,ExpressionUUID->"8ac1682e-fa08-45ba-9b0b-fb333af317da"],

Cell[TextData[{
 "Except for certain functions, ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " operators, when used on data with missing values, do whatever the ",
 ButtonBox["Normal",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Normal.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Normal.html"],
 " of the ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " would do:"
}], "CodeText",
 CellChangeTimes->{{3.8581689273222637`*^9, 3.858168964299148*^9}, {
  3.858266126882811*^9, 3.858266158701261*^9}, {3.8678541412010555`*^9, 
  3.867854163764262*^9}},
 CellID->1818003077,ExpressionUUID->"60806a9f-9014-4328-a2f5-d3219fed7bf0"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", "f", "]"}], "[", 
  RowBox[{"{", 
   RowBox[{"3", ",", "4", ",", 
    RowBox[{"Missing", "[", "]"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.8581689120227623`*^9, 3.858168921018928*^9}},
 CellLabel->"In[496]:=",
 CellID->2055669045,ExpressionUUID->"766288a0-aadf-4775-9cc3-a429e40c53ec"],

Cell[BoxData[
 RowBox[{"f", "[", 
  RowBox[{"{", 
   RowBox[{"3", ",", "4", ",", 
    RowBox[{"Missing", "[", "]"}]}], "}"}], "]"}]], "Output",
 CellChangeTimes->{3.858168921614829*^9, 3.881423513676394*^9},
 CellLabel->"Out[496]=",
 CellID->1687213499,ExpressionUUID->"086c7724-c6f5-40e4-ae91-d0a0930e4dbb"]
}, Open  ]],

Cell[TextData[{
 "The second possibility is that ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " will drop or ignore the missing values. This occurs when one uses \
functions such as ",
 ButtonBox["Total",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Total.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Total.html"],
 ", ",
 ButtonBox["Mean",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Mean.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Mean.html"],
 ", ",
 ButtonBox["Median",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Median.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Median.html"],
 ", ",
 ButtonBox["Min",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Min.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Min.html"],
 ", or ",
 ButtonBox["Max",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Max.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Max.html"],
 " where one generally wants to engage in some form of mathematical \
aggregation."
}], "Text",
 CellChangeTimes->{{3.858168989478703*^9, 3.858169056838605*^9}, {
   3.858178356486795*^9, 3.858178386299136*^9}, 3.8581790742501373`*^9, 
   3.85826616513365*^9, 3.867756059385153*^9, {3.867941351378626*^9, 
   3.867941365479875*^9}},
 CellID->1139394381,ExpressionUUID->"43d517f2-7243-45c3-868f-41fab9f384ef"],

Cell[TextData[{
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " drops the missing values and computes the mean of ",
 Cell[BoxData[
  RowBox[{"{", 
   RowBox[{"3", ",", " ", "4", ",", " ", "6", ",", " ", "11"}], "}"}]], 
  "InlineCode",ExpressionUUID->"54c85295-a3e8-48d8-9697-6e8e56a16823"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.858178388731502*^9, 3.858178407141095*^9}, 
   3.858266180619216*^9, {3.867854247549371*^9, 3.8678542787627068`*^9}, {
   3.89773904615836*^9, 3.897739064587182*^9}},
 CellID->1712016714,ExpressionUUID->"54f58594-62ec-4b54-a728-f768b6eeb7a3"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", "Mean", "]"}], "[", 
  RowBox[{"{", 
   RowBox[{"3", ",", "4", ",", 
    RowBox[{"Missing", "[", "]"}], ",", "6", ",", "11", ",", 
    RowBox[{"Missing", "[", "]"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.858169073291338*^9, 3.858169095420699*^9}},
 CellLabel->"In[497]:=",
 CellID->1646981469,ExpressionUUID->"a087cdf7-04a1-4830-850d-27c7f7aee051"],

Cell[BoxData["6"], "Output",
 CellChangeTimes->{3.858169095898241*^9, 3.8814235190151463`*^9},
 CellLabel->"Out[497]=",
 CellID->1124646574,ExpressionUUID->"94411c22-add6-4a0a-a8d0-05cd6ae2cd30"]
}, Open  ]],

Cell[TextData[{
 "One needs to be aware that the scope of this default treatment is limited. \
In the following code, for example, the ",
 ButtonBox["Mean",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Mean.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Mean.html"],
 " function is wrapped inside another function. ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 ", which emphasizes form, sees that as a different operation and thus fails \
to drop missing values."
}], "Text",
 CellChangeTimes->{{3.769507733293624*^9, 3.769507744961398*^9}, {
  3.769507775795845*^9, 3.769507884198565*^9}, {3.7771996627032175`*^9, 
  3.7771996771462173`*^9}, {3.858180087676775*^9, 3.858180091963583*^9}, {
  3.858180293058486*^9, 3.8581803013261557`*^9}, {3.8678547212309074`*^9, 
  3.8678547300515423`*^9}},
 CellID->763647950,ExpressionUUID->"349c22e0-f190-498f-af64-bd2a589f3424"],

Cell[TextData[{
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " sees this as a different operation and thus fails to drop Missings:"
}], "CodeText",
 CellChangeTimes->{3.7855212339768867`*^9, 3.785521331367875*^9},
 CellID->1268821178,ExpressionUUID->"47879341-0492-4b4f-8eab-ccf11e1207cf"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"N", "[", 
      RowBox[{"Mean", "[", "#", "]"}], "]"}], "&"}], ",", 
    RowBox[{"#age", "&"}]}], "]"}], "[", "dinghy", "]"}]], "Input",
 CellChangeTimes->{{3.769507748713529*^9, 3.7695078546920147`*^9}, 
   3.769956257495623*^9},
 CellLabel->"In[498]:=",
 CellID->564923936,ExpressionUUID->"e9fb5010-8f72-4eab-834f-254e56a79709"],

Cell[BoxData[
 RowBox[{"0.2`", " ", 
  RowBox[{"(", 
   RowBox[{"101.`", "\[VeryThinSpace]", "+", 
    RowBox[{"Missing", "[", "]"}]}], ")"}]}]], "Output",
 CellChangeTimes->{{3.7695077687578373`*^9, 3.769507800758353*^9}, {
   3.769507830838189*^9, 3.76950785519339*^9}, 3.7699563015744333`*^9, 
   3.769958759549799*^9, 3.769959368815198*^9, 3.771923387040827*^9, 
   3.771930221547679*^9, 3.771930366025769*^9, 3.8581800731530952`*^9, 
   3.881423522856226*^9},
 CellLabel->"Out[498]=",
 CellID->1938770310,ExpressionUUID->"b4d8f1bd-83f6-427e-b6f8-99fd7af4c506"]
}, Open  ]],

Cell["\<\
Moreover, all numeric aggregation functions do not result in dropped missing \
values.\
\>", "Text",
 CellChangeTimes->{{3.85816911099189*^9, 3.85816912004627*^9}, {
  3.858169288281033*^9, 3.8581692891478148`*^9}, {3.858178416144499*^9, 
  3.858178426788293*^9}, {3.858180311068139*^9, 3.858180312665744*^9}, {
  3.867854761915436*^9, 3.867854762910448*^9}},
 CellID->495442657,ExpressionUUID->"08468a8c-85e5-4c45-8286-6cbe34b4428b"],

Cell[TextData[{
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " with ",
 ButtonBox["TrimmedMean",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/TrimmedMean.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/TrimmedMean.html"],
 " does not delete missing values:"
}], "CodeText",
 CellChangeTimes->{{3.8581692988594847`*^9, 3.858169332955681*^9}, 
   3.858266263237759*^9, {3.867854775281365*^9, 3.867854775985963*^9}, 
   3.898081252635274*^9},
 CellID->716425790,ExpressionUUID->"b194c1f5-fe8c-4a92-9fcf-8ec0c572a897"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", "TrimmedMean", "]"}], "[", 
  RowBox[{"Append", "[", 
   RowBox[{
    RowBox[{"Range", "[", "200", "]"}], ",", 
    RowBox[{"Missing", "[", "]"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.858169205186784*^9, 3.858169239399605*^9}},
 CellLabel->"In[499]:=",
 CellID->1068259278,ExpressionUUID->"062f1793-ab0e-4016-aa3b-4e5bb99cab23"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   TagBox["Failure",
    "SummaryHead"], "[", 
   DynamicModuleBox[{Typeset`open$$ = False, Typeset`embedState$$ = "Ready"}, 
    TemplateBox[{
      PaneSelectorBox[{False -> GridBox[{{
            FrameBox[
             StyleBox["\"\[WarningSign]\"", 
              Directive["Message", 35], StripOnInput -> False], 
             ContentPadding -> False, FrameStyle -> None, 
             FrameMargins -> {{0, 0}, {0, 0}}, StripOnInput -> False], 
            GridBox[{{
               TagBox[
                GridBox[{{
                   TagBox["\"Message: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox[
                   "\"The first argument \\!\\(\\*TagBox[RowBox[{\\\"{\\\", \
RowBox[{\\\"1\\\", \\\",\\\", \\\"2\\\", \\\",\\\", \\\"3\\\", \\\",\\\", \
\\\"4\\\", \\\",\\\", \\\"5\\\", \\\",\\\", \\\"6\\\", \\\",\\\", \\\"7\\\", \
\\\",\\\", \\\"8\\\", \\\",\\\", \\\"9\\\", \\\",\\\", \\\"10\\\", \\\",\\\", \
RowBox[{\\\"\[LeftSkeleton]\\\", \\\"191\\\", \\\"\[RightSkeleton]\\\"}]}], \
\\\"}\\\"}], Function[Short[Slot[1], 5]]]\\) is expected to be a real numeric \
vector or matrix.\"", "SummaryItem"]}}, 
                 GridBoxItemSize -> {"Columns" -> {6.5, All, Automatic}}, 
                 GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                 GridBoxSpacings -> {"Columns" -> {{0}}}], "SummaryItem"]}, {
               TagBox[
                GridBox[{{
                   TagBox["\"Tag: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox["TrimmedMean", "SummaryItem"]}}, 
                 GridBoxItemSize -> {"Columns" -> {6.5, All, Automatic}}, 
                 GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                 GridBoxSpacings -> {"Columns" -> {{0}}}], "SummaryItem"]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
             False, GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{2}}, "Rows" -> {{Automatic}}},
              BaseStyle -> {
              ShowStringCharacters -> False, NumberMarks -> False, 
               PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
          GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
          AutoDelete -> False, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
          BaselinePosition -> {1, 1}], True -> GridBox[{{
            FrameBox[
             StyleBox["\"\[WarningSign]\"", 
              Directive["Message", 35], StripOnInput -> False], 
             ContentPadding -> False, FrameStyle -> None, 
             FrameMargins -> {{0, 0}, {0, 0}}, StripOnInput -> False], 
            GridBox[{{
               TagBox[
                GridBox[{{
                   TagBox["\"Message: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox[
                   "\"The first argument \\!\\(\\*TagBox[RowBox[{\\\"{\\\", \
RowBox[{\\\"1\\\", \\\",\\\", \\\"2\\\", \\\",\\\", \\\"3\\\", \\\",\\\", \
\\\"4\\\", \\\",\\\", \\\"5\\\", \\\",\\\", \\\"6\\\", \\\",\\\", \\\"7\\\", \
\\\",\\\", \\\"8\\\", \\\",\\\", \\\"9\\\", \\\",\\\", \\\"10\\\", \\\",\\\", \
RowBox[{\\\"\[LeftSkeleton]\\\", \\\"191\\\", \\\"\[RightSkeleton]\\\"}]}], \
\\\"}\\\"}], Function[Short[Slot[1], 5]]]\\) is expected to be a real numeric \
vector or matrix.\"", "SummaryItem"]}}, 
                 GridBoxItemSize -> {"Columns" -> {6.5, All, Automatic}}, 
                 GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                 GridBoxSpacings -> {"Columns" -> {{0}}}], "SummaryItem"]}, {
               TagBox[
                GridBox[{{
                   TagBox["\"Tag: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox["TrimmedMean", "SummaryItem"]}}, 
                 GridBoxItemSize -> {"Columns" -> {6.5, All, Automatic}}, 
                 GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                 GridBoxSpacings -> {"Columns" -> {{0}}}], "SummaryItem"]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
             False, GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{2}}, "Rows" -> {{Automatic}}},
              BaseStyle -> {
              ShowStringCharacters -> False, NumberMarks -> False, 
               PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
          GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
          AutoDelete -> False, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
          BaselinePosition -> {1, 1}]}, 
       Dynamic[Typeset`open$$], ImageSize -> Automatic]},
     "SummaryPanel"],
    DynamicModuleValues:>{}], "]"}],
  Failure[
  TrimmedMean, <|
   "MessageTemplate" :> MessageName[TrimmedMean, "arg1"], 
    "MessageParameters" -> {{
      1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 
       21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38,
        39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51, 52, 53, 54, 55, 
       56, 57, 58, 59, 60, 61, 62, 63, 64, 65, 66, 67, 68, 69, 70, 71, 72, 73,
        74, 75, 76, 77, 78, 79, 80, 81, 82, 83, 84, 85, 86, 87, 88, 89, 90, 
       91, 92, 93, 94, 95, 96, 97, 98, 99, 100, 101, 102, 103, 104, 105, 106, 
       107, 108, 109, 110, 111, 112, 113, 114, 115, 116, 117, 118, 119, 120, 
       121, 122, 123, 124, 125, 126, 127, 128, 129, 130, 131, 132, 133, 134, 
       135, 136, 137, 138, 139, 140, 141, 142, 143, 144, 145, 146, 147, 148, 
       149, 150, 151, 152, 153, 154, 155, 156, 157, 158, 159, 160, 161, 162, 
       163, 164, 165, 166, 167, 168, 169, 170, 171, 172, 173, 174, 175, 176, 
       177, 178, 179, 180, 181, 182, 183, 184, 185, 186, 187, 188, 189, 190, 
       191, 192, 193, 194, 195, 196, 197, 198, 199, 200, 
       Missing[]}}|>],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.858169239646693*^9, 3.8814235277926483`*^9},
 CellTags->"LastCellOfAPage",
 CellLabel->"Out[499]=",
 CellID->1609999522,ExpressionUUID->"344dece1-d44c-4beb-9b3c-fdd25556c4b5"]
}, Open  ]],

Cell[TextData[{
 "A third possibility occurs when one uses statistical functions on data that \
does not have enough elements to perform the computation. To compute a ",
 ButtonBox["StandardDeviation",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/StandardDeviation.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/StandardDeviation.html"],
 ", for example, one should have at least one piece of data."
}], "Text",
 CellChangeTimes->{{3.858178443043886*^9, 3.8581785167884197`*^9}, {
  3.858178624956109*^9, 3.858178771398247*^9}, {3.858178850407941*^9, 
  3.858178854542336*^9}, {3.8678548384646535`*^9, 3.8678548664230185`*^9}, {
  3.869321302266468*^9, 3.869321302962514*^9}},
 CellTags->"p: 147",
 CellID->232924583,ExpressionUUID->"ccbd7187-8275-4cfe-983d-318830b4b446"],

Cell[TextData[{
 "Outside of ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 ", attempting to compute the ",
 ButtonBox["StandardDeviation",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/StandardDeviation.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/StandardDeviation.html"],
 " of an empty ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " will produce a warning and will yield ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["StandardDeviation",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL[
      "https://reference.wolfram.com/language/ref/StandardDeviation.html"], 
      None},
    ButtonNote->
     "https://reference.wolfram.com/language/ref/StandardDeviation.html"], 
   "[", 
   RowBox[{"{", "}"}], "]"}]], "InlineCode",ExpressionUUID->
  "78c9ef0d-63d2-4219-813f-b00dedff4a9e"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.869321274696804*^9, 3.869321278199162*^9}},
 CellID->1648917800,ExpressionUUID->"2ce246b2-9035-49e6-8c64-c2d831565b90"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"StandardDeviation", "[", 
  RowBox[{"{", "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.858178681117776*^9, 3.858178687766592*^9}},
 CellLabel->"In[500]:=",
 CellID->1676278063,ExpressionUUID->"c371a0c2-e6d1-4385-889c-f587a3b7e010"],

Cell[BoxData[
 TemplateBox[{
  "StandardDeviation", "shlen", 
   "\"The argument \\!\\(\\*RowBox[{\\\"{\\\", \\\"}\\\"}]\\) should have at \
least two elements.\"", 2, 390, 43, 30524154872880734137, "Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.858178689257782*^9},
 CellLabel->"During evaluation of In[390]:=",
 CellID->1355282729,ExpressionUUID->"46752284-7a7f-466c-a67f-eb555df8f715"],

Cell[BoxData[
 RowBox[{"StandardDeviation", "[", 
  RowBox[{"{", "}"}], "]"}]], "Output",
 CellChangeTimes->{3.85817868926862*^9, 3.881423535874526*^9},
 CellLabel->"Out[500]=",
 CellID->1191122177,ExpressionUUID->"aec55c48-e3ff-43da-98ec-50888b92de55"]
}, Open  ]],

Cell["\<\
That could be annoying if one had thousands of rows of data in some large \
data structure and only one of the rows was an empty list. \
\>", "Text",
 CellChangeTimes->{{3.858178777407703*^9, 3.8581788418014517`*^9}, 
   3.8581788726648397`*^9, {3.858180336290216*^9, 3.858180339835189*^9}},
 CellID->943718531,ExpressionUUID->"904d2511-9d2e-4651-a16f-eff86a017eef"],

Cell[TextData[{
 "With ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["MissingBehavior",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/MissingBehavior.html"], 
      None},
    ButtonNote->
     "https://reference.wolfram.com/language/ref/MissingBehavior.html"], " ", 
   ButtonBox[
    StyleBox["\[Rule]",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Rule.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Rule.html"], " ", 
   ButtonBox[
    StyleBox["None",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/None.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/None.html"]}]], 
  "InlineCode",ExpressionUUID->"a2c5c5c0-0b5e-4745-a363-25ec86310a72"],
 ", ",
 ButtonBox["StandardDeviation",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/StandardDeviation.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/StandardDeviation.html"],
 " mapped over data that includes even one empty list produces a ",
 ButtonBox["Failure",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Failure.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Failure.html"],
 " object:"
}], "CodeText",
 CellID->1032908172,ExpressionUUID->"5101a82c-eee0-4ddf-a576-2cd115305f74"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{"All", ",", "StandardDeviation", ",", 
    RowBox[{"MissingBehavior", "\[Rule]", "None"}]}], "]"}], "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"3", ",", "4"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"5", ",", "8"}], "}"}], ",", 
    RowBox[{"{", "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"4", ",", "11"}], "}"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.858178875352923*^9, 3.858178898917602*^9}},
 CellLabel->"In[501]:=",
 CellID->1214552320,ExpressionUUID->"229916b8-c73b-4319-9305-36008b508e54"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   TagBox["Failure",
    "SummaryHead"], "[", 
   DynamicModuleBox[{Typeset`open$$ = False, Typeset`embedState$$ = "Ready"}, 
    TemplateBox[{
      PaneSelectorBox[{False -> GridBox[{{
            FrameBox[
             StyleBox["\"\[WarningSign]\"", 
              Directive["Message", 35], StripOnInput -> False], 
             ContentPadding -> False, FrameStyle -> None, 
             FrameMargins -> {{0, 0}, {0, 0}}, StripOnInput -> False], 
            GridBox[{{
               TagBox[
                GridBox[{{
                   TagBox["\"Message: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox[
                   "\"The argument \\!\\(\\*TagBox[RowBox[{\\\"{\\\", \\\"}\\\
\"}], Function[Short[Slot[1], 5]]]\\) should have at least two elements.\"", 
                    "SummaryItem"]}}, 
                 GridBoxItemSize -> {"Columns" -> {6.5, All, Automatic}}, 
                 GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                 GridBoxSpacings -> {"Columns" -> {{0}}}], "SummaryItem"]}, {
               TagBox[
                GridBox[{{
                   TagBox["\"Tag: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox["StandardDeviation", "SummaryItem"]}}, 
                 GridBoxItemSize -> {"Columns" -> {6.5, All, Automatic}}, 
                 GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                 GridBoxSpacings -> {"Columns" -> {{0}}}], "SummaryItem"]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
             False, GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{2}}, "Rows" -> {{Automatic}}},
              BaseStyle -> {
              ShowStringCharacters -> False, NumberMarks -> False, 
               PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
          GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
          AutoDelete -> False, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
          BaselinePosition -> {1, 1}], True -> GridBox[{{
            FrameBox[
             StyleBox["\"\[WarningSign]\"", 
              Directive["Message", 35], StripOnInput -> False], 
             ContentPadding -> False, FrameStyle -> None, 
             FrameMargins -> {{0, 0}, {0, 0}}, StripOnInput -> False], 
            GridBox[{{
               TagBox[
                GridBox[{{
                   TagBox["\"Message: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox[
                   "\"The argument \\!\\(\\*TagBox[RowBox[{\\\"{\\\", \\\"}\\\
\"}], Function[Short[Slot[1], 5]]]\\) should have at least two elements.\"", 
                    "SummaryItem"]}}, 
                 GridBoxItemSize -> {"Columns" -> {6.5, All, Automatic}}, 
                 GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                 GridBoxSpacings -> {"Columns" -> {{0}}}], "SummaryItem"]}, {
               TagBox[
                GridBox[{{
                   TagBox["\"Tag: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox["StandardDeviation", "SummaryItem"]}}, 
                 GridBoxItemSize -> {"Columns" -> {6.5, All, Automatic}}, 
                 GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                 GridBoxSpacings -> {"Columns" -> {{0}}}], "SummaryItem"]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
             False, GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{2}}, "Rows" -> {{Automatic}}},
              BaseStyle -> {
              ShowStringCharacters -> False, NumberMarks -> False, 
               PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
          GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
          AutoDelete -> False, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
          BaselinePosition -> {1, 1}]}, 
       Dynamic[Typeset`open$$], ImageSize -> Automatic]},
     "SummaryPanel"],
    DynamicModuleValues:>{}], "]"}],
  Failure[
  StandardDeviation, <|
   "MessageTemplate" :> MessageName[StandardDeviation, "shlen"], 
    "MessageParameters" -> {
      HoldForm[{}], 
      HoldForm[1]}|>],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.858178899536269*^9, 3.88142354562187*^9},
 CellLabel->"Out[501]=",
 CellID->699509289,ExpressionUUID->"99633a2b-8be2-4c88-9a42-e96e906326b8"]
}, Open  ]],

Cell[TextData[{
 "By using the default ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["MissingBehavior",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/MissingBehavior.html"], 
      None},
    ButtonNote->
     "https://reference.wolfram.com/language/ref/MissingBehavior.html"], " ", 
   ButtonBox[
    StyleBox["\[Rule]",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Rule.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Rule.html"], " ", 
   ButtonBox[
    StyleBox["Automatic",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Automatic.html"], None},
    ButtonNote->
     "https://reference.wolfram.com/language/ref/Automatic.html"]}]], 
  "InlineCode",ExpressionUUID->"40284e09-cb07-4ab4-bddb-6a5c57de5024"],
 ", ",
 ButtonBox["StandardDeviation",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/StandardDeviation.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/StandardDeviation.html"],
 " applied to an empty ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " produces ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["Missing",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Missing.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Missing.html"], 
   "[", 
   ButtonBox[
    StyleBox["Indeterminate",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL[
      "https://reference.wolfram.com/language/ref/Indeterminate.html?q=\
Indeterminate"], None},
    ButtonNote->
     "https://reference.wolfram.com/language/ref/Indeterminate.html?q=\
Indeterminate"], "]"}]], "InlineCode",ExpressionUUID->
  "47db7d00-4455-4130-96b7-4d7f3e61296d"],
 " and, critically, no error message:"
}], "CodeText",
 CellID->1013855018,ExpressionUUID->"63ebfa11-8f03-4a86-8608-6e9f7596e38a"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{"All", ",", "StandardDeviation"}], "]"}], "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"3", ",", "4"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"5", ",", "8"}], "}"}], ",", 
    RowBox[{"{", "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"4", ",", "11"}], "}"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.858178806136072*^9, 3.858178814192513*^9}, {
  3.858178911642866*^9, 3.858178918852899*^9}},
 CellLabel->"In[502]:=",
 CellID->1253380657,ExpressionUUID->"c5659312-b892-4583-8c22-92061ea42d94"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   FractionBox["1", 
    SqrtBox["2"]], ",", 
   FractionBox["3", 
    SqrtBox["2"]], ",", 
   RowBox[{"Missing", "[", "\<\"Indeterminate\"\>", "]"}], ",", 
   FractionBox["7", 
    SqrtBox["2"]]}], "}"}]], "Output",
 CellChangeTimes->{
  3.8581788145225897`*^9, {3.85817891336215*^9, 3.8581789191768293`*^9}, 
   3.881423552267219*^9},
 CellLabel->"Out[502]=",
 CellID->1488772270,ExpressionUUID->"b1aa6230-e457-41c8-96f3-b66d77433bf8"]
}, Open  ]],

Cell[TextData[{
 "A fourth possibility occurs when one tries to perform certain arithmetic \
operations on missing data. Here\[CloseCurlyQuote]s what happens outside the ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " world."
}], "Text",
 CellChangeTimes->{{3.76947025226403*^9, 3.7694702561481247`*^9}, {
   3.769507536052712*^9, 3.769507547015471*^9}, {3.7695076084675827`*^9, 
   3.769507664188736*^9}, {3.769507721418936*^9, 3.769507728291978*^9}, {
   3.76950814865726*^9, 3.769508195412663*^9}, {3.7695082515500526`*^9, 
   3.769508276191659*^9}, 3.7699561990838614`*^9, 3.7770410469203215`*^9, {
   3.7771993980092173`*^9, 3.777199437689217*^9}, 3.787760418185213*^9, {
   3.787760479812108*^9, 3.787760488362764*^9}, {3.85816786898273*^9, 
   3.858167896577104*^9}, {3.858179141004257*^9, 3.858179170193718*^9}, {
   3.8582663485988283`*^9, 3.8582663581357317`*^9}},
 CellID->1536659329,ExpressionUUID->"7df526bf-bcea-4680-886d-f2bbac2af6dd"],

Cell[TextData[{
 ButtonBox["Power",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Power.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Power.html"],
 " applied to a missing just treats that missing the same as any other \
Wolfram Language expression:"
}], "CodeText",
 CellChangeTimes->{{3.8581791854794493`*^9, 3.8581792155473223`*^9}, 
   3.858180364449053*^9},
 CellID->1526657576,ExpressionUUID->"df9845b3-1b9b-494d-ad56-00d09688ad43"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Power", "[", 
  RowBox[{
   RowBox[{"Missing", "[", "]"}], ",", "3"}], "]"}]], "Input",
 CellChangeTimes->{{3.858179172688786*^9, 3.858179179549161*^9}},
 CellLabel->"In[503]:=",
 CellID->493174899,ExpressionUUID->"54bdd506-4485-44f7-909c-e24a5c34db08"],

Cell[BoxData[
 SuperscriptBox[
  RowBox[{"Missing", "[", "]"}], "3"]], "Output",
 CellChangeTimes->{3.858179179917098*^9, 3.8814235559060926`*^9},
 CellLabel->"Out[503]=",
 CellID->1607135960,ExpressionUUID->"7612c39d-d576-4c84-b61c-1d4c5cf6ce96"]
}, Open  ]],

Cell[TextData[{
 "This treatment might be very undesirable if we were subsequently hunting \
for missing data. So, here is what ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " does by default. "
}], "Text",
 CellChangeTimes->{{3.8581792187754374`*^9, 3.858179339914032*^9}, 
   3.8581797158315487`*^9, {3.867855870268942*^9, 3.86785587159249*^9}, 
   3.869321341804791*^9},
 CellID->992218579,ExpressionUUID->"2b699dec-94be-4460-a51b-e1848eef9c8d"],

Cell[TextData[{
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " with ",
 Cell[BoxData[
  RowBox[{
   RowBox[{
    ButtonBox[
     StyleBox["Power",
      FontColor->GrayLevel[0]],
     BaseStyle->"Hyperlink",
     ButtonData->{
       URL["https://reference.wolfram.com/language/ref/Power.html"], None},
     ButtonNote->"https://reference.wolfram.com/language/ref/Power.html"], 
    "[", 
    RowBox[{
     ButtonBox[
      StyleBox["#",
       FontColor->GrayLevel[0]],
      BaseStyle->"Hyperlink",
      ButtonData->{
        URL["https://reference.wolfram.com/language/ref/Slot.html"], None},
      ButtonNote->"https://reference.wolfram.com/language/ref/Slot.html"], 
     ",", " ", "3"}], "]"}], 
   ButtonBox[
    StyleBox["&",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Function.html"], None},
    ButtonNote->
     "https://reference.wolfram.com/language/ref/Function.html"]}]], 
  "InlineCode",ExpressionUUID->"7ab3bf0b-5ce1-404a-be5c-4f53f477225c"],
 " produces another ",
 ButtonBox["Missing",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Missing.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Missing.html"],
 " object, but this one has the reason as its argument:"
}], "CodeText",
 CellChangeTimes->{{3.869321342816744*^9, 3.869321403753832*^9}, {
  3.869664596559318*^9, 3.8696646557199984`*^9}, {3.8696648642413673`*^9, 
  3.8696649084718065`*^9}, {3.8850502247454214`*^9, 3.885050225602582*^9}, {
  3.898081475315365*^9, 3.898081475315651*^9}},
 CellID->1183439536,ExpressionUUID->"9cc8ae53-127a-47a1-8b7d-69c4dfbed699"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{"All", ",", 
    RowBox[{
     RowBox[{"Power", "[", 
      RowBox[{"#", ",", "3"}], "]"}], "&"}]}], "]"}], "[", 
  RowBox[{"{", 
   RowBox[{"2", ",", "3", ",", 
    RowBox[{"Missing", "[", "]"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.858179244282818*^9, 3.858179258246738*^9}},
 CellLabel->"In[504]:=",
 CellID->309002113,ExpressionUUID->"29a1d23f-9c26-4e39-93b6-c2626efa6d41"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"8", ",", "27", ",", 
   RowBox[{"Missing", "[", "\<\"Indeterminate\"\>", "]"}]}], "}"}]], "Output",
 CellChangeTimes->{3.858179258610259*^9, 3.858180398518178*^9, 
  3.8814235598177977`*^9},
 CellTags->"LastCellOfAPage",
 CellLabel->"Out[504]=",
 CellID->1861919932,ExpressionUUID->"597c5c2e-91fb-46c5-9671-9c324572eebf"]
}, Open  ]],

Cell["Find the position(s) of problematic data:", "CodeText",
 CellChangeTimes->{{3.85818041539252*^9, 3.8581804352010517`*^9}, 
   3.858266388127269*^9},
 CellTags->"p: 148",
 CellID->1775229690,ExpressionUUID->"bf3484ec-a823-47c8-9593-2f5ecbfb7a5b"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Position", "[", 
  RowBox[{"%", ",", "_Missing"}], "]"}]], "Input",
 CellChangeTimes->{{3.858180384657157*^9, 3.858180406737585*^9}},
 CellLabel->"In[505]:=",
 CellID->91775657,ExpressionUUID->"515842f6-f376-4925-868e-770e2fd3328b"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", "3", "}"}], "}"}]], "Output",
 CellChangeTimes->{{3.8581803954104137`*^9, 3.8581804071366863`*^9}, 
   3.881423562590926*^9},
 CellLabel->"Out[505]=",
 CellID->258158366,ExpressionUUID->"d3e27929-8c9f-4890-a2c4-dc2a86af023f"]
}, Open  ]],

Cell[TextData[{
 "Similar behavior occurs by default for many other arithmetic functions, \
such as ",
 ButtonBox["Times",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Times.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Times.html"],
 " and ",
 ButtonBox["Minus",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Minus.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Minus.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.858179340976611*^9, 3.858179347725313*^9}, {
   3.8581793930733433`*^9, 3.858179402636866*^9}, {3.858179443812392*^9, 
   3.858179446568005*^9}, {3.858180446996832*^9, 3.858180449994665*^9}, 
   3.8678559000443373`*^9},
 CellID->802410164,ExpressionUUID->"53699379-b54a-46f3-a932-c25a8b7fccb9"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"Query", "[", 
     RowBox[{"All", ",", 
      RowBox[{
       RowBox[{"Times", "[", 
        RowBox[{"4", ",", "#"}], "]"}], "&"}]}], "]"}], "[", 
    RowBox[{"{", 
     RowBox[{"3", ",", "5", ",", 
      RowBox[{"Missing", "[", "]"}]}], "}"}], "]"}], ",", 
   RowBox[{
    RowBox[{"Query", "[", 
     RowBox[{"All", ",", 
      RowBox[{
       RowBox[{"Minus", "[", "#", "]"}], "&"}]}], "]"}], "[", 
    RowBox[{"{", 
     RowBox[{"3", ",", "5", ",", 
      RowBox[{"Missing", "[", "]"}]}], "}"}], "]"}]}], "}"}]], "Input",
 CellChangeTimes->{{3.8581793496659603`*^9, 3.8581794534187717`*^9}},
 CellLabel->"In[506]:=",
 CellID->1400889455,ExpressionUUID->"209bdac4-b803-4f88-b945-7e1e129fcdc2"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"12", ",", "20", ",", 
     RowBox[{"Missing", "[", "\<\"Indeterminate\"\>", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "3"}], ",", 
     RowBox[{"-", "5"}], ",", 
     RowBox[{"Missing", "[", "\<\"Indeterminate\"\>", "]"}]}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.858179365545163*^9, 3.8581793863275957`*^9}, {
   3.8581794165369*^9, 3.8581794538657217`*^9}, 3.881423567823826*^9},
 CellLabel->"Out[506]=",
 CellID->684560473,ExpressionUUID->"ed07e5a8-7553-4532-a02e-9d24e25dec86"]
}, Open  ]],

Cell[TextData[{
 "But ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " doesn\[CloseCurlyQuote]t by default fix all numeric operations on missing \
values. Here I use a ",
 ButtonBox["Log",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Log.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Log.html"],
 " function on the age value instead of a squaring function."
}], "Text",
 CellChangeTimes->{{3.7695083469971247`*^9, 3.7695084037683277`*^9}, {
   3.7771999176322174`*^9, 3.777199938899217*^9}, {3.858180145670327*^9, 
   3.8581801823345203`*^9}, 3.858180454792033*^9, 3.865531142739932*^9},
 CellID->22702349,ExpressionUUID->"2f98fa1b-e2d3-4111-a5d6-7bcb3b8dc057"],

Cell[TextData[{
 "In this case, ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " does not know that ",
 ButtonBox["Log",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Log.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Log.html"],
 " of ",
 ButtonBox["Missing",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Missing.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Missing.html"],
 " really makes no sense:"
}], "CodeText",
 CellChangeTimes->{{3.78552127767169*^9, 3.785521304335887*^9}, 
   3.785521337381462*^9, 3.8678559159781036`*^9},
 CellID->1453774124,ExpressionUUID->"282b4075-ea0f-4107-bfee-54d36167580d"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{"All", ",", 
    RowBox[{
     RowBox[{"Log", "[", "#age", "]"}], "&"}]}], "]"}], "[", "dinghy", 
  "]"}]], "Input",
 CellChangeTimes->{{3.769508364609741*^9, 3.769508368823166*^9}, 
   3.769956258151101*^9},
 CellLabel->"In[507]:=",
 CellID->1660250149,ExpressionUUID->"0b536cd2-1f4c-46a6-a00a-9cd51d8ff81e"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"Log", "[", "16", "]"}], ",", 
   RowBox[{"Log", "[", "65", "]"}], ",", 
   RowBox[{"Log", "[", "2", "]"}], ",", 
   RowBox[{"Log", "[", 
    RowBox[{"Missing", "[", "]"}], "]"}], ",", 
   RowBox[{"Log", "[", "18", "]"}]}], "}"}]], "Output",
 CellChangeTimes->{3.7695083694041452`*^9, 3.769956301583664*^9, 
  3.76995876278423*^9, 3.769959368850259*^9, 3.771923387052248*^9, 
  3.771930221580881*^9, 3.7719303660341578`*^9, 3.881423571633616*^9},
 CellLabel->"Out[507]=",
 CellID->1638850737,ExpressionUUID->"2daba571-4188-4caa-b5e8-6e9beaf2cf7c"]
}, Open  ]],

Cell[TextData[{
 "The fifth possibility is when one runs functions such as ",
 ButtonBox["Counts",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Counts.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Counts.html"],
 ", ",
 ButtonBox["GroupBy",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/GroupBy.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/GroupBy.html"],
 " and ",
 ButtonBox["Map",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Map.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Map.html"],
 " on just a single ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["Missing",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Missing.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Missing.html"], 
   "[", "]"}]], "InlineCodeText",ExpressionUUID->
  "0988850d-cb6a-4e22-899d-e40d991c5071"],
 " piece of data. Here\[CloseCurlyQuote]s what happens outside of ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " or if I switch to ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["MissingBehavior",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/MissingBehavior.html"], 
      None},
    ButtonNote->
     "https://reference.wolfram.com/language/ref/MissingBehavior.html"], " ", 
   ButtonBox[
    StyleBox["\[Rule]",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Rule.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Rule.html"], " ", 
   ButtonBox[
    StyleBox["None",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/None.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/None.html"]}]], 
  "InlineCodeText",ExpressionUUID->"e22aaadb-141f-4a20-bdb4-0112300175fb"],
 "."
}], "Text",
 CellChangeTimes->{{3.858179732629099*^9, 3.8581797786857843`*^9}, {
   3.85818047484779*^9, 3.8581804797202463`*^9}, {3.858266464335804*^9, 
   3.858266515445472*^9}, {3.858266562417354*^9, 3.858266581005855*^9}, 
   3.858266619272238*^9, {3.867757133303713*^9, 3.8677572058230686`*^9}, {
   3.867759298538723*^9, 3.8677593815542984`*^9}, {3.8677599028180885`*^9, 
   3.8677599517560625`*^9}, {3.867762600320997*^9, 3.867762655745968*^9}, {
   3.867855969042615*^9, 3.8678559743148556`*^9}, {3.88504952954348*^9, 
   3.885049534971648*^9}, {3.88504958226464*^9, 3.8850495834594126`*^9}, {
   3.88505050253082*^9, 3.885050502531791*^9}, {3.89635588300378*^9, 
   3.896355883433213*^9}},
 CellID->295848866,ExpressionUUID->"c01f1f00-40b6-4308-a07f-a6f0e5b32ec4"],

Cell[TextData[{
 ButtonBox["Counts",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Counts.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Counts.html"],
 " of a single ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["Missing",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Missing.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Missing.html"], 
   "[", "]"}]], "InlineCode",ExpressionUUID->
  "90446bf0-40c6-4e30-a7f9-e1b9f93e42e1"],
 " produces an error:"
}], "CodeText",
 CellID->1765373122,ExpressionUUID->"e06aa616-2de7-40ba-bec1-6df6eaefcd61"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{"All", ",", "Counts", ",", 
    RowBox[{"MissingBehavior", "\[Rule]", "None"}]}], "]"}], "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"\"\<a\>\"", ",", "\"\<a\>\"", ",", "\"\<b\>\""}], "}"}], ",", 
    RowBox[{"Missing", "[", "]"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.85817960174164*^9, 3.8581796406646233`*^9}, {
  3.858179790473392*^9, 3.858179808122675*^9}, {3.858179930131035*^9, 
  3.858179942192582*^9}},
 CellLabel->"In[508]:=",
 CellID->1282544296,ExpressionUUID->"051c9e75-eb7c-4636-b4e6-6ff5b880ab75"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   TagBox["Failure",
    "SummaryHead"], "[", 
   DynamicModuleBox[{Typeset`open$$ = False, Typeset`embedState$$ = "Ready"}, 
    TemplateBox[{
      PaneSelectorBox[{False -> GridBox[{{
            FrameBox[
             StyleBox["\"\[WarningSign]\"", 
              Directive["Message", 35], StripOnInput -> False], 
             ContentPadding -> False, FrameStyle -> None, 
             FrameMargins -> {{0, 0}, {0, 0}}, StripOnInput -> False], 
            GridBox[{{
               TagBox[
                GridBox[{{
                   TagBox["\"Message: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox[
                   "\"The argument \\!\\(\\*TagBox[RowBox[{\\\"Missing\\\", \
\\\"[\\\", \\\"]\\\"}], Function[Short[Slot[1], 5]]]\\) is not a list.\"", 
                    "SummaryItem"]}}, 
                 GridBoxItemSize -> {"Columns" -> {6.5, All, Automatic}}, 
                 GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                 GridBoxSpacings -> {"Columns" -> {{0}}}], "SummaryItem"]}, {
               TagBox[
                GridBox[{{
                   TagBox["\"Tag: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox["Counts", "SummaryItem"]}}, 
                 GridBoxItemSize -> {"Columns" -> {6.5, All, Automatic}}, 
                 GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                 GridBoxSpacings -> {"Columns" -> {{0}}}], "SummaryItem"]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
             False, GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{2}}, "Rows" -> {{Automatic}}},
              BaseStyle -> {
              ShowStringCharacters -> False, NumberMarks -> False, 
               PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
          GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
          AutoDelete -> False, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
          BaselinePosition -> {1, 1}], True -> GridBox[{{
            FrameBox[
             StyleBox["\"\[WarningSign]\"", 
              Directive["Message", 35], StripOnInput -> False], 
             ContentPadding -> False, FrameStyle -> None, 
             FrameMargins -> {{0, 0}, {0, 0}}, StripOnInput -> False], 
            GridBox[{{
               TagBox[
                GridBox[{{
                   TagBox["\"Message: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox[
                   "\"The argument \\!\\(\\*TagBox[RowBox[{\\\"Missing\\\", \
\\\"[\\\", \\\"]\\\"}], Function[Short[Slot[1], 5]]]\\) is not a list.\"", 
                    "SummaryItem"]}}, 
                 GridBoxItemSize -> {"Columns" -> {6.5, All, Automatic}}, 
                 GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                 GridBoxSpacings -> {"Columns" -> {{0}}}], "SummaryItem"]}, {
               TagBox[
                GridBox[{{
                   TagBox["\"Tag: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox["Counts", "SummaryItem"]}}, 
                 GridBoxItemSize -> {"Columns" -> {6.5, All, Automatic}}, 
                 GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                 GridBoxSpacings -> {"Columns" -> {{0}}}], "SummaryItem"]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
             False, GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{2}}, "Rows" -> {{Automatic}}},
              BaseStyle -> {
              ShowStringCharacters -> False, NumberMarks -> False, 
               PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
          GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
          AutoDelete -> False, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
          BaselinePosition -> {1, 1}]}, 
       Dynamic[Typeset`open$$], ImageSize -> Automatic]},
     "SummaryPanel"],
    DynamicModuleValues:>{}], "]"}],
  Failure[
  Counts, <|"MessageTemplate" :> MessageName[Counts, "invl"], 
    "MessageParameters" -> {
      HoldForm[
       Missing[]]}|>],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{{3.8581796116325207`*^9, 3.858179641027995*^9}, {
   3.858179793443733*^9, 3.8581798084555492`*^9}, 3.8581799424889402`*^9, 
   3.881423575465537*^9},
 CellLabel->"Out[508]=",
 CellID->344569468,ExpressionUUID->"f97cea22-6467-4b55-8158-a88eef0a7f71"]
}, Open  ]],

Cell[TextData[{
 "The default behavior of ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " avoids ",
 ButtonBox["Failure",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Failure.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Failure.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.8581799863058023`*^9, 3.8581800019191713`*^9}, {
  3.858180496875163*^9, 3.858180499841353*^9}},
 CellID->496218277,ExpressionUUID->"58ebed7f-d121-4cec-a37b-5117af29eadd"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{"All", ",", "Counts"}], "]"}], "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"\"\<a\>\"", ",", "\"\<a\>\"", ",", "\"\<b\>\""}], "}"}], ",", 
    RowBox[{"Missing", "[", "]"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.85817960174164*^9, 3.8581796406646233`*^9}, {
  3.858179790473392*^9, 3.858179808122675*^9}, {3.858179930131035*^9, 
  3.85817994987468*^9}},
 CellLabel->"In[509]:=",
 CellID->842990727,ExpressionUUID->"2f1c5cf7-102d-45e1-a5fa-37ed05467002"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"a\"\>", "\[Rule]", "2"}], ",", 
     RowBox[{"\<\"b\"\>", "\[Rule]", "1"}]}], "\[RightAssociation]"}], ",", 
   RowBox[{"Missing", "[", "]"}]}], "}"}]], "Output",
 CellChangeTimes->{3.858179950139359*^9, 3.8814235782725153`*^9},
 CellLabel->"Out[509]=",
 CellID->1904197783,ExpressionUUID->"46d186d6-4e3a-447b-88e7-4ae74394ff00"]
}, Open  ]],

Cell[TextData[{
 "Even if most elements can properly be grouped, a single ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["Missing",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Missing.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Missing.html"], 
   "[", "]"}]], "InlineCode",ExpressionUUID->
  "89a1b3c1-bf11-4749-b69e-e4624a2423ad"],
 " results in ",
 ButtonBox["Failure",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Failure.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Failure.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.8581800110656557`*^9, 3.858180032056188*^9}, {
  3.858180509684148*^9, 3.858180515765541*^9}, {3.8678563082496557`*^9, 
  3.8678563121239405`*^9}},
 CellID->1074547708,ExpressionUUID->"bc817d46-dcf4-4a38-9264-e5aceed35e5d"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{"All", ",", 
    RowBox[{"GroupBy", "[", "EvenQ", "]"}], ",", 
    RowBox[{"MissingBehavior", "\[Rule]", "None"}]}], "]"}], "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"4", ",", "5", ",", "6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"10", ",", "11", ",", "13"}], "}"}], ",", 
    RowBox[{"Missing", "[", "]"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.858179851572528*^9, 3.858179914205739*^9}},
 CellLabel->"In[510]:=",
 CellID->9703674,ExpressionUUID->"bb24486d-d8c8-459f-89d3-1ead0a13d704"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   TagBox["Failure",
    "SummaryHead"], "[", 
   DynamicModuleBox[{Typeset`open$$ = False, Typeset`embedState$$ = "Ready"}, 
    TemplateBox[{
      PaneSelectorBox[{False -> GridBox[{{
            FrameBox[
             StyleBox["\"\[WarningSign]\"", 
              Directive["Message", 35], StripOnInput -> False], 
             ContentPadding -> False, FrameStyle -> None, 
             FrameMargins -> {{0, 0}, {0, 0}}, StripOnInput -> False], 
            GridBox[{{
               TagBox[
                GridBox[{{
                   TagBox["\"Message: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox[
                   "\"The argument \\!\\(\\*TagBox[RowBox[{\\\"Missing\\\", \
\\\"[\\\", \\\"]\\\"}], Function[Short[Slot[1], 5]]]\\) is not a valid list \
of Associations or rules or lists of rules.\"", "SummaryItem"]}}, 
                 GridBoxItemSize -> {"Columns" -> {6.5, All, Automatic}}, 
                 GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                 GridBoxSpacings -> {"Columns" -> {{0}}}], "SummaryItem"]}, {
               TagBox[
                GridBox[{{
                   TagBox["\"Tag: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox["GroupBy", "SummaryItem"]}}, 
                 GridBoxItemSize -> {"Columns" -> {6.5, All, Automatic}}, 
                 GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                 GridBoxSpacings -> {"Columns" -> {{0}}}], "SummaryItem"]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
             False, GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{2}}, "Rows" -> {{Automatic}}},
              BaseStyle -> {
              ShowStringCharacters -> False, NumberMarks -> False, 
               PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
          GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
          AutoDelete -> False, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
          BaselinePosition -> {1, 1}], True -> GridBox[{{
            FrameBox[
             StyleBox["\"\[WarningSign]\"", 
              Directive["Message", 35], StripOnInput -> False], 
             ContentPadding -> False, FrameStyle -> None, 
             FrameMargins -> {{0, 0}, {0, 0}}, StripOnInput -> False], 
            GridBox[{{
               TagBox[
                GridBox[{{
                   TagBox["\"Message: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox[
                   "\"The argument \\!\\(\\*TagBox[RowBox[{\\\"Missing\\\", \
\\\"[\\\", \\\"]\\\"}], Function[Short[Slot[1], 5]]]\\) is not a valid list \
of Associations or rules or lists of rules.\"", "SummaryItem"]}}, 
                 GridBoxItemSize -> {"Columns" -> {6.5, All, Automatic}}, 
                 GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                 GridBoxSpacings -> {"Columns" -> {{0}}}], "SummaryItem"]}, {
               TagBox[
                GridBox[{{
                   TagBox["\"Tag: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox["GroupBy", "SummaryItem"]}}, 
                 GridBoxItemSize -> {"Columns" -> {6.5, All, Automatic}}, 
                 GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                 GridBoxSpacings -> {"Columns" -> {{0}}}], "SummaryItem"]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
             False, GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{2}}, "Rows" -> {{Automatic}}},
              BaseStyle -> {
              ShowStringCharacters -> False, NumberMarks -> False, 
               PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
          GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
          AutoDelete -> False, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
          BaselinePosition -> {1, 1}]}, 
       Dynamic[Typeset`open$$], ImageSize -> Automatic]},
     "SummaryPanel"],
    DynamicModuleValues:>{}], "]"}],
  Failure[
  GroupBy, <|
   "MessageTemplate" :> MessageName[GroupBy, "list1"], "MessageParameters" -> {
      HoldForm[
       Missing[]]}|>],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.85817986850355*^9, 3.858179914493367*^9, 
  3.88142358149747*^9},
 CellLabel->"Out[510]=",
 CellID->744710746,ExpressionUUID->"ab8c7e00-59b8-4df9-97c5-c7d9b3162468"]
}, Open  ]],

Cell[TextData[{
 "The default behavior of ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " avoids ",
 ButtonBox["Failure",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Failure.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Failure.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.858180037537274*^9, 3.858180044415908*^9}, {
   3.8581805222082243`*^9, 3.858180525396316*^9}, 3.8677603794011416`*^9},
 CellID->957130223,ExpressionUUID->"d23312d2-2ca2-422e-b3fe-f80084f3aef3"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{"All", ",", 
    RowBox[{"GroupBy", "[", "EvenQ", "]"}]}], "]"}], "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"4", ",", "5", ",", "6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"10", ",", "11", ",", "13"}], "}"}], ",", 
    RowBox[{"Missing", "[", "]"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{3.858179963026188*^9},
 CellLabel->"In[511]:=",
 CellID->1430321483,ExpressionUUID->"019c6517-1b31-487d-a770-cece0d069baf"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"True", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"4", ",", "6"}], "}"}]}], ",", 
     RowBox[{"False", "\[Rule]", 
      RowBox[{"{", "5", "}"}]}]}], "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"True", "\[Rule]", 
      RowBox[{"{", "10", "}"}]}], ",", 
     RowBox[{"False", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"11", ",", "13"}], "}"}]}]}], "\[RightAssociation]"}], ",", 
   RowBox[{"Missing", "[", "]"}]}], "}"}]], "Output",
 CellChangeTimes->{3.858179963254356*^9, 3.881423585078063*^9},
 CellTags->"LastCellOfAPage",
 CellLabel->"Out[511]=",
 CellID->372445717,ExpressionUUID->"bca9d59a-48fb-48bb-9833-7d6ed5aa7824"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox["Exercises",
  $Line = 0; Null]], "ExerciseSection",
 CellTags->"p: 149",
 CellLabel->"In[118]:=",
 CellID->814524763,ExpressionUUID->"03fc55c1-dda0-4639-a303-527d406b99d9"],

Cell[TextData[{
 "For all of the exercises in this chapter, try first to use ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 ". Often it\[CloseCurlyQuote]s the most concise way of representing the \
question, but there\[CloseCurlyQuote]s no shame in just coding directly \
without it."
}], "ExerciseNote",
 CellChangeTimes->{{3.742230065661611*^9, 3.742230152806034*^9}, 
   3.742473497166856*^9, {3.7695074046473207`*^9, 3.769507406019753*^9}, {
   3.7772000294102173`*^9, 3.777200036402217*^9}},
 FontWeight->"Bold",
 FontTracking->-0.05,
 CellID->1974903841,ExpressionUUID->"9be54160-3a06-40b2-a603-ce390ba50e77"],

Cell[TextData[{
 "Get the first and fourth passenger from ",
 Cell[BoxData[
 "dinghy"], "InlineCode",ExpressionUUID->
  "c3d28818-960e-4f94-ab92-b23d9774134e"],
 "."
}], "Exercise",
 CounterAssignments->{{$CellContext`Exercise, 0}},
 CellTags->"Exercise",
 CellID->1153217924,ExpressionUUID->"59849fb7-1e03-46c6-af68-836962a3e94c"],

Cell["Did the third passenger on the dinghy survive?", "Exercise",
 CellChangeTimes->{{3.7422303253463182`*^9, 3.74223033928443*^9}, {
   3.769508451243703*^9, 3.769508451788889*^9}, {3.769509187633812*^9, 
   3.76950919374725*^9}, 3.769956200242352*^9},
 CellTags->"Exercise",
 CellID->1093734493,ExpressionUUID->"26855d5b-98a5-4ea3-96f2-bfc92a7c1ae5"],

Cell[TextData[{
 "Recall the planets data (",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["ResourceData",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/ResourceData.html"], 
      None},
    ButtonNote->
     "https://reference.wolfram.com/language/ref/ResourceData.html"], "[", 
   RowBox[{"ro", ",", " ", "\"\<Planets Deeply Nested Structure\>\""}], 
   "]"}]], "InlineCode",ExpressionUUID->
  "09e6b75a-7bce-407b-80b5-361e459f1b18"],
 "). What is the median mass of the moons of Jupiter?"
}], "Exercise",
 CellChangeTimes->{{3.7181151935197053`*^9, 3.7181152086747055`*^9}, {
   3.742230525373417*^9, 3.7422305381982737`*^9}, {3.742230597458726*^9, 
   3.742230598370327*^9}, {3.7695092049393587`*^9, 3.769509255815065*^9}, {
   3.7695093027493362`*^9, 3.769509316309071*^9}, {3.777200070728217*^9, 
   3.7772000717972174`*^9}, 3.7877610855630493`*^9, {3.8581695910453672`*^9, 
   3.858169597436483*^9}, {3.8581696905859747`*^9, 3.858169700004614*^9}, {
   3.8581697525686502`*^9, 3.858169765939364*^9}, {3.858267029269494*^9, 
   3.858267055720779*^9}, 3.882459112538939*^9, {3.8981099796751432`*^9, 
   3.898110085700548*^9}},
 CellTags->"Exercise",
 CellID->2083089178,ExpressionUUID->"5c307215-28a9-494d-a496-063bb8182c6d"],

Cell["\<\
Provide a breakdown of the survival of Titanic passengers (the whole ship, \
not just the small sample) by the sex of the passenger.\
\>", "Exercise",
 CellChangeTimes->{{3.742230624917739*^9, 3.7422306888055353`*^9}, {
  3.7772003844697857`*^9, 3.777200384669806*^9}},
 CellTags->"Exercise",
 CellID->53917605,ExpressionUUID->"69db0bf4-a6a8-43c4-8376-e7bcc00e1ec0"],

Cell[TextData[{
 "Find the male passengers on the Titanic over age 40. Break down whether \
they survived based on their cabin class. Hint 1: You may want to read the \
documentation on the ",
 ButtonBox["And",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/And.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/And.html"],
 " function. Present the results so that the ",
 ButtonBox["False",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/False.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/False.html"],
 " response always appears before the ",
 ButtonBox["True",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/True.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/True.html"],
 " response. For extra credit, sort the classes according to the fraction \
that died. Hint 2: You might want to reread the material in the preceding \
chapter on Boolean keys and read up on the ",
 ButtonBox["ToString",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ToString.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/ToString.html"],
 " function. Hint 3: Think hard about order of operations in your ",
 ButtonBox["Sort",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Sort.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Sort.html"],
 " and whether one or two Queries might be better here."
}], "Exercise",
 CellChangeTimes->{{3.742230834391642*^9, 3.7422308553787603`*^9}, {
   3.7422309135472116`*^9, 3.742230926356637*^9}, {3.742230998667111*^9, 
   3.7422310169345818`*^9}, {3.742231068602367*^9, 3.7422310884372063`*^9}, {
   3.742232109595581*^9, 3.742232115227195*^9}, {3.7695085010801163`*^9, 
   3.7695085127933893`*^9}, {3.7695085695997047`*^9, 3.769508580299533*^9}, {
   3.769508661985867*^9, 3.7695087203409452`*^9}, 3.7772004025855975`*^9, {
   3.777203649270046*^9, 3.777203671330046*^9}, {3.896356070307309*^9, 
   3.896356077673387*^9}},
 CellTags->"Exercise",
 CellID->2102571848,ExpressionUUID->"6173e071-015e-4408-b29f-233c2dc33e62"],

Cell[TextData[{
 "Do all exercises 3.1 through 3.3 from the preceding chapter using ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 "."
}], "Exercise",
 CellChangeTimes->{{3.74223038136878*^9, 3.74223039460098*^9}, 
   3.7772036790300465`*^9, {3.865531664018957*^9, 3.865531683514379*^9}},
 CellTags->"Exercise",
 CellID->1081637951,ExpressionUUID->"a8a61aa3-5939-4bbc-92c2-9b18b84a92c2"],

Cell[TextData[{
 "Use ",
 StyleBox["Query", "InlineCode"],
 " to compute the median age of the passengers on the Titanic broken down by \
cabin class. "
}], "Exercise",
 CellChangeTimes->{{3.742166582562457*^9, 3.742166610099216*^9}, {
   3.769337609550415*^9, 3.769337611281994*^9}, {3.7693376556420183`*^9, 
   3.7693376787942266`*^9}, {3.776092493312913*^9, 3.776092493815913*^9}, {
   3.865531825770316*^9, 3.865531828628161*^9}, 3.86553187668644*^9},
 CellTags->"Exercise",
 CellID->2121718470,ExpressionUUID->"3754478e-cbe3-4d5a-9dba-c3a3f6dd0217"],

Cell[TextData[{
 "Use ",
 ButtonBox["MeanAround",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/MeanAround.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/MeanAround.html"],
 " instead of ",
 ButtonBox["Mean",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Mean.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Mean.html"],
 " to break down the approximate mean age of Titanic passengers by sex. Hint: \
Does ",
 ButtonBox["MeanAround",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/MeanAround.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/MeanAround.html"],
 " deal with Missings the same way as ",
 ButtonBox["Mean",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Mean.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Mean.html"],
 "? If not, how might a function with ",
 ButtonBox["DeleteMissing",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/DeleteMissing.html"], 
    None},
  ButtonNote->"https://reference.wolfram.com/language/ref/DeleteMissing.html"],
 " be inserted into the pipeline to fix matters. Note: ",
 ButtonBox["MeanAround",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/MeanAround.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/MeanAround.html"],
 " was introduced in Version 12; you can\[CloseCurlyQuote]t do this with \
earlier versions."
}], "Exercise",
 CellChangeTimes->{{3.76951271790903*^9, 3.769512747414164*^9}, {
   3.7695128577130938`*^9, 3.769512967252425*^9}, {3.777203683693046*^9, 
   3.7772037091220465`*^9}, 3.7772037551970463`*^9, 3.8963561126973267`*^9},
 CellTags->"Exercise",
 CellID->639970602,ExpressionUUID->"e0a1c317-9da1-41a7-bf0c-43560aa8c44b"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Tech Notes", "TechNoteSection",
 CellID->21466922,ExpressionUUID->"2c7f19e6-c555-452e-adf7-ee0a33104ab6"],

Cell[TextData[{
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " is most useful when one wishes to apply operators at different levels of \
the data. If one wishes simply to work with the top level of the data, i.e. \
have a single-argument ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 ", it is often simpler just to write the function and not bother with the ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " apparatus. One can apply the function directly, or if application occurs \
at a lower level, one can use ",
 ButtonBox["Map",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Map.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Map.html"],
 " with the appropriate level specification. However, if one wishes to apply \
operators at multiple levels of the data structure, ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " can be quite useful. Indeed, ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " could have been called MultilevelFunction or MultilevelMap. Fortunately, \
that path was not taken."
}], "TechNote",
 CellChangeTimes->{{3.7404825320927877`*^9, 3.7404827090165377`*^9}, {
   3.741545227004949*^9, 3.741545316927388*^9}, {3.742232155542448*^9, 
   3.7422322057753963`*^9}, {3.742232385611597*^9, 3.742232421517126*^9}, {
   3.742232455161478*^9, 3.7422325001650963`*^9}, {3.769509047076633*^9, 
   3.7695090541194363`*^9}, {3.7718896391498003`*^9, 3.771889658772374*^9}, {
   3.777203772692046*^9, 3.777203889602046*^9}, 3.7772067499738054`*^9, {
   3.8678584707966185`*^9, 3.867858503882166*^9}, {3.867858587676695*^9, 
   3.8678585962278843`*^9}},
 CellID->1586229564,ExpressionUUID->"ef0fd5de-3c94-40a9-a00c-e02b4bf14ccb"],

Cell[TextData[{
 "There is a ",
 ButtonBox["ResourceFunction",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ResourceFunction.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/ResourceFunction.html"],
 " ",
 ButtonBox["MapLevel",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
MapLevel"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/MapLevel"],
 " that somewhat clarifies what is going on with the ",
 ButtonBox["Normal",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Normal.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Normal.html"],
 " form of ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 ". Basically, instead of writing something like ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["Map",
     FontSize->14],
    BaseStyle->"FunctionHyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Map.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Map.html"], "[", 
   RowBox[{
    RowBox[{
     ButtonBox[
      StyleBox["Map",
       FontSize->14],
      BaseStyle->"FunctionHyperlink",
      ButtonData->{
        URL["https://reference.wolfram.com/language/ref/Map.html"], None},
      ButtonNote->"https://reference.wolfram.com/language/ref/Map.html"], "[",
      "f", "]"}], "\[ThickSpace]", 
    ButtonBox[
     StyleBox["/*",
      FontSize->14],
     BaseStyle->"FunctionHyperlink",
     ButtonData->{
       URL[
       "https://reference.wolfram.com/language/ref/RightComposition.html"], 
       None},
     ButtonNote->
      "https://reference.wolfram.com/language/ref/RightComposition.html"], 
    "\[ThickSpace]", "g"}], "]"}]], "InlineCode",ExpressionUUID->
  "ade8d908-35c2-470c-8b6a-d57c41f3ef13"],
 " in which there is a nested ",
 ButtonBox["Map",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Map.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Map.html"],
 ", one would write ",
 Cell[BoxData[
  RowBox[{
   RowBox[{
    ButtonBox[
     StyleBox["MapLevel",
      FontSize->14],
     BaseStyle->"FunctionHyperlink",
     ButtonData->{
       URL[
       "https://resources.wolframcloud.com/FunctionRepository/resources/\
MapLevel"], None},
     ButtonNote->
      "https://resources.wolframcloud.com/FunctionRepository/resources/\
MapLevel"], "[", 
    RowBox[{"f", ",", 
     RowBox[{"{", "2", "}"}]}], "]"}], 
   ButtonBox[
    StyleBox["/*",
     FontSize->14],
    BaseStyle->"FunctionHyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/RightComposition.html"],
       None},
    ButtonNote->
     "https://reference.wolfram.com/language/ref/RightComposition.html"], 
   "\[ThickSpace]", "g"}]],ExpressionUUID->
  "b428fdba-d07b-42c3-9058-bea45bc18445"],
 " with the ",
 Cell[BoxData[
  RowBox[{"{", "2", "}"}]], "InlineCode",ExpressionUUID->
  "93255175-8baf-4b23-b4ac-a3bc86a11d8e"],
 " as the second argument to ",
 ButtonBox["MapLevel",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
MapLevel"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/MapLevel"],
 " denoting that the function should be applied only at level ",
 Cell[BoxData[
  RowBox[{"{", "2", "}"}]], "InlineCode",ExpressionUUID->
  "7497e079-ef94-4cff-8e00-bf745b5b1d3a"],
 " of the expression. Perhaps in some future version of the Wolfram Language, \
",
 ButtonBox["MapLevel",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
MapLevel"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/MapLevel"],
 " will become integrated into the language and the presentation of the ",
 ButtonBox["Normal",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Normal.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Normal.html"],
 " form of a ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " will be simplified."
}], "TechNote",
 CellTags->"i:58",
 CellID->615605435,ExpressionUUID->"d6c4b222-d3e1-46dc-9b6a-cc156f9ea011"],

Cell["\<\
Other querying languages, such as dplyr from the R \
\[OpenCurlyDoubleQuote]tidyverse,\[CloseCurlyDoubleQuote] also produce a \
pipeline of operators.\
\>", "TechNote",
 CellChangeTimes->{{3.741546761753641*^9, 3.7415467651804857`*^9}, {
  3.742232210775807*^9, 3.7422322421311903`*^9}, {3.867859015420643*^9, 
  3.867859027500514*^9}},
 CellTags->{"LastCellOfAPage", "i:59"},
 CellID->1947269190,ExpressionUUID->"b09f313e-135d-4667-be0d-0279dfee45e4"],

Cell[TextData[{
 "One gets the sense that some very smart developers figured out a way to \
unify a bunch of Wolfram Language commands such that \
\[OpenCurlyDoubleQuote]legacy\[CloseCurlyDoubleQuote] functions such as ",
 ButtonBox["Part",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Part.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Part.html"],
 ", ",
 ButtonBox["Take",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Take.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Take.html"],
 ", and ",
 ButtonBox["Span",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Span.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Span.html"],
 " would just be special cases of a more general information extraction \
operation. At the moment, though, this superfunction ",
 Cell[BoxData[
 "GeneralUtilities`Slice"], "InlineCode",ExpressionUUID->
  "9e3b9588-2573-4c7e-85d0-d7112f35b14f"],
 " sits in an less convenient context, perhaps waiting its turn to become \
part of the ",
 Cell[BoxData[
 "System`"], "InlineCode",ExpressionUUID->
  "8199586b-14e8-4b2a-8de9-4dae9f3349a9"],
 " context, perhaps under a different name. "
}], "TechNote",
 CellChangeTimes->{{3.740406202474671*^9, 3.740406204770485*^9}, {
   3.7416102332355556`*^9, 3.74161023637438*^9}, {3.742232614643158*^9, 
   3.74223267799189*^9}, {3.7770410503276615`*^9, 3.7770410530809374`*^9}, {
   3.7772079317258034`*^9, 3.777207943134804*^9}, {3.785522939797167*^9, 
   3.78552293979745*^9}, {3.785522998411765*^9, 3.785522998412056*^9}, 
   3.787766323639772*^9, 3.787766428321926*^9, 3.787766577715609*^9, {
   3.858180638825885*^9, 3.858180646410424*^9}, 3.867859089480007*^9, {
   3.869321461388033*^9, 3.8693214638525677`*^9}, {3.869586862326836*^9, 
   3.86958686608377*^9}},
 CellTags->"p: 150",
 CellID->99834867,ExpressionUUID->"fcff3806-2b50-47f9-80ce-5952a7fb326a"],

Cell[TextData[{
 "Notice that when the argument to ",
 ButtonBox["Take",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Take.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Take.html"],
 " is not a number but something that needs to be computed, it is not a \
special case of ",
 Cell[BoxData[
 "GeneralUtilities`Slice"], "InlineCode",ExpressionUUID->
  "8b9ae609-3184-4f74-b333-c8c65dcf7243"],
 " and thus is no longer treated as a descending operator."
}], "TechNote",
 CellChangeTimes->{{3.739918109625298*^9, 3.73991817631639*^9}, {
  3.742232691894597*^9, 3.742232712442971*^9}, {3.7855229481111794`*^9, 
  3.7855229481112747`*^9}, {3.86958687526202*^9, 3.8695868791110563`*^9}},
 CellTags->"i:60",
 CellID->709262739,ExpressionUUID->"420af2c0-b1ee-4217-b46c-a45dc27891c8"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Normal", "[", 
  RowBox[{"Query", "[", 
   RowBox[{
    RowBox[{"Take", "[", 
     RowBox[{"UpTo", "[", "5", "]"}], "]"}], ",", "g"}], "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.739918142922374*^9, 3.7399181662775507`*^9}, {
  3.7399181985571012`*^9, 3.739918206354313*^9}},
 CellLabel->"In[512]:=",
 CellID->2044613523,ExpressionUUID->"c69466c2-b207-47bb-af34-208ffcfaea97"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Map", "[", "g", "]"}], "/*", 
  RowBox[{"UpTo", "[", "5", "]"}]}]], "Output",
 CellChangeTimes->{3.740414737303412*^9, 3.740424261796157*^9, 
  3.74049618059735*^9, 3.740500476108735*^9, 3.7417736759219847`*^9, 
  3.741775224717206*^9, 3.741787996144945*^9, 3.741876423106905*^9, 
  3.74187947976003*^9, 3.741956402771986*^9, 3.742122966660877*^9, 
  3.769956304039948*^9, 3.769959370854797*^9, 3.771923391917568*^9, 
  3.771930223933504*^9, 3.7719303687727757`*^9, 3.8814235994907837`*^9},
 CellLabel->"Out[512]=",
 CellID->2134480986,ExpressionUUID->"a21eecfc-2c14-4749-9f06-06b7da318e2d"]
}, Open  ]],

Cell[TextData[{
 "If one uses anonymous functions at lower levels, the ",
 ButtonBox["All",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/All.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/All.html"],
 " function or ",
 ButtonBox["Identity",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Identity.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Identity.html"],
 " function at a higher level does nothing and ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " just produces a mapping at a lower level. Whereas, if one creates a ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " in which the parts at the lower level are denoted via their keys, ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " produces an advanced form of ",
 Cell[BoxData[
 "GeneralUtilities`Slice"], "InlineCodeTechNote",ExpressionUUID->
  "062cc3a0-dd8e-4733-b9c2-138e8f2b2494"],
 "."
}], "TechNote",
 CellChangeTimes->{{3.740497515153927*^9, 3.7404975390444613`*^9}, {
   3.741614986452325*^9, 3.741614989231086*^9}, {3.742232798483468*^9, 
   3.742232807487134*^9}, {3.742232839942873*^9, 3.7422329662520723`*^9}, {
   3.77704957683746*^9, 3.777049577275504*^9}, {3.777208458606804*^9, 
   3.7772084619508038`*^9}, {3.7855230183378572`*^9, 3.785523018338263*^9}, 
   3.7877666909583063`*^9, 3.787766736476457*^9, 3.7877667971587763`*^9, {
   3.8581713272164707`*^9, 3.858171345824031*^9}, {3.858267443111738*^9, 
   3.858267443293324*^9}, {3.867859401294283*^9, 3.8678594169191055`*^9}, {
   3.869586887016236*^9, 3.869586891251892*^9}, {3.869665512775832*^9, 
   3.8696655147158966`*^9}},
 CellID->426243546,ExpressionUUID->"19df286f-9729-404f-af20-68c82ef88d77"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"Normal", "[", 
    RowBox[{"Query", "[", 
     RowBox[{"Identity", ",", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"#age", ",", "#sex"}], "}"}], "&"}]}], "]"}], "]"}], ",", 
   RowBox[{"Normal", "[", 
    RowBox[{"Query", "[", 
     RowBox[{"Identity", ",", 
      RowBox[{"{", 
       RowBox[{"\"\<age\>\"", ",", "\"\<sex\>\""}], "}"}]}], "]"}], "]"}]}], 
  "}"}]], "Input",
 CellChangeTimes->{{3.740497351866873*^9, 3.7404973599530373`*^9}, {
  3.740497409958674*^9, 3.740497484361693*^9}, {3.742232813069634*^9, 
  3.742232816947893*^9}, {3.742232903622263*^9, 3.7422329153084793`*^9}},
 CellLabel->"In[513]:=",
 CellID->2017314877,ExpressionUUID->"c36f32c1-93b0-486b-ae74-e26e020b563c"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"Map", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"#age", ",", "#sex"}], "}"}], "&"}], "]"}], ",", 
   RowBox[{"GeneralUtilities`Slice", "[", 
    RowBox[{"All", ",", 
     RowBox[{"{", 
      RowBox[{"\<\"age\"\>", ",", "\<\"sex\"\>"}], "}"}]}], "]"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.7404974851541653`*^9, 3.740500480302334*^9, 
  3.74177367763973*^9, 3.7417752269366407`*^9, 3.741787998396508*^9, 
  3.741876424479464*^9, 3.741879481128615*^9, 3.7419564049048023`*^9, 
  3.742122968729534*^9, 3.7422328174376507`*^9, 3.742232916121725*^9, 
  3.769956304081933*^9, 3.769959370888586*^9, 3.771923391929942*^9, 
  3.77193022396532*^9, 3.771930368783489*^9, 3.881423602238278*^9},
 CellLabel->"Out[513]=",
 CellID->312893107,ExpressionUUID->"ab67b6aa-27cd-4222-8d7e-298bf4f1e810"]
}, Open  ]],

Cell[TextData[{
 "There are two additional ways to perform multiple MapAts. The first is \
efficient but really obscure. One uses functional programming to construct \
the ",
 ButtonBox["RightComposition",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/RightComposition.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/RightComposition.html"],
 " of ",
 ButtonBox["MapAt",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/MapAt.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/MapAt.html"],
 " operators rather than writing it out directly."
}], "TechNote",
 CellChangeTimes->{{3.769464086714551*^9, 3.769464122230611*^9}, {
   3.7694661283129787`*^9, 3.769466224296159*^9}, 3.769516402367834*^9, {
   3.777208638436804*^9, 3.7772086430758038`*^9}, {3.785523036815765*^9, 
   3.7855230369750566`*^9}, {3.867859488005886*^9, 3.8678594905198975`*^9}, {
   3.896356508983987*^9, 3.896356509568218*^9}},
 CellTags->"i:61",
 CellID->113707605,ExpressionUUID->"59f300ff-4ae4-4f5e-b1c5-bfe0bb563113"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"RightComposition", "@@", 
  RowBox[{"MapThread", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"MapAt", "[", 
      RowBox[{"#1", ",", 
       RowBox[{"{", 
        RowBox[{"All", ",", "#2"}], "}"}]}], "]"}], "&"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"f", ",", "g", ",", "h"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"\"\<age\>\"", ",", "\"\<sex\>\"", ",", "\"\<survived\>\""}], 
       "}"}]}], "}"}]}], "]"}]}]], "Input",
 CellLabel->"In[514]:=",
 CellID->1113464633,ExpressionUUID->"23f34511-93e9-4b77-ac9a-f16f717970fa"],

Cell[BoxData[
 RowBox[{
  RowBox[{"MapAt", "[", 
   RowBox[{"f", ",", 
    RowBox[{"{", 
     RowBox[{"All", ",", "\<\"age\"\>"}], "}"}]}], "]"}], "/*", 
  RowBox[{"MapAt", "[", 
   RowBox[{"g", ",", 
    RowBox[{"{", 
     RowBox[{"All", ",", "\<\"sex\"\>"}], "}"}]}], "]"}], "/*", 
  RowBox[{"MapAt", "[", 
   RowBox[{"h", ",", 
    RowBox[{"{", 
     RowBox[{"All", ",", "\<\"survived\"\>"}], "}"}]}], "]"}]}]], "Output",
 CellChangeTimes->{3.769956304093565*^9, 3.769959370901095*^9, 
  3.77192339196812*^9, 3.771930224002242*^9, 3.771930368819096*^9, 
  3.881423605954471*^9},
 CellLabel->"Out[514]=",
 CellID->1991447499,ExpressionUUID->"a309516a-1c77-421f-a184-ce2ec91553d5"]
}, Open  ]],

Cell[TextData[{
 "The second way is to use the ",
 ButtonBox["ResourceFunction",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ResourceFunction.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/ResourceFunction.html"],
 " ",
 ButtonBox["MapAtKey",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
MapAtKey"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/MapAtKey"],
 ". It has a more pleasing syntax. I show it here, applying three different \
functions to three different columns in ",
 Cell[BoxData[
  RowBox[{"dinghy", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]], 
  "InlineCode",ExpressionUUID->"216a8a4b-375d-4fd8-a737-c2f20cff8547"],
 "."
}], "TechNote",
 CellDingbat->None,
 CellTags->"i:62",
 CellID->1733309284,ExpressionUUID->"09aeb13f-b939-44ae-a930-6bc949c98c46"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  InterpretationBox[
   TagBox[
    DynamicModuleBox[{Typeset`open = False}, 
     FrameBox[
      PaneSelectorBox[{False->GridBox[{
         {
          PaneBox[GridBox[{
             {
              StyleBox[
               StyleBox[
                AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                 BoxBaselineShift->-0.25,
                 BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                
                FontColor->RGBColor[
                 0.8745098039215686, 0.2784313725490196, 0.03137254901960784]],
               ShowStringCharacters->False,
               FontFamily->"Source Sans Pro Black",
               FontSize->0.6538461538461539 Inherited,
               FontWeight->"Heavy",
               PrivateFontOptions->{"OperatorSubstitution"->False}], 
              StyleBox[
               RowBox[{
                StyleBox["MapAtKey", "ResourceFunctionLabel"], " "}],
               ShowAutoStyles->False,
               ShowStringCharacters->False,
               FontSize->Rational[12, 13] Inherited,
               FontColor->GrayLevel[0.1]]}
            },
            GridBoxSpacings->{"Columns" -> {{0.25}}}],
           Alignment->Left,
           BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
           BaselinePosition->Baseline,
           FrameMargins->{{3, 0}, {0, 0}}], 
          ItemBox[
           PaneBox[
            TogglerBox[Dynamic[Typeset`open], {True->
             
             DynamicBox[FEPrivate`FrontEndResource[
              "FEBitmaps", "IconizeCloser"],
              ImageSizeCache->{11., {2., 9.}}], False->
             
             DynamicBox[FEPrivate`FrontEndResource[
              "FEBitmaps", "IconizeOpener"],
              ImageSizeCache->{11., {2., 9.}}]},
             Appearance->None,
             BaselinePosition->Baseline,
             ContentPadding->False,
             FrameMargins->0],
            Alignment->Left,
            BaselinePosition->Baseline,
            FrameMargins->{{1, 1}, {0, 0}}],
           Frame->{{
              RGBColor[
              0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
               0.5], False}, {False, False}}]}
        },
        BaselinePosition->{1, 1},
        GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
        GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
        GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
       GridBox[{
         {GridBox[{
            {
             PaneBox[GridBox[{
                {
                 StyleBox[
                  StyleBox[
                   AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                   
                   FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                  ShowStringCharacters->False,
                  FontFamily->"Source Sans Pro Black",
                  FontSize->0.6538461538461539 Inherited,
                  FontWeight->"Heavy",
                  PrivateFontOptions->{"OperatorSubstitution"->False}], 
                 StyleBox[
                  RowBox[{
                   StyleBox["MapAtKey", "ResourceFunctionLabel"], " "}],
                  ShowAutoStyles->False,
                  ShowStringCharacters->False,
                  FontSize->Rational[12, 13] Inherited,
                  FontColor->GrayLevel[0.1]]}
               },
               GridBoxSpacings->{"Columns" -> {{0.25}}}],
              Alignment->Left,
              BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
              BaselinePosition->Baseline,
              FrameMargins->{{3, 0}, {0, 0}}], 
             ItemBox[
              PaneBox[
               TogglerBox[Dynamic[Typeset`open], {True->
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "IconizeCloser"]], False->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "IconizeOpener"]]},
                Appearance->None,
                BaselinePosition->Baseline,
                ContentPadding->False,
                FrameMargins->0],
               Alignment->Left,
               BaselinePosition->Baseline,
               FrameMargins->{{1, 1}, {0, 0}}],
              Frame->{{
                 RGBColor[
                 0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                  0.5], False}, {False, False}}]}
           },
           BaselinePosition->{1, 1},
           GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
           
           GridBoxItemSize->{
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
           GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
         {
          StyleBox[
           PaneBox[GridBox[{
              {
               RowBox[{
                TagBox["\<\"Version (latest): \"\>",
                 "IconizedLabel"], " ", 
                TagBox["\<\"1.0.0\"\>",
                 "IconizedItem"]}]},
              {
               TagBox[
                
                TemplateBox[{
                 "\"Documentation \[RightGuillemet]\"", 
                  "https://resources.wolframcloud.com/FunctionRepository/\
resources/3d4313c6-a2fc-43b3-8eae-a8c8710a63c6/"},
                 "HyperlinkURL"],
                "IconizedItem"]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
            Alignment->Left,
            BaselinePosition->Baseline,
            FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
           FontFamily->"Roboto",
           FontSize->11]}
        },
        BaselinePosition->{1, 1},
        GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
        GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
             GrayLevel[0.8]}, False}},
        GridBoxItemSize->{
         "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
       Typeset`open],
       BaselinePosition->Baseline,
       ImageSize->Automatic],
      Background->RGBColor[
       0.9686274509803922, 0.9764705882352941, 0.984313725490196],
      BaselinePosition->Baseline,
      DefaultBaseStyle->{},
      FrameMargins->{{0, 0}, {1, 0}},
      FrameStyle->RGBColor[
       0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
      RoundingRadius->4]],
    {"FunctionResourceBox", 
     RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
     "MapAtKey"},
    TagBoxNote->"FunctionResourceBox"],
   ResourceFunction[
    ResourceObject[<|
     "Name" -> "MapAtKey", "ShortName" -> "MapAtKey", "UUID" -> 
      "3d4313c6-a2fc-43b3-8eae-a8c8710a63c6", "ResourceType" -> "Function", 
      "Version" -> "1.0.0", "Description" -> 
      "Apply functions to specific keys in an association", 
      "RepositoryLocation" -> 
      URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
      "SymbolName" -> 
      "FunctionRepository`$5312b39560ba48f6a984bd7c8146f70f`MapAtKey", 
      "FunctionLocation" -> 
      CloudObject[
       "https://www.wolframcloud.com/objects/9a5416bf-33da-4e56-a0a0-\
498bdc86445e"]|>, {
     ResourceSystemBase -> 
      "https://www.wolframcloud.com/obj/resourcesystem/api/1.0"}]],
   Selectable->False], "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"\"\<age\>\"", "\[Rule]", "f"}], ",", 
     RowBox[{"\"\<sex\>\"", "\[Rule]", "g"}], ",", 
     RowBox[{"\"\<survived\>\"", "\[Rule]", "h"}]}], "}"}], ",", 
   RowBox[{"dinghy", "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7694641372437057`*^9, 3.769464226095882*^9}, {
   3.769464270444236*^9, 3.769464277091097*^9}, {3.769466255222457*^9, 
   3.7694663585970716`*^9}, 3.7699562179188137`*^9, 3.88116537785599*^9},
 CellLabel->"In[515]:=",
 CellID->2004055980,ExpressionUUID->"a7edb1ee-0094-4689-b351-69dbb23b3105"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
   RowBox[{"\<\"age\"\>", "\[Rule]", 
    RowBox[{"f", "[", "16", "]"}]}], ",", 
   RowBox[{"\<\"sex\"\>", "\[Rule]", 
    RowBox[{"g", "[", "\<\"female\"\>", "]"}]}], ",", 
   RowBox[{"\<\"survived\"\>", "\[Rule]", 
    RowBox[{"h", "[", "True", "]"}]}]}], "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{{3.769464216921445*^9, 3.76946422683848*^9}, {
   3.7694642708936872`*^9, 3.7694642941749697`*^9}, {3.7694662653866873`*^9, 
   3.769466282884239*^9}, 3.7694663169211893`*^9, 3.769466359246861*^9, 
   3.76995630453491*^9, 3.769958820809018*^9, 3.769959370937229*^9, 
   3.771923392010047*^9, 3.7719302240518093`*^9, 3.771930368832398*^9, 
   3.8814236098659163`*^9},
 CellLabel->"Out[515]=",
 CellID->249941564,ExpressionUUID->"c85bb654-a18c-4478-9652-4e4be7927462"]
}, Open  ]],

Cell[TextData[{
 "However, there are several limitations of ",
 ButtonBox["MapAtKey",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
MapAtKey"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/MapAtKey"],
 ". First, the part specification does not accept ",
 ButtonBox["All",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/All.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/All.html"],
 ". Thus, if I want to perform this set of operations on all rows of ",
 Cell[BoxData[
 "dinghy"], "InlineCode",ExpressionUUID->
  "1a816f61-68e3-4a84-9ef3-d126ff62e26d"],
 ", I have to ",
 ButtonBox["Map",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Map.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Map.html"],
 " the ",
 ButtonBox["MapAtKey",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
MapAtKey"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/MapAtKey"],
 " function."
}], "TechNote",
 CellChangeTimes->{{3.769466362112796*^9, 3.7694664555400763`*^9}, 
   3.769956218683234*^9, {3.7772092243368034`*^9, 3.777209247311804*^9}, {
   3.785523100413793*^9, 3.7855231153363237`*^9}, {3.785523444758108*^9, 
   3.7855234460776253`*^9}, {3.8581714466700706`*^9, 3.8581714534330473`*^9}, 
   3.8582675432768383`*^9, 3.8673174902867355`*^9, {3.8678600247851734`*^9, 
   3.867860046816512*^9}, {3.86966859246638*^9, 3.869668631104542*^9}, {
   3.898082301112131*^9, 3.8980823477726517`*^9}, 3.898082381731764*^9},
 CellTags->"i:63",
 CellID->2008157589,ExpressionUUID->"e4381fad-f8e1-4983-ac11-3bc8550a0ab2"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Map", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     InterpretationBox[
      TagBox[
       DynamicModuleBox[{Typeset`open = False}, 
        FrameBox[
         PaneSelectorBox[{False->GridBox[{
            {
             PaneBox[GridBox[{
                {
                 StyleBox[
                  StyleBox[
                   AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                   
                   FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                  ShowStringCharacters->False,
                  FontFamily->"Source Sans Pro Black",
                  FontSize->0.6538461538461539 Inherited,
                  FontWeight->"Heavy",
                  PrivateFontOptions->{"OperatorSubstitution"->False}], 
                 StyleBox[
                  RowBox[{
                   StyleBox["MapAtKey", "ResourceFunctionLabel"], " "}],
                  ShowAutoStyles->False,
                  ShowStringCharacters->False,
                  FontSize->Rational[12, 13] Inherited,
                  FontColor->GrayLevel[0.1]]}
               },
               GridBoxSpacings->{"Columns" -> {{0.25}}}],
              Alignment->Left,
              BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
              BaselinePosition->Baseline,
              FrameMargins->{{3, 0}, {0, 0}}], 
             ItemBox[
              PaneBox[
               TogglerBox[Dynamic[Typeset`open], {True->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "IconizeCloser"],
                 ImageSizeCache->{11., {2., 9.}}], False->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "IconizeOpener"],
                 ImageSizeCache->{11., {2., 9.}}]},
                Appearance->None,
                BaselinePosition->Baseline,
                ContentPadding->False,
                FrameMargins->0],
               Alignment->Left,
               BaselinePosition->Baseline,
               FrameMargins->{{1, 1}, {0, 0}}],
              Frame->{{
                 RGBColor[
                 0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                  0.5], False}, {False, False}}]}
           },
           BaselinePosition->{1, 1},
           GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
           
           GridBoxItemSize->{
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
           GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
          GridBox[{
            {GridBox[{
               {
                PaneBox[GridBox[{
                   {
                    StyleBox[
                    StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                    ShowStringCharacters->False,
                    FontFamily->"Source Sans Pro Black",
                    FontSize->0.6538461538461539 Inherited,
                    FontWeight->"Heavy",
                    PrivateFontOptions->{"OperatorSubstitution"->False}], 
                    StyleBox[
                    RowBox[{
                    StyleBox["MapAtKey", "ResourceFunctionLabel"], " "}],
                    ShowAutoStyles->False,
                    ShowStringCharacters->False,
                    FontSize->Rational[12, 13] Inherited,
                    FontColor->GrayLevel[0.1]]}
                  },
                  GridBoxSpacings->{"Columns" -> {{0.25}}}],
                 Alignment->Left,
                 BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
                 BaselinePosition->Baseline,
                 FrameMargins->{{3, 0}, {0, 0}}], 
                ItemBox[
                 PaneBox[
                  TogglerBox[Dynamic[Typeset`open], {True->
                   
                   DynamicBox[FEPrivate`FrontEndResource[
                    "FEBitmaps", "IconizeCloser"]], False->
                   
                   DynamicBox[FEPrivate`FrontEndResource[
                    "FEBitmaps", "IconizeOpener"]]},
                   Appearance->None,
                   BaselinePosition->Baseline,
                   ContentPadding->False,
                   FrameMargins->0],
                  Alignment->Left,
                  BaselinePosition->Baseline,
                  FrameMargins->{{1, 1}, {0, 0}}],
                 Frame->{{
                    RGBColor[
                    0.8313725490196079, 0.8470588235294118, 
                    0.8509803921568627, 0.5], False}, {False, False}}]}
              },
              BaselinePosition->{1, 1},
              
              GridBoxAlignment->{
               "Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
              GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
            {
             StyleBox[
              PaneBox[GridBox[{
                 {
                  RowBox[{
                   TagBox["\<\"Version (latest): \"\>",
                    "IconizedLabel"], " ", 
                   TagBox["\<\"1.0.0\"\>",
                    "IconizedItem"]}]},
                 {
                  TagBox[
                   
                   TemplateBox[{
                    "\"Documentation \[RightGuillemet]\"", 
                    "https://resources.wolframcloud.com/FunctionRepository/\
resources/3d4313c6-a2fc-43b3-8eae-a8c8710a63c6/"},
                    "HyperlinkURL"],
                   "IconizedItem"]}
                },
                DefaultBaseStyle->"Column",
                GridBoxAlignment->{"Columns" -> {{Left}}},
                
                GridBoxItemSize->{
                 "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
               Alignment->Left,
               BaselinePosition->Baseline,
               FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
              FontFamily->"Roboto",
              FontSize->11]}
           },
           BaselinePosition->{1, 1},
           GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
           GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
                GrayLevel[0.8]}, False}},
           
           GridBoxItemSize->{
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
          Typeset`open],
          BaselinePosition->Baseline,
          ImageSize->Automatic],
         Background->RGBColor[
          0.9686274509803922, 0.9764705882352941, 0.984313725490196],
         BaselinePosition->Baseline,
         DefaultBaseStyle->{},
         FrameMargins->{{0, 0}, {1, 0}},
         FrameStyle->RGBColor[
          0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
         RoundingRadius->4]],
       {"FunctionResourceBox", 
        RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784],
         "MapAtKey"},
       TagBoxNote->"FunctionResourceBox"],
      ResourceFunction[
       ResourceObject[<|
        "Name" -> "MapAtKey", "ShortName" -> "MapAtKey", "UUID" -> 
         "3d4313c6-a2fc-43b3-8eae-a8c8710a63c6", "ResourceType" -> "Function",
          "Version" -> "1.0.0", "Description" -> 
         "Apply functions to specific keys in an association", 
         "RepositoryLocation" -> 
         URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
         "SymbolName" -> 
         "FunctionRepository`$5312b39560ba48f6a984bd7c8146f70f`MapAtKey", 
         "FunctionLocation" -> 
         CloudObject[
          "https://www.wolframcloud.com/objects/9a5416bf-33da-4e56-a0a0-\
498bdc86445e"]|>, {
        ResourceSystemBase -> 
         "https://www.wolframcloud.com/obj/resourcesystem/api/1.0"}]],
      Selectable->False], "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"\"\<age\>\"", "\[Rule]", "f"}], ",", 
        RowBox[{"\"\<sex\>\"", "\[Rule]", "g"}], ",", 
        RowBox[{"\"\<survived\>\"", "\[Rule]", "h"}]}], "}"}], ",", "#"}], 
     "]"}], "&"}], ",", "dinghy"}], "]"}]], "Input",
 CellChangeTimes->{{3.769466407968055*^9, 3.769466430329644*^9}, 
   3.7699562193431883`*^9, 3.8811653812302837`*^9},
 CellLabel->"In[516]:=",
 CellID->814721065,ExpressionUUID->"38349c20-23c4-48d6-b436-039107c7818b"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", 
      RowBox[{"f", "[", "16", "]"}]}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", 
      RowBox[{"g", "[", "\<\"female\"\>", "]"}]}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", 
      RowBox[{"h", "[", "True", "]"}]}]}], "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"1st\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", 
      RowBox[{"f", "[", "65", "]"}]}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", 
      RowBox[{"g", "[", "\<\"male\"\>", "]"}]}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", 
      RowBox[{"h", "[", "False", "]"}]}]}], "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", 
      RowBox[{"f", "[", "2", "]"}]}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", 
      RowBox[{"g", "[", "\<\"female\"\>", "]"}]}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", 
      RowBox[{"h", "[", "False", "]"}]}]}], "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", 
      RowBox[{"f", "[", 
       RowBox[{"Missing", "[", "]"}], "]"}]}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", 
      RowBox[{"g", "[", "\<\"female\"\>", "]"}]}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", 
      RowBox[{"h", "[", "True", "]"}]}]}], "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", 
      RowBox[{"f", "[", "18", "]"}]}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", 
      RowBox[{"g", "[", "\<\"female\"\>", "]"}]}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", 
      RowBox[{"h", "[", "False", "]"}]}]}], "\[RightAssociation]"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.769466430846427*^9, 3.7699563045446243`*^9, 
  3.769958823710272*^9, 3.7699593709767113`*^9, 3.77192339205411*^9, 
  3.771930224088852*^9, 3.7719303688661823`*^9, 3.881423612420939*^9},
 CellLabel->"Out[516]=",
 CellID->2139216947,ExpressionUUID->"b32cffaf-9437-4120-a4f9-c3b5b05f2707"]
}, Open  ]],

Cell[TextData[{
 "Second, at present, there is no built-in operator form. I would like to be \
able to write ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["Map",
     FontSize->14],
    BaseStyle->"FunctionHyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Map.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Map.html"], "[", 
   RowBox[{
    RowBox[{
     ButtonBox[
      StyleBox["MapAtKey",
       FontSize->14],
      BaseStyle->"FunctionHyperlink",
      ButtonData->{
        URL[
        "https://resources.wolframcloud.com/FunctionRepository/resources/\
MapAtKey"], None},
      ButtonNote->
       "https://resources.wolframcloud.com/FunctionRepository/resources/\
MapAtKey"], "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"\"\<age\>\"", 
        ButtonBox["\[Rule]",
         BaseStyle->"FunctionHyperlink",
         ButtonData->{
           URL["https://reference.wolfram.com/language/ref/Rule.html"], None},
         ButtonNote->"https://reference.wolfram.com/language/ref/Rule.html"], 
        "f"}], ",", " ", 
       RowBox[{"\"\<sex\>\"", 
        ButtonBox["\[Rule]",
         BaseStyle->"FunctionHyperlink",
         ButtonData->{
           URL["https://reference.wolfram.com/language/ref/Rule.html"], None},
         ButtonNote->"https://reference.wolfram.com/language/ref/Rule.html"], 
        "g"}], ",", " ", 
       RowBox[{"\"\<survived\>\"", 
        ButtonBox["\[Rule]",
         BaseStyle->"FunctionHyperlink",
         ButtonData->{
           URL["https://reference.wolfram.com/language/ref/Rule.html"], None},
         ButtonNote->"https://reference.wolfram.com/language/ref/Rule.html"], 
        "h"}]}], "}"}], "]"}], ",", " ", "dinghy"}], "]"}]], "InlineCode",
  ExpressionUUID->"5a3f4b12-87c8-4eb9-a4e2-913cdc6829c4"],
 ", but that does not work, and third, ",
 ButtonBox["MapAtKey",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
MapAtKey"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/MapAtKey"],
 " works only on Associations. Unlike ",
 ButtonBox["MapAt",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/MapAt.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/MapAt.html"],
 ", it does not work on expressions without keys."
}], "TechNote",
 CellDingbat->None,
 CellChangeTimes->{{3.769466457244347*^9, 3.769466506302619*^9}, {
   3.7694665398750668`*^9, 3.769466562228448*^9}, 3.769956220012701*^9, {
   3.7772094289988036`*^9, 3.7772094292218037`*^9}, {3.7772094992118034`*^9, 
   3.7772095273078036`*^9}, {3.785523489871088*^9, 3.785523517804433*^9}, {
   3.78552354883678*^9, 3.7855236050179234`*^9}, {3.85817150645315*^9, 
   3.858171513037879*^9}, {3.8678603712644014`*^9, 3.867860386623108*^9}, {
   3.8696686364143543`*^9, 3.8696686472300844`*^9}, {3.8850496679968085`*^9, 
   3.885049705211796*^9}, {3.8977394027798557`*^9, 3.897739406963297*^9}, {
   3.898082171672102*^9, 3.898082175497261*^9}, {3.8980822663378572`*^9, 
   3.8980822805337467`*^9}, {3.898082393481266*^9, 3.898082393984715*^9}},
 CellTags->"LastCellOfAPage",
 CellID->1070089599,ExpressionUUID->"a8dfa03b-a9f6-4381-9dff-1a3a6c393a27"],

Cell[TextData[{
 "At present, the best way to do multiple transformations of the values of an \
",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " is to use the Part Specification-Rule notation described previously."
}], "TechNote",
 CellChangeTimes->{{3.769466515192217*^9, 3.769466525419631*^9}, {
   3.76946656414552*^9, 3.769466584278099*^9}, {3.7772095408788033`*^9, 
   3.777209562870804*^9}, {3.85817152814438*^9, 3.858171534838641*^9}, 
   3.8582675822921963`*^9, {3.865594134010446*^9, 3.865594146135062*^9}},
 CellTags->"p: 151",
 CellID->1628225788,ExpressionUUID->"5d4928f7-88aa-4178-9ea4-dadfe4f64781"],

Cell[TextData[{
 "Advanced or particularly curious users may want to perform ",
 ButtonBox["Trace",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Trace.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Trace.html"],
 " on a ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 ". This should be done with some care as the output can be gargantuan, but \
here\[CloseCurlyQuote]s an example that shows the last components of ",
 ButtonBox["Trace",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Trace.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Trace.html"],
 ". If one omits the ",
 ButtonBox["Part",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Part.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Part.html"],
 " specifications in this code, the output is very large but shows the very \
elaborate process by which the kernel compiles the ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " and then, with the various options in mind, evaluates it."
}], "TechNote",
 CellChangeTimes->{{3.769509159651711*^9, 3.769509167905822*^9}, {
   3.769513399511207*^9, 3.769513444246043*^9}, {3.769513480658761*^9, 
   3.7695135729438467`*^9}, {3.777209570521804*^9, 3.7772095974993286`*^9}, 
   3.7877671363167152`*^9, 3.787767177493944*^9, {3.858171543917364*^9, 
   3.858171553975518*^9}, {3.858267603114119*^9, 3.8582676227155247`*^9}, {
   3.867933575073292*^9, 3.867933576883523*^9}},
 CellTags->"i:64",
 CellID->590312565,ExpressionUUID->"a857a114-b6bb-4dd1-a0f6-f54a8883e328"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Trace", "[", 
   RowBox[{
    RowBox[{"Query", "[", 
     RowBox[{"f", ",", "g"}], "]"}], "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"3", ",", "4"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"5", ",", "6"}], "}"}]}], "}"}], "]"}], "]"}], "[", 
  RowBox[{"[", 
   RowBox[{
    RowBox[{"-", "2"}], ",", 
    RowBox[{"-", "2"}], ",", "2", ",", "2"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.769513456489108*^9, 3.769513459651573*^9}},
 CellLabel->"In[517]:=",
 CellID->242385990,ExpressionUUID->"0041d12b-87df-45fc-80e1-5ad11720155c"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   TagBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"Map", "[", "g", "]"}], "/*", "f"}], ")"}], "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"3", ",", "4"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"5", ",", "6"}], "}"}]}], "}"}], "]"}],
    HoldForm], ",", 
   TagBox[
    RowBox[{"f", "[", 
     RowBox[{
      RowBox[{"Map", "[", "g", "]"}], "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"3", ",", "4"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"5", ",", "6"}], "}"}]}], "}"}], "]"}], "]"}],
    HoldForm], ",", 
   RowBox[{"{", 
    RowBox[{
     TagBox[
      RowBox[{
       RowBox[{"Map", "[", "g", "]"}], "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"3", ",", "4"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"5", ",", "6"}], "}"}]}], "}"}], "]"}],
      HoldForm], ",", 
     TagBox[
      RowBox[{"{", 
       RowBox[{
        RowBox[{"g", "[", 
         RowBox[{"{", 
          RowBox[{"3", ",", "4"}], "}"}], "]"}], ",", 
        RowBox[{"g", "[", 
         RowBox[{"{", 
          RowBox[{"5", ",", "6"}], "}"}], "]"}]}], "}"}],
      HoldForm]}], "}"}], ",", 
   TagBox[
    RowBox[{"f", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"g", "[", 
        RowBox[{"{", 
         RowBox[{"3", ",", "4"}], "}"}], "]"}], ",", 
       RowBox[{"g", "[", 
        RowBox[{"{", 
         RowBox[{"5", ",", "6"}], "}"}], "]"}]}], "}"}], "]"}],
    HoldForm]}], "}"}]], "Output",
 CellChangeTimes->{3.7695134600751553`*^9, 3.769956304589552*^9, 
  3.769958828114085*^9, 3.769959370987228*^9, 3.77192339206568*^9, 
  3.7719302241012506`*^9, 3.771930368876396*^9, 3.881423642659398*^9},
 CellLabel->"Out[517]=",
 CellID->811522514,ExpressionUUID->"f502557b-4e93-48e8-97f4-db5338c0f6ce"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["References", "MoreExploreSection",
 CellChangeTimes->{{3.7174354541595182`*^9, 3.7174354594968233`*^9}},
 CellID->11208885,ExpressionUUID->"9c760dde-e939-4cc2-9678-affe50b4c736"],

Cell[TextData[{
 "H. Wickham and G. Grolemun, ",
 StyleBox["R for Data Science",
  FontSlant->"Italic"],
 ", Boston: O\[CloseCurlyQuote]Reilly, 2017. ",
 ButtonBox["r4ds.had.co.nz",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://r4ds.had.co.nz/"], None},
  ButtonNote->"https://r4ds.had.co.nz/"],
 "."
}], "Reference",
 CellDingbat->None,
 CellChangeTimes->{{3.7385995432110577`*^9, 3.738599549834622*^9}, {
   3.858267688556569*^9, 3.8582677315431004`*^9}, 3.86553225849664*^9, 
   3.867917263398105*^9, 3.8679418546103516`*^9, {3.8679418851238494`*^9, 
   3.86794189517076*^9}, {3.8679419390144205`*^9, 3.8679419715997276`*^9}, {
   3.8679420271657495`*^9, 3.867942030881364*^9}, {3.8696655852851906`*^9, 
   3.869665609140625*^9}, {3.898082639102002*^9, 3.898082640846137*^9}},
 CellTags->"LastCellOfAPage",
 CellID->1724086279,ExpressionUUID->"f927b576-fde0-4062-be0d-74270f893dc3"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowToolbars->{},
WindowSize->{808, 911},
WindowMargins->{{4, Automatic}, {Automatic, 4}},
WindowPersistentStyles->{
 WindowFrame, WindowMargins, WindowSize, Magnification},
WindowTitle->"4 | Query",
DockedCells->{
  Cell[
   TagBox[
    GridBox[{{
       PaneBox[
        TagBox[
         GridBox[{{
            TemplateBox[{
              StyleBox[
               GraphicsBox[
                TagBox[
                 RasterBox[CompressedData["
1:eJztnU2O5MqSnS9aGvQwlxDaQQ01pIaaFVrQnN3Q64YmT4lXAgTNuISaacol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                  "], {{0, 36.24}, {302.88, 0}}, {0, 255}, ColorFunction -> 
                  RGBColor, ImageResolution -> {300, 300}], 
                 BoxForm`ImageTag[
                 "Byte", ColorSpace -> "RGB", Interleaving -> True], 
                 Selectable -> False], DefaultBaseStyle -> "ImageGraphics", 
                ImageSizeRaw -> {302.88, 36.24}, 
                PlotRange -> {{0, 302.88}, {0, 36.24}}, 
                ImagePadding -> {{0, 10}, {1, -10}}, ImageSize -> 
                Magnification[0.7]]], 
              TemplateBox[{
                GraphicsBox[
                 TagBox[
                  RasterBox[CompressedData["
1:eJztnUuu7Dhyhhu2Bx6eJcg7uEMP5aFniTY8VzfcbnhSPqgyYHimJZwlaAln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                   "], {{0, 26.88}, {230.4, 0}}, {0, 255}, ColorFunction -> 
                   RGBColor, ImageResolution -> {300, 300}], 
                  BoxForm`ImageTag[
                  "Byte", ColorSpace -> "RGB", Interleaving -> True], 
                  Selectable -> False], DefaultBaseStyle -> "ImageGraphics", 
                 ImageSizeRaw -> {230.4, 26.88}, 
                 PlotRange -> {{0, 230.4}, {0, 26.88}}, 
                 ImagePadding -> {{2, 0}, {1, -10}}, ImageSize -> 
                 Magnification[0.7]], 
                "https://www.youtube.com/sethjchandler"}, "HyperlinkURL"]}, 
             "RowDefault"], "\[SpanFromLeft]"}, {
            GraphicsBox[
             TagBox[
              RasterBox[CompressedData["
1:eJztXQe4LEWVZkUBCYKSFIQ3BCXDImKGeQRRgoBECXKJkhQkSJYBERAQxEAU
GJIuIjmJgs6TICy6SpCVFXQepkVREVB2VbS2/6+n9/WtV+fUqa7qmZ57z/m+
f1nfrapzqqeruv6qU+essPeh233kFfPMM88RC2T/Z7u9jt7o8MP3Onb7xbL/
seMhRxy4/yH77bv5IUfut/9+h79j73mzf9w9w5PZ//PK7L/GmGFhwQwrZ1gv
Q7uEt2VYNcNiQ7RFoVAoFAqFQqFQKBSKccPSGXbO8PkM383wOyOTP2V4KMPF
GfbKMKMBfVEoFArF1AC+Kz8zuczOcEiGf2mAXQqFYjhYM8NdGf6e4c8Zrsyw
RAPsUigUCh8wV308wwMZ/mnSySMZjsnwhiH3ZwEz+fw9FDNqsmvZSLsWHoHO
YeLdgX175RBsek+GtTMsk+FVgfZVwZsT2Fy3n8n6kfa9egjPUTG1cLBxy4kN
sE0Rjtdn+HSGhzP87+C3fNHka4ZLMuxodJ5QTMaMDM+ZuQXv0PwNsK/JwB4F
zsGwV/ny4Ln9PsP3MpyTYaMMr2iAnQrFVMSKGb6c4X9MvfLXDN0MKw2pX61I
ezs12XVopF3/OgKdwxR8R0P6ttiQ7cM36ukM38pwpsnXg0sH2uzDjgnsPC6x
TWUsleFvEbb91EyvbzrOXcEr1jD5+MUcqBwiDPNmeNa45aUMizTARoUcm2X4
o+vHtARl1miAvYpm4EuGlj0aYF9TcZjJ/QB8gm+z7lkoFOnwmgxnm5wDD1Mw
3s8d6K+zf61IOzs12aVcm5emc22XwA/k+xmOzrCciX9HcFb/i0ibnkhgB4VD
Im07pEbbmgLEtTjN5GcGfyGew88zfDXD7qaav8p0wvLEMyykyrw4lXF1hhsd
2LkBtq1u6DFhC/ZX5muAzYpm4D5Dy9kNsK+J2J15Zrbc0QB7FcZsZdzztw+X
mtzPa1uj9yqagJkmP5sbpUD/Bqa+PrYi7evUZJdybV7GkWuXBefe15k8ZmDM
e3J0AlvWj7SBwg8ibHre1L/PNkp8sOLzecHka8UlG9AHH94w6OcZpvp7Pt+g
LuamYwXlcW7Nncuk2OOaSnD52UI6DbDtDsI2l5zTAHsV9QHxdnfLcJ7J/aV8
5a83tBzVgP40DbhLKY23BNm+ATYr0qzZ/5HhHpPHOBk3XwWcN+G8AvfGTm6A
PaGALyPuThd3NUYtsAO+LXX0tRVpW6cmu5Rr8zLuXLsQnHVfm+GNptp78joj
P/uh5EsVdXNYLdKmc2uwqQkA17s78tlA4DO7TwP6YwPf66+Y/Cy+LNsEtIHz
TPDz+83kO0s9Yf3LiWd2awOeT9PQVK6NmBf/IGxzyZojtleRFthjAyfGGdwz
ZrK0BPXfZ9yCe/5Vv7VTGdsTz8sl6kPSHKRes//S5P4NTY4jirt18AWcZSav
fX/UANtCgPtul/p+kBEJ4p2nfgdakTZ1EtuTagwp156MpnLtQnCOW/Ue2YWR
uvHtTB3L7bQIe7DGXjmxPU3Ahhn+EPFcXHJGA/pVRp+wM4RrU/NQT1gf/hC3
OeqOgy/AsNFUrr0DYRcEa6o9Tb4mxNx3dwOeoyItuO91S9gG7iCV9+p+m2Hj
BvStiTiXed7wEcCdkv0z3GDy+DOjtleRo641+80ZXtuA/rkwQdg8TlwbPPtq
8uk3Q1KfwbUi7ekktifVGFKuPRlN59qFYO0Iv5iQvuEcMDYnwNaBOjkgnlnM
PfJbEtrSFOCcJXXMC/j8rdqAvpXRJ2wdJtcusNZA77oNeC5NRVO5NnU3BvHt
dM9k6iMF1wbwrmyZYVOjcSY53EI8a9xzavIZ53RHnWv2n5g8N9Go+2hjgrB3
nLj2F5jn3iQ53qTrcyvSlk5CW1KOIeXakzEuXBuCPcVQH61vRuq8NlAfh5mR
trw3oS1NAPxbXxT2Hf6SuDt1U4Z7M/yaKId8sbF3/etAn7B3FFxb4UdTuXaH
sGtWA56Zon6k4toKGXrEsz6tAbYpaHBr9j4BKk+HS8C3m3a+PUHYOi5c+wD2
iTdLcIaX6hyuFWlLJ5EdIWNIIsq1J2OcuDYE3DdkP3nzSH3IW5sq1/ZlEXb8
2EytfXTEnPlPT5+RFw3+DOsQbbzJ5L7ixd0knI9vlsg+/OZtk8cdmsiw08CO
eSu21yf6OO5cG88Dc+rOg+e0a4b3ZFgwsl34gGAvZvtBu7sN2l1oSP2qi2sj
v+H7Bn0C8L0OyePZIey6MUGfkb90i5JtiMWLfGFV33kp8K682+TvzmoV22gN
7J0YtPNOk88xEt24w/Lh0u+R4p6OPS4+ZPJYRbF3kprGtXG+hzl3j0E/ccdh
3QT99AHvyXYDnfjtNjF5jJbUenrEsz40oY5/KfXnA4F1cS8I8+IuZs67v6EZ
Tp6iquNtAzN5vL2pBvu4NTtXD/EF8a35LlO/kJsr2oacKW0zZ22BOKmrJOjz
BGFnCq4NPxic9RTjHD4xKc/2MWf8L/OsmyiIDZTiGbQi7egksCF0DElEufZk
jBvXhnSMvH9Ysz8RqW+/AH0U8I15IcKG/RPY0CQc7+kv9o3XFrbVMnlusNh8
TPCZ2NPk5+dU/EvcK8d9nRU9bYE7PFcCFc/qz1a5AucN2rmn9G8vEW38nWgD
WLRk02lEmasd9t9KlN1i8PfFM3w2w+8Jm3Af9KoMMzzPyQZifyF29m+JdvE9
xt3Itw7KL0/YeU+gXhshXNv+rV02YG0CfwzqTsvjJl/D2PtpWDP3S6Ds+otx
n9Xs5ennCib/HX9JtAvBmuJyE+YvcjXxTA4olcFdhmvM5LvDZQ4jea7gdlTe
AvjMXJDh9Q77sLbF+0mNqSczHGTC9xnw/sIPkoo/8acMF5n8uaP8FkQfy/EK
Dyj9+5+IdiHPE23Zz5yaK6R9RB6Fk0yeS5oSzGtfN2G+WNT8dPTg7+Byn8gw
m9CJORsx+t8SoNMG7O2XUH43y/IH4x5vqxv+dy2/uxjbyC9V9tGS8CJ8p/Yy
/HcK/45v4keM/I5AnePtzRmuNOnHG4WqXLsMzNn/zbQD2TWgPcyf2BOl7swh
bire9WI/GWsA33guf6epWMAvE+0Aa3lsxlnALEOvXx42eSza4n5neb3iWje4
gBjvjxHtN13uNPHvaivShk4CG0LHkESUa0/GOHJtzB3Yy5X28eBIffcG6KKw
S4R+fNeHdZ43DID/UZwBgnk39O7pKyJtmmny771U8L3EOolaG7QD2nJJd9DO
jyLbKftkfI4o4zoT7RFl8e3FuQTFhW3B77yho30X9jXyOwX49mNtvgLx99i9
/BCu3WZswDriKmGfIIhVX36nYudn6vwN8wneBy4PnEtwf1USr/pGjz1HEbrL
9raJNvBckcPuJqHNWC+X47EfYeQxIu4e6JK8M+A/0vcXHA77p9sQf++V2o1d
f5Sf6b8y5Xz9w1n1CYbmS5Rg/V1wUA7U/NQxue/H40J98IeqGk+V+j2kUqwv
qXaKeQk+Dq68wb55C3mj+4E2/crkHNnX9zZjM85iqTFtC+57lccbciVJx9u3
jXy8cUjBtQHkR7Fzh5QFv6HvXiP+fr6Rxw6abfK95C7x9/J47gnbpITiQ9hL
vz2gnYdMvu9NrVe2IfQAJ1YxvEESe8bTitTfidRfZQxJRLn2ZIwj14bguyuN
lYbvBHce4BPMkcU5RFWE5MS1pWkxtWPxMaavOJuJfdahwNo7JI9SWfA9cvlL
tyu2V0h30E7TuDbOQENz6eFc9A0OHWVUjc9P8dgmcO1HTX7uECqnl9qug2tj
fEl5i0vwe27qaLcMjmsfI7S3TZTBXtysQJtxdoj146cC60FuMv73hYpZ55Nv
Ef/eK7XdBK6Nvc/7ImwAP/edAVLzUzfDbwL1YT/+XR59LgyDa8NfnFqPUPMW
/F3OirQNZ87cuXGbqIfx9p1AXXWPNx9ScW0A92go/wYIx7Ww1/ptedf/X+AX
QvkP1M21cc/pvyq09bRx7x9BKK6NfdvQvTuJYL8NvpE9k6+9sd/3M1N9ncfJ
bBMXX7IVqb8TobvqGJKIcu3JGFeuDQnxq/5spK4TA3TZgE8V5evlE5z9LB+h
u4m4n+nvkUO2peoauSy4t2Wfq7cj2+wO2mka164a1/9Sh44Ce1dsk5MmcO2q
zwrrhBmDtlNz7Zbh/cWlgnOq9xv6+VFcGzEruLN0CdeuKph3qv4mXBycnZJY
N1l6pfZHzbVxD/rRSBsgePZ7M3qo+anqb/YQo4tC3VwbPrffZ+pT89YlkXYV
8lVD+4C1E+koBHszdYw3CVJybeBkpr3bmXoxMXooqZNrw3flgcg2XUJx7W5C
HX8dtId9YCp2AHwqERcBuU9jcxSVhfIfk6AVqbsTobvqGJKIcu3JiFnL9U3+
O1PAnibunGCfMsQ/N0S/9H4P3ueqfBfyU6EeFz4eofe6CL1NBO6oUb8D7rMv
PERbEKOKm2/xt6cyPGL8d+0/YbXd9pT3SXfQTtO4dlXBuYArXg/ut8bEMaCk
CVw7Rk4etJ2Sa2P9kYIzFQIfFCquG8W1/+Zps06uHSM413P1E+e9f6xBX6+k
Y5RcG+ep1Nl7FcHvT503U/NTjITmNayba/vubLjmrZj1g0tOcuho2nibZeLm
79RcewlDx+6Cn5fLj3zL0E4LpU6ufWxke5S4uDb8q0LvMFGC/Y4ZDh0c1jf5
2i6FwI8jNEdSgVak7k5FvTFjSCKj4Nq473vjkOCKc8QhZi3XC9QFP1KcRT8c
odOWrQL03xCp6x0Busr4YYTODSrqbCo2YPr6tYB2EMNmGyFcPt7w+ZlN2AE/
I6z7yjEmsaeDbyflews/qPI9VtxvWKwEyrdqV6tcgcLmRUr/Rvne3ku0AZRj
baXm2rizjX37zqBtn1+y66zi8546eCfwzoAn4jfAvc9PG78fe9O4NvZtZpnc
P/wUk8eN4u4wFmdyOINqlUD9ht+0yhUo72/4/PRxzxK/B+7N4+7xqcbvS/hd
435+0rudtoRybfjiXmHy3wW2c/G6bMH4P29QF+eGXM4fzAmuONc+fynYd7HJ
42vuPSjvi7cE6ZV0wA+1GM8zmDprG/ccMH+prVCu/RGPnUX/8F2fMPmz/A9P
HbxTrnWphGvDtxbx9LAXdabJ439xcpxDDwfMu+XxQ53xnWzc463oV1XObs9b
2Mvi/Jexb417KrgTPWFyXo7/zXEY/G0dM3ff2wL78HsjxlnHjGa8SZGaawNc
/lh7TwffXV+8L/g041u2p8njneE+lORee3mOxNlEMc4PJMo/auj1gR0bhPru
FQK/dsRsmDD5XUCcD0v8sl1cO1Uu7Y6pnqMH68CvJ7LjwxVtaEXq7VTUGzOG
JDIKrt2uoHNYGCbXLs9Du5s05wH/FqB3w0hdRWzoEKwZoe+HFfQ1HRNMf0P8
cPrCZwhpOep/lCiLtcuOjF7ElJpF1D2ngr1czBAb1DzUE9ZPybUxFuw9jFcw
OiAnW+XBAah7i+CmXHwjxE99htHVJK4Nn+13Ouqtauj1Js7/XHmTOkR5129Y
Bu7gcffizjbuO2f4TREfmFsDbumoJ+XaiCUGvyfc0QHHL+f8anvq4h7k4pZe
7HFJ/G3RX/v5Il8ud7/F9pnH+8utTW932AdgfXylx76eox4Qm/MrhGtjf4u7
J404flSOYcyhXIyUAxx1fFz7GybPyWTX25ep4xsXPvSIdn3fKinXxjyHfTW8
j4jhauf8upqpi73NNY1bP8YRd2bn8ntue2ylxtuXPfUgrvEGf14uBsDmDhul
qINrn8K0aa8Z2kxZ/ObIw+KKN4R8gz6OTr17E0R56beQiyGMve3diHrwU/md
x2Z7nYMzhBT+bB3CphBgvyEkDhwl91fU34rU26moN2YMSUS59mSMgmsXQF7F
2LuD8GOUxkgDYnxykd+ofEYgwRkR+vYM1DUO4MbSdgHt9KUP0bjXoJQvrSQO
HXiLa42N94N6Fyl7x5Frf4XRgXMdan1+lVV2E0YHt29RYCOmflO4Ns6kuBjM
hzB1Xe9thyjr4xRcXIJTPXWBHZn6tznK+7g2ztZOMnzM4TZTf7ah75tgz4Bb
+13P6FydqXeIVXZzpizO+zmfQqzvuHiZPaLeMLk2lzsDY9l3loQ1OHVn4MeO
8hzXxnka9zyp+FOx80CPaDcF177L8HMD7idQe1xPGX+uDrwr1Lkz+J79vrQZ
WzHeqLEaM95WY+rZ4y0EdXBtzsfDjh3Endme4NGD+D6c70tdXLvH6NzWUxdx
9bn7QfY6Zx+mrFQQJ6fqebYN7PvMTmDTmyvobkXq7FTQGTuGJKJcezJGybUB
/B6xOexDfLv3jNTlm3PKwJnQryrqgX9uKK8fB3BjKYR39oXPEdKy6raIcuBF
Ur+1c4g23h5o77hxbaz9fDHFryDq3mGVo/gfvtnSnG+ziDaawrXP9eh5E1N3
PUf5DlHWx7UpX1vEapXuVVK+dngnbN7LcW34jkhiH7WZNg7y1P0KU3dtT92f
EPXsPYnTiXLwqVzN+Pu3kqH9L3tEnWFy7a8R5eCLsahAF8DFzrbv+nNce6ZH
zxFEvV8I7aTQI9qN5drwx/PFmtmDqc/FJSxjJtOGzWXbTNmDPXq4vIYuf/Uy
/pOod5qwjy7UwbX3Ytr8mFWWOtPBHolkvj2A0VUH14bPAXVX4WZBfeBLjM32
OmcWU1Yi8Jlx5XGPwRaRNkE+VUFvK1Jnp4LO2DEkEeXakzFqrg18OsIGyMcD
dIG/SnMDu+SGAF2bRuipMmbHAfszfeZi1NroC58jpGXVpc7o0OahQlxOtEGt
SSh7x41r3ynQQ8Vste28kCh3n7A/ABXLpSlc+20ePa9k6rYd5TtEWY5rYx1F
nTkc5rGvDM6P4D1WWY5rf0Gor820saKnLvUO/kagl8rT9jmr3C1EuXuF/QNm
EW30iPLD5NqziXL2c+CwIqNvd6ssNT8h7pDv/Gp7ou5zAba60CPajeHa4P+u
GCI2KO7yZGAfniDasf2T2ozNvvHWIeqlHG8hqINrc75BZf9qnLFQ/gjS+AGI
s0HN2XVw7VWYvkljwq/PtFFe52CvPjb3VmgchtjxLpXHKuhsRersVNAZO4Yk
olx7MprAtXEHiIv/4RMun5ALXP4Gn+AMXnr2eXlFHZinlxHqGDdwsTl9Z4Bl
YG01YYGKP9ay6h7F2BArn3HYCvSJ8uPGtan+lUHFzbXt7BLlvirsDzBBtNEU
ri3xTaGk7SjbIcpyXLvF6FhfYF8B9IVaI9l3+SiujfrLCfW1iTb+KqhLjRXJ
Ps7lRF177U/lbjpL2D/gTKKNHlF+WFwbZ67Ub71DQP8A6k7J8VY5an6y/WFc
oLhtE7n2MULd3yDqXxbYB+o+9QNWuTZRDpzPt9dBjTfJHdYuUbdpXJu7O98u
lVuSKbdxgD7qvn0dXLvN2Ly00F7sG1P7A+V1DhdfQSK4513Or5ISKWLHtwJ1
tiL1dQL1pRhDElGuPRlN4NqANJaOS6hYuBSwryaJ90iJK66LDcTQerFi+9x9
2HHHcky/n4hsm/LbalnlOowNsUKtD/pE+XHj2p2EdnaJcrcK+wNQ952bwrUl
uihpO8p2iLIc1+b4lT02qj4X24eSms8fDtDVJtqQ8KeYsdIl6tpjm5pv7Px/
HKizMsrOYXFtTk87oH/cc7L37ULmJxvjxLWpeGZS3aEclDpbsOfINlGuKeMt
BKm5NvaeKH9I3H0vn7+0GN0h/KNHtFEH1+be15DnRH0fyuuc6xldErk40KYQ
wCchNobUfoE6ufdFIp1AfSnGkESUa09GU7g2FyPIJ1VyX/viwHIi2avdLaJ9
n99pGYhLQuVz8EGamzw1fs70faOIdqVcu64ckpCpfq7dSWgndd8VcWFeIewT
dS9XufYcrMzo8N2lLAPnFlQuITvfCcW1Q3JStok2mrL2p3JbnR7QRyoPG2Xn
sLj2q5hyIXMWMJtox44RNR24NsaPND7CnUQboVzjAqKdf7fKtYlyTRlvIUjN
tXdg2rO/NUszZUNyuFLzSx1cm7sfJPXjxDebir20TanMHxhdErHvK6XG2ZH2
heRGAlqR+jqB+lKMIYko156MpnDtmRF2/LGCvvUi9GEfc2VP+1wuRk5svy4f
qPWJRKqMhRTgctLCL7PqHoCUa1MxZ+CHcGMkqFjqfULndObauxPlIJIYhFjT
/Jmor1x7DuD7/TJRL2QPnruPZ++RUVw7ZP3cJtpoytqfiiP+zYA+Um1Qdg7z
vjZ1viOJW18APmT/JNrZ0yo7Hbj2swG6LybaCPENAai7Dl+3yrWJck0ZbyFI
ybVxt/5Jpr1jrfLcnqQ0thDm7L8QbdTBtbnctO8V2szlcCjWOWsxZSSC8VP3
GRG37yCRpwP1tSL1dQL1pRhDElGuPRlN4dpcPF6fvFxRJ5fb0ScnMe0uY+i1
rU92EdpeYBy5NvIKU+sviCTvlg3cJ6NiwLSssmsT5ULiX4eiT+iczlwb9wmo
9wDr/GUZHfjeUjF1IMq1J4Pah3rQyPOmXES0gbluUavsdODa1PkH5hHu3S2A
uYY6B6LsHCbXpn5DxPaS5sg4jtG3hlV2OnDtfoBuLsfUW4VtcL/3UVbZNlGu
KeMtBKm4Nr4z1zBtvWTc95mp2Oo4q5bMt9w5eh1cewFD7w9cIagPcPnHi3UO
905L5BqhLTHAs4iJHwUJiZHeitTVCdCVagxJRLn2ZDSFay8VYYepqJPLGeuT
nxl6zjyyYpvID/Yqoe0FxpFrA747O5i3pX7EuBvPfQ9bVnm0S+WvlOR1roI+
oS8F154lrN80rg18lygL6Rv3njpyBd3F1IMo154MLh6kL38WAN9Hai3mev+m
A9fejigHudb419SXMvUpO4fJtbkcuJL9UOSapWKW/NxRXrn2ZGDPnopPh3zj
r/bURz7yfyfqQ+zc3m2iXFPGWwhScG3EAvetU6g4iJRPAmQfj16sZ6hzA0go
137Eo68AlRcSe6nv8tSdkeF5xuZinUPt10pF8q1KgXsj7ZTm5ANakbo6AbpS
jSGJKNeejKZw7SUi7PhnRZ3w9aFiV0uEmn8ertiefX9NgnHl2sghQvlIFTIr
w1uYNsCZ4WvM+XdBWo66VPxfrG3smMoUcI/JlQPZhT6hTxJnr8BBRBt9Yf0m
cu33E2XLgngMuAOFGAs4h5XkC1GuPRkYAxRXxlrqo4bmhviN/sTYuZOjznTg
2sgpzs1hyNnkOv/FvHUSU4+zc1Gmzjs9/QJCuPYihh4HEOTqpO4ev93wMYbs
M9XQ+cnGVOTaAJVXDnK3oc/PcHZB3feG3OOo0ybKNmW8hSCGa+O9P9DkZx+c
zDY5H3e1weVqRlzeXYl6r83wbY9e6t37EFEev5/k3ILLz/K7DO8m6q2Q4XGP
zQXXftBTzidSf45YnBNp55EBulqRujoBulKNIYko156MpnBtLg+nT2K+pzH5
ny50tEf5J/sEPitV/JfHlWsDUn8i7OEj3hDyb+MsCfz0PCPbJ8F6byGHbtwj
fIGog70b5ElZyVEPfGQdk5/r4L3D/rMk1s0DhC58o5Yyc8Yi8nNTXH9bpp/F
vVvY986B/fb3tYlcG7iB6VdVUa49N6gYSYVgj/AIk/sSIDfN/sbvP4A6rnXc
dODaAHd+BXnK5H7Um2XYxOR7GpQ/v9TOl4g6t5k5Z53wYf+UmZt/h3Bt4BiP
negfcndhP2Zmhr1MfhbI7YchB9jCDl3KtecGvjXcfTScJX7R5Dkw2yb/Pn7R
8Hsk+L65YnS1ifJNGm9ScGv2jgMYK+ebfA+CutdRFqzXuBi28D3ve9qATxfm
WNwP3tzkvnzPCHRT795Mpg5yIxR7qTgfQN44ex8QvvDU3ALBmL7O5PFu2iZ/
x7GfSMVMKUvBtak1l0QwDny+HKkwEWEnJCQvXytSVydAV6oxJBHl2pPRFK79
jgg7qsQhL4CzSd/5KiWIyWbPV2dVbCs0Z2aBcebawBci7PcJflcuf/DBgjZw
Zo74RTeZ3MfKtYbZk9FR4EJGB/a5cQeyWFP9kGhjJY+tz1j2bWrVbyrXxhjk
fOY4odaUswR2cpiKXBtz/WxGX6jgvaX8TqYL155hqn8/OOHspPbtIPDZ/nXp
f3etuqFcG3eaflDBfkrA87YkdCnXdoOKVV9Vzif0tInyTRpvUsSu2TnBvPcB
gQ1c7M8Yod69xQ2/x4Wz6XIMcJc/0hk12AvBeFg2sg2sxWLGcghi+AjE5TdC
oRWpqxOga5hjSLn2ZDSFa09E2PHtSN2+8x5OynGnsZf5m4rtrFPR9nHn2thr
rYNvY79fkj+sm0AXztfn8+jhfMpcQv02Pw5ow8490VSuDcAX8iFZt/5fsPdx
LvG36wR2cpiKXBvAe8X5g0sFnGkPRs904dpATL5KSjg7uXhjtuDMaZFS3VCu
DSCGYWzO2UKOZ/Qo13YD64qbifZCBWsl6lvVJuo0bbxJUBfXRhzsjYU2YG1z
Ww02cO9eyD3jOx314QNIxXWLEYyHd0e2cbuJG8shiI0f9csAXa1IXZ0AXcMc
Q8q1J6MpXJs79/MJtU8rxWqGj4vNyU2ldjar2MasCNvHnWsXgD95qvOhx8zc
MW4pYB3zxQQ6D/bogZ/tIwHtfYFoJyRvO3zhyrkxm8y1AawBkT+F83+E4FwB
eeMQL5SKRX6awE4OU5VrA/AhpGIDSgTv1e4eHdOJawPnE3V8Qt1z5OxEbJM/
Bugox2KqwrUB+NRU9T2B4LzNdUe7DOXaNDA3fo1oUyrgfQsyOtpEvSaOt6r2
xAjWessE2oH4Co9W0AUft6eIv3HvXsiePsbk8o42MNarfB+wh/tb4m8YD7tW
aLMssev8UHD+9D7B7ye5Wwi0IvRAOkI9wx5DyrUnowlcGzzkFxF2hOSIpcDF
EeEE+V2WGLRxdcU2qJzMEkwVrg3gzj7u+lXd98CaAFxNmo+mDNx388VCcQls
Rcxh1zfLBuK+StfI8AN1xarCv10RYN+HS3WbzrULYG8d/m3wN8E5DO63IqYK
Ys3jDLGIB4S5i/oeUn6qUkxlrg3gbt51jG5KkLNGMm9MN66NcXmiCcv1iD0+
Kpa5z074sP5VqOcbpXpVuTaA83HcT5fEJiwLfD9nCtpXrs0D7xhilYT6peBe
AeIw+OJjtYn6TRxvVe0JFbzr2KNoR9gCvs3lp7QFvij4/nWJv/vevc8H6DqE
aKNl8rtsUoE/J2JDULEoMB5iYiNB7DzmdcMXc9cnbxDqaUXq6Qj1DHsMKdee
jCZwbS7mk0RWSWDD5hH6ER8asV4kMSJs6Zv8bLWq3VOJaxcAJ4VvsMRvEWvb
+01+rkzFBJUCcTcQqwT3IX18/5cDG1cL1LGy4eNNYV2EvBgtpg28L/hucbwd
/tg7m8l8fVy4thSfJfTgGcbGUJnqXLsA1kfYK+L28DHGeibPkSjNwzfduHYB
3AXC+RfFuf85sKHwQ6U4mcROxLficl4gfsOpJo9tXNSJ4doF1jJ5fBGO86Gf
mIP2Nf77NQWUa8uAvf2TjD/2Fu42Id6WNNdvm2inyeMt1B6f4NsB/zOcm+AM
J/QcmwNyZnP8FXMw8gC2DP9cfO8evvlYD/2O0YV5Y8Lwa0/EagAX/xnTDu5/
I6dL4T/Hce2zmXYksi9jax2gcqBJRbq+bkXq6Qj1DGsMFTIKro39kR8NAVU4
56i5Nr7Dj0XYMDuBDcX8VNVHDmdue1SsG5IbwIWpyLXLQI5WnDkfbfK4Hegv
YoZifwNxfRetSS9iwmP/Bd+szgCHm/wc6k0J2keejAmT319E24hPPNPkftHS
NsAn3zewC20gZjDyfsxgyi/mgCtO+8JEWYl98xN1XbGHC4APfMf483gWwO9C
7Yecl+D3WTSg/68kyi4m1EXVdfmgLRDwG4YAvqVtk5+b4Xy2k+FjJh8Dr6vQ
3kKEnSF7INRzlYz5Ku9g+VnE2o44RVhfHjl4lpi/MI/Za/dXRdhZAPP4foPf
7cTB/48Yya519LyEPum7Wga+3dirwRr4hEE/Dxv0W8rvygiZn2xQzzH2+0DN
gz7fKcqe2P1gG1jz7WLyub8z+C/ud2C/2pfffSqNN6k9HKR7QrFYafAbHTf4
zcBncf/Qfs+p5yL120M57Ol9fKAH+nYz7vwqHIrcK7iL8slBW1h/4Vv9Kqvs
IoTNKHeViZNtAu2ORYgvgkuk9/pbkXo6Qj2hGEeuPSyp0rfFIvT1KuizcV6E
fshZCWwoQOUvlkiVeBI4By+fOVTBVOfaiukB5A4p5D6Tc2msF8vfcqxFkFvo
DkMLziWWbUB/FAqFQqFQ5IjlrhsO2d4rI+39oFBPK1JPR6gnFMq1aRknro09
xFieDZHGwJIAe7C+uEwp5YIENivXVow78B5SPrf49+cGkNzjL8eBUigUCoVC
MXrMMnEy7PVqLD+ZEOppRerpCPWEQrk2LePAtXHfD74gIbmLKLm7gn4fqDug
qQW8YdUE9irXVow7QvKUcHJ6A/qiUCgUCoViMqi73FJJcXcvBDFra8hBQj2t
SD0doZ5QKNempYlcG3dO4AuKuBDnmjxeRyppC/SHYoYJiyVbVb6ZyF7l2opx
B3ytEMepqiBXXIpcBAqFQqFQKNIj9nytNWR7T4601xfDrkArUk9HqCcUyrVp
GTbX/ruZ49/pgjQnSRW5ydQ3xq6v0e5Ctkhkq3JtxVQA7m8gxttPjFzAsb9s
ZPnWFAqFQqFQjAZ9EyfLDdneTqS9yrWHr3NYMmyuPSp53tQ77jas2f6fGnnu
HB+UayumGuArhtjG8INBvp+eyfM6z8pwg8nj0W9rwmI1KxQKhUKhGA36Jk6q
5EqIQSfS3uOEelqRejpCPaFQrk3LdOHayK9V9zjj8iDGyscS2ol9gUMrYsmE
digUCoVCoVAoFDb6Jk7GjWsfK9TTitTTEeoJhXJtWqYD1/6iGc44m6jJfpzJ
LzKkPigUCoVCoVAoFKNE38TJ4kO2txNpr/qQD1/nsGSqc23co57XDGeczZ/h
tzX04dwh2a9QKBQKhUKhUIwafRMnrSHbq7HR4kS59mSMC9e+xuQ5uYc51k5K
3Id/ZFhxyH1QKBQKhUKhUChGhUdMnLSGbG9szq8DhXpakXo6Qj2hUK5Ny1Tk
2shDfWqGfzHDnxteb9LGUr9lBH1QKBQKhUKhUChGBcQ3jZE1h2zv+ZH2Tgj1
tCL1dIR6QqFcm5apxrX/O8OWZrTzw5UJ+7PJiPuiUCgUCoVCoVAMEz0TJ+sP
2d6rI+3dRqinFamnI9QTCuXatEwlrv2/Jj9XHvX88JZE/fmxGc3ZvEKhUCgU
CoVCMSrcZOJk0yHbe3ukvRsJ9bQi9XSEekIxjlx7n4HeuvHqCn1rKteG7GBG
Pz8A9yboy0ca0A+FQqFQKBQKhWKYuMzEyU5DtvfBSHulPu+tSD0doZ5QjCPX
blfQOSw0mWvPMqN/PsAOkf34Q4YFG9APhUKhUCgUCoVimDjDxIk01lgqPB1p
r9QvtxWppyPUEwrl2mnRZK4NWcOM/hm9MrIPVzegDwqFQqFQKBQKxbBxmImT
U4do6ytMXFzkvw3akOhqReiBdIR6QqFcOy1iuPaLGX7kwf0ZfhOh4wIz+mc0
T4T9kG4D7FfMDezjfCvD3zP82eRx8JZsgF0KhUKhUCgUUwXwAY+RKxLasprn
72+MtLUfYEsrUlcnQFcIlGunRQzX7gl17BWhA3z+NUI9dSJGug2wXzEZMzL8
0fFbPZZhgQbYp1BMJ+A7dEyGhzL8xeTyUobHTb4HtrtpxndAoVAoFOF4m4mT
exLYgO/MVRleNnxc83akrd8JsKkVqasToCsEyrXTYhhce6EML0ToOUSop07E
SLcB9ism4/PM77VXTTpXN+6Yhos24HlUxbJEn5ZvgG2K4eLVho7bydXDmufX
xi/wPZHGdlUoFApFc7C4iZNnIvW/P8OvSu3hXGV+ouwBkbZeFGDXUpG66vKt
V66dFsPg2sDFEXp+YkafLytGuiO2XTE3eszvdU5NOvuEPmkexibic0Sfug2w
rQ60MtxI4L0B7eyUqJ3NiDZuMNXyUsQA31ZKqDrLZPg9U68syAO5+JD7pJgb
Wxn63R21bQqForlAnOAYWaKCzkVMzj/+6Wjv00SdCyLtPDTAvtiYWZ8L0BWC
IyPtWrGCTuXabukF6Hl7hB7IsHPr2YiR7ohtV8yNrzO/1/GC+pjztzT5nmJb
qLNP6GsK14bv/DszHGHk34rpxrXnzfAs0efLA9q5lWgDcllAO1cQbfxgBM+m
Cte+hKljy7Uj6JNibnDroVHbplAomovvmjgJ5QEzM/ycaQ+xetZz1Hso0s5N
AmyMjb38pQBdIehE2vWGCjqVa7ulF6jrsQhdo94zj5HuiG1XzA3Mha59Tvip
LkfU2XnwWz5h1Z0Q6uw79EFGybXXzXB2hgfM5Lib0vE23bg2cCXRZ/hBS/xv
8G19kWgD0hfagTinvyXa6IzguYRybezt/IWpY8v7RtAnxdxQrq1QKKqAu7sn
kROEepBjF2sT1xrPFtuXHHde/x5p5+uEdhb4c4SurwbqkuKLETZBqvjVKdd2
Sy9QV0zMf8QyGOUd0BjpjtBuBY2PmTz+UiG/M/x6/kfGLRNCfX2i/ii5doew
Sbk2DS6e6lqC+hIfn5agnfWY+q69+roRyrXfxZT/rwz7Zdglw7kZ/sPIc6go
6oVybYVCUQWIcRkjdwt0rGTy70eIlH3J3x9p45MCG21wZ+8+mVVBnwSc76dP
XqyoU7m2W3qBuuB3G5Oz7rRAfSkRI90R2q3ggRxf8AWHb9KCnrLKtefGdOTa
mDOpfe/DBfWPJuqWZULQzvFEXeRYHEV8i1CuvRtRFmcRbx6B/QoZlGsrFIoq
eJOJE8TsWNijA+u4nwa2i3zY6wzqnxtpY9djnwv3Rej7RQV9EvwwwqYnKupU
ru2WXgV9MXslOHek4gbWjRjpjshmRVoo154b05FrAz2i398S1L2TqBv6/O4l
6n55RM8klGsfRJStci6gGB6UaysUiqrAXnCM7CzQ8Z4M/whsF+u7+TI8HWnf
hMA+G1dH6gz1WffhVRn+J8Keb1TUq1zbLb0K+t4XoQ/y4Qo6UyBGuiOyWZEW
w+La2JfFt2K3Qdv4trzF5Pd8U/epQ9iUmmvD/3fNDDsO+gRfspkmXb6z1w7a
K54Z9MCfe94anhlwBNFvfJ+4e0r4lkvuKPcF/X2ZqBuyd4MzAsTD+5DJnxue
38xB+6HPJJRrU9/VH1XQzeH1Jo/tjv5J1yTIZbfFoM7EoP6Sie2iMCPDtgO9
u5r895HcfUOZDUw+tlB36wyr1GBfU7g29t2Rs3cXM2fMY44Zxl0DzMW4p1GM
m10CficOmK/WMXPmyeL39/lcNRn4PdYq9WmXwe9W17kJxvtmZs7Yhd8aFYMl
BeBDhHG2tZk8X7y+Ac++iaDieUrlVqEeam3CyR2RtsEnaxmhfWWcGKl3ywo6
OcTGsv58Rb3Ktd3Sq6AP827MvtGDFXSmQIx0R2Rz0/DjDM85sCZT5xSizp1M
HXz7nnTU+aOZMw+uRbT7XKmd5a1/p7jNX4h27G9Cn6hfcCP4V11lJt8hLwty
I52e4TVM3yV4pGQjtXf5N6JPQJkf+7g28m10DL2XDT3XZVi1Qj/AW/fOcL+h
97DxzDDvp471sAqhD7IZU+/dTD1bWkw7OxB18Hsu5LEdPAFreNx9o3zh8Ty/
b/KYBj6fvQISrt0vgcr/8lerXIFybPzZxv1uFr8z5gCs7fG9KMfH4XJ+gudM
mPxuuEvwTOBL8EEzx0ffZ0f5d3eVu6dUBr/p9wnduP+GnK2u9Tv87bF+peYN
zIUfNen2nUbNtTH2Ljd0fEHECzzT5HlrUR65cl3P/jxH27cSZbcY/H1pk88n
fyJ041twqQmPwTvD5LGIqDGB3/bfMqw9KG9/m6hvzjxEOUASW+IRou4Wgrp4
/vgdqPiN+P3w3hb7QZIxws1pexl6/JhBX/Y3c/asr454LgDuBcPf+L8Jff8c
2LOPqWeffFyxM/G8pIJ5eCWBHuxPPRmpK1S+L7DLhW0j9aaORf6pSHv2q6hX
ubZbehV1nhyhEzKKuD8x0h2BvU0EFdfwCKbO/UQdcIr5iDpUzKiHSmUkvKDF
lJFIz7KrT5QD18Y6Qeqzg7swy5rqvwNlh1QWK7XFcW3soUhjfmAt+QEj7wPu
1/8swGbc8zrOpD3nforQdTZTx3XHGvHLXZx3gmnnUkK3z3drYxMeN+a3HltC
xlSMdErtPEeUwZjFXtTNxN8pro16IXlecP6xmMeOcvttohzO8LEmvEGo9xmT
+7gU7X7c5O+2RHomjR/JqLg29jeONfn+nETAW7dm7O06dPSIspij4ZMnzQWP
+27rO9p34RAjn/ux34t5rEX8vedonxJu36lAn6jr853ZzuR72xLB74lcvm3i
7z4/lzcb2ufMJRjn+H7eSPzd91yQP+GzJixW9eNm8ridzsAcJJ2zKOkKdc00
sljkqeRooV02lovUm/J+Lc5DY/coqr7ryrXd0quoc4YJv0tRlm5FvTGIkVHY
20RsTDyfbxPl8U3j5uS3E/U+SZQ/plSmSVwb3/zQ7wHO3qrulVN2SEXCtXH+
97vAdsG3JefbWGtW/X7iWVN7NKGgYqg8ytS521EevO0njn/vEm2Ac/ya0H0Q
oxvjImbdgXMg7tk1gWvDN4TL4epaR69m6LM3TjAGqVwtLUtHmyiHfDPfCtSL
czT4s58UWA8i9b/kMAqujXf+/Ar9BTd1jTlI16GnR5SF7tC4rvidlnDoKONL
gW0WQtXrOXRQUhfXhh9BlXmGGgcc136roecCTrBffRfxN+65wK/kBxX0QbCf
sj3T9nTCTRWfYSHgD28V6qo6xkIF73xLaJMLv4zUv3+E7jJiz9jhr1J1bapc
2y29CL3UPCcRzFmLR+iughjp1mgX1s/9ili9RrtcwJmiy0cOa5hFHOXfST7R
XA4j9HyPKF++u9gkrl1VPmKq/Q6xdki4dlXxcYETEuiAz3qKON2bMjpcd7aw
d+Q6vzpjYJMtfULvWozeFlHns0ydELnN5HFTXDqawLUv8LRhr6PxLsfkW6HE
/h3aiduHv0/VfZOQ+/wujIJrH1uxr5x0HXp6iXWc49AheY4+oX77nkMPJXVw
bZz9x5yjuITi2uC9lP+2RKhnSD0XrDlde6IhgjP8TYn2pxO2i3yOEPgKSO43
oUwdc7wt3xHYwuHySP0YC7Ex0lL43cfs5yrXdksvQm/snY2jInRXQYx0a7Qr
hutIvrWpQfm+ur7dn/DY/3VHHZwjuO5VP26Vmwpc+wem2m8Qa0edXBvrNOpu
NeJ/cPwCf8N3AufKL3j0SHJz+TA/o2dPR/k2URZ3p48j/tZytHMUUZY6T9+T
KF9VziX0NIFr+84e7TnvokibKLF/t3ZNeqrILBP33g+ba2NPWOo3HiJdh65e
Yh241+3y7VzBxMX5paTn0EVJaq4NTkP528QIxbWvrUEXxPVcsDf7DU89nOdh
DsbdIm6/AfcQpnvcNOzXxsYjh2DvV+KnNtPU70u+g8AODjsmsAE+clXvyeEd
j42HDjmwon5AubZbehF68f2R3n1yCfaphhFvtECMdGu0a9y49laELRc6yvru
MP7GUYfK2XuKVU7CC/B+LVbCo0T5A61yBew9176nPxDsCeA37Zj8vfGNkaVN
+G/wmpKNpxPt3kb0CSifCUvev2dNvmeLPp0z6CMn+zhsRrwvysfq5UG75Tvs
8GHC/W/qHAK+v6Hxi1y4nmj/K46yHaIs4ry8l/jbhKOdHlH2NEdZnK8/T5SH
YE34TZPfl4QuxEJDnzjOijXLexy6pPtXBai4HY9b5QqU93iq+I0aM3nOwz1P
3xkc7rcgnsTE4L9UnjVbWmbys2kL6oCXXWny9wTxt0Lu1SPH6vmDusj5xt3f
QJ9jYqoPm2tTY6wQnOdgHsK8se/gOUjej65DV09QD98dPOOOyX8nXy7fjR16
qD1nCMYXYobBrws8AnMZfFnOMv57rj2HLkpSc21XLIqygIt2Te7rivgknzH5
e+sTF9dGjDiOO2HsTJg58fHwX+xp+r49ENdzodYVkL7JfcPL/j74LmPNQe0R
Xe7QMd2QwkcNgu+X5Dy3Tl/yvomPf4f1oiRHiU9uMeFxOZA/4coEurEWi1lX
xXJtrGcnhgxpnKFRcW3g8xG6ISGxlGIRI90a7Ro3rg0/Wlf82KcdZZ8R9GFF
q85VRDk7VkNofiKAir8ywdQpo8/o/OugHdu3GbmXuNiqmwt1U+gQ7d4orO97
/y4zc8fFxh4G59N8vkPP4URZzO3bMvbh+3UPUfdMYR857EW0/ayZey9wlqNc
8d7Dd8vFb7tWG4sQ5SDvctjHrS8QW46684Zx9SBT935HnWHm/JJybTxfvIPw
kZkwk9dk5zD1wFU3IXTD/9G3JmpZddqe8vA/tO/24nxCcu6OMWif7WCtxe0L
bGX8z5jCMLn2Gw2d/wFysXHnw8Jegu+eWtdRr+epgznDPqfGGvsSpo4d+xO/
DXWmjb5yd3oR95OLOdZz1KEkJdfGXPcrRhfmPtcaHOsBHwdyzQfc3f3bDZ2L
Afq+7tFnPxcuVhRiNnA8D/ssrvkacdXsOWK6AT75VC6BUMG7h70U7vytTl/y
VHelU/BdCPawsDZZwKMP+0PIW+jbL5TK7R59PsRy7VGINJf4KLk2d+9QIlXz
pVdBjHRrtGvcuDZwDWHPGqUyKzv+7pqXdy3Vwdr0WUeZ2Q4bmsa1ubl6baZe
jL8O0CHaTcG14c9E3YvG+pRav7jyuVHn06cLbMTZruvdQTys2Ljk8AWkzkbL
+zsUl760VOY7jr/3LX3bELqedfQF603Kxx2+nr5Y9rD5YaI+ZB2rfJO4NvoH
nz5u7UXlnsTv5Iu7s7VHf8sq32bKwl/DFa8CwHkDF7ftFsZGxImjzv6oWBcS
DJNrH8zocvmOhLy/XUedHlP+IkYXfieKA9t7h1zsoZM8ffLV7znKU5KSa3Ox
VcBHffnBqTUBxDUfUGOXG0sFwD+eYPTZz2Uzohxiea7g0QUcQ9Q/QVB3qiM2
t5Qts00e/wRnEPhtsK+FvTHwevCNixPrg2Adkyreqi9GUajAVwpx6E4yuc/P
hMn9f/DuIUYMlWOwqsSef44j1+a+C2WMkmsD3JmdT7COWDmBDRLESLdGu8aR
a1N39cv7/x92/N3lS1jOkfoOol1XfJomcW3sKfruQ1B1TxTqptAh2k3BtX2x
96g43vY9dNe+CwRrncWMzE4q31yK/IFUrqhjS2U2Icp8qFSGurNdnuMuJMpc
6bCL44MfcpR3YV1D8zX73WsK18Y63LeP0GLqU/fRbdzJtNGyyraZsod69HBn
Het66lI+s58R9jHkdzMRbVL4GqEHe2cSv9GNGFu7jvI9oizunPjmGiqH1Nes
cqcyfZLmsqe+RT1HWUpScu2jGT1UvpAycOZNnfXb88FSjC7fWCowwbRhP5cv
EOUuEOoC93f5wTwgrD+VgWcTE9+uCcL51VXBfcM1P5ngWxN7r3ccuTbuzkj6
NmquvX+EfggX5zMlYqRbo13jyLVxX9h17+yuUhlXPGFwdNufsPwdpu5/Vr1b
aqMuri1Z91Lr+o5QN4UO0W4s1/6xoO6BRF17bbUrUQ4xaA4VguIr+wn7yeFE
ou1ZpTKnOP5u35t9K9FO+f76bKLMjg67Pk2Uxd2MkPP8B4h2bH+xpnBtyve7
jM2Z+msw9crg4nu2rLJtpuxKHj3UPdhnBDZSMS8+J+xjyO9mItqk8GNCzxUB
bVBjpuso2yPKXifQczZR155Lv0qUuyOgT1ScjZ6jLCUpufYVRLnHAvpEvav2
fPB2pk+rGJmuNzBt2M+Fmv+6Rv796TvqY29hmDGHmgruLnzT5WaT/nnMHGoP
0klsbDhgHLn27kbWt1Fzbfh4xMQDgN8WdTcnJWKkW6Nd48i1gVsd9oB/F7/l
I46/I96IvfYC9y58xlx5L+F/6fqeNYlr7yaoS52ZdIS6KXSIdmO59jWCuhNE
XXttVUe+n0I+LbDTh7cQbcMXuTincu1V/9Bqh8qJd9Xg76sSehB/x3XmRq3p
bwjs31lEOz+xyjWBa9vPlMI+RP0XhfWBFZj+tqyybaIc9lt8623qOT0osLFL
1B0Xrk3Fhgy5O0Pdz+06yvaIspKziw5R155Lqbn8ywF9on6DnqMsJSm5NpUb
O6RP1Dxvzwdtpk8+X/Uqz6XOc9cqsU2nIm6JfZAjENzbShFf1QVfPMimCWLi
pMijOo5ce0Mj69uouTZA7YlKZd9EdnCIkW6Ndo0r196bsAn3PXDubd+BLdb1
rvNu5KvEvVmXryt1l6JJXFuS73bcuHZXUHeCqGuvrSgbU0gM5yiAbwyVvwR5
ysC3/+742xmOtly8YPbgb4cROqi8ntQ70w3sH6W3b5VrAtf+lLBPlG67Txy4
b2fLKtsmyj0XYWtPULdL1B0Xrk39zlz8MBtUzO+uo2yPKCvxTe4Qde25lDq/
9d0/L4OK4dxzlKUkJdfuEeXOCugTtf9lzwcbMn1aysh0LcK0YT+XqjkPJNIS
2jvVgd+tjnxxdQnWmvi21/U8EGOmzvcupcA/Q+pP4sM4cm3pGG4C194gwgbI
w4ns4BAj3RrtGleuTeXBxv1rVyySiwf1XH6bn8ywB9HH9xH6lWvn6BDtNolr
p8oN4pIU59rAl4n28Xyou9qbOtrZjyiL+8e3E3+j4lxR8YauFfapAOWv+l9W
uSZw7Z2EfaKes4T7FliO6W/LKtuO0DeduTYVbyzk7gfl39F1lO0RZVNybSqG
9k8D+uTyCzMmPdemYifZ36y7iXLSO83AJ4g27PlgFaZPWwh1UXMyxH4uXP68
WNFz7TlAvJ06cs7XIdI7ujFIkW97GHKQSdfncePa4DDlXH8cmsC1cS4UG3P+
3YlsoRAj3RrtGleuDbjiLsNH3BVnpfCzfr3jb4iz6IoviRiMVHxI5do5OkS7
TeLalA/ECwM7YyB59hJsw/TFdZ8bawpXPo4ViXYQy4zKj/ImwqYzifKzA/tG
5U66yyrXBK7dFvbpA4ytktjCwFZMGy2rbJsop1ybBxUv+sKANqgcBl1H2R5R
NiXXPogoB9lIoGeGofM29xzlKfHFhVycqWvPm18hyj0k6E+Bq4k27PkAa9uX
iLLS+7PXMn2z10VULHvYFfv9ic3JPNWAO79cjr8myPNGHsMwFmcMqU9VpZxH
JQXGjWsj74G0b03g2gAXx1Ii/5bQFhdipFujXePMtT/qsAnzrMuP9o2levba
CTGyXHe1r2Z0K9fO0SHabRLXpu5D436/JBbxMLCQccf7w10IV2ydbzFtPeUo
T+UIt8+Wy+D2xV1n6i4gbhe19jnNKjtOXPvNjK0nCduguAGkZZVtE+WUa/Og
5j2cNb5aUJ/Ll9h1lO8RZVNy7dUZm3DmsKShdczH2GhMGNf2xU/ehalrf7M+
SZSDr+1qHj0AuAs1pl3zAXU/HDLh0eU7L7TXRdQdx9Q8Q5EDsVCbzrftPH51
AeeQVw2pT6GCfa1Uuc4KjBvXRhwead+awrURY8B1p1EqiEP0+oT22IiRbo12
jTPXhg+m6461/c190qpn39nGe+PKI7wdozsl15bGC+gT9ZvItaXnA8Pg2ogZ
RuUYdt15HhW+Qdjokk8w7bhiElDC5WFY1Lj5PwT7Va/x9AfPnfINhbzLKj9O
XBtrGOqdwrmF72z7bYZfD7as8m2inHJtHoczus701EXMOconA9J11OkRZVNy
bYD6lkDAt13xdsBZqT23QnqOetQZ8CVMX3B2zOUmt79ZXG418GJf3gMq/iLE
NR9MMOUxLpGTxI6Zi70ZxF+jfAIKsddFVJxs+CYNK+fsdAPyVf6ZeO5NEKxb
32uG8ywwdi4ZTrfEgvOw1DwbGDeujftJ0r41hWsDN0fYAonNNcwhRro12jXO
XBt4UGCnHcuUy7VTCNYXXHz6Klz7e0T5U5g6ZfSJ+qPk2scQ7T4irD8Mrg2c
Q5TFukqaKxoxAup8511+GpRwdmwX0M5Mj01c3Em8z8sR9V5r+FiojzrqjBPX
Bi5i7MX+3qpEPfhZ+GITt6w6baKccm0e4DJUfnf8O7iTK477/IaOoVBI11Gv
R5RNzbV38tgGgf88fLNxrgW/Leo5lKXn0PUkURZ71K54JvMb2ie8EPubBW7+
LFMe7blihGPPC/EmuL655gOs82d7bMSeGWJcdDPcZvI7ZRKx52asI6j5BvOg
NB5b29TDT6Yq1jT0HZImyK+MO/9HXTjSxJ1HphCMU8S4qStX3bhxbcSykfat
SVx76whbIHj367r/EiPdmmwCxp1rS+4O2DmxXHe2bfHlNarCtSnugfiZxTkY
1hN7mZx32fX7RP1Rcu09qYdg5sSZwrzaNu44N8Pi2ogNRuUGxPyPdbUrTzFs
x71EnJtgvfS4qe87weWAKsvvPDaA50p86LB29MXlwDOhzrYhODsA58Rv3Tb5
u4h9DW7dDNnKoWvcuPa6nj7CV6prcp/T9uC/lxvZeqdl6WoT5aYa1+4kgO2f
xp1NQ3D++nGT34vAWdNRhuaXZemaufvWI8qm5trgmN8W2BgqPYcu6tsB+cfg
7+gfvltYR/9coMf1zTrNU+cXJn9GyG2/cYYDjGyvnZoPYteLlLjWRZSPPATr
zj2N+04D4p1j3ih83g9wlFHQwHoK36NRc0xKsJc9zOeB3PL/OZSezS19k8cU
rLN/48a1Q8Zzk7g2eHJsLsMU+dRdiJFuTTYB4861uXuThZTvaheg4t0U4ssv
X4Vru2JcFQJu9LSZ458G/m37zfWJuqPk2txzgCCX1fOl//02q/6wuDYgmYfh
f3mHyX1kcG7rOsv4sMC2qrDzv7tE4nf074J2via06ShBWyFC2T9uXBugci/H
SsvS0ybKTTWunULs7xLWl5Iz3VDpmrn71iPKpubaAPYU+hVtp97/Wx16Qvxt
pOL6ZsFviIobHyPcfPCZim1Szw/i8gtHHEvf3I69YOwd4PfGfSJwInvPFN9T
SZwBxWSsOXiudcwDsSJZv6UEfCNwt8a3H55KMFaw1xSSu74qxo1rS/MeAE3i
2gCVX2aUNs0TaVO3JpuAcefawGOMjfZd7QKc/yf4ri9mVhWu7eOlttj5F/tE
uVFybZyvPh3QJzv+7zC5Ns6COJ9oqeCdqsuXTxI3dC9BO6cI2pHuGaSMr4K1
JHU3Yxy5NvKY1pHTp2XpaRPllGvPLa7vEnWHJEa6Dj09omwdXBtY3uR+yCGC
c37q+3eZQwd8nKk721WF+mZRd5tjhJsPMLfhbnYIB0M+h72Yv1NxLHAukGKu
OJJoX+HHWiZ/96X3AUIEYwT+kJwfmEvwTnDxDOsC4gkipwEXVyFGEHcVnH6Y
fvLwS+qOEVoBfVswQs/RAXqkWDFB/xetwa4Ye/apwZ4Cu0TYtXyNdoXgU4aW
S4g63Df9mwKdVbj2PIO2pXK9VbdPlBsl1wa4HDS24Iy7vL85TK4NwFcgJHYY
JfsL7KuCDQS6JeNuQ08bOC9ZIsCuFPFVeoafW8eRawOI8UbdT+AEPrEUh2lZ
OtpEOeXac4uLa+OuRNV4LtR5ZNehp0eUrYtrAzgzxTfQFd+zLC8NymGfcBZR
5ihCx8metl0CDnET8Tfum3VqBV0QyldNMh+0M/yHQAfiBiMO/LbE33/j0YP4
dBIfe05wHrmIR4+CB3wDcIcA8cBxL+wfQb9ALviGYm7AeuKDZk4er+MqtHVd
4v6FYg2Tx97BXQXfPEIJ7pP1TO6/ue6I+6NQKNKDW6NPEHXeyNSR8KiqXBt6
f8nULQvWRmVe2ifKjZprv4Jp3yVbl+oOm2sXwP3iXwfYXAi+yYjTQ8UEiwU4
LedH+YSwHaynuTisIbkmytjDhPue4T3G99cXC2NcuTaAeGcha2jwgpUYO1pW
+22inHLtuYXyt8KYOD+gHaylsf6k7O06dPSIsnVy7QI4T8Ue8sUDOzAOkC8Q
dzYONHP21uCLQcXSdsUvL+alkPsSONMCr6Tmd983C/fnQ84H4a/0XuJvkvmg
AO4bYD/ilgzfz/BDk/tzw1/yHaVyVL4+X5wXAOd8iA9Shd9h/wK/pS8uuyIM
2LvA/TacPWG/Cf5lmCu6A3zJ5PcNjjB5bF3M95R/Fn4bV55On+zagOcAYD2H
bxP8m3Gf+CSTj+NLB8/issH/xjjBu/gBk8cB1XdSoZj6oNa5LaaOK/4Nvn/L
CPRV5doA8tNdb+hvLdYY8Nm184r2ifKj5toAeNRJht4ThY/efQ5bR8W1Aext
41vxkPH7EMJPHn6oqwjbjgEXw/cLAe3czrRzbIR9iw3q/5RpH4K9DORVku5L
jDPXBrD26mR4hukH4iDBn6u4c6lcO7347jbNzPAdQ495cOybS+2MC9eWgoqv
jj00LlYi/K0xX3J3hhAvB3NDsUdclWsDmGuvMXmMQUruN3PuWrWJMiFcW4J1
DB1rayKgHXzfweGo3IGF4H38rslzg+pd7fEA3t3/cf2YjGAul6w9FQqFYlTA
nbKWA1ydpR3lpbwAe3iLEZDaDF3YR4XPUcfke/nIobIwUf41hD5fLGlgIaLu
Aol/B9iOOLFHDvqEcyHEUV2WKP9qwi5JHI35iLpV/OuWHNh9sJkTzxi/B/Jn
DTsHKvrgepcBX07rMl7HtJMqTgmeDXwEjh48M6yzcfa9tgmP1x46puYnykp+
/0WJuinyUKAfOB/bf/BMEBcG6+T1HM+EssMu90qinOS+E/WcqHmmjAWJujFr
fsqeVJCer2BOwtx0zOB3wpyFM5rFhfa6xtDCRNn5BfYsQNTlck9i3xbxyNcT
9pmLc3iasA28mzjX2zvD8YNnh/hp73I8e2p+l3yzCqA88hYcbuZ8UzDn2Hdp
qDHimw/ONfl5pSQGB+5czyaeH/YquN+Ke56I3QWfhGIePSHDR0y+LxQy5yua
gyp7ipc2wG6FQqFQKBQKhUIxOWYhzuqxv4Pz0vKeEbgm7u1wOcL+YMLiN0wV
rG/m+JfhrjX8cGaayXtYBRfGXgR3L+ewBvRH0RzgvbnHyAV3P3RfRaFQKBQK
hUKhGD3ebWg/ePg4P2f43FSFoI2dGtCfYQNciMvP/cLg+UnujcPHW++rKmy0
TB63nhPcKwrJ/aRQKBQKhUKhUCjqA3jiwyaN1JEPZhywd4qHZ/Kca6PI2aQY
DyDGASWIsWffWVEoFAqFQqFQKBSjxe4Zfm+qy/ODNkbdj1EB8VLuinh+EMQ4
DYnRoph+QExBO9cr4slv3wDbFAqFQqFQKBQKhRtFToCnjFzgG32e0ZjHBTbL
cJuh86C5BPHPt2qA7YrxAPZ1sLcFQV6BpRpgk0KhUCgUCoVCoZBh9Qz7mTwv
4E0mzz/2w8F/rzN5bC/EWde8UW4sNng+J5k87yLOvJEn+XsZ7sxwkcn9gVdo
gK2K8cOHzPT2I1EoFAqFQqFQKBQKRcPwf6CMO+E=
               "], {{0, 22.08}, {236.88, 0}}, {0, 255}, ColorFunction -> 
               RGBColor, ImageResolution -> {300, 300}], 
              BoxForm`ImageTag[
              "Byte", ColorSpace -> ColorProfileData[CompressedData["
1:eJydlndUVNcWh8+9d3qhzTDSGXqvUgYQ6R2kV1EZZgYYygDDDIhdRFQwoohI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                 "], "RGB", "XYZ"], Interleaving -> True], Selectable -> 
              False], DefaultBaseStyle -> "ImageGraphics", 
             ImageSize -> {365, Automatic}, ImageSizeRaw -> {236.88, 22.08}, 
             PlotRange -> {{0, 236.88}, {0, 22.08}}, 
             ImagePadding -> {{1, 1}, {3, -10}}, ImageSize -> 
             Magnification[1]], "\[SpanFromLeft]"}, {
            TemplateBox[{
              FrameBox[
               StyleBox[
               "\"Buy on Amazon\"", 16, FontWeight -> "Bold", FontColor -> 
                RGBColor[0.768627, 0.949019, 1.], FontFamily -> 
                "Source Sans"], RoundingRadius -> 3, FrameStyle -> Directive[
                 RGBColor[0.768627, 0.949019, 1.], 
                 Thickness[Large]], FrameMargins -> {{10, 10}, {6, 6}}, 
               StripOnInput -> False], 
              "https://www.amazon.com/Query-Getting-Information-Wolfram-\
Language/dp/1579550851"}, "HyperlinkURL"], "\[SpanFromLeft]"}}, 
          GridBoxAlignment -> {"Columns" -> {{Left}}}, AutoDelete -> False, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
          GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {1, 1, 1}}], 
         "Grid"], ImageSize -> Full, FrameMargins -> {{20, 20}, {23, 10}}], 
       PaneBox[
        PaneBox[
         TemplateBox[{"\[ThinSpace]", "\" \"", 
           TagBox[
            TooltipBox[
             PaneSelectorBox[{False -> ButtonBox[
                 PaneBox[
                  GraphicsBox[
                   TagBox[
                    RasterBox[CompressedData["
1:eJxTTMoPSmNiYGAo5gASQYnljkVFiZXBAkBOaF5xZnpeaopnXklqemqRRRIz
UJAPiDmBmIUBO/j//z8jEDcA8W8g3oBFnhmIZ/9HgE9o8mxAvBZJ/hsQuyPJ
8wPxfiT5N0BsjiQvCsTnkOSfALEWkrwSEN9Bkr8OxDJobniAJP8ZZCYWfxCj
RpGQXcS4mVi/ExuGxMYFmlp4nAIAG14fWQ==
                    "], {{0, 14}, {9, 0}}, {0, 255}, ColorFunction -> 
                    RGBColor], 
                    BoxForm`ImageTag[
                    "Byte", ColorSpace -> "RGB", Interleaving -> True], 
                    Selectable -> False], DefaultBaseStyle -> "ImageGraphics",
                    ImageSizeRaw -> {9, 14}, PlotRange -> {{0, 9}, {0, 14}}, 
                   ImageSize -> Magnification[1]], ImageSize -> {35, 30}, 
                  Alignment -> Center], 
                 ButtonFunction :> (
                  NotebookLocate[{"Query-03-association.nb", ""}, 
                   FrontEnd`HistoryData :> {
                    EvaluationNotebook[]}]& ), Enabled -> True, Appearance -> 
                 None, Evaluator -> Automatic, Method -> "Preemptive"], True -> 
               ButtonBox[
                 PaneBox[
                  GraphicsBox[
                   TagBox[
                    RasterBox[CompressedData["
1:eJxTTMoPSmNiYGAo5gASQYnljkVFiZXBAkBOaF5xZnpeaopnXklqemqRRRIz
UJAPiDmBmIUBO/j//z8jEDcA8W8g3oBFnhmIZ/9HgE9o8mxAvBZJ/hsQuyPJ
8wPxfiT5N0BsjiQvCsTnkOSfALEWkrwSEN9Bkr8OxDJobniAJP8ZZCYWfxCj
RpGQXcS4mVi/ExuGxMYFmlp4nAIAG14fWQ==
                    "], {{0, 14}, {9, 0}}, {0, 255}, ColorFunction -> 
                    RGBColor], 
                    BoxForm`ImageTag[
                    "Byte", ColorSpace -> "RGB", Interleaving -> True], 
                    Selectable -> False], DefaultBaseStyle -> "ImageGraphics",
                    ImageSizeRaw -> {9, 14}, PlotRange -> {{0, 9}, {0, 14}}, 
                   ImageSize -> Magnification[1]], ImageSize -> {35, 30}, 
                  Alignment -> Center], 
                 ButtonFunction :> (
                  NotebookLocate[{"Query-03-association.nb", ""}, 
                   FrontEnd`HistoryData :> {
                    EvaluationNotebook[]}]& ), Enabled -> True, Appearance -> 
                 None, Background -> GrayLevel[0.2], Evaluator -> Automatic, 
                 Method -> "Preemptive"]}, 
              Dynamic[
               CurrentValue["MouseOver"]], ImageSize -> Automatic, 
              FrameMargins -> 0], "\"3: Association\"", TooltipDelay -> 0.15, 
             LabelStyle -> "TextStyling"], 
            Annotation[#, "3: Association", "Tooltip"]& ], 
           InterpretationBox[
            StyleBox[
             
             GraphicsBox[{}, ImageSize -> {5, 0}, BaselinePosition -> 
              Baseline], "CacheGraphics" -> False], 
            Spacer[5], Selectable -> False], 
           TagBox[
            TooltipBox[
             PaneSelectorBox[{False -> ButtonBox[
                 PaneBox[
                  GraphicsBox[
                   TagBox[
                    RasterBox[CompressedData["
1:eJxTTMoPSmNiYGAo5gASQYnljkVFiZXBAkBOaF5xZnpeaopnXklqemqRRRIz
UJAfiDmBmAWI////vwKIfwFxMQMOAJT7+R8B6nGoSf+PCjpwqMskUl0SEP9F
UtcHxIxY1EWjqZuOQ10Mmr2TcNj7BEnNP1LNIeQeIDsZn78IhQ8x4fwfNb4a
cPgTFu8l2ORBAAC+1hnm
                    "], {{0, 15}, {9, 0}}, {0, 255}, ColorFunction -> 
                    RGBColor], 
                    BoxForm`ImageTag[
                    "Byte", ColorSpace -> "RGB", Interleaving -> True], 
                    Selectable -> False], DefaultBaseStyle -> "ImageGraphics",
                    ImageSizeRaw -> {9, 15}, PlotRange -> {{0, 9}, {0, 15}}, 
                   ImageSize -> Magnification[1]], ImageSize -> {35, 30}, 
                  Alignment -> Center], 
                 ButtonFunction :> (
                  NotebookLocate[{"Query-05-the-dataset.nb", ""}, 
                   FrontEnd`HistoryData :> {
                    EvaluationNotebook[]}]& ), Appearance -> None, Evaluator -> 
                 Automatic, Method -> "Preemptive"], True -> ButtonBox[
                 PaneBox[
                  GraphicsBox[
                   TagBox[
                    RasterBox[CompressedData["
1:eJxTTMoPSmNiYGAo5gASQYnljkVFiZXBAkBOaF5xZnpeaopnXklqemqRRRIz
UJAfiDmBmAWI////vwKIfwFxMQMOAJT7+R8B6nGoSf+PCjpwqMskUl0SEP9F
UtcHxIxY1EWjqZuOQ10Mmr2TcNj7BEnNP1LNIeQeIDsZn78IhQ8x4fwfNb4a
cPgTFu8l2ORBAAC+1hnm
                    "], {{0, 15}, {9, 0}}, {0, 255}, ColorFunction -> 
                    RGBColor], 
                    BoxForm`ImageTag[
                    "Byte", ColorSpace -> "RGB", Interleaving -> True], 
                    Selectable -> False], DefaultBaseStyle -> "ImageGraphics",
                    ImageSizeRaw -> {9, 15}, PlotRange -> {{0, 9}, {0, 15}}, 
                   ImageSize -> Magnification[1]], ImageSize -> {35, 30}, 
                  Alignment -> Center], 
                 ButtonFunction :> (
                  NotebookLocate[{"Query-05-the-dataset.nb", ""}, 
                   FrontEnd`HistoryData :> {
                    EvaluationNotebook[]}]& ), Appearance -> None, Background -> 
                 GrayLevel[0.2], Evaluator -> Automatic, Method -> 
                 "Preemptive"]}, 
              Dynamic[
               CurrentValue["MouseOver"]], ImageSize -> Automatic, 
              FrameMargins -> 0], "\"5: The Dataset\"", TooltipDelay -> 0.15, 
             LabelStyle -> "TextStyling"], 
            Annotation[#, "5: The Dataset", "Tooltip"]& ]}, 
          "RowWithSeparators"], Alignment -> Right], ImageSize -> {100, 30}, 
        FrameMargins -> {{0, 6}, {0, 0}}, Alignment -> Right], 
       TagBox[
        ActionMenuBox[
         PaneSelectorBox[{True -> PanelBox[
             GraphicsBox[
              TagBox[
               RasterBox[CompressedData["
1:eJxTTMoPSmNiYGAo5gASQYnljkVFiZXBAkBOaF5xZnpeaopnXklqemqRRRIz
UBAkIQ3ELED8////Jf/pA0D2/KWTXSB7ZtPBPrA9DKOAYgAMR1Eg9gPiABpi
P6g912mcLmAAZM9XOtkFsicKiNcD8QYaYpD5UQOdXoYD+E/HMooO9iDbR7c6
BQDxtyEt
                "], {{0, 16}, {27, 0}}, {0, 255}, ColorFunction -> RGBColor], 
               BoxForm`ImageTag[
               "Byte", ColorSpace -> "RGB", Interleaving -> True, 
                Magnification -> 1], Selectable -> False], DefaultBaseStyle -> 
              "ImageGraphics", ImageSize -> Magnification[1], 
              ImageSizeRaw -> {27, 16}, PlotRange -> {{0, 27}, {0, 16}}], 
             Appearance -> None, Background -> GrayLevel[0.2], 
             ImageSize -> {35, 30}, Alignment -> Center], False -> PanelBox[
             GraphicsBox[
              TagBox[
               RasterBox[CompressedData["
1:eJxTTMoPSmNiYGAo5gASQYnljkVFiZXBAkBOaF5xZnpeaopnXklqemqRRRIz
UBAkIQ3ELED8////Jf/pA0D2/KWTXSB7ZtPBPrA9DKOAYgAMR1Eg9gPiABpi
P6g912mcLmAAZM9XOtkFsicKiNcD8QYaYpD5UQOdXoYD+E/HMooO9iDbR7c6
BQDxtyEt
                "], {{0, 16}, {27, 0}}, {0, 255}, ColorFunction -> RGBColor], 
               BoxForm`ImageTag[
               "Byte", ColorSpace -> "RGB", Interleaving -> True, 
                Magnification -> 1], Selectable -> False], DefaultBaseStyle -> 
              "ImageGraphics", ImageSize -> Magnification[1], 
              ImageSizeRaw -> {27, 16}, PlotRange -> {{0, 27}, {0, 16}}], 
             Appearance -> None, Background -> 
             RGBColor[0.0941176, 0.101961, 0.258824], ImageSize -> {35, 30}, 
             Alignment -> Center]}, 
          Dynamic[
           CurrentValue["MouseOver"]]], {
         "1: Introduction" :> 
          NotebookLocate[{"Query-01-introduction.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "2: Data Structures and Functions" :> 
          NotebookLocate[{"Query-02-data-structures-and-functions.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "3: Association" :> 
          NotebookLocate[{"Query-03-association.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "4: Query" :> 
          NotebookLocate[{"Query-04-query.nb", ""}, FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "5: The Dataset" :> 
          NotebookLocate[{"Query-05-the-dataset.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "6: Basic Recipes" :> 
          NotebookLocate[{"Query-06-basic-recipes.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "7: Advanced Recipes" :> 
          NotebookLocate[{"Query-07-advanced-recipes.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "8: Import and Export" :> 
          NotebookLocate[{"Query-08-import-and-export.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "Answers to Exercises" :> 
          NotebookLocate[{"Query-09-answers-to-exercises.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "Index" :> 
          NotebookLocate[{"Query-10-index.nb", ""}, FrontEnd`HistoryData :> {
              EvaluationNotebook[]}]}, Appearance -> None], 
        MouseAppearanceTag["LinkHand"]]}}, AutoDelete -> False, 
     GridBoxItemSize -> {
      "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], 
   Background -> RGBColor[0.07450980392156863, 0.1450980392156863, 0.2], 
   CellMargins -> {{0, 0}, {0, 0}}, CellFrameColor -> 
   RGBColor[0.863264, 0.898009, 0.999619], CellFrame -> {{0, 1}, {0, 0}}, 
   CellFrameMargins -> {{18, 20}, {1, 1}}, ShowStringCharacters -> False, 
   ShowCellBracket -> False, CellGroupingRules -> {"SectionGrouping", 0}, 
   CellContext -> CellGroup], 
  Cell[
   BoxData[
    DynamicModuleBox[{$CellContext`open$$ = False}, 
     PaneSelectorBox[{True -> ButtonBox[
         TemplateBox[{
           StyleBox[
           "\"ATTRIBUTION FOR USAGE \"", 12, FontFamily -> "Source Sans Pro", 
            FontWeight -> "Bold", FontColor -> 
            RGBColor[
             0.2784313725490196, 0.403921568627451, 0.5137254901960784]], 
           GraphicsBox[
            TagBox[
             RasterBox[CompressedData["
1:eJxTTMoPSmNiYGAo5gASQYnljkVFiZXBAkBOaF5xZnpeaopnXklqemqRRRIz
UFAMiNWAmAWIN23atACIDxCBJ/z//5+BEgw0Q4FIuzYAsQMQ/ycSO1DorgNE
2lMAVT+BSPUPKHBTAJF2HEDSIwCyk0h9DWS4iVjzP4DiGk0vsfGJoZcIdzWQ
En9Y9BMbnwdIcJMBpWaSGJ8BVEzrBOOAhPgEuV+AgFkJlMQfBfGJMw9Aw/4D
EWZcoEH+AWEDCv2GVT8V4hMjvZKgl+Qyh0Q/J6Dpu0DN+KMgPj/A8gAoDdMi
/iiIkwkkpHWy4o+C+CSmrCI7/ijMnzSNPwrik+bxR0F8YsME6wcK3UZMGYAN
O9DKTVB3Eds+QMmrtHQTktuIbU/RPP4oiE+y4g8ANP3HuQ==
              "], {{0, 5.28}, {9.12, 0}}, {0, 255}, ColorFunction -> RGBColor,
               ImageResolution -> {300, 300}], 
             BoxForm`ImageTag[
             "Byte", ColorSpace -> "RGB", Interleaving -> True], Selectable -> 
             False], DefaultBaseStyle -> "ImageGraphics", 
            ImageSizeRaw -> {9.12, 5.28}, PlotRange -> {{0, 9.12}, {0, 5.28}},
             ImageSize -> Magnification[1]]}, "RowDefault"], ButtonFunction :> 
         If[$CellGroupContext`open$$, $CellGroupContext`open$$ = 
           False, $CellGroupContext`open$$ = True], Appearance -> None, 
         Evaluator -> Automatic, Method -> "Preemptive"], False -> ButtonBox[
         TemplateBox[{
           StyleBox[
           "\"ATTRIBUTION FOR USAGE \"", 12, FontFamily -> "Source Sans PRo", 
            FontWeight -> "Bold", FontColor -> 
            RGBColor[
             0.2784313725490196, 0.403921568627451, 0.5137254901960784]], 
           GraphicsBox[
            TagBox[
             RasterBox[CompressedData["
1:eJy1ljEOgkAQRYlaWFJZa2VLaamlndHYCxGNDRIwMXYcwSN4BMIJPIJH8Ajc
YJ1N1oQsgrOzQ/FJgPDymJ3dzCQ4rw89x3HSIVzW/nWRJP5t48LNNkpPxyjc
L6NLeAyTWdCHh1PICDKAFEWRQcZCCIczwHxCSkjcAVeoPLncNa7gcv/Brbp7
HXC/yTriyrxM3ZFcY3dDLtqdwEW5w/ud6i0K+w2Zt7BdyIPIlrlLRgt/rhzY
3RU/s6jNP/cxJKe6I/plRakNssddVRtWrlYbVL8Tz5TVv3UlcmNOrurvF/O6
3TnXrSCeHy08D7v2P1Jy/LMWuUddjUnaW19H+T213w0cYwtezbHCpXrWHC25
jY4WXPT8huQaz2wILmnGbOFazZUNXOs5WOOyze0VLtusrrg5l6PGbdwzNvkA
H9MJ6g==
              "], {{0, 9.36}, {5.28, 0}}, {0, 255}, ColorFunction -> RGBColor,
               ImageResolution -> {300, 300}], 
             BoxForm`ImageTag[
             "Byte", ColorSpace -> "RGB", Interleaving -> True], Selectable -> 
             False], DefaultBaseStyle -> "ImageGraphics", 
            ImageSizeRaw -> {5.28, 9.36}, PlotRange -> {{0, 5.28}, {0, 9.36}},
             ImageSize -> Magnification[1]]}, "RowDefault"], ButtonFunction :> 
         If[$CellGroupContext`open$$, $CellGroupContext`open$$ = 
           False, $CellGroupContext`open$$ = True], Appearance -> None, 
         Evaluator -> Automatic, Method -> "Preemptive"]}, 
      Dynamic[$CellGroupContext`open$$]], 
     Initialization :> ($CellGroupContext`open$$ = False), 
     DynamicModuleValues :> {}]], "Text", CellMargins -> {{0, 0}, {0, 0}}, 
   CellFrame -> {{0, 0}, {0, 0}}, CellFrameColor -> 
   RGBColor[0.8588235294117647, 0.9333333333333333, 1.], 
   CellFrameMargins -> {{18, 0}, {1, 3}}, ShowStringCharacters -> False, 
   ShowCellBracket -> False, Background -> 
   RGBColor[0.8588235294117647, 0.9333333333333333, 1.], CellContext -> 
   CellGroup], 
  Cell[
   BoxData[
    TemplateBox[{
      StyleBox[
      "\"Content present in this notebook can be reused with the following \
attribution:\[LineSeparator]\"", FontSize -> 12, FontWeight -> "Regular", 
       FontFamily -> "Source Sans Pro", FontColor -> 
       RGBColor[0.2784313725490196, 0.403921568627451, 0.5137254901960784]], 
      TemplateBox[{
        TemplateBox[{
          StyleBox[
          "\"S. Chandler (2023),  \"", FontWeight -> Bold, FontSize -> 11, 
           FontFamily -> "Source Sans Pro", FontColor -> 
           RGBColor[
            0.2784313725490196, 0.403921568627451, 0.5137254901960784]], 
          StyleBox[
          "\"Query: Getting Information from Data with the Wolfram \
Language\"", Selectable -> True, Copyable -> True, FontSlant -> Italic, 
           FontWeight -> Bold, FontSize -> 11, FontFamily -> 
           "Source Sans Pro", FontColor -> 
           RGBColor[
            0.2784313725490196, 0.403921568627451, 0.5137254901960784]], 
          StyleBox[
          "\", Wolfram \
Media.\[LineSeparator]https://www.wolfram.com/language/query-getting-\
information-from-data-with-the-wolfram-language\"", FontWeight -> Bold, 
           FontSize -> 12, FontFamily -> "Source Sans Pro", FontColor -> 
           RGBColor[
            0.2784313725490196, 0.403921568627451, 0.5137254901960784]]}, 
         "RowDefault"], 
        "\"S. Chandler (2023), Query: Getting Information from Data with the \
Wolfram Language, Wolfram Media. \
www.wolfram.com/language/query-getting-information-from-data-with-the-wolfram-\
language\""}, "ClickToCopy2"]}, "RowDefault"]], "Text", 
   CellElementSpacings -> {"CellMinHeight" -> 4, "ClosedCellHeight" -> 1}, 
   Background -> RGBColor[0.8588235294117647, 0.9333333333333333, 1.], 
   CellMargins -> {{0, 0}, {0, 0}}, CellFrame -> {{0, 0}, {0, 0}}, 
   CellFrameColor -> RGBColor[0.8588235294117647, 0.9333333333333333, 1.], 
   CellFrameMargins -> {{18, 0}, {5, 5}}, ShowCellBracket -> False, 
   ShowStringCharacters -> False, CellOpen -> 
   Dynamic[$CellGroupContext`open$$], CellContext -> CellGroup, Copyable -> 
   True, Selectable -> True, LineSpacing -> {1, -3}]},
PageHeaders->{{
   Cell[
    TextData[{
      StyleBox[
       CounterBox["Page"], "PageNumber"], 
      StyleBox[
      "    Query: Getting Information from Data with the Wolfram Language", 
       "Header"]}], "Header", 
    CellMargins -> {{37, Inherited}, {Inherited, Inherited}}], None, None}, {
  None, None, 
   Cell[
    TextData[{
      StyleBox[
       CounterBox["Section"], "Header"], 
      StyleBox["  |  Query", "Header"], 
      StyleBox["    ", "Header"], 
      StyleBox[
       CounterBox["Page"], "PageNumber"]}], "Header", 
    CellMargins -> {{Inherited, 34}, {Inherited, Inherited}}]}},
TaggingRules->{
 "DocuToolsSettingsInternal" -> {
   "$PacletVersion" -> "0.10.2469", "CloseOpenPageDialogAutomatically" -> 
    True, "$ApplicationName" -> "Pubs", "$LinkBase" -> "Pubs", 
    "$ApplicationDirectory" -> "C:\\Users\\jayw\\Desktop\\CVSTree\\Pubs\\", 
    "$DocumentationDirectory" -> 
    "C:\\Users\\jayw\\Desktop\\CVSTree\\Pubs\\Documentation\\English\\", 
    "$UseNewPageDialog" -> "True", "$CondensedBlogMenus" -> "True"}, 
  "WelcomeScreenSettings" -> {"FEStarting" -> False}, 
  "DraftSectionsDirectory" -> 
  "C:\\Users\\jayw\\Desktop\\Projects\\EIWL-3e\\Source copy\\", 
  "BlogsDirectory" -> 
  "C:\\Users\\jayw\\Desktop\\Projects\\13.1-Blog\\History\\", 
  "WBTDraftSectionsDirectory" -> 
  "C:\\Users\\jayw\\Desktop\\Projects\\ChandlerBook\\Print_source\\", 
  "IndexEntries" -> {{"i:1", "Query?"}, {
    "i:1", "Query?{as functional programming construct}"}, {
    "i:1", "Query?{history}"}, {
    "i:2", "Query?{meaning of argument sequence}"}, {
    "i:3", "Query?{order of operations}"}, {
    "i:3", "Normal?{use on Query?}"}, {
    "i:3", "Normal?{use to discover order of operations of Query?}"}, {
    "i:3", "Query?{use of Normal?}"}, {
    "i:4", "Query?{independence from data}"}, {
    "i:5", "Map?{nested use of as output from Normal? of Query?}"}, {
    "i:6", "MapLevel"}, {"i:6", "ResourceFunction?{MapLevel}"}, {
    "i:7", "TreeForm?"}, {"i:7", "ResourceFunction?{QueryTreeForm}"}, {
    "i:7", "QueryTreeForm"}, {
    "i:8", "RightComposition?{as output from Normal? of Query?}"}, {
    "i:9", "Query?{order of operations}"}, {
    "i:10", "Query?{LIFO principle}"}, {
    "i:11", "Composed functions{use as a Query? argument}"}, {
    "i:12", "Query?{LIFO exceptions}"}, {
    "i:12", "Query?{ascending operators}"}, {
    "i:12", "Query?{descending operators}"}, {"i:13", "Trace?"}, {
    "i:13", "Query?{with Trace?}"}, {"i:14", "Part?{compared with Span?}"}, {
    "i:14", "Span{compared with Part?}"}, {"i:15", "Descending operators"}, {
    "i:15", "Query?{descending operators}"}, {"i:16", "Trace?"}, {
    "i:16", "Query?{with Trace?}"}, {"i:17", "Slice"}, {
    "i:17", "GeneralUtilities`Slice"}, {"i:17", "ResourceFunction?{Slice}"}, {
    "i:17", "Take?{conversion to Slice}"}, {
    "i:17", "Key?{conversion to Slice}"}, {
    "i:17", "Slice{as descending operator}"}, {"i:18", "Select?"}, {
    "i:18", "SelectFirst?"}, {"i:18", "KeySelect?"}, {"i:18", "MaximalBy?"}, {
    "i:18", "MinimalBy?"}, {
    "i:18", "Query?{Select? variants as descending operators}"}, {
    "i:19", "DeleteDuplicatesBy?"}, {"i:19", "DeleteDuplicates?"}, {
    "i:19", "DeleteMissing?"}, {
    "i:19", "Query?{deletion variants as descending operators}"}, {
    "i:20", "Cases?"}, {"i:20", "Cases?{as descending operator}"}, {
    "i:20", "Query?{Cases? as descending operator}"}, {"i:21", "Sort?"}, {
    "i:21", "SortBy?"}, {"i:21", "ReverseSort?"}, {
    "i:21", "ReverseSortBy?"}, {"i:21", "KeySortBy?"}, {
    "i:21", "Query?{sorting functions as descending operators}"}, {
    "i:22", "KeySort?"}, {"i:22", "AlphabeticSort?"}, {
    "i:22", "LexicographicSort?"}, {
    "i:22", "Query?{sorting functions as ascending operators}"}, {
    "i:23", "Values?"}, {"i:23", "Values?{as special case of Slice}"}, {
    "i:23", "Values?{as descending operator}"}, {"i:24", "DescendingQ"}, {
    "i:24", "Dataset`DescendingQ"}, {
    "i:25", "Composition{ascending and descending operators}"}, {
    "i:25", "Ascending operators{composition with descending operators}"}, {
    "i:25", "Descending operators{composition with ascending operators}"}, {
    "i:25", "Query?{order of operations}"}, {"i:26", "GroupBy?"}, {
    "i:26", "GroupBy?{as descending operator}"}, {
    "i:27", "GroupBy?{as operator versus as function}"}, {
    "i:28", "MissingBehavior?"}, {
    "i:28", "MissingBehavior?{absence when Normal? applied to Query?}"}, {
    "i:28", "Normal?{behavior with missing data}"}, {"i:29", "Subqueries"}, {
    "i:29", "Query?{as argument to Query?}"}, {
    "i:29", "Query?{wrapping to change order of operations}"}, {
    "i:30", "MapAt?{syntactic sugar}"}, {"i:31", "MapAt?{composition of}"}, {
    "i:32", "MapAt?{result when Normal? applied}"}, {
    "i:33", "Titanic data"}, {"i:34", "Select?"}, {"i:35", "Select?"}, {
    "i:35", "Counts?"}, {"i:35", "RightComposition?"}, {
    "i:35", "Function composition"}, {"i:36", "Query?{LIFO principle}"}, {
    "i:37", "GroupBy?{within Query?}"}, {
    "i:38", "Query?{MissingBehavior?}"}, {"i:39", "JoinAcross?"}, {
    "i:40", "JoinAcross?{unnecessary to use as Query? argument}"}, {
    "i:41", "All?{as Query? argument}"}, {
    "i:41", "Identity?{as Query? argument}"}, {"i:42", "Null?"}, {
    "i:42", "Query?{Null? as impermissible argument}"}, {
    "i:43", "Query?{use with hierarchical data}"}, {"i:44", "Planets data"}, {
    "i:45", "Tongue twisters"}, {"i:46", "Functional programming"}, {
    "i:46", "LISP"}, {"i:46", "Query?{construction with functions}"}, {
    "i:47", "Debugging"}, {"i:47", "Query?{debugging}"}, {
    "i:48", "Failure?"}, {"i:48", "Query?{Failure? objects as result}"}, {
    "i:49", "FailureAction?"}, {"i:49", "Query?{FailureAction? option}"}, {
    "i:50", "Query?{missing data}"}, {
    "i:51", "Missing data{Query? arguments with Slice operators versus \
anonymous functions}"}, {"i:52", "PartBehavior?"}, {
    "i:52", "Query?{PartBehavior? option}"}, {
    "i:53", "PartBehavior?{combined with FailureAction?}"}, {
    "i:53", "FailureAction?{combined with PartBehavior?}"}, {
    "i:54", "Insert?"}, {"i:55", "Cleaning data"}, {
    "i:56", "MissingBehavior?"}, {"i:56", "Missing data"}, {
    "i:56", "Query?{MissingBehavior? option}"}, {
    "i:56", "MissingBehavior?{with None?}"}, {
    "i:57", "MissingBehavior?{with Automatic?}"}, {"i:58", "MapLevel"}, {
    "i:58", "ResourceFunction?{MapLevel}"}, {"i:59", "dplyr"}, {
    "i:59", "tidyverse"}, {"i:59", "R"}, {"i:60", "Take?{with UpTo?}"}, {
    "i:60", "UpTo?"}, {"i:61", "MapAt?"}, {"i:62", "MapAtKey"}, {
    "i:62", "ResourceFunction?{MapAtKey}"}, {
    "i:63", "MapAtKey{limitations}"}, {"i:64", "Trace?{on a Query?}"}}, 
  "PaginationCache" -> {{
    2023, 8, 31, 16, 24, 9.8090736`8.744202957781521}, CompressedData["
1:eJxtwVcSglAMBdDgTtiSS2DGb1TsBcGGDbDCdnWceZDk5hw/CLuBR0S9DlHo
9LUBM3QiZ9QYtyY/U27GzNECLdFKWLdisNESJkVbbWfYo4PhqGXaSTkLF8NV
ujk5VzClcEcP8EQvw9v2ESqt/vsCDxQ+mg==
    "], Automatic}, 
  "IndexItemsAndPageNumbers" -> {{"i:1", 111}, {"i:2", 111}, {"i:3", 112}, {
    "i:4", 112}, {"i:5", 113}, {"i:6", 113}, {"i:7", 113}, {"i:8", 114}, {
    "i:9", 114}, {"i:10", 114}, {"i:11", 115}, {"i:12", 118}, {"i:13", 119}, {
    "i:14", 119}, {"i:15", 119}, {"i:16", 120}, {"i:17", 120}, {
    "i:18", 121}, {"i:19", 121}, {"i:20", 122}, {"i:21", 122}, {
    "i:22", 123}, {"i:23", 123}, {"i:24", 123}, {"i:25", 124}, {
    "i:26", 125}, {"i:27", 125}, {"i:28", 126}, {"i:29", 127}, {
    "i:30", 127}, {"i:31", 128}, {"i:32", 129}, {"i:33", 130}, {
    "i:34", 130}, {"i:35", 131}, {"i:36", 132}, {"i:37", 132}, {
    "i:38", 134}, {"i:39", 134}, {"i:40", 134}, {"i:41", 135}, {
    "i:42", 135}, {"i:43", 135}, {"i:44", 136}, {"i:45", 136}, {
    "i:46", 137}, {"i:47", 137}, {"i:48", 138}, {"i:49", 139}, {
    "i:50", 143}, {"i:51", 144}, {"i:52", 144}, {"i:53", 144}, {
    "i:54", 144}, {"i:55", 145}, {"i:56", 145}, {"i:57", 146}, {
    "i:58", 149}, {"i:59", 149}, {"i:60", 150}, {"i:61", 150}, {
    "i:62", 150}, {"i:63", 150}, {"i:64", 151}}},
ShowCellLabel->Automatic,
CellLabelAutoDelete->Automatic,
ShowAutoSpellCheck->False,
FrontEndVersion->"13.3 for Mac OS X x86 (64-bit) (June 3, 2023)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[StyleDefinitions -> "Default.nb"]], 
   Cell[
    CellGroupData[{
      Cell[
      "Style Environments", "Section", 
       CellChangeTimes -> {{3.64661165091824*^9, 3.646611654013329*^9}, 
         3.6485723794335403`*^9, 3.651347081728628*^9, 3.651347179462186*^9, 
         3.651347384135805*^9, 3.651348171662589*^9}], 
      Cell[
       StyleData[All, "Working"], CreateCellID -> True, 
       ShowPredictiveInterface -> False, 
       AutoStyleOptions -> {
        "UndefinedSymbolStyle" -> None}, $CellContext`CellInsertionPointCell -> 
       FEPrivate`FrontEndResource[
        "FEExpressions", 
         "CellInsertionMenu"], $CellContext`GhostCellInEmptyNotebook -> 
       False], 
      Cell[
       StyleData[All, "Printout"], 
       PrintingOptions -> {"PageSize" -> {504, 720}}, 
       AutoStyleOptions -> {"UndefinedSymbolStyle" -> None}, Magnification -> 
       0.6], 
      Cell[
       StyleData[All, "Invisibles"], DockedCells -> {
         Cell[
          BoxData[
           GridBox[{{
              InterpretationBox[
               StyleBox[
                
                GraphicsBox[{}, BaselinePosition -> Baseline, 
                 ImageSize -> {4, 0}], CacheGraphics -> False], 
               Spacer[4]], 
              ActionMenuBox[
              "\"Insert\"", {
               "\"Subsection\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTConvertToSubsectionStyle[]), 
                "\"Subsubsection\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTConvertToSubsubsectionStyle[]), 
                "\"Subsubsubsection\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTConvertToSubsubsubsectionStyle[]), 
                Delimiter, 
                "\"Text\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTConvertToTextStyle[]), "\"CodeText\"" :> 
                Module[{$CellContext`bn = ButtonNotebook[]}, 
                  If[Developer`CellInformation[$CellContext`bn] =!= $Failed, 
                    While[
                    FreeQ[
                    Developer`CellInformation[$CellContext`bn], 
                    "CellBracket"], 
                    FrontEndExecute[
                    
                    FrontEnd`SelectionMove[$CellContext`bn, All, Cell, 
                    AutoScroll -> False]]]; 
                    SelectionMove[$CellContext`bn, After, Cell]]; 
                  NotebookWrite[$CellContext`bn, 
                    Cell["XXXX", "CodeText"], All]; 
                  SelectionMove[$CellContext`bn, All, CellContents]], 
                "\"Hyperlink\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTGenerateHyperlinkDialog[]), Delimiter, 
                "\"Vocabulary 2Col\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTInsertVocabularySectionAnd2ColTable[]), 
                "\"Vocabulary 3Col\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTInsertVocabularySectionAnd3ColTable[]), 
                "\"Add Row\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTVocabTableAddRow[]), 
                "\"Remove Row\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTVocabTableAddRow["RemoveRow" -> True]), 
                "\"Apply Divider\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTVocabTableAddRow["AddDivider" -> True]), 
                "\"Remove Divider\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTVocabTableAddRow[
                  "RemoveDivider" -> True]), Delimiter, 
                "\"Exercises\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTInsertExerciseSection[]), 
                "\"Exercise\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTInsertExerciseSection[]), 
                "\"Q&A | Tech Notes | More\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTInsertQAndATechNotesMore[]), 
                "\"Question\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTInsertQuestion[]), 
                "\"Answer\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTInsertAnswer[]), 
                "\"Tech Note\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTInsertTechNote[]), 
                "\"More to Explore\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTInsertMoreExplore[]), 
                "\"References Section\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTInsertReferencesSection[]), Delimiter, 
                "\"Comment\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTApplyComment[])}, Appearance -> 
               "PopupMenu", FrameMargins -> 2.4], 
              ItemBox["", ItemSize -> Fit], 
              ActionMenuBox[
              "\"Function Name\"", {
               "\"Link\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTMakeSymbolLink[]), 
                "\"Format\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTFormatSymbol[])}, Appearance -> 
               "PopupMenu", Method -> "Queued", FrameMargins -> 2.4], 
              ButtonBox[
              "\"Resource Function Link\"", 
               ButtonFunction :> (Needs["WolframBookTools`"]; 
                WolframBookTools`WBTResourceFunctionLink[]), Evaluator -> 
               Automatic, Appearance -> "DialogBox", Method -> "Queued"], 
              ButtonBox[
              "\"Inline Code\"", 
               ButtonFunction :> (Needs["WolframBookTools`"]; 
                WolframBookTools`WBTConvertToInlineCode[]), Evaluator -> 
               Automatic, Appearance -> "DialogBox", Method -> "Queued"], 
              ActionMenuBox[
              "\"Mark Cells\"", {
               "\"Tentative\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTApplyTentative[]), Delimiter, 
                "\"Print Only\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTApplyPrintOnly[]), 
                "\"Web Only\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTApplyWebOnly[]), Delimiter, 
                "\"Locked\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTApplyLock[])}, Method -> "Queued", 
               FrameMargins -> 2.4], 
              ItemBox["", ItemSize -> Fit], 
              GridBox[{{
                 TooltipBox[
                  ButtonBox[
                  "\"Index Field\"", Appearance -> {"AbuttingRight"}, 
                   ButtonFunction :> (Needs["WolframBookTools`"]; 
                    WolframBookTools`WBTInsertIndexField[]), Evaluator -> 
                   Automatic, Method -> "Queued"], 
                  "First put the cursor in a cell to insert a corresponding \
field above to insert index entries.\nList main index entries corresponding \
to the cell separated by commas. Any associated sub-entries\nshould be put \
immediately after in braces.\nExample: programming{functional, rule based}, \
function, relation, lists{flat, nested}\n If $Language is \"ChineseSimplified\
\", \"ChineseTraditional\", \"Japanese\", \"Korean\" or \"Russian\"\ntwo \
index fields get inserted above a selected cell, the top one for inserting \
entries\nintended for the Englsh index and the bottom for the index in the \
language given by $Language.", TooltipDelay -> 0.3], 
                 TooltipBox[
                  ButtonBox[
                  "\"Toggle\"", Appearance -> {"AbuttingLeft"}, 
                   ButtonFunction :> (CurrentValue[
                    ButtonNotebook[], ScreenStyleEnvironment] = 
                    If[CurrentValue[
                    ButtonNotebook[], ScreenStyleEnvironment] === 
                    "Invisibles", "Working", "Invisibles"]), Evaluator -> 
                   Automatic, Method -> "Queued"], 
                  "Toggles index entry fields.", TooltipDelay -> 0.3]}}, 
               GridBoxItemSize -> {
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
               GridBoxSpacings -> {
                "ColumnsIndexed" -> {2 -> 0}, "Rows" -> {{Automatic}}}], 
              InterpretationBox[
               StyleBox[
                
                GraphicsBox[{}, BaselinePosition -> Baseline, 
                 ImageSize -> {4, 0}], CacheGraphics -> False], 
               Spacer[4]]}}]], "DockedCell", 
          CellFrameMargins -> {{0, 0}, {8, 8}}]}, CreateCellID -> True, 
       ShowPredictiveInterface -> False, 
       AutoStyleOptions -> {
        "UndefinedSymbolStyle" -> None}, $CellContext`CellInsertionPointCell -> 
       FEPrivate`FrontEndResource[
        "FEExpressions", 
         "CellInsertionMenu"], $CellContext`GhostCellInEmptyNotebook -> 
       False]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell["Styles for Headers and Footers", "Section"], 
      Cell[
       StyleData["Header"], 
       PrintingOptions -> {"PageHeaderMargins" -> {28, 28}}, StyleMenuListing -> 
       None, FontFamily -> "Source Sans Pro", FontSize -> 8, FontWeight -> 
       "Regular", FontSlant -> "Plain", 
       PrivateFontOptions -> {"FontPostScriptName" -> "Automatic"}, FontColor -> 
       GrayLevel[0.45]], 
      Cell[
       StyleData["PageNumber"], CellMargins -> {{0, 0}, {4, 1}}, 
       StyleMenuListing -> None, FontFamily -> "Source Sans Pro", FontSize -> 
       8, FontWeight -> "Bold", FontSlant -> "Plain", 
       PrivateFontOptions -> {"FontPostScriptName" -> "Automatic"}, FontColor -> 
       GrayLevel[0]]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
      "Custom Styles", "Section", 
       CellChangeTimes -> {{3.646611660445352*^9, 3.646611669493331*^9}}], 
      Cell[
       StyleData["Notebook"], PageWidth :> 700, 
       PrintingOptions -> {
        "FirstPageHeader" -> True, "InnerOuterMargins" -> {30, 30}, 
         "PaperOrientation" -> "Portrait", "PaperSize" -> {504, 720}, 
         "PrintingMargins" -> {{20, 20}, {54, 54}}}, CellLabelAutoDelete -> 
       False, ShowSyntaxStyles -> True, MenuSortingValue -> None, 
       GraphicsBoxOptions -> {ImageSize -> 240}, 
       Graphics3DBoxOptions -> {ImageSize -> 240}], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Title"], CellMargins -> {{64, Inherited}, {50, 72}}, 
          MenuCommandKey :> None, FontFamily -> "Verdana", FontSize -> 42, 
          FontWeight -> "Bold", FontColor -> GrayLevel[0.4]], 
         Cell[
          StyleData["Title", "Printout"], 
          CellMargins -> {{64, Inherited}, {50, 72}}]}, Closed]], 
      Cell[
       StyleData["Chapter"], MenuCommandKey :> None], 
      Cell[
       StyleData["Subchapter"], MenuCommandKey :> None], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Section"], CellFrame -> {{0, 0}, {0, 0}}, 
          CellMargins -> {{64, Inherited}, {12, 64}}, 
          CellGroupingRules -> {"SectionGrouping", 30}, PageBreakAbove -> 
          True, ShowCellLabel -> False, 
          CellFrameLabelMargins -> {{2, Inherited}, {Inherited, Inherited}}, 
          CellChangeTimes -> {3.652728456208679*^9, 3.652728527108994*^9}, 
          CounterIncrements -> "Section", 
          CounterAssignments -> {{"Subsection", 0}, {"Subsubsection", 0}, {
            "Exercise", 0}}, FontFamily -> "Source Sans Pro Semibold", 
          FontSize -> 26, FontSlant -> "Plain", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`], 
          InterpretationBoxOptions -> {Editable -> True}], 
         Cell[
          StyleData["Section", "Printout"], 
          CellMargins -> {{62, 4}, {52, 182}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SectionDoubleDigit"], CellFrame -> {{0, 0}, {0, 0}}, 
          CellDingbat -> Cell[
            TextData[
             CounterBox["Section"], 
             StyleBox[
             "|\[NegativeThinSpace]\[VeryThinSpace]", FontColor -> 
              RGBColor[
               0.9019607843137255, 0.4117647058823529, 0.027450980392156862`],
               FontFamily -> "Courier", FontSize -> 36, FontWeight -> Plain]],
             "SectionNumber"], CellMargins -> {{112, Inherited}, {12, 64}}, 
          Evaluatable -> True, CellGroupingRules -> {"SectionGrouping", 60}, 
          PageBreakAbove -> True, ShowCellLabel -> False, 
          CellFrameLabelMargins -> {{2, Inherited}, {Inherited, Inherited}}, 
          CellChangeTimes -> {3.652728456208679*^9, 3.652728527108994*^9}, 
          CounterIncrements -> "Section", 
          CounterAssignments -> {{"Subsection", 0}, {"Subsubsection", 0}, {
            "Exercise", 0}}, FontFamily -> "Source Sans Pro Semibold", 
          FontSize -> 26, FontSlant -> "Plain", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`], 
          InterpretationBoxOptions -> {Editable -> True}], 
         Cell[
          StyleData["SectionDoubleDigit", "Printout"], 
          CellMargins -> {{112, Inherited}, {12, 2}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SectionNumber"], CellBaseline -> Baseline, FontFamily -> 
          "Source Sans Pro Semibold", FontSize -> 26, FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
         Cell[
          StyleData["SectionNumber", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SectionBar"], FontFamily -> "Source Sans Pro", 
          FontWeight -> "Plain", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
         Cell[
          StyleData["SectionBar", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SectionInline"], FontFamily -> 
          "Source Sans Pro Semibold", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
         Cell[
          StyleData["SectionInline", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SectionNoDingbat"], 
          CellMargins -> {{64, Inherited}, {12, 64}}, Evaluatable -> True, 
          CellGroupingRules -> {"SectionGrouping", 60}, PageBreakAbove -> 
          True, ShowCellLabel -> False, 
          CellFrameLabelMargins -> {{2, Inherited}, {Inherited, Inherited}}, 
          CellChangeTimes -> {3.652728456208679*^9, 3.652728527108994*^9}, 
          CounterIncrements -> "Section", 
          CounterAssignments -> {{"Subsection", 0}, {"Subsubsection", 0}, {
            "Exercise", 0}}, FontFamily -> "Source Sans Pro Semibold", 
          FontSize -> 26, FontSlant -> "Plain", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`], 
          InterpretationBoxOptions -> {Editable -> True}], 
         Cell[
          StyleData["SectionNoDingbat", "Printout"], 
          CellMargins -> {{64, Inherited}, {12, 2}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SubsectionNumbered"], CellDingbat -> Cell[
            TextData[{"  ", 
              CounterBox["Section"], ".", 
              CounterBox["Subsection"]}], "SubsectionNumber", FontColor -> 
            RGBColor[
             0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
          CellMargins -> {{98, Inherited}, {Inherited, 32}}, 
          CounterIncrements -> "Subsection", FontFamily -> 
          "Source Sans Pro Semibold", FontSize -> 18, FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
         Cell[
          StyleData["SubsectionNumbered", "Printout"], 
          CellMargins -> {{102, Inherited}, {12, 32}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SubsectionNumber"], FontFamily -> 
          "Source Sans Pro Semibold", FontSize -> 18, FontColor -> 
          GrayLevel[0.25]], 
         Cell[
          StyleData["SubsectionNumber", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SubsectionFirst"], 
          CellMargins -> {{64, Inherited}, {2, 72}}, FontFamily -> 
          "Source Sans Pro Semibold", FontSize -> 18, FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
         Cell[
          StyleData["Subsection", "Printout"], 
          CellMargins -> {{64, Inherited}, {12, 32}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Subsection"], CellMargins -> {{64, Inherited}, {2, 32}}, 
          FontFamily -> "Source Sans Pro Semibold", FontSize -> 18, FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
         Cell[
          StyleData["Subsection", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Subsubsection"], 
          CellMargins -> {{64, Inherited}, {2, 32}}, FontFamily -> 
          "Source Sans Pro Semibold", FontSize -> 16, FontSlant -> "Italic", 
          FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
         Cell[
          StyleData["Subsubsection", "Printout"], 
          CellMargins -> {{64, Inherited}, {6, 14}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SubsubsectionTopMargin"], 
          CellMargins -> {{64, Inherited}, {2, 14}}, FontFamily -> 
          "Source Sans Pro Semibold", FontSize -> 16, FontSlant -> "Italic", 
          FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
         Cell[
          StyleData["SubsubsectionTopMargin", "Printout"], 
          CellMargins -> {{64, Inherited}, {6, 14}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Subsubsubsection"], 
          CellMargins -> {{64, Inherited}, {2, 32}}, FontFamily -> 
          "Source Sans Pro Semibold", FontSize -> 15, FontSlant -> "Plain", 
          FontColor -> GrayLevel[0.45]], 
         Cell[
          StyleData["Subsubsubsection", "Printout"], 
          CellMargins -> {{64, Inherited}, {6, 14}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ResourcesSubsection"], 
          CellMargins -> {{64, Inherited}, {4, 16}}, FontFamily -> 
          "Source Sans Pro Semibold", FontSize -> 15, FontSlant -> "Plain", 
          FontColor -> GrayLevel[0]], 
         Cell[
          StyleData["ResourcesSubsection", "Printout"], 
          CellMargins -> {{64, Inherited}, {4, 16}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["VocabularySection"], PageWidth :> 700, 
          CellFrame -> {{0, 0}, {0, 3}}, 
          CellMargins -> {{64, Inherited}, {8, 30}}, 
          CellGroupingRules -> {"SectionGrouping", 60}, PageBreakBelow -> 
          False, CellFrameMargins -> {{8, 8}, {4, 6}}, CellFrameColor -> 
          RGBColor[0.901961, 0.411765, 0.027451], FontFamily -> 
          "Source Sans Pro", FontSize -> 18, FontSlant -> "Italic", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`], 
          GridBoxOptions -> {GridBoxAlignment -> {}}], 
         Cell[
          StyleData["VocabularySection", "Printout"], 
          CellMargins -> {{64, Inherited}, {8, 24}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["VocabularySubsection"], 
          CellMargins -> {{64, Inherited}, {2, 10}}, FontFamily -> 
          "Source Sans Pro", FontSize -> 16, FontSlant -> "Italic", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
         Cell[
          StyleData["VocabularySubsubsection", "Printout"], 
          CellMargins -> {{64, Inherited}, {6, 14}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["VocabularySubsectionSM"], 
          CellFrame -> {{0, 0}, {0.75, 0}}, 
          CellMargins -> {{64, Inherited}, {5, 15}}, 
          CellFrameMargins -> {{8, 8}, {5, 6}}, CellFrameColor -> 
          RGBColor[0.901961, 0.411765, 0.027451], FontFamily -> 
          "Source Sans Pro", FontSize -> 14, FontWeight -> "Bold", FontSlant -> 
          "Regular", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
         Cell[
          StyleData["VocabularySubsubsectionSM", "Printout"], 
          CellMargins -> {{64, Inherited}, {6, 15}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["VocabularyTable", StyleDefinitions -> StyleData["Text"]],
           SpanMaxSize -> 1, FontFamily -> "Source Sans Pro Light", FontColor -> 
          GrayLevel[0.8], 
          GridBoxOptions -> {
           GridBoxAlignment -> {"Columns" -> {{Left}}}, 
            GridBoxDividers -> {"Columns" -> {{False}}, "Rows" -> {False, {
                 Directive[
                  Thickness[0.5], "VocabDivColor"]}, False}}, 
            GridBoxItemStyle -> {
             "Columns" -> {"VocabularyCode", Inherited, Inherited}, 
              "Rows" -> {{Automatic}}}, 
            GridBoxSpacings -> {
             "Columns" -> {{0, 1, 2, 1, 2}}, "Rows" -> {{1}}}}], 
         Cell[
          StyleData["VocabularyTable", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData[
          "VocabularyTable3Column", StyleDefinitions -> StyleData["Text"]], 
          SpanMaxSize -> 1, FontFamily -> "Source Sans Pro Light", FontColor -> 
          GrayLevel[0.8], 
          GridBoxOptions -> {
           GridBoxAlignment -> {"Columns" -> {{Left}}}, 
            GridBoxDividers -> {"Columns" -> {{False}}, "Rows" -> {False, {
                 Directive[
                  Thickness[0.5], "VocabDivColor"]}, False}}, 
            GridBoxItemStyle -> {
             "Columns" -> {
               "VocabularyCode", Inherited, "VocabularyCode", Inherited, 
                Inherited}, "Rows" -> {{Automatic}}}, 
            GridBoxSpacings -> {
             "Columns" -> {{0, 1, 2, 1, 2}}, "Rows" -> {{1}}}}], 
         Cell[
          StyleData["VocabularyTable3Column", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["VocabularyText"], FontFamily -> "Source Sans Pro", 
          FontSize -> 14, FontWeight -> "Plain", FontSlant -> "Plain", 
          FontColor -> GrayLevel[0.25]], 
         Cell[
          StyleData["VocabularyText", "Printout"], 
          CellMargins -> {{66, 10}, {7, 7}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["VocabularyCode", StyleDefinitions -> StyleData["Text"]], 
          Deletable -> False, FontFamily -> "Source Sans Pro", FontSize -> 14,
           FontWeight -> "Bold", FontColor -> GrayLevel[0.25], 
          GridBoxOptions -> {
           GridBoxAlignment -> {"Columns" -> {{Left}}}, 
            GridBoxDividers -> {
             "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
              "Rows" -> {True, {True}, True}, "RowsIndexed" -> {}}}], 
         Cell[
          StyleData["VocabularyCode", "Printout"], FontColor -> 
          GrayLevel[0.25]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["GrayPointSix"], FontColor -> GrayLevel[0.6]], 
         Cell[
          StyleData["GrayPointSix", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["VocabDivColor"], FontColor -> GrayLevel[0.8]], 
         Cell[
          StyleData["VocabDivColor", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ExerciseSection"], PageWidth :> 700, 
          CellFrame -> {{0, 0}, {0, 3}}, 
          CellMargins -> {{64, Inherited}, {8, 30}}, Evaluatable -> True, 
          CellGroupingRules -> {"SectionGrouping", 60}, PageBreakBelow -> 
          False, ShowCellLabel -> False, CellFrameMargins -> {{8, 8}, {4, 6}},
           CellFrameColor -> RGBColor[0.901961, 0.411765, 0.027451], 
          CounterAssignments -> {{"Subsection", 0}, {"Subsubsection", 0}, {
            "Exercise", 0}}, FontFamily -> "Source Sans Pro", FontSize -> 18, 
          FontSlant -> "Italic", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`], 
          GridBoxOptions -> {GridBoxAlignment -> {}}], 
         Cell[
          StyleData["ExerciseSection", "Printout"], 
          CellMargins -> {{64, Inherited}, {8, 30}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ExerciseSubsection"], PageWidth :> 500, 
          CellFrame -> {{False, False}, {1, False}}, 
          CellMargins -> {{64, Inherited}, {8, 18}}, 
          CellGroupingRules -> {"SectionGrouping", 61}, CellFrameColor -> 
          RGBColor[0.65, 0.6, 0.6], FontFamily -> "Source Sans Pro", FontSize -> 
          18, FontSlant -> "Italic", FontColor -> RGBColor[0.65, 0.6, 0.6]], 
         Cell[
          StyleData["ExerciseSubsection", "Printout"], 
          CellFrame -> {{False, False}, {1, False}}, CellFrameColor -> 
          RGBColor[0.65, 0.6, 0.6]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ExerciseSubsectionSM"], 
          CellMargins -> {{64, Inherited}, {4, 12}}, 
          CellGroupingRules -> {"SectionGrouping", 61}, FontFamily -> 
          "Source Sans Pro Semibold", FontSize -> 15, FontSlant -> "Plain", 
          FontColor -> GrayLevel[0]], 
         Cell[
          StyleData["ExerciseSubsectionSM", "Printout"], 
          CellMargins -> {{64, Inherited}, {4, 12}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Exercise"], PageWidth :> 700, CellDingbat -> Cell[
            TextData[{"  ", 
              CounterBox["Section"], ".", 
              CounterBox["Exercise"]}], "ExerciseNumber", FontColor -> 
            RGBColor[
             0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
          ShowGroupOpener -> True, CellMargins -> {{106, Inherited}, {4, 8}}, 
          CellGroupingRules -> {"SectionGrouping", 62}, DefaultNewCellStyle -> 
          "ExerciseInput", CounterIncrements -> "Exercise", MenuSortingValue -> 
          10020, MenuCommandKey :> "2", FontFamily -> "Source Sans Pro", 
          FontSize -> 14, FontWeight -> "Plain", FontSlant -> "Plain", 
          FontColor -> GrayLevel[0.25]], 
         Cell[
          StyleData["Exercise", "Printout"], ShowGroupOpener -> False, 
          CellMargins -> {{108, Inherited}, {4, 8}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ExerciseNumber"], FontFamily -> "Source Sans Pro", 
          FontSize -> 14, FontWeight -> "Bold", FontColor -> GrayLevel[0.25]], 
         Cell[
          StyleData["ExerciseNumber", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ExerciseNote"], PageWidth :> 700, 
          CellMargins -> {{64, Inherited}, {4, 8}}, 
          CellGroupingRules -> {"SectionGrouping", 62.}, PageBreakBelow -> 
          False, LineSpacing -> {1., 1., 2.}, MenuSortingValue -> 10050, 
          FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
          "Plain", FontSlant -> "Plain", FontColor -> 
          GrayLevel[0.25], $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["ExerciseNote", "Printout"], 
          CellMargins -> {{64, Inherited}, {4, 8}}, 
          LineSpacing -> {0.8, 1., 2.}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["QASection"], PageWidth :> 700, 
          CellFrame -> {{0, 0}, {0, 3}}, 
          CellMargins -> {{64, Inherited}, {8, 30}}, 
          CellGroupingRules -> {"SectionGrouping", 60}, PageBreakBelow -> 
          False, CellFrameMargins -> {{8, 8}, {4, 6}}, CellFrameColor -> 
          RGBColor[0.901961, 0.411765, 0.027451], 
          CounterAssignments -> {{"Subsection", 0}, {"Subsubsection", 0}, {
            "Question", 0}}, FontFamily -> "Source Sans Pro", FontSize -> 18, 
          FontSlant -> "Italic", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`], 
          GridBoxOptions -> {GridBoxAlignment -> {}}], 
         Cell[
          StyleData["QASection", "Printout"], 
          CellMargins -> {{64, Inherited}, {8, 30}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Question"], PageWidth :> 700, 
          CellMargins -> {{64, Inherited}, {2, 12}}, PageBreakBelow -> False, 
          CounterIncrements -> "Question", MenuSortingValue -> 10030, 
          MenuCommandKey :> "3", FontFamily -> "Source Sans Pro", FontSize -> 
          14, FontWeight -> "Bold", FontSlant -> 
          "Plain", $CellContext`ReturnCreatesNewCell -> 
          True, $CellContext`DefaultReturnCreatedCellStyle -> "Answer"], 
         Cell[
          StyleData["Question", "Printout"], 
          CellMargins -> {{65, Inherited}, {2, 12}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Answer"], PageWidth :> 700, 
          CellMargins -> {{66, 10}, {4, 1}}, LineSpacing -> {1.125, 1., 2.}, 
          MenuSortingValue -> 10032, FontFamily -> "Source Sans Pro", 
          FontSize -> 14, FontWeight -> "Plain", FontSlant -> "Plain", 
          FontColor -> GrayLevel[0.25], $CellContext`ReturnCreatesNewCell -> 
          True, $CellContext`DefaultReturnCreatedCellStyle -> "Question"], 
         Cell[
          StyleData["Answer", "Printout"], 
          CellMargins -> {{66, 10}, {4, 1}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["QuestionNumber"], FontFamily -> "Source Sans Pro", 
          FontSize -> 14, FontWeight -> "Bold", FontColor -> GrayLevel[0.25]], 
         Cell[
          StyleData["QuestionNumber", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["TechNoteSection"], PageWidth :> 700, 
          CellFrame -> {{0, 0}, {0, 3}}, 
          CellMargins -> {{64, Inherited}, {8, 30}}, 
          CellGroupingRules -> {"SectionGrouping", 60}, PageBreakBelow -> 
          False, CellFrameMargins -> {{8, 8}, {4, 6}}, CellFrameColor -> 
          RGBColor[0.901961, 0.411765, 0.027451], FontFamily -> 
          "Source Sans Pro", FontSize -> 18, FontSlant -> "Italic", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`], 
          GridBoxOptions -> {GridBoxAlignment -> {}}], 
         Cell[
          StyleData["TechNoteSection", "Printout"], 
          CellMargins -> {{64, Inherited}, {8, 30}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["TechNoteSubsection"], 
          CellMargins -> {{64, Inherited}, {2, 10}}, FontFamily -> 
          "Source Sans Pro", FontSize -> 16, FontSlant -> "Italic", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
         Cell[
          StyleData["TechNoteSubsubsection", "Printout"], 
          CellMargins -> {{64, Inherited}, {6, 14}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["TechNoteItem"], PageWidth :> 700, CellDingbat -> Cell[
            TextData[{
              CounterBox["ItemNumbered"], "."}], FontSize -> 12, FontWeight -> 
            Bold, FontColor -> GrayLevel[0.25]], 
          CellMargins -> {{93, Inherited}, {4, 8}}, CellFrameLabelMargins -> 
          4, CellChangeTimes -> {{3.651515120816633*^9, 3.651515125814807*^9},
             3.6515155174947033`*^9}, LineSpacing -> {1.25, 1., 2.}, 
          CounterIncrements -> "ItemNumbered", MenuSortingValue -> 10040, 
          FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
          "Plain", FontSlant -> "Plain", FontColor -> 
          GrayLevel[0.25], $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["TechNoteItem", "Printout"], 
          CellMargins -> {{93, Inherited}, {4, 8}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["TechNoteNoDingbat"], PageWidth :> 700, 
          CellMargins -> {{82, Inherited}, {4, 8}}, CellFrameLabelMargins -> 
          4, LineSpacing -> {1.25, 1., 2.}, MenuSortingValue -> 10040, 
          FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
          "Plain", FontSlant -> "Plain", FontColor -> 
          GrayLevel[0.25], $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["TechNote", "Printout"], 
          CellMargins -> {{82, Inherited}, {4, 8}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["TechNote"], PageWidth :> 700, CellDingbat -> Cell[
            TextData[{"\[FilledSquare]"}], FontSize -> 12, FontColor -> 
            GrayLevel[0.5]], CellMargins -> {{78, Inherited}, {4, 8}}, 
          CellFrameLabelMargins -> 4, LineSpacing -> {1.25, 1., 2.}, 
          MenuSortingValue -> 10040, FontFamily -> "Source Sans Pro", 
          FontSize -> 14, FontWeight -> "Plain", FontSlant -> "Plain", 
          FontColor -> GrayLevel[0.25], $CellContext`ReturnCreatesNewCell -> 
          True], 
         Cell[
          StyleData["TechNote", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["TechNoteInput", StyleDefinitions -> StyleData["Input"]], 
          CellMargins -> {{99, 10}, {3, 7}}, SpanMaxSize -> 1, FontSize -> 
          14], 
         Cell[
          StyleData["TechNoteInput", "Printout"], 
          CellMargins -> {{99, 10}, {3, 7}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData[
          "TechNoteOutput", StyleDefinitions -> StyleData["Output"]], 
          CellMargins -> {{99, 10}, {14, 7}}, FontSize -> 14], 
         Cell[
          StyleData["TechNoteOutput", "Printout"], 
          CellMargins -> {{99, 10}, {14, 7}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["MoreExploreSection"], PageWidth :> 700, 
          CellFrame -> {{0, 0}, {0, 3}}, 
          CellMargins -> {{64, Inherited}, {8, 30}}, 
          CellGroupingRules -> {"SectionGrouping", 60}, PageBreakBelow -> 
          False, CellFrameMargins -> {{8, 8}, {4, 6}}, CellFrameColor -> 
          RGBColor[0.901961, 0.411765, 0.027451], FontFamily -> 
          "Source Sans Pro", FontSize -> 18, FontSlant -> "Italic", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`], 
          GridBoxOptions -> {GridBoxAlignment -> {}}], 
         Cell[
          StyleData["MoreExploreSection", "Printout"], 
          CellMargins -> {{64, Inherited}, {8, 30}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["MoreExplore"], PageWidth :> 700, 
          CellMargins -> {{64, Inherited}, {4, 8}}, PageBreakBelow -> False, 
          MenuSortingValue -> 10050, FontFamily -> "Source Sans Pro", 
          FontSize -> 14, FontWeight -> "Plain", FontSlant -> "Plain", 
          FontColor -> GrayLevel[0], $CellContext`ReturnCreatesNewCell -> 
          True], 
         Cell[
          StyleData["MoreExplore", "Printout"], 
          CellMargins -> {{64, Inherited}, {4, 8}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["MoreExploreShortURL"], 
          CellMargins -> {{64, Inherited}, {4, 8}}, PageBreakBelow -> False, 
          FontFamily -> "Source Sans Pro Light", FontSize -> 14, FontSlant -> 
          "Plain", FontColor -> GrayLevel[0]], 
         Cell[
          StyleData["MoreExploreShortURL", "Printout"], 
          CellMargins -> {{64, Inherited}, {4, 8}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["TakeawaysSection"], PageWidth :> 700, 
          CellFrame -> {{1, 1}, {1, 1}}, CellMargins -> {{52, -12}, {-1, 30}},
           CellGroupingRules -> {"SectionGrouping", 60}, PageBreakBelow -> 
          False, CellFrameMargins -> {{16, 8}, {6, 6}}, CellFrameColor -> 
          RGBColor[0.901961, 0.411765, 0.027451], FontFamily -> 
          "Source Sans Pro", FontSize -> 15, FontWeight -> "Bold", FontSlant -> 
          "Plain", 
          PrivateFontOptions -> {"FontPostScriptName" -> "Automatic"}, 
          FontColor -> GrayLevel[1], Background -> 
          RGBColor[0.901961, 0.411765, 0.027451]], 
         Cell[
          StyleData["TakeawaysSection", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["TakeawaysHeader"], 
          CellMargins -> {{64, Inherited}, {5, 15}}, 
          CellFrameMargins -> {{8, 8}, {5, 6}}, CellFrameColor -> 
          RGBColor[0.901961, 0.411765, 0.027451], FontFamily -> 
          "Source Sans Pro", FontSize -> 15, FontWeight -> "SemiBold", 
          FontSlant -> "Regular", FontColor -> GrayLevel[0]], 
         Cell[
          StyleData["TakeawaysHeader", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["TakeawaysTable"], PageWidth :> 700, 
          CellFrame -> {{0, 0}, {0, 0}}, CellMargins -> {{52, -12}, {12, -1}},
           CellFrameMargins -> {{18, 12}, {20, 12}}, CellFrameLabelMargins -> 
          6, LineSpacing -> {1.25, 1., 2.}, SpanMaxSize -> 1, FontFamily -> 
          "Source Sans Pro Light", FontColor -> GrayLevel[0.25], Background -> 
          RGBColor[1., 0.9490196078431372, 0.8509803921568627], 
          GridBoxOptions -> {
           GridBoxAlignment -> {"Columns" -> {{Left}}}, 
            GridBoxDividers -> {"Columns" -> {{False}}, "Rows" -> {False}}, 
            GridBoxItemStyle -> {
             "Columns" -> {"TakeawaysDingbat", Inherited}, 
              "Rows" -> {{SpanFromLeft, Automatic}}}, 
            GridBoxSpacings -> {
             "Columns" -> {{0.5}}, 
              "Rows" -> {{0.75}}}}, $CellContext`ReturnCreatesNewCell -> 
          True], 
         Cell[
          StyleData["TakeawaysTable", "Printout"], 
          CellMargins -> {{51.5, -12.5}, {12, 0}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["TakeawaysText"], FontFamily -> "Source Sans Pro", 
          FontSize -> 14, FontWeight -> "Plain", FontSlant -> "Plain", 
          FontColor -> GrayLevel[0]], 
         Cell[
          StyleData["TakeawaysText", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData[
          "TakeawaysDingbat", StyleDefinitions -> StyleData["Text"]], 
          FontFamily -> "Source Sans Pro", FontSize -> 10, FontWeight -> 
          "SemiBold", FontColor -> RGBColor[0.901961, 0.411765, 0.027451], 
          GridBoxOptions -> {
           GridBoxAlignment -> {"Columns" -> {{Left}}}, 
            GridBoxDividers -> {
             "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
              "Rows" -> {True, {True}, True}, "RowsIndexed" -> {}}}], 
         Cell[
          StyleData["TakeawaysDingbat", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["CodeText", StyleDefinitions -> StyleData["Text"]], 
          CellMargins -> {{66, 10}, {3, 15}}, LineSpacing -> {1, 1, 1}, 
          MenuSortingValue -> 1540, 
          MenuCommandKey :> $CellContext`MenuKey[
           "7", $CellContext`Modifiers -> {"Shift"}], FontFamily -> 
          "Source Sans Pro", FontSize -> 16, FontColor -> GrayLevel[0.25]], 
         Cell[
          StyleData["CodeText", "Printout"], 
          CellMargins -> {{66, 10}, {4, 12}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["CodeCaption"], CellFrame -> {{0, 0}, {0, 0}}, 
          CellMargins -> {{66, 10}, {4, 12}}, PageBreakBelow -> False, 
          CellFrameColor -> GrayLevel[0.4], LineSpacing -> {1, 1, 1}, 
          MenuSortingValue -> 10010, MenuCommandKey :> "1", FontFamily -> 
          "Source Sans Pro", FontSize -> 16, FontColor -> GrayLevel[0.25]], 
         Cell[
          StyleData["CodeCaption", "Printout"], 
          CellMargins -> {{66, 10}, {4, 12}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["DisplayFormula"], 
          CellMargins -> {{99, Inherited}, {2, 12}}, DefaultFormatType -> 
          DefaultInputFormatType, 
          HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"},
           LanguageCategory -> "Formula", ScriptLevel -> 0, 
          SingleLetterItalics -> True, MenuSortingValue -> 1700, FontFamily -> 
          "Baskerville", FontSize -> 16, FontWeight -> "Regular", FontSlant -> 
          "Plain", 
          PrivateFontOptions -> {"FontPostScriptName" -> "Automatic"}, 
          FontColor -> GrayLevel[0.2], 
          UnderoverscriptBoxOptions -> {
           LimitsPositioning -> True}, $CellContext`StripStyleOnPaste -> 
          True], 
         Cell[
          StyleData["DisplayFormula", "Printout"], 
          CellMargins -> {{99, Inherited}, {Inherited, Inherited}}]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData[
          "DisplayFormulaNumbered", StyleDefinitions -> 
           StyleData["DisplayFormula"]], CellFrameLabels -> {{None, 
             Cell[
              TextData[{"(", 
                CounterBox["DisplayFormulaNumbered"], ")"}], 
              "DisplayFormulaEquationNumber"]}, {None, None}}, 
          CounterIncrements -> "DisplayFormulaNumbered", MenuSortingValue -> 
          1710, FontFamily -> "Baskerville", FontSize -> 16, FontWeight -> 
          "Regular", FontSlant -> "Plain", 
          PrivateFontOptions -> {"FontPostScriptName" -> "Automatic"}], 
         Cell[
          StyleData["DisplayFormulaNumbered", "Printout"], 
          CellMargins -> {{99, Inherited}, {Inherited, Inherited}}]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Print"], CellMargins -> {{99, 10}, {4, 4}}, FontSize -> 
          15], 
         Cell[
          StyleData["Print", "Presentation"], 
          CellMargins -> {{100, Inherited}, {1.5 Inherited, 1.5 Inherited}}], 
         Cell[
          StyleData["Print", "SlideShow"], 
          CellMargins -> {{
            0.135 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.01 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {8, 15}}, 
          FontSize -> 18], 
         Cell[
          StyleData["Print", "Condensed"], 
          CellMargins -> {{18, Inherited}, {Inherited, Inherited}}], 
         Cell[
          StyleData["Print", "Printout"], 
          CellMargins -> {{49, Inherited}, {Inherited, Inherited}}], 
         Cell[
          StyleData["Print", "PrintoutGray"], 
          CellMargins -> {{49, Inherited}, {Inherited, Inherited}}]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Item"], CellDingbat -> 
          StyleBox[
           "\:203a", Alignment -> Baseline, FontFamily -> Automatic, FontSize -> 
            18, FontWeight -> GrayLevel[0], 
            RGBColor[
            0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
          CellMargins -> {{81, 10}, {4, 8}}, 
          StyleKeyMapping -> {"Tab" -> "Subitem", "*" -> "Subitem"}, 
          CellGroupingRules -> {"GroupTogetherNestedGrouping", 15000}, 
          CellFrameLabelMargins -> 4, CounterIncrements -> "Item", 
          CounterAssignments -> {{"Subitem", 0}, {"Subsubitem", 0}}, 
          MenuSortingValue -> 1600, FontFamily -> "Source Sans Pro", FontSize -> 
          15, $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["Item", "Printout"], CellDingbat -> 
          StyleBox[
           "\:203a", Alignment -> Baseline, FontSize -> 17, FontFamily -> 
            "Automatic", FontWeight -> "Black", 
            RGBColor[
            0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
          CellMargins -> {{80, Inherited}, {Inherited, Inherited}}, 
          CellGroupingRules -> {
           "GroupTogetherNestedGrouping", 1.073741821*^9}, 
          CellChangeTimes -> {{3.8855684925344048`*^9, 
           3.885568495926271*^9}, {3.885643888233819*^9, 
           3.8856439007210073`*^9}}, $CellContext`CellDingbatMargin -> 2]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ItemParagraph"], CellMargins -> {{81, 10}, {4, 1}}, 
          StyleKeyMapping -> {"Tab" -> "SubitemParagraph"}, 
          CellGroupingRules -> {"GroupTogetherNestedGrouping", 15000}, 
          MenuSortingValue -> 1600, FontFamily -> "Source Sans Pro", FontSize -> 
          15, FontColor -> GrayLevel[0.2], $CellContext`ReturnCreatesNewCell -> 
          True], 
         Cell[
          StyleData["ItemParagraph", "Printout"], 
          CellMargins -> {{80, Inherited}, {Inherited, 0.5 Inherited}}]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ItemNumbered"], CellDingbat -> Cell[
            TextData[{
              CounterBox["ItemNumbered"], "."}], FontWeight -> "Bold"], 
          CellMargins -> {{85, 10}, {4, 8}}, 
          StyleKeyMapping -> {"Tab" -> "SubitemNumbered"}, 
          CellGroupingRules -> {"GroupTogetherNestedGrouping", 15000}, 
          CellFrameLabelMargins -> 4, CounterIncrements -> "ItemNumbered", 
          CounterAssignments -> {{"SubitemNumbered", 0}, {
            "SubsubitemNumbered", 0}}, MenuSortingValue -> 1630, FontFamily -> 
          "Source Sans Pro", FontSize -> 
          15, $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["ItemNumbered", "Printout"], 
          CellMargins -> {{90, Inherited}, {Inherited, Inherited}}]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Note"], CellFrame -> {{0, 0}, {0, 1}}, 
          CellMargins -> {{66, 0}, {8, 6}}, 
          StyleKeyMapping -> {"Tab" -> "SubitemParagraph"}, 
          CellGroupingRules -> {"GroupTogetherNestedGrouping", 15000}, 
          CellFrameMargins -> {{14, 14}, {12, 12}}, CellFrameColor -> 
          RGBColor[0.901961, 0.411765, 0.027451], 
          LineSpacing -> {1.2, 1., 2.}, MenuSortingValue -> 1600, FontFamily -> 
          "Source Sans Pro", FontSize -> 15, FontColor -> GrayLevel[0.2], 
          Background -> 
          RGBColor[
           1., 0.9647058823529412, 
            0.9411764705882353], $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["Note", "Printout"], CellMargins -> {{66, 0}, {10, 8}}, 
          FontSize -> 14]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Echo"], 
          CellMargins -> {{99, Inherited}, {Inherited, Inherited}}], 
         Cell[
          StyleData["Echo", "Printout"], 
          CellMargins -> {{99, Inherited}, {Inherited, Inherited}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["EchoTiming"], 
          CellMargins -> {{99, Inherited}, {Inherited, Inherited}}], 
         Cell[
          StyleData["EchoTiming", "Printout"], 
          CellMargins -> {{99, Inherited}, {Inherited, Inherited}}]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Epigraph"], CellMargins -> {{100, 78}, {6, 24}}, 
          CellFrameLabels -> {{None, None}, {None, None}}, 
          CellFrameLabelMargins -> 8, TextAlignment -> Left, Hyphenation -> 
          True, HyphenationOptions -> {"HyphenationMinLengths" -> {3, 5}}, 
          LineSpacing -> {1, 2}, TabSpacings -> {1.2, 2.5}, FontFamily -> 
          "Source Sans Pro", FontSize -> 18, FontWeight -> "Plain", FontSlant -> 
          "Plain"], 
         Cell[
          StyleData["Epigraph", "Printout", StyleDefinitions -> None]]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["EpigraphAuthor"], CellMargins -> {{125, 100}, {12, 12}}, 
          TextAlignment -> Left, LineSpacing -> {1, 2}, 
          ParagraphIndent -> -17, TabSpacings -> {1.5, 2.5}, FontFamily -> 
          "Source Sans Pro", FontSize -> 16, FontWeight -> "Plain", FontSlant -> 
          "Plain", FontTracking -> -0.05], 
         Cell[
          StyleData["EpigraphAuthor", "Printout", StyleDefinitions -> None]]},
         Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ReferenceSection"], PageWidth :> 700, 
          CellFrame -> {{0, 0}, {0, 3}}, 
          CellMargins -> {{64, Inherited}, {8, 30}}, 
          CellGroupingRules -> {"SectionGrouping", 60}, PageBreakBelow -> 
          False, CellFrameMargins -> {{8, 8}, {4, 6}}, CellFrameColor -> 
          RGBColor[0.901961, 0.411765, 0.027451], FontFamily -> 
          "Source Sans Pro", FontSize -> 18, FontSlant -> "Italic", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`], 
          GridBoxOptions -> {GridBoxAlignment -> {}}], 
         Cell[
          StyleData["ReferenceSection", "Printout"], 
          CellMargins -> {{64, Inherited}, {8, 30}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Reference"], CellDingbat -> Cell[
            TextData[{
              CounterBox["Reference"]}], "SR", FontSize -> 13, 
            CellSize -> {30, Inherited}, TextAlignment -> Right], 
          CellMargins -> {{80, 10}, {3, 4}}, 
          CellFrameLabels -> {{None, None}, {None, None}}, 
          CellFrameLabelMargins -> 8, 
          CellChangeTimes -> {{3.7385995432110577`*^9, 3.738599549834622*^9}},
           LineSpacing -> {1, 2}, ParagraphIndent -> -8, 
          TabSpacings -> {0.7, 2.5}, CounterIncrements -> "Reference", 
          MenuSortingValue -> 1870, FontFamily -> "Source Sans Pro", FontSize -> 
          14, FontWeight -> "Plain", FontSlant -> "Plain"], 
         Cell[
          StyleData["Reference", "Printout", StyleDefinitions -> None], 
          CellMargins -> {{66, 10}, {3, 4}}, TabSpacings -> {1.2, 2.5}]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["TextFirst"], CellMargins -> {{66, 10}, {4, 72}}, 
          FontFamily -> "Baskerville", FontSize -> 18, FontColor -> 
          GrayLevel[0], $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["Text", "Printout"], CellMargins -> {{66, 10}, {7, 7}}]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Text"], CellMargins -> {{66, 10}, {4, 12}}, FontFamily -> 
          "Baskerville", FontSize -> 18, FontColor -> 
          GrayLevel[0], $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["Text", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SmallText"], CellMargins -> {{66, 10}, {6, 6}}, 
          LineSpacing -> {1, 3}, TabSpacings -> {2.5}, LanguageCategory -> 
          "NaturalLanguage", CounterIncrements -> "SmallText", 
          MenuSortingValue -> 1750, StyleMenuListing -> None, FontFamily -> 
          "Source Sans Pro", FontSize -> 14, FontColor -> GrayLevel[0.2]], 
         Cell[
          StyleData["SmallText", "Printout"], 
          CellMargins -> {{66, 10}, {7, 7}}, Hyphenation -> True]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ResourcesText"], CellMargins -> {{66, 10}, {2, 0}}, 
          FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
          "Plain", FontSlant -> "Plain", FontColor -> 
          GrayLevel[0], $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["ResourcesText", "Printout"], 
          CellMargins -> {{66, 10}, {2, 0}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ResourcesLink"], CellMargins -> {{66, 10}, {2, 0}}, 
          FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
          "Plain", FontSlant -> "Italic", FontColor -> 
          GrayLevel[0], $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["ResourcesLink", "Printout"], 
          CellMargins -> {{66, 10}, {2, 0}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Input"], CellMargins -> {{99, 10}, {3, 7}}, SpanMaxSize -> 
          1, FontSize -> 15], 
         Cell[
          StyleData["Input", "Printout"], CellMargins -> {{99, 10}, {3, 7}}]},
         Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Output"], CellMargins -> {{99, 10}, {14, 7}}, FontSize -> 
          15], 
         Cell[
          StyleData["Output", "Printout"], 
          CellMargins -> {{99, 10}, {14, 7}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["InputOnly"], CellMargins -> {{99, 10}, {25, 10}}, 
          SpanMaxSize -> 1, MenuSortingValue -> 1500, FontSize -> 15], 
         Cell[
          StyleData["InputOnly", "Printout"], 
          CellMargins -> {{99, 10}, {15, 10}}]}, Closed]], 
      Cell[
       StyleData["InitializationCell"], Background -> None], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["CellLabel"], 
          CellLabelMargins -> {{18, Inherited}, {Inherited, Inherited}}, 
          LanguageCategory -> None, StyleMenuListing -> None, FontFamily -> 
          "Helvetica Neue", FontSize -> 9, FontWeight -> "Plain", FontSlant -> 
          "Plain", FontColor -> GrayLevel[0.5]], 
         Cell[
          StyleData["CellLabel", "Printout"], FontSize -> 8, FontColor -> 
          GrayLevel[0.5]]}, Closed]], 
      Cell[
       StyleData[
       "CellLabelExpired", StyleDefinitions -> StyleData["CellLabel"]], 
       CellLabelMargins -> 6, FontSlant -> Italic, FontTracking -> 0.4, 
       FontColor -> GrayLevel[0.6]], 
      Cell[
       StyleData["SummaryPanel"], GeneratedCell -> True, CellAutoOverwrite -> 
       True, CellChangeTimes -> {3.84753348107472*^9}, FontFamily :> 
       CurrentValue["PanelFontFamily"], FontSize :> 0.8 Inherited, FontWeight -> 
       "Plain", FontSlant -> "Plain", FontColor :> 
       CurrentValue[{"SystemColors", "DialogText"}], 
       TemplateBoxOptions -> {
        DisplayFunction -> (
          ButtonBox[#, Active -> False, Alignment -> Left, 
           Appearance -> {"Default" -> Image[CompressedData["
1:eJzNlk0KgkAUgKVatGzRAWohXqFty7ZFB1AyaWOgQXQozyIPZmCgxYBLQUQ6
gL2R/ElcBKWvgU+cQd/3ZhxnZmmdt8eRpmn+FC9b87r2PPO2m2Fl7/onx7UP
G/diO7a3ssbYOEcWyATJvyw/CFGECcNQRwIkQ3J4Eb4BrXqjDT55togdYFxd
OUs5ABj4fipllMdxnCdJ0gsqdoQOzC3FPIyGP1DtfXnbSCkLZ/ntGEDWZ7+7
xgGAPSo/Y4O5SxiDau5yAj/nrPZzTuDnlV9wMbhfCFH4Fep+cP9d1P2n9hOO
/z/MP+r/j3r9oV5/qfcf6v2X4vyB+XQenMo1sS/a5QlC6exw
               "], "Byte", ColorSpace -> "RGB", Interleaving -> True]}, 
           FrameMargins -> 7, BaseStyle -> {Deployed -> False}, 
           DefaultBaseStyle -> {"Pane", Background -> None}, BaselinePosition -> 
           Baseline]& ), Tooltip -> None}, 
       GraphicsBoxOptions -> {
        Axes -> False, 
         DefaultBaseStyle -> {"GraphicsNoFontOrMenu", CacheGraphics -> False},
          ImageSize -> 
         Dynamic[{
           Automatic, 
            3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
             Magnification])}]}, 
       Graphics3DBoxOptions -> {
        Axes -> False, DefaultBaseStyle -> {"Graphics3DNoFontOrMenu"}, 
         ImageSize -> 
         Dynamic[{
           Automatic, 
            3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
             Magnification])}]}], 
      Cell[
       StyleData["IconizedDefaultName"], FontSize -> 12, 
       PrivateFontOptions -> {"OperatorSubstitution" -> False}, FontColor -> 
       GrayLevel[0.15]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Message"], Editable -> False, 
          CellMargins -> {{66, Inherited}, {Inherited, Inherited}}, 
          CellGroupingRules -> "OutputGrouping", TextClipboardType -> 
          "PlainText", PageBreakWithin -> False, GroupPageBreakWithin -> 
          False, GeneratedCell -> True, CellAutoOverwrite -> True, 
          ShowCellLabel -> False, DefaultFormatType -> 
          DefaultOutputFormatType, ContextMenu -> 
          FEPrivate`FrontEndResource["ContextMenus", "Output"], 
          ShowAutoStyles -> False, ShowSyntaxStyles -> False, 
          AutoStyleOptions -> {
           "StringStyle" -> None, "SyntaxErrorStyle" -> None}, 
          HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"},
           AutoItalicWords -> {}, AutoQuoteCharacters -> {}, 
          PasteAutoQuoteCharacters -> {}, LanguageCategory -> None, 
          FormatType -> InputForm, ShowStringCharacters -> False, 
          CounterIncrements -> "Message", MenuSortingValue -> 1600, 
          StyleMenuListing -> None, FontFamily :> 
          CurrentValue["PanelFontFamily"], FontSize -> 11, FontColor -> 
          RGBColor[0.5072, 0.16933, 0.15221], $CellContext`StripStyleOnPaste -> 
          True], 
         Cell[
          StyleData["Message", "Printout"], 
          CellMargins -> {{100, Inherited}, {Inherited, Inherited}}, 
          CellFrameLabels -> {{None, None}, {None, None}}, FontColor -> 
          GrayLevel[0]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ExerciseInput", StyleDefinitions -> StyleData["Input"]], 
          CellMargins -> {{106, 10}, {4, 7}}, ShowCellLabel -> False, 
          SpanMaxSize -> 1, FontSize -> 
          14, $CellContext`GeneratedCellStyles -> {
           "Output" -> "ExerciseOutput"}], 
         Cell[
          StyleData["ExerciseInput", "Printout"], 
          CellMargins -> {{106, 10}, {4, 7}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData[
          "ExerciseOutput", StyleDefinitions -> StyleData["Output"]], 
          CellMargins -> {{106, 10}, {10, 4}}, ShowCellLabel -> False, 
          FontSize -> 14], 
         Cell[
          StyleData["ExerciseOutput", "Printout"], 
          CellMargins -> {{106, 10}, {10, 4}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Picture"], CellMargins -> {{66, 10}, {10, 10}}, 
          CellGroupingRules -> "GraphicsGrouping", StyleMenuListing -> None], 
         Cell[
          StyleData["Picture", "Printout"], 
          CellMargins -> {{66, 10}, {8, 8}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Comment"], FontFamily -> "Verdana", FontSize -> 13, 
          FontColor -> RGBColor[0.3, 0.3, 0.2], Background -> 
          RGBColor[1, 0.9, 0.8]], 
         Cell[
          StyleData["Comment", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Suggestion"], 
          CellFrameLabels -> {{Inherited, Inherited}, {Inherited, 
             Cell[
              BoxData[
               TagBox[
                GridBox[{{
                   ButtonBox[
                   "\"  Insert  \"", 
                    ButtonFunction :> (Needs["DocuTools`"]; 
                    DocuTools`DocuToolsLoader[]; 
                    DocuTools`ReplaceWithSuggestion[]), Evaluator -> 
                    Automatic, 
                    BaseStyle -> {FontSize -> 10, FontFamily -> "Verdana"}, 
                    ContentPadding -> False, Appearance -> Automatic, Method -> 
                    "Queued"], 
                   ButtonBox[
                   "\"  Stet  \"", 
                    ButtonFunction :> (Needs["DocuTools`"]; 
                    DocuTools`DocuToolsLoader[]; DocuTools`StetSuggestion[]), 
                    Evaluator -> Automatic, 
                    BaseStyle -> {FontSize -> 10, FontFamily -> "Verdana"}, 
                    Appearance -> Automatic, Method -> "Queued"], "    ", 
                   ButtonBox[
                   "\"  Next  \"", 
                    ButtonFunction :> (Needs["DocuTools`"]; 
                    DocuTools`DocuToolsLoader[]; 
                    DocuTools`FindNextSuggestion[]), Evaluator -> Automatic, 
                    BaseStyle -> {FontSize -> 10, FontFamily -> "Verdana"}, 
                    Appearance -> Automatic, Method -> "Queued"], 
                   ButtonBox[
                   "\"  Previous  \"", 
                    ButtonFunction :> (Needs["DocuTools`"]; 
                    DocuTools`DocuToolsLoader[]; 
                    DocuTools`FindPreviousSuggestion[]), Evaluator -> 
                    Automatic, 
                    BaseStyle -> {FontSize -> 10, FontFamily -> "Verdana"}, 
                    Appearance -> Automatic, Method -> "Queued"], "\"\""}}, 
                 AutoDelete -> False, 
                 GridBoxItemSize -> {
                  "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                "Grid"]], ShowStringCharacters -> False, Background -> 
              None]}}, Background -> RGBColor[1, 0.8, 0.8]], 
         Cell[
          StyleData["Suggestion", "Printout"], 
          CellElementSpacings -> {"CellMinHeight" -> 0.1}, CellOpen -> False, 
          CellFrameMargins -> 0, FontSize -> 0.1, Magnification -> 0.01]}, 
        Open]], 
      Cell[
       StyleData["Tentative"], 
       CellBracketOptions -> {
        "Color" -> RGBColor[
          0.30000000000000016`, 0.6000000000000003, 0.7000000000000003], 
         "Thickness" -> 5}, Evaluatable -> False, CellFrameMargins -> 4, 
       StyleMenuListing -> None, Background -> 
       RGBColor[0.8500000000000003, 0.9500000000000003, 1]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["PrintOnly"], 
          CellBracketOptions -> {
           "Color" -> RGBColor[0.89, 0.867, 0.99], "Thickness" -> 5}, 
          CellFrameMargins -> 4, StyleMenuListing -> None, Background -> 
          RGBColor[0.89, 0.867, 0.99]], 
         Cell[
          StyleData["PrintOnly", "Printout"], 
          CellElementSpacings -> {"CellMinHeight" -> 0.1}, CellOpen -> False, 
          CellFrameMargins -> 0, FontSize -> 0.1, Magnification -> 0.01], 
         Cell[
          StyleData["Tentative", "Printout"], 
          CellElementSpacings -> {"CellMinHeight" -> 0.1}, CellOpen -> False, 
          CellFrameMargins -> 0, FontSize -> 0.1, Magnification -> 0.01]}, 
        Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["WebOnly"], 
          CellBracketOptions -> {
           "Color" -> RGBColor[0.91, 0.92, 0.9], "Thickness" -> 5}, 
          CellFrameMargins -> 4, StyleMenuListing -> None, Background -> 
          RGBColor[0.91, 0.92, 0.86]], 
         Cell[
          StyleData["WebOnly", "Printout"], 
          CellElementSpacings -> {"CellMinHeight" -> 0.1}, CellOpen -> False, 
          CellFrameMargins -> 0, FontSize -> 0.1, Magnification -> 0.01]}, 
        Open]], 
      Cell[
       StyleData["Lockdown"], 
       CellBracketOptions -> {
        "Color" -> RGBColor[0.8, 0.5, 0.4], "Thickness" -> 3}, Evaluatable -> 
       False, StyleMenuListing -> None], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["IndexField"], CellFrame -> True, CellFrameColor -> 
          GrayLevel[0.7], FontFamily -> "Verdana", FontSize -> 12], 
         Cell[
          StyleData["IndexField", "Invisibles"], CellFrame -> False, 
          ShowCellBracket -> False, CellOpen -> False, FontSize -> 1]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ExplanationField"], CellFrame -> True, CellFrameColor -> 
          GrayLevel[0.7], FontFamily -> "Verdana", FontSize -> 12], 
         Cell[
          StyleData["ExplanationField", "Invisibles"], CellFrame -> False, 
          ShowCellBracket -> False, CellOpen -> False, FontSize -> 1]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["EnglishHighlight"], FontFamily -> "WolframCodeSans"], 
         Cell[
          StyleData["EnglishHighlight", "Printout"]]}, Closed]]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
      "Inline and special formatting", "Section", 
       CellChangeTimes -> {{3.646681732592888*^9, 3.646681749414035*^9}}], 
      Cell[
       StyleData["Graphics"], MenuSortingValue -> None], 
      Cell[
       StyleData["Graphics3D"], MenuSortingValue -> None], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["StandardForm"], LineSpacing -> {1.25, 0, 2}, FontFamily -> 
          "Source Sans Code"], 
         Cell[
          StyleData["StandardForm", "Printout"], LineSpacing -> {1.25, 0, 2}, 
          FontFamily -> "Source Sans Code"]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["OutputForm"], LineSpacing -> {0.6, 1}, FontFamily -> 
          "Source Sans Code"], 
         Cell[
          StyleData["OutputForm", "Printout"], LineSpacing -> {0.6, 1}, 
          FontFamily -> "Source Sans Code"]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["InputForm"], FontFamily -> "Source Sans Code"], 
         Cell[
          StyleData["InputForm", "Printout"], FontFamily -> 
          "Source Sans Code"]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["FormattedFunction"], FontFamily -> "Source Sans Pro", 
          FontSize :> If[CurrentValue[
              EvaluationCell[], "FontFamily"] === "Source Sans Pro", 
            Inherited, 
            If[CurrentValue[
               EvaluationCell[], "FontFamily"] === "WolframCodeSans", 
             Inherited, Inherited 0.9]]], 
         Cell[
          StyleData["FormattedFunction", "Printout"], FontFamily -> 
          "Source Sans Pro", FontSize :> If[CurrentValue[
              EvaluationCell[], "FontFamily"] === "Source Sans Pro", 
            Inherited, 
            If[CurrentValue[
               EvaluationCell[], "FontFamily"] === "WolframCodeSans", 
             Inherited, Inherited 0.88]]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Link"], FontFamily -> "Source Sans Pro", FontSize :> 
          If[CurrentValue[
              EvaluationCell[], "FontFamily"] === "Source Sans Pro", 
            Inherited, 
            If[CurrentValue[
               EvaluationCell[], "FontFamily"] === "WolframCodeSans", 
             Inherited, Inherited 0.9]], FontColor -> GrayLevel[0]], 
         Cell[
          StyleData["Link", "Printout"], FontFamily -> "Source Sans Pro", 
          FontSize :> If[CurrentValue[
              EvaluationCell[], "FontFamily"] === "Source Sans Pro", 
            Inherited, 
            If[CurrentValue[
               EvaluationCell[], "FontFamily"] === "WolframCodeSans", 
             Inherited, Inherited 0.88]], FontColor -> GrayLevel[0]]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["DetailsLink"], FontFamily -> "Source Sans Pro", FontSize :> 
          If[CurrentValue[
              EvaluationCell[], "FontFamily"] === "Source Sans Pro", 
            Inherited, 
            If[CurrentValue[
               EvaluationCell[], "FontFamily"] === "WolframCodeSans", 
             Inherited, Inherited 0.9]], FontColor -> GrayLevel[0], 
          ButtonBoxOptions -> {
           ButtonFunction :> (
             Function[$CellContext`t, 
              NotebookFind[$CellContext`t, "Notes", All, CellStyle]; 
              NotebookFind[$CellContext`t, "NotesSection", All, CellStyle, 
                AutoScroll -> Top]][
              Documentation`HelpLookup["ref/" <> #]]& ), ButtonSource -> 
            ButtonContents, Evaluator -> Automatic}], 
         Cell[
          StyleData["DetailsLink", "Printout"], FontFamily -> 
          "Source Sans Pro", FontSize :> If[CurrentValue[
              EvaluationCell[], "FontFamily"] === "Source Sans Pro", 
            Inherited, 
            If[CurrentValue[
               EvaluationCell[], "FontFamily"] === "WolframCodeSans", 
             Inherited, Inherited 0.88]], FontColor -> GrayLevel[0]]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["LinkAlt"], FontFamily -> "Source Sans Pro", FontSize :> 
          If[CurrentValue[
              EvaluationCell[], "FontFamily"] === "Source Sans Pro", 
            Inherited, 
            If[CurrentValue[
               EvaluationCell[], "FontFamily"] === "WolframCodeSans", 
             Inherited, Inherited 0.9]], FontColor -> GrayLevel[0]], 
         Cell[
          StyleData["LinkAlt", "Printout"], FontFamily -> "Source Sans Pro", 
          FontSize :> If[CurrentValue[
              EvaluationCell[], "FontFamily"] === "Source Sans Pro", 
            Inherited, 
            If[CurrentValue[
               EvaluationCell[], "FontFamily"] === "WolframCodeSans", 
             Inherited, Inherited 0.88]], FontColor -> GrayLevel[0]]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Hyperlink"], MenuSortingValue -> None, FontColor -> 
          RGBColor[0.3, 0.35, 0.5]], 
         Cell[
          StyleData["Hyperlink", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["FunctionLink", StyleDefinitions -> StyleData["Link"]], 
          FontColor -> GrayLevel[0]], 
         Cell[
          StyleData["FunctionLink", "Printout"]]}, Closed]], 
      Cell[
       StyleData["FunctionHyperlink", StyleDefinitions -> StyleData["Link"]], 
       FontColor -> GrayLevel[0], 
       ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
            
            NotebookLocate[#2, "OpenInNewWindow" -> 
             CurrentValue["HyperlinkModifierKey"]]}]& ), Evaluator -> None, 
         Method -> "Queued"}], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData[
          "ResourceFunctionlink", StyleDefinitions -> StyleData["Hyperlink"]],
           MenuSortingValue -> None, FontFamily -> "Source Sans Pro", 
          FontSize :> If[CurrentValue[
              EvaluationCell[], "FontFamily"] === "Source Sans Pro", 
            Inherited, 
            If[CurrentValue[
               EvaluationCell[], "FontFamily"] === "WolframCodeSans", 
             Inherited, Inherited 0.9]], FontColor -> GrayLevel[0]], 
         Cell[
          StyleData["ResourceFunctionlink", "Printout"], FontFamily -> 
          "Source Sans Pro", FontSize :> If[CurrentValue[
              EvaluationCell[], "FontFamily"] === "Source Sans Pro", 
            Inherited, 
            If[CurrentValue[
               EvaluationCell[], "FontFamily"] === "WolframCodeSans", 
             Inherited, Inherited 0.88]], FontColor -> GrayLevel[0]]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Crosslink"], 
          ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
               
               NotebookLocate[#2, "OpenInNewWindow" -> 
                CurrentValue["HyperlinkModifierKey"]]}]& ), Evaluator -> None,
             Method -> "Queued"}], 
         Cell[
          StyleData["Crosslink", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["CodeLink"], 
          ButtonBoxOptions -> {
           Appearance -> None, ButtonFunction :> (Documentation`HelpLookup[
              Part[#, 1]]& ), ButtonSource -> ButtonContents, Evaluator -> 
            Automatic}], 
         Cell[
          StyleData["CodeLink", "Printout"]]}, Closed]], 
      Cell[
       StyleData["VocabularyLink"], FontColor -> GrayLevel[0], 
       ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
            
            NotebookLocate[#2, "OpenInNewWindow" -> 
             CurrentValue["HyperlinkModifierKey"]]}]& ), Evaluator -> None, 
         Method -> "Queued"}], 
      Cell[
       StyleData["InlineMath"], SpanMaxSize -> 0, FontColor -> GrayLevel[0], 
       CellID -> 644119144], 
      Cell[
       StyleData["InlineCode"], SpanMaxSize -> 0, FontColor -> GrayLevel[0]], 
      Cell[
       StyleData["InlineCodeText"], SpanMaxSize -> 0, FontFamily -> 
       "Source Sans Pro", FontSize -> 0.94 Inherited], 
      Cell[
       StyleData["NoLabel"], ShowCellLabel -> 
       False, $CellContext`GeneratedCellStyles -> {
        "Output" -> "ExerciseOutput"}], 
      Cell[
       StyleData["MenuName"], FontFamily -> "Verdana", FontWeight -> "Bold", 
       FontColor -> GrayLevel[0.286275]], 
      Cell[
       StyleData["DialogElementName"], 
       CellChangeTimes -> {3.642251807158844*^9, 3.8358753610849867`*^9, 
        3.835875471581566*^9}, FontFamily -> "Source Sans Pro SemiBold", 
       FontSize -> 0.95 Inherited, FontWeight -> "Regular"], 
      Cell[
       StyleData["KeyEvent"], CellFrame -> {{0.5, 0.5}, {0.5, 0.5}}, 
       CellFrameMargins -> {{2, 2}, {2, 2}}, CellFrameColor -> GrayLevel[0.7],
        FontFamily -> "Verdana", FontColor -> GrayLevel[0.4]], 
      Cell[
       StyleData["KeyEventDelimiter"], FontColor -> GrayLevel[0.5]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["CodeVariable"], FontFamily -> "Times", FontSize -> 
          1.05 Inherited, FontWeight -> "Plain", FontSlant -> "Italic"], 
         Cell[
          StyleData["CodeVariable", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["CodeVariableLrg"], FontFamily -> "Times", FontSize -> 
          1.1 Inherited, FontWeight -> "Plain", FontSlant -> "Italic"], 
         Cell[
          StyleData["CodeVariableLrg", "Printout"]]}, Closed]], 
      Cell["Key Styles", "Subsubsection"], 
      Cell[
       StyleData["Key0"], TemplateBoxOptions -> {DisplayFunction -> (FrameBox[
           TagBox[
            GridBox[{{
               ItemBox[
                
                TemplateBox[{"\[ThickSpace]", #, "\[ThickSpace]"}, 
                 "RowDefault"], Background -> GrayLevel[1], StripOnInput -> 
                False]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Center}}, "Rows" -> {{Baseline}}}, AutoDelete -> 
             False, GridBoxDividers -> {"Rows" -> {{None}}}, 
             GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{1.45}}}, 
             GridBoxSpacings -> {"Columns" -> {{0}}}, 
             BaselinePosition -> {{1, 1}, Baseline}], "Grid"], RoundingRadius -> 
           4, Background -> GrayLevel[0.9333333333333333], 
           FrameMargins -> {{0, 0}, {-1, -1}}, FrameStyle -> {
             GrayLevel[0.8352941176470589], 
             AbsoluteThickness[1]}, BaselinePosition -> Baseline, 
           StripOnInput -> False]& )}], 
      Cell[
       StyleData["Key1"], TemplateBoxOptions -> {DisplayFunction -> (FrameBox[
           TagBox[
            GridBox[{{
               ItemBox[
                
                TemplateBox[{"\[ThickSpace]", #, "\[ThickSpace]"}, 
                 "RowDefault"], Background -> GrayLevel[0.9333333333333333], 
                StripOnInput -> False], 
               ItemBox[
                
                TemplateBox[{"\[ThickSpace]", #2, "\[ThickSpace]"}, 
                 "RowDefault"], Background -> GrayLevel[1], StripOnInput -> 
                False]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Center}}, "Rows" -> {{Baseline}}}, AutoDelete -> 
             False, GridBoxDividers -> {
              "ColumnsIndexed" -> {2 -> GrayLevel[0.8352941176470589]}, 
               "Rows" -> {{None}}}, 
             GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{1.45}}}, 
             GridBoxSpacings -> {"Columns" -> {{0}}}, 
             BaselinePosition -> {{1, 1}, Baseline}], "Grid"], RoundingRadius -> 
           4, Background -> GrayLevel[0.9333333333333333], 
           FrameMargins -> {{0, 0}, {-1, -1}}, FrameStyle -> {
             GrayLevel[0.8352941176470589], 
             AbsoluteThickness[1]}, BaselinePosition -> Baseline, 
           StripOnInput -> False]& )}], 
      Cell[
       StyleData["Key2"], TemplateBoxOptions -> {DisplayFunction -> (FrameBox[
           TagBox[
            GridBox[{{
               ItemBox[
                
                TemplateBox[{"\[ThickSpace]", #, "\[ThickSpace]"}, 
                 "RowDefault"], Background -> GrayLevel[0.9333333333333333], 
                StripOnInput -> False], 
               ItemBox[
                
                TemplateBox[{"\[ThickSpace]", #2, "\[ThickSpace]"}, 
                 "RowDefault"], Background -> GrayLevel[0.9333333333333333], 
                StripOnInput -> False], 
               ItemBox[
                
                TemplateBox[{"\[ThickSpace]", #3, "\[ThickSpace]"}, 
                 "RowDefault"], Background -> GrayLevel[1], StripOnInput -> 
                False]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Center}}, "Rows" -> {{Baseline}}}, AutoDelete -> 
             False, GridBoxDividers -> {
              "ColumnsIndexed" -> {
                2 -> GrayLevel[0.8352941176470589], 3 -> 
                 GrayLevel[0.8352941176470589]}, "Rows" -> {{None}}}, 
             GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{1.45}}}, 
             GridBoxSpacings -> {"Columns" -> {{0}}}, 
             BaselinePosition -> {{1, 1}, Baseline}], "Grid"], RoundingRadius -> 
           4, Background -> GrayLevel[0.9333333333333333], 
           FrameMargins -> {{0, 0}, {-1, -1}}, FrameStyle -> {
             GrayLevel[0.8352941176470589], 
             AbsoluteThickness[1]}, BaselinePosition -> Baseline, 
           StripOnInput -> False]& )}], 
      Cell[
       StyleData["Key3"], TemplateBoxOptions -> {DisplayFunction -> (FrameBox[
           TagBox[
            GridBox[{{
               ItemBox[
                
                TemplateBox[{"\[ThickSpace]", #, "\[ThickSpace]"}, 
                 "RowDefault"], Background -> GrayLevel[0.9333333333333333], 
                StripOnInput -> False], 
               ItemBox[
                
                TemplateBox[{"\[ThickSpace]", #2, "\[ThickSpace]"}, 
                 "RowDefault"], Background -> GrayLevel[0.9333333333333333], 
                StripOnInput -> False], 
               ItemBox[
                
                TemplateBox[{"\[ThickSpace]", #3, "\[ThickSpace]"}, 
                 "RowDefault"], Background -> GrayLevel[0.9333333333333333], 
                StripOnInput -> False], 
               ItemBox[
                TemplateBox[{"\[ThickSpace]", #4, "\[ThickSpace]"}, 
                 "RowDefault"], Background -> GrayLevel[1], StripOnInput -> 
                False]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Center}}, "Rows" -> {{Baseline}}}, AutoDelete -> 
             False, GridBoxDividers -> {
              "ColumnsIndexed" -> {
                2 -> GrayLevel[0.8352941176470589], 3 -> 
                 GrayLevel[0.8352941176470589], 4 -> 
                 GrayLevel[0.8352941176470589]}, "Rows" -> {{None}}}, 
             GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{1.45}}}, 
             GridBoxSpacings -> {"Columns" -> {{0}}}, 
             BaselinePosition -> {{1, 1}, Baseline}], "Grid"], RoundingRadius -> 
           4, Background -> GrayLevel[0.9333333333333333], 
           FrameMargins -> {{0, 0}, {-1, -1}}, FrameStyle -> {
             GrayLevel[0.8352941176470589], 
             AbsoluteThickness[1]}, BaselinePosition -> Baseline, 
           StripOnInput -> False]& )}], 
      Cell["Entity styles", "Subsubsection"], 
      Cell[
       StyleData["Entity"], ContextMenu -> 
       FEPrivate`FrontEndResource["ContextMenus", "Entity"], 
       AutoStyleOptions -> {"HighlightSyntaxErrors" -> False}, 
       ShowStringCharacters -> False, 
       TemplateBoxOptions -> {DisplayFunction -> (TooltipBox[
           FrameBox[
            PaneSelectorBox[{True -> GridBox[{{
                  
                  StyleBox[#, FontSize -> 0.85 Inherited, FontColor -> 
                   RGBColor[0.395437, 0.20595, 0.061158]], 
                  PaneBox[
                   StyleBox[#4, "EntityTypeLabel"], BaselinePosition -> 
                   Baseline, ContentPadding -> False]}}, 
                GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}}, 
                GridBoxSpacings -> {"Columns" -> {{0.5}}, "Rows" -> {{0}}}, 
                BaselinePosition -> {1, 1}], False -> 
              PaneBox[#, 
                BaseStyle -> {
                 FontColor -> RGBColor[0.395437, 0.20595, 0.061158]}, 
                BaselinePosition -> Baseline]}, 
             Dynamic[
              CurrentValue[Evaluatable]], ImageSize -> Automatic, 
             BaselinePosition -> Baseline, 
             BaseStyle -> {FontFamily -> "Helvetica"}], FrameStyle -> 
            Directive[
              RGBColor[1., 0.504768, 0.], 
              AbsoluteThickness[1]], Background -> 
            RGBColor[1., 0.980392, 0.921569], 
            FrameMargins -> {{5, 5}, {1.5, 1.5}}, 
            ImageMargins -> {{2, 2}, {2, 2}}, BaselinePosition -> Baseline, 
            RoundingRadius -> 4, BaseStyle -> {FontFamily -> "Courier"}], #3, 
           BaseStyle -> {
            ShowStringCharacters -> False, LineIndent -> 0, 
             PrivateFontOptions -> {"OperatorSubstitution" -> False}}, 
           TooltipDelay -> 0.4]& ), Editable -> False, 
         InterpretationFunction -> (#2& )}], 
      Cell[
       StyleData["EntityFrameless"], ShowStringCharacters -> False, 
       TemplateBoxOptions -> {DisplayFunction -> (TooltipBox[
           PaneSelectorBox[{True -> GridBox[{{
                 
                 StyleBox[#, FontWeight -> "Bold", FontFamily -> 
                  "Source Sans Pro", FontColor -> 
                  RGBColor[0.395437, 0.20595, 0.061158]], 
                 StyleBox[
                  RowBox[{"(", #4, ")"}], FontFamily -> "Source Sans Pro", 
                  FontWeight -> "Plain", FontColor -> GrayLevel[0.65], 
                  Selectable -> False]}}, 
               GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}}, 
               GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}}, 
               BaselinePosition -> {1, 1}], False -> 
             PaneBox[#, 
               BaseStyle -> {
                FontColor -> RGBColor[0.395437, 0.20595, 0.061158]}, 
               BaselinePosition -> Baseline]}, 
            Dynamic[
             CurrentValue[Evaluatable]], ImageSize -> Automatic, 
            BaselinePosition -> Baseline, 
            BaseStyle -> {FontFamily -> "Helvetica"}], #3, 
           BaseStyle -> {
            ShowStringCharacters -> False, LineIndent -> 0, 
             PrivateFontOptions -> {
              FontWeight -> "Plain", "OperatorSubstitution" -> False}}]& ), 
         Editable -> False, InterpretationFunction -> (#2& )}], 
      Cell[
       StyleData["EntityFramelessHot"], ShowStringCharacters -> False, 
       TemplateBoxOptions -> {
        DisplayFunction -> (PaneSelectorBox[{True -> GridBox[{{
                
                StyleBox[#, FontWeight -> "Bold", FontFamily -> 
                 "Source Sans Pro", FontColor -> GrayLevel[0]], 
                StyleBox[
                 RowBox[{"(", #4, ")"}], FontWeight -> "Plain", FontFamily -> 
                 "Source Sans Pro", FontColor -> GrayLevel[0], Selectable -> 
                 False]}}, 
              GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}}, 
              GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}}, 
              BaselinePosition -> {1, 1}], False -> 
            PaneBox[#, BaseStyle -> {FontColor -> GrayLevel[0]}, 
              BaselinePosition -> Baseline]}, 
           Dynamic[
            CurrentValue[Evaluatable]], ImageSize -> Automatic, 
           BaselinePosition -> Baseline, 
           BaseStyle -> {
            FontWeight -> "Plain", FontFamily -> "Helvetica", 
             ShowStringCharacters -> False, LineIndent -> 0, 
             PrivateFontOptions -> {"OperatorSubstitution" -> False}}]& ), 
         Editable -> False, InterpretationFunction -> (#2& )}], 
      Cell[
       StyleData["EntityClass"], ShowStringCharacters -> False, 
       TemplateBoxOptions -> {DisplayFunction -> (TooltipBox[
           FrameBox[
            PaneSelectorBox[{True -> GridBox[{{
                  PaneBox[
                   DynamicBox[
                    FEPrivate`ImportImage[
                    
                    FrontEnd`ToFileName[{"Typeset", "Entity"}, 
                    "EntityClass.png"]], ImageSizeCache -> {8., {2., 6.}}], 
                   BaselinePosition -> Bottom], 
                  
                  StyleBox[#, FontWeight -> "Bold", FontFamily -> 
                   "Source Sans Pro", FontColor -> 
                   RGBColor[0.395437, 0.20595, 0.061158]], 
                  StyleBox[
                   RowBox[{"(", #4, ")"}], FontWeight -> "Plain", FontFamily -> 
                   "Source Sans Pro", FontColor -> GrayLevel[0.65], 
                   Selectable -> False]}}, 
                GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}}, 
                GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}}, 
                BaselinePosition -> {1, 2}], False -> GridBox[{{
                  PaneBox[
                   DynamicBox[
                    FEPrivate`ImportImage[
                    
                    FrontEnd`ToFileName[{"Typeset", "Entity"}, 
                    "EntityClass.png"]], ImageSizeCache -> {8., {2., 6.}}], 
                   BaselinePosition -> Bottom], 
                  
                  StyleBox[#, FontColor -> 
                   RGBColor[0.395437, 0.20595, 0.061158]]}}, 
                GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}}, 
                GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}}, 
                BaselinePosition -> {1, 2}]}, 
             Dynamic[
              CurrentValue[Evaluatable]], ImageSize -> Automatic, 
             BaselinePosition -> Baseline, 
             BaseStyle -> {FontFamily -> "Helvetica"}], FrameStyle -> 
            RGBColor[1., 0.504768, 0.], Background -> 
            RGBColor[1., 0.980392, 0.921569], 
            FrameMargins -> {{5, 5}, {1.5, 1.5}}, 
            ImageMargins -> {{2, 2}, {2, 2}}, BaselinePosition -> Baseline, 
            RoundingRadius -> 4], #3, 
           BaseStyle -> {
            FontWeight -> "Plain", ShowStringCharacters -> False, LineIndent -> 
             0, PrivateFontOptions -> {"OperatorSubstitution" -> False}}]& ), 
         Editable -> False, InterpretationFunction -> (#2& )}], 
      Cell[
       StyleData["EntityClassFrameless"], ShowStringCharacters -> False, 
       TemplateBoxOptions -> {DisplayFunction -> (TooltipBox[
           PaneSelectorBox[{True -> GridBox[{{
                 PaneBox[
                  DynamicBox[
                   FEPrivate`ImportImage[
                    
                    FrontEnd`ToFileName[{"Typeset", "Entity"}, 
                    "EntityClass.png"]], ImageSizeCache -> {8., {2., 6.}}], 
                  BaselinePosition -> Bottom], 
                 
                 StyleBox[#, FontWeight -> "Bold", FontFamily -> 
                  "Source Sans Pro", FontColor -> 
                  RGBColor[0.395437, 0.20595, 0.061158]], 
                 StyleBox[
                  RowBox[{"(", #4, ")"}], FontWeight -> "Plain", FontFamily -> 
                  "Source Sans Pro", FontColor -> GrayLevel[0.65], Selectable -> 
                  False]}}, 
               GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}}, 
               GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}}, 
               BaselinePosition -> {1, 2}], False -> GridBox[{{
                 PaneBox[
                  DynamicBox[
                   FEPrivate`ImportImage[
                    
                    FrontEnd`ToFileName[{"Typeset", "Entity"}, 
                    "EntityClass.png"]], ImageSizeCache -> {8., {2., 6.}}], 
                  BaselinePosition -> Bottom], 
                 
                 StyleBox[#, FontColor -> 
                  RGBColor[0.395437, 0.20595, 0.061158]]}}, 
               GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}}, 
               GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}}, 
               BaselinePosition -> {1, 2}]}, 
            Dynamic[
             CurrentValue[Evaluatable]], ImageSize -> Automatic, 
            BaselinePosition -> Baseline, 
            BaseStyle -> {FontFamily -> "Helvetica"}], #3, 
           BaseStyle -> {
            FontWeight -> "Plain", ShowStringCharacters -> False, LineIndent -> 
             0, PrivateFontOptions -> {"OperatorSubstitution" -> False}}]& ), 
         Editable -> False, InterpretationFunction -> (#2& )}], 
      Cell[
       StyleData["EntityClassFramelessHot"], ShowStringCharacters -> False, 
       TemplateBoxOptions -> {
        DisplayFunction -> (PaneSelectorBox[{True -> GridBox[{{
                PaneBox[
                 DynamicBox[
                  FEPrivate`ImportImage[
                   
                   FrontEnd`ToFileName[{"Typeset", "Entity"}, 
                    "EntityClass.png"]], ImageSizeCache -> {8., {2., 6.}}], 
                 BaselinePosition -> Bottom], 
                
                StyleBox[#, FontWeight -> "Bold", FontFamily -> 
                 "Source Sans Pro", FontColor -> GrayLevel[0]], 
                StyleBox[
                 RowBox[{"(", #4, ")"}], FontWeight -> "Plain", FontFamily -> 
                 "Source Sans Pro", FontColor -> GrayLevel[0], Selectable -> 
                 False]}}, 
              GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}}, 
              GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}}, 
              BaselinePosition -> {1, 2}], False -> GridBox[{{
                PaneBox[
                 DynamicBox[
                  FEPrivate`ImportImage[
                   
                   FrontEnd`ToFileName[{"Typeset", "Entity"}, 
                    "EntityClass.png"]], ImageSizeCache -> {8., {2., 6.}}], 
                 BaselinePosition -> Bottom], 
                StyleBox[#, FontColor -> GrayLevel[0]]}}, 
              GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}}, 
              GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}}, 
              BaselinePosition -> {1, 2}]}, 
           Dynamic[
            CurrentValue[Evaluatable]], ImageSize -> Automatic, 
           BaselinePosition -> Baseline, 
           BaseStyle -> {
            FontWeight -> "Plain", FontFamily -> "Helvetica", 
             ShowStringCharacters -> False, LineIndent -> 0, 
             PrivateFontOptions -> {"OperatorSubstitution" -> False}}]& ), 
         Editable -> False, InterpretationFunction -> (#2& )}], 
      Cell[
       StyleData["EntityProperty"], ContextMenu -> 
       FEPrivate`FrontEndResource["ContextMenus", "Entity"], 
       AutoStyleOptions -> {"HighlightSyntaxErrors" -> False}, 
       ShowStringCharacters -> False, 
       TemplateBoxOptions -> {DisplayFunction -> (TooltipBox[
           FrameBox[
            
            PaneBox[#, 
             BaseStyle -> {
              FontSlant -> Italic, FontWeight -> Plain, FontFamily -> 
               "Helvetica", FontSize -> 0.85 Inherited, FontColor -> 
               RGBColor[0.395437, 0.20595, 0.061158]}, BaselinePosition -> 
             Baseline], FrameStyle -> Directive[
              RGBColor[0.94227, 0.703639, 0.033387], 
              AbsoluteThickness[1]], Background -> 
            RGBColor[1., 0.980392, 0.921569], 
            FrameMargins -> {{5, 5}, {1.5, 1.5}}, 
            ImageMargins -> {{2, 2}, {2, 2}}, BaselinePosition -> Baseline, 
            RoundingRadius -> 4, BaseStyle -> {FontFamily -> "Courier"}], #3, 
           BaseStyle -> {
            ShowStringCharacters -> False, LineIndent -> 0, 
             PrivateFontOptions -> {"OperatorSubstitution" -> False}}, 
           TooltipDelay -> 0.4]& ), Editable -> False, 
         InterpretationFunction -> (#2& )}], 
      Cell[
       StyleData["EntityPropertyClass"], ShowStringCharacters -> False, 
       TemplateBoxOptions -> {DisplayFunction -> (TooltipBox[
           FrameBox[
            PaneBox[
             GridBox[{{
                PaneBox[
                 DynamicBox[
                  FEPrivate`ImportImage[
                   
                   FrontEnd`ToFileName[{"Typeset", "Entity"}, 
                    "EntityClass.png"]], ImageSizeCache -> {8., {2., 6.}}], 
                 BaselinePosition -> Bottom], #}}, 
              GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}}, 
              GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}}, 
              BaselinePosition -> {1, 2}], 
             BaseStyle -> {
              FontSlant -> Italic, FontWeight -> Plain, FontFamily -> 
               "Source Sans Pro", FontColor -> 
               RGBColor[0.395437, 0.20595, 0.061158]}, BaselinePosition -> 
             Baseline], FrameStyle -> RGBColor[0.94227, 0.703639, 0.033387], 
            Background -> RGBColor[1., 0.980392, 0.921569], 
            FrameMargins -> {{5, 5}, {1.5, 1.5}}, 
            ImageMargins -> {{2, 2}, {2, 2}}, BaselinePosition -> Baseline, 
            RoundingRadius -> 4], #3, 
           BaseStyle -> {
            FontWeight -> "Plain", ShowStringCharacters -> False, LineIndent -> 
             0, PrivateFontOptions -> {"OperatorSubstitution" -> False}}]& ), 
         Editable -> False, InterpretationFunction -> (#2& )}], 
      Cell[
       StyleData["EntityValue"], ShowStringCharacters -> False, 
       TemplateBoxOptions -> {DisplayFunction -> (FrameBox[
           
           GridBox[{{#, #2}}, GridBoxAlignment -> {"Rows" -> {{Baseline}}}, 
            GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}}, 
            GridBoxSpacings -> {"Columns" -> {{0}}}, 
            BaselinePosition -> {1, 1}], Background -> 
           RGBColor[{0.9921568627450981, 0.9529411764705882, 
             0.8509803921568627}], BaselinePosition -> Baseline, 
           FrameMargins -> {{1, 1}, {1, 1}}, ImageMargins -> 2, FrameStyle -> 
           RGBColor[{0.9333333333333333, 0.8470588235294118, 
             0.5529411764705883}], RoundingRadius -> 5]& )}]}, Closed]]}, 
  Visible -> False, FrontEndVersion -> 
  "13.3 for Mac OS X x86 (64-bit) (June 3, 2023)", StyleDefinitions -> 
  "PrivateStylesheetFormatting.nb"],
ExpressionUUID->"0fb37e14-2522-4598-a6c1-c6d9fa51356e"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "p: 111"->{
  Cell[603, 23, 350, 11, 110, "Section",ExpressionUUID->"aa421888-77bb-402c-99a3-f23593d1df9d",
   CounterAssignments->{{"Section", 3}},
   CellTags->"p: 111",
   CellID->2145722108]},
 "i:1"->{
  Cell[22998, 477, 4458, 88, 263, "Text",ExpressionUUID->"6c81d2ec-fca6-4f9a-844f-11771a60626c",
   CellTags->"i:1",
   CellID->1206273092]},
 "LastCellOfAPage"->{
  Cell[28114, 587, 2285, 45, 313, "Text",ExpressionUUID->"993d20f6-ce69-433a-b036-86b81a031e8e",
   CellTags->{"LastCellOfAPage", "i:2", "p: 112"},
   CellID->1481217322],
  Cell[42711, 945, 1225, 25, 432, "Text",ExpressionUUID->"be12d2ec-8cd3-48ee-8aab-438f518ab102",
   CellTags->{"LastCellOfAPage", "p: 113"},
   CellID->1733893837],
  Cell[66161, 1492, 17356, 412, 75, "Input",ExpressionUUID->"ff820cef-9d38-43f5-a59e-6fb627c44f6b",
   CellTags->"LastCellOfAPage",
   CellID->752582927],
  Cell[99249, 2289, 1827, 26, 381, "Text",ExpressionUUID->"dc45230e-5c54-43a0-8995-490791e49431",
   CellTags->"LastCellOfAPage",
   CellID->1864953212],
  Cell[117234, 2711, 8317, 191, 265, "Output",ExpressionUUID->"e124599c-c915-4ef7-a20d-22e93aa900e9",
   CellTags->"LastCellOfAPage",
   CellID->2028382706],
  Cell[145869, 3431, 12139, 275, 438, "Output",ExpressionUUID->"0e396507-5aef-47b8-aaac-8432dcf6bb28",
   CellTags->"LastCellOfAPage",
   CellID->1863436210],
  Cell[191336, 4585, 526, 10, 37, "Output",ExpressionUUID->"4df09204-fa3a-44b1-9933-74c2560e4ff0",
   CellTags->"LastCellOfAPage",
   CellID->1728359321],
  Cell[198480, 4709, 4588, 102, 288, "Text",ExpressionUUID->"ef539be3-d16d-465e-b399-dc4a72a0dde2",
   CellTags->"LastCellOfAPage",
   CellID->72973721],
  Cell[225896, 5421, 2163, 39, 138, "Text",ExpressionUUID->"2b829b58-1cc7-4408-89a7-467edb812ddf",
   CellTags->{"LastCellOfAPage", "i:15"},
   CellID->284558015],
  Cell[246331, 5968, 4467, 86, 1214, "Text",ExpressionUUID->"d4a908e5-03ef-4b07-ad3c-1c6cb68a02c7",
   CellTags->{"LastCellOfAPage", "i:17"},
   CellID->928598400],
  Cell[265107, 6421, 444, 11, 37, "Output",ExpressionUUID->"9e32aae5-4baa-44d1-a92e-4b9de42f0d60",
   CellTags->"LastCellOfAPage",
   CellID->1515834082],
  Cell[279153, 6791, 2463, 58, 113, "Text",ExpressionUUID->"a5f9bcc5-f921-4e34-a7be-df8046a35a7d",
   CellTags->"LastCellOfAPage",
   CellID->288384798],
  Cell[296905, 7243, 2126, 54, 138, "Text",ExpressionUUID->"2728c0a1-7953-4772-ba38-dc29b4949998",
   CellTags->"LastCellOfAPage",
   CellID->1414798734],
  Cell[313498, 7683, 479, 10, 37, "Output",ExpressionUUID->"7db38615-f4f9-41da-8a28-0a9e4bab231f",
   CellTags->"LastCellOfAPage",
   CellID->606821985],
  Cell[327465, 8031, 1544, 27, 88, "Text",ExpressionUUID->"4510c46f-bd4b-4cce-9131-94d1a2d0df81",
   CellTags->"LastCellOfAPage",
   CellID->1430430395],
  Cell[346158, 8484, 1006, 20, 88, "Text",ExpressionUUID->"298e8a37-a860-45b7-87b4-e2303e374a69",
   CellTags->"LastCellOfAPage",
   CellID->890330716],
  Cell[359196, 8814, 949, 20, 63, "Text",ExpressionUUID->"96587f94-3eeb-4c25-a404-a1005c31f075",
   CellTags->"LastCellOfAPage",
   CellID->1229638324],
  Cell[373947, 9165, 1791, 38, 88, "Text",ExpressionUUID->"fe05ed41-e88c-4ea8-9d80-462c8cb00e90",
   CellTags->"LastCellOfAPage",
   CellID->460399544],
  Cell[392971, 9628, 605, 15, 37, "Output",ExpressionUUID->"07cf6dfb-6025-4c12-a2ba-c2756a8c7f7b",
   CellTags->"LastCellOfAPage",
   CellID->1117128903],
  Cell[406705, 9958, 2744, 74, 113, "Text",ExpressionUUID->"9d76df4e-0481-4fa1-91f2-c0a5a35acbc3",
   CellTags->{"LastCellOfAPage", "i:34"},
   CellID->1710140487],
  Cell[422339, 10345, 1991, 55, 113, "Text",ExpressionUUID->"f8a2260e-a4f3-4445-889a-5ca2db85a96c",
   CellTags->"LastCellOfAPage",
   CellID->721019311],
  Cell[436065, 10690, 960, 21, 88, "Text",ExpressionUUID->"8126d20d-d3a8-4056-8fe2-8427fcd73fca",
   CellTags->{"LastCellOfAPage", "i:37"},
   CellID->1460625397],
  Cell[449443, 11027, 372, 8, 37, "Output",ExpressionUUID->"b7123ad8-5455-4ce5-a240-9fad0feee436",
   CellTags->"LastCellOfAPage",
   CellID->1103819832],
  Cell[465446, 11406, 427, 9, 160, "Output",ExpressionUUID->"d966ff06-d24d-4ec2-8670-d0b24fabb7c2",
   CellTags->"LastCellOfAPage",
   CellID->1189918756],
  Cell[489428, 12002, 2003, 39, 238, "Text",ExpressionUUID->"fd39e9b2-5987-48ad-b286-90bc72a13305",
   CellTags->{"LastCellOfAPage", "i:43", "p: 136"},
   CellID->1554918302],
  Cell[510384, 12505, 302, 6, 63, "Text",ExpressionUUID->"6ac74694-e79c-4110-a888-94b5dce44bfd",
   CellTags->"LastCellOfAPage",
   CellID->2142934656],
  Cell[519959, 12739, 2015, 34, 288, "Text",ExpressionUUID->"a93e7fe8-24d8-41a4-97d3-74ec253d4b12",
   CellTags->{"LastCellOfAPage", "i:47"},
   CellID->60318708],
  Cell[535389, 13104, 5227, 104, 73, "Output",ExpressionUUID->"b36a4da3-f1c6-4908-a3a6-63ecfe96ad3e",
   CellTags->"LastCellOfAPage",
   CellID->1430829980],
  Cell[570252, 13925, 1290, 27, 113, "Text",ExpressionUUID->"cb5571af-76b1-4016-bb70-e3747ccd60fd",
   CellTags->"LastCellOfAPage",
   CellID->1254727905],
  Cell[596978, 14566, 3601, 89, 238, "Text",ExpressionUUID->"43b04043-6a54-4890-a0fd-7f1b8537ccdf",
   CellTags->"LastCellOfAPage",
   CellID->1857227319],
  Cell[648170, 15714, 1115, 22, 88, "Text",ExpressionUUID->"a459e499-e80a-452d-9c1f-315762d736d9",
   CellTags->"LastCellOfAPage",
   CellID->1508728349],
  Cell[686868, 16622, 1461, 30, 37, "Output",ExpressionUUID->"c87714f5-e4cc-4c67-bc14-241736279a93",
   CellTags->"LastCellOfAPage",
   CellID->1574747563],
  Cell[698494, 16890, 2125, 46, 114, "Output",ExpressionUUID->"10300d7e-0b90-4003-a9c7-3534f01cd3ad",
   CellTags->"LastCellOfAPage",
   CellID->1386982376],
  Cell[723872, 17462, 2088, 45, 114, "Output",ExpressionUUID->"8dde4189-3fb9-4a3f-9064-2bb57148f765",
   CellTags->"LastCellOfAPage",
   CellID->456896713],
  Cell[736023, 17783, 3954, 88, 188, "Text",ExpressionUUID->"489a3863-0283-4d5d-8b56-6462e83a59ba",
   CellTags->{"LastCellOfAPage", "i:56"},
   CellID->810126788],
  Cell[754205, 18253, 6472, 119, 94, "Output",ExpressionUUID->"344dece1-d44c-4beb-9b3c-fdd25556c4b5",
   CellTags->"LastCellOfAPage",
   CellID->1609999522],
  Cell[780128, 18878, 361, 8, 37, "Output",ExpressionUUID->"597c5c2e-91fb-46c5-9671-9c324572eebf",
   CellTags->"LastCellOfAPage",
   CellID->1861919932],
  Cell[805437, 19507, 784, 21, 37, "Output",ExpressionUUID->"bca9d59a-48fb-48bb-9833-7d6ed5aa7824",
   CellTags->"LastCellOfAPage",
   CellID->372445717],
  Cell[822749, 19934, 462, 9, 143, "TechNote",ExpressionUUID->"b09f313e-135d-4667-be0d-0279dfee45e4",
   CellTags->{"LastCellOfAPage", "i:59"},
   CellID->1947269190],
  Cell[857063, 20769, 3335, 77, 79, "TechNote",ExpressionUUID->"a8dfa03b-a9f6-4381-9dff-1a3a6c393a27",
   CellTags->"LastCellOfAPage",
   CellID->1070089599],
  Cell[866031, 21004, 898, 20, 25, "Reference",ExpressionUUID->"f927b576-fde0-4062-be0d-74270f893dc3",
   CellTags->"LastCellOfAPage",
   CellID->1724086279]},
 "i:2"->{
  Cell[28114, 587, 2285, 45, 313, "Text",ExpressionUUID->"993d20f6-ce69-433a-b036-86b81a031e8e",
   CellTags->{"LastCellOfAPage", "i:2", "p: 112"},
   CellID->1481217322]},
 "p: 112"->{
  Cell[28114, 587, 2285, 45, 313, "Text",ExpressionUUID->"993d20f6-ce69-433a-b036-86b81a031e8e",
   CellTags->{"LastCellOfAPage", "i:2", "p: 112"},
   CellID->1481217322]},
 "i:3"->{
  Cell[37401, 812, 1204, 24, 381, "Text",ExpressionUUID->"fef5d77f-57ad-4998-bb16-15c65b45af79",
   CellTags->"i:3",
   CellID->1453820474]},
 "i:4"->{
  Cell[39954, 875, 2012, 47, 704, "Text",ExpressionUUID->"9151008d-740e-446b-931f-fa474a966b93",
   CellTags->"i:4",
   CellID->1750924037]},
 "p: 113"->{
  Cell[42711, 945, 1225, 25, 432, "Text",ExpressionUUID->"be12d2ec-8cd3-48ee-8aab-438f518ab102",
   CellTags->{"LastCellOfAPage", "p: 113"},
   CellID->1733893837]},
 "i:5"->{
  Cell[45492, 1015, 2809, 56, 163, "Text",ExpressionUUID->"205ce658-c842-43e6-82bc-c01d00655c40",
   CellTags->"i:5",
   CellID->79894686]},
 "i:6"->{
  Cell[48304, 1073, 1491, 37, 61, "CodeText",ExpressionUUID->"81843c10-437f-4ec3-b099-bf5f467fadd8",
   CellTags->"i:6",
   CellID->1493063484]},
 "i:7"->{
  Cell[61769, 1398, 3890, 79, 163, "Text",ExpressionUUID->"9b03082b-2507-4d09-ada9-aeafacc22913",
   CellTags->"i:7",
   CellID->2131197115]},
 "p: 114"->{
  Cell[83542, 1908, 396, 9, 26, "Input",ExpressionUUID->"67a3abec-c3cd-465f-b0a5-e640fc49d4d9",
   CellTags->"p: 114",
   CellID->1233188327]},
 "i:8"->{
  Cell[88694, 2031, 3294, 84, 213, "Text",ExpressionUUID->"6b0a5cb6-33b8-41d8-bc75-bc2121a5bbb3",
   CellTags->"i:8",
   CellID->1771849880]},
 "i:9"->{
  Cell[92693, 2139, 3545, 86, 239, "Text",ExpressionUUID->"55a1a49f-a9cd-4a43-8e7b-df1989cab58d",
   CellTags->"i:9",
   CellID->521985220]},
 "i:10"->{
  Cell[96491, 2235, 2755, 52, 738, "Text",ExpressionUUID->"9bf26197-1588-4608-982a-7f0466344369",
   CellTags->"i:10",
   CellID->33119792]},
 "p: 115"->{
  Cell[101079, 2317, 1102, 23, 381, "Text",ExpressionUUID->"8a3c2769-5c7f-4e81-b403-783f7319c5f9",
   CellTags->"p: 115",
   CellID->907754216]},
 "i:11"->{
  Cell[115573, 2667, 511, 12, 38, "Text",ExpressionUUID->"6dcfb5c6-0fb5-418e-b501-335f241e810d",
   CellTags->"i:11",
   CellID->1948990745]},
 "p: 116"->{
  Cell[125566, 2905, 1610, 39, 517, "Text",ExpressionUUID->"ee13aeaf-e86e-4cab-b930-3449276c7cf2",
   CellTags->"p: 116",
   CellID->669653496]},
 "p: 117"->{
  Cell[158023, 3709, 2773, 73, 138, "Text",ExpressionUUID->"81726349-247e-42b0-97b0-171f7756ed74",
   CellTags->"p: 117",
   CellID->973109509]},
 "p: 118"->{
  Cell[191911, 4601, 285, 4, 92, "Subsubsection",ExpressionUUID->"13d35be9-c69e-4cd3-a212-efbecaa38e15",
   CellTags->"p: 118",
   CellID->606071473]},
 "i:12"->{
  Cell[192199, 4607, 3363, 53, 772, "Text",ExpressionUUID->"0a70bd0e-276a-4dc9-9140-ddaf6b6d9027",
   CellTags->"i:12",
   CellID->702383209]},
 "p: 119"->{
  Cell[203071, 4813, 483, 11, 39, "CodeText",ExpressionUUID->"8bef9007-914d-4423-b784-c59d0f72eef8",
   CellTags->"p: 119",
   CellID->1974240687]},
 "i:13"->{
  Cell[213728, 5100, 2325, 59, 88, "Text",ExpressionUUID->"45137775-68da-4dd2-b7db-72b703878b25",
   CellTags->"i:13",
   CellID->325914932]},
 "i:14"->{
  Cell[220055, 5288, 3225, 56, 163, "Text",ExpressionUUID->"a0b08b03-5bdf-4d2e-a16f-5f72a606a0c6",
   CellTags->"i:14",
   CellID->667975183]},
 "i:15"->{
  Cell[225896, 5421, 2163, 39, 138, "Text",ExpressionUUID->"2b829b58-1cc7-4408-89a7-467edb812ddf",
   CellTags->{"LastCellOfAPage", "i:15"},
   CellID->284558015]},
 "p: 120"->{
  Cell[228062, 5462, 3529, 85, 163, "Text",ExpressionUUID->"c7066cbd-b0fe-42c4-ae3d-cea6ca2af895",
   CellTags->"p: 120",
   CellID->1837340642]},
 "i:16"->{
  Cell[235951, 5658, 1141, 25, 63, "Text",ExpressionUUID->"d85f8291-043f-4e16-889f-e55e8fa0019f",
   CellTags->"i:16",
   CellID->832004499]},
 "i:17"->{
  Cell[246331, 5968, 4467, 86, 1214, "Text",ExpressionUUID->"d4a908e5-03ef-4b07-ad3c-1c6cb68a02c7",
   CellTags->{"LastCellOfAPage", "i:17"},
   CellID->928598400]},
 "p: 121"->{
  Cell[250801, 6056, 804, 17, 262, "CodeText",ExpressionUUID->"6683fdb3-4cd1-449d-89e0-92dd6b5d9415",
   CellTags->"p: 121",
   CellID->1807941136]},
 "i:18"->{
  Cell[257038, 6220, 2106, 45, 63, "Text",ExpressionUUID->"00f07889-e0ff-4aaf-9d9e-f76441e3ca1d",
   CellTags->"i:18",
   CellID->908443047]},
 "i:19"->{
  Cell[261959, 6347, 1768, 33, 138, "Text",ExpressionUUID->"4cb2e8d1-7742-4eec-a188-6e77ec93f1b0",
   CellTags->"i:19",
   CellID->1087675261]},
 "p: 122"->{
  Cell[265600, 6438, 371, 7, 54, "Subsubsubsection",ExpressionUUID->"f5a2f29e-911e-470b-ad0f-deee0d31d51c",
   CellTags->"p: 122",
   CellID->321485744]},
 "i:20"->{
  Cell[265974, 6447, 964, 20, 63, "Text",ExpressionUUID->"64299d2a-7892-440b-b804-92aeb362c809",
   CellTags->"i:20",
   CellID->1066189986]},
 "i:21"->{
  Cell[271369, 6585, 2161, 46, 88, "Text",ExpressionUUID->"bca0f0ce-d46e-40bb-8375-3ad0d84b5009",
   CellTags->"i:21",
   CellID->734470864]},
 "p: 123"->{
  Cell[281619, 6851, 1596, 44, 61, "CodeText",ExpressionUUID->"575898c8-9d1e-4531-ae63-978b2c291034",
   CellTags->"p: 123",
   CellID->1420574191]},
 "i:22"->{
  Cell[284835, 6947, 1485, 36, 88, "Text",ExpressionUUID->"c24a4d18-560e-4e66-b9dd-ed656b5af582",
   CellTags->"i:22",
   CellID->1640572757]},
 "i:23"->{
  Cell[288932, 7062, 1696, 30, 63, "Text",ExpressionUUID->"68b55e3f-2915-4801-94ab-fea3df21ebe2",
   CellTags->"i:23",
   CellID->1584903402]},
 "i:24"->{
  Cell[292875, 7148, 1404, 24, 113, "Text",ExpressionUUID->"09987c9a-5f96-47ee-90cd-7b6a376d80fe",
   CellTags->"i:24",
   CellID->99329491]},
 "p: 124"->{
  Cell[299092, 7304, 350, 5, 57, "Subsection",ExpressionUUID->"39c966dd-881c-4898-abcb-4c19c61dd941",
   CellTags->"p: 124",
   CellID->1730266315]},
 "i:25"->{
  Cell[301484, 7351, 3444, 102, 163, "Text",ExpressionUUID->"d5ff2f41-43e4-4b57-9e7c-faa4f10d6bb9",
   CellTags->"i:25",
   CellID->1889740701]},
 "p: 125"->{
  Cell[313992, 7696, 1109, 25, 88, "Text",ExpressionUUID->"f22e4fa1-0d4f-42d3-9106-95e05db5d464",
   CellTags->"p: 125",
   CellID->5549762]},
 "i:26"->{
  Cell[315640, 7740, 794, 17, 88, "Text",ExpressionUUID->"61043a2f-62ed-46b9-a8e6-3e054a506e0b",
   CellTags->"i:26",
   CellID->617929571]},
 "i:27"->{
  Cell[324674, 7956, 2788, 73, 188, "Text",ExpressionUUID->"40a61a87-b3e5-406a-a13b-66426f084b8a",
   CellTags->"i:27",
   CellID->716383855]},
 "p: 126"->{
  Cell[329012, 8060, 536, 12, 39, "CodeText",ExpressionUUID->"fd28ac76-9202-4327-9e33-639698e52e4b",
   CellTags->"p: 126",
   CellID->1090429965]},
 "i:28"->{
  Cell[341904, 8376, 2492, 55, 163, "Text",ExpressionUUID->"41aee731-8073-4738-83a7-56d76aae1f33",
   CellTags->"i:28",
   CellID->1017579689]},
 "p: 127"->{
  Cell[347167, 8506, 573, 12, 39, "CodeText",ExpressionUUID->"0d97a47c-3442-4e47-8dc4-69bf22461db4",
   CellTags->"p: 127",
   CellID->1345311412]},
 "i:29"->{
  Cell[350097, 8592, 1826, 38, 138, "Text",ExpressionUUID->"85f70334-ccbb-4466-872f-81866fd5991e",
   CellTags->"i:29",
   CellID->1580355676]},
 "i:30"->{
  Cell[355040, 8718, 939, 17, 63, "Text",ExpressionUUID->"71eff357-1f9b-4d91-a637-e30b65ddc28a",
   CellTags->"i:30",
   CellID->1470125903]},
 "p: 128"->{
  Cell[360148, 8836, 1015, 24, 61, "CodeText",ExpressionUUID->"50549a3c-df12-403d-87f1-f2b42d76de88",
   CellTags->"p: 128",
   CellID->15622747]},
 "i:31"->{
  Cell[368894, 9045, 1438, 28, 163, "Text",ExpressionUUID->"4488a051-0329-4daf-a511-c3a949aa8ebe",
   CellTags->"i:31",
   CellID->1118257179]},
 "p: 129"->{
  Cell[375741, 9205, 987, 19, 61, "CodeText",ExpressionUUID->"479e3160-28d5-4a76-b807-21b72febbec3",
   CellTags->"p: 129",
   CellID->601742876]},
 "i:32"->{
  Cell[384635, 9410, 1760, 40, 88, "Text",ExpressionUUID->"7c0b6480-c4db-4962-bc39-fc566c9624b0",
   CellTags->"i:32",
   CellID->180094750]},
 "p: 130"->{
  Cell[393637, 9650, 467, 11, 57, "Subsection",ExpressionUUID->"956c49a7-3bdb-47b5-80d5-8526952c1743",
   CellTags->"p: 130",
   CellID->924778655]},
 "i:33"->{
  Cell[397561, 9730, 491, 10, 26, "Input",ExpressionUUID->"f10d6f96-1175-43a2-9a9c-1b91770009e3",
   CellTags->"i:33",
   CellID->192288021]},
 "i:34"->{
  Cell[406705, 9958, 2744, 74, 113, "Text",ExpressionUUID->"9d76df4e-0481-4fa1-91f2-c0a5a35acbc3",
   CellTags->{"LastCellOfAPage", "i:34"},
   CellID->1710140487]},
 "p: 131"->{
  Cell[409452, 10034, 749, 18, 61, "CodeText",ExpressionUUID->"0eaf5597-46ef-45af-83c2-26f669337d69",
   CellTags->"p: 131",
   CellID->934876620]},
 "i:35"->{
  Cell[419096, 10268, 1570, 32, 88, "Text",ExpressionUUID->"2adeda53-1817-44d6-8597-718224d34f6c",
   CellTags->"i:35",
   CellID->1913560027]},
 "p: 132"->{
  Cell[424333, 10402, 695, 18, 39, "CodeText",ExpressionUUID->"820c8990-641d-417a-a2bf-1841eb686cac",
   CellTags->"p: 132",
   CellID->2072375687]},
 "i:36"->{
  Cell[427977, 10498, 2353, 48, 138, "Text",ExpressionUUID->"86a68006-db4b-4a3a-83a9-00bf2de864e1",
   CellTags->"i:36",
   CellID->1114157968]},
 "i:37"->{
  Cell[436065, 10690, 960, 21, 88, "Text",ExpressionUUID->"8126d20d-d3a8-4056-8fe2-8427fcd73fca",
   CellTags->{"LastCellOfAPage", "i:37"},
   CellID->1460625397]},
 "p: 133"->{
  Cell[437028, 10713, 269, 4, 39, "CodeText",ExpressionUUID->"b2333dd5-e143-48ed-bb75-94485afbf97b",
   CellTags->"p: 133",
   CellID->1659562789]},
 "p: 134"->{
  Cell[449830, 11038, 646, 13, 39, "CodeText",ExpressionUUID->"df6c03ef-54d9-4459-82f6-32a79f70b0d5",
   CellTags->"p: 134",
   CellID->873235537]},
 "i:38"->{
  Cell[451416, 11080, 3547, 84, 138, "Text",ExpressionUUID->"52508bae-69f9-4e4e-933e-322bf0e29751",
   CellTags->"i:38",
   CellID->1246255478]},
 "i:39"->{
  Cell[455449, 11181, 1182, 21, 88, "Text",ExpressionUUID->"f8dee422-5706-405f-88f0-22a959014c80",
   CellTags->"i:39",
   CellID->716242384]},
 "i:40"->{
  Cell[459410, 11267, 1121, 22, 88, "Text",ExpressionUUID->"21be0da0-d53a-4d8f-8d4d-68c7f926a8f9",
   CellTags->"i:40",
   CellID->217238876]},
 "p: 135"->{
  Cell[465888, 11418, 1139, 29, 432, "CodeText",ExpressionUUID->"a308cb2a-ddbd-42b3-8126-ff4a3706874d",
   CellTags->"p: 135",
   CellID->13494555]},
 "i:41"->{
  Cell[478417, 11736, 436, 8, 63, "Text",ExpressionUUID->"0045a9f7-3820-4b12-a2dc-3220704fc6cb",
   CellTags->"i:41",
   CellID->1881524972]},
 "i:42"->{
  Cell[478856, 11746, 2217, 47, 138, "Text",ExpressionUUID->"d5e5a871-6be4-44a7-b732-f9a25ef136c9",
   CellTags->"i:42",
   CellID->572884088]},
 "i:43"->{
  Cell[489428, 12002, 2003, 39, 238, "Text",ExpressionUUID->"fd39e9b2-5987-48ad-b286-90bc72a13305",
   CellTags->{"LastCellOfAPage", "i:43", "p: 136"},
   CellID->1554918302]},
 "p: 136"->{
  Cell[489428, 12002, 2003, 39, 238, "Text",ExpressionUUID->"fd39e9b2-5987-48ad-b286-90bc72a13305",
   CellTags->{"LastCellOfAPage", "i:43", "p: 136"},
   CellID->1554918302]},
 "i:44"->{
  Cell[491434, 12043, 776, 22, 39, "CodeText",ExpressionUUID->"4bf20fe9-d9e3-46b1-80fb-7a8ae27fcde4",
   CellTags->"i:44",
   CellID->931771994]},
 "i:45"->{
  Cell[505897, 12393, 674, 15, 63, "Text",ExpressionUUID->"c49a0df6-b83c-4db4-b650-7c2889baf080",
   CellTags->"i:45",
   CellID->1637392790]},
 "p: 137"->{
  Cell[510723, 12516, 215, 3, 57, "Subsection",ExpressionUUID->"fe1f0646-7c01-4467-a181-97c16dd74fae",
   CellTags->"p: 137",
   CellID->319036314]},
 "i:46"->{
  Cell[510941, 12521, 2182, 43, 188, "Text",ExpressionUUID->"7d5da2fe-c024-4e71-938c-fb7dc81b49f9",
   CellTags->"i:46",
   CellID->76174816]},
 "i:47"->{
  Cell[519959, 12739, 2015, 34, 288, "Text",ExpressionUUID->"a93e7fe8-24d8-41a4-97d3-74ec253d4b12",
   CellTags->{"LastCellOfAPage", "i:47"},
   CellID->60318708]},
 "p: 138"->{
  Cell[521999, 12777, 269, 4, 55, "Subsubsection",ExpressionUUID->"86cc65d3-4198-4b13-8f96-620ff4dca7b7",
   CellTags->"p: 138",
   CellID->1312073658]},
 "i:48"->{
  Cell[532563, 13035, 1411, 29, 113, "Text",ExpressionUUID->"e9b694cf-cc69-40e7-9e70-bc6b5f23c2f6",
   CellTags->"i:48",
   CellID->1569454109]},
 "p: 139"->{
  Cell[540631, 13211, 1383, 27, 113, "Text",ExpressionUUID->"5cf2f7a9-7f86-4286-8ae2-a578e00a5103",
   CellTags->"p: 139",
   CellID->319812624]},
 "i:49"->{
  Cell[552715, 13500, 3801, 82, 188, "Text",ExpressionUUID->"e05c0ab6-5d5d-4dad-b630-dc972d01a821",
   CellTags->"i:49",
   CellID->255968431]},
 "p: 140"->{
  Cell[571545, 13954, 1156, 29, 39, "CodeText",ExpressionUUID->"1ef33e6c-0020-430c-90d8-cc68492cf014",
   CellTags->"p: 140",
   CellID->1455332047]},
 "p: 141"->{
  Cell[600582, 14657, 298, 6, 39, "CodeText",ExpressionUUID->"30339e8d-cd60-4f71-9fe5-fa6f4f2f1c4a",
   CellTags->"p: 141",
   CellID->1363908524]},
 "p: 142"->{
  Cell[649288, 15738, 1352, 35, 39, "CodeText",ExpressionUUID->"40a639ce-893b-4b44-8c6a-281de1548e15",
   CellTags->"p: 142",
   CellID->1466047781]},
 "p: 143"->{
  Cell[688378, 16658, 218, 3, 55, "Subsubsection",ExpressionUUID->"bcf1e3d9-b080-4bb2-8f57-d893ecb1fb7a",
   CellTags->"p: 143",
   CellID->1525348318]},
 "i:50"->{
  Cell[688599, 16663, 1365, 28, 138, "Text",ExpressionUUID->"24fd5195-eeb5-47ca-a78a-88b4dbf31f65",
   CellTags->"i:50",
   CellID->1229989336]},
 "p: 144"->{
  Cell[700634, 16939, 754, 17, 39, "CodeText",ExpressionUUID->"47f0eae2-e749-4d5f-aa04-d9859bb106f2",
   CellTags->"p: 144",
   CellID->129877822]},
 "i:51"->{
  Cell[702046, 16979, 1816, 42, 88, "Text",ExpressionUUID->"93f71b97-da3d-498f-9b33-11ffc1df565d",
   CellTags->"i:51",
   CellID->1055020946]},
 "i:52"->{
  Cell[710903, 17170, 1087, 25, 63, "Text",ExpressionUUID->"0d0e3795-761f-4ecf-ac03-dd2b66f4ac7c",
   CellTags->"i:52",
   CellID->370333675]},
 "i:53"->{
  Cell[719741, 17360, 404, 7, 63, "Text",ExpressionUUID->"068d5c61-bf05-44ff-a031-991a23526a6a",
   CellTags->"i:53",
   CellID->1937671343]},
 "i:54"->{
  Cell[721992, 17410, 811, 20, 63, "Text",ExpressionUUID->"2001bd6d-7807-4207-8abc-1f55be7e65dc",
   CellTags->"i:54",
   CellID->1196739546]},
 "p: 145"->{
  Cell[725975, 17510, 304, 5, 39, "CodeText",ExpressionUUID->"205d453f-8000-40ec-a692-dfbf50f2be6d",
   CellTags->"p: 145",
   CellID->1604541439]},
 "i:55"->{
  Cell[727360, 17545, 460, 10, 88, "Text",ExpressionUUID->"0886d535-e3cf-478f-ac69-e37ab19ea62d",
   CellTags->"i:55",
   CellID->1570418281]},
 "i:56"->{
  Cell[736023, 17783, 3954, 88, 188, "Text",ExpressionUUID->"489a3863-0283-4d5d-8b56-6462e83a59ba",
   CellTags->{"LastCellOfAPage", "i:56"},
   CellID->810126788]},
 "p: 146"->{
  Cell[739980, 17873, 1808, 49, 61, "CodeText",ExpressionUUID->"e41b6f5c-0124-4bd8-93b7-634d3609c200",
   CellTags->"p: 146",
   CellID->1835780708]},
 "i:57"->{
  Cell[742877, 17959, 2076, 54, 113, "Text",ExpressionUUID->"8ac1682e-fa08-45ba-9b0b-fb333af317da",
   CellTags->"i:57",
   CellID->1528413917]},
 "p: 147"->{
  Cell[760692, 18375, 864, 17, 88, "Text",ExpressionUUID->"ccbd7187-8275-4cfe-983d-318830b4b446",
   CellTags->"p: 147",
   CellID->232924583]},
 "p: 148"->{
  Cell[780504, 18889, 251, 4, 39, "CodeText",ExpressionUUID->"bf3484ec-a823-47c8-9593-2f5ecbfb7a5b",
   CellTags->"p: 148",
   CellID->1775229690]},
 "p: 149"->{
  Cell[806258, 19533, 206, 5, 65, "ExerciseSection",ExpressionUUID->"03fc55c1-dda0-4639-a303-527d406b99d9",
   CellTags->"p: 149",
   CellID->814524763]},
 "Exercise"->{
  Cell[807257, 19558, 331, 9, 26, "Exercise",ExpressionUUID->"59849fb7-1e03-46c6-af68-836962a3e94c",
   CounterAssignments->{{$CellContext`Exercise, 0}},
   CellTags->"Exercise",
   CellID->1153217924],
  Cell[807591, 19569, 353, 5, 26, "Exercise",ExpressionUUID->"26855d5b-98a5-4ea3-96f2-bfc92a7c1ae5",
   CellTags->"Exercise",
   CellID->1093734493],
  Cell[807947, 19576, 1324, 28, 46, "Exercise",ExpressionUUID->"5c307215-28a9-494d-a496-063bb8182c6d",
   CellTags->"Exercise",
   CellID->2083089178],
  Cell[809274, 19606, 376, 7, 45, "Exercise",ExpressionUUID->"69db0bf4-a6a8-43c4-8376-e7bcc00e1ec0",
   CellTags->"Exercise",
   CellID->53917605],
  Cell[809653, 19615, 2340, 46, 738, "Exercise",ExpressionUUID->"6173e071-015e-4408-b29f-233c2dc33e62",
   CellTags->"Exercise",
   CellID->2102571848],
  Cell[811996, 19663, 559, 12, 228, "Exercise",ExpressionUUID->"a8a61aa3-5939-4bbc-92c2-9b18b84a92c2",
   CellTags->"Exercise",
   CellID->1081637951],
  Cell[812558, 19677, 554, 11, 177, "Exercise",ExpressionUUID->"3754478e-cbe3-4d5a-9dba-c3a3f6dd0217",
   CellTags->"Exercise",
   CellID->2121718470],
  Cell[813115, 19690, 2052, 46, 755, "Exercise",ExpressionUUID->"e0a1c317-9da1-41a7-bf0c-43560aa8c44b",
   CellTags->"Exercise",
   CellID->639970602]},
 "i:58"->{
  Cell[817904, 19797, 4842, 135, 1945, "TechNote",ExpressionUUID->"d6c4b222-d3e1-46dc-9b6a-cc156f9ea011",
   CellTags->"i:58",
   CellID->615605435]},
 "i:59"->{
  Cell[822749, 19934, 462, 9, 143, "TechNote",ExpressionUUID->"b09f313e-135d-4667-be0d-0279dfee45e4",
   CellTags->{"LastCellOfAPage", "i:59"},
   CellID->1947269190]},
 "p: 150"->{
  Cell[823214, 19945, 2076, 43, 636, "TechNote",ExpressionUUID->"fcff3806-2b50-47f9-80ce-5952a7fb326a",
   CellTags->"p: 150",
   CellID->99834867]},
 "i:60"->{
  Cell[825293, 19990, 858, 18, 279, "TechNote",ExpressionUUID->"420af2c0-b1ee-4217-b46c-a45dc27891c8",
   CellTags->"i:60",
   CellID->709262739]},
 "i:61"->{
  Cell[831182, 20132, 1158, 25, 77, "TechNote",ExpressionUUID->"59f300ff-4ae4-4f5e-b1c5-bfe0bb563113",
   CellTags->"i:61",
   CellID->113707605]},
 "i:62"->{
  Cell[833658, 20201, 999, 26, 54, "TechNote",ExpressionUUID->"09aeb13f-b939-44ae-a930-6bc949c98c46",
   CellTags->"i:62",
   CellID->1733309284]},
 "i:63"->{
  Cell[843839, 20454, 1906, 43, 54, "TechNote",ExpressionUUID->"e4381fad-f8e1-4983-ac11-3bc8550a0ab2",
   CellTags->"i:63",
   CellID->2008157589]},
 "p: 151"->{
  Cell[860401, 20848, 803, 15, 54, "TechNote",ExpressionUUID->"5d4928f7-88aa-4178-9ea4-dadfe4f64781",
   CellTags->"p: 151",
   CellID->1628225788]},
 "i:64"->{
  Cell[861207, 20865, 2054, 42, 124, "TechNote",ExpressionUUID->"a857a114-b6bb-4dd1-a0f6-f54a8883e328",
   CellTags->"i:64",
   CellID->590312565]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"p: 111", 1049553, 24564},
 {"i:1", 1049748, 24569},
 {"LastCellOfAPage", 1049912, 24573},
 {"i:2", 1056414, 24697},
 {"p: 112", 1056600, 24701},
 {"i:3", 1056783, 24705},
 {"i:4", 1056935, 24709},
 {"p: 113", 1057090, 24713},
 {"i:5", 1057266, 24717},
 {"i:6", 1057417, 24721},
 {"i:7", 1057573, 24725},
 {"p: 114", 1057729, 24729},
 {"i:8", 1057883, 24733},
 {"i:9", 1058036, 24737},
 {"i:10", 1058189, 24741},
 {"p: 115", 1058344, 24745},
 {"i:11", 1058501, 24749},
 {"p: 116", 1058657, 24753},
 {"p: 117", 1058816, 24757},
 {"p: 118", 1058975, 24761},
 {"i:12", 1059138, 24765},
 {"p: 119", 1059295, 24769},
 {"i:13", 1059455, 24773},
 {"i:14", 1059609, 24777},
 {"i:15", 1059764, 24781},
 {"p: 120", 1059942, 24785},
 {"i:16", 1060100, 24789},
 {"i:17", 1060254, 24793},
 {"p: 121", 1060433, 24797},
 {"i:18", 1060594, 24801},
 {"i:19", 1060748, 24805},
 {"p: 122", 1060906, 24809},
 {"i:20", 1061072, 24813},
 {"i:21", 1061226, 24817},
 {"p: 123", 1061382, 24821},
 {"i:22", 1061543, 24825},
 {"i:23", 1061698, 24829},
 {"i:24", 1061853, 24833},
 {"p: 124", 1062009, 24837},
 {"i:25", 1062170, 24841},
 {"p: 125", 1062329, 24845},
 {"i:26", 1062483, 24849},
 {"i:27", 1062636, 24853},
 {"p: 126", 1062793, 24857},
 {"i:28", 1062953, 24861},
 {"p: 127", 1063111, 24865},
 {"i:29", 1063271, 24869},
 {"i:30", 1063427, 24873},
 {"p: 128", 1063583, 24877},
 {"i:31", 1063742, 24881},
 {"p: 129", 1063900, 24885},
 {"i:32", 1064059, 24889},
 {"p: 130", 1064215, 24893},
 {"i:33", 1064376, 24897},
 {"i:34", 1064530, 24901},
 {"p: 131", 1064709, 24905},
 {"i:35", 1064869, 24909},
 {"p: 132", 1065027, 24913},
 {"i:36", 1065188, 24917},
 {"i:37", 1065345, 24921},
 {"p: 133", 1065523, 24925},
 {"p: 134", 1065685, 24929},
 {"i:38", 1065845, 24933},
 {"i:39", 1066002, 24937},
 {"i:40", 1066157, 24941},
 {"p: 135", 1066314, 24945},
 {"i:41", 1066475, 24949},
 {"i:42", 1066629, 24953},
 {"i:43", 1066785, 24957},
 {"p: 136", 1066975, 24961},
 {"i:44", 1067163, 24965},
 {"i:45", 1067321, 24969},
 {"p: 137", 1067478, 24973},
 {"i:46", 1067639, 24977},
 {"i:47", 1067794, 24981},
 {"p: 138", 1067972, 24985},
 {"i:48", 1068137, 24989},
 {"p: 139", 1068296, 24993},
 {"i:49", 1068454, 24997},
 {"p: 140", 1068612, 25001},
 {"p: 141", 1068776, 25005},
 {"p: 142", 1068938, 25009},
 {"p: 143", 1069102, 25013},
 {"i:50", 1069267, 25017},
 {"p: 144", 1069426, 25021},
 {"i:51", 1069586, 25025},
 {"i:52", 1069742, 25029},
 {"i:53", 1069897, 25033},
 {"i:54", 1070051, 25037},
 {"p: 145", 1070208, 25041},
 {"i:55", 1070368, 25045},
 {"i:56", 1070523, 25049},
 {"p: 146", 1070702, 25053},
 {"i:57", 1070864, 25057},
 {"p: 147", 1071023, 25061},
 {"p: 148", 1071181, 25065},
 {"p: 149", 1071343, 25069},
 {"Exercise", 1071513, 25073},
 {"i:58", 1072787, 25099},
 {"i:59", 1072949, 25103},
 {"p: 150", 1073131, 25107},
 {"i:60", 1073292, 25111},
 {"i:61", 1073451, 25115},
 {"i:62", 1073610, 25119},
 {"i:63", 1073769, 25123},
 {"p: 151", 1073931, 25127},
 {"i:64", 1074092, 25131}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[603, 23, 350, 11, 110, "Section",ExpressionUUID->"aa421888-77bb-402c-99a3-f23593d1df9d",
 CounterAssignments->{{"Section", 3}},
 CellTags->"p: 111",
 CellID->2145722108],
Cell[956, 36, 1111, 23, 63, "Text",ExpressionUUID->"924f007f-6d05-436a-9b70-3a796c9bcf70",
 CellID->1532866539],
Cell[2070, 61, 581, 14, 37, "CodeCaption",ExpressionUUID->"f315c02d-ba83-4b1d-83f7-614249c56270",
 CellID->336964028],
Cell[CellGroupData[{
Cell[2676, 79, 297, 7, 26, "Input",ExpressionUUID->"24e27879-e385-44bc-a725-7ce4f3922661",
 CellID->443800812],
Cell[2976, 88, 20007, 386, 152, "Output",ExpressionUUID->"3364bc30-fdd1-466a-a34b-7e3f4d548afd",
 CellID->1590202819]
}, Open  ]],
Cell[22998, 477, 4458, 88, 263, "Text",ExpressionUUID->"6c81d2ec-fca6-4f9a-844f-11771a60626c",
 CellTags->"i:1",
 CellID->1206273092],
Cell[CellGroupData[{
Cell[27481, 569, 430, 10, 57, "Subsection",ExpressionUUID->"ef219c24-d053-4a36-91f0-23f7c2fa8edc",
 CellID->1929332511],
Cell[CellGroupData[{
Cell[27936, 583, 175, 2, 55, "Subsubsection",ExpressionUUID->"1a533f8d-a1c4-47e6-a9aa-d1fa24b41826",
 CellID->423895187],
Cell[28114, 587, 2285, 45, 313, "Text",ExpressionUUID->"993d20f6-ce69-433a-b036-86b81a031e8e",
 CellTags->{"LastCellOfAPage", "i:2", "p: 112"},
 CellID->1481217322],
Cell[30402, 634, 2056, 39, 551, "Text",ExpressionUUID->"df6b5b6c-7113-4abc-b5bc-0b0e33a46835",
 CellID->898288290],
Cell[32461, 675, 557, 12, 211, "CodeText",ExpressionUUID->"d68b053d-246c-40b1-ae38-3d5c0f0e8d09",
 CellID->854729932],
Cell[CellGroupData[{
Cell[33043, 691, 403, 11, 194, "Input",ExpressionUUID->"50255748-7a2f-44f3-8e99-6c3d09cb1959",
 CellID->395733039],
Cell[33449, 704, 567, 14, 37, "Output",ExpressionUUID->"61f60624-02ea-4232-9a35-07b72a6f16c3",
 CellID->613483360]
}, Open  ]],
Cell[34031, 721, 1312, 29, 415, "Text",ExpressionUUID->"0c4fb6fb-eb3b-4666-859e-36c56fa238a0",
 CellID->884901346],
Cell[35346, 752, 540, 12, 211, "CodeText",ExpressionUUID->"1f9353e4-07d0-48db-ae1f-ec8e03283e30",
 CellID->88812882],
Cell[CellGroupData[{
Cell[35911, 768, 395, 10, 194, "Input",ExpressionUUID->"10432845-3438-42a8-8e1f-3e17599d9220",
 CellID->1389093200],
Cell[36309, 780, 568, 14, 228, "Output",ExpressionUUID->"b9dde1ec-4f33-4677-b10c-ab03447330c5",
 CellID->1944622202]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[36926, 800, 472, 10, 177, "Subsubsection",ExpressionUUID->"190f3ed0-1cda-473b-b2ad-aab1348b1232",
 CellID->734159213],
Cell[37401, 812, 1204, 24, 381, "Text",ExpressionUUID->"fef5d77f-57ad-4998-bb16-15c65b45af79",
 CellTags->"i:3",
 CellID->1453820474],
Cell[38608, 838, 772, 17, 39, "CodeText",ExpressionUUID->"7c2b5ee2-63a2-441c-a520-f520c86c252e",
 CellID->1322251363],
Cell[CellGroupData[{
Cell[39405, 859, 284, 6, 26, "Input",ExpressionUUID->"af4a8d18-7a1a-45e9-af0b-4b9840a16616",
 CellID->1940995775],
Cell[39692, 867, 247, 5, 37, "Output",ExpressionUUID->"4a2cc8ce-5fbe-45d8-ad74-448787f578e9",
 CellID->258484999]
}, Open  ]],
Cell[39954, 875, 2012, 47, 704, "Text",ExpressionUUID->"9151008d-740e-446b-931f-fa474a966b93",
 CellTags->"i:4",
 CellID->1750924037],
Cell[41969, 924, 739, 19, 245, "Text",ExpressionUUID->"d686f284-d5e9-4308-ad24-2b61101a3f5e",
 CellID->853421096],
Cell[42711, 945, 1225, 25, 432, "Text",ExpressionUUID->"be12d2ec-8cd3-48ee-8aab-438f518ab102",
 CellTags->{"LastCellOfAPage", "p: 113"},
 CellID->1733893837],
Cell[43939, 972, 842, 18, 296, "CodeText",ExpressionUUID->"c95e4cc5-1eb2-40f6-80f8-dc809536c6c8",
 CellID->879389447],
Cell[CellGroupData[{
Cell[44806, 994, 331, 8, 26, "Input",ExpressionUUID->"0c92a32d-1acd-477e-b9e6-37c9601a2e81",
 CellID->1829808046],
Cell[45140, 1004, 337, 8, 37, "Output",ExpressionUUID->"4233d7b2-5025-4626-bde9-2f2878398660",
 CellID->2044356847]
}, Open  ]],
Cell[45492, 1015, 2809, 56, 163, "Text",ExpressionUUID->"205ce658-c842-43e6-82bc-c01d00655c40",
 CellTags->"i:5",
 CellID->79894686],
Cell[48304, 1073, 1491, 37, 61, "CodeText",ExpressionUUID->"81843c10-437f-4ec3-b099-bf5f467fadd8",
 CellTags->"i:6",
 CellID->1493063484],
Cell[49798, 1112, 8335, 200, 2880, "Input",ExpressionUUID->"d08cc498-98a9-444c-8c0f-ef6a058af6f1",
 CellID->938617732],
Cell[58136, 1314, 3156, 67, 1112, "Text",ExpressionUUID->"6b6f8445-c53e-4f48-8305-f747c2bd07d6",
 CellID->1574659806]
}, Open  ]],
Cell[CellGroupData[{
Cell[61329, 1386, 437, 10, 55, "Subsubsection",ExpressionUUID->"eb37b8c8-9178-4825-8e17-f4030f5cdaaa",
 CellID->1240826048],
Cell[61769, 1398, 3890, 79, 163, "Text",ExpressionUUID->"9b03082b-2507-4d09-ada9-aeafacc22913",
 CellTags->"i:7",
 CellID->2131197115],
Cell[65662, 1479, 496, 11, 39, "CodeText",ExpressionUUID->"51115db2-31f9-467a-81fc-e893e463631f",
 CellID->206735976],
Cell[66161, 1492, 17356, 412, 75, "Input",ExpressionUUID->"ff820cef-9d38-43f5-a59e-6fb627c44f6b",
 CellTags->"LastCellOfAPage",
 CellID->752582927],
Cell[CellGroupData[{
Cell[83542, 1908, 396, 9, 26, "Input",ExpressionUUID->"67a3abec-c3cd-465f-b0a5-e640fc49d4d9",
 CellTags->"p: 114",
 CellID->1233188327],
Cell[83941, 1919, 4738, 109, 222, "Output",ExpressionUUID->"7f6fb17a-8087-43f2-98ac-3deb7b354a50",
 CellID->585343767]
}, Open  ]],
Cell[88694, 2031, 3294, 84, 213, "Text",ExpressionUUID->"6b0a5cb6-33b8-41d8-bc75-bc2121a5bbb3",
 CellTags->"i:8",
 CellID->1771849880]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[92037, 2121, 443, 10, 57, "Subsection",ExpressionUUID->"221b3b61-760d-4cb4-97b7-998316fa40de",
 CellID->2051451570],
Cell[CellGroupData[{
Cell[92505, 2135, 185, 2, 55, "Subsubsection",ExpressionUUID->"d0dadc2c-79be-41d5-b117-be042d2506a8",
 CellID->820210331],
Cell[92693, 2139, 3545, 86, 239, "Text",ExpressionUUID->"55a1a49f-a9cd-4a43-8e7b-df1989cab58d",
 CellTags->"i:9",
 CellID->521985220]
}, Open  ]],
Cell[CellGroupData[{
Cell[96275, 2230, 213, 3, 55, "Subsubsection",ExpressionUUID->"e335da22-20b2-4c42-a44d-fdb7c18bdeda",
 CellID->216866657],
Cell[96491, 2235, 2755, 52, 738, "Text",ExpressionUUID->"9bf26197-1588-4608-982a-7f0466344369",
 CellTags->"i:10",
 CellID->33119792],
Cell[99249, 2289, 1827, 26, 381, "Text",ExpressionUUID->"dc45230e-5c54-43a0-8995-490791e49431",
 CellTags->"LastCellOfAPage",
 CellID->1864953212],
Cell[101079, 2317, 1102, 23, 381, "Text",ExpressionUUID->"8a3c2769-5c7f-4e81-b403-783f7319c5f9",
 CellTags->"p: 115",
 CellID->907754216],
Cell[102184, 2342, 533, 11, 211, "CodeText",ExpressionUUID->"16502932-1b91-4356-b598-fed821000cab",
 CellID->1835196116],
Cell[CellGroupData[{
Cell[102742, 2357, 534, 11, 26, "Input",ExpressionUUID->"344da393-4e91-45e3-ab45-1efc5c3a3d51",
 CellID->901280024],
Cell[103279, 2370, 7538, 173, 265, "Output",ExpressionUUID->"2b2952ad-cfc2-485e-ae99-54f7425de58c",
 CellID->1414954336]
}, Open  ]],
Cell[110832, 2546, 4738, 119, 263, "Text",ExpressionUUID->"448f38a8-8c1e-49ed-8599-24415417939c",
 CellID->1980983398],
Cell[115573, 2667, 511, 12, 38, "Text",ExpressionUUID->"6dcfb5c6-0fb5-418e-b501-335f241e810d",
 CellTags->"i:11",
 CellID->1948990745],
Cell[116087, 2681, 504, 11, 39, "CodeText",ExpressionUUID->"4daf6984-c7e5-434b-ac1e-fd6142a9f76d",
 CellID->1784264372],
Cell[CellGroupData[{
Cell[116616, 2696, 615, 13, 26, "Input",ExpressionUUID->"6d94ccf7-ae01-42d1-a832-5b72ea1f4be6",
 CellID->1119383524],
Cell[117234, 2711, 8317, 191, 265, "Output",ExpressionUUID->"e124599c-c915-4ef7-a20d-22e93aa900e9",
 CellTags->"LastCellOfAPage",
 CellID->2028382706]
}, Open  ]],
Cell[125566, 2905, 1610, 39, 517, "Text",ExpressionUUID->"ee13aeaf-e86e-4cab-b930-3449276c7cf2",
 CellTags->"p: 116",
 CellID->669653496],
Cell[127179, 2946, 1012, 20, 347, "Text",ExpressionUUID->"dd3a87e0-f865-49fd-adea-daeafff99c6c",
 CellID->2051996992],
Cell[128194, 2968, 540, 11, 211, "CodeText",ExpressionUUID->"3035960f-708a-48ff-8634-c0df6c59c7c9",
 CellID->608594760],
Cell[CellGroupData[{
Cell[128759, 2983, 612, 16, 262, "Input",ExpressionUUID->"7087966b-4cfd-41a1-bbdd-dc2f336dcd21",
 CellID->1473557371],
Cell[129374, 3001, 13913, 362, 6042, "Output",ExpressionUUID->"52ba15f7-8790-45ee-a1bb-65f793953998",
 CellID->794374154]
}, Open  ]],
Cell[143302, 3366, 519, 13, 63, "Text",ExpressionUUID->"5d384f2c-5eaf-4b4e-b5ec-0ee314bc00b2",
 CellID->187520659],
Cell[143824, 3381, 801, 15, 88, "Text",ExpressionUUID->"654d0253-f926-4c89-912d-16a5a5ed14a0",
 CellID->1301205664],
Cell[144628, 3398, 503, 11, 39, "CodeText",ExpressionUUID->"554dded8-0426-4549-90b4-a07519402f72",
 CellID->2123264644],
Cell[CellGroupData[{
Cell[145156, 3413, 710, 16, 46, "Input",ExpressionUUID->"42595cc3-edf5-4e13-8e0e-f516558f2b2d",
 CellID->1537617447],
Cell[145869, 3431, 12139, 275, 438, "Output",ExpressionUUID->"0e396507-5aef-47b8-aaac-8432dcf6bb28",
 CellTags->"LastCellOfAPage",
 CellID->1863436210]
}, Open  ]],
Cell[158023, 3709, 2773, 73, 138, "Text",ExpressionUUID->"81726349-247e-42b0-97b0-171f7756ed74",
 CellTags->"p: 117",
 CellID->973109509],
Cell[160799, 3784, 1898, 46, 163, "Text",ExpressionUUID->"9b33b4a6-9ebf-4259-8622-f4abb7593cc0",
 CellID->1963545858],
Cell[162700, 3832, 518, 11, 39, "CodeText",ExpressionUUID->"38c03118-2615-4b8c-9e9d-e76ff72f48a2",
 CellID->1457739734],
Cell[CellGroupData[{
Cell[163243, 3847, 637, 17, 26, "Input",ExpressionUUID->"f10cd2c5-1613-4b46-be2f-f61030ef474b",
 CellID->934031957],
Cell[163883, 3866, 22629, 598, 470, "Output",ExpressionUUID->"447ab121-87c1-42ea-bfbb-b949b25d1e3c",
 CellID->1069895839]
}, Open  ]],
Cell[186527, 4467, 762, 14, 63, "Text",ExpressionUUID->"78e9d148-b97a-40ad-a6b0-00be72b6b39a",
 CellID->1738264362],
Cell[187292, 4483, 1128, 25, 61, "CodeText",ExpressionUUID->"66656b07-dbf3-4c7d-8cc0-12c663b8ff07",
 CellID->671326961],
Cell[CellGroupData[{
Cell[188445, 4512, 372, 8, 26, "Input",ExpressionUUID->"f5fadf45-d5e2-4bc5-9968-e22c921c2825",
 CellID->1046273860],
Cell[188820, 4522, 1952, 43, 114, "Output",ExpressionUUID->"f7751817-07d3-4c68-8ecf-37aab49cd0d3",
 CellID->222958915]
}, Open  ]],
Cell[CellGroupData[{
Cell[190809, 4570, 524, 13, 27, "Input",ExpressionUUID->"4dc570c5-350a-41b1-b680-19a8c9e79d22",
 CellID->663902885],
Cell[191336, 4585, 526, 10, 37, "Output",ExpressionUUID->"4df09204-fa3a-44b1-9933-74c2560e4ff0",
 CellTags->"LastCellOfAPage",
 CellID->1728359321]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[191911, 4601, 285, 4, 92, "Subsubsection",ExpressionUUID->"13d35be9-c69e-4cd3-a212-efbecaa38e15",
 CellTags->"p: 118",
 CellID->606071473],
Cell[192199, 4607, 3363, 53, 772, "Text",ExpressionUUID->"0a70bd0e-276a-4dc9-9140-ddaf6b6d9027",
 CellTags->"i:12",
 CellID->702383209],
Cell[195565, 4662, 2912, 45, 602, "Text",ExpressionUUID->"d66fd7c7-44d0-4167-8c74-2ec4021b365e",
 CellID->1763547735],
Cell[198480, 4709, 4588, 102, 288, "Text",ExpressionUUID->"ef539be3-d16d-465e-b399-dc4a72a0dde2",
 CellTags->"LastCellOfAPage",
 CellID->72973721],
Cell[203071, 4813, 483, 11, 39, "CodeText",ExpressionUUID->"8bef9007-914d-4423-b784-c59d0f72eef8",
 CellTags->"p: 119",
 CellID->1974240687],
Cell[CellGroupData[{
Cell[203579, 4828, 606, 17, 26, "Input",ExpressionUUID->"f81a8e7d-8141-4111-a42b-53f70b1017f1",
 CellID->349428380],
Cell[204188, 4847, 9525, 250, 301, "Output",ExpressionUUID->"0180b7b1-9c5a-4ccc-981b-ab3e8528c46b",
 CellID->1316394286]
}, Open  ]],
Cell[213728, 5100, 2325, 59, 88, "Text",ExpressionUUID->"45137775-68da-4dd2-b7db-72b703878b25",
 CellTags->"i:13",
 CellID->325914932],
Cell[216056, 5161, 981, 24, 39, "CodeText",ExpressionUUID->"43d6d647-9ae5-4340-9404-8dd3d703b5a0",
 CellID->128432424],
Cell[CellGroupData[{
Cell[217062, 5189, 772, 22, 26, "Input",ExpressionUUID->"b6caadd3-8728-4949-bc5d-f7df17cfbbf7",
 CellID->2034500492],
Cell[217837, 5213, 2203, 72, 101, "Output",ExpressionUUID->"9f0a0c23-0d50-487e-9ae9-edd978efa232",
 CellID->1307239262]
}, Open  ]],
Cell[220055, 5288, 3225, 56, 163, "Text",ExpressionUUID->"a0b08b03-5bdf-4d2e-a16f-5f72a606a0c6",
 CellTags->"i:14",
 CellID->667975183],
Cell[223283, 5346, 869, 19, 61, "CodeText",ExpressionUUID->"b810a614-eb1f-4be1-8e97-b6fb395d5ae6",
 CellID->1807659442],
Cell[CellGroupData[{
Cell[224177, 5369, 715, 20, 27, "Input",ExpressionUUID->"d160ad10-ece7-4cc9-8023-816bf83e0777",
 CellID->531112505],
Cell[224895, 5391, 721, 20, 38, "Output",ExpressionUUID->"563f0b21-85fb-469d-add6-245705890e1c",
 CellID->1609555005]
}, Open  ]],
Cell[CellGroupData[{
Cell[225653, 5416, 240, 3, 54, "Subsubsubsection",ExpressionUUID->"65472c73-122e-48fb-8eb0-985ac5e6beba",
 CellID->860485608],
Cell[225896, 5421, 2163, 39, 138, "Text",ExpressionUUID->"2b829b58-1cc7-4408-89a7-467edb812ddf",
 CellTags->{"LastCellOfAPage", "i:15"},
 CellID->284558015],
Cell[228062, 5462, 3529, 85, 163, "Text",ExpressionUUID->"c7066cbd-b0fe-42c4-ae3d-cea6ca2af895",
 CellTags->"p: 120",
 CellID->1837340642],
Cell[231594, 5549, 1796, 40, 113, "Text",ExpressionUUID->"14837212-9b73-4847-8445-843665b03860",
 CellID->1270892387],
Cell[233393, 5591, 1068, 24, 39, "CodeText",ExpressionUUID->"3c71bc0a-1872-472d-9e79-8d17ae61b4a7",
 CellID->143640249],
Cell[CellGroupData[{
Cell[234486, 5619, 892, 24, 26, "Input",ExpressionUUID->"711dd59e-3359-46f4-a93b-d15d30f0c939",
 CellID->870669227],
Cell[235381, 5645, 555, 10, 37, "Output",ExpressionUUID->"2e23896c-b249-4d55-92af-76d741710290",
 CellID->308493149]
}, Open  ]],
Cell[235951, 5658, 1141, 25, 63, "Text",ExpressionUUID->"d85f8291-043f-4e16-889f-e55e8fa0019f",
 CellTags->"i:16",
 CellID->832004499],
Cell[237095, 5685, 745, 16, 39, "CodeText",ExpressionUUID->"9e918067-f9b8-4dda-b3f2-02871eed6029",
 CellID->1460106408],
Cell[CellGroupData[{
Cell[237865, 5705, 1035, 30, 84, "Input",ExpressionUUID->"13134b76-8828-4060-91ac-7f6826dde544",
 CellID->385140842],
Cell[238903, 5737, 5517, 187, 223, "Output",ExpressionUUID->"216b3185-f5ed-446d-9f4a-e29655c4fa52",
 CellID->526359822]
}, Open  ]],
Cell[244435, 5927, 1442, 23, 63, "Text",ExpressionUUID->"044fdd6b-f4a6-407c-83c5-e0ed9a0c79cb",
 CellID->1351590519]
}, Open  ]],
Cell[CellGroupData[{
Cell[245914, 5955, 414, 11, 54, "Subsubsubsection",ExpressionUUID->"ad86bed1-8a82-4a7a-9412-445c5b57eaf7",
 CellID->2082226180],
Cell[246331, 5968, 4467, 86, 1214, "Text",ExpressionUUID->"d4a908e5-03ef-4b07-ad3c-1c6cb68a02c7",
 CellTags->{"LastCellOfAPage", "i:17"},
 CellID->928598400],
Cell[250801, 6056, 804, 17, 262, "CodeText",ExpressionUUID->"6683fdb3-4cd1-449d-89e0-92dd6b5d9415",
 CellTags->"p: 121",
 CellID->1807941136],
Cell[CellGroupData[{
Cell[251630, 6077, 650, 16, 279, "Input",ExpressionUUID->"bcdf385f-2fd9-48ce-b2b4-d5081f272173",
 CellID->618275752],
Cell[252283, 6095, 657, 14, 245, "Output",ExpressionUUID->"1d61422b-e4c9-4c26-b7d9-e3d46d20b2a8",
 CellID->1917338552]
}, Open  ]],
Cell[252955, 6112, 1069, 22, 381, "Text",ExpressionUUID->"4b0a3d78-846d-4213-a643-51e1e3f9bfad",
 CellID->1536541172],
Cell[254027, 6136, 1061, 23, 61, "CodeText",ExpressionUUID->"4d501715-88b0-4677-8763-985613398b61",
 CellID->1693936954],
Cell[CellGroupData[{
Cell[255113, 6163, 290, 6, 26, "Input",ExpressionUUID->"9e5d40b8-2e5a-4994-9765-2ca8916ceb12",
 CellID->2065379361],
Cell[255406, 6171, 302, 7, 37, "Output",ExpressionUUID->"e1cfd3ad-f346-4cb8-be46-26c43c1a7146",
 CellID->732116838]
}, Open  ]],
Cell[255723, 6181, 628, 16, 61, "CodeText",ExpressionUUID->"33b53995-b748-4202-91a0-cb1dd9dac509",
 CellID->1396714629],
Cell[CellGroupData[{
Cell[256376, 6201, 423, 10, 26, "Input",ExpressionUUID->"44a4ed45-2f5c-4e6a-95eb-c04179677c4a",
 CellID->12146369],
Cell[256802, 6213, 221, 4, 37, "Output",ExpressionUUID->"431b5f46-aff4-45b3-af47-980dd6be77d5",
 CellID->561349961]
}, Open  ]],
Cell[257038, 6220, 2106, 45, 63, "Text",ExpressionUUID->"00f07889-e0ff-4aaf-9d9e-f76441e3ca1d",
 CellTags->"i:18",
 CellID->908443047],
Cell[259147, 6267, 747, 16, 39, "CodeText",ExpressionUUID->"28d68705-6e1d-46dd-a16c-c91f9ba20606",
 CellID->691599763],
Cell[CellGroupData[{
Cell[259919, 6287, 962, 27, 65, "Input",ExpressionUUID->"20c873fd-40d3-4253-a0a6-c93413d292b4",
 CellID->643451727],
Cell[260884, 6316, 845, 21, 57, "Output",ExpressionUUID->"ae6b74f6-3cb4-49a6-b05c-fa2633f3060a",
 CellID->312618507]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[261778, 6343, 178, 2, 54, "Subsubsubsection",ExpressionUUID->"38f1b2b9-daac-4e78-8893-b3c99e63e3bf",
 CellID->243818870],
Cell[261959, 6347, 1768, 33, 138, "Text",ExpressionUUID->"4cb2e8d1-7742-4eec-a188-6e77ec93f1b0",
 CellTags->"i:19",
 CellID->1087675261],
Cell[263730, 6382, 802, 19, 39, "CodeText",ExpressionUUID->"cf86f09d-f3f1-4ef3-9164-abb4bdff0121",
 CellID->1726528718],
Cell[CellGroupData[{
Cell[264557, 6405, 547, 14, 26, "Input",ExpressionUUID->"6b7f81ab-41f5-49bf-a696-50d93731768e",
 CellID->1636762992],
Cell[265107, 6421, 444, 11, 37, "Output",ExpressionUUID->"9e32aae5-4baa-44d1-a92e-4b9de42f0d60",
 CellTags->"LastCellOfAPage",
 CellID->1515834082]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[265600, 6438, 371, 7, 54, "Subsubsubsection",ExpressionUUID->"f5a2f29e-911e-470b-ad0f-deee0d31d51c",
 CellTags->"p: 122",
 CellID->321485744],
Cell[265974, 6447, 964, 20, 63, "Text",ExpressionUUID->"64299d2a-7892-440b-b804-92aeb362c809",
 CellTags->"i:20",
 CellID->1066189986],
Cell[266941, 6469, 510, 11, 39, "CodeText",ExpressionUUID->"14f4b278-559b-4df1-b5b7-d2c107febd56",
 CellID->411023109],
Cell[CellGroupData[{
Cell[267476, 6484, 373, 10, 26, "Input",ExpressionUUID->"9ad67457-5ebb-46cb-b3b7-aced9488e51d",
 CellID->851544134],
Cell[267852, 6496, 676, 13, 37, "Output",ExpressionUUID->"f794f296-7199-482f-ba3a-8f7d78df5b21",
 CellID->1983893533]
}, Open  ]],
Cell[268543, 6512, 796, 15, 88, "Text",ExpressionUUID->"395c437c-4257-4e2d-b49a-34fc289682db",
 CellID->1916946909],
Cell[269342, 6529, 560, 12, 39, "CodeText",ExpressionUUID->"fbe6d943-d345-4913-86de-67ed568bd369",
 CellID->2113561191],
Cell[CellGroupData[{
Cell[269927, 6545, 588, 17, 26, "Input",ExpressionUUID->"0dcefb86-723d-48fa-aa0b-d8bff172bf32",
 CellID->1577027269],
Cell[270518, 6564, 584, 10, 37, "Output",ExpressionUUID->"39040697-fdb5-4f89-976e-59c9f3f27a79",
 CellID->436170645]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[271151, 6580, 215, 3, 54, "Subsubsubsection",ExpressionUUID->"68261d6c-046c-40bb-beaa-95f1c2f7de12",
 CellID->1893534976],
Cell[271369, 6585, 2161, 46, 88, "Text",ExpressionUUID->"bca0f0ce-d46e-40bb-8375-3ad0d84b5009",
 CellTags->"i:21",
 CellID->734470864],
Cell[273533, 6633, 455, 10, 39, "CodeText",ExpressionUUID->"1ff6d9c9-e59d-4074-aa3d-a8dec915f5b2",
 CellID->1268370463],
Cell[CellGroupData[{
Cell[274013, 6647, 878, 23, 46, "Input",ExpressionUUID->"c2595bc2-0495-4bf0-b585-75cddef3f223",
 CellID->797425860],
Cell[274894, 6672, 754, 19, 57, "Output",ExpressionUUID->"3ff3919d-4d8d-4ac2-80ab-46e7d3d2f3c0",
 CellID->1604686665]
}, Open  ]],
Cell[275663, 6694, 1266, 27, 88, "Text",ExpressionUUID->"e1b5fa21-284c-4536-8342-32bf2c2cf62d",
 CellID->2080471066],
Cell[276932, 6723, 553, 11, 61, "CodeText",ExpressionUUID->"f4be3516-cbfd-4a42-80c5-eba56f98aecc",
 CellID->1146091360],
Cell[CellGroupData[{
Cell[277510, 6738, 833, 24, 46, "Input",ExpressionUUID->"7830593e-4231-4a7e-bd73-8984d4747fee",
 CellID->424413760],
Cell[278346, 6764, 792, 24, 57, "Output",ExpressionUUID->"5a2853c6-54ef-40de-aa1d-52bb9c28b84b",
 CellID->1136874297]
}, Open  ]],
Cell[279153, 6791, 2463, 58, 113, "Text",ExpressionUUID->"a5f9bcc5-f921-4e34-a7be-df8046a35a7d",
 CellTags->"LastCellOfAPage",
 CellID->288384798],
Cell[281619, 6851, 1596, 44, 61, "CodeText",ExpressionUUID->"575898c8-9d1e-4531-ae63-978b2c291034",
 CellTags->"p: 123",
 CellID->1420574191],
Cell[CellGroupData[{
Cell[283240, 6899, 1078, 31, 46, "Input",ExpressionUUID->"a26c860a-d0a9-47a4-b2ab-37114261d400",
 CellID->187142217],
Cell[284321, 6932, 499, 12, 37, "Output",ExpressionUUID->"ef7406cd-b8e3-4904-b74e-0fe56701ad8e",
 CellID->1030656638]
}, Open  ]],
Cell[284835, 6947, 1485, 36, 88, "Text",ExpressionUUID->"c24a4d18-560e-4e66-b9dd-ed656b5af582",
 CellTags->"i:22",
 CellID->1640572757],
Cell[286323, 6985, 1117, 28, 61, "CodeText",ExpressionUUID->"397b46d6-7c4c-42a6-9387-ad6f133f136e",
 CellID->2060683301],
Cell[CellGroupData[{
Cell[287465, 7017, 534, 14, 46, "Input",ExpressionUUID->"b7335a5e-9da0-430b-9fec-bb4278a35fe3",
 CellID->1422654882],
Cell[288002, 7033, 455, 12, 37, "Output",ExpressionUUID->"910cf48a-ec37-4e1f-8a6b-0c39501a7598",
 CellID->61073847]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[288506, 7051, 423, 9, 54, "Subsubsubsection",ExpressionUUID->"5facb705-7d22-4de8-956a-08f009c6354c",
 Evaluatable->False,
 InitializationCell->False,
 CellID->994936192],
Cell[288932, 7062, 1696, 30, 63, "Text",ExpressionUUID->"68b55e3f-2915-4801-94ab-fea3df21ebe2",
 CellTags->"i:23",
 CellID->1584903402],
Cell[290631, 7094, 1050, 21, 61, "CodeText",ExpressionUUID->"0fab3997-9a6d-41db-9048-9068963ff43b",
 CellID->1287815298],
Cell[CellGroupData[{
Cell[291706, 7119, 287, 6, 26, "Input",ExpressionUUID->"c7842608-3676-4bbc-bb04-5abffc415027",
 CellID->84320026],
Cell[291996, 7127, 646, 11, 37, "Output",ExpressionUUID->"e8a49908-33fa-428f-8df8-1601d219e384",
 CellID->993866120]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[292691, 7144, 181, 2, 54, "Subsubsubsection",ExpressionUUID->"ad8a59e2-2999-4077-bf42-56bc626feb21",
 CellID->916780542],
Cell[292875, 7148, 1404, 24, 113, "Text",ExpressionUUID->"09987c9a-5f96-47ee-90cd-7b6a376d80fe",
 CellTags->"i:24",
 CellID->99329491],
Cell[294282, 7174, 543, 11, 39, "CodeText",ExpressionUUID->"1863801b-ddce-4af5-b6ab-ceaff69e6ab9",
 CellID->1462121682],
Cell[294828, 7187, 242, 4, 26, "Input",ExpressionUUID->"a1eea8a4-5669-48f3-a48c-0b31e5e5a01a",
 CellID->2144666197],
Cell[CellGroupData[{
Cell[295095, 7195, 703, 17, 65, "Input",ExpressionUUID->"f5c612fb-f8a0-4afe-a56d-398a36307823",
 CellID->1633881231],
Cell[295801, 7214, 1089, 26, 57, "Output",ExpressionUUID->"0c8649cb-4c3b-462c-a0ab-6deab7224e20",
 CellID->897196398]
}, Open  ]],
Cell[296905, 7243, 2126, 54, 138, "Text",ExpressionUUID->"2728c0a1-7953-4772-ba38-dc29b4949998",
 CellTags->"LastCellOfAPage",
 CellID->1414798734]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[299092, 7304, 350, 5, 57, "Subsection",ExpressionUUID->"39c966dd-881c-4898-abcb-4c19c61dd941",
 CellTags->"p: 124",
 CellID->1730266315],
Cell[299445, 7311, 1607, 28, 63, "Text",ExpressionUUID->"3c4885d0-239e-48a9-808b-6a6cb5cca29d",
 CellID->1509892178],
Cell[CellGroupData[{
Cell[301077, 7343, 404, 6, 55, "Subsubsection",ExpressionUUID->"2a063035-68bd-4898-a615-b8cbf22462eb",
 CellID->765480978],
Cell[301484, 7351, 3444, 102, 163, "Text",ExpressionUUID->"d5ff2f41-43e4-4b57-9e7c-faa4f10d6bb9",
 CellTags->"i:25",
 CellID->1889740701],
Cell[304931, 7455, 330, 6, 63, "Text",ExpressionUUID->"f969b4f7-d78b-4980-8afb-38d1e7538604",
 CellID->1736306224],
Cell[305264, 7463, 915, 16, 279, "Text",ExpressionUUID->"3e652357-fd07-47a4-8cd4-2adc9d3d4b5f",
 CellID->2016280083],
Cell[306182, 7481, 342, 6, 109, "CodeText",ExpressionUUID->"8f9b3fab-ddf3-465b-b6d3-3a7cf9dc5afe",
 CellID->1111328186],
Cell[CellGroupData[{
Cell[306549, 7491, 435, 11, 211, "Input",ExpressionUUID->"45188c3e-9ae9-4f53-8fb2-befbe5f34622",
 CellID->1223502098],
Cell[306987, 7504, 462, 9, 160, "Output",ExpressionUUID->"736e0af6-0b76-4fdf-9f77-04c28eb7781a",
 CellID->822514723]
}, Open  ]],
Cell[307464, 7516, 2956, 81, 1044, "Text",ExpressionUUID->"361bf61f-3fb7-4da2-bf90-27688e385c15",
 CellID->1611994292],
Cell[310423, 7599, 1773, 45, 138, "Text",ExpressionUUID->"3fcab89e-d656-48ea-b0ed-9125895fbb1f",
 CellID->1445311545],
Cell[312199, 7646, 850, 20, 61, "CodeText",ExpressionUUID->"8990a73f-4a3d-4106-85e1-b1013ac1e63d",
 CellID->845315064],
Cell[CellGroupData[{
Cell[313074, 7670, 421, 11, 26, "Input",ExpressionUUID->"9aec0d78-00c4-40cf-85dc-a42e8cd93c6f",
 CellID->944110624],
Cell[313498, 7683, 479, 10, 37, "Output",ExpressionUUID->"7db38615-f4f9-41da-8a28-0a9e4bab231f",
 CellTags->"LastCellOfAPage",
 CellID->606821985]
}, Open  ]],
Cell[313992, 7696, 1109, 25, 88, "Text",ExpressionUUID->"f22e4fa1-0d4f-42d3-9106-95e05db5d464",
 CellTags->"p: 125",
 CellID->5549762]
}, Open  ]],
Cell[CellGroupData[{
Cell[315138, 7726, 499, 12, 55, "Subsubsection",ExpressionUUID->"1ae448a1-7037-42a8-bb7a-5ff9c08656aa",
 CellID->1314167312],
Cell[315640, 7740, 794, 17, 88, "Text",ExpressionUUID->"61043a2f-62ed-46b9-a8e6-3e054a506e0b",
 CellTags->"i:26",
 CellID->617929571],
Cell[316437, 7759, 4197, 92, 188, "Text",ExpressionUUID->"05ba6e51-d87f-4312-84e7-42b39ce5a118",
 CellID->1270141401],
Cell[320637, 7853, 1095, 24, 61, "CodeText",ExpressionUUID->"137f7971-0d07-4490-a851-c67b9724f994",
 CellID->1135523955],
Cell[CellGroupData[{
Cell[321757, 7881, 200, 3, 26, "Input",ExpressionUUID->"afaa4632-d9c3-4840-a719-9a50432073b6",
 CellID->571629898],
Cell[321960, 7886, 1855, 41, 114, "Output",ExpressionUUID->"8e011360-7b2b-4f0f-8508-1609f6edbf33",
 CellID->1054317018]
}, Open  ]],
Cell[CellGroupData[{
Cell[323852, 7932, 328, 9, 26, "Input",ExpressionUUID->"48816db8-5c32-4c13-8704-500e03fad958",
 CellID->1279075427],
Cell[324183, 7943, 476, 10, 37, "Output",ExpressionUUID->"3279cf7d-7b21-429c-bd32-a55f9dde1217",
 CellID->175227464]
}, Open  ]],
Cell[324674, 7956, 2788, 73, 188, "Text",ExpressionUUID->"40a61a87-b3e5-406a-a13b-66426f084b8a",
 CellTags->"i:27",
 CellID->716383855],
Cell[327465, 8031, 1544, 27, 88, "Text",ExpressionUUID->"4510c46f-bd4b-4cce-9131-94d1a2d0df81",
 CellTags->"LastCellOfAPage",
 CellID->1430430395],
Cell[329012, 8060, 536, 12, 39, "CodeText",ExpressionUUID->"fd28ac76-9202-4327-9e33-639698e52e4b",
 CellTags->"p: 126",
 CellID->1090429965],
Cell[CellGroupData[{
Cell[329573, 8076, 590, 14, 26, "Input",ExpressionUUID->"e1ecf4d5-ad14-43e9-b020-53f2507ac20d",
 CellID->334728153],
Cell[330166, 8092, 5183, 103, 1452, "Output",ExpressionUUID->"4950f685-275b-4b81-9fa5-2fed83da8621",
 CellID->1001897162]
}, Open  ]],
Cell[335364, 8198, 738, 17, 39, "CodeText",ExpressionUUID->"84470f2f-a734-4600-a072-59b9a88a8b10",
 CellID->707693560],
Cell[CellGroupData[{
Cell[336127, 8219, 590, 14, 46, "Input",ExpressionUUID->"9e5faf41-212d-49f1-a61d-fb2ecadffe20",
 CellID->1982415791],
Cell[336720, 8235, 594, 15, 37, "Output",ExpressionUUID->"213bbe77-6d7d-47c0-a23e-7024e00e5449",
 CellID->1931230757]
}, Open  ]],
Cell[337329, 8253, 780, 18, 39, "CodeText",ExpressionUUID->"b2d7ae7d-5707-4840-8b41-42e0f7af9e87",
 CellID->1697118616],
Cell[CellGroupData[{
Cell[338134, 8275, 477, 11, 26, "Input",ExpressionUUID->"446f01e2-c230-45da-98ea-2992fb434a2f",
 CellID->1624175394],
Cell[338614, 8288, 435, 10, 37, "Output",ExpressionUUID->"336599b2-6bc7-4346-b9e7-b0164b631a24",
 CellID->807331275]
}, Open  ]],
Cell[339064, 8301, 1226, 25, 88, "Text",ExpressionUUID->"26d96458-9078-4294-aa80-0967d2243846",
 CellID->288237],
Cell[340293, 8328, 655, 16, 39, "CodeText",ExpressionUUID->"c27313d2-9938-4f6d-8fd2-f3e41b69b4e2",
 CellID->333173077],
Cell[CellGroupData[{
Cell[340973, 8348, 416, 10, 26, "Input",ExpressionUUID->"2cfd13b1-3d4b-4ea6-9a05-a294424e86b3",
 CellID->1362443178],
Cell[341392, 8360, 497, 13, 57, "Output",ExpressionUUID->"bb8d06c2-0a48-41c6-a13a-be7ad6978baf",
 CellID->353265299]
}, Open  ]],
Cell[341904, 8376, 2492, 55, 163, "Text",ExpressionUUID->"41aee731-8073-4738-83a7-56d76aae1f33",
 CellTags->"i:28",
 CellID->1017579689],
Cell[344399, 8433, 724, 17, 39, "CodeText",ExpressionUUID->"1d3b6299-1177-4ffe-94b0-ef8af00871e1",
 CellID->371742051],
Cell[CellGroupData[{
Cell[345148, 8454, 493, 12, 26, "Input",ExpressionUUID->"1544009c-cfaa-4702-876c-78fcb2882d3c",
 CellID->1534862328],
Cell[345644, 8468, 499, 13, 57, "Output",ExpressionUUID->"3f1df8e2-f2d4-4fc8-98ad-5b867316e6fa",
 CellID->152943247]
}, Open  ]],
Cell[346158, 8484, 1006, 20, 88, "Text",ExpressionUUID->"298e8a37-a860-45b7-87b4-e2303e374a69",
 CellTags->"LastCellOfAPage",
 CellID->890330716],
Cell[347167, 8506, 573, 12, 39, "CodeText",ExpressionUUID->"0d97a47c-3442-4e47-8dc4-69bf22461db4",
 CellTags->"p: 127",
 CellID->1345311412],
Cell[CellGroupData[{
Cell[347765, 8522, 484, 13, 26, "Input",ExpressionUUID->"bad7c083-8a81-47d2-a7c9-67927f9caa66",
 CellID->2135010319],
Cell[348252, 8537, 465, 13, 37, "Output",ExpressionUUID->"88e987bd-4a7c-489b-a6a3-288a590d9452",
 CellID->916953074]
}, Open  ]],
Cell[CellGroupData[{
Cell[348754, 8555, 512, 14, 26, "Input",ExpressionUUID->"1443e70b-0f9e-4022-903d-8fdb09b5b081",
 CellID->861255306],
Cell[349269, 8571, 508, 10, 37, "Output",ExpressionUUID->"12e62246-c4b3-40c7-bcd9-38d665992923",
 CellID->1970307968]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[349826, 8587, 268, 3, 55, "Subsubsection",ExpressionUUID->"1df1dde1-2bf0-493f-b07d-d7e6558400a2",
 CellID->837516154],
Cell[350097, 8592, 1826, 38, 138, "Text",ExpressionUUID->"85f70334-ccbb-4466-872f-81866fd5991e",
 CellTags->"i:29",
 CellID->1580355676],
Cell[351926, 8632, 991, 20, 63, "Text",ExpressionUUID->"0eb0b6f2-6401-4dd3-83de-8978c1177360",
 CellID->650318415],
Cell[352920, 8654, 564, 12, 39, "CodeText",ExpressionUUID->"eb9bcdab-b19e-4c6e-806a-b32fc318cdb9",
 CellID->741568281],
Cell[CellGroupData[{
Cell[353509, 8670, 543, 15, 26, "Input",ExpressionUUID->"0feeb69a-2d71-44fe-b1a4-5e620e99f023",
 CellID->1951260318],
Cell[354055, 8687, 420, 11, 37, "Output",ExpressionUUID->"fcfb3d18-b6e4-4917-815a-6ce796da09a2",
 CellID->294048847]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[354524, 8704, 513, 12, 55, "Subsubsection",ExpressionUUID->"758d6545-3a8d-45fe-969e-4583b84f69e2",
 CellID->1547648289],
Cell[355040, 8718, 939, 17, 63, "Text",ExpressionUUID->"71eff357-1f9b-4d91-a637-e30b65ddc28a",
 CellTags->"i:30",
 CellID->1470125903],
Cell[355982, 8737, 357, 10, 39, "CodeText",ExpressionUUID->"715cac7a-e359-42bb-a227-47972ab5c833",
 CellID->658604269],
Cell[CellGroupData[{
Cell[356364, 8751, 478, 9, 26, "Input",ExpressionUUID->"68af5188-6d6b-43a6-9028-b7ced1dec139",
 CellID->1606692986],
Cell[356845, 8762, 2336, 49, 114, "Output",ExpressionUUID->"4cad47c9-8664-4faa-bba2-d796d442ba60",
 CellID->1671844000]
}, Open  ]],
Cell[359196, 8814, 949, 20, 63, "Text",ExpressionUUID->"96587f94-3eeb-4c25-a404-a1005c31f075",
 CellTags->"LastCellOfAPage",
 CellID->1229638324],
Cell[360148, 8836, 1015, 24, 61, "CodeText",ExpressionUUID->"50549a3c-df12-403d-87f1-f2b42d76de88",
 CellTags->"p: 128",
 CellID->15622747],
Cell[CellGroupData[{
Cell[361188, 8864, 491, 11, 26, "Input",ExpressionUUID->"edac463b-1700-45d6-9781-4730ad97b7e7",
 CellID->1296176387],
Cell[361682, 8877, 2449, 53, 114, "Output",ExpressionUUID->"2aa67724-d9d3-4371-8d62-653c1d94a771",
 CellID->197012863]
}, Open  ]],
Cell[364146, 8933, 887, 16, 88, "Text",ExpressionUUID->"6e2d98f0-92aa-4233-967a-950e9a5e12e8",
 CellID->762421141],
Cell[365036, 8951, 993, 23, 61, "CodeText",ExpressionUUID->"c93bc5c2-47c7-4fa5-80ed-37d1326a494e",
 CellID->19314427],
Cell[CellGroupData[{
Cell[366054, 8978, 432, 10, 26, "Input",ExpressionUUID->"16ba7936-5882-4474-9292-aa5bf3b32817",
 CellID->2124678785],
Cell[366489, 8990, 2390, 52, 114, "Output",ExpressionUUID->"fe56e88d-bb24-4274-ab3f-bfa3bdbdef04",
 CellID->1768841350]
}, Open  ]],
Cell[368894, 9045, 1438, 28, 163, "Text",ExpressionUUID->"4488a051-0329-4daf-a511-c3a949aa8ebe",
 CellTags->"i:31",
 CellID->1118257179],
Cell[370335, 9075, 341, 6, 39, "CodeText",ExpressionUUID->"d5cc8f4d-5a65-4e46-b6fb-e7b2c86ad1b1",
 CellID->1593567719],
Cell[CellGroupData[{
Cell[370701, 9085, 748, 20, 46, "Input",ExpressionUUID->"ea520a96-fd9d-401c-845b-ea7526268854",
 CellID->1919012556],
Cell[371452, 9107, 2480, 55, 114, "Output",ExpressionUUID->"add58158-7cfb-42ec-b819-7de12fa1e7ea",
 CellID->987653307]
}, Open  ]],
Cell[373947, 9165, 1791, 38, 88, "Text",ExpressionUUID->"fe05ed41-e88c-4ea8-9d80-462c8cb00e90",
 CellTags->"LastCellOfAPage",
 CellID->460399544],
Cell[375741, 9205, 987, 19, 61, "CodeText",ExpressionUUID->"479e3160-28d5-4a76-b807-21b72febbec3",
 CellTags->"p: 129",
 CellID->601742876],
Cell[CellGroupData[{
Cell[376753, 9228, 412, 9, 26, "Input",ExpressionUUID->"305ba623-d07f-4129-ac84-6c179244aeea",
 CellID->551555867],
Cell[377168, 9239, 683, 11, 37, "Output",ExpressionUUID->"48d221ba-9e4c-412c-8dae-e1aba19fdb08",
 CellID->1181504613]
}, Open  ]],
Cell[CellGroupData[{
Cell[377888, 9255, 462, 10, 26, "Input",ExpressionUUID->"d86082a1-abae-4285-8aef-4815bf8bfdbe",
 CellID->1680548497],
Cell[378353, 9267, 2324, 49, 114, "Output",ExpressionUUID->"9025fbce-585a-47c7-9450-60b70fd12102",
 CellID->1332758192]
}, Open  ]],
Cell[380692, 9319, 986, 19, 61, "CodeText",ExpressionUUID->"4bbff7cd-12a2-4ffb-84ef-837459466331",
 CellID->349400849],
Cell[CellGroupData[{
Cell[381703, 9342, 500, 11, 26, "Input",ExpressionUUID->"8a60ac66-14c2-4fe3-802b-9a84580c587f",
 CellID->1159778245],
Cell[382206, 9355, 2414, 52, 114, "Output",ExpressionUUID->"581c5aed-167d-4bd5-9041-80b8bc36acdc",
 CellID->159407615]
}, Open  ]],
Cell[384635, 9410, 1760, 40, 88, "Text",ExpressionUUID->"7c0b6480-c4db-4962-bc39-fc566c9624b0",
 CellTags->"i:32",
 CellID->180094750],
Cell[386398, 9452, 150, 2, 39, "CodeText",ExpressionUUID->"caa6e0a6-6c7f-4e9c-a52c-24c35f4c934d",
 CellID->1119490324],
Cell[CellGroupData[{
Cell[386573, 9458, 351, 8, 26, "Input",ExpressionUUID->"63d0608b-1178-449a-a853-741210339604",
 CellID->1048004627],
Cell[386927, 9468, 432, 9, 37, "Output",ExpressionUUID->"639828c6-ac14-4d43-9b9e-9aabe2247436",
 CellID->1394473689]
}, Open  ]],
Cell[387374, 9480, 837, 19, 313, "Text",ExpressionUUID->"599a10cc-4d10-47c0-8d62-dfbc1773c781",
 CellID->678583927],
Cell[388214, 9501, 453, 10, 160, "CodeText",ExpressionUUID->"dc0dd66f-bb6e-485c-a592-e46f305f50b2",
 CellID->474988586],
Cell[CellGroupData[{
Cell[388692, 9515, 449, 12, 194, "Input",ExpressionUUID->"fce1b72a-92ef-4635-854f-73db60f08c7a",
 CellID->763837994],
Cell[389144, 9529, 2293, 53, 823, "Output",ExpressionUUID->"f1d6cb7d-45f1-431a-8895-56cfc2d39792",
 CellID->148909870]
}, Open  ]],
Cell[391452, 9585, 1067, 26, 39, "CodeText",ExpressionUUID->"04dc1b28-6752-41c7-aa92-a567ae831abf",
 CellID->1491348462],
Cell[CellGroupData[{
Cell[392544, 9615, 424, 11, 26, "Input",ExpressionUUID->"8defcd8a-57e3-4882-bc7b-1f5934cff5b1",
 CellID->958145391],
Cell[392971, 9628, 605, 15, 37, "Output",ExpressionUUID->"07cf6dfb-6025-4c12-a2ba-c2756a8c7f7b",
 CellTags->"LastCellOfAPage",
 CellID->1117128903]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[393637, 9650, 467, 11, 57, "Subsection",ExpressionUUID->"956c49a7-3bdb-47b5-80d5-8526952c1743",
 CellTags->"p: 130",
 CellID->924778655],
Cell[394107, 9663, 1333, 22, 88, "Text",ExpressionUUID->"ca94c504-bd73-463f-94f2-1d48fff4eea3",
 CellID->1196790926],
Cell[CellGroupData[{
Cell[395465, 9689, 446, 10, 55, "Subsubsection",ExpressionUUID->"5210a76d-1e5c-44b1-a643-9ad4bf6e9b86",
 CellID->1133255480],
Cell[395914, 9701, 1430, 21, 88, "Text",ExpressionUUID->"4cd214a1-506b-40d7-bbcc-a0546cea9a69",
 CellID->592387117],
Cell[397347, 9724, 189, 2, 39, "CodeText",ExpressionUUID->"1db3a5b0-b5c0-45bc-95a5-f6b48451a59e",
 CellID->166124599],
Cell[CellGroupData[{
Cell[397561, 9730, 491, 10, 26, "Input",ExpressionUUID->"f10d6f96-1175-43a2-9a9c-1b91770009e3",
 CellTags->"i:33",
 CellID->192288021],
Cell[398055, 9742, 2118, 42, 119, "Output",ExpressionUUID->"12fda718-592b-4a70-8684-e89b5c8b58cc",
 CellID->1581510428]
}, Open  ]],
Cell[400188, 9787, 430, 5, 39, "CodeText",ExpressionUUID->"76c44df8-9b86-4c3d-88a0-16d532275469",
 CellID->160778283],
Cell[CellGroupData[{
Cell[400643, 9796, 674, 14, 26, "Input",ExpressionUUID->"994732cf-8b0d-4b5a-9090-a6a8dda49f9a",
 CellID->666174455],
Cell[401320, 9812, 831, 15, 37, "Output",ExpressionUUID->"cc25c439-48ce-4e92-ae9d-61dab961c709",
 CellID->781788813]
}, Open  ]],
Cell[402166, 9830, 2771, 70, 88, "Text",ExpressionUUID->"4d46b1d8-ef37-46f1-b2db-2be4283bd8e0",
 CellID->416464154],
Cell[404940, 9902, 415, 11, 61, "CodeText",ExpressionUUID->"cac4cd75-ebf1-4138-8c14-f0f902683dd5",
 CellID->2019768947],
Cell[CellGroupData[{
Cell[405380, 9917, 326, 9, 26, "Input",ExpressionUUID->"e335b668-345d-4004-b1e7-303cc9dee14d",
 CellID->1183207220],
Cell[405709, 9928, 349, 9, 37, "Output",ExpressionUUID->"85b6a38f-ae41-4005-a9ff-462f3ac8dd99",
 CellID->2008622160]
}, Open  ]],
Cell[CellGroupData[{
Cell[406095, 9942, 236, 4, 26, "Input",ExpressionUUID->"82b9d957-62b1-4808-9b6b-1ff1a9aed502",
 CellID->1361128160],
Cell[406334, 9948, 356, 7, 37, "Output",ExpressionUUID->"88117c83-7428-4ee6-af47-2a8da25cf891",
 CellID->805056362]
}, Open  ]],
Cell[406705, 9958, 2744, 74, 113, "Text",ExpressionUUID->"9d76df4e-0481-4fa1-91f2-c0a5a35acbc3",
 CellTags->{"LastCellOfAPage", "i:34"},
 CellID->1710140487],
Cell[409452, 10034, 749, 18, 61, "CodeText",ExpressionUUID->"0eaf5597-46ef-45af-83c2-26f669337d69",
 CellTags->"p: 131",
 CellID->934876620],
Cell[CellGroupData[{
Cell[410226, 10056, 392, 10, 26, "Input",ExpressionUUID->"9566c3ca-bed7-4a7f-a278-d232ea15b49f",
 CellID->1444962174],
Cell[410621, 10068, 355, 7, 37, "Output",ExpressionUUID->"cb58eea9-5930-43bd-863e-c6764f206065",
 CellID->1705469889]
}, Open  ]],
Cell[410991, 10078, 627, 10, 113, "Text",ExpressionUUID->"2edb04cc-9f05-4f89-9456-c483ad850fa9",
 CellID->557472637]
}, Open  ]],
Cell[CellGroupData[{
Cell[411655, 10093, 446, 10, 55, "Subsubsection",ExpressionUUID->"baa801cf-d26e-490f-beeb-79de3828216b",
 CellID->1898307330],
Cell[412104, 10105, 1085, 19, 63, "Text",ExpressionUUID->"9ccffe80-773b-4438-bdd6-0de2fac0f302",
 CellID->1834235478],
Cell[413192, 10126, 647, 11, 39, "CodeText",ExpressionUUID->"ad6f8054-dbe6-4556-a5d0-472426b45af8",
 CellID->1671776686],
Cell[CellGroupData[{
Cell[413864, 10141, 551, 14, 26, "Input",ExpressionUUID->"5812ccb6-94da-4c55-af32-f5939303fe82",
 CellID->2022207901],
Cell[414418, 10157, 834, 15, 37, "Output",ExpressionUUID->"2204e33b-adb1-4153-aaad-e53d23c864c7",
 CellID->2086865669]
}, Open  ]],
Cell[415267, 10175, 390, 5, 39, "CodeText",ExpressionUUID->"f8bbb14e-0c84-4722-be17-1aaed40d0b4f",
 CellID->994660511],
Cell[CellGroupData[{
Cell[415682, 10184, 550, 14, 26, "Input",ExpressionUUID->"2271677b-0b0a-48de-be5e-5ac8484ffbe5",
 CellID->1246500129],
Cell[416235, 10200, 836, 15, 37, "Output",ExpressionUUID->"13e85647-327f-4e7b-9025-ef25b9270ca2",
 CellID->434862355]
}, Open  ]],
Cell[417086, 10218, 665, 15, 39, "CodeText",ExpressionUUID->"b4d6b3e7-7e39-4217-a64e-f56998060035",
 CellID->412585752],
Cell[CellGroupData[{
Cell[417776, 10237, 502, 11, 26, "Input",ExpressionUUID->"251090e2-bcf2-42bd-ae32-c4b4380cb712",
 CellID->1265287660],
Cell[418281, 10250, 800, 15, 37, "Output",ExpressionUUID->"d90cd08d-2de7-4e62-95d1-ac8786b60792",
 CellID->1847406992]
}, Open  ]],
Cell[419096, 10268, 1570, 32, 88, "Text",ExpressionUUID->"2adeda53-1817-44d6-8597-718224d34f6c",
 CellTags->"i:35",
 CellID->1913560027],
Cell[420669, 10302, 240, 3, 39, "CodeText",ExpressionUUID->"344abc4c-4540-42f5-8b99-ac20f2a7e95b",
 CellID->1211609874],
Cell[CellGroupData[{
Cell[420934, 10309, 532, 13, 46, "Input",ExpressionUUID->"c948e47f-cffd-4176-9a5a-ca69301a9e40",
 CellID->867926061],
Cell[421469, 10324, 855, 18, 37, "Output",ExpressionUUID->"1061d887-856b-4c38-871e-3119d7ad9bd3",
 CellID->892316331]
}, Open  ]],
Cell[422339, 10345, 1991, 55, 113, "Text",ExpressionUUID->"f8a2260e-a4f3-4445-889a-5ca2db85a96c",
 CellTags->"LastCellOfAPage",
 CellID->721019311],
Cell[424333, 10402, 695, 18, 39, "CodeText",ExpressionUUID->"820c8990-641d-417a-a2bf-1841eb686cac",
 CellTags->"p: 132",
 CellID->2072375687],
Cell[CellGroupData[{
Cell[425053, 10424, 275, 5, 26, "Input",ExpressionUUID->"96294c67-e2eb-4152-9dd6-3c4fbd73d707",
 CellID->2068823603],
Cell[425331, 10431, 781, 15, 37, "Output",ExpressionUUID->"b3a10b09-86fc-44ec-bc6f-c84399ddada8",
 CellID->1686085867]
}, Open  ]],
Cell[426127, 10449, 610, 15, 38, "Text",ExpressionUUID->"a209b853-6fe4-4453-84bb-59892109725c",
 CellID->604781376],
Cell[426740, 10466, 264, 5, 39, "CodeText",ExpressionUUID->"a8eaf6c8-616d-4074-ab1e-c7a63135db0e",
 CellID->1838775252],
Cell[CellGroupData[{
Cell[427029, 10475, 296, 5, 26, "Input",ExpressionUUID->"f459479d-877d-477d-955e-8e7679beed79",
 CellID->277051260],
Cell[427328, 10482, 634, 13, 37, "Output",ExpressionUUID->"4a4a7c44-04b3-44c5-a037-a00e7443791e",
 CellID->1681537553]
}, Open  ]],
Cell[427977, 10498, 2353, 48, 138, "Text",ExpressionUUID->"86a68006-db4b-4a3a-83a9-00bf2de864e1",
 CellTags->"i:36",
 CellID->1114157968]
}, Open  ]],
Cell[CellGroupData[{
Cell[430367, 10551, 446, 10, 55, "Subsubsection",ExpressionUUID->"91abbc58-9c07-41e5-a228-1f90d5006668",
 CellID->1076083631],
Cell[430816, 10563, 957, 14, 88, "Text",ExpressionUUID->"2141bad5-2572-427e-abb2-bc587f9fa591",
 CellID->1777794830],
Cell[431776, 10579, 370, 6, 61, "CodeText",ExpressionUUID->"fb666f68-f1fb-444d-a7bb-4d63774b9cd5",
 CellID->1083430228],
Cell[432149, 10587, 410, 11, 26, "Input",ExpressionUUID->"18af9e01-bc4f-476a-aa44-32df17883566",
 CellID->712566502],
Cell[CellGroupData[{
Cell[432584, 10602, 649, 15, 26, "Input",ExpressionUUID->"30f7ae71-582a-4a68-9d1f-c0a29af3f21a",
 CellID->1083563188],
Cell[433236, 10619, 439, 9, 37, "Output",ExpressionUUID->"7018e64e-7c06-43c2-81ad-fd47953df1a6",
 CellID->1907114070]
}, Open  ]],
Cell[433690, 10631, 791, 14, 63, "Text",ExpressionUUID->"4bc44683-9161-4a5c-8a8d-81964ccf2890",
 CellID->498823838],
Cell[434484, 10647, 537, 11, 61, "CodeText",ExpressionUUID->"1577fcba-7d89-4ec7-9cdf-bd365f5da0ef",
 CellID->69005038],
Cell[CellGroupData[{
Cell[435046, 10662, 543, 14, 46, "Input",ExpressionUUID->"51fd499f-c52a-4df2-8416-b8e93477500c",
 CellID->1484505277],
Cell[435592, 10678, 458, 9, 37, "Output",ExpressionUUID->"56082762-2489-4767-9ffe-553c60741c6f",
 CellID->1538949238]
}, Open  ]],
Cell[436065, 10690, 960, 21, 88, "Text",ExpressionUUID->"8126d20d-d3a8-4056-8fe2-8427fcd73fca",
 CellTags->{"LastCellOfAPage", "i:37"},
 CellID->1460625397],
Cell[437028, 10713, 269, 4, 39, "CodeText",ExpressionUUID->"b2333dd5-e143-48ed-bb75-94485afbf97b",
 CellTags->"p: 133",
 CellID->1659562789],
Cell[CellGroupData[{
Cell[437322, 10721, 500, 12, 46, "Input",ExpressionUUID->"7ac86a8f-5414-4544-ab45-e31886bbfd88",
 CellID->571768404],
Cell[437825, 10735, 728, 14, 37, "Output",ExpressionUUID->"c019fd09-bdf8-4e6b-9af1-f0a5b88855f8",
 CellID->1762634976]
}, Open  ]],
Cell[438568, 10752, 920, 16, 63, "Text",ExpressionUUID->"1f460b47-cd56-4ad0-88b8-fb976ae9a080",
 CellID->860440724],
Cell[439491, 10770, 669, 16, 39, "CodeText",ExpressionUUID->"d2a5c1a7-8c5c-402d-9854-c733f145ddd2",
 CellID->578055870],
Cell[CellGroupData[{
Cell[440185, 10790, 245, 4, 26, "Input",ExpressionUUID->"dccc7c42-be8b-46fb-abb5-b745e500d0d4",
 CellID->371357827],
Cell[440433, 10796, 572, 14, 37, "Output",ExpressionUUID->"94478636-e4cd-4a1f-96ed-dd08b0517142",
 CellID->2045939152]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[441054, 10816, 446, 10, 55, "Subsubsection",ExpressionUUID->"255e5841-7797-46a4-b398-28ba579f144c",
 CellID->1408172730],
Cell[441503, 10828, 1431, 21, 88, "Text",ExpressionUUID->"08972b75-5531-441e-96d8-6025d847fa38",
 CellID->1889283170],
Cell[442937, 10851, 392, 7, 61, "CodeText",ExpressionUUID->"2cb6d20a-c842-44ce-bdec-d081a12e7fb0",
 CellID->666898227],
Cell[CellGroupData[{
Cell[443354, 10862, 529, 15, 46, "Input",ExpressionUUID->"815b6ef9-8d7f-46af-996a-6f9e9e443351",
 CellID->1280209751],
Cell[443886, 10879, 341, 7, 37, "Output",ExpressionUUID->"9fba9e32-af00-4be7-8296-962e88f6a31d",
 CellID->297196832]
}, Open  ]],
Cell[444242, 10889, 705, 16, 63, "Text",ExpressionUUID->"5c644cc9-3a65-439e-8c0a-3cbc8bc63bde",
 CellID->748164066],
Cell[444950, 10907, 441, 9, 39, "CodeText",ExpressionUUID->"14a9b81f-e249-471b-ae94-3828750397e4",
 CellID->926910788],
Cell[CellGroupData[{
Cell[445416, 10920, 984, 24, 65, "Input",ExpressionUUID->"3c820050-353a-4ed8-8a9e-032936bbf871",
 CellID->413967315],
Cell[446403, 10946, 344, 7, 37, "Output",ExpressionUUID->"6a0bedf0-211a-4f27-a125-912c57d564d9",
 CellID->2144698707]
}, Open  ]],
Cell[446762, 10956, 1535, 37, 138, "Text",ExpressionUUID->"7e6d24c4-7043-4ecd-b6f1-5c8813031a3c",
 CellID->2039688300],
Cell[448300, 10995, 497, 11, 39, "CodeText",ExpressionUUID->"bcb70941-1a3c-4dfe-a8f4-a16535560def",
 CellID->1666521407],
Cell[CellGroupData[{
Cell[448822, 11010, 618, 15, 65, "Input",ExpressionUUID->"c6a42891-9841-496c-a920-cfaab5618a39",
 CellID->409225118],
Cell[449443, 11027, 372, 8, 37, "Output",ExpressionUUID->"b7123ad8-5455-4ce5-a240-9fad0feee436",
 CellTags->"LastCellOfAPage",
 CellID->1103819832]
}, Open  ]],
Cell[449830, 11038, 646, 13, 39, "CodeText",ExpressionUUID->"df6c03ef-54d9-4459-82f6-32a79f70b0d5",
 CellTags->"p: 134",
 CellID->873235537],
Cell[CellGroupData[{
Cell[450501, 11055, 243, 4, 26, "Input",ExpressionUUID->"051baf6e-6dfd-4d7a-8582-34a46922301e",
 CellID->566426761],
Cell[450747, 11061, 654, 16, 37, "Output",ExpressionUUID->"db48addc-885a-4834-bdc6-e556b9632ffa",
 CellID->1725776803]
}, Open  ]],
Cell[451416, 11080, 3547, 84, 138, "Text",ExpressionUUID->"52508bae-69f9-4e4e-933e-322bf0e29751",
 CellTags->"i:38",
 CellID->1246255478]
}, Open  ]],
Cell[CellGroupData[{
Cell[455000, 11169, 446, 10, 55, "Subsubsection",ExpressionUUID->"a19d0e44-7255-400d-b4cd-d5dd0f270800",
 CellID->1420833860],
Cell[455449, 11181, 1182, 21, 88, "Text",ExpressionUUID->"f8dee422-5706-405f-88f0-22a959014c80",
 CellTags->"i:39",
 CellID->716242384],
Cell[456634, 11204, 439, 10, 39, "CodeText",ExpressionUUID->"b5040dc9-bc28-43c2-8247-b45abaaee15d",
 CellID->1807992],
Cell[CellGroupData[{
Cell[457098, 11218, 375, 8, 26, "Input",ExpressionUUID->"ef476f40-9875-4519-a7bf-fe61f64a6792",
 CellID->1790519304],
Cell[457476, 11228, 1919, 36, 119, "Output",ExpressionUUID->"331c7568-460c-48cb-8940-64dadbb092e9",
 CellID->574514980]
}, Open  ]],
Cell[459410, 11267, 1121, 22, 88, "Text",ExpressionUUID->"21be0da0-d53a-4d8f-8d4d-68c7f926a8f9",
 CellTags->"i:40",
 CellID->217238876],
Cell[460534, 11291, 830, 18, 61, "CodeText",ExpressionUUID->"47112501-39b0-497e-bd92-06818b800cca",
 CellID->869004243],
Cell[CellGroupData[{
Cell[461389, 11313, 429, 10, 26, "Input",ExpressionUUID->"512b8e9f-7953-4db9-9a5a-8c2a3a6998a7",
 CellID->1404129662],
Cell[461821, 11325, 1868, 36, 585, "Output",ExpressionUUID->"dab75eb6-ee4d-451c-a22a-bc22d7942430",
 CellID->1221430868]
}, Open  ]],
Cell[463704, 11364, 910, 16, 279, "Text",ExpressionUUID->"77caaa76-3407-4903-984f-4a54476d3008",
 CellID->1255317230],
Cell[464617, 11382, 319, 5, 109, "CodeText",ExpressionUUID->"8833acbc-bafa-415b-8b21-7ab1a1ead419",
 CellID->503908183],
Cell[CellGroupData[{
Cell[464961, 11391, 482, 13, 245, "Input",ExpressionUUID->"5f0e059a-1fbc-4bbc-b9dc-de3a5adaf3ec",
 CellID->1505930395],
Cell[465446, 11406, 427, 9, 160, "Output",ExpressionUUID->"d966ff06-d24d-4ec2-8670-d0b24fabb7c2",
 CellTags->"LastCellOfAPage",
 CellID->1189918756]
}, Open  ]],
Cell[465888, 11418, 1139, 29, 432, "CodeText",ExpressionUUID->"a308cb2a-ddbd-42b3-8126-ff4a3706874d",
 CellTags->"p: 135",
 CellID->13494555],
Cell[CellGroupData[{
Cell[467052, 11451, 8669, 207, 51, "Input",ExpressionUUID->"11200d35-9d65-42e9-b484-3f543676a8a9",
 CellID->1616810794],
Cell[475724, 11660, 421, 9, 37, "Output",ExpressionUUID->"52ae8012-bff7-4159-887b-317842f205bd",
 CellID->28546773]
}, Open  ]],
Cell[476160, 11672, 425, 10, 39, "CodeText",ExpressionUUID->"aba949d4-e0e1-4fdc-92a4-192ed930b81b",
 CellID->989415378],
Cell[CellGroupData[{
Cell[476610, 11686, 511, 12, 26, "Input",ExpressionUUID->"5e59d81f-aa32-4194-afe5-a7c03193cdd3",
 CellID->1876694280],
Cell[477124, 11700, 471, 9, 37, "Output",ExpressionUUID->"b21fef2d-3eb1-42e4-9e14-c6f98ed38218",
 CellID->1310595258]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[477656, 11716, 758, 18, 57, "Subsection",ExpressionUUID->"ab9764ce-c825-4ed6-a79a-0e0ba84cef1a",
 CellID->1446298583],
Cell[478417, 11736, 436, 8, 63, "Text",ExpressionUUID->"0045a9f7-3820-4b12-a2dc-3220704fc6cb",
 CellTags->"i:41",
 CellID->1881524972],
Cell[478856, 11746, 2217, 47, 138, "Text",ExpressionUUID->"d5e5a871-6be4-44a7-b732-f9a25ef136c9",
 CellTags->"i:42",
 CellID->572884088],
Cell[481076, 11795, 2847, 64, 113, "Text",ExpressionUUID->"4dcc4a6f-46b9-4dd9-af20-34d4fbf354d1",
 CellID->1919093969],
Cell[483926, 11861, 1054, 24, 39, "CodeText",ExpressionUUID->"39508d4b-95b1-4ef4-be44-d17a43667958",
 CellID->561189059],
Cell[CellGroupData[{
Cell[485005, 11889, 485, 11, 26, "Input",ExpressionUUID->"4ce1eebb-4452-4881-aafe-99a747aec4bb",
 CellID->1155442690],
Cell[485493, 11902, 1587, 36, 57, "Output",ExpressionUUID->"3af9dbe5-f069-4df2-917a-f8508a4cb403",
 CellID->404527290]
}, Open  ]],
Cell[CellGroupData[{
Cell[487117, 11943, 540, 12, 26, "Input",ExpressionUUID->"daa4248e-ec74-423c-8d3b-610dcda3152f",
 CellID->1650964185],
Cell[487660, 11957, 1583, 36, 57, "Output",ExpressionUUID->"682cce19-1c1c-498e-8b6d-e2dac1b82671",
 CellID->638089639]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[489292, 11999, 133, 1, 57, "Subsection",ExpressionUUID->"fa40dea7-7fce-4bca-b963-e5eeb09f5bea",
 CellID->1924867530],
Cell[489428, 12002, 2003, 39, 238, "Text",ExpressionUUID->"fd39e9b2-5987-48ad-b286-90bc72a13305",
 CellTags->{"LastCellOfAPage", "i:43", "p: 136"},
 CellID->1554918302],
Cell[491434, 12043, 776, 22, 39, "CodeText",ExpressionUUID->"4bf20fe9-d9e3-46b1-80fb-7a8ae27fcde4",
 CellTags->"i:44",
 CellID->931771994],
Cell[CellGroupData[{
Cell[492235, 12069, 8192, 198, 31, "Input",ExpressionUUID->"5a886a3c-b995-4467-b182-bf40005c2152",
 CellID->133037289],
Cell[500430, 12269, 3076, 66, 176, "Output",ExpressionUUID->"f9fc3d87-4c51-4358-9858-d20028340a4c",
 CellID->25584265]
}, Open  ]],
Cell[503521, 12338, 848, 15, 63, "Text",ExpressionUUID->"0bf13172-f1a5-4314-99d2-f2bdc4ba5090",
 CellID->735482568],
Cell[504372, 12355, 501, 11, 39, "CodeText",ExpressionUUID->"85fbeac6-1bd0-4fe6-9f47-36da2df50a3e",
 CellID->2000374],
Cell[CellGroupData[{
Cell[504898, 12370, 362, 8, 26, "Input",ExpressionUUID->"1c8f95bf-c25a-498c-8932-616b2c0d8770",
 CellID->339648244],
Cell[505263, 12380, 619, 10, 41, "Output",ExpressionUUID->"50b104ac-1eb5-4f1d-ab6a-ae983f9fabeb",
 CellID->357101871]
}, Open  ]],
Cell[505897, 12393, 674, 15, 63, "Text",ExpressionUUID->"c49a0df6-b83c-4db4-b650-7c2889baf080",
 CellTags->"i:45",
 CellID->1637392790],
Cell[506574, 12410, 249, 3, 39, "CodeText",ExpressionUUID->"56dd37c9-fa74-4e24-8e35-bf07116d45a0",
 CellID->975032605],
Cell[CellGroupData[{
Cell[506848, 12417, 401, 9, 26, "Input",ExpressionUUID->"5c6a230d-9ac3-4e46-9dde-b1ee52261e1d",
 CellID->1805168872],
Cell[507252, 12428, 685, 13, 47, "Output",ExpressionUUID->"f24464c1-260e-44b1-a54b-34c0b134c859",
 CellID->630080705]
}, Open  ]],
Cell[507952, 12444, 262, 3, 39, "CodeText",ExpressionUUID->"9f9c461e-b128-4653-987b-403211cc71c7",
 CellID->1391084888],
Cell[CellGroupData[{
Cell[508239, 12451, 337, 7, 26, "Input",ExpressionUUID->"a4ebb836-5210-40bf-828d-29f629cf648e",
 CellID->309247727],
Cell[508579, 12460, 1790, 42, 112, "Output",ExpressionUUID->"d5c2ae26-d471-4ca6-ba3c-4e71a7fe3d23",
 CellID->237079367]
}, Open  ]],
Cell[510384, 12505, 302, 6, 63, "Text",ExpressionUUID->"6ac74694-e79c-4110-a888-94b5dce44bfd",
 CellTags->"LastCellOfAPage",
 CellID->2142934656]
}, Open  ]],
Cell[CellGroupData[{
Cell[510723, 12516, 215, 3, 57, "Subsection",ExpressionUUID->"fe1f0646-7c01-4467-a181-97c16dd74fae",
 CellTags->"p: 137",
 CellID->319036314],
Cell[510941, 12521, 2182, 43, 188, "Text",ExpressionUUID->"7d5da2fe-c024-4e71-938c-fb7dc81b49f9",
 CellTags->"i:46",
 CellID->76174816],
Cell[513126, 12566, 545, 12, 39, "CodeText",ExpressionUUID->"2513b7b1-82f1-4c14-afcf-782a5b4a4263",
 CellID->1834255930],
Cell[513674, 12580, 441, 11, 26, "Input",ExpressionUUID->"45142d82-16f1-4257-87ac-001c626d944b",
 CellID->369878900],
Cell[514118, 12593, 686, 18, 63, "Text",ExpressionUUID->"ade544a6-a2c3-4f31-bb34-6f8c2155061d",
 CellID->1736997882],
Cell[514807, 12613, 567, 12, 61, "CodeText",ExpressionUUID->"ec65eb18-2029-42b6-819e-ab5dfb439db6",
 CellID->433414140],
Cell[CellGroupData[{
Cell[515399, 12629, 516, 12, 26, "Input",ExpressionUUID->"94a78f08-a721-45dc-b518-d527381cecf7",
 CellID->830705456],
Cell[515918, 12643, 914, 19, 37, "Output",ExpressionUUID->"dba00f54-0f39-4bab-a595-51c193dc1b64",
 CellID->867617317]
}, Open  ]],
Cell[516847, 12665, 533, 7, 38, "Text",ExpressionUUID->"3a660138-d91e-45a2-a8ef-644dab57746d",
 CellID->602799318],
Cell[517383, 12674, 248, 3, 39, "CodeText",ExpressionUUID->"3eb2d903-077b-4c49-96d3-f56839029b30",
 CellID->1889082535],
Cell[CellGroupData[{
Cell[517656, 12681, 478, 8, 26, "Input",ExpressionUUID->"a829c017-457f-421c-be25-b6a0f4d14db2",
 CellID->1567774727],
Cell[518137, 12691, 1576, 38, 97, "Output",ExpressionUUID->"7d0c9e03-557b-4e18-9153-917676219284",
 CellID->759726627]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[519762, 12735, 194, 2, 57, "Subsection",ExpressionUUID->"691bb089-3270-4bdd-8157-3c3b0e145b7d",
 CellID->874390307],
Cell[519959, 12739, 2015, 34, 288, "Text",ExpressionUUID->"a93e7fe8-24d8-41a4-97d3-74ec253d4b12",
 CellTags->{"LastCellOfAPage", "i:47"},
 CellID->60318708],
Cell[CellGroupData[{
Cell[521999, 12777, 269, 4, 55, "Subsubsection",ExpressionUUID->"86cc65d3-4198-4b13-8f96-620ff4dca7b7",
 CellTags->"p: 138",
 CellID->1312073658],
Cell[522271, 12783, 600, 9, 88, "Text",ExpressionUUID->"827b682a-9220-475b-8eea-9e4778843f90",
 CellID->966364523],
Cell[522874, 12794, 608, 12, 39, "CodeText",ExpressionUUID->"67830d9e-9935-4512-a9f7-828fc268fbb4",
 CellID->1036411059],
Cell[CellGroupData[{
Cell[523507, 12810, 631, 13, 26, "Input",ExpressionUUID->"914ed18d-6eac-46c7-85d0-d99b73d23597",
 CellID->661572791],
Cell[524141, 12825, 829, 17, 37, "Output",ExpressionUUID->"9221736d-7bac-4c6d-ad82-a90c27529eca",
 CellID->1663184917]
}, Open  ]],
Cell[524985, 12845, 997, 20, 88, "Text",ExpressionUUID->"565eeaa2-0d10-4aa3-9790-435674d184ec",
 CellID->2034006300],
Cell[525985, 12867, 772, 17, 39, "CodeText",ExpressionUUID->"abd7db96-4e86-446a-b9d4-25515bcc86a1",
 CellID->391881533],
Cell[CellGroupData[{
Cell[526782, 12888, 463, 11, 26, "Input",ExpressionUUID->"62ec8c83-191d-4277-991f-cd63e20627de",
 CellID->1589325054],
Cell[527248, 12901, 537, 12, 37, "Output",ExpressionUUID->"3badcd08-dca6-4a5a-b16c-48a2972583cc",
 CellID->171164316]
}, Open  ]],
Cell[527800, 12916, 1501, 31, 138, "Text",ExpressionUUID->"fc45481b-e713-45e9-bbc7-df6b35a31d97",
 CellID->194626101],
Cell[529304, 12949, 522, 11, 39, "CodeText",ExpressionUUID->"dcd780f8-6df0-49ed-816a-6e9d43467a93",
 CellID->637003440],
Cell[CellGroupData[{
Cell[529851, 12964, 738, 15, 26, "Input",ExpressionUUID->"5d2149db-d018-42ef-adb8-c638d2df08e4",
 CellID->369074142],
Cell[530592, 12981, 529, 12, 37, "Output",ExpressionUUID->"c3963055-c552-43e3-b704-36bec7946708",
 CellID->299514872]
}, Open  ]],
Cell[CellGroupData[{
Cell[531158, 12998, 465, 11, 26, "Input",ExpressionUUID->"446c9c36-1878-4070-ad99-ca992e1fc497",
 CellID->1269345407],
Cell[531626, 13011, 627, 13, 37, "Output",ExpressionUUID->"7c57ed37-547d-4edb-9a87-3ae4a41983af",
 CellID->772587599]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[532302, 13030, 258, 3, 55, "Subsubsection",ExpressionUUID->"2adf05d8-ff5c-4fe4-97c5-d248c8a10dc8",
 CellID->930901965],
Cell[532563, 13035, 1411, 29, 113, "Text",ExpressionUUID->"e9b694cf-cc69-40e7-9e70-bc6b5f23c2f6",
 CellTags->"i:48",
 CellID->1569454109],
Cell[533977, 13066, 779, 18, 39, "CodeText",ExpressionUUID->"6662e84d-444f-4e18-ba2e-90008e08c83f",
 CellID->2125442969],
Cell[CellGroupData[{
Cell[534781, 13088, 605, 14, 27, "Input",ExpressionUUID->"4702f4b8-cf7f-4a27-92f4-07f4c9454ef9",
 CellID->1494040969],
Cell[535389, 13104, 5227, 104, 73, "Output",ExpressionUUID->"b36a4da3-f1c6-4908-a3a6-63ecfe96ad3e",
 CellTags->"LastCellOfAPage",
 CellID->1430829980]
}, Open  ]],
Cell[540631, 13211, 1383, 27, 113, "Text",ExpressionUUID->"5cf2f7a9-7f86-4286-8ae2-a578e00a5103",
 CellTags->"p: 139",
 CellID->319812624],
Cell[542017, 13240, 691, 16, 39, "CodeText",ExpressionUUID->"b6fc524d-68d5-49e0-a061-336fb0c69d03",
 CellID->1578711394],
Cell[CellGroupData[{
Cell[542733, 13260, 8178, 200, 31, "Input",ExpressionUUID->"492af36c-f4dd-41c5-a60c-b4d9e876f057",
 CellID->916747993],
Cell[550914, 13462, 1154, 23, 76, "Output",ExpressionUUID->"1bc9b8fa-3cfa-47c0-a7d9-46146373163c",
 CellID->94946584]
}, Open  ]],
Cell[552083, 13488, 629, 10, 63, "Text",ExpressionUUID->"3bce51f5-d07c-498f-9baf-27a0797fa8fc",
 CellID->1926433655],
Cell[552715, 13500, 3801, 82, 188, "Text",ExpressionUUID->"e05c0ab6-5d5d-4dad-b630-dc972d01a821",
 CellTags->"i:49",
 CellID->255968431],
Cell[556519, 13584, 594, 10, 63, "Text",ExpressionUUID->"0dcadf34-efc1-41e9-8d26-84e356aa6374",
 CellID->1714225670],
Cell[557116, 13596, 1540, 42, 39, "CodeText",ExpressionUUID->"ae6fbb15-8d12-4e34-a93d-5aa7c594fecb",
 CellID->1184318856],
Cell[CellGroupData[{
Cell[558681, 13642, 8344, 203, 52, "Input",ExpressionUUID->"86395352-5f98-4e2d-8665-ea61d8cbe7f8",
 CellID->1683876795],
Cell[567028, 13847, 447, 9, 28, "Message",ExpressionUUID->"3f5d9c66-2356-4fcd-94b2-5d221ff25c72",
 CellID->1263613378],
Cell[567478, 13858, 445, 9, 28, "Message",ExpressionUUID->"eea7e934-9162-4507-849c-293b69eaca6a",
 CellID->1084258863],
Cell[567926, 13869, 508, 10, 28, "Message",ExpressionUUID->"2506c094-1eb5-4a64-9e11-feabbc29b4a1",
 CellID->1739965646],
Cell[568437, 13881, 492, 9, 28, "Message",ExpressionUUID->"b589c3d0-f419-44b0-970f-ce148e95828d",
 CellID->1317791123],
Cell[568932, 13892, 1305, 30, 79, "Output",ExpressionUUID->"3d0600d6-1956-4fee-9cff-f15053656e88",
 CellID->1116552750]
}, Open  ]],
Cell[570252, 13925, 1290, 27, 113, "Text",ExpressionUUID->"cb5571af-76b1-4016-bb70-e3747ccd60fd",
 CellTags->"LastCellOfAPage",
 CellID->1254727905],
Cell[571545, 13954, 1156, 29, 39, "CodeText",ExpressionUUID->"1ef33e6c-0020-430c-90d8-cc68492cf014",
 CellTags->"p: 140",
 CellID->1455332047],
Cell[CellGroupData[{
Cell[572726, 13987, 8459, 204, 52, "Input",ExpressionUUID->"7fa61848-9763-4292-a3c0-73d2fad0f939",
 CellID->1784829902],
Cell[581188, 14193, 1528, 24, 76, "Output",ExpressionUUID->"70ade288-bd9e-41b0-9dde-c93b44f39ecc",
 CellID->1595295639]
}, Open  ]],
Cell[582731, 14220, 1192, 20, 138, "Text",ExpressionUUID->"2f38c6ca-fd4e-4c58-bf30-b87ce6924765",
 CellID->664129337],
Cell[583926, 14242, 1938, 48, 188, "Text",ExpressionUUID->"607c6c40-1d79-4299-84fc-658250e1182b",
 CellID->669027038],
Cell[585867, 14292, 1356, 36, 61, "CodeText",ExpressionUUID->"35690c4d-5a7f-45c0-bcab-95810342d9b7",
 CellID->894080513],
Cell[CellGroupData[{
Cell[587248, 14332, 8446, 204, 52, "Input",ExpressionUUID->"edb05acc-ab82-43ca-9f6c-f2acfb330e0b",
 CellID->2122136960],
Cell[595697, 14538, 1266, 25, 76, "Output",ExpressionUUID->"c08eb2a5-1b56-40f5-8ac8-486bc9e46087",
 CellID->1766004808]
}, Open  ]],
Cell[596978, 14566, 3601, 89, 238, "Text",ExpressionUUID->"43b04043-6a54-4890-a0fd-7f1b8537ccdf",
 CellTags->"LastCellOfAPage",
 CellID->1857227319],
Cell[600582, 14657, 298, 6, 39, "CodeText",ExpressionUUID->"30339e8d-cd60-4f71-9fe5-fa6f4f2f1c4a",
 CellTags->"p: 141",
 CellID->1363908524],
Cell[CellGroupData[{
Cell[600905, 14667, 8652, 209, 52, "Input",ExpressionUUID->"88f07fad-1241-480c-af25-f6473f936f9b",
 CellID->782786956],
Cell[CellGroupData[{
Cell[609582, 14880, 4876, 97, 60, "Print",ExpressionUUID->"c521a050-9a7a-43ac-8c5a-83d3ac24bbea",
 CellID->357868978],
Cell[614461, 14979, 4877, 97, 60, "Print",ExpressionUUID->"730b1c48-565f-4496-8d20-f21a7bf30d80",
 CellID->1749701646],
Cell[619341, 15078, 5041, 101, 60, "Print",ExpressionUUID->"81095f8a-630c-442c-b5c9-157bf1c35093",
 CellID->1741985951]
}, Open  ]],
Cell[624397, 15182, 795, 15, 37, "Output",ExpressionUUID->"252fbfe6-04a2-4657-9228-3401c096d540",
 CellID->913318906]
}, Open  ]],
Cell[625207, 15200, 2177, 43, 213, "Text",ExpressionUUID->"390ad8f0-25a9-4625-92fa-50ec43a6f0a7",
 CellID->1668027059],
Cell[627387, 15245, 266, 3, 39, "CodeText",ExpressionUUID->"eb651922-bacc-406f-ba55-c4fac7578d5d",
 CellID->298294661],
Cell[CellGroupData[{
Cell[627678, 15252, 9222, 224, 108, "Input",ExpressionUUID->"a6c3550f-a6e6-441d-8a08-9422d106250e",
 CellID->962487873],
Cell[CellGroupData[{
Cell[636925, 15480, 4878, 97, 60, "Print",ExpressionUUID->"5a22b81f-0855-4588-bfb1-20fcf55d3982",
 CellID->504541116],
Cell[641806, 15579, 4877, 97, 60, "Print",ExpressionUUID->"0cc54216-422f-4f13-9e23-58a9a9532bbc",
 CellID->1557098256]
}, Open  ]],
Cell[646698, 15679, 1457, 32, 76, "Output",ExpressionUUID->"f9e9298b-eb4b-4e40-ae7e-1ded0501b943",
 CellID->914666250]
}, Open  ]],
Cell[648170, 15714, 1115, 22, 88, "Text",ExpressionUUID->"a459e499-e80a-452d-9c1f-315762d736d9",
 CellTags->"LastCellOfAPage",
 CellID->1508728349],
Cell[649288, 15738, 1352, 35, 39, "CodeText",ExpressionUUID->"40a639ce-893b-4b44-8c6a-281de1548e15",
 CellTags->"p: 142",
 CellID->1466047781],
Cell[CellGroupData[{
Cell[650665, 15777, 8841, 210, 52, "Input",ExpressionUUID->"0b45587c-ebcf-4485-b9fd-8805ab07de89",
 CellID->1356838375],
Cell[659509, 15989, 10701, 218, 136, "Output",ExpressionUUID->"44a8ef90-8b47-46d0-8f95-e7706f850eb3",
 CellID->1142832408]
}, Open  ]],
Cell[670225, 16210, 2239, 53, 238, "Text",ExpressionUUID->"ee1b323f-d5b7-4752-bfdf-22e30680f95d",
 CellID->2087797935],
Cell[672467, 16265, 894, 21, 88, "Text",ExpressionUUID->"b6798c24-6c47-4818-b020-81a21a07353e",
 CellID->2057663061],
Cell[673364, 16288, 694, 17, 39, "CodeText",ExpressionUUID->"a70259bd-1a43-4633-93e5-5b0a8cd49321",
 CellID->505237748],
Cell[CellGroupData[{
Cell[674083, 16309, 569, 14, 46, "Input",ExpressionUUID->"4b78d5cc-7332-4977-9f27-b7bbd4ddb321",
 CellID->2029196584],
Cell[674655, 16325, 495, 10, 37, "Output",ExpressionUUID->"21086d40-73f3-4384-a2ef-8c403596bd26",
 CellID->1850627681]
}, Open  ]],
Cell[675165, 16338, 972, 21, 88, "Text",ExpressionUUID->"e1fb82e2-52c1-4028-9dfa-2a2ade8509f1",
 CellID->2083437919],
Cell[676140, 16361, 1388, 34, 61, "CodeText",ExpressionUUID->"07c2785e-e98d-45de-83a2-8689f0f2c3d7",
 CellID->518328473],
Cell[CellGroupData[{
Cell[677553, 16399, 9312, 221, 89, "Input",ExpressionUUID->"a1b94ee7-cac8-441c-bca0-8202faf9f2dd",
 CellID->1111923429],
Cell[686868, 16622, 1461, 30, 37, "Output",ExpressionUUID->"c87714f5-e4cc-4c67-bc14-241736279a93",
 CellTags->"LastCellOfAPage",
 CellID->1574747563]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[688378, 16658, 218, 3, 55, "Subsubsection",ExpressionUUID->"bcf1e3d9-b080-4bb2-8f57-d893ecb1fb7a",
 CellTags->"p: 143",
 CellID->1525348318],
Cell[688599, 16663, 1365, 28, 138, "Text",ExpressionUUID->"24fd5195-eeb5-47ca-a78a-88b4dbf31f65",
 CellTags->"i:50",
 CellID->1229989336],
Cell[689967, 16693, 434, 10, 39, "CodeText",ExpressionUUID->"560ac848-ad1b-402d-9677-7b23bc494694",
 CellID->818578016],
Cell[CellGroupData[{
Cell[690426, 16707, 399, 9, 26, "Input",ExpressionUUID->"147c633f-cf57-46ea-89b5-59cf407e151b",
 CellID->1816388250],
Cell[690828, 16718, 2005, 43, 114, "Output",ExpressionUUID->"07fdbcac-0077-495c-b7ed-fe0b44a62a23",
 CellID->1538582666]
}, Open  ]],
Cell[692848, 16764, 631, 13, 63, "Text",ExpressionUUID->"3715e5c0-ed9a-4608-a399-f495b22a0eec",
 CellID->349400531],
Cell[693482, 16779, 585, 12, 39, "CodeText",ExpressionUUID->"1608174f-6030-43ef-835b-449101e29fff",
 CellID->545395986],
Cell[CellGroupData[{
Cell[694092, 16795, 457, 9, 26, "Input",ExpressionUUID->"9bc72e1e-c1ca-41af-ada5-cf2fc34f7832",
 CellID->769473053],
Cell[694552, 16806, 682, 13, 37, "Output",ExpressionUUID->"58739c4f-8006-4ecc-b07b-df6119863765",
 CellID->143072221]
}, Open  ]],
Cell[695249, 16822, 1310, 21, 138, "Text",ExpressionUUID->"ba147e7f-2666-4869-84dd-562608612123",
 CellID->615800317],
Cell[696562, 16845, 843, 17, 63, "Text",ExpressionUUID->"58fd25f0-e3ad-43d2-95b9-81642e648b71",
 CellID->1760162890],
Cell[697408, 16864, 645, 12, 39, "CodeText",ExpressionUUID->"40eef032-1252-494d-9e98-e273e12872d9",
 CellID->655439438],
Cell[CellGroupData[{
Cell[698078, 16880, 413, 8, 26, "Input",ExpressionUUID->"6d04a66c-ec17-47af-beac-a75276ca2249",
 CellID->710302110],
Cell[698494, 16890, 2125, 46, 114, "Output",ExpressionUUID->"10300d7e-0b90-4003-a9c7-3534f01cd3ad",
 CellTags->"LastCellOfAPage",
 CellID->1386982376]
}, Open  ]],
Cell[700634, 16939, 754, 17, 39, "CodeText",ExpressionUUID->"47f0eae2-e749-4d5f-aa04-d9859bb106f2",
 CellTags->"p: 144",
 CellID->129877822],
Cell[CellGroupData[{
Cell[701413, 16960, 236, 6, 26, "Input",ExpressionUUID->"ad377cfe-3d2e-4483-82a3-8d2fc4948815",
 CellID->151973682],
Cell[701652, 16968, 379, 8, 37, "Output",ExpressionUUID->"68e9196a-1970-41fc-92b5-8ba2351b5da5",
 CellID->1112543303]
}, Open  ]],
Cell[702046, 16979, 1816, 42, 88, "Text",ExpressionUUID->"93f71b97-da3d-498f-9b33-11ffc1df565d",
 CellTags->"i:51",
 CellID->1055020946],
Cell[703865, 17023, 622, 13, 61, "CodeText",ExpressionUUID->"d46b16f4-7524-47d6-8e19-2597fd9668a4",
 CellID->304482978],
Cell[CellGroupData[{
Cell[704512, 17040, 338, 8, 26, "Input",ExpressionUUID->"6fddd2d0-43b3-4b46-af28-5c13ea63c4fb",
 CellID->2115005932],
Cell[704853, 17050, 6035, 117, 94, "Output",ExpressionUUID->"deeaa160-9b1e-41e9-9769-ba86a74c3c37",
 CellID->1974056039]
}, Open  ]],
Cell[710903, 17170, 1087, 25, 63, "Text",ExpressionUUID->"0d0e3795-761f-4ecf-ac03-dd2b66f4ac7c",
 CellTags->"i:52",
 CellID->370333675],
Cell[711993, 17197, 1400, 33, 39, "CodeText",ExpressionUUID->"e3fc7fc7-936b-46a6-a9a2-39363169cf59",
 CellID->1506072953],
Cell[CellGroupData[{
Cell[713418, 17234, 569, 11, 26, "Input",ExpressionUUID->"348ddd4b-5b0d-49c8-962f-92289716f573",
 CellID->2005576777],
Cell[713990, 17247, 5736, 110, 73, "Output",ExpressionUUID->"3114fd1e-6285-4813-895a-ec6e416f083c",
 CellID->815283744]
}, Open  ]],
Cell[719741, 17360, 404, 7, 63, "Text",ExpressionUUID->"068d5c61-bf05-44ff-a031-991a23526a6a",
 CellTags->"i:53",
 CellID->1937671343],
Cell[720148, 17369, 315, 5, 39, "CodeText",ExpressionUUID->"c7649769-b5af-45d8-983b-5c022380ffe5",
 CellID->898881336],
Cell[CellGroupData[{
Cell[720488, 17378, 746, 14, 26, "Input",ExpressionUUID->"9b7e5245-e7c5-473d-a4c7-ddc8d9a685a3",
 CellID->1520565754],
Cell[721237, 17394, 740, 13, 37, "Output",ExpressionUUID->"ece1293e-0f49-47b9-bb0f-4ccff1df2a95",
 CellID->140645120]
}, Open  ]],
Cell[721992, 17410, 811, 20, 63, "Text",ExpressionUUID->"2001bd6d-7807-4207-8abc-1f55be7e65dc",
 CellTags->"i:54",
 CellID->1196739546],
Cell[722806, 17432, 513, 11, 39, "CodeText",ExpressionUUID->"b8cba04a-99e8-42a9-81d0-3eec030cf33e",
 CellID->412372070],
Cell[CellGroupData[{
Cell[723344, 17447, 525, 13, 26, "Input",ExpressionUUID->"1c11c96a-6bfd-4d18-8d79-3919057ad704",
 CellID->1958022875],
Cell[723872, 17462, 2088, 45, 114, "Output",ExpressionUUID->"8dde4189-3fb9-4a3f-9064-2bb57148f765",
 CellTags->"LastCellOfAPage",
 CellID->456896713]
}, Open  ]],
Cell[725975, 17510, 304, 5, 39, "CodeText",ExpressionUUID->"205d453f-8000-40ec-a692-dfbf50f2be6d",
 CellTags->"p: 145",
 CellID->1604541439],
Cell[CellGroupData[{
Cell[726304, 17519, 555, 11, 26, "Input",ExpressionUUID->"ffe2c5b1-e3c9-4e27-b969-3e9b709de9dc",
 CellID->921500002],
Cell[726862, 17532, 483, 10, 37, "Output",ExpressionUUID->"a6a2bf79-9c46-4912-b5b3-346bf2224f9b",
 CellID->393632825]
}, Open  ]],
Cell[727360, 17545, 460, 10, 88, "Text",ExpressionUUID->"0886d535-e3cf-478f-ac69-e37ab19ea62d",
 CellTags->"i:55",
 CellID->1570418281],
Cell[727823, 17557, 1205, 33, 61, "CodeText",ExpressionUUID->"5ea8fe00-aac6-4b44-9035-7a06fe8cd069",
 CellID->1669103137],
Cell[CellGroupData[{
Cell[729053, 17594, 446, 11, 26, "Input",ExpressionUUID->"d4a29181-c31f-497a-b017-773fd1b5a2ec",
 CellID->23846940],
Cell[729502, 17607, 584, 13, 37, "Output",ExpressionUUID->"7c6787de-5c7d-4213-884b-e0d94c645d12",
 CellID->1204021346]
}, Open  ]],
Cell[730101, 17623, 412, 7, 61, "CodeText",ExpressionUUID->"4cd3a020-9b5a-4139-ab02-04eaf7096c40",
 CellID->1759360153],
Cell[CellGroupData[{
Cell[730538, 17634, 352, 8, 26, "Input",ExpressionUUID->"c1ab82cd-dbab-4001-8e82-d8c2902b696b",
 CellID->2060477096],
Cell[730893, 17644, 292, 7, 37, "Output",ExpressionUUID->"f1f6fad7-9dbf-45c4-988a-cb4144ea7811",
 CellID->158973019]
}, Open  ]],
Cell[731200, 17654, 683, 16, 39, "CodeText",ExpressionUUID->"5d49a121-0aba-4399-ac7c-d98eb5bb2e4c",
 CellID->1475445530],
Cell[CellGroupData[{
Cell[731908, 17674, 335, 8, 26, "Input",ExpressionUUID->"7ece678b-d3b2-4ab0-a83d-7e0d3498e3ca",
 CellID->1253240822],
Cell[732246, 17684, 1906, 42, 114, "Output",ExpressionUUID->"c62815f9-de71-47de-a680-81782737c458",
 CellID->519287614]
}, Open  ]],
Cell[734167, 17729, 384, 7, 39, "CodeText",ExpressionUUID->"41cf4793-0ac8-4509-a283-dcabbe4bf61f",
 CellID->931041318],
Cell[CellGroupData[{
Cell[734576, 17740, 609, 16, 46, "Input",ExpressionUUID->"aa75d915-561a-4dbc-b793-601fac59ebd1",
 CellID->1650227049],
Cell[735188, 17758, 597, 15, 37, "Output",ExpressionUUID->"d4c428bd-b099-43a9-8d43-818118297d56",
 CellID->1907738674]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[735834, 17779, 186, 2, 55, "Subsubsection",ExpressionUUID->"ac70167f-a681-4592-a2c6-34f9e38bc8cb",
 CellID->475508438],
Cell[736023, 17783, 3954, 88, 188, "Text",ExpressionUUID->"489a3863-0283-4d5d-8b56-6462e83a59ba",
 CellTags->{"LastCellOfAPage", "i:56"},
 CellID->810126788],
Cell[739980, 17873, 1808, 49, 61, "CodeText",ExpressionUUID->"e41b6f5c-0124-4bd8-93b7-634d3609c200",
 CellTags->"p: 146",
 CellID->1835780708],
Cell[CellGroupData[{
Cell[741813, 17926, 671, 18, 46, "Input",ExpressionUUID->"deb0dc40-2625-486d-abf0-d982ae5cd49b",
 CellID->434130511],
Cell[742487, 17946, 375, 10, 37, "Output",ExpressionUUID->"96b4e27d-2d8d-4689-9282-bac3b0523a2f",
 CellID->927058937]
}, Open  ]],
Cell[742877, 17959, 2076, 54, 113, "Text",ExpressionUUID->"8ac1682e-fa08-45ba-9b0b-fb333af317da",
 CellTags->"i:57",
 CellID->1528413917],
Cell[744956, 18015, 1057, 24, 61, "CodeText",ExpressionUUID->"60806a9f-9014-4328-a2f5-d3219fed7bf0",
 CellID->1818003077],
Cell[CellGroupData[{
Cell[746038, 18043, 343, 8, 26, "Input",ExpressionUUID->"766288a0-aadf-4775-9cc3-a429e40c53ec",
 CellID->2055669045],
Cell[746384, 18053, 308, 7, 37, "Output",ExpressionUUID->"086c7724-c6f5-40e4-ae91-d0a0930e4dbb",
 CellID->1687213499]
}, Open  ]],
Cell[746707, 18063, 1861, 45, 88, "Text",ExpressionUUID->"43d517f2-7243-45c3-868f-41fab9f384ef",
 CellID->1139394381],
Cell[748571, 18110, 748, 16, 39, "CodeText",ExpressionUUID->"54f58594-62ec-4b54-a728-f768b6eeb7a3",
 CellID->1712016714],
Cell[CellGroupData[{
Cell[749344, 18130, 406, 9, 26, "Input",ExpressionUUID->"a087cdf7-04a1-4830-850d-27c7f7aee051",
 CellID->1646981469],
Cell[749753, 18141, 195, 3, 37, "Output",ExpressionUUID->"94411c22-add6-4a0a-a8d0-05cd6ae2cd30",
 CellID->1124646574]
}, Open  ]],
Cell[749963, 18147, 1124, 22, 113, "Text",ExpressionUUID->"349c22e0-f190-498f-af64-bd2a589f3424",
 CellID->763647950],
Cell[751090, 18171, 460, 9, 39, "CodeText",ExpressionUUID->"47879341-0492-4b4f-8eab-ccf11e1207cf",
 CellID->1268821178],
Cell[CellGroupData[{
Cell[751575, 18184, 418, 11, 26, "Input",ExpressionUUID->"e9fb5010-8f72-4eab-834f-254e56a79709",
 CellID->564923936],
Cell[751996, 18197, 565, 11, 37, "Output",ExpressionUUID->"b4d8f1bd-83f6-427e-b6f8-99fd7af4c506",
 CellID->1938770310]
}, Open  ]],
Cell[752576, 18211, 444, 8, 38, "Text",ExpressionUUID->"08468a8c-85e5-4c45-8286-6cbe34b4428b",
 CellID->495442657],
Cell[753023, 18221, 767, 17, 39, "CodeText",ExpressionUUID->"b194c1f5-fe8c-4a92-9fcf-8ec0c572a897",
 CellID->716425790],
Cell[CellGroupData[{
Cell[753815, 18242, 387, 9, 26, "Input",ExpressionUUID->"062f1793-ab0e-4016-aa3b-4e5bb99cab23",
 CellID->1068259278],
Cell[754205, 18253, 6472, 119, 94, "Output",ExpressionUUID->"344dece1-d44c-4beb-9b3c-fdd25556c4b5",
 CellTags->"LastCellOfAPage",
 CellID->1609999522]
}, Open  ]],
Cell[760692, 18375, 864, 17, 88, "Text",ExpressionUUID->"ccbd7187-8275-4cfe-983d-318830b4b446",
 CellTags->"p: 147",
 CellID->232924583],
Cell[761559, 18394, 1434, 40, 61, "CodeText",ExpressionUUID->"2ce246b2-9035-49e6-8c64-c2d831565b90",
 CellID->1648917800],
Cell[CellGroupData[{
Cell[763018, 18438, 255, 5, 26, "Input",ExpressionUUID->"c371a0c2-e6d1-4385-889c-f587a3b7e010",
 CellID->1676278063],
Cell[763276, 18445, 413, 8, 28, "Message",ExpressionUUID->"46752284-7a7f-466c-a67f-eb555df8f715",
 CellID->1355282729],
Cell[763692, 18455, 253, 5, 37, "Output",ExpressionUUID->"aec55c48-e3ff-43da-98ec-50888b92de55",
 CellID->1191122177]
}, Open  ]],
Cell[763960, 18463, 376, 6, 63, "Text",ExpressionUUID->"904d2511-9d2e-4651-a16f-eff86a017eef",
 CellID->943718531],
Cell[764339, 18471, 1625, 44, 61, "CodeText",ExpressionUUID->"5101a82c-eee0-4ddf-a576-2cd115305f74",
 CellID->1032908172],
Cell[CellGroupData[{
Cell[765989, 18519, 594, 16, 46, "Input",ExpressionUUID->"229916b8-c73b-4319-9305-36008b508e54",
 CellID->1214552320],
Cell[766586, 18537, 4856, 98, 73, "Output",ExpressionUUID->"99633a2b-8be2-4c88-9a42-e96e906326b8",
 CellID->699509289]
}, Open  ]],
Cell[771457, 18638, 2373, 68, 61, "CodeText",ExpressionUUID->"63ebfa11-8f03-4a86-8608-6e9f7596e38a",
 CellID->1013855018],
Cell[CellGroupData[{
Cell[773855, 18710, 585, 16, 26, "Input",ExpressionUUID->"c5659312-b892-4583-8c22-92061ea42d94",
 CellID->1253380657],
Cell[774443, 18728, 477, 14, 66, "Output",ExpressionUUID->"b1aa6230-e457-41c8-96f3-b66d77433bf8",
 CellID->1488772270]
}, Open  ]],
Cell[774935, 18745, 1123, 19, 63, "Text",ExpressionUUID->"7df526bf-bcea-4680-886d-f2bbac2af6dd",
 CellID->1536659329],
Cell[776061, 18766, 521, 11, 61, "CodeText",ExpressionUUID->"df9845b3-1b9b-494d-ad56-00d09688ad43",
 CellID->1526657576],
Cell[CellGroupData[{
Cell[776607, 18781, 277, 6, 26, "Input",ExpressionUUID->"54bdd506-4485-44f7-909c-e24a5c34db08",
 CellID->493174899],
Cell[776887, 18789, 247, 5, 41, "Output",ExpressionUUID->"7612c39d-d576-4c84-b61c-1d4c5cf6ce96",
 CellID->1607135960]
}, Open  ]],
Cell[777149, 18797, 621, 13, 63, "Text",ExpressionUUID->"2b699dec-94be-4460-a51b-e1848eef9c8d",
 CellID->992218579],
Cell[777773, 18812, 1879, 48, 61, "CodeText",ExpressionUUID->"9cc8ae53-127a-47a1-8b7d-69c4dfbed699",
 CellID->1183439536],
Cell[CellGroupData[{
Cell[779677, 18864, 448, 12, 26, "Input",ExpressionUUID->"29a1d23f-9c26-4e39-93b6-c2626efa6d41",
 CellID->309002113],
Cell[780128, 18878, 361, 8, 37, "Output",ExpressionUUID->"597c5c2e-91fb-46c5-9671-9c324572eebf",
 CellTags->"LastCellOfAPage",
 CellID->1861919932]
}, Open  ]],
Cell[780504, 18889, 251, 4, 39, "CodeText",ExpressionUUID->"bf3484ec-a823-47c8-9593-2f5ecbfb7a5b",
 CellTags->"p: 148",
 CellID->1775229690],
Cell[CellGroupData[{
Cell[780780, 18897, 256, 5, 26, "Input",ExpressionUUID->"515842f6-f376-4925-868e-770e2fd3328b",
 CellID->91775657],
Cell[781039, 18904, 269, 6, 37, "Output",ExpressionUUID->"d3e27929-8c9f-4890-a2c4-dc2a86af023f",
 CellID->258158366]
}, Open  ]],
Cell[781323, 18913, 880, 20, 61, "CodeText",ExpressionUUID->"53699379-b54a-46f3-a932-c25a8b7fccb9",
 CellID->802410164],
Cell[CellGroupData[{
Cell[782228, 18937, 760, 22, 46, "Input",ExpressionUUID->"209bdac4-b803-4f88-b945-7e1e129fcdc2",
 CellID->1400889455],
Cell[782991, 18961, 592, 15, 37, "Output",ExpressionUUID->"ed07e5a8-7553-4532-a02e-9d24e25dec86",
 CellID->684560473]
}, Open  ]],
Cell[783598, 18979, 917, 19, 63, "Text",ExpressionUUID->"2f98fa1b-e2d3-4111-a5d6-7bcb3b8dc057",
 CellID->22702349],
Cell[784518, 19000, 947, 23, 39, "CodeText",ExpressionUUID->"282b4075-ea0f-4107-bfee-54d36167580d",
 CellID->1453774124],
Cell[CellGroupData[{
Cell[785490, 19027, 369, 10, 26, "Input",ExpressionUUID->"0b536cd2-1f4c-46a6-a00a-9cd51d8ff81e",
 CellID->1660250149],
Cell[785862, 19039, 598, 13, 37, "Output",ExpressionUUID->"2daba571-4188-4caa-b5e8-6e9beaf2cf7c",
 CellID->1638850737]
}, Open  ]],
Cell[786475, 19055, 3184, 76, 88, "Text",ExpressionUUID->"c01f1f00-40b6-4308-a07f-a6f0e5b32ec4",
 CellID->295848866],
Cell[789662, 19133, 750, 20, 39, "CodeText",ExpressionUUID->"e06aa616-2de7-40ba-bec1-6df6eaefcd61",
 CellID->1765373122],
Cell[CellGroupData[{
Cell[790437, 19157, 604, 14, 26, "Input",ExpressionUUID->"051c9e75-eb7c-4636-b4e6-6ff5b880ab75",
 CellID->1282544296],
Cell[791044, 19173, 4903, 99, 73, "Output",ExpressionUUID->"f97cea22-6467-4b55-8158-a88eef0a7f71",
 CellID->344569468]
}, Open  ]],
Cell[795962, 19275, 708, 17, 39, "CodeText",ExpressionUUID->"58ebed7f-d121-4cec-a37b-5117af29eadd",
 CellID->496218277],
Cell[CellGroupData[{
Cell[796695, 19296, 544, 13, 26, "Input",ExpressionUUID->"2f1c5cf7-102d-45e1-a5fa-37ed05467002",
 CellID->842990727],
Cell[797242, 19311, 434, 10, 37, "Output",ExpressionUUID->"46d186d6-4e3a-447b-88e7-4ae74394ff00",
 CellID->1904197783]
}, Open  ]],
Cell[797691, 19324, 965, 24, 39, "CodeText",ExpressionUUID->"bc817d46-dcf4-4a38-9264-e5aceed35e5d",
 CellID->1074547708],
Cell[CellGroupData[{
Cell[798681, 19352, 587, 15, 46, "Input",ExpressionUUID->"bb24486d-d8c8-459f-89d3-1ead0a13d704",
 CellID->9703674],
Cell[799271, 19369, 4884, 98, 73, "Output",ExpressionUUID->"ab8c7e00-59b8-4df9-97c5-c7d9b3162468",
 CellID->744710746]
}, Open  ]],
Cell[804170, 19470, 731, 17, 39, "CodeText",ExpressionUUID->"d23312d2-2ca2-422e-b3fe-f80084f3aef3",
 CellID->957130223],
Cell[CellGroupData[{
Cell[804926, 19491, 508, 14, 26, "Input",ExpressionUUID->"019c6517-1b31-487d-a770-cece0d069baf",
 CellID->1430321483],
Cell[805437, 19507, 784, 21, 37, "Output",ExpressionUUID->"bca9d59a-48fb-48bb-9833-7d6ed5aa7824",
 CellTags->"LastCellOfAPage",
 CellID->372445717]
}, Open  ]],
Cell[CellGroupData[{
Cell[806258, 19533, 206, 5, 65, "ExerciseSection",ExpressionUUID->"03fc55c1-dda0-4639-a303-527d406b99d9",
 CellTags->"p: 149",
 CellID->814524763],
Cell[806467, 19540, 787, 16, 49, "ExerciseNote",ExpressionUUID->"9be54160-3a06-40b2-a603-ce390ba50e77",
 CellID->1974903841],
Cell[807257, 19558, 331, 9, 26, "Exercise",ExpressionUUID->"59849fb7-1e03-46c6-af68-836962a3e94c",
 CounterAssignments->{{$CellContext`Exercise, 0}},
 CellTags->"Exercise",
 CellID->1153217924],
Cell[807591, 19569, 353, 5, 26, "Exercise",ExpressionUUID->"26855d5b-98a5-4ea3-96f2-bfc92a7c1ae5",
 CellTags->"Exercise",
 CellID->1093734493],
Cell[807947, 19576, 1324, 28, 46, "Exercise",ExpressionUUID->"5c307215-28a9-494d-a496-063bb8182c6d",
 CellTags->"Exercise",
 CellID->2083089178],
Cell[809274, 19606, 376, 7, 45, "Exercise",ExpressionUUID->"69db0bf4-a6a8-43c4-8376-e7bcc00e1ec0",
 CellTags->"Exercise",
 CellID->53917605],
Cell[809653, 19615, 2340, 46, 738, "Exercise",ExpressionUUID->"6173e071-015e-4408-b29f-233c2dc33e62",
 CellTags->"Exercise",
 CellID->2102571848],
Cell[811996, 19663, 559, 12, 228, "Exercise",ExpressionUUID->"a8a61aa3-5939-4bbc-92c2-9b18b84a92c2",
 CellTags->"Exercise",
 CellID->1081637951],
Cell[812558, 19677, 554, 11, 177, "Exercise",ExpressionUUID->"3754478e-cbe3-4d5a-9dba-c3a3f6dd0217",
 CellTags->"Exercise",
 CellID->2121718470],
Cell[813115, 19690, 2052, 46, 755, "Exercise",ExpressionUUID->"e0a1c317-9da1-41a7-bf0c-43560aa8c44b",
 CellTags->"Exercise",
 CellID->639970602]
}, Open  ]],
Cell[CellGroupData[{
Cell[815204, 19741, 111, 1, 70, "TechNoteSection",ExpressionUUID->"2c7f19e6-c555-452e-adf7-ee0a33104ab6",
 CellID->21466922],
Cell[815318, 19744, 2583, 51, 148, "TechNote",ExpressionUUID->"ef0fd5de-3c94-40a9-a00c-e02b4bf14ccb",
 CellID->1586229564],
Cell[817904, 19797, 4842, 135, 1945, "TechNote",ExpressionUUID->"d6c4b222-d3e1-46dc-9b6a-cc156f9ea011",
 CellTags->"i:58",
 CellID->615605435],
Cell[822749, 19934, 462, 9, 143, "TechNote",ExpressionUUID->"b09f313e-135d-4667-be0d-0279dfee45e4",
 CellTags->{"LastCellOfAPage", "i:59"},
 CellID->1947269190],
Cell[823214, 19945, 2076, 43, 636, "TechNote",ExpressionUUID->"fcff3806-2b50-47f9-80ce-5952a7fb326a",
 CellTags->"p: 150",
 CellID->99834867],
Cell[825293, 19990, 858, 18, 279, "TechNote",ExpressionUUID->"420af2c0-b1ee-4217-b46c-a45dc27891c8",
 CellTags->"i:60",
 CellID->709262739],
Cell[CellGroupData[{
Cell[826176, 20012, 405, 10, 26, "Input",ExpressionUUID->"c69466c2-b207-47bb-af34-208ffcfaea97",
 CellID->2044613523],
Cell[826584, 20024, 626, 11, 37, "Output",ExpressionUUID->"a21eecfc-2c14-4749-9f06-06b7da318e2d",
 CellID->2134480986]
}, Open  ]],
Cell[827225, 20038, 2311, 47, 101, "TechNote",ExpressionUUID->"19df286f-9729-404f-af20-68c82ef88d77",
 CellID->426243546],
Cell[CellGroupData[{
Cell[829561, 20089, 752, 19, 46, "Input",ExpressionUUID->"c36f32c1-93b0-486b-ae74-e26e020b563c",
 CellID->2017314877],
Cell[830316, 20110, 851, 19, 37, "Output",ExpressionUUID->"ab67b6aa-27cd-4222-8d7e-298bf4f1e810",
 CellID->312893107]
}, Open  ]],
Cell[831182, 20132, 1158, 25, 77, "TechNote",ExpressionUUID->"59f300ff-4ae4-4f5e-b1c5-bfe0bb563113",
 CellTags->"i:61",
 CellID->113707605],
Cell[CellGroupData[{
Cell[832365, 20161, 593, 17, 46, "Input",ExpressionUUID->"23f34511-93e9-4b77-ac9a-f16f717970fa",
 CellID->1113464633],
Cell[832961, 20180, 682, 18, 37, "Output",ExpressionUUID->"a309516a-1c77-421f-a184-ce2ec91553d5",
 CellID->1991447499]
}, Open  ]],
Cell[833658, 20201, 999, 26, 54, "TechNote",ExpressionUUID->"09aeb13f-b939-44ae-a930-6bc949c98c46",
 CellTags->"i:62",
 CellID->1733309284],
Cell[CellGroupData[{
Cell[834682, 20231, 8241, 201, 31, "Input",ExpressionUUID->"a7edb1ee-0094-4689-b351-69dbb23b3105",
 CellID->2004055980],
Cell[842926, 20434, 898, 17, 37, "Output",ExpressionUUID->"c85bb654-a18c-4478-9652-4e4be7927462",
 CellID->249941564]
}, Open  ]],
Cell[843839, 20454, 1906, 43, 54, "TechNote",ExpressionUUID->"e4381fad-f8e1-4983-ac11-3bc8550a0ab2",
 CellTags->"i:63",
 CellID->2008157589],
Cell[CellGroupData[{
Cell[845770, 20501, 8818, 209, 31, "Input",ExpressionUUID->"38349c20-23c4-48d6-b436-039107c7818b",
 CellID->814721065],
Cell[854591, 20712, 2457, 54, 114, "Output",ExpressionUUID->"b32cffaf-9437-4120-a4f9-c3b5b05f2707",
 CellID->2139216947]
}, Open  ]],
Cell[857063, 20769, 3335, 77, 79, "TechNote",ExpressionUUID->"a8dfa03b-a9f6-4381-9dff-1a3a6c393a27",
 CellTags->"LastCellOfAPage",
 CellID->1070089599],
Cell[860401, 20848, 803, 15, 54, "TechNote",ExpressionUUID->"5d4928f7-88aa-4178-9ea4-dadfe4f64781",
 CellTags->"p: 151",
 CellID->1628225788],
Cell[861207, 20865, 2054, 42, 124, "TechNote",ExpressionUUID->"a857a114-b6bb-4dd1-a0f6-f54a8883e328",
 CellTags->"i:64",
 CellID->590312565],
Cell[CellGroupData[{
Cell[863286, 20911, 609, 18, 27, "Input",ExpressionUUID->"0041d12b-87df-45fc-80e1-5ad11720155c",
 CellID->242385990],
Cell[863898, 20931, 1897, 63, 76, "Output",ExpressionUUID->"f502557b-4e93-48e8-97f4-db5338c0f6ce",
 CellID->811522514]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[865844, 21000, 184, 2, 70, "MoreExploreSection",ExpressionUUID->"9c760dde-e939-4cc2-9678-affe50b4c736",
 CellID->11208885],
Cell[866031, 21004, 898, 20, 25, "Reference",ExpressionUUID->"f927b576-fde0-4062-be0d-74270f893dc3",
 CellTags->"LastCellOfAPage",
 CellID->1724086279]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)

(* NotebookSignature xLNS4zEubinlDLkUgTRqHSQ5 *)
