(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 13.3' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[   3647846,      72006]
NotebookOptionsPosition[   3377968,      66582]
NotebookOutlinePosition[   3588722,      70794]
CellTagsIndexPosition[   3585838,      70688]
WindowTitle->5 | The Dataset
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
 
 CounterBox["Section"],
 StyleBox[" | ", "SectionBar"],
 "The Dataset"
}], "Section",
 CellChangeTimes->{
  3.652728456208679*^9, 3.652728527108994*^9, {3.857058804999075*^9, 
   3.857058805747381*^9}},
 CounterAssignments->{{"Section", 4}},
 CellTags->"p: 153",
 CellID->2145722108,ExpressionUUID->"68375116-98ad-4009-879b-511f03f5ae23"],

Cell[TextData[{
 "This chapter uses a data resource from the ",
 ButtonBox["Wolfram Data Repository",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://datarepository.wolframcloud.com/"], None},
  ButtonNote->"https://datarepository.wolframcloud.com/"],
 " (",
 ButtonBox["wolfr.am/WDR",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://wolfr.am/wdr"], None},
  ButtonNote->"https://wolfr.am/wdr"],
 "). To access the data, evaluate the following code."
}], "Text",
 CellChangeTimes->{{3.7788541127442904`*^9, 3.778854133414246*^9}, {
  3.8572256490833893`*^9, 3.857225653440201*^9}, {3.858239527815037*^9, 
  3.858239532155394*^9}, {3.858424346644807*^9, 3.858424359458304*^9}, {
  3.881405116028925*^9, 3.881405126665286*^9}, {3.882456298753354*^9, 
  3.88245631151073*^9}, {3.882456386237452*^9, 3.882456411907556*^9}, {
  3.882456487016274*^9, 3.882456505810841*^9}, {3.882459233780246*^9, 
  3.88245923595151*^9}, {3.888936022429587*^9, 3.888936038015053*^9}, {
  3.898084551144292*^9, 3.898084556940083*^9}},
 CellID->511361037,ExpressionUUID->"b0eb9264-498a-422f-b602-a404df88ac08"],

Cell[TextData[{
 "Acquire the ",
 ButtonBox["ResourceObject",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ResourceObject.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/ResourceObject.html"],
 " from the Wolfram Data Repository: "
}], "CodeCaption",
 CellChangeTimes->{{3.77549691973217*^9, 3.775496924283777*^9}, {
  3.888932934911173*^9, 3.888932972321426*^9}, {3.8889358606099052`*^9, 
  3.888935860612075*^9}},
 CellID->336964028,ExpressionUUID->"5f3b65f1-d6c5-432a-8c04-aaa04e8d79f5"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ro", "=", 
  RowBox[{
  "ResourceObject", "[", "\"\<Sample Data for Query Book\>\"", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.888932859088291*^9, 3.8889328965549097`*^9}},
 CellLabel->"In[3]:=",
 CellID->443800812,ExpressionUUID->"927918db-2d77-4291-ab3c-effdbac5f0e9"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   TagBox["ResourceObject",
    "SummaryHead"], "[", 
   DynamicModuleBox[{Typeset`open$$ = False, Typeset`embedState$$ = "Ready"}, 
    
    TemplateBox[{
      PaneSelectorBox[{False -> GridBox[{{
            PaneBox[
             ButtonBox[
              DynamicBox[
               FEPrivate`FrontEndResource["FEBitmaps", "SummaryBoxOpener"], 
               ImageSizeCache -> {12., {0., 12.}}], Appearance -> None, 
              BaseStyle -> {}, ButtonFunction :> (Typeset`open$$ = True), 
              Evaluator -> Automatic, Method -> "Preemptive"], 
             Alignment -> {Center, Center}, ImageSize -> 
             Dynamic[{
               Automatic, 
                3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                 Magnification])}]], 
            StyleBox[
             GraphicsBox[
              RasterBox[CompressedData["
1:eJztnMeOHUUUhi1gwZJX4C3YskFia8QD2MJYbIxkIyFehp1ztsc55+xxzjnn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               "], {{0, 0}, {180., 180.}}, {0, 255}, ColorFunction -> 
               RGBColor], AspectRatio -> 1, Axes -> False, Background -> None,
               Frame -> None, FrameTicks -> None, ImageSize -> 
              Dynamic[{
                Automatic, 
                 3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                  Magnification])}], PlotRange -> {{0, 180.}, {0, 180.}}], 
             StripOnInput -> False, CacheGraphics -> False], 
            GridBox[{{
               RowBox[{
                 TagBox["\"Name: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                  TemplateBox[{"\"Sample Data for Query Book\"", "\" \"", 
                    
                    TemplateBox[{
                    "\"\[RightGuillemet]\"", 
                    "https://datarepository.wolframcloud.com/resources/\
bd67dc14-bd67-4f1a-acaa-ddb12a7a79e7/"}, "HyperlinkURL"]}, "RowDefault"], 
                  "SummaryItem"]}], 
               TagBox["\"\"", "SummaryItem"]}, {
               RowBox[{
                 TagBox["\"Type: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["\"DataResource\"", "SummaryItem"]}], 
               "\[SpanFromLeft]"}, {
               TagBox[
                DynamicModuleBox[{ResourceSystemClient`Private`len$$ = 1}, 
                 RowBox[{
                   TagBox["\"Description: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox[
                    ButtonBox[
                    DynamicBox[
                    ToBoxes[
                    Replace[
                    ResourceSystemClient`Private`snipDots[
                    "Data to support the Wolfram Media book Query: Getting \
Information from Data with the Wolfram Language", 
                    ResourceSystemClient`Private`len$$], Except[
                    Blank[String]] -> 
                    Snippet[
                    "Data to support the Wolfram Media book Query: Getting \
Information from Data with the Wolfram Language", 
                    ResourceSystemClient`Private`len$$], {0}], StandardForm], 
                    ImageSizeCache -> {466., {2.2265625, 8.94140625}}], 
                    Appearance -> None, BaseStyle -> {}, 
                    ButtonFunction :> (ResourceSystemClient`Private`len$$ = 
                    Ceiling[ResourceSystemClient`Private`len$$ 1.5]), 
                    Evaluator -> Automatic, Method -> "Preemptive"], 
                    "SummaryItem"]}], DynamicModuleValues :> {}], 
                "SummaryItem"], "\[SpanFromLeft]"}}, AutoDelete -> False, 
             BaseStyle -> {
              ShowStringCharacters -> False, NumberMarks -> False, 
               PrintPrecision -> 3, ShowSyntaxStyles -> False}, 
             GridBoxAlignment -> {
              "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {
              "Columns" -> {{2}}, "Rows" -> {{Automatic}}}]}}, AutoDelete -> 
          False, BaselinePosition -> {1, 1}, 
          GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], True -> 
        GridBox[{{
            PaneBox[
             ButtonBox[
              DynamicBox[
               FEPrivate`FrontEndResource["FEBitmaps", "SummaryBoxCloser"]], 
              Appearance -> None, BaseStyle -> {}, 
              ButtonFunction :> (Typeset`open$$ = False), Evaluator -> 
              Automatic, Method -> "Preemptive"], 
             Alignment -> {Center, Center}, ImageSize -> 
             Dynamic[{
               Automatic, 
                3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                 Magnification])}]], 
            StyleBox[
             GraphicsBox[
              RasterBox[CompressedData["
1:eJztnMeOHUUUhi1gwZJX4C3YskFia8QD2MJYbIxkIyFehp1ztsc55+xxzjnn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               "], {{0, 0}, {180., 180.}}, {0, 255}, ColorFunction -> 
               RGBColor], AspectRatio -> 1, Axes -> False, Background -> None,
               Frame -> None, FrameTicks -> None, ImageSize -> 
              Dynamic[{
                Automatic, 
                 3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                  Magnification])}], PlotRange -> {{0, 180.}, {0, 180.}}], 
             StripOnInput -> False, CacheGraphics -> False], 
            GridBox[{{
               RowBox[{
                 TagBox["\"Name: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                  TemplateBox[{"\"Sample Data for Query Book\"", "\" \"", 
                    
                    TemplateBox[{
                    "\"\[RightGuillemet]\"", 
                    "https://datarepository.wolframcloud.com/resources/\
bd67dc14-bd67-4f1a-acaa-ddb12a7a79e7/"}, "HyperlinkURL"]}, "RowDefault"], 
                  "SummaryItem"]}], 
               TagBox["\"\"", "SummaryItem"]}, {
               RowBox[{
                 TagBox["\"Type: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["\"DataResource\"", "SummaryItem"]}], 
               "\[SpanFromLeft]"}, {
               TagBox[
                DynamicModuleBox[{ResourceSystemClient`Private`len$$ = 1}, 
                 RowBox[{
                   TagBox["\"Description: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox[
                    ButtonBox[
                    DynamicBox[
                    ToBoxes[
                    Replace[
                    ResourceSystemClient`Private`snipDots[
                    "Data to support the Wolfram Media book Query: Getting \
Information from Data with the Wolfram Language", 
                    ResourceSystemClient`Private`len$$], Except[
                    Blank[String]] -> 
                    Snippet[
                    "Data to support the Wolfram Media book Query: Getting \
Information from Data with the Wolfram Language", 
                    ResourceSystemClient`Private`len$$], {0}], StandardForm]],
                     Appearance -> None, BaseStyle -> {}, 
                    ButtonFunction :> (ResourceSystemClient`Private`len$$ = 
                    Ceiling[ResourceSystemClient`Private`len$$ 1.5]), 
                    Evaluator -> Automatic, Method -> "Preemptive"], 
                    "SummaryItem"]}], DynamicModuleValues :> {}], 
                "SummaryItem"], "\[SpanFromLeft]"}, {
               RowBox[{
                 TagBox["\"Categories: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                  TagBox[
                   
                   TemplateBox[{
                    ",", "\",\"", "\"Astronomy\"", "\"History\"", 
                    "\"Human Activities\""}, "RowWithSeparators"], Short], 
                  "SummaryItem"]}], ""}, {
               RowBox[{
                 TagBox["\"ContentTypes: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                  TagBox[
                   
                   TemplateBox[{
                    ",", "\",\"", "\"Text\"", "\"Numerical Data\""}, 
                    "RowWithSeparators"], Short], "SummaryItem"]}], ""}, {
               RowBox[{
                 TagBox["\"Keywords: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                  TagBox[
                   
                   TemplateBox[{",", "\",\"", "\"Dataset\"", "\"Query\""}, 
                    "RowWithSeparators"], Short], "SummaryItem"]}], ""}, {
               RowBox[{
                 TagBox["\"Documentation: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                  
                  TemplateBox[{
                   "\"https://datarepository.wolframcloud.com/resources/\
bd67dc14-bd67-4f1a-acaa-ddb12a7a79e7/\"", 
                    "https://datarepository.wolframcloud.com/resources/\
bd67dc14-bd67-4f1a-acaa-ddb12a7a79e7/"}, "HyperlinkURL"], "SummaryItem"]}], 
               ""}, {
               RowBox[{
                 TagBox["\"Data Location: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                  
                  DynamicModuleBox[{
                   ResourceSystemClient`Private`typesetstorage$$ = 
                    ResourceSystemClient`Private`typesetstorageLocation, 
                    ResourceSystemClient`Private`info$$}, 
                   DynamicBox[
                    ToBoxes[
                    ResourceSystemClient`Private`info$$ = 
                    ResourceSystemClient`Private`resourceInfo[
                    "bd67dc14-bd67-4f1a-acaa-ddb12a7a79e7"]; If[
                    AssociationQ[ResourceSystemClient`Private`info$$], 
                    ResourceSystemClient`Private`typesetstorage$$[
                    Lookup[
                    ResourceSystemClient`Private`info$$, 
                    "ContentElementLocations", None]], 
                    Missing["NotAvailable"]], StandardForm]], 
                   DynamicModuleValues :> {}], "SummaryItem"]}], ""}, {
               RowBox[{
                 TagBox["\"UUID: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                 "\"bd67dc14-bd67-4f1a-acaa-ddb12a7a79e7\"", "SummaryItem"]}],
                ""}, {
               RowBox[{
                 TagBox["\"Version: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["\"1.0.1\"", "SummaryItem"]}], ""}, {
               RowBox[{
                 TagBox["\"Size: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                  
                  TemplateBox[{
                   "918.7280000000001`", "\"kB\"", "kilobytes", 
                    "\"Kilobytes\""}, "Quantity"], "SummaryItem"]}], ""}, {
               RowBox[{
                 TagBox["\"Elements: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                  TagBox[
                   RowBox[{"\"aAssociation\"", ",", "\"Content\"", ",", 
                    RowBox[{"\[LeftSkeleton]", "20", "\[RightSkeleton]"}], 
                    ",", "\"Titanic List of Associations\"", ",", 
                    "\"Titanic List of Associations Dataset\""}], 
                   Short[#, 2]& ], "SummaryItem"]}], ""}}, AutoDelete -> 
             False, BaseStyle -> {
              ShowStringCharacters -> False, NumberMarks -> False, 
               PrintPrecision -> 3, ShowSyntaxStyles -> False}, 
             GridBoxAlignment -> {
              "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {
              "Columns" -> {{2}}, "Rows" -> {{Automatic}}}]}}, AutoDelete -> 
          False, BaselinePosition -> {1, 1}, 
          GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, 
       Dynamic[Typeset`open$$], ImageSize -> Automatic]},
     "SummaryPanel"],
    DynamicModuleValues:>{}], "]"}],
  ResourceObject[<|
   "Name" -> "Sample Data for Query Book", "UUID" -> 
    "bd67dc14-bd67-4f1a-acaa-ddb12a7a79e7", "ResourceType" -> "DataResource", 
    "Version" -> "1.0.1", "Description" -> 
    "Data to support the Wolfram Media book Query: Getting Information from \
Data with the Wolfram Language", "RepositoryLocation" -> 
    URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
    "ContentSize" -> Quantity[918.7280000000001, "Kilobytes"], 
    "ContentElements" -> {
     "aAssociation", "Content", "Dinghy Association of Associations", 
      "Dinghy Association of Associations Dataset", 
      "Dinghy List of Associations", "Dinghy List of Associations Dataset", 
      "Eastern Cities List", "IDWeight List of Associations", 
      "Lifeboat List of Associations", 
      "Lifeboat List of Associations Dataset", "Mars Association", 
      "MLS List of Associations", "MLS List of Associations Dataset", 
      "MLS List of Lists", "MLS List of Lists Dataset", 
      "Planets Deeply Nested Structure", 
      "Planets Deeply Nested Structure Dataset", "Pops List", 
      "Titanic Cabins 2 List of Associations", 
      "Titanic Cabins 2 List of Associations Dataset", 
      "Titanic Cabins List of Associations", 
      "Titanic Cabins List of Associations Dataset", 
      "Titanic List of Associations", 
      "Titanic List of Associations Dataset"}|>, {
   ResourceSystemBase -> 
    "https://www.wolframcloud.com/obj/resourcesystem/api/1.0"}],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{
  3.888932908054226*^9, 3.888933667462413*^9, 3.89946053551606*^9, 
   3.899480149933816*^9, {3.899544850701754*^9, 3.8995448729630527`*^9}},
 CellLabel->"Out[3]=",
 CellID->1590202819,ExpressionUUID->"7acb7769-2c39-4af8-866c-29c731f47643"]
}, Open  ]],

Cell[TextData[{
 "I am also going to ask you to run a piece of code that you may well not \
understand now but that will be explained at the end of the chapter. It \
alters the default number of rows displayed in a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " and thus improves pagination of the print version of this book."
}], "Text",
 CellChangeTimes->{{3.865602989565024*^9, 3.865603055597372*^9}, {
   3.866624145980439*^9, 3.8666241639704857`*^9}, 3.8678391090108147`*^9, 
   3.870170744684953*^9, {3.8733833327144165`*^9, 3.8733833345700626`*^9}},
 CellTags->"i:1",
 CellID->709509534,ExpressionUUID->"8f891e6c-5f71-4931-9c1d-b764174c2e60"],

Cell[TextData[{
 "Use ",
 ButtonBox["SetOptions",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/SetOptions.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/SetOptions.html"],
 " to change the default number of rows displayed in a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " from 20 to 8:"
}], "CodeText",
 CellChangeTimes->{{3.8656030945662537`*^9, 3.865603113612364*^9}, {
   3.867839123432249*^9, 3.867839131717677*^9}, {3.880548534410832*^9, 
   3.8805485349478893`*^9}, 3.8811660748568707`*^9},
 CellTags->"i:2",
 CellID->341884811,ExpressionUUID->"8bf04bb2-fb98-486a-92e3-2fd72a690049"],

Cell[BoxData[
 RowBox[{
  RowBox[{"SetOptions", "[", 
   RowBox[{"Dataset", ",", 
    RowBox[{"MaxItems", "\[Rule]", "8"}]}], "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.865603058322551*^9, 3.8656030834204903`*^9}, {
  3.880548530764463*^9, 3.880548531731751*^9}},
 CellLabel->"In[530]:=",
 CellID->1651936849,ExpressionUUID->"05203257-7513-4f6c-8a03-315a3012d54c"],

Cell[CellGroupData[{

Cell["Introduction ", "Subsection",
 CellChangeTimes->{{3.7102716347714834`*^9, 3.7102716401754217`*^9}, 
   3.740408308145138*^9, {3.742128562577938*^9, 3.7421285653445*^9}},
 CellID->76801468,ExpressionUUID->"952381f3-8260-4eff-8d8d-826cd2c13cd8"],

Cell[TextData[{
 "So far, I have shown how Wolfram Language data structures such as Lists, \
Associations, and Lists of Associations can combine with ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " to produce information. This all works just fine. But there are at least \
three reasons to wrap these structures in something called ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ". It\[CloseCurlyQuote]s incredibly easy to do. Here, I show the lifeboat as \
a ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of Associations and then as a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ". "
}], "Text",
 CellChangeTimes->{{3.739895069538378*^9, 3.7398952231968203`*^9}, 
   3.740406598072743*^9, {3.741691732546948*^9, 3.741691761122869*^9}, {
   3.7416917972648478`*^9, 3.741691841493945*^9}, {3.741693083549211*^9, 
   3.741693121872527*^9}, 3.741693203382238*^9, {3.7697745832509327`*^9, 
   3.769774659638296*^9}, {3.769774694784371*^9, 3.769774724022599*^9}, {
   3.769775564294673*^9, 3.7697756155832777`*^9}, {3.769786717788451*^9, 
   3.769786724451334*^9}, {3.769791152605445*^9, 3.769791159636389*^9}, {
   3.769791191518952*^9, 3.7697912105090733`*^9}, 3.769791307879154*^9, {
   3.76985229264124*^9, 3.769852302575549*^9}, {3.769976309189596*^9, 
   3.7699763175584717`*^9}, {3.771920786754404*^9, 3.771920789813477*^9}, 
   3.7870772036886587`*^9, {3.7879411690343976`*^9, 3.7879411781070585`*^9}, 
   3.7879412179082584`*^9, {3.7879422303178906`*^9, 3.7879422344080887`*^9}, {
   3.7924194173376226`*^9, 3.792419494262189*^9}, 3.866624204407978*^9, {
   3.867839238299601*^9, 3.8678392424355307`*^9}, 3.867839273062118*^9},
 CellTags->"i:3",
 CellID->164600829,ExpressionUUID->"2f736823-8ccd-45da-9cf3-4a7f9745ab8b"],

Cell[TextData[{
 "Retrieve the lifeboat data from the repository. Shorten the presentation of \
each item using the ",
 ButtonBox["Terse",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
Terse"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/Terse"],
 " ",
 ButtonBox["ResourceFunction",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ResourceFunction.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/ResourceFunction.html"],
 ":"
}], "CodeCaption",
 CellChangeTimes->{{3.769947206580139*^9, 3.769947214090036*^9}, 
   3.787320652870962*^9, {3.866624206383953*^9, 3.866624213155531*^9}, {
   3.867839322426587*^9, 3.867839328263454*^9}, 3.867839700514338*^9, {
   3.869922117875285*^9, 3.8699221334789047`*^9}},
 CellTags->"i:4",
 CellID->2051942816,ExpressionUUID->"7ad81c17-8147-4701-8f53-59d0e9a2df3d"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"lifeboat", "=", 
    RowBox[{"ResourceData", "[", 
     RowBox[{"ro", ",", "\"\<Lifeboat List of Associations\>\""}], "]"}]}], 
   ")"}], "//", 
  RowBox[{
   InterpretationBox[
    TagBox[
     DynamicModuleBox[{Typeset`open = False}, 
      FrameBox[
       PaneSelectorBox[{False->GridBox[{
          {
           PaneBox[GridBox[{
              {
               StyleBox[
                StyleBox[
                 AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                  BoxBaselineShift->-0.25,
                  BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                 
                 FontColor->RGBColor[
                  0.8745098039215686, 0.2784313725490196, 
                   0.03137254901960784]],
                ShowStringCharacters->False,
                FontFamily->"Source Sans Pro Black",
                FontSize->0.6538461538461539 Inherited,
                FontWeight->"Heavy",
                PrivateFontOptions->{"OperatorSubstitution"->False}], 
               StyleBox[
                RowBox[{
                 StyleBox["Terse", "ResourceFunctionLabel"], " "}],
                ShowAutoStyles->False,
                ShowStringCharacters->False,
                FontSize->Rational[12, 13] Inherited,
                FontColor->GrayLevel[0.1]]}
             },
             GridBoxSpacings->{"Columns" -> {{0.25}}}],
            Alignment->Left,
            BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
            BaselinePosition->Baseline,
            FrameMargins->{{3, 0}, {0, 0}}], 
           ItemBox[
            PaneBox[
             TogglerBox[Dynamic[Typeset`open], {True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeCloser"],
               ImageSizeCache->{11., {2., 9.}}], False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeOpener"],
               ImageSizeCache->{11., {2., 9.}}]},
              Appearance->None,
              BaselinePosition->Baseline,
              ContentPadding->False,
              FrameMargins->0],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{1, 1}, {0, 0}}],
            Frame->{{
               RGBColor[
               0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                0.5], False}, {False, False}}]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
         GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
        GridBox[{
          {GridBox[{
             {
              PaneBox[GridBox[{
                 {
                  StyleBox[
                   StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                   ShowStringCharacters->False,
                   FontFamily->"Source Sans Pro Black",
                   FontSize->0.6538461538461539 Inherited,
                   FontWeight->"Heavy",
                   PrivateFontOptions->{"OperatorSubstitution"->False}], 
                  StyleBox[
                   RowBox[{
                    StyleBox["Terse", "ResourceFunctionLabel"], " "}],
                   ShowAutoStyles->False,
                   ShowStringCharacters->False,
                   FontSize->Rational[12, 13] Inherited,
                   FontColor->GrayLevel[0.1]]}
                },
                GridBoxSpacings->{"Columns" -> {{0.25}}}],
               Alignment->Left,
               BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
               BaselinePosition->Baseline,
               FrameMargins->{{3, 0}, {0, 0}}], 
              ItemBox[
               PaneBox[
                TogglerBox[Dynamic[Typeset`open], {True->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeCloser"]], False->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeOpener"]]},
                 Appearance->None,
                 BaselinePosition->Baseline,
                 ContentPadding->False,
                 FrameMargins->0],
                Alignment->Left,
                BaselinePosition->Baseline,
                FrameMargins->{{1, 1}, {0, 0}}],
               Frame->{{
                  RGBColor[
                  0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                   0.5], False}, {False, False}}]}
            },
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
          {
           StyleBox[
            PaneBox[GridBox[{
               {
                RowBox[{
                 TagBox["\<\"Version (latest): \"\>",
                  "IconizedLabel"], " ", 
                 TagBox["\<\"1.0.0\"\>",
                  "IconizedItem"]}]},
               {
                TagBox[
                 
                 TemplateBox[{
                  "\"Documentation \[RightGuillemet]\"", 
                   "https://resources.wolframcloud.com/FunctionRepository/\
resources/6809487c-44ed-4a55-a610-ab706ebb8661/"},
                  "HyperlinkURL"],
                 "IconizedItem"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
            FontFamily->"Roboto",
            FontSize->11]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
              GrayLevel[0.8]}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
        Typeset`open],
        BaselinePosition->Baseline,
        ImageSize->Automatic],
       Background->RGBColor[
        0.9686274509803922, 0.9764705882352941, 0.984313725490196],
       BaselinePosition->Baseline,
       DefaultBaseStyle->{},
       FrameMargins->{{0, 0}, {1, 0}},
       FrameStyle->RGBColor[
        0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
       RoundingRadius->4]],
     {"FunctionResourceBox", 
      RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
      "Terse"},
     TagBoxNote->"FunctionResourceBox"],
    ResourceFunction[
     ResourceObject[<|
      "Name" -> "Terse", "ShortName" -> "Terse", "UUID" -> 
       "6809487c-44ed-4a55-a610-ab706ebb8661", "ResourceType" -> "Function", 
       "Version" -> "1.0.0", "Description" -> "An operator form of Short", 
       "RepositoryLocation" -> 
       URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
       "SymbolName" -> 
       "FunctionRepository`$369a78f89aa2413eb5b19a962ce89cd7`Terse", 
       "FunctionLocation" -> 
       CloudObject[
        "https://www.wolframcloud.com/obj/c1820918-b759-4685-b9b8-\
c971a81216b5"]|>, {
      ResourceSystemBase -> 
       "https://www.wolframcloud.com/obj/resourcesystem/api/1.0"}]],
    Selectable->False], "[", "5", "]"}]}]], "Input",
 CellChangeTimes->{{3.865602586214373*^9, 3.865602635687222*^9}},
 CellLabel->"In[531]:=",
 CellID->2130280805,ExpressionUUID->"eb0d0176-b726-4fe2-a420-0a43f34ec51d"],

Cell[BoxData[
 TagBox[
  RowBox[{"{", 
   RowBox[{
    RowBox[{"\[LeftAssociation]", 
     RowBox[{
      RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
      RowBox[{"\<\"age\"\>", "\[Rule]", "16"}], ",", 
      RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
      RowBox[{"\<\"survived\"\>", "\[Rule]", "True"}]}], 
     "\[RightAssociation]"}], ",", 
    RowBox[{"\[LeftAssociation]", 
     RowBox[{
      RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"1st\"\>"}], ",", 
      RowBox[{"\<\"age\"\>", "\[Rule]", "65"}], ",", 
      RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"male\"\>"}], ",", 
      RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
     "\[RightAssociation]"}], ",", 
    RowBox[{"\[LeftSkeleton]", "19", "\[RightSkeleton]"}], ",", 
    RowBox[{"\[LeftAssociation]", 
     RowBox[{
      RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"2nd\"\>"}], ",", 
      RowBox[{"\<\"age\"\>", "\[Rule]", "50"}], ",", 
      RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
      RowBox[{"\<\"survived\"\>", "\[Rule]", "True"}]}], 
     "\[RightAssociation]"}]}], "}"}],
  Short[#, 5]& ]], "Output",
 CellChangeTimes->{{3.8656025904197903`*^9, 3.8656026015268993`*^9}, 
   3.865602646721484*^9, 3.8656861347156277`*^9, 3.865849433436648*^9, 
   3.866653300887809*^9, 3.866801185611743*^9, 3.866890356700285*^9, 
   3.880548435725642*^9, 3.8806362991061068`*^9, 3.8814255301167917`*^9},
 CellTags->"LastCellOfAPage",
 CellLabel->"Out[531]//Short=",
 CellID->1280887024,ExpressionUUID->"f0edba76-8cbc-4c39-81fc-05623cdeb46b"]
}, Open  ]],

Cell[TextData[{
 "I then apply ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " to the data structure."
}], "Text",
 CellChangeTimes->{{3.8666242469030447`*^9, 3.866624261761101*^9}, {
  3.8701714018324347`*^9, 3.870171411104926*^9}},
 CellTags->"p: 154",
 CellID->616798707,ExpressionUUID->"53565dbd-8431-4ccf-927a-d0e9ac399a67"],

Cell[TextData[{
 "Convert a ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of Associations into a dataset:"
}], "CodeCaption",
 CellChangeTimes->{{3.7699472208763742`*^9, 3.769947229022793*^9}, 
   3.7873206715569625`*^9, {3.7879423304588904`*^9, 3.787942330552623*^9}, 
   3.8678393400502996`*^9},
 CellID->309561714,ExpressionUUID->"756ca672-8189-41fd-bc94-c2258b0336b7"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"lifeboatDS", "=", 
  RowBox[{"Dataset", "[", "lifeboat", "]"}]}]], "Input",
 CellChangeTimes->{{3.769791161314437*^9, 3.7697911851854467`*^9}, {
   3.7697912326163177`*^9, 3.7697912338977327`*^9}, 3.769791311312009*^9, {
   3.7698536263849154`*^9, 3.76985365592036*^9}, {3.771920834835813*^9, 
   3.7719208399890747`*^9}, {3.771920879546054*^9, 3.771920883219041*^9}},
 CellLabel->"In[532]:=",
 CellID->59957207,ExpressionUUID->"bfdc0f5a-3382-4586-a912-5cf7dfd6445c"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 48, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 14, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 44, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 33, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 39, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 19, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 29, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 46, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 22, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 56, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 50, "sex" -> "female", "survived" -> 
        True|>}, "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "2nd", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 22], "Meta" -> <||>, 
     "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "2nd", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 22], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
     22, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["class", 
                  Style[
                  "class", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0d23963e-f09f-4ddf-9e7e-a44d86354242"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["age", 
                  Style[
                  "age", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0d23963e-f09f-4ddf-9e7e-a44d86354242"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["sex", 
                  Style[
                  "sex", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0d23963e-f09f-4ddf-9e7e-a44d86354242"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["survived", 
                  Style[
                  "survived", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0d23963e-f09f-4ddf-9e7e-a44d86354242"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0d23963e-f09f-4ddf-9e7e-a44d86354242"]][{1, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0d23963e-f09f-4ddf-9e7e-a44d86354242"]][{1, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0d23963e-f09f-4ddf-9e7e-a44d86354242"]][{1, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0d23963e-f09f-4ddf-9e7e-a44d86354242"]][{1, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0d23963e-f09f-4ddf-9e7e-a44d86354242"]][{2, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["65"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0d23963e-f09f-4ddf-9e7e-a44d86354242"]][{2, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0d23963e-f09f-4ddf-9e7e-a44d86354242"]][{2, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0d23963e-f09f-4ddf-9e7e-a44d86354242"]][{2, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0d23963e-f09f-4ddf-9e7e-a44d86354242"]][{3, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0d23963e-f09f-4ddf-9e7e-a44d86354242"]][{3, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0d23963e-f09f-4ddf-9e7e-a44d86354242"]][{3, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0d23963e-f09f-4ddf-9e7e-a44d86354242"]][{3, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0d23963e-f09f-4ddf-9e7e-a44d86354242"]][{4, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0d23963e-f09f-4ddf-9e7e-a44d86354242"]][{4, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0d23963e-f09f-4ddf-9e7e-a44d86354242"]][{4, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0d23963e-f09f-4ddf-9e7e-a44d86354242"]][{4, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0d23963e-f09f-4ddf-9e7e-a44d86354242"]][{5, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["18"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0d23963e-f09f-4ddf-9e7e-a44d86354242"]][{5, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0d23963e-f09f-4ddf-9e7e-a44d86354242"]][{5, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0d23963e-f09f-4ddf-9e7e-a44d86354242"]][{5, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0d23963e-f09f-4ddf-9e7e-a44d86354242"]][{6, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0d23963e-f09f-4ddf-9e7e-a44d86354242"]][{6, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0d23963e-f09f-4ddf-9e7e-a44d86354242"]][{6, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0d23963e-f09f-4ddf-9e7e-a44d86354242"]][{6, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0d23963e-f09f-4ddf-9e7e-a44d86354242"]][{7, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["22"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0d23963e-f09f-4ddf-9e7e-a44d86354242"]][{7, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0d23963e-f09f-4ddf-9e7e-a44d86354242"]][{7, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0d23963e-f09f-4ddf-9e7e-a44d86354242"]][{7, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["2nd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0d23963e-f09f-4ddf-9e7e-a44d86354242"]][{8, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["48"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0d23963e-f09f-4ddf-9e7e-a44d86354242"]][{8, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0d23963e-f09f-4ddf-9e7e-a44d86354242"]][{8, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0d23963e-f09f-4ddf-9e7e-a44d86354242"]][{8, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Deploy[
              Pane[
               Row[{
                 Spacer[2], 
                 Style[
                  Row[{
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[True, 22, 1], {1, 22 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[False, 22, 1], {1, 22 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], " ", 
                    Style[
                    Mouseover[
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[22, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]], 
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[22, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]]], ContextMenu -> {
                    MenuItem["Hide", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 1, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 10 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 10, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 30 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 30, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 100 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show All", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100000000, {}]], MenuEvaluator -> Automatic]}], 
                    " ", 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[False, 22, 1], {1, 22 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[True, 22, 1], {1, 22 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None]}], ContextMenu -> {}]}], 
               ImageMargins -> {{0, -1}, {-1, 1}}]], Background -> 
             RGBColor[
              0.9764705882352941, 0.9764705882352941, 0.9764705882352941], 
             Alignment -> {Left, Top}], SpanFromLeft, SpanFromLeft, 
            SpanFromLeft}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{231., {137.8837890625, 145.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{231., {137.8837890625, 145.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.865602688519742*^9, 3.865603073292716*^9, 
  3.865686136626738*^9, 3.865849435669767*^9, 3.866801185699551*^9, 
  3.86689035676058*^9, 3.8805485403016376`*^9, 3.881425567854669*^9},
 CellLabel->"Out[532]=",
 CellID->1604414226,ExpressionUUID->"9aea070d-dd8c-483a-bc95-497670fce7a9"]
}, Open  ]],

Cell[TextData[{
 "That\[CloseCurlyQuote]s it! Of course, just because it\[CloseCurlyQuote]s \
easy, doesn\[CloseCurlyQuote]t mean it should be done. I thus will now \
address why it\[CloseCurlyQuote]s often a good idea to wrap expressions, \
particularly data that is similar to a table or spreadsheet (or tabbed \
spreadsheet), in ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 "."
}], "Text",
 CellChangeTimes->{{3.769791237343356*^9, 3.769791250752149*^9}, {
   3.76985234208876*^9, 3.769852358514174*^9}, {3.769888835678155*^9, 
   3.769888880933526*^9}, {3.769889136921084*^9, 3.769889170579391*^9}, {
   3.787077455937659*^9, 3.787077456713659*^9}, {3.7879423387392445`*^9, 
   3.7879423450480413`*^9}, {3.787943135188455*^9, 3.787943137147428*^9}, 
   3.795353403341481*^9, 3.7953537396556177`*^9, {3.8666242804521914`*^9, 
   3.866624316275365*^9}, 3.869924364717432*^9, {3.8710446759121003`*^9, 
   3.8710446763678155`*^9}},
 CellID->1460929252,ExpressionUUID->"7a20e114-f5ca-4fc7-b0b9-27443883e26a"],

Cell[CellGroupData[{

Cell["Visualization", "Subsubsection",
 CellChangeTimes->{{3.769790282220275*^9, 3.769790287471942*^9}},
 CellID->814210133,ExpressionUUID->"73243f68-e4d6-449a-b5cc-9064b385a16e"],

Cell[TextData[{
 "One reason to wrap data structures in ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " is visualization. When you wrap a data structure in ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " and use the Wolfram Language front end, you get a dynamic and attractive \
interface for visualizing the data. The interface lets you scroll through \
large amounts of data or drill down into nested data. The Wolfram Language \
front end bears the memory burden of carrying these elaborate dynamic \
structures, but, generally, it is one that it is able to bear. Other clients, \
such as the Jupyter Notebook, will not have the capability to bear this \
memory burden."
}], "Text",
 CellChangeTimes->{{3.739895069538378*^9, 3.7398952231968203`*^9}, 
   3.740406598072743*^9, {3.741691732546948*^9, 3.741691761122869*^9}, {
   3.7416917972648478`*^9, 3.741691841493945*^9}, {3.741693083549211*^9, 
   3.741693121872527*^9}, 3.741693203382238*^9, {3.7697745832509327`*^9, 
   3.769774659638296*^9}, {3.769774694784371*^9, 3.769774724022599*^9}, {
   3.769775564294673*^9, 3.7697756155832777`*^9}, {3.769786717788451*^9, 
   3.769786763823045*^9}, {3.7697868237640247`*^9, 3.769786839547412*^9}, 
   3.769786997993761*^9, {3.769790295244898*^9, 3.769790347209489*^9}, {
   3.769790380162098*^9, 3.769790416567019*^9}, {3.769791256398883*^9, 
   3.7697912750068073`*^9}, {3.7697913823330517`*^9, 3.769791385935923*^9}, {
   3.769852330174486*^9, 3.769852362545309*^9}, {3.770025155017292*^9, 
   3.77002516011483*^9}, {3.771920922514584*^9, 3.77192097138017*^9}, 
   3.7870772126956587`*^9, 3.7879431824398685`*^9, {3.787943992587508*^9, 
   3.7879440019669724`*^9}, {3.788002005214856*^9, 3.788002006026869*^9}, 
   3.7953574357717037`*^9, 3.795357559876964*^9, {3.8656034522551003`*^9, 
   3.865603459768231*^9}, {3.865603603227483*^9, 3.865603645662051*^9}, {
   3.865686159853035*^9, 3.8656861821288443`*^9}, {3.865686220290018*^9, 
   3.865686235972534*^9}, {3.866624335849093*^9, 3.866624356080653*^9}, {
   3.8678394535355997`*^9, 3.867839468612255*^9}, {3.86783950657909*^9, 
   3.867839507655786*^9}, {3.870171530096132*^9, 3.870171591000838*^9}, {
   3.871044695799015*^9, 3.8710447168686647`*^9}, {3.871139801582935*^9, 
   3.8711398267326975`*^9}, {3.8721774406658907`*^9, 3.872177443315179*^9}, {
   3.896254255003778*^9, 3.896254259274014*^9}},
 CellTags->"i:5",
 CellID->1079426973,ExpressionUUID->"4a00c65f-0378-4f92-9ec4-2efc683bae99"],

Cell[TextData[{
 "Note: I use the term \[OpenCurlyDoubleQuote]wrap\[CloseCurlyDoubleQuote] in \
this chapter to denote what the user does. The user simply treats ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " like any other Wolfram Language function that takes arguments. But ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " is not an inert wrapper. It doesn\[CloseCurlyQuote]t just leave intact the \
data structure to which it applies. It\[CloseCurlyQuote]s not like ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " or some abstract function ",
 Cell[BoxData[
 "f"], "InlineCode",ExpressionUUID->"4026fd22-e2d3-4bcb-9506-022c15b06060"],
 ". Instead, ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " converts the data structure into a more elaborate expression containing, \
among other things, information on the types of data it holds. "
}], "Note",
 CellChangeTimes->{{3.8656036525501537`*^9, 3.865603814924259*^9}, {
  3.8656039361511087`*^9, 3.8656039381093187`*^9}, {3.866624385686098*^9, 
  3.8666243967053423`*^9}, {3.869917824358879*^9, 3.8699178369525023`*^9}, {
  3.869917927227889*^9, 3.869917933655768*^9}, {3.870171653155319*^9, 
  3.8701716544128437`*^9}, {3.8729381845818987`*^9, 3.872938209939971*^9}},
 CellTags->"i:6",
 CellID->222676769,ExpressionUUID->"ea0d5fbd-56fd-4880-930b-759cf0cdde7c"],

Cell[TextData[{
 "If you are reading the notebook version of this book, you can take \
advantage of the ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " dynamic interface. If you position your mouse over either a row header, \
column header, or element within a dataset, you\[CloseCurlyQuote]ll see the \
indication of the applicable part specification immediately below the cell \
holding the dataset. So, if in the lifeboat dataset, I move my mouse over the \
\[OpenCurlyDoubleQuote]sex\[CloseCurlyDoubleQuote] column, I get \
\[OpenCurlyDoubleQuote]All > sex\[CloseCurlyDoubleQuote] displayed \
immediately below the cell containing the dataset. That can help me figure \
out how to specify that column programmatically. If I move it over ",
 ButtonBox["False",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/False.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/False.html"],
 " in the survived column of the third row, it displays \
\[OpenCurlyDoubleQuote]3 > survived\[CloseCurlyDoubleQuote], again telling me \
how to specify that cell programmatically."
}], "Text",
 CellTags->{"LastCellOfAPage", "i:7", "p: 155"},
 CellID->1074887472,ExpressionUUID->"8c1c684c-18ee-4f86-b42f-ba8013d262ef"],

Cell[TextData[{
 "Any column headers or row headers are left and right clickable. Try left \
clicking the \[OpenCurlyDoubleQuote]age\[CloseCurlyDoubleQuote] heading in \
the previous representation. What you should see is something like the \
following picture: the values for all the ages. This is particularly helpful \
where, as sometimes occurs, the data in a row or column is sufficiently long \
or baroque that ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " decides to display it in some elided form, such as a ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " with just an ellipsis inside. Clicking the row or column containing these \
elided forms often provides a full display of what is actually contained \
inside."
}], "Text",
 CellChangeTimes->{{3.739895069538378*^9, 3.7398952231968203`*^9}, 
   3.740406598072743*^9, {3.741691732546948*^9, 3.741691761122869*^9}, {
   3.7416917972648478`*^9, 3.741691841493945*^9}, {3.741693083549211*^9, 
   3.741693121872527*^9}, 3.741693203382238*^9, {3.7697745832509327`*^9, 
   3.769774659638296*^9}, {3.769774694784371*^9, 3.769774724022599*^9}, {
   3.769775564294673*^9, 3.7697756155832777`*^9}, {3.769786717788451*^9, 
   3.769786763823045*^9}, {3.7697868237640247`*^9, 3.769786839547412*^9}, 
   3.769786997993761*^9, {3.769790295244898*^9, 3.769790347209489*^9}, {
   3.769790380162098*^9, 3.769790416567019*^9}, {3.769791256398883*^9, 
   3.7697912750068073`*^9}, {3.7697913823330517`*^9, 
   3.7697914439493723`*^9}, {3.769791518335627*^9, 3.7697915462917833`*^9}, {
   3.7698889382344427`*^9, 3.7698889552244387`*^9}, {3.770024810075416*^9, 
   3.770024824571444*^9}, {3.770025188981079*^9, 3.77002533098872*^9}, {
   3.77002547869594*^9, 3.7700254876839867`*^9}, {3.770025584466414*^9, 
   3.770025672818503*^9}, 3.7870772261816587`*^9, {3.788002177050282*^9, 
   3.788002179686265*^9}, 3.788002254151049*^9, {3.8666244366961393`*^9, 
   3.866624438302184*^9}, {3.867857223874558*^9, 3.867857235428493*^9}, {
   3.8701678347666626`*^9, 3.8701678387015133`*^9}, {3.8701683872831726`*^9, 
   3.8701683919704113`*^9}, {3.871039532204356*^9, 3.8710395389957123`*^9}, {
   3.871042690085528*^9, 3.871042695308344*^9}, {3.8710448592114544`*^9, 
   3.871044866927641*^9}, {3.871131775667945*^9, 3.8711317811094985`*^9}, {
   3.871139356462553*^9, 3.8711393579867887`*^9}, {3.8721803619003534`*^9, 
   3.872180384376134*^9}, {3.873384059006505*^9, 3.8733840608089533`*^9}},
 CellTags->"i:8",
 CellID->1322318855,ExpressionUUID->"aab47cdf-2d92-4def-9abc-94115e7a5f8b"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 48, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 14, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 44, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 33, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 39, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 19, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 29, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 46, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 22, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 56, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 50, "sex" -> "female", "survived" -> 
        True|>}, "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "2nd", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 22], "Meta" -> <||>, 
     "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`Limited[
       TypeSystem`PackageScope`MulticolumnShape[2, 11, 22, 34], 22, 11, {
       All}], "Type" -> TypeSystem`Vector[
       TypeSystem`Atom[Integer], 22], "Path" -> {All, "age"}, 
     "DisplayedRowCount" -> 2, "DisplayedColumnCount" -> 11, "DataRowCount" -> 
     2, "DataColumnCount" -> 11, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {All, "age"}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               "396f7a30-eabf-44e9-a991-109e5869d1bc"][{1, "age"}, "Item", 
                False], "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}, Frame -> {{
                GrayLevel[0.7490196078431373], 
                GrayLevel[0.7490196078431373]}, Inherited}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["65"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               "396f7a30-eabf-44e9-a991-109e5869d1bc"][{2, "age"}, "Item", 
                False], "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}, Frame -> {{
                Directive[
                 Dashing[{0, Small}], 
                 RGBColor[
                 0.5098039215686274, 0.5098039215686274, 0.5098039215686274]], 
                GrayLevel[0.7490196078431373]}, Inherited}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               "396f7a30-eabf-44e9-a991-109e5869d1bc"][{3, "age"}, "Item", 
                False], "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}, Frame -> {{
                Directive[
                 Dashing[{0, Small}], 
                 RGBColor[
                 0.5098039215686274, 0.5098039215686274, 0.5098039215686274]], 
                GrayLevel[0.7490196078431373]}, Inherited}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               "396f7a30-eabf-44e9-a991-109e5869d1bc"][{4, "age"}, "Item", 
                False], "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}, Frame -> {{
                Directive[
                 Dashing[{0, Small}], 
                 RGBColor[
                 0.5098039215686274, 0.5098039215686274, 0.5098039215686274]], 
                GrayLevel[0.7490196078431373]}, Inherited}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["18"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               "396f7a30-eabf-44e9-a991-109e5869d1bc"][{5, "age"}, "Item", 
                False], "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}, Frame -> {{
                Directive[
                 Dashing[{0, Small}], 
                 RGBColor[
                 0.5098039215686274, 0.5098039215686274, 0.5098039215686274]], 
                GrayLevel[0.7490196078431373]}, Inherited}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               "396f7a30-eabf-44e9-a991-109e5869d1bc"][{6, "age"}, "Item", 
                False], "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}, Frame -> {{
                Directive[
                 Dashing[{0, Small}], 
                 RGBColor[
                 0.5098039215686274, 0.5098039215686274, 0.5098039215686274]], 
                GrayLevel[0.7490196078431373]}, Inherited}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["22"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               "396f7a30-eabf-44e9-a991-109e5869d1bc"][{7, "age"}, "Item", 
                False], "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}, Frame -> {{
                Directive[
                 Dashing[{0, Small}], 
                 RGBColor[
                 0.5098039215686274, 0.5098039215686274, 0.5098039215686274]], 
                GrayLevel[0.7490196078431373]}, Inherited}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["48"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               "396f7a30-eabf-44e9-a991-109e5869d1bc"][{8, "age"}, "Item", 
                False], "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}, Frame -> {{
                Directive[
                 Dashing[{0, Small}], 
                 RGBColor[
                 0.5098039215686274, 0.5098039215686274, 0.5098039215686274]], 
                GrayLevel[0.7490196078431373]}, Inherited}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["14"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               "396f7a30-eabf-44e9-a991-109e5869d1bc"][{9, "age"}, "Item", 
                False], "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}, Frame -> {{
                Directive[
                 Dashing[{0, Small}], 
                 RGBColor[
                 0.5098039215686274, 0.5098039215686274, 0.5098039215686274]], 
                GrayLevel[0.7490196078431373]}, Inherited}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["44"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               "396f7a30-eabf-44e9-a991-109e5869d1bc"][{10, "age"}, "Item", 
                False], "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}, Frame -> {{
                Directive[
                 Dashing[{0, Small}], 
                 RGBColor[
                 0.5098039215686274, 0.5098039215686274, 0.5098039215686274]], 
                GrayLevel[0.7490196078431373]}, Inherited}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["33"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               "396f7a30-eabf-44e9-a991-109e5869d1bc"][{11, "age"}, "Item", 
                False], "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}, Frame -> {{
                Directive[
                 Dashing[{0, Small}], 
                 RGBColor[
                 0.5098039215686274, 0.5098039215686274, 0.5098039215686274]], 
                GrayLevel[0.7490196078431373]}, Inherited}]}, {
            Item[
             Pane[
              Annotation[
               RawBoxes["39"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               "396f7a30-eabf-44e9-a991-109e5869d1bc"][{12, "age"}, "Item", 
                False], "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}, Frame -> {{
                GrayLevel[0.7490196078431373], 
                GrayLevel[0.7490196078431373]}, Inherited}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["19"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               "396f7a30-eabf-44e9-a991-109e5869d1bc"][{13, "age"}, "Item", 
                False], "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}, Frame -> {{
                Directive[
                 Dashing[{0, Small}], 
                 RGBColor[
                 0.5098039215686274, 0.5098039215686274, 0.5098039215686274]], 
                GrayLevel[0.7490196078431373]}, Inherited}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["29"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               "396f7a30-eabf-44e9-a991-109e5869d1bc"][{14, "age"}, "Item", 
                False], "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}, Frame -> {{
                Directive[
                 Dashing[{0, Small}], 
                 RGBColor[
                 0.5098039215686274, 0.5098039215686274, 0.5098039215686274]], 
                GrayLevel[0.7490196078431373]}, Inherited}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["46"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               "396f7a30-eabf-44e9-a991-109e5869d1bc"][{15, "age"}, "Item", 
                False], "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}, Frame -> {{
                Directive[
                 Dashing[{0, Small}], 
                 RGBColor[
                 0.5098039215686274, 0.5098039215686274, 0.5098039215686274]], 
                GrayLevel[0.7490196078431373]}, Inherited}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               "396f7a30-eabf-44e9-a991-109e5869d1bc"][{16, "age"}, "Item", 
                False], "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}, Frame -> {{
                Directive[
                 Dashing[{0, Small}], 
                 RGBColor[
                 0.5098039215686274, 0.5098039215686274, 0.5098039215686274]], 
                GrayLevel[0.7490196078431373]}, Inherited}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               "396f7a30-eabf-44e9-a991-109e5869d1bc"][{17, "age"}, "Item", 
                False], "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}, Frame -> {{
                Directive[
                 Dashing[{0, Small}], 
                 RGBColor[
                 0.5098039215686274, 0.5098039215686274, 0.5098039215686274]], 
                GrayLevel[0.7490196078431373]}, Inherited}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["22"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               "396f7a30-eabf-44e9-a991-109e5869d1bc"][{18, "age"}, "Item", 
                False], "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}, Frame -> {{
                Directive[
                 Dashing[{0, Small}], 
                 RGBColor[
                 0.5098039215686274, 0.5098039215686274, 0.5098039215686274]], 
                GrayLevel[0.7490196078431373]}, Inherited}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["22"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               "396f7a30-eabf-44e9-a991-109e5869d1bc"][{19, "age"}, "Item", 
                False], "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}, Frame -> {{
                Directive[
                 Dashing[{0, Small}], 
                 RGBColor[
                 0.5098039215686274, 0.5098039215686274, 0.5098039215686274]], 
                GrayLevel[0.7490196078431373]}, Inherited}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["56"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               "396f7a30-eabf-44e9-a991-109e5869d1bc"][{20, "age"}, "Item", 
                False], "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}, Frame -> {{
                Directive[
                 Dashing[{0, Small}], 
                 RGBColor[
                 0.5098039215686274, 0.5098039215686274, 0.5098039215686274]], 
                GrayLevel[0.7490196078431373]}, Inherited}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               "396f7a30-eabf-44e9-a991-109e5869d1bc"][{21, "age"}, "Item", 
                False], "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}, Frame -> {{
                Directive[
                 Dashing[{0, Small}], 
                 RGBColor[
                 0.5098039215686274, 0.5098039215686274, 0.5098039215686274]], 
                GrayLevel[0.7490196078431373]}, Inherited}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["50"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               "396f7a30-eabf-44e9-a991-109e5869d1bc"][{22, "age"}, "Item", 
                False], "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}, Frame -> {{
                Directive[
                 Dashing[{0, Small}], 
                 RGBColor[
                 0.5098039215686274, 0.5098039215686274, 0.5098039215686274]], 
                GrayLevel[0.7490196078431373]}, Inherited}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                "396f7a30-eabf-44e9-a991-109e5869d1bc", {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "396f7a30-eabf-44e9-a991-109e5869d1bc"]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    "396f7a30-eabf-44e9-a991-109e5869d1bc"]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    "396f7a30-eabf-44e9-a991-109e5869d1bc"][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    "396f7a30-eabf-44e9-a991-109e5869d1bc"][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    "396f7a30-eabf-44e9-a991-109e5869d1bc"][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              "396f7a30-eabf-44e9-a991-109e5869d1bc"][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{464., {44.3837890625, 51.6162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{464., {44.3837890625, 51.6162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 ShowCellLabel->False,
 CellChangeTimes->{3.865602688519742*^9, 3.865603073292716*^9, 
  3.865686136626738*^9, 3.865849435669767*^9, 3.866801185699551*^9, 
  3.86689035676058*^9, 3.8805485403016376`*^9, 3.881425567854669*^9},
 CellLabel->"Out[532]=",
 CellID->440009328,ExpressionUUID->"68fc2701-03f4-4b84-8ed4-0679a0b42c95"],

Cell[TextData[{
 "If you then click back on the little grid in the upper-left corner, you get \
your original ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " restored. The dynamic interface is even more useful for datasets that have \
more deeply nested structures. Here, I show what happens when I click through \
the planets ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " to get information on Uranus\[CloseCurlyQuote]s moon Cordelia. It\
\[CloseCurlyQuote]s kind of a little moon."
}], "Text",
 CellChangeTimes->{{3.769791529071587*^9, 3.769791580604401*^9}, {
   3.769791654102812*^9, 3.7697917139523582`*^9}, {3.769852378322212*^9, 
   3.769852394985723*^9}, {3.769888966419898*^9, 3.7698889674544077`*^9}, {
   3.788002272236102*^9, 3.788002301636359*^9}, {3.788002916997483*^9, 
   3.7880029172786217`*^9}, 3.7953553418988733`*^9, {3.865603556090323*^9, 
   3.8656035594761972`*^9}, {3.8666244558107443`*^9, 3.86662445611294*^9}, {
   3.867857289902803*^9, 3.867857290734189*^9}, {3.871039689928404*^9, 
   3.8710396959372315`*^9}, {3.8710427086914363`*^9, 
   3.8710427194420385`*^9}, {3.871044902834738*^9, 3.871044907761574*^9}, {
   3.898084602252739*^9, 3.898084632877097*^9}},
 CellID->234967907,ExpressionUUID->"ed6da0b7-fff1-471e-adbc-aa76127a5adc"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> <|
      "Mercury" -> <|
        "Mass" -> Quantity[3.30104`6.*^23, "Kilograms"], "Radius" -> 
         Quantity[2439.7`5., "Kilometers"], "Moons" -> <||>|>, 
       "Venus" -> <|
        "Mass" -> Quantity[4.867320000000000000000001`6.*^24, "Kilograms"], 
         "Radius" -> Quantity[6051.85`5., "Kilometers"], "Moons" -> <||>|>, 
       "Earth" -> <|
        "Mass" -> Quantity[5.9721986`8.*^24, "Kilograms"], "Radius" -> 
         Quantity[6367.4446571000000000001`8.299868708313456, "Kilometers"], 
         "Moons" -> <|
          "Moon" -> <|
            "Mass" -> Quantity[
              7.3459006322855173653772`4.995678626217362*^22, "Kilograms"], 
             "Radius" -> Quantity[1737.5`5., "Kilometers"]|>|>|>, 
       "Mars" -> <|
        "Mass" -> Quantity[6.41693`6.*^23, "Kilograms"], "Radius" -> 
         Quantity[3385.595`4.298042852900571, "Kilometers"], 
         "Moons" -> <|
          "Phobos" -> <|
            "Mass" -> Quantity[
              1.0724880884600402`3.9586073148417724*^16, "Kilograms"], 
             "Radius" -> Quantity[11.1`3., "Kilometers"]|>, 
           "Deimos" -> <|
            "Mass" -> Quantity[
              1.468340774924336`1.9995659225206786*^15, "Kilograms"], 
             "Radius" -> Quantity[6.2`2., "Kilometers"]|>|>|>, 
       "Jupiter" -> <|
        "Mass" -> Quantity[1.89813`6.*^27, "Kilograms"], "Radius" -> 
         Quantity[69173.`5., "Kilometers"], 
         "Moons" -> <|
          "Metis" -> <|
            "Mass" -> Quantity[
              1.19864553055047796`0.9999565727231415*^17, "Kilograms"], 
             "Radius" -> Quantity[21.5`3., "Kilometers"]|>, 
           "Adrastea" -> <|
            "Mass" -> Quantity[
              7.491534565940487`0.9999565727231415*^15, "Kilograms"], 
             "Radius" -> Quantity[8.2`2., "Kilometers"]|>, 
           "Amalthea" -> <|
            "Mass" -> Quantity[
              2.067663540199574478`2.995678626217367*^18, "Kilograms"], 
             "Radius" -> Quantity[83.45`4., "Kilometers"]|>, 
           "Thebe" -> <|
            "Mass" -> Quantity[
              1.49830691318809745`1.9995659225206872*^18, "Kilograms"], 
             "Radius" -> Quantity[49.3`3., "Kilometers"]|>, 
           "Io" -> <|
            "Mass" -> Quantity[
              8.9297833448203530011087`4.995678626217362*^22, "Kilograms"], 
             "Radius" -> Quantity[1821.6`5., "Kilometers"]|>, 
           "Europa" -> <|
            "Mass" -> Quantity[
              4.7986859848371340385365`4.995678626217362*^22, "Kilograms"], 
             "Radius" -> Quantity[1560.8`5., "Kilometers"]|>, 
           "Ganymede" -> <|
            "Mass" -> Quantity[
              1.48150100386563183602529`4.995678626217362*^23, "Kilograms"], 
             "Radius" -> Quantity[2631.2`5., "Kilometers"]|>, 
           "Callisto" -> <|
            "Mass" -> Quantity[
              1.07567783404752629528633`4.995678626217362*^23, "Kilograms"], 
             "Radius" -> Quantity[2410.3`5., "Kilometers"]|>, 
           "Themisto" -> <|
            "Mass" -> Quantity[
              6.89221180066526`1.9995659225206872*^14, "Kilograms"], "Radius" -> 
             Quantity[4.`2., "Kilometers"]|>, 
           "Leda" -> <|
            "Mass" -> Quantity[
              1.0937640466273112`1.9995659225206872*^16, "Kilograms"], 
             "Radius" -> Quantity[10.`2., "Kilometers"]|>, 
           "Himalia" -> <|
            "Mass" -> Quantity[
              6.742381109346438525`1.999565922520683*^18, "Kilograms"], 
             "Radius" -> Quantity[85.`2., "Kilometers"]|>, 
           "Lysithea" -> <|
            "Mass" -> Quantity[
              6.2928890353900092`1.999565922520683*^16, "Kilograms"], 
             "Radius" -> Quantity[18.`2., "Kilometers"]|>, 
           "Elara" -> <|
            "Mass" -> Quantity[
              8.6901800964909652`1.9995659225206872*^17, "Kilograms"], 
             "Radius" -> Quantity[43.`2., "Kilometers"]|>, 
           "S/2000 J11" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[2.`2., "Kilometers"]|>, 
           "S/2003 J12" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[1.`2., "Kilometers"]|>, 
           "Carpo" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[3.`2., "Kilometers"]|>, 
           "Euporie" -> <|
            "Mass" -> Quantity[
              1.4983069131881`0.9999565727231415*^13, "Kilograms"], "Radius" -> 
             Quantity[1.`2., "Kilometers"]|>, 
           "S/2003 J3" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[2.`2., "Kilometers"]|>, 
           "S/2003 J18" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[2.`2., "Kilometers"]|>, 
           "Orthosie" -> <|
            "Mass" -> Quantity[
              1.4983069131881`0.9999565727231415*^13, "Kilograms"], "Radius" -> 
             Quantity[1.`2., "Kilometers"]|>, 
           "Euanthe" -> <|
            "Mass" -> Quantity[
              4.4949207395643`0.9999565727231415*^13, "Kilograms"], "Radius" -> 
             Quantity[1.5`2., "Kilometers"]|>, 
           "Harpalyke" -> <|
            "Mass" -> Quantity[
              1.19864553055047`0.9999565727231415*^14, "Kilograms"], "Radius" -> 
             Quantity[2.2`2., "Kilometers"]|>, 
           "Praxidike" -> <|
            "Mass" -> Quantity[
              4.34509004824548`1.9995659225206872*^14, "Kilograms"], "Radius" -> 
             Quantity[3.4`2., "Kilometers"]|>, 
           "Thyone" -> <|
            "Mass" -> Quantity[
              8.9898414791287`0.9999565727231415*^13, "Kilograms"], "Radius" -> 
             Quantity[2.`2., "Kilometers"]|>, 
           "S/2003 J16" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[2.`2., "Kilometers"]|>, 
           "Iocaste" -> <|
            "Mass" -> Quantity[
              1.94779898714453`1.9995659225206872*^14, "Kilograms"], "Radius" -> 
             Quantity[2.6`2., "Kilometers"]|>, 
           "Mneme" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[2.`2., "Kilometers"]|>, 
           "Hermippe" -> <|
            "Mass" -> Quantity[
              8.9898414791287`0.9999565727231415*^13, "Kilograms"], "Radius" -> 
             Quantity[2.`2., "Kilometers"]|>, 
           "Thelxinoe" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[2.`2., "Kilometers"]|>, 
           "Helike" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[4.`2., "Kilometers"]|>, 
           "Ananke" -> <|
            "Mass" -> Quantity[
              2.9966138263761948`1.9995659225206872*^16, "Kilograms"], 
             "Radius" -> Quantity[14.`2., "Kilometers"]|>, 
           "S/2003 J15" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[2.`2., "Kilometers"]|>, 
           "Eurydome" -> <|
            "Mass" -> Quantity[
              4.4949207395643`0.9999565727231415*^13, "Kilograms"], "Radius" -> 
             Quantity[1.5`2., "Kilometers"]|>, 
           "Arche" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[1.5`2., "Kilometers"]|>, 
           "Herse" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[2.`2., "Kilometers"]|>, 
           "Pasithee" -> <|
            "Mass" -> Quantity[
              1.4983069131881`0.9999565727231415*^13, "Kilograms"], "Radius" -> 
             Quantity[1.`2., "Kilometers"]|>, 
           "S/2003 J10" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[2.`2., "Kilometers"]|>, 
           "Chaldene" -> <|
            "Mass" -> Quantity[
              7.4915345659396`0.9999565727231415*^13, "Kilograms"], "Radius" -> 
             Quantity[1.9`2., "Kilometers"]|>, 
           "Isonoe" -> <|
            "Mass" -> Quantity[
              7.4915345659396`0.9999565727231415*^13, "Kilograms"], "Radius" -> 
             Quantity[1.9`2., "Kilometers"]|>, 
           "Erinome" -> <|
            "Mass" -> Quantity[
              4.4949207395643`0.9999565727231415*^13, "Kilograms"], "Radius" -> 
             Quantity[1.6`2., "Kilometers"]|>, 
           "Kale" -> <|
            "Mass" -> Quantity[
              1.4983069131881`0.9999565727231415*^13, "Kilograms"], "Radius" -> 
             Quantity[1.`2., "Kilometers"]|>, 
           "Aitne" -> <|
            "Mass" -> Quantity[
              4.4949207395643`0.9999565727231415*^13, "Kilograms"], "Radius" -> 
             Quantity[1.5`2., "Kilometers"]|>, 
           "Taygete" -> <|
            "Mass" -> Quantity[
              1.6481376045069`1.9995659225206872*^14, "Kilograms"], "Radius" -> 
             Quantity[2.5`2., "Kilometers"]|>, 
           "S/2003 J9" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[1.`2., "Kilometers"]|>, 
           "Carme" -> <|
            "Mass" -> Quantity[
              1.31851008360552575`1.9995659225206786*^17, "Kilograms"], 
             "Radius" -> Quantity[23.`2., "Kilometers"]|>, 
           "Sponde" -> <|
            "Mass" -> Quantity[
              1.4983069131881`0.9999565727231415*^13, "Kilograms"], "Radius" -> 
             Quantity[1.`2., "Kilometers"]|>, 
           "Megaclite" -> <|
            "Mass" -> Quantity[
              2.09762967846334`1.9995659225206872*^14, "Kilograms"], "Radius" -> 
             Quantity[2.7`2., "Kilometers"]|>, 
           "S/2003 J5" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[4.`2., "Kilometers"]|>, 
           "S/2003 J19" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[2.`2., "Kilometers"]|>, 
           "S/2003 J23" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[2.`2., "Kilometers"]|>, 
           "Kalyke" -> <|
            "Mass" -> Quantity[
              1.94779898714453`1.9995659225206872*^14, "Kilograms"], "Radius" -> 
             Quantity[2.6`2., "Kilometers"]|>, 
           "Kore" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[2.`2., "Kilometers"]|>, 
           "Pasiphae" -> <|
            "Mass" -> Quantity[
              2.9966138263761949`1.9995659225206786*^17, "Kilograms"], 
             "Radius" -> Quantity[30.`2., "Kilometers"]|>, 
           "Eukelade" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[4.`2., "Kilometers"]|>, 
           "S/2003 J4" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[2.`2., "Kilometers"]|>, 
           "Sinope" -> <|
            "Mass" -> Quantity[
              7.4915345659404873`1.9995659225206786*^16, "Kilograms"], 
             "Radius" -> Quantity[19.`2., "Kilometers"]|>, 
           "Hegemone" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[3.`2., "Kilometers"]|>, 
           "Aoede" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[4.`2., "Kilometers"]|>, 
           "Kallichore" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[2.`2., "Kilometers"]|>, 
           "Autonoe" -> <|
            "Mass" -> Quantity[
              8.9898414791287`0.9999565727231415*^13, "Kilograms"], "Radius" -> 
             Quantity[2.`2., "Kilometers"]|>, 
           "Callirrhoe" -> <|
            "Mass" -> Quantity[
              8.69018009649097`1.9995659225206872*^14, "Kilograms"], "Radius" -> 
             Quantity[4.3`2., "Kilometers"]|>, 
           "Cyllene" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[2.`2., "Kilometers"]|>, 
           "S/2003 J2" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[2.`2., "Kilometers"]|>|>|>, 
       "Saturn" -> <|
        "Mass" -> Quantity[5.68319`6.*^26, "Kilograms"], "Radius" -> 
         Quantity[57316.`5., "Kilometers"], 
         "Moons" -> <|
          "Tarqeq" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[3.5`2., "Kilometers"]|>, 
           "Pan" -> <|
            "Mass" -> Quantity[
              4.944412813520729`1.9995659225206872*^15, "Kilograms"], 
             "Radius" -> Quantity[12.8`3., "Kilometers"]|>, 
           "Daphnis" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[3.9`2., "Kilometers"]|>, 
           "Atlas" -> <|
            "Mass" -> Quantity[
              2.097629678463337`1.9995659225206786*^15, "Kilograms"], 
             "Radius" -> Quantity[10.`2., "Kilometers"]|>, 
           "Prometheus" -> <|
            "Mass" -> Quantity[
              1.86689041383236942`3.9586073148417764*^17, "Kilograms"], 
             "Radius" -> Quantity[46.8`3., "Kilometers"]|>, 
           "Pandora" -> <|
            "Mass" -> Quantity[
              1.49081537862215657`2.9956786262173587*^17, "Kilograms"], 
             "Radius" -> Quantity[40.6`3., "Kilometers"]|>, 
           "Epimetheus" -> <|
            "Mass" -> Quantity[
              5.25905726529022205`2.9956786262173543*^17, "Kilograms"], 
             "Radius" -> Quantity[58.3`3., "Kilometers"]|>, 
           "Janus" -> <|
            "Mass" -> Quantity[
              1.896856552096131371`3.9586073148417764*^18, "Kilograms"], 
             "Radius" -> Quantity[90.4`3., "Kilometers"]|>, 
           "Aegaeon" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[0.25`2., "Kilometers"]|>, 
           "Mimas" -> <|
            "Mass" -> Quantity[
              3.7907164903658865482`3.9586073148417764*^19, "Kilograms"], 
             "Radius" -> Quantity[198.8`4., "Kilometers"]|>, 
           "Methone" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[1.6`2., "Kilometers"]|>, 
           "Anthe" -> <|
            "Mass" -> Quantity[5.`1.*^12, "Kilograms"], "Radius" -> 
             Quantity[1.`1., "Kilometers"]|>, 
           "Pallene" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[2.6`2., "Kilometers"]|>, 
           "Enceladus" -> <|
            "Mass" -> Quantity[
              1.08027928440861826137`3.9586073148417764*^20, "Kilograms"], 
             "Radius" -> Quantity[252.3`4., "Kilometers"]|>, 
           "Tethys" -> <|
            "Mass" -> Quantity[
              6.17452278924814959099`4.6989700043360205*^20, "Kilograms"], 
             "Radius" -> Quantity[536.3`4., "Kilometers"]|>, 
           "Calypso" -> <|
            "Mass" -> Quantity[
              3.595936591651433`1.9995659225206872*^15, "Kilograms"], 
             "Radius" -> Quantity[9.5`2., "Kilometers"]|>, 
           "Telesto" -> <|
            "Mass" -> Quantity[
              7.191873183302868`1.9995659225206872*^15, "Kilograms"], 
             "Radius" -> Quantity[12.`2., "Kilometers"]|>, 
           "Polydeuces" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[1.2`2., "Kilometers"]|>, 
           "Dione" -> <|
            "Mass" -> Quantity[
              1.095457133439213688532`4.6989700043360205*^21, "Kilograms"], 
             "Radius" -> Quantity[562.5`4., "Kilometers"]|>, 
           "Helene" -> <|
            "Mass" -> Quantity[
              2.5471217524197656`1.9995659225206872*^16, "Kilograms"], 
             "Radius" -> Quantity[16.`2., "Kilometers"]|>, 
           "Rhea" -> <|
            "Mass" -> Quantity[
              2.308441461148901741032`4.6989700043360205*^21, "Kilograms"], 
             "Radius" -> Quantity[764.5`4., "Kilometers"]|>, 
           "Titan" -> <|
            "Mass" -> Quantity[
              1.34520841449162446435527`4.958607314841778*^23, "Kilograms"], 
             "Radius" -> Quantity[2575.5`5., "Kilometers"]|>, 
           "Hyperion" -> <|
            "Mass" -> Quantity[
              5.543735578795960565`1.9995659225206872*^18, "Kilograms"], 
             "Radius" -> Quantity[133.`4., "Kilometers"]|>, 
           "Iapetus" -> <|
            "Mass" -> Quantity[
              1.805459830391657427108`4.6989700043360205*^21, "Kilograms"], 
             "Radius" -> Quantity[734.5`4., "Kilometers"]|>, 
           "Kiviuq" -> <|
            "Mass" -> Quantity[
              3.296275209013815`1.9995659225206872*^15, "Kilograms"], 
             "Radius" -> Quantity[8.`1., "Kilometers"]|>, 
           "Ijiraq" -> <|
            "Mass" -> Quantity[
              1.198645530550478`1.9995659225206872*^15, "Kilograms"], 
             "Radius" -> Quantity[6.`1., "Kilometers"]|>, 
           "Phoebe" -> <|
            "Mass" -> Quantity[
              8.287135536843366995`3.9586073148417764*^18, "Kilograms"], 
             "Radius" -> Quantity[106.6`4., "Kilometers"]|>, 
           "Paaliaq" -> <|
            "Mass" -> Quantity[
              8.240688022534537`1.999565922520683*^15, "Kilograms"], "Radius" -> 
             Quantity[11.`3., "Kilometers"]|>, 
           "Skathi" -> <|
            "Mass" -> Quantity[
              3.146444517695`1.9995659225206786*^14, "Kilograms"], "Radius" -> 
             Quantity[4.`1., "Kilometers"]|>, 
           "Albiorix" -> <|
            "Mass" -> Quantity[
              2.0976296784633363`1.9995659225206872*^16, "Kilograms"], 
             "Radius" -> Quantity[16.`2., "Kilometers"]|>, 
           "S/2007 S2" -> <|
            "Mass" -> Quantity[1.5`2.*^14, "Kilograms"], "Radius" -> 
             Quantity[3.`1., "Kilometers"]|>, 
           "Bebhionn" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[3.`2., "Kilometers"]|>, 
           "Erriapo" -> <|
            "Mass" -> Quantity[
              7.64136525725929`1.9995659225206914*^14, "Kilograms"], "Radius" -> 
             Quantity[5.`1., "Kilometers"]|>, 
           "Siarnaq" -> <|
            "Mass" -> Quantity[
              3.8955979742890535`1.999565922520683*^16, "Kilograms"], 
             "Radius" -> Quantity[20.`2., "Kilometers"]|>, 
           "Skoll" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[3.`2., "Kilometers"]|>, 
           "Tarvos" -> <|
            "Mass" -> Quantity[
              2.696952443738576`1.9995659225206786*^15, "Kilograms"], 
             "Radius" -> Quantity[7.5`2., "Kilometers"]|>, 
           "Greip" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[3.`2., "Kilometers"]|>, 
           "S/2004 S13" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[3.`2., "Kilometers"]|>, 
           "Hyrrokkin" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[4.`2., "Kilometers"]|>, 
           "Mundilfari" -> <|
            "Mass" -> Quantity[
              2.09762967846334`1.9995659225206872*^14, "Kilograms"], "Radius" -> 
             Quantity[3.5`2., "Kilometers"]|>, 
           "S/2006 S1" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[3.`2., "Kilometers"]|>, 
           "Jarnsaxa" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[3.`2., "Kilometers"]|>, 
           "Narvi" -> <|
            "Mass" -> Quantity[
              3.44610590033262`1.9995659225206872*^14, "Kilograms"], "Radius" -> 
             Quantity[3.5`2., "Kilometers"]|>, 
           "Bergelmir" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[3.`2., "Kilometers"]|>, 
           "S/2004 S17" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[2.`2., "Kilometers"]|>, 
           "Suttungr" -> <|
            "Mass" -> Quantity[
              2.09762967846334`1.9995659225206872*^14, "Kilograms"], "Radius" -> 
             Quantity[3.5`2., "Kilometers"]|>, 
           "Hati" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[3.`2., "Kilometers"]|>, 
           "S/2004 S12" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[3.`2., "Kilometers"]|>, 
           "Bestla" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[3.`2., "Kilometers"]|>, 
           "Farbauti" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[3.`2., "Kilometers"]|>, 
           "Thrymr" -> <|
            "Mass" -> Quantity[
              2.09762967846334`1.9995659225206872*^14, "Kilograms"], "Radius" -> 
             Quantity[3.5`2., "Kilometers"]|>, 
           "S/2007 S3" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[2.5`2., "Kilometers"]|>, 
           "Aegir" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[3.`2., "Kilometers"]|>, 
           "S/2004 S7" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[3.`2., "Kilometers"]|>, 
           "S/2006 S3" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[3.`2., "Kilometers"]|>, 
           "Kari" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[3.`2., "Kilometers"]|>, 
           "Fenrir" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[2.`2., "Kilometers"]|>, 
           "Surtur" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[3.`2., "Kilometers"]|>, 
           "Ymir" -> <|
            "Mass" -> Quantity[
              4.944412813520729`1.9995659225206872*^15, "Kilograms"], 
             "Radius" -> Quantity[9.`1., "Kilometers"]|>, 
           "Loge" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[3.`2., "Kilometers"]|>, 
           "Fornjot" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[3.`2., "Kilometers"]|>|>|>, 
       "Uranus" -> <|
        "Mass" -> Quantity[8.68103`6.*^25, "Kilograms"], "Radius" -> 
         Quantity[25266.`5., "Kilometers"], 
         "Moons" -> <|
          "Cordelia" -> <|
            "Mass" -> Quantity[
              4.4949207395642923`1.9995659225206872*^16, "Kilograms"], 
             "Radius" -> Quantity[20.1`3., "Kilometers"]|>, 
           "Ophelia" -> <|
            "Mass" -> Quantity[
              5.3939048874771508`1.9995659225206872*^16, "Kilograms"], 
             "Radius" -> Quantity[21.4`3., "Kilometers"]|>, 
           "Bianca" -> <|
            "Mass" -> Quantity[
              9.2895028617662042`1.9995659225206872*^16, "Kilograms"], 
             "Radius" -> Quantity[25.7`3., "Kilometers"]|>, 
           "Cressida" -> <|
            "Mass" -> Quantity[
              3.43112283120074311`2.9956786262173587*^17, "Kilograms"], 
             "Radius" -> Quantity[39.8`3., "Kilometers"]|>, 
           "Desdemona" -> <|
            "Mass" -> Quantity[
              1.78298522669383596`2.995678626217367*^17, "Kilograms"], 
             "Radius" -> Quantity[32.`3., "Kilometers"]|>, 
           "Juliet" -> <|
            "Mass" -> Quantity[
              5.57370171705972251`2.9956786262173543*^17, "Kilograms"], 
             "Radius" -> Quantity[46.8`3., "Kilometers"]|>, 
           "Portia" -> <|
            "Mass" -> Quantity[
              1.681100356597045339`3.9586073148417764*^18, "Kilograms"], 
             "Radius" -> Quantity[67.6`3., "Kilometers"]|>, 
           "Rosalind" -> <|
            "Mass" -> Quantity[
              2.54712175241976567`2.9956786262173587*^17, "Kilograms"], 
             "Radius" -> Quantity[36.`2., "Kilometers"]|>, 
           "Cupid" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[5.`2., "Kilometers"]|>, 
           "Belinda" -> <|
            "Mass" -> Quantity[
              3.56597045338767194`2.995678626217367*^17, "Kilograms"], 
             "Radius" -> Quantity[40.3`3., "Kilometers"]|>, 
           "Perdita" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[10.`2., "Kilometers"]|>, 
           "Puck" -> <|
            "Mass" -> Quantity[
              2.893230649366216176`3.9586073148417764*^18, "Kilograms"], 
             "Radius" -> Quantity[81.`2., "Kilometers"]|>, 
           "Mab" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[5.`2., "Kilometers"]|>, 
           "Miranda" -> <|
            "Mass" -> Quantity[
              6.5925504180276287794`1.9995659225206872*^19, "Kilograms"], 
             "Radius" -> Quantity[235.8`4., "Kilometers"]|>, 
           "Ariel" -> <|
            "Mass" -> Quantity[
              1.352971142608851997243`2.9956786262173587*^21, "Kilograms"], 
             "Radius" -> Quantity[578.9`4., "Kilometers"]|>, 
           "Umbriel" -> <|
            "Mass" -> Quantity[
              1.171676006113092205807`2.9956786262173587*^21, "Kilograms"], 
             "Radius" -> Quantity[584.7`4., "Kilometers"]|>, 
           "Titania" -> <|
            "Mass" -> Quantity[
              3.525516166731593299572`3.9586073148417764*^21, "Kilograms"], 
             "Radius" -> Quantity[788.9`4., "Kilometers"]|>, 
           "Oberon" -> <|
            "Mass" -> Quantity[
              3.013095202421263971712`3.9586073148417764*^21, "Kilograms"], 
             "Radius" -> Quantity[761.4`4., "Kilometers"]|>, 
           "Francisco" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[11.`2., "Kilometers"]|>, 
           "Caliban" -> <|
            "Mass" -> Quantity[
              7.34170387462167751`1.9995659225206872*^17, "Kilograms"], 
             "Radius" -> Quantity[49.`2., "Kilometers"]|>, 
           "Stephano" -> <|
            "Mass" -> Quantity[
              5.99322765275239`0.9999565727231373*^15, "Kilograms"], "Radius" -> 
             Quantity[10.`2., "Kilometers"]|>, 
           "Trinculo" -> <|
            "Mass" -> Quantity[
              7.49153456594048`0.9999565727231373*^14, "Kilograms"], "Radius" -> 
             Quantity[5.`1., "Kilometers"]|>, 
           "Sycorax" -> <|
            "Mass" -> Quantity[
              5.378921818345269844`2.9956786262173627*^18, "Kilograms"], 
             "Radius" -> Quantity[95.`2., "Kilometers"]|>, 
           "Margaret" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[10.`2., "Kilometers"]|>, 
           "Prospero" -> <|
            "Mass" -> Quantity[
              2.0976296784633363`1.9995659225206872*^16, "Kilograms"], 
             "Radius" -> Quantity[15.`2., "Kilometers"]|>, 
           "Setebos" -> <|
            "Mass" -> Quantity[
              2.0976296784633363`1.9995659225206872*^16, "Kilograms"], 
             "Radius" -> Quantity[15.`2., "Kilometers"]|>, 
           "Ferdinand" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[10.`2., "Kilometers"]|>|>|>, 
       "Neptune" -> <|
        "Mass" -> Quantity[1.0241`6.*^26, "Kilograms"], "Radius" -> 
         Quantity[24552.5`5., "Kilometers"], 
         "Moons" -> <|
          "Naiad" -> <|
            "Mass" -> Quantity[
              1.94779898714452669`1.9995659225206872*^17, "Kilograms"], 
             "Radius" -> Quantity[33.`2., "Kilometers"]|>, 
           "Thalassa" -> <|
            "Mass" -> Quantity[
              3.74576728297024363`1.9995659225206872*^17, "Kilograms"], 
             "Radius" -> Quantity[41.`2., "Kilometers"]|>, 
           "Despina" -> <|
            "Mass" -> Quantity[
              2.09762967846333643`1.9995659225206872*^18, "Kilograms"], 
             "Radius" -> Quantity[75.`2., "Kilometers"]|>, 
           "Galatea" -> <|
            "Mass" -> Quantity[
              3.745767282970243625`1.9995659225206872*^18, "Kilograms"], 
             "Radius" -> Quantity[88.`2., "Kilometers"]|>, 
           "Larissa" -> <|
            "Mass" -> Quantity[
              4.944412813520721585`1.999565922520683*^18, "Kilograms"], 
             "Radius" -> Quantity[97.`2., "Kilometers"]|>, 
           "Proteus" -> <|
            "Mass" -> Quantity[
              5.0343112283120074311`2.995678626217367*^19, "Kilograms"], 
             "Radius" -> Quantity[210.`3., "Kilometers"]|>, 
           "Triton" -> <|
            "Mass" -> Quantity[
              2.139432441341284348686`4.6989700043360205*^22, "Kilograms"], 
             "Radius" -> Quantity[1353.4`5., "Kilometers"]|>, 
           "Nereid" -> <|
            "Mass" -> Quantity[
              3.0865122411674807466`2.9956786262173587*^19, "Kilograms"], 
             "Radius" -> Quantity[170.`3., "Kilometers"]|>, 
           "Halimede" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[30.`2., "Kilometers"]|>, 
           "Sao" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[20.`2., "Kilometers"]|>, 
           "Laomedeia" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[20.`2., "Kilometers"]|>, 
           "Psamathe" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[20.`2., "Kilometers"]|>, 
           "Neso" -> <|
            "Mass" -> Missing["NotAvailable"], "Radius" -> 
             Quantity[30.`2., "Kilometers"]|>|>|>|>, "AllowEmbedding" -> True,
      "InitialShape" -> TypeSystem`PackageScope`HeaderShape[<|{All, 
          TypeSystem`PackageScope`KeyDummy[20]} -> 1, {All, "Mass"} -> 
        1, {All, "Radius"} -> 1, {All, "Moons"} -> <|{All, "Moons", All, 
            TypeSystem`PackageScope`KeyDummy[19]} -> 
          1, {All, "Moons", All, "Mass"} -> 1, {All, "Moons", All, "Radius"} -> 
          1|>|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`KeyValueShape[
          TypeSystem`PackageScope`AtomShape[78.4], 
          TypeSystem`PackageScope`Limited[
           
           TypeSystem`PackageScope`RowShape[<|
            "Mass" -> TypeSystem`PackageScope`AtomShape[75], "Radius" -> 
             TypeSystem`PackageScope`AtomShape[75], "Moons" -> 
             TypeSystem`PackageScope`Limited[
               TypeSystem`PackageScope`ColumnShape[
                TypeSystem`PackageScope`KeyValueShape[
                 TypeSystem`PackageScope`AtomShape[78.4], 
                 TypeSystem`PackageScope`Limited[
                  
                  TypeSystem`PackageScope`RowShape[<|
                   "Mass" -> TypeSystem`PackageScope`AtomShape[75], "Radius" -> 
                    TypeSystem`PackageScope`AtomShape[75]|>], 
                  DirectedInfinity[1], 2, {All, "Moons", All}]]], 4, 
               DirectedInfinity[1], {All, "Moons"}]|>], 
           DirectedInfinity[1], 3, {All}]]], 5, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Assoc[
       TypeSystem`Atom[String], 
       TypeSystem`Struct[{"Mass", "Radius", "Moons"}, {
         TypeSystem`Atom[
          Quantity[1, "Kilograms"]], 
         TypeSystem`Atom[
          Quantity[1, "Kilometers"]], 
         TypeSystem`Assoc[
          TypeSystem`Atom[String], 
          TypeSystem`Struct[{"Mass", "Radius"}, {
            TypeSystem`Atom[
             Quantity[1, "Kilograms"]], 
            TypeSystem`Atom[
             Quantity[1, "Kilometers"]]}], TypeSystem`AnyLength]}], 8], 
     "Meta" -> <||>, "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{
          Key["Uranus"], "Moons", 
          Key["Cordelia"], "Mass"} -> 1, {
          Key["Uranus"], "Moons", 
          Key["Cordelia"], "Radius"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`RowShape[<|
         "Mass" -> TypeSystem`PackageScope`AtomShape[75], "Radius" -> 
          TypeSystem`PackageScope`AtomShape[75]|>], 
        DirectedInfinity[1], 2, {}]], "Type" -> 
     TypeSystem`Struct[{"Mass", "Radius"}, {
        TypeSystem`Atom[
         Quantity[1, "Kilograms"]], 
        TypeSystem`Atom[
         Quantity[1, "Kilometers"]]}], "Path" -> {
       Key["Uranus"], "Moons", 
       Key["Cordelia"]}, "DisplayedRowCount" -> DirectedInfinity[1], 
     "DisplayedColumnCount" -> 2, "DataRowCount" -> 2, "DataColumnCount" -> 2,
      "SortPaths" -> {}, "SortDirections" -> {}, "HiddenItemsMap" -> Null, 
     "UpdateType" -> 1|>, TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {
     Key["Uranus"], "Moons", 
     Key["Cordelia"]}, TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["Mass", 
                  Style[
                  "Mass", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["Uranus"], "Moons", 
                    Key["Cordelia"], "Mass"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d9e3817e-4c8a-4825-8290-975e2622b1d6"]][{
                 Key["Uranus"], "Moons", 
                 Key["Cordelia"], "Mass"}, "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["Radius", 
                  Style[
                  "Radius", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["Uranus"], "Moons", 
                    Key["Cordelia"], "Radius"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d9e3817e-4c8a-4825-8290-975e2622b1d6"]][{
                 Key["Uranus"], "Moons", 
                 Key["Cordelia"], "Radius"}, "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation[
               RawBoxes[
                
                RowBox[{
                 "4.4949207395642923`1.9995659225206872*^16", "\"kg\""}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d9e3817e-4c8a-4825-8290-975e2622b1d6"]][{
                 Key["Uranus"], "Moons", 
                 Key["Cordelia"], 
                 Key["Mass"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                RowBox[{"20.1`3", "\"km\""}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d9e3817e-4c8a-4825-8290-975e2622b1d6"]][{
                 Key["Uranus"], "Moons", 
                 Key["Cordelia"], 
                 Key["Radius"]}, "Item", False], "Mouse"], 
              ImageSize -> {{75, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{168., {44.3837890625, 51.6162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{168., {44.3837890625, 51.6162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 ShowCellLabel->False,
 CellChangeTimes->{3.771935855446124*^9, 3.817311976655416*^9, 
  3.867324049283935*^9, 3.881758436162444*^9},
 CellLabel->"Out[97]=",
 CellID->1831981583,ExpressionUUID->"66bec087-fc2c-4ef6-aa65-f0a9d67f9ed2"],

Cell[TextData[{
 "You can also right click the row or column headers. Doing so yields a \
context menu. Now you can copy to the clipboard either the position (part \
specification) of that element or the ",
 ButtonBox["Normal",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Normal.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Normal.html"],
 " form of the appropriate data. Alternatively, you can paste the same \
elements into a new cell below where you are clicking. "
}], "Text",
 CellChangeTimes->{{3.770024770675398*^9, 3.77002478012567*^9}, {
   3.770024851454013*^9, 3.770024901302264*^9}, {3.770024970868148*^9, 
   3.770024972160614*^9}, {3.770025019299906*^9, 3.770025094660243*^9}, {
   3.770025136834557*^9, 3.77002513954265*^9}, {3.770025500499257*^9, 
   3.770025541806188*^9}, 3.7880095461777616`*^9, {3.872180452916314*^9, 
   3.8721804736673207`*^9}},
 CellTags->"i:9",
 CellID->435558652,ExpressionUUID->"9b843e37-40d3-47ae-8d54-67f2c8bb3e63"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Syntactic Sugar for Queries", "Subsubsection",
 CellChangeTimes->{{3.769790450432001*^9, 3.76979045872124*^9}},
 CellID->262700673,ExpressionUUID->"6eeaa553-498b-4a93-a734-5153fcba8975"],

Cell[TextData[{
 "A second reason to wrap data structures with ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " is to get access to syntactic sugar. Instead of writing ",
 Cell[BoxData[
  RowBox[{
   RowBox[{
    ButtonBox[
     StyleBox["Query",
      FontColor->GrayLevel[0]],
     BaseStyle->"Hyperlink",
     ButtonData->{
       URL["https://reference.wolfram.com/language/ref/Query.html"], None},
     ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"], 
    "[", 
    RowBox[{"f", ",", "g"}], "]"}], "[", "ds", "]"}]], "InlineCodeText",
  ExpressionUUID->"24aa1b1d-1dba-4ce0-bd3d-ab2182095292"],
 " (where ",
 Cell[BoxData[
 "ds"], "InlineCodeText",ExpressionUUID->
  "cbe3fc32-8141-4652-a30e-3e888b1c4b7d"],
 " is a dataset), you can write ",
 Cell[BoxData[
  RowBox[{"ds", "[", 
   RowBox[{"f", ",", "g"}], "]"}]], "InlineCodeText",ExpressionUUID->
  "5997f242-3928-4caa-bd98-67643d77588f"],
 "; you don\[CloseCurlyQuote]t need to use the word ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " anymore. The code ",
 Cell[BoxData[
  RowBox[{"ds", "[", 
   RowBox[{"f", ",", "g"}], "]"}]], "InlineCodeText",ExpressionUUID->
  "81e57d45-f312-4258-bfbe-dce59a225e81"],
 " in effect constructs ",
 Cell[BoxData[
  RowBox[{
   RowBox[{
    ButtonBox[
     StyleBox["Query",
      FontColor->GrayLevel[0]],
     BaseStyle->"Hyperlink",
     ButtonData->{
       URL["https://reference.wolfram.com/language/ref/Query.html"], None},
     ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"], 
    "[", 
    RowBox[{"f", ",", "g"}], "]"}], "[", "ds", "]"}]], "InlineCodeText",
  ExpressionUUID->"a80b4dd7-a254-4cf7-858c-62370d830c28"],
 ". Syntactically, it looks as if the dataset or other structure has become a \
function."
}], "Text",
 CellTags->"i:10",
 CellID->487195667,ExpressionUUID->"304c8dae-d38d-4f02-8094-3e358ddb97f1"],

Cell[TextData[{
 "This code, for example, containing a ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of Associations, does not produce the desired results because it is not a \
dataset."
}], "Text",
 CellChangeTimes->{{3.769775806713975*^9, 3.769775812338908*^9}, {
  3.769775851126903*^9, 3.769775857155974*^9}, {3.7697870553013973`*^9, 
  3.769787059744813*^9}, {3.769852760736898*^9, 3.769852773995989*^9}, {
  3.788011236844847*^9, 3.788011236985717*^9}, {3.871043088711931*^9, 
  3.871043094105127*^9}, {3.871044974853198*^9, 3.8710449751396213`*^9}},
 CellID->2089912905,ExpressionUUID->"1889e61a-af94-459b-85c4-bc541ee3aee7"],

Cell["\<\
Implicit Queries don\[CloseCurlyQuote]t work on expressions that aren\
\[CloseCurlyQuote]t datasets:\
\>", "CodeCaption",
 CellChangeTimes->{{3.769947277515251*^9, 3.769947312143978*^9}, {
   3.787077461911659*^9, 3.787077467128659*^9}, 3.7873206863879623`*^9, {
   3.788011240065393*^9, 3.788011240127903*^9}},
 CellID->105959973,ExpressionUUID->"8284a144-b843-48d2-81c9-0f2f547c41ac"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{
    RowBox[{"Association", "[", 
     RowBox[{"\"\<a\>\"", "\[Rule]", "4"}], "]"}], ",", 
    RowBox[{"Association", "[", 
     RowBox[{"\"\<a\>\"", "\[Rule]", "4"}], "]"}]}], "}"}], "[", 
  RowBox[{"All", ",", "\"\<a\>\""}], "]"}]], "Input",
 CellChangeTimes->{{3.769775680532207*^9, 3.769775723880238*^9}},
 CellLabel->"In[533]:=",
 CellID->923664003,ExpressionUUID->"95bc8c7f-e3fd-4b96-a468-e4191b18c299"],

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{
    RowBox[{"\[LeftAssociation]", 
     RowBox[{"\<\"a\"\>", "\[Rule]", "4"}], "\[RightAssociation]"}], ",", 
    RowBox[{"\[LeftAssociation]", 
     RowBox[{"\<\"a\"\>", "\[Rule]", "4"}], "\[RightAssociation]"}]}], "}"}], 
  "[", 
  RowBox[{"All", ",", "\<\"a\"\>"}], "]"}]], "Output",
 CellChangeTimes->{{3.769775719952585*^9, 3.76977572420702*^9}, 
   3.7698689157059793`*^9, 3.7699468430477962`*^9, 3.771930544820212*^9, 
   3.866801186164647*^9, 3.86689035718025*^9, 3.88142558575653*^9},
 CellTags->"LastCellOfAPage",
 CellLabel->"Out[533]=",
 CellID->367273082,ExpressionUUID->"edbfab7f-5d9d-42e8-bf41-751f52fa420f"]
}, Open  ]],

Cell[TextData[{
 "To get all of the values with the key ",
 Cell[BoxData[
 "\"\<a\>\""], "InlineCodeText",ExpressionUUID->
  "a80ec7b9-dc1e-441d-bc61-15560243092d"],
 ", you would need to use an explicit ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " or use ",
 ButtonBox["Part",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Part.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Part.html"],
 " notation."
}], "Text",
 CellChangeTimes->{{3.7698893520238523`*^9, 3.7698893658359737`*^9}, {
  3.771921089088578*^9, 3.771921095069798*^9}, {3.787077471600659*^9, 
  3.787077472656659*^9}, {3.788011251931965*^9, 3.788011258711144*^9}, {
  3.866624774307094*^9, 3.866624801799334*^9}, {3.867857502230577*^9, 
  3.867857512378447*^9}, {3.8710431314216003`*^9, 3.8710431610498285`*^9}, {
  3.871044986239479*^9, 3.8710449869282036`*^9}, {3.871139938093935*^9, 
  3.871139939136416*^9}},
 CellTags->"p: 156",
 CellID->1991191038,ExpressionUUID->"4167809b-a3e9-4dd2-8efb-6bda412cb53f"],

Cell[TextData[{
 "For Lists of Associations, use ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " or use ",
 ButtonBox["Part",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Part.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Part.html"],
 " notation:"
}], "CodeCaption",
 CellChangeTimes->{{3.769947318208045*^9, 3.7699473331176558`*^9}, 
   3.787320694922962*^9, 3.788011264091365*^9, {3.866624813188739*^9, 
   3.8666248300204268`*^9}},
 CellID->101546105,ExpressionUUID->"d64c2132-2e9b-4ad1-853b-8714edbed086"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"Query", "[", 
     RowBox[{"All", ",", "\"\<a\>\""}], "]"}], "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Association", "[", 
       RowBox[{"\"\<a\>\"", "\[Rule]", "4"}], "]"}], ",", 
      RowBox[{"Association", "[", 
       RowBox[{"\"\<a\>\"", "\[Rule]", "4"}], "]"}]}], "}"}], "]"}], ",", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Association", "[", 
       RowBox[{"\"\<a\>\"", "\[Rule]", "4"}], "]"}], ",", 
      RowBox[{"Association", "[", 
       RowBox[{"\"\<a\>\"", "\[Rule]", "4"}], "]"}]}], "}"}], "[", 
    RowBox[{"[", 
     RowBox[{"All", ",", "\"\<a\>\""}], "]"}], "]"}]}], "}"}]], "Input",
 CellChangeTimes->{{3.7698893685398073`*^9, 3.7698893804479103`*^9}, {
  3.771921100058343*^9, 3.7719211203837337`*^9}},
 CellLabel->"In[534]:=",
 CellID->1810127794,ExpressionUUID->"179015cb-9c75-4dcc-9051-fc15c8425cf9"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"4", ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"4", ",", "4"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.769889380761776*^9, 3.769946843056233*^9, {3.771921098049943*^9, 
   3.7719211208164062`*^9}, 3.771930544829673*^9, 3.866801186246348*^9, 
   3.866890357235228*^9, 3.881425590243498*^9},
 CellLabel->"Out[534]=",
 CellID->983918721,ExpressionUUID->"06f4006b-31ae-42fd-a71a-e7f6250911c5"]
}, Open  ]],

Cell[TextData[{
 "But this code, containing a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " made from a list of Associations, works just fine. Again, notice that the \
output is still a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " but that the orientation is vertical. I\[CloseCurlyQuote]ll discuss \
orientation later in the chapter."
}], "Text",
 CellChangeTimes->{{3.769775822753009*^9, 3.769775827115872*^9}, {
   3.7697758600248632`*^9, 3.769775862061184*^9}, {3.769852777189795*^9, 
   3.7698527833058357`*^9}, {3.769889386542482*^9, 3.769889411885845*^9}, {
   3.7880112699533477`*^9, 3.788011282396846*^9}, 3.7953581828820057`*^9, {
   3.86560810006721*^9, 3.865608108357873*^9}, {3.8666248396655397`*^9, 
   3.866624846009704*^9}, {3.87104320121974*^9, 3.8710432230744753`*^9}},
 CellID->2009097905,ExpressionUUID->"068d116b-52fb-4514-b091-4c682b085921"],

Cell["Implicit Queries work on datasets:", "CodeCaption",
 CellChangeTimes->{{3.769947336437792*^9, 3.769947345917231*^9}, 
   3.7873207024189625`*^9, {3.788011287773055*^9, 3.7880112878356757`*^9}},
 CellID->765305623,ExpressionUUID->"4fa62a05-13b4-4456-857c-71a08fbbd4d1"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Dataset", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Association", "[", 
      RowBox[{"\"\<a\>\"", "\[Rule]", "4"}], "]"}], ",", 
     RowBox[{"Association", "[", 
      RowBox[{"\"\<a\>\"", "\[Rule]", "4"}], "]"}]}], "}"}], "]"}], "[", 
  RowBox[{"All", ",", "\"\<a\>\""}], "]"}]], "Input",
 CellChangeTimes->{{3.7697758360738153`*^9, 3.769775841023583*^9}},
 CellLabel->"In[535]:=",
 CellID->2023107554,ExpressionUUID->"31f9e68f-ccf7-462f-8f00-1a8897208abe"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {4, 4}, "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`Limited[
       TypeSystem`PackageScope`ColumnShape[
        TypeSystem`PackageScope`AtomShape[34]], 8, 
       DirectedInfinity[1], {}], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Atom[Integer], 2], "Meta" -> <||>, "RowTarget" -> 20, 
     "ColumnTarget" -> 10, "Shape" -> TypeSystem`PackageScope`Limited[
       TypeSystem`PackageScope`ColumnShape[
        TypeSystem`PackageScope`AtomShape[34]], 8, 
       DirectedInfinity[1], {}], "Type" -> TypeSystem`Vector[
       TypeSystem`Atom[Integer], 2], "Path" -> {}, "DisplayedRowCount" -> 8, 
     "DisplayedColumnCount" -> 1, "DataRowCount" -> 2, "DataColumnCount" -> 1,
      "SortPaths" -> {}, "SortDirections" -> {}, "HiddenItemsMap" -> Null, 
     "UpdateType" -> 1|>, TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               RawBoxes["4"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "83ed131d-c23d-4785-9a39-e9db3f9ed919"]][{1}, "Item", False], 
               "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               RawBoxes["4"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "83ed131d-c23d-4785-9a39-e9db3f9ed919"]][{2}, "Item", False], 
               "Mouse"], ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{44., {32.8837890625, 40.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{44., {32.8837890625, 40.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.86680164937963*^9, 3.866890357276911*^9, 
  3.881425595558323*^9},
 CellLabel->"Out[535]=",
 CellID->418608999,ExpressionUUID->"4575fc20-e5bf-4891-ab44-cb85bdd24c22"]
}, Open  ]],

Cell[TextData[{
 "Here\[CloseCurlyQuote]s an example using the ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " involving Titanic passengers that emphasizes the point."
}], "Text",
 CellChangeTimes->{{3.769790547554775*^9, 3.769790553650251*^9}, {
   3.769790661098875*^9, 3.7697906748687773`*^9}, {3.769791866222724*^9, 
   3.769791871115971*^9}, {3.78801129678034*^9, 3.788011296897958*^9}, 
   3.7953556046170197`*^9, {3.865608138631344*^9, 3.865608172584551*^9}, 
   3.867857585716085*^9, {3.8699205854997807`*^9, 3.8699205881196404`*^9}, {
   3.871043239485407*^9, 3.8710432456661787`*^9}, {3.8710434850157967`*^9, 
   3.871043485672858*^9}},
 CellTags->"i:11",
 CellID->213549650,ExpressionUUID->"6eb0e72e-f580-4cec-bc5e-4a9ec8d89197"],

Cell[TextData[{
 "Retrieve information for the 1309 passengers on the Titanic as a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ":"
}], "CodeCaption",
 CellChangeTimes->{{3.7699473493859577`*^9, 3.7699473607596407`*^9}, 
   3.770025728967018*^9, 3.7873207094579625`*^9, {3.7880116419982557`*^9, 
   3.788011642076571*^9}, {3.8699206076839952`*^9, 3.8699206143341303`*^9}, {
   3.8710435413579335`*^9, 3.8710435425632815`*^9}},
 CellTags->"i:12",
 CellID->2004306777,ExpressionUUID->"8cdf9b9c-4c1a-47de-95db-e4e67ab35a64"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"titanic", "=", 
  RowBox[{"ResourceData", "[", 
   RowBox[{"ro", ",", "\"\<Titanic List of Associations Dataset\>\""}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.769790747187796*^9, 3.7697907513712606`*^9}, {
  3.77193048808284*^9, 3.771930490363845*^9}},
 CellLabel->"In[536]:=",
 CellID->1531476463,ExpressionUUID->"f2b8db1c-3f01-42df-b64c-54dd436936cc"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "class" -> "1st", "age" -> 29, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 1, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 2, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 25, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 48, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 63, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 39, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 53, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 71, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 47, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 18, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 24, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 26, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 80, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 50, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 32, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 36, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 37, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 47, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 26, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 42, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 29, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 25, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 19, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 35, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 28, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 45, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 40, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 30, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 58, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 42, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 45, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 22, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 41, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 48, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 44, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 59, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 60, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 41, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 45, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 42, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 53, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 36, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 58, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 33, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 28, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 17, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 11, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 14, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 36, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 36, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 49, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 36, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 76, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 46, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 47, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 27, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 33, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 36, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 30, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 45, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 27, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 26, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 22, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 47, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 39, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 37, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 64, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 55, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 70, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 36, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 64, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 39, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 38, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 51, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 27, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 33, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 31, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 27, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 31, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 17, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 53, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 4, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 54, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 50, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 27, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 48, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 48, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 49, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 39, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 23, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 38, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 54, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 36, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 36, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 24, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 28, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 23, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 19, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 64, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 60, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 30, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 50, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 43, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 22, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 60, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 48, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 37, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 35, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 47, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 35, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 22, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 45, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 49, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 71, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 53, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 19, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 38, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 58, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 23, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 45, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 46, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 25, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 25, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 48, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 49, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 45, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 35, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 40, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 27, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 24, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 55, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 52, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 42, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 55, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 16, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 44, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 51, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 42, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 35, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 35, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 38, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 35, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 38, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 50, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 49, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 46, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 50, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 33, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 58, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 41, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 42, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 45, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 39, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 49, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 30, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 35, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 42, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 55, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 16, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 51, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 29, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 21, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 58, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 15, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 16, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 19, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 18, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 24, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 46, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 54, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 36, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 28, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 44, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 33, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 37, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 30, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 55, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 47, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 37, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 31, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 23, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 58, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 19, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 64, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 39, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 22, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 29, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 46, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 23, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 29, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 22, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 18, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 17, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 30, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 52, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 47, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 56, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 38, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 43, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 31, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 45, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 33, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 46, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 36, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 33, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 55, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 54, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 33, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 13, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 18, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 21, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 61, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 48, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 24, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 35, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 30, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 34, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 40, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 35, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 50, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 39, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 56, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 28, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 56, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 56, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 18, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 24, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 23, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 6, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 45, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 40, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 57, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 32, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 62, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 54, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 43, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 52, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 62, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 67, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 63, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 61, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 48, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 18, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 52, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 39, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 48, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 49, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 17, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 39, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 31, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> 40, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 61, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 47, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 35, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 64, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 60, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 60, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 54, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 21, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 55, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 31, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 57, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 45, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 50, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 27, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 50, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 21, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 51, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 21, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 31, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> Missing[], "sex" -> "male", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 62, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "1st", "age" -> 36, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 28, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 18, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 34, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 36, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 57, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 18, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 23, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 36, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 28, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 51, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 32, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 19, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 28, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 1, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 4, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 12, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 36, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 34, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 19, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 23, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 26, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 42, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 27, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 24, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 15, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 60, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 40, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 20, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 36, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 42, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 42, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 1, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 26, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 22, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 35, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 19, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 44, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 54, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 52, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 37, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 29, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 25, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 45, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 29, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 28, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 29, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 28, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 24, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 8, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 31, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 31, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 22, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 30, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 21, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 8, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 18, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 48, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 28, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 32, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 17, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 29, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 24, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 18, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 18, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 34, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 54, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 8, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 42, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 34, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 27, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 30, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 23, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 21, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 18, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 40, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 29, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 18, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 36, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 38, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 35, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 38, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 34, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 34, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 16, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 26, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 47, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 21, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 21, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 34, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 52, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 1, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 24, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 44, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 6, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 28, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 62, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 7, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 43, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 45, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 24, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 24, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 49, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 48, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 55, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 32, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 21, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 18, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 20, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 23, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 36, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 54, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 50, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 44, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 29, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 21, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 42, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 63, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 60, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 33, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 17, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 42, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 24, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 47, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 32, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 23, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 34, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 24, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 22, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 35, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 45, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 57, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 31, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 26, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 3, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 22, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 17, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 34, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 36, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 61, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 50, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 42, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 57, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 1, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 31, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 24, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 40, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 32, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 46, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 13, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 41, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 19, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 39, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 48, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 70, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 27, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 54, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 39, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 16, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 62, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 33, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 14, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 2, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 3, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 37, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 26, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 19, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 28, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 20, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 29, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 39, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 22, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 23, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 29, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 28, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 50, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 19, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 41, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 21, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 19, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 43, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 32, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 34, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 30, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 27, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 2, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 8, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 33, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 36, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 34, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 30, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 28, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 23, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 1, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 3, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 24, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 50, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 19, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 21, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 26, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 27, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 25, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 18, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 20, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 30, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 59, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 30, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 35, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 40, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 41, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 19, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 14, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 50, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 23, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 28, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 27, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 29, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 27, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 40, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 31, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 23, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 31, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 12, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 40, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 33, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 27, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 29, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 2, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> 4, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 29, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 5, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 36, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 33, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 66, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "2nd", "age" -> 31, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "2nd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 26, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "2nd", "age" -> 24, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 42, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 13, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 16, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 35, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 20, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 26, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 40, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 26, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 26, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 20, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 35, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 32, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 4, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 6, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> False|>,
        <|"class" -> "3rd", "age" -> 17, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 38, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 9, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 11, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 39, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 27, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 26, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 39, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 20, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 26, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 35, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 5, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 9, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 3, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 13, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 5, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 40, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 38, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 45, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 17, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 13, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 20, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 32, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 33, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 5, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 24, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 40, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 26, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 20, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 45, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 27, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 26, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 20, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 32, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 26, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 6, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 9, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 40, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 32, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 20, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 29, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 35, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 30, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 38, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 17, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 17, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 28, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 37, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 28, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 32, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 29, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 26, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 20, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 36, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 31, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 31, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 30, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 71, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 43, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 35, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 27, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 9, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 3, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 36, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 59, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 17, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 44, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 17, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 45, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 30, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 29, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 34, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 28, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 27, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 17, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 37, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 36, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 30, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 16, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 26, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 33, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 36, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 17, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 42, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 43, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 32, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 30, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 24, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 33, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 65, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 24, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 16, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 45, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 39, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 17, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 15, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 47, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 5, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 41, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 41, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 26, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 9, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 16, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 48, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 9, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 33, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 41, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 31, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 38, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 9, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 11, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 10, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 14, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 40, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 43, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 51, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 32, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 20, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 37, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 28, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 24, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 17, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 28, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 24, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 20, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 41, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 26, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 45, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 11, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 27, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 26, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 28, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 28, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 43, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 28, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 27, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 42, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 27, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 29, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 20, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 48, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 17, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 34, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 26, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 33, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 31, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 29, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 4, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 49, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 33, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 27, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 32, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 27, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 20, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 32, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 17, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 33, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 4, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 39, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 35, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 44, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 26, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 4, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 29, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 26, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 36, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 37, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 26, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 29, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 29, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 32, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 35, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 36, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 39, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 45, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 36, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 30, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 20, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 28, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 26, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 27, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 51, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 32, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 24, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 29, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 31, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 35, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 33, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 15, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 35, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 56, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 28, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 6, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 27, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 34, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 24, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 15, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 20, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 33, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 12, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 14, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 29, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 28, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 26, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 41, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 39, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 29, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 61, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 9, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 28, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 42, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 31, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 28, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 32, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 20, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 20, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 20, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 16, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 31, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 6, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 3, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 8, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 29, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 7, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 16, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 14, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 41, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 32, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 3, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 26, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 28, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 32, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 17, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 38, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 10, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 4, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 7, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 8, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 39, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 35, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 50, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 47, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 41, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 50, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 16, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 39, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 15, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 39, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 24, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 4, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 20, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 29, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 40, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 4, "sex" -> "male", "survived" -> False|>, <|
       "class" -> "3rd", "age" -> 10, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 9, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 40, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 45, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 30, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 32, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 33, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 23, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 61, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 19, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 31, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 27, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 29, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 16, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 44, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 74, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 14, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 24, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 34, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 1, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 32, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 31, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 44, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 25, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 7, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 9, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 29, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 36, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 63, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 12, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 41, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 10, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 36, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 30, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 33, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 28, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 28, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 47, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 31, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 16, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 31, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> True|>, <|
       "class" -> "3rd", "age" -> 20, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 14, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 22, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 33, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 38, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 51, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 47, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 29, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 21, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 27, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 36, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 27, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 15, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 46, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 15, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 27, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 27, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 29, "sex" -> "male", "survived" -> False|>},
      "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "2nd", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 1309], "Meta" -> <||>, 
     "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "2nd", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 1309], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
     1309, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["class", 
                  Style[
                  "class", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f0c3e11-44ac-4a85-a1bc-fbf6a294aa0e"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["age", 
                  Style[
                  "age", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f0c3e11-44ac-4a85-a1bc-fbf6a294aa0e"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["sex", 
                  Style[
                  "sex", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f0c3e11-44ac-4a85-a1bc-fbf6a294aa0e"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["survived", 
                  Style[
                  "survived", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f0c3e11-44ac-4a85-a1bc-fbf6a294aa0e"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f0c3e11-44ac-4a85-a1bc-fbf6a294aa0e"]][{1, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["29"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f0c3e11-44ac-4a85-a1bc-fbf6a294aa0e"]][{1, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f0c3e11-44ac-4a85-a1bc-fbf6a294aa0e"]][{1, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f0c3e11-44ac-4a85-a1bc-fbf6a294aa0e"]][{1, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f0c3e11-44ac-4a85-a1bc-fbf6a294aa0e"]][{2, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["1"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f0c3e11-44ac-4a85-a1bc-fbf6a294aa0e"]][{2, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f0c3e11-44ac-4a85-a1bc-fbf6a294aa0e"]][{2, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f0c3e11-44ac-4a85-a1bc-fbf6a294aa0e"]][{2, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f0c3e11-44ac-4a85-a1bc-fbf6a294aa0e"]][{3, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f0c3e11-44ac-4a85-a1bc-fbf6a294aa0e"]][{3, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f0c3e11-44ac-4a85-a1bc-fbf6a294aa0e"]][{3, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f0c3e11-44ac-4a85-a1bc-fbf6a294aa0e"]][{3, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f0c3e11-44ac-4a85-a1bc-fbf6a294aa0e"]][{4, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["30"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f0c3e11-44ac-4a85-a1bc-fbf6a294aa0e"]][{4, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f0c3e11-44ac-4a85-a1bc-fbf6a294aa0e"]][{4, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f0c3e11-44ac-4a85-a1bc-fbf6a294aa0e"]][{4, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f0c3e11-44ac-4a85-a1bc-fbf6a294aa0e"]][{5, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["25"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f0c3e11-44ac-4a85-a1bc-fbf6a294aa0e"]][{5, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f0c3e11-44ac-4a85-a1bc-fbf6a294aa0e"]][{5, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f0c3e11-44ac-4a85-a1bc-fbf6a294aa0e"]][{5, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f0c3e11-44ac-4a85-a1bc-fbf6a294aa0e"]][{6, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["48"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f0c3e11-44ac-4a85-a1bc-fbf6a294aa0e"]][{6, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f0c3e11-44ac-4a85-a1bc-fbf6a294aa0e"]][{6, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f0c3e11-44ac-4a85-a1bc-fbf6a294aa0e"]][{6, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f0c3e11-44ac-4a85-a1bc-fbf6a294aa0e"]][{7, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["63"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f0c3e11-44ac-4a85-a1bc-fbf6a294aa0e"]][{7, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f0c3e11-44ac-4a85-a1bc-fbf6a294aa0e"]][{7, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f0c3e11-44ac-4a85-a1bc-fbf6a294aa0e"]][{7, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f0c3e11-44ac-4a85-a1bc-fbf6a294aa0e"]][{8, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["39"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f0c3e11-44ac-4a85-a1bc-fbf6a294aa0e"]][{8, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f0c3e11-44ac-4a85-a1bc-fbf6a294aa0e"]][{8, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "3f0c3e11-44ac-4a85-a1bc-fbf6a294aa0e"]][{8, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Deploy[
              Pane[
               Row[{
                 Spacer[2], 
                 Style[
                  Row[{
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[True, 1309, 1], {1, 1309 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 8 
                    If[False, 1309, 1], {1, 1309 - -8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], " ", 
                    Style[
                    Mouseover[
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[1309, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]], 
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 8, " of ", 
                    Style[1309, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]]], ContextMenu -> {
                    MenuItem["Hide", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 1, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 10 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 10, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 30 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 30, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 100 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show All", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100000000, {}]], MenuEvaluator -> Automatic]}], 
                    " ", 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[False, 1309, 1], {1, 1309 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    8 If[True, 1309, 1], {1, 1309 - 8 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None]}], ContextMenu -> {}]}], 
               ImageMargins -> {{0, -1}, {-1, 1}}]], Background -> 
             RGBColor[
              0.9764705882352941, 0.9764705882352941, 0.9764705882352941], 
             Alignment -> {Left, Top}], SpanFromLeft, SpanFromLeft, 
            SpanFromLeft}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{231., {137.8837890625, 145.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{231., {137.8837890625, 145.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.865608177435738*^9, 3.865608208208012*^9, 
  3.866801187240793*^9, 3.8668903578987913`*^9, 3.880548554165539*^9, 
  3.8814256003089247`*^9},
 CellTags->"LastCellOfAPage",
 CellLabel->"Out[536]=",
 CellID->1322190758,ExpressionUUID->"bb467e3d-6921-4d58-9b1f-2fa405fd7922"]
}, Open  ]],

Cell[TextData[{
 "And I could write the following explicit ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 "."
}], "Text",
 CellChangeTimes->{{3.769791873953537*^9, 3.769791882041814*^9}, {
   3.769852798362133*^9, 3.769852801110588*^9}, 3.788011680960047*^9},
 CellTags->"p: 157",
 CellID->1743778463,ExpressionUUID->"88b437c9-d3ac-4b46-8a6b-ca5026fbe684"],

Cell[TextData[{
 "An explicit ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " to break down survival on the Titanic by gender:"
}], "CodeCaption",
 CellChangeTimes->{{3.769947366659726*^9, 3.769947384995761*^9}, 
   3.7873207171379623`*^9, 3.7880116540806327`*^9, 3.7880116848984995`*^9},
 CellID->818337465,ExpressionUUID->"606cac73-fcd2-44f0-9648-893765c9b3f2"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{
    RowBox[{"GroupBy", "[", 
     RowBox[{"#sex", "&"}], "]"}], ",", 
    RowBox[{
     RowBox[{"GroupBy", "[", 
      RowBox[{
       RowBox[{"ToString", "[", "#survived", "]"}], "&"}], "]"}], "/*", 
     "KeySort"}], ",", "Length"}], "]"}], "[", "titanic", "]"}]], "Input",
 CellChangeTimes->{{3.7697906770780163`*^9, 3.769790759390918*^9}},
 CellLabel->"In[537]:=",
 CellID->1839131781,ExpressionUUID->"1db5e75b-f3b1-48a9-a1d9-50479e5617b0"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> <|
      "female" -> <|"False" -> 127, "True" -> 339|>, 
       "male" -> <|"False" -> 682, "True" -> 161|>|>, "AllowEmbedding" -> 
     True, "InitialShape" -> TypeSystem`PackageScope`HeaderShape[<|{All, 
          TypeSystem`PackageScope`KeyDummy[1]} -> 1, {All, "False"} -> 
        1, {All, "True"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`KeyValueShape[
          TypeSystem`PackageScope`AtomShape[67.2], 
          TypeSystem`PackageScope`Limited[
           
           TypeSystem`PackageScope`RowShape[<|
            "False" -> TypeSystem`PackageScope`AtomShape[34], "True" -> 
             TypeSystem`PackageScope`AtomShape[34]|>], 
           DirectedInfinity[1], 2, {All}]]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Assoc[
       TypeSystem`Atom[String], 
       TypeSystem`Struct[{"False", "True"}, {
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[Integer]}], 2], "Meta" -> <||>, "RowTarget" -> 20, 
     "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, 
          TypeSystem`PackageScope`KeyDummy[1]} -> 1, {All, "False"} -> 
        1, {All, "True"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`KeyValueShape[
          TypeSystem`PackageScope`AtomShape[67.2], 
          TypeSystem`PackageScope`Limited[
           
           TypeSystem`PackageScope`RowShape[<|
            "False" -> TypeSystem`PackageScope`AtomShape[34], "True" -> 
             TypeSystem`PackageScope`AtomShape[34]|>], 
           DirectedInfinity[1], 2, {All}]]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Assoc[
       TypeSystem`Atom[String], 
       TypeSystem`Struct[{"False", "True"}, {
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[Integer]}], 2], "Path" -> {}, "DisplayedRowCount" -> 
     8, "DisplayedColumnCount" -> 2, "DataRowCount" -> 2, "DataColumnCount" -> 
     2, "SortPaths" -> {}, "SortDirections" -> {}, "HiddenItemsMap" -> Null, 
     "UpdateType" -> 1|>, TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               Mouseover[
                
                Graphics[{}, ImageSize -> 6, BaselinePosition -> 
                 Scaled[-0.15]], 
                Graphics[{
                  GrayLevel[0.6], 
                  
                  Polygon[{{2^Rational[-1, 2], -2^Rational[-1, 2]}, {
                    2^Rational[-1, 2], 2^
                    Rational[-1, 2]}, {-2^Rational[-1, 2], 2^
                    Rational[-1, 2]}, {-2^Rational[-1, 2], -2^
                    Rational[-1, 2]}}]}, ImageSize -> 6, BaselinePosition -> 
                 Scaled[-0.15]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "228ac990-1724-4123-90f6-efa5f21af877"]][{All, Keys}, 
                "KeyDummy", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["False", 
                  Style[
                  "False", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "False"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "228ac990-1724-4123-90f6-efa5f21af877"]][{All, "False"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["True", 
                  Style[
                  "True", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "True"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "228ac990-1724-4123-90f6-efa5f21af877"]][{All, "True"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["female", 
                  Style[
                  "female", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["female"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "228ac990-1724-4123-90f6-efa5f21af877"]][{
                 Key["female"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{67.2, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["127"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "228ac990-1724-4123-90f6-efa5f21af877"]][{
                 Key["female"], 
                 Key["False"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["339"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "228ac990-1724-4123-90f6-efa5f21af877"]][{
                 Key["female"], 
                 Key["True"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["male", 
                  Style[
                  "male", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["male"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "228ac990-1724-4123-90f6-efa5f21af877"]][{
                 Key["male"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{67.2, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["682"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "228ac990-1724-4123-90f6-efa5f21af877"]][{
                 Key["male"], 
                 Key["False"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["161"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "228ac990-1724-4123-90f6-efa5f21af877"]][{
                 Key["male"], 
                 Key["True"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{162., {46.3837890625, 53.6162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{162., {46.3837890625, 53.6162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.865686571903755*^9, 3.866801187759149*^9, 
  3.8668903583551807`*^9, 3.881425619872713*^9},
 CellLabel->"Out[537]=",
 CellID->1507287003,ExpressionUUID->"0037197e-bb50-453a-85d0-7f4b4b80aa42"]
}, Open  ]],

Cell[TextData[{
 "But I could equally well write the following code in which ",
 Cell[BoxData[
 "titanic"], "InlineCodeText",ExpressionUUID->
  "310d8e1f-332f-425f-b993-8e53c354a6df"],
 ", a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ", now looks like a function with a bunch of functions or function \
compositions as arguments. The ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " is implicit."
}], "Text",
 CellChangeTimes->{{3.76979074097969*^9, 3.7697908008481627`*^9}, {
   3.769791885562242*^9, 3.769791895303941*^9}, {3.7698528059620447`*^9, 
   3.769852828044217*^9}, {3.769889423854713*^9, 3.769889430566463*^9}, {
   3.7880116632380915`*^9, 3.788011688245907*^9}, {3.86568658557295*^9, 
   3.865686588519864*^9}, {3.865849528562566*^9, 3.8658495323690777`*^9}, {
   3.8701684055143423`*^9, 3.870168410622292*^9}, {3.871043583110072*^9, 
   3.8710435884354525`*^9}, 3.898111221712605*^9},
 CellTags->"i:13",
 CellID->249621030,ExpressionUUID->"9048d0dc-8b93-4ed6-88d6-6e709fc555ca"],

Cell[TextData[{
 "An implicit ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " to break down survival on the Titanic by gender:"
}], "CodeCaption",
 CellChangeTimes->{{3.769947392260878*^9, 3.769947403896418*^9}, 
   3.7873207249779625`*^9, {3.7880116910428705`*^9, 3.7880116925971622`*^9}},
 CellID->692399393,ExpressionUUID->"f3d029c6-d593-4d03-99ca-bfa690bac9f3"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"titanic", "[", 
  RowBox[{
   RowBox[{"GroupBy", "[", 
    RowBox[{"#sex", "&"}], "]"}], ",", 
   RowBox[{
    RowBox[{"GroupBy", "[", 
     RowBox[{
      RowBox[{"ToString", "[", "#survived", "]"}], "&"}], "]"}], "/*", 
    "KeySort"}], ",", "Length"}], "]"}]], "Input",
 CellChangeTimes->{{3.7697907853568172`*^9, 3.769790792275646*^9}},
 CellLabel->"In[538]:=",
 CellID->891814036,ExpressionUUID->"04b47ab0-908b-4f67-b0ab-1b790d9ff648"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> <|
      "female" -> <|"False" -> 127, "True" -> 339|>, 
       "male" -> <|"False" -> 682, "True" -> 161|>|>, "AllowEmbedding" -> 
     True, "InitialShape" -> TypeSystem`PackageScope`HeaderShape[<|{All, 
          TypeSystem`PackageScope`KeyDummy[2]} -> 1, {All, "False"} -> 
        1, {All, "True"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`KeyValueShape[
          TypeSystem`PackageScope`AtomShape[67.2], 
          TypeSystem`PackageScope`Limited[
           
           TypeSystem`PackageScope`RowShape[<|
            "False" -> TypeSystem`PackageScope`AtomShape[34], "True" -> 
             TypeSystem`PackageScope`AtomShape[34]|>], 
           DirectedInfinity[1], 2, {All}]]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Assoc[
       TypeSystem`Atom[String], 
       TypeSystem`Struct[{"False", "True"}, {
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[Integer]}], 2], "Meta" -> <||>, "RowTarget" -> 20, 
     "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, 
          TypeSystem`PackageScope`KeyDummy[2]} -> 1, {All, "False"} -> 
        1, {All, "True"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`KeyValueShape[
          TypeSystem`PackageScope`AtomShape[67.2], 
          TypeSystem`PackageScope`Limited[
           
           TypeSystem`PackageScope`RowShape[<|
            "False" -> TypeSystem`PackageScope`AtomShape[34], "True" -> 
             TypeSystem`PackageScope`AtomShape[34]|>], 
           DirectedInfinity[1], 2, {All}]]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Assoc[
       TypeSystem`Atom[String], 
       TypeSystem`Struct[{"False", "True"}, {
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[Integer]}], 2], "Path" -> {}, "DisplayedRowCount" -> 
     8, "DisplayedColumnCount" -> 2, "DataRowCount" -> 2, "DataColumnCount" -> 
     2, "SortPaths" -> {}, "SortDirections" -> {}, "HiddenItemsMap" -> Null, 
     "UpdateType" -> 1|>, TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               Mouseover[
                
                Graphics[{}, ImageSize -> 6, BaselinePosition -> 
                 Scaled[-0.15]], 
                Graphics[{
                  GrayLevel[0.6], 
                  
                  Polygon[{{2^Rational[-1, 2], -2^Rational[-1, 2]}, {
                    2^Rational[-1, 2], 2^
                    Rational[-1, 2]}, {-2^Rational[-1, 2], 2^
                    Rational[-1, 2]}, {-2^Rational[-1, 2], -2^
                    Rational[-1, 2]}}]}, ImageSize -> 6, BaselinePosition -> 
                 Scaled[-0.15]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "09f6ecee-33a9-4769-8612-531b7e883810"]][{All, Keys}, 
                "KeyDummy", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["False", 
                  Style[
                  "False", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "False"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "09f6ecee-33a9-4769-8612-531b7e883810"]][{All, "False"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["True", 
                  Style[
                  "True", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "True"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "09f6ecee-33a9-4769-8612-531b7e883810"]][{All, "True"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["female", 
                  Style[
                  "female", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["female"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "09f6ecee-33a9-4769-8612-531b7e883810"]][{
                 Key["female"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{67.2, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["127"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "09f6ecee-33a9-4769-8612-531b7e883810"]][{
                 Key["female"], 
                 Key["False"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["339"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "09f6ecee-33a9-4769-8612-531b7e883810"]][{
                 Key["female"], 
                 Key["True"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["male", 
                  Style[
                  "male", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["male"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "09f6ecee-33a9-4769-8612-531b7e883810"]][{
                 Key["male"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{67.2, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["682"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "09f6ecee-33a9-4769-8612-531b7e883810"]][{
                 Key["male"], 
                 Key["False"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["161"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "09f6ecee-33a9-4769-8612-531b7e883810"]][{
                 Key["male"], 
                 Key["True"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{162., {46.3837890625, 53.6162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{162., {46.3837890625, 53.6162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.8656082868773003`*^9, 3.8668011879238567`*^9, 
  3.866890358485921*^9, 3.881425625964344*^9},
 CellLabel->"Out[538]=",
 CellID->1164367812,ExpressionUUID->"561ecafe-02cf-43d2-a685-c4018c22d696"]
}, Open  ]],

Cell[TextData[{
 "It\[CloseCurlyQuote]s all a little like writing ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["Map",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Map.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Map.html"], "[", 
   RowBox[{"f", ",", " ", "x"}], "]"}]], "InlineCodeText",ExpressionUUID->
  "1989e38a-9fde-4e27-9f23-982cf3e837b5"],
 " or ",
 Cell[BoxData[
  RowBox[{"f", 
   ButtonBox[
    StyleBox["/@",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Map.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Map.html"], 
   "\[VeryThinSpace]", "\[ThinSpace]", "x"}]], "InlineCodeText",
  ExpressionUUID->"899f85af-5efe-4ecb-848f-6b3add3861ac"],
 ". They are the same thing. Which to use is mostly a matter of aesthetics \
and programming workflow preferences. For what it\[CloseCurlyQuote]s worth, \
perhaps merely as a matter of habit or code transparency, I prefer using the \
explicit ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " and tend not to rely on the implicit ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " syntactic sugar. I have seen very respectable programmers choose otherwise."
}], "Text",
 CellID->1324350317,ExpressionUUID->"e64ae168-a193-4cd2-94db-f8c12267c8ea"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Optimization for Queries", "Subsubsection",
 CellChangeTimes->{{3.769790465202551*^9, 3.769790473796982*^9}, {
  3.865849568999172*^9, 3.865849570606332*^9}},
 CellID->1293722603,ExpressionUUID->"2e9f674a-840f-47ef-bd67-cf755e44ffca"],

Cell[TextData[{
 "The third current advantage is that the Wolfram Language kernel may engage \
in some optimizations of the data structure that sometimes accelerate \
subsequent queries on it. This optimization occurs primarily because in the \
course of embedding the data in a dataset, the kernel analyzes the structure \
of the data to find regularities\[LongDash]the first column is all integers \
and the keys of the second column are all either ",
 Cell[BoxData[
 "\"\<male\>\""], "InlineCodeText",ExpressionUUID->
  "1ef09725-88a2-4b31-af4c-cd7a7e771fbd"],
 " or ",
 Cell[BoxData[
 "\"\<female\>\""], "InlineCodeText",ExpressionUUID->
  "7eaf2cde-fd3d-4c63-811f-2e5926d5693e"],
 ", for example. The kernel may then exploit these regularities to compress \
the data and optimize future Queries."
}], "Text",
 CellChangeTimes->{{3.741693206003807*^9, 3.7416932222991743`*^9}, {
   3.769776162485054*^9, 3.7697761692679787`*^9}, {3.7697884106702642`*^9, 
   3.769788529617888*^9}, {3.7698531123158493`*^9, 3.769853149290794*^9}, {
   3.769889448452319*^9, 3.7698894489063377`*^9}, {3.78801204768771*^9, 
   3.788012060070013*^9}, {3.788012149240897*^9, 3.7880121710479517`*^9}, {
   3.86662490087015*^9, 3.866624901221246*^9}, 3.896271741782089*^9},
 CellTags->"i:14",
 CellID->1260077127,ExpressionUUID->"687a439c-78bb-423b-a8e0-d1cc5712a955"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Inside the Datasets", "Subsection",
 CellChangeTimes->{{3.7697894705805264`*^9, 3.769789483617393*^9}, {
  3.769790504688388*^9, 3.769790509435381*^9}},
 CellID->2013865925,ExpressionUUID->"3985f38d-c082-4a04-a05e-b464fa2f9114"],

Cell[TextData[{
 "It\[CloseCurlyQuote]s worth looking at least one time inside a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " object. Knowledge of the internal structure can help you fix or understand \
presentation issues that sometimes arise. You can\[CloseCurlyQuote]t use \
traditional methods such as ",
 ButtonBox["Part",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Part.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Part.html"],
 " because conventional Wolfram Language \
\[OpenCurlyDoubleQuote]de-referencing\[CloseCurlyDoubleQuote] functions will \
only access the data within the ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ", not its internal \
\[OpenCurlyDoubleQuote]meta\[CloseCurlyDoubleQuote]-information. (",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " responds ",
 ButtonBox["True",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/True.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/True.html"],
 " to ",
 ButtonBox["AtomQ",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/AtomQ.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/AtomQ.html"],
 ", which indicates that ",
 ButtonBox["Part",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Part.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Part.html"],
 " will not work in a typical fashion.) You can, however, access the \
internals in several ways. The simplest is to get the ",
 ButtonBox["InputForm",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/InputForm.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/InputForm.html"],
 " of the dataset. You can also see this internal structure if you access the \
Wolfram Language through something other than the Wolfram Language front end, \
for example, the Jupyter interface. Here, I show the internal form of the ",
 Cell[BoxData[
 "dinghy"], "InlineCodeText",ExpressionUUID->
  "96df0c3e-e663-4b4d-8fb9-541b31f9a4bb"],
 " dataset, an imaginary dinghy launched from the Titanic with five \
passengers."
}], "Text",
 CellTags->{"LastCellOfAPage", "i:15", "p: 158"},
 CellID->693755944,ExpressionUUID->"036fb0b9-a96b-4e96-a3d5-36586e477792"],

Cell[TextData[{
 "Get the ",
 ButtonBox["InputForm",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/InputForm.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/InputForm.html"],
 " of a small dataset:"
}], "CodeCaption",
 CellChangeTimes->{{3.769947415069344*^9, 3.76994742437176*^9}, 
   3.7873207341369624`*^9, {3.788012658645144*^9, 3.7880126608143053`*^9}},
 CellID->1008109640,ExpressionUUID->"b4798a99-d875-40c5-b9cc-b0bcf9a10dc1"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"dinghyDS", "=", 
    RowBox[{"ResourceData", "[", 
     RowBox[{"ro", ",", "\"\<Dinghy List of Associations Dataset\>\""}], 
     "]"}]}], ")"}], "//", "InputForm"}]], "Input",
 CellChangeTimes->{{3.769869003558282*^9, 3.769869031155799*^9}, {
  3.769943309726736*^9, 3.769943324639175*^9}, {3.7700311026531363`*^9, 
  3.770031106588662*^9}, {3.770031151000348*^9, 3.770031152873595*^9}, {
  3.771930497710184*^9, 3.771930500286785*^9}},
 CellLabel->"In[539]:=",
 CellID->556681197,ExpressionUUID->"8f5eca52-ee1d-4feb-aaa8-356855800779"],

Cell["\<\
Dataset[{<|\"class\" -> \"3rd\", \"age\" -> 16, 
   \"sex\" -> \"female\", \"survived\" -> True|>, 
  <|\"class\" -> \"1st\", \"age\" -> 65, 
   \"sex\" -> \"male\", \"survived\" -> False|>, 
  <|\"class\" -> \"3rd\", \"age\" -> 2, 
   \"sex\" -> \"female\", \"survived\" -> False|>, 
  <|\"class\" -> \"3rd\", \"age\" -> Missing[], 
   \"sex\" -> \"female\", \"survived\" -> True|>, 
  <|\"class\" -> \"3rd\", \"age\" -> 18, 
   \"sex\" -> \"female\", \"survived\" -> False|>}, 
 TypeSystem`Vector[TypeSystem`Struct[
   {\"class\", \"age\", \"sex\", \"survived\"}, 
   {TypeSystem`Atom[TypeSystem`Enumeration[
      \"1st\", \"3rd\"]], TypeSystem`Atom[Integer], 
    TypeSystem`Atom[TypeSystem`Enumeration[
      \"female\", \"male\"]], TypeSystem`Atom[
     TypeSystem`Boolean]}], 5], <||>]\
\>", "Output",
 CellChangeTimes->{{3.769869005238532*^9, 3.7698690315848846`*^9}, 
   3.769943326122758*^9, 3.769946843809279*^9, 3.770031107605262*^9, 
   3.770031153505403*^9, 3.771921182987259*^9, 3.7719305462662*^9, 
   3.79535672284007*^9, 3.8656083560181427`*^9, 3.8666250121602097`*^9, 
   3.866625398689857*^9, 3.866801188097877*^9, 3.866890358627276*^9, 
   3.880548447306745*^9, 3.881425636919242*^9},
 CellLabel->"Out[539]//InputForm=",
 CellID->1588678071,ExpressionUUID->"84e39c55-d418-431a-a3af-d7d58ef3b956"]
}, Open  ]],

Cell[TextData[{
 "What you see is a sequence of information. The first item is the original \
data. You can recover this directly with the ",
 ButtonBox["Normal",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Normal.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Normal.html"],
 " function or the ",
 Cell[BoxData[
 "Dataset`GetData"], "InlineCodeText",ExpressionUUID->
  "eed2c781-450e-48f6-9530-970dbb74f5f5"],
 " function."
}], "Text",
 CellChangeTimes->{{3.769787495677691*^9, 3.769787566112805*^9}, {
  3.769787683384592*^9, 3.769787687107801*^9}, {3.769789668466984*^9, 
  3.7697896715834303`*^9}, {3.7880126810843315`*^9, 3.7880127054359455`*^9}, {
  3.7880127797163887`*^9, 3.7880127861154113`*^9}, {3.7880164766407413`*^9, 
  3.7880164810221024`*^9}, {3.867857964503107*^9, 3.867857964503224*^9}, {
  3.8699299614673243`*^9, 3.8699299682693386`*^9}, {3.8722421188257923`*^9, 
  3.87224211983092*^9}},
 CellTags->"i:16",
 CellID->2000154705,ExpressionUUID->"70b3619f-6e8c-4d42-9830-78f66a236f27"],

Cell[TextData[{
 "Use ",
 Cell[BoxData[
 "Dataset`GetData"], "InlineCode",ExpressionUUID->
  "e97f986f-5d09-4a0a-9849-4e0432ddb59a"],
 " to retrieve the data inside the dataset:"
}], "CodeCaption",
 CellChangeTimes->{{3.7699474296708317`*^9, 3.769947439712089*^9}, 
   3.787321139139962*^9, {3.7880168047057886`*^9, 3.78801680962685*^9}},
 CellID->1891941555,ExpressionUUID->"0c211796-26f5-4a95-b210-46fa69248b59"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Dataset`GetData", "[", "dinghyDS", "]"}]], "Input",
 CellChangeTimes->{{3.769787569084256*^9, 3.769787585141329*^9}, {
  3.769787691180406*^9, 3.7697876915401707`*^9}, {3.7699433348908377`*^9, 
  3.769943340809675*^9}},
 CellLabel->"In[540]:=",
 CellID->1472524966,ExpressionUUID->"7a319b10-5bfa-4e80-93d5-51fb835839c3"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "16"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "True"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"1st\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "65"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"male\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "2"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", 
      RowBox[{"Missing", "[", "]"}]}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "True"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "18"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
    "\[RightAssociation]"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.76978757721143*^9, 3.769787582533869*^9}, 
   3.769787692128257*^9, 3.7698690351023607`*^9, 3.769943341642707*^9, 
   3.7699468438183603`*^9, 3.7719211936728888`*^9, 3.7719305462774067`*^9, 
   3.86662540214885*^9, 3.866801188163818*^9, 3.866890358662736*^9, 
   3.881425733556452*^9},
 CellLabel->"Out[540]=",
 CellID->1507831748,ExpressionUUID->"2c9da664-fd97-48bf-85b0-2c2fe430ae88"]
}, Open  ]],

Cell[TextData[{
 "The second item inside ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " provides information on the types of data it contains. This information, \
which can be obtained with the ",
 Cell[BoxData[
 "Dataset`GetType"], "InlineCodeText",ExpressionUUID->
  "b63ffbcf-427e-405f-be8b-9f8df3bf6207"],
 " function, is used by the Wolfram Language front end to format the \
presentation of the data and to optimize queries used on the data. Here, the \
data, which was formatted as vertically stacked pieces of information on each \
passenger, is identified as a ",
 StyleBox["Vector", "FormattedFunction"],
 " whose elements are all of type ",
 StyleBox["Struct", "FormattedFunction"],
 StyleBox[".", "InlineCode"],
 " Again, I\[CloseCurlyQuote]ll discuss later how to use type structure to \
master the presentation of information, but for now, it\[CloseCurlyQuote]s \
just worth seeing that ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ", deep inside, contains information on the structure of the data it \
contains."
}], "Text",
 CellChangeTimes->{{3.7697876958173923`*^9, 3.7697879338568897`*^9}, {
   3.769789676353944*^9, 3.76978976034723*^9}, 3.769889497617711*^9, {
   3.7880168150667734`*^9, 3.7880168345815196`*^9}, {3.7880170348575397`*^9, 
   3.788017035076046*^9}, {3.7880179825604544`*^9, 3.788017989857532*^9}, 
   3.795356015534203*^9, {3.866624948093499*^9, 3.866624949816167*^9}, {
   3.8678580649923773`*^9, 3.867858068841209*^9}, 3.869321858256596*^9, {
   3.869321907371724*^9, 3.8693219292934093`*^9}, {3.869920715157786*^9, 
   3.86992074308992*^9}, {3.869922159628265*^9, 3.869922179795045*^9}, 
   3.871044563136113*^9, {3.871045162554467*^9, 3.87104516482836*^9}, 
   3.8962718732740803`*^9},
 CellTags->"LastCellOfAPage",
 CellID->45780607,ExpressionUUID->"46409484-cecc-4232-b2b5-366358f44f99"],

Cell[TextData[{
 "Load the ",
 Cell[BoxData[
 "TypeSystem`"], "InlineCode",ExpressionUUID->
  "b93121f8-de48-45f1-9d6d-707253887ee9"],
 " package. Use ",
 Cell[BoxData[
 "Dataset`GetType"], "InlineCode",ExpressionUUID->
  "2a8ffcda-effe-4a82-88b3-c9b99d11d932"],
 " to retrieve type information inside the dataset:"
}], "CodeCaption",
 CellChangeTimes->{{3.7699474433693323`*^9, 3.769947453374447*^9}, 
   3.787321145705962*^9, {3.788017998036436*^9, 3.7880180015184317`*^9}, {
   3.866625051385819*^9, 3.866625057579681*^9}, {3.8678581631560507`*^9, 
   3.867858209026888*^9}, {3.8722422023367467`*^9, 3.8722422023367467`*^9}},
 CellTags->{"i:17", "p: 159"},
 CellID->537160344,ExpressionUUID->"192a288b-2c0e-4274-a961-7d04feef88a3"],

Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<TypeSystem`\>\"", "]"}]], "Input",
 CellChangeTimes->{{3.866625028226268*^9, 3.866625041627831*^9}},
 CellLabel->"In[541]:=",
 CellID->935777157,ExpressionUUID->"10b61bd8-ff9e-4e43-8b59-9096ac480aa0"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Dataset`GetType", "[", "dinghyDS", "]"}]], "Input",
 CellChangeTimes->{{3.769787775771183*^9, 3.769787783475896*^9}, 
   3.769943351844123*^9},
 CellLabel->"In[542]:=",
 CellID->1802044093,ExpressionUUID->"3ca1d7b7-d83f-4071-abbb-5a5773cb0bfa"],

Cell[BoxData[
 RowBox[{"Vector", "[", 
  RowBox[{
   RowBox[{"Struct", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\<\"class\"\>", ",", "\<\"age\"\>", ",", "\<\"sex\"\>", 
       ",", "\<\"survived\"\>"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Atom", "[", 
        RowBox[{"Enumeration", "[", 
         RowBox[{"\<\"1st\"\>", ",", "\<\"3rd\"\>"}], "]"}], "]"}], ",", 
       RowBox[{"Atom", "[", "Integer", "]"}], ",", 
       RowBox[{"Atom", "[", 
        RowBox[{"Enumeration", "[", 
         RowBox[{"\<\"female\"\>", ",", "\<\"male\"\>"}], "]"}], "]"}], ",", 
       RowBox[{"Atom", "[", "Boolean", "]"}]}], "}"}]}], "]"}], ",", "5"}], 
  "]"}]], "Output",
 CellChangeTimes->{3.7697877838628473`*^9, 3.7698690385488777`*^9, 
  3.769943381238202*^9, 3.76994684386068*^9, 3.7719212187013903`*^9, 
  3.771930546310257*^9, 3.866625043660446*^9, 3.8666254055521383`*^9, 
  3.8666254654682913`*^9, 3.8668011882628717`*^9, 3.866890358718848*^9, 
  3.881425752389011*^9},
 CellLabel->"Out[542]=",
 CellID->1856117602,ExpressionUUID->"57504af2-d014-4c02-8115-82aa1c4f590b"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox[ButtonBox["Dataset",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
  FontColor->RGBColor[
   0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]],
 " Presentation"
}], "Subsection",
 CellID->876942806,ExpressionUUID->"d50efca0-c0d7-4252-b398-818b1f0f8d98"],

Cell[TextData[{
 "If you are working with Version 13 (or later) of the Wolfram Language, \
there are many opportunities to format ",
 StyleBox["Dataset", "FormattedFunction"],
 " objects to make them more attractive or useful. I present several of them \
here. The basic ideas, however, are as follows:"
}], "Text",
 CellChangeTimes->{{3.865611159274703*^9, 3.865611247600831*^9}, {
  3.8722422213509083`*^9, 3.8722422215834928`*^9}},
 CellTags->"i:18",
 CellID->512631361,ExpressionUUID->"b7f6a819-76a7-482b-abe2-a1624e1c28b3"],

Cell[CellGroupData[{

Cell[TextData[{
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " has many presentation options that are controlled by a \
\[OpenCurlyDoubleQuote]specification list.\[CloseCurlyDoubleQuote]"
}], "Item",
 CellMargins->{{80, 3}, {4, 6}},
 CellChangeTimes->{{3.865686710250452*^9, 3.865686722672163*^9}, {
   3.866654194387734*^9, 3.866654203195944*^9}, {3.866889647148101*^9, 
   3.8668896488590612`*^9}, {3.8679206632476263`*^9, 3.867920675303475*^9}, 
   3.8710455263914623`*^9},
 CellID->1513334906,ExpressionUUID->"e845d807-87fe-4c9b-9c36-402518935832"],

Cell["Item and header presentations can be \[OpenCurlyDoubleQuote]content \
aware.\[CloseCurlyDoubleQuote]", "Item",
 CellChangeTimes->{{3.8656867391181917`*^9, 3.865686757832481*^9}, 
   3.867920700272038*^9, {3.869321989608423*^9, 3.869322009292218*^9}, 
   3.871045529822482*^9},
 CellID->1542864606,ExpressionUUID->"e32b42c8-44c3-4bc6-8f0c-9f334668babd"],

Cell[TextData[{
 "Datasets derived from other Datasets generally do not inherit styling \
options, but inheritance and/or restyling can be accomplished through the ",
 ButtonBox["FormatDataset",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
FormatDataset"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/\
FormatDataset"],
 " ",
 ButtonBox["ResourceFunction",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ResourceFunction.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/ResourceFunction.html"],
 " or the ",
 ButtonBox["DatasetQuery",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
DatasetQuery"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/\
DatasetQuery"],
 " ",
 ButtonBox["ResourceFunction",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ResourceFunction.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/ResourceFunction.html"],
 "."
}], "Item",
 CellChangeTimes->{{3.865686776534161*^9, 3.8656868209950447`*^9}, {
   3.8658498326282873`*^9, 3.865849834667137*^9}, {3.866801040005806*^9, 
   3.8668010486407223`*^9}, 3.867920791630212*^9, {3.86792083524797*^9, 
   3.867920861750325*^9}, {3.8679209847130203`*^9, 3.867920995810611*^9}, {
   3.8699208268938427`*^9, 3.869920840521842*^9}, {3.871045464952832*^9, 
   3.8710454684008565`*^9}},
 CellID->815781776,ExpressionUUID->"95221449-4269-46c8-b01b-11e4f9982dc6"],

Cell[TextData[{
 "The Wolfram Language front end handles vertical versus horizontal \
orientation of the successive levels of hierarchical data in derivative \
Datasets, but one can generally alter that orientation through ",
 ButtonBox["KeySort",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/KeySort.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/KeySort.html"],
 " and other functions in one\[CloseCurlyQuote]s ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 "."
}], "Item",
 CellChangeTimes->{{3.8656869572411337`*^9, 3.8656870425236797`*^9}, {
   3.865849848830546*^9, 3.865849850315742*^9}, {3.8679210897963343`*^9, 
   3.867921093748402*^9}, {3.8710454951993313`*^9, 3.871045533201898*^9}, {
   3.8711403546426916`*^9, 3.8711403564975967`*^9}, {3.872242441486292*^9, 
   3.872242442390763*^9}, 3.896308682193565*^9},
 CellID->930557664,ExpressionUUID->"fa891c02-7e84-4239-8341-f92ae52182f9"],

Cell["\<\
The Wolfram Language front end elides full presentation of large items, but \
one can, in many cases, override those elisions.\
\>", "Item",
 CellChangeTimes->{{3.865687080138155*^9, 3.865687100629579*^9}, {
  3.8658498596284847`*^9, 3.865849860248959*^9}, {3.8710455163760724`*^9, 
  3.8710455359518986`*^9}, {3.871140368082199*^9, 3.87114037002306*^9}, {
  3.872242452455169*^9, 3.8722424533122168`*^9}, {3.894024212566971*^9, 
  3.894024233030574*^9}, {3.896308680003241*^9, 3.896308685196745*^9}},
 FontTracking->0.1,
 CellID->346357323,ExpressionUUID->"db9f5084-5bd3-4cda-9a5a-086c9c32c05e"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox[ButtonBox["Dataset",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
  FontColor->RGBColor[
   0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]],
 " Options"
}], "Subsubsection",
 CellID->900599029,ExpressionUUID->"c2c03511-f1ec-4cda-9a9d-440f4556af6f"],

Cell[TextData[{
 "Let\[CloseCurlyQuote]s start with a plain vanilla ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ". I\[CloseCurlyQuote]ll label the underlying data as ",
 Cell[BoxData[
 "dinghyAssociations"], "InlineCodeText",ExpressionUUID->
  "4560ed4f-ab5a-4463-adc6-77040a24fd94"],
 " and the ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " I create as ",
 Cell[BoxData[
 "vanillaDS"], "InlineCodeText",ExpressionUUID->
  "51a84c58-70c0-4a24-ac32-57130603054f"],
 "."
}], "Text",
 CellChangeTimes->{{3.865614872084282*^9, 3.865614878486457*^9}, {
  3.865615117582512*^9, 3.865615148201799*^9}, {3.866650901572877*^9, 
  3.866650902516839*^9}, {3.867921110550686*^9, 3.8679211506022367`*^9}, {
  3.8710459747152824`*^9, 3.8710459752965126`*^9}},
 CellID->216065157,ExpressionUUID->"9011fe06-b4e3-43f4-a276-f43907af8b04"],

Cell[TextData[{
 "Retrieve a ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of Associations from the Wolfram Data Repository:"
}], "CodeText",
 CellChangeTimes->{{3.86584988100023*^9, 3.865849884324811*^9}, {
   3.8658499476729918`*^9, 3.865849959299674*^9}, 3.8658499975206547`*^9, 
   3.867921163073908*^9, {3.8733841264655943`*^9, 3.873384131456707*^9}},
 CellID->1669102640,ExpressionUUID->"112b8d0b-744c-428a-8e6e-75ddfded8b45"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"dinghyAssociations", "=", 
  RowBox[{"ResourceData", "[", 
   RowBox[{"ro", ",", "\"\<Dinghy List of Associations\>\""}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.865849912520781*^9, 3.865849927643363*^9}, {
  3.8658499655516367`*^9, 3.865849968553606*^9}},
 CellLabel->"In[12]:=",
 CellID->470517456,ExpressionUUID->"9647eb17-055d-4bba-a515-dceae796cf98"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "16"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "True"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"1st\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "65"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"male\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "2"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", 
      RowBox[{"Missing", "[", "]"}]}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "True"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "18"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
    "\[RightAssociation]"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.865849922967533*^9, 3.865849927732312*^9}, 
   3.865849969178602*^9, 3.8666255041615877`*^9, 3.8668011883444157`*^9, 
   3.866890358760233*^9, 3.8805484783583107`*^9, 3.881425761363022*^9, 
   3.882459583793365*^9},
 CellTags->"LastCellOfAPage",
 CellLabel->"Out[12]=",
 CellID->869234781,ExpressionUUID->"2b201681-ae89-4234-a406-f628aea57e46"]
}, Open  ]],

Cell[TextData[{
 "Convert the ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of Associations into a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " by wrapping ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " around it:"
}], "CodeText",
 CellChangeTimes->{{3.8658499778157682`*^9, 3.865849994597466*^9}, {
  3.867921170094241*^9, 3.867921200338874*^9}, {3.8963087388291063`*^9, 
  3.8963087389568853`*^9}},
 CellTags->"p: 160",
 CellID->1809193694,ExpressionUUID->"3ac486c2-e5d1-49ac-95fc-d1faf6a25858"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"vanillaDS", "=", 
  RowBox[{"Dataset", "[", "dinghyAssociations", "]"}]}]], "Input",
 CellChangeTimes->{{3.865614884552682*^9, 3.8656148923091507`*^9}, {
  3.865614931916058*^9, 3.865614945910171*^9}},
 CellLabel->"In[544]:=",
 CellID->2017061317,ExpressionUUID->"b46af885-a0d0-48a6-bb0b-fd15756f1001"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        False|>}, "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 5], "Meta" -> <||>, 
     "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 5], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
     5, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["class", 
                  Style[
                  "class", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0538d723-0ab7-4c41-a0f8-04e3b3b35b3a"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["age", 
                  Style[
                  "age", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0538d723-0ab7-4c41-a0f8-04e3b3b35b3a"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["sex", 
                  Style[
                  "sex", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0538d723-0ab7-4c41-a0f8-04e3b3b35b3a"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["survived", 
                  Style[
                  "survived", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0538d723-0ab7-4c41-a0f8-04e3b3b35b3a"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0538d723-0ab7-4c41-a0f8-04e3b3b35b3a"]][{1, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0538d723-0ab7-4c41-a0f8-04e3b3b35b3a"]][{1, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0538d723-0ab7-4c41-a0f8-04e3b3b35b3a"]][{1, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0538d723-0ab7-4c41-a0f8-04e3b3b35b3a"]][{1, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0538d723-0ab7-4c41-a0f8-04e3b3b35b3a"]][{2, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["65"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0538d723-0ab7-4c41-a0f8-04e3b3b35b3a"]][{2, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0538d723-0ab7-4c41-a0f8-04e3b3b35b3a"]][{2, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0538d723-0ab7-4c41-a0f8-04e3b3b35b3a"]][{2, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0538d723-0ab7-4c41-a0f8-04e3b3b35b3a"]][{3, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0538d723-0ab7-4c41-a0f8-04e3b3b35b3a"]][{3, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0538d723-0ab7-4c41-a0f8-04e3b3b35b3a"]][{3, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0538d723-0ab7-4c41-a0f8-04e3b3b35b3a"]][{3, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0538d723-0ab7-4c41-a0f8-04e3b3b35b3a"]][{4, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0538d723-0ab7-4c41-a0f8-04e3b3b35b3a"]][{4, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0538d723-0ab7-4c41-a0f8-04e3b3b35b3a"]][{4, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0538d723-0ab7-4c41-a0f8-04e3b3b35b3a"]][{4, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0538d723-0ab7-4c41-a0f8-04e3b3b35b3a"]][{5, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["18"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0538d723-0ab7-4c41-a0f8-04e3b3b35b3a"]][{5, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0538d723-0ab7-4c41-a0f8-04e3b3b35b3a"]][{5, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0538d723-0ab7-4c41-a0f8-04e3b3b35b3a"]][{5, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{213., {86.8837890625, 94.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{213., {86.8837890625, 94.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{
  3.865614892728137*^9, {3.865614934421327*^9, 3.865614946408033*^9}, 
   3.8666255078718147`*^9, 3.866801188416089*^9, 3.8668903587886868`*^9, 
   3.880548563255869*^9, 3.881425772647152*^9},
 CellLabel->"Out[544]=",
 CellID->1853635391,ExpressionUUID->"a86895c8-dcaf-451e-9331-8fc5cbba278b"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox[ButtonBox["DatasetTheme",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/DatasetTheme.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/DatasetTheme.html"],
  FontColor->GrayLevel[0.45]],
 " for Simple Presentation Tasks"
}], "Subsubsubsection",
 CellMargins->{{64, 3}, {5, 13}},
 CellChangeTimes->{{3.86665422859024*^9, 3.866654252875526*^9}, 
   3.867921214392487*^9, {3.894024041904755*^9, 3.8940240419140453`*^9}},
 CellID->974398323,ExpressionUUID->"10ec1d7e-e650-4a70-9817-d891c40fc523"],

Cell[TextData[{
 "The presentation is reasonably attractive. But perhaps it isn\
\[CloseCurlyQuote]t what you really want. Probably the simplest way to format \
a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " is using the ",
 ButtonBox["DatasetTheme",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/DatasetTheme.html"], None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/DatasetTheme.html"],
 " option. Here\[CloseCurlyQuote]s an example using the ",
 Cell[BoxData[
 "\"\<Business\>\""], "InlineCodeText",ExpressionUUID->
  "43b9c746-35bb-4c15-a2b7-934f56451339"],
 " theme. The documentation for ",
 ButtonBox["DatasetTheme",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/DatasetTheme.html"], None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/DatasetTheme.html"],
 " shows several other of these \[OpenCurlyDoubleQuote]comprehensive design \
themes\[CloseCurlyDoubleQuote] (my term) that alter many aspects of the \
presentation in ways thought to be artistically coherent. "
}], "Text",
 CellChangeTimes->{{3.865611267260406*^9, 3.865611303825184*^9}, {
  3.865611410077882*^9, 3.8656114880526667`*^9}, {3.865614899852427*^9, 
  3.8656149222177973`*^9}, {3.8658500213852987`*^9, 3.865850049213718*^9}, {
  3.866650912842781*^9, 3.866650917321084*^9}, {3.8668908621061163`*^9, 
  3.866890894080286*^9}, {3.86689095062157*^9, 3.866890955945692*^9}, {
  3.867921293552671*^9, 3.867921337006048*^9}, {3.8722427655076113`*^9, 
  3.8722427742797937`*^9}},
 CellTags->"i:19",
 CellID->1672373674,ExpressionUUID->"697f1e51-cba9-41ac-9380-3593fce71f78"],

Cell[TextData[{
 "Set the ",
 ButtonBox["DatasetTheme",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/DatasetTheme.html"], None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/DatasetTheme.html"],
 " to ",
 Cell[BoxData[
 "\"\<Business\>\""], "InlineCode",ExpressionUUID->
  "ee806c7b-8c76-4a4c-bfeb-3b0fc842250e"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.866890940031847*^9, 3.8668909834719563`*^9}, {
  3.8679213804143553`*^9, 3.867921390217327*^9}},
 CellID->1102547377,ExpressionUUID->"4c7b6024-35cd-49d7-8510-c28184d5a01e"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"businessDinghy", "=", 
  RowBox[{"Dataset", "[", 
   RowBox[{"dinghyAssociations", ",", 
    RowBox[{"DatasetTheme", "\[Rule]", "\"\<Business\>\""}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.8656113248196163`*^9, 3.865611361246945*^9}, {
  3.865611526015024*^9, 3.8656115279080143`*^9}},
 CellLabel->"In[545]:=",
 CellID->41608662,ExpressionUUID->"22d4cbec-bfcb-4572-a618-df1afb66864a"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        False|>}, "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 5], 
     "Meta" -> <|$CellContext`DatasetTheme -> "Business"|>, "RowTarget" -> 20,
      "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 5], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
     5, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["class", 
                  Style[
                  "class", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "360409ac-d695-4f50-8fa7-370ae60dea5f"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> Directive[
               
               RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                0.8980392156862745}]], Background -> 
             RGBColor[{0.788235294117647, 0.8392156862745098, 
               0.9647058823529412}], Frame -> {{
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}], Automatic}, {
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}], 
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}]}}, Background -> GrayLevel[0.95], 
             Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["age", 
                  Style[
                  "age", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "360409ac-d695-4f50-8fa7-370ae60dea5f"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> Directive[
               
               RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                0.8980392156862745}]], Background -> 
             RGBColor[{0.788235294117647, 0.8392156862745098, 
               0.9647058823529412}], Frame -> {{Automatic, Automatic}, {
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}], 
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}]}}, Background -> GrayLevel[0.95], 
             Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["sex", 
                  Style[
                  "sex", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "360409ac-d695-4f50-8fa7-370ae60dea5f"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> Directive[
               
               RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                0.8980392156862745}]], Background -> 
             RGBColor[{0.788235294117647, 0.8392156862745098, 
               0.9647058823529412}], Frame -> {{Automatic, Automatic}, {
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}], 
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}]}}, Background -> GrayLevel[0.95], 
             Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["survived", 
                  Style[
                  "survived", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "360409ac-d695-4f50-8fa7-370ae60dea5f"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> Directive[
               
               RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                0.8980392156862745}]], Background -> 
             RGBColor[{0.788235294117647, 0.8392156862745098, 
               0.9647058823529412}], Frame -> {{Automatic, 
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}]}, {
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}], 
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}]}}, Background -> GrayLevel[0.95], 
             Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "360409ac-d695-4f50-8fa7-370ae60dea5f"]][{1, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}], Automatic}, {
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}], 
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}]}}, ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "360409ac-d695-4f50-8fa7-370ae60dea5f"]][{1, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{Automatic, Automatic}, {
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}], 
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}]}}, ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "360409ac-d695-4f50-8fa7-370ae60dea5f"]][{1, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{Automatic, Automatic}, {
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}], 
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}]}}, ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "360409ac-d695-4f50-8fa7-370ae60dea5f"]][{1, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{Automatic, 
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}]}, {
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}], 
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}]}}, ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "360409ac-d695-4f50-8fa7-370ae60dea5f"]][{2, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}], Automatic}, {
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}], 
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}]}}, ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["65"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "360409ac-d695-4f50-8fa7-370ae60dea5f"]][{2, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{Automatic, Automatic}, {
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}], 
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}]}}, ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "360409ac-d695-4f50-8fa7-370ae60dea5f"]][{2, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{Automatic, Automatic}, {
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}], 
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}]}}, ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "360409ac-d695-4f50-8fa7-370ae60dea5f"]][{2, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{Automatic, 
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}]}, {
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}], 
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}]}}, ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "360409ac-d695-4f50-8fa7-370ae60dea5f"]][{3, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}], Automatic}, {
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}], 
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}]}}, ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "360409ac-d695-4f50-8fa7-370ae60dea5f"]][{3, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{Automatic, Automatic}, {
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}], 
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}]}}, ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "360409ac-d695-4f50-8fa7-370ae60dea5f"]][{3, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{Automatic, Automatic}, {
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}], 
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}]}}, ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "360409ac-d695-4f50-8fa7-370ae60dea5f"]][{3, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{Automatic, 
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}]}, {
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}], 
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}]}}, ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "360409ac-d695-4f50-8fa7-370ae60dea5f"]][{4, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}], Automatic}, {
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}], 
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}]}}, ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "360409ac-d695-4f50-8fa7-370ae60dea5f"]][{4, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{Automatic, Automatic}, {
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}], 
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}]}}, ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "360409ac-d695-4f50-8fa7-370ae60dea5f"]][{4, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{Automatic, Automatic}, {
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}], 
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}]}}, ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "360409ac-d695-4f50-8fa7-370ae60dea5f"]][{4, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{Automatic, 
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}]}, {
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}], 
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}]}}, ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "360409ac-d695-4f50-8fa7-370ae60dea5f"]][{5, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}], Automatic}, {
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}], 
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}]}}, ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["18"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "360409ac-d695-4f50-8fa7-370ae60dea5f"]][{5, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{Automatic, Automatic}, {
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}], 
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}]}}, ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "360409ac-d695-4f50-8fa7-370ae60dea5f"]][{5, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{Automatic, Automatic}, {
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}], 
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}]}}, ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "360409ac-d695-4f50-8fa7-370ae60dea5f"]][{5, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{Automatic, 
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}]}, {
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}], 
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}]}}, ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Frame -> 
          RGBColor[{0.3411764705882353, 0.49411764705882355`, 
            0.8980392156862745}], FrameStyle -> GrayLevel[0.7490196078431373],
           Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{213., {86.8837890625, 94.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{213., {86.8837890625, 94.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{{3.865611335591799*^9, 3.865611361721244*^9}, 
   3.865611528491707*^9, 3.866801188634831*^9, 3.8668903589567747`*^9, 
   3.881425782416128*^9},
 CellLabel->"Out[545]=",
 CellID->1822507941,ExpressionUUID->"8b7f5b58-739e-43de-b5c9-5b4f5cf9f1ac"]
}, Open  ]],

Cell[TextData[{
 "Here\[CloseCurlyQuote]s the same data using the ",
 Cell[BoxData[
 "\"\<Web\>\""], "InlineCodeText",ExpressionUUID->
  "b3e554b2-d25f-4980-a14e-2f443b6a9c88"],
 " comprehensive design theme."
}], "Text",
 CellChangeTimes->{{3.866890920838937*^9, 3.866890932678143*^9}, {
  3.867921400363902*^9, 3.86792141110073*^9}},
 CellID->1532878872,ExpressionUUID->"5176a2e2-9e32-4c3d-8f6a-328d1f8b7c4b"],

Cell[TextData[{
 "Set the ",
 ButtonBox["DatasetTheme",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/DatasetTheme.html"], None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/DatasetTheme.html"],
 " to ",
 Cell[BoxData[
 "\"\<Web\>\""], "InlineCode",ExpressionUUID->
  "918e6113-842d-478c-8c1b-3dabc4ad28d7"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.866890940031847*^9, 3.866890993913176*^9}, {
  3.867921421194031*^9, 3.8679214257764587`*^9}},
 CellID->410676686,ExpressionUUID->"456b8439-6c7d-4d47-8983-02ccebfb82b5"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"webDinghy", "=", 
  RowBox[{"Dataset", "[", 
   RowBox[{"dinghyAssociations", ",", 
    RowBox[{"DatasetTheme", "\[Rule]", "\"\<Web\>\""}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.866890914961594*^9, 3.866890918436706*^9}},
 CellLabel->"In[546]:=",
 CellID->1893557562,ExpressionUUID->"34303f65-9e90-4b83-90c7-8cb5228f9192"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        False|>}, "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 5], 
     "Meta" -> <|$CellContext`DatasetTheme -> "Web"|>, "RowTarget" -> 20, 
     "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 5], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
     5, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["class", 
                  Style[
                  "class", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce62f44a-d894-4979-983b-6c16eba154dc"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> Directive[
               RGBColor[{0.792156862745098, 0.2, 0.}]], Background -> 
             RGBColor[{0.9254901960784314, 0.7333333333333333, 
               0.6705882352941176}], Frame -> {{Automatic, 
                RGBColor[{0.792156862745098, 0.2, 0.}]}, {None, None}}, 
             Background -> GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["age", 
                  Style[
                  "age", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce62f44a-d894-4979-983b-6c16eba154dc"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> Directive[
               RGBColor[{0.792156862745098, 0.2, 0.}]], Background -> 
             RGBColor[{0.9254901960784314, 0.7333333333333333, 
               0.6705882352941176}], Frame -> {{
                RGBColor[{0.792156862745098, 0.2, 0.}], 
                RGBColor[{0.792156862745098, 0.2, 0.}]}, {None, None}}, 
             Background -> GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["sex", 
                  Style[
                  "sex", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce62f44a-d894-4979-983b-6c16eba154dc"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> Directive[
               RGBColor[{0.792156862745098, 0.2, 0.}]], Background -> 
             RGBColor[{0.9254901960784314, 0.7333333333333333, 
               0.6705882352941176}], Frame -> {{
                RGBColor[{0.792156862745098, 0.2, 0.}], 
                RGBColor[{0.792156862745098, 0.2, 0.}]}, {None, None}}, 
             Background -> GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["survived", 
                  Style[
                  "survived", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce62f44a-d894-4979-983b-6c16eba154dc"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> Directive[
               RGBColor[{0.792156862745098, 0.2, 0.}]], Background -> 
             RGBColor[{0.9254901960784314, 0.7333333333333333, 
               0.6705882352941176}], Frame -> {{
                RGBColor[{0.792156862745098, 0.2, 0.}], Automatic}, {
               None, None}}, Background -> GrayLevel[0.95], 
             Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce62f44a-d894-4979-983b-6c16eba154dc"]][{1, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[1], 
             Frame -> {{Automatic, 
                RGBColor[{0.792156862745098, 0.2, 0.}]}, {None, None}}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce62f44a-d894-4979-983b-6c16eba154dc"]][{1, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[1], 
             Frame -> {{
                RGBColor[{0.792156862745098, 0.2, 0.}], 
                RGBColor[{0.792156862745098, 0.2, 0.}]}, {None, None}}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce62f44a-d894-4979-983b-6c16eba154dc"]][{1, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[1], 
             Frame -> {{
                RGBColor[{0.792156862745098, 0.2, 0.}], 
                RGBColor[{0.792156862745098, 0.2, 0.}]}, {None, None}}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce62f44a-d894-4979-983b-6c16eba154dc"]][{1, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[1], 
             Frame -> {{
                RGBColor[{0.792156862745098, 0.2, 0.}], Automatic}, {
               None, None}}, ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce62f44a-d894-4979-983b-6c16eba154dc"]][{2, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.94], Frame -> {{Automatic, 
                RGBColor[{0.792156862745098, 0.2, 0.}]}, {None, None}}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["65"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce62f44a-d894-4979-983b-6c16eba154dc"]][{2, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.94], Frame -> {{
                RGBColor[{0.792156862745098, 0.2, 0.}], 
                RGBColor[{0.792156862745098, 0.2, 0.}]}, {None, None}}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce62f44a-d894-4979-983b-6c16eba154dc"]][{2, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.94], Frame -> {{
                RGBColor[{0.792156862745098, 0.2, 0.}], 
                RGBColor[{0.792156862745098, 0.2, 0.}]}, {None, None}}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce62f44a-d894-4979-983b-6c16eba154dc"]][{2, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.94], Frame -> {{
                RGBColor[{0.792156862745098, 0.2, 0.}], Automatic}, {
               None, None}}, ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce62f44a-d894-4979-983b-6c16eba154dc"]][{3, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[1], 
             Frame -> {{Automatic, 
                RGBColor[{0.792156862745098, 0.2, 0.}]}, {None, None}}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce62f44a-d894-4979-983b-6c16eba154dc"]][{3, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[1], 
             Frame -> {{
                RGBColor[{0.792156862745098, 0.2, 0.}], 
                RGBColor[{0.792156862745098, 0.2, 0.}]}, {None, None}}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce62f44a-d894-4979-983b-6c16eba154dc"]][{3, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[1], 
             Frame -> {{
                RGBColor[{0.792156862745098, 0.2, 0.}], 
                RGBColor[{0.792156862745098, 0.2, 0.}]}, {None, None}}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce62f44a-d894-4979-983b-6c16eba154dc"]][{3, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[1], 
             Frame -> {{
                RGBColor[{0.792156862745098, 0.2, 0.}], Automatic}, {
               None, None}}, ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce62f44a-d894-4979-983b-6c16eba154dc"]][{4, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.94], Frame -> {{Automatic, 
                RGBColor[{0.792156862745098, 0.2, 0.}]}, {None, None}}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce62f44a-d894-4979-983b-6c16eba154dc"]][{4, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.94], Frame -> {{
                RGBColor[{0.792156862745098, 0.2, 0.}], 
                RGBColor[{0.792156862745098, 0.2, 0.}]}, {None, None}}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce62f44a-d894-4979-983b-6c16eba154dc"]][{4, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.94], Frame -> {{
                RGBColor[{0.792156862745098, 0.2, 0.}], 
                RGBColor[{0.792156862745098, 0.2, 0.}]}, {None, None}}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce62f44a-d894-4979-983b-6c16eba154dc"]][{4, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.94], Frame -> {{
                RGBColor[{0.792156862745098, 0.2, 0.}], Automatic}, {
               None, None}}, ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce62f44a-d894-4979-983b-6c16eba154dc"]][{5, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[1], 
             Frame -> {{Automatic, 
                RGBColor[{0.792156862745098, 0.2, 0.}]}, {None, None}}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["18"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce62f44a-d894-4979-983b-6c16eba154dc"]][{5, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[1], 
             Frame -> {{
                RGBColor[{0.792156862745098, 0.2, 0.}], 
                RGBColor[{0.792156862745098, 0.2, 0.}]}, {None, None}}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce62f44a-d894-4979-983b-6c16eba154dc"]][{5, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[1], 
             Frame -> {{
                RGBColor[{0.792156862745098, 0.2, 0.}], 
                RGBColor[{0.792156862745098, 0.2, 0.}]}, {None, None}}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ce62f44a-d894-4979-983b-6c16eba154dc"]][{5, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[1], 
             Frame -> {{
                RGBColor[{0.792156862745098, 0.2, 0.}], Automatic}, {
               None, None}}, ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, 
          FrameStyle -> GrayLevel[0.7490196078431373], Spacings -> {0, 0}, 
          Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{211., {85.8837890625, 93.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{211., {85.8837890625, 93.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.866890918839826*^9, 3.881425791886848*^9},
 CellTags->"LastCellOfAPage",
 CellLabel->"Out[546]=",
 CellID->2066548440,ExpressionUUID->"b7a5165c-36ec-46e3-b123-ad11c35bc308"]
}, Open  ]],

Cell[TextData[{
 "These comprehensive design themes, such as ",
 Cell[BoxData[
 "\"\<Business\>\""], "InlineCodeText",ExpressionUUID->
  "4b6eebc7-01e4-41f8-a057-e8289a394369"],
 " or ",
 Cell[BoxData[
 "\"\<Web\>\""], "InlineCodeText",ExpressionUUID->
  "e6877ebe-33ba-47ba-9be0-ebaf992b4ba2"],
 ", have subthemes that control limited aspects of the presentation. Suppose, \
for example, that you generally like the ",
 Cell[BoxData[
 "\"\<Business\>\""], "InlineCodeText",ExpressionUUID->
  "d0cacf76-f5c9-4c90-ace1-c020246a5601"],
 " theme but you wish the column dividers were visible and that the column \
headers were vertical. You can make the value of the ",
 ButtonBox["DatasetTheme",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/DatasetTheme.html"], None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/DatasetTheme.html"],
 " option a ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " containing special strings and accommodate many of the typical formatting \
desires. Presentation details you can adjust by combining comprehensive \
design themes with special strings include fonts, dividers, backgrounds, and \
header orientation."
}], "Text",
 CellChangeTimes->{{3.865611726442683*^9, 3.8656117339377413`*^9}, {
  3.865612722865582*^9, 3.86561274009671*^9}, {3.8656127992480927`*^9, 
  3.865612805257392*^9}, {3.865612851134136*^9, 3.865612859481312*^9}, {
  3.865672682351864*^9, 3.865672734101816*^9}, {3.866625549821987*^9, 
  3.8666256015242434`*^9}, {3.86688983151598*^9, 3.866889883535535*^9}, {
  3.8668907112663393`*^9, 3.866890717568029*^9}, {3.866890897902863*^9, 
  3.866890908571418*^9}, {3.866891011416054*^9, 3.866891040194006*^9}, {
  3.8679214380093193`*^9, 3.867921495611168*^9}, {3.8710503446752357`*^9, 
  3.8710503908128567`*^9}, {3.871050468250622*^9, 3.8710504768922644`*^9}, {
  3.871050954589981*^9, 3.8710509598793745`*^9}, {3.8710516156283016`*^9, 
  3.8710516376103177`*^9}, {3.8711404160221825`*^9, 3.8711404404338408`*^9}, {
  3.872243196548772*^9, 3.8722432208661056`*^9}},
 CellTags->{"i:20", "p: 161"},
 CellID->525747377,ExpressionUUID->"80d2642e-c729-4756-8aa6-259cba950a23"],

Cell[TextData[{
 ButtonBox["DatasetTheme",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/DatasetTheme.html"], None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/DatasetTheme.html"],
 " can take a ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of specifications that customize (within limits) the presentation of \
Datasets; the order of strings within the ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " does not generally matter:"
}], "CodeText",
 CellChangeTimes->{{3.865672744626038*^9, 3.865672797664042*^9}, {
  3.866891060175583*^9, 3.866891074148707*^9}, {3.8679215359510202`*^9, 
  3.8679215546472073`*^9}, {3.8722432542658854`*^9, 3.8722432557932987`*^9}},
 CellID->417664627,ExpressionUUID->"78671725-cdd6-4122-b4d1-5331879b388d"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"businessDinghy", "=", 
  RowBox[{"Dataset", "[", 
   RowBox[{"dinghyAssociations", ",", 
    RowBox[{"DatasetTheme", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<ColumnDividers\>\"", ",", "\"\<VerticalColumnHeaders\>\"", ",", 
       "\"\<Business\>\""}], "}"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.8656113248196163`*^9, 3.865611361246945*^9}, {
  3.865611526015024*^9, 3.8656115279080143`*^9}, {3.865612811917445*^9, 
  3.865612817302314*^9}, {3.865612863648345*^9, 3.865612867414735*^9}, {
  3.865672755078086*^9, 3.865672758223988*^9}, {3.866812588831612*^9, 
  3.8668126151319933`*^9}},
 CellLabel->"In[547]:=",
 CellID->564291443,ExpressionUUID->"cc8d113a-5ae3-4739-bc1a-b8e0c32c6b74"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        False|>}, "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 5], 
     "Meta" -> <|$CellContext`DatasetTheme -> {
        "ColumnDividers", "VerticalColumnHeaders", "Business"}|>, "RowTarget" -> 
     20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 5], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
     5, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  Rotate[
                   Row[{
                    Spacer[2], "class"}], 90 Degree], 
                  Style[
                   Rotate[
                    Row[{
                    Spacer[2], "class"}], 90 Degree], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d25edd9d-b38b-4a29-84e0-5ee942723d96"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}, 
              Alignment -> {Center, Bottom}], BaseStyle -> Directive[
               
               RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                0.8980392156862745}]], Alignment -> {Center, Bottom}, 
             Background -> 
             RGBColor[{0.788235294117647, 0.8392156862745098, 
               0.9647058823529412}], Frame -> {{Automatic, 
                GrayLevel[0.75]}, {None, None}}, Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  Rotate[
                   Row[{
                    Spacer[2], "age"}], 90 Degree], 
                  Style[
                   Rotate[
                    Row[{
                    Spacer[2], "age"}], 90 Degree], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d25edd9d-b38b-4a29-84e0-5ee942723d96"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}, 
              Alignment -> {Center, Bottom}], BaseStyle -> Directive[
               
               RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                0.8980392156862745}]], Alignment -> {Center, Bottom}, 
             Background -> 
             RGBColor[{0.788235294117647, 0.8392156862745098, 
               0.9647058823529412}], Frame -> {{
                GrayLevel[0.75], 
                GrayLevel[0.75]}, {None, None}}, Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  Rotate[
                   Row[{
                    Spacer[2], "sex"}], 90 Degree], 
                  Style[
                   Rotate[
                    Row[{
                    Spacer[2], "sex"}], 90 Degree], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d25edd9d-b38b-4a29-84e0-5ee942723d96"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}, 
              Alignment -> {Center, Bottom}], BaseStyle -> Directive[
               
               RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                0.8980392156862745}]], Alignment -> {Center, Bottom}, 
             Background -> 
             RGBColor[{0.788235294117647, 0.8392156862745098, 
               0.9647058823529412}], Frame -> {{
                GrayLevel[0.75], 
                GrayLevel[0.75]}, {None, None}}, Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  Rotate[
                   Row[{
                    Spacer[2], "survived"}], 90 Degree], 
                  Style[
                   Rotate[
                    Row[{
                    Spacer[2], "survived"}], 90 Degree], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d25edd9d-b38b-4a29-84e0-5ee942723d96"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}, 
              Alignment -> {Center, Bottom}], BaseStyle -> Directive[
               
               RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                0.8980392156862745}]], Alignment -> {Center, Bottom}, 
             Background -> 
             RGBColor[{0.788235294117647, 0.8392156862745098, 
               0.9647058823529412}], Frame -> {{
                GrayLevel[0.75], Automatic}, {None, None}}, Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d25edd9d-b38b-4a29-84e0-5ee942723d96"]][{1, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{Automatic, 
                GrayLevel[0.75]}, {None, None}}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d25edd9d-b38b-4a29-84e0-5ee942723d96"]][{1, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{
                GrayLevel[0.75], 
                GrayLevel[0.75]}, {None, None}}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d25edd9d-b38b-4a29-84e0-5ee942723d96"]][{1, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{
                GrayLevel[0.75], 
                GrayLevel[0.75]}, {None, None}}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d25edd9d-b38b-4a29-84e0-5ee942723d96"]][{1, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{
                GrayLevel[0.75], Automatic}, {None, None}}, 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d25edd9d-b38b-4a29-84e0-5ee942723d96"]][{2, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{Automatic, 
                GrayLevel[0.75]}, {None, None}}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["65"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d25edd9d-b38b-4a29-84e0-5ee942723d96"]][{2, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{
                GrayLevel[0.75], 
                GrayLevel[0.75]}, {None, None}}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d25edd9d-b38b-4a29-84e0-5ee942723d96"]][{2, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{
                GrayLevel[0.75], 
                GrayLevel[0.75]}, {None, None}}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d25edd9d-b38b-4a29-84e0-5ee942723d96"]][{2, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{
                GrayLevel[0.75], Automatic}, {None, None}}, 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d25edd9d-b38b-4a29-84e0-5ee942723d96"]][{3, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{Automatic, 
                GrayLevel[0.75]}, {None, None}}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d25edd9d-b38b-4a29-84e0-5ee942723d96"]][{3, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{
                GrayLevel[0.75], 
                GrayLevel[0.75]}, {None, None}}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d25edd9d-b38b-4a29-84e0-5ee942723d96"]][{3, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{
                GrayLevel[0.75], 
                GrayLevel[0.75]}, {None, None}}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d25edd9d-b38b-4a29-84e0-5ee942723d96"]][{3, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{
                GrayLevel[0.75], Automatic}, {None, None}}, 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d25edd9d-b38b-4a29-84e0-5ee942723d96"]][{4, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{Automatic, 
                GrayLevel[0.75]}, {None, None}}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d25edd9d-b38b-4a29-84e0-5ee942723d96"]][{4, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{
                GrayLevel[0.75], 
                GrayLevel[0.75]}, {None, None}}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d25edd9d-b38b-4a29-84e0-5ee942723d96"]][{4, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{
                GrayLevel[0.75], 
                GrayLevel[0.75]}, {None, None}}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d25edd9d-b38b-4a29-84e0-5ee942723d96"]][{4, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{
                GrayLevel[0.75], Automatic}, {None, None}}, 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d25edd9d-b38b-4a29-84e0-5ee942723d96"]][{5, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{Automatic, 
                GrayLevel[0.75]}, {None, None}}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["18"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d25edd9d-b38b-4a29-84e0-5ee942723d96"]][{5, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{
                GrayLevel[0.75], 
                GrayLevel[0.75]}, {None, None}}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d25edd9d-b38b-4a29-84e0-5ee942723d96"]][{5, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{
                GrayLevel[0.75], 
                GrayLevel[0.75]}, {None, None}}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d25edd9d-b38b-4a29-84e0-5ee942723d96"]][{5, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{
                GrayLevel[0.75], Automatic}, {None, None}}, 
             ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Frame -> 
          RGBColor[{0.3411764705882353, 0.49411764705882355`, 
            0.8980392156862745}], FrameStyle -> GrayLevel[0.7490196078431373],
           Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{199., {103.3837890625, 110.6162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{199., {103.3837890625, 110.6162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{
  3.86561281777174*^9, 3.8656128678669443`*^9, 3.865672759028676*^9, 
   3.866801188904109*^9, {3.866812592099702*^9, 3.8668126156171227`*^9}, 
   3.8668903635874243`*^9, 3.8814258027456417`*^9},
 CellLabel->"Out[547]=",
 CellID->1799254767,ExpressionUUID->"83095c86-11ea-4ae4-968f-11537b5ed423"]
}, Open  ]],

Cell[TextData[{
 "You can also use these special strings without specifying an underlying ",
 ButtonBox["DatasetTheme",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/DatasetTheme.html"], None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/DatasetTheme.html"],
 " such as ",
 Cell[BoxData[
 "\"\<Business\>\""], "InlineCodeText",ExpressionUUID->
  "39b5cf83-5cc0-4463-83eb-f628a3cc7cb7"],
 ". Indeed, for some formatting options, such as dividers, the only \
documented way to control them as of Version 13.1 is through these special \
strings."
}], "Text",
 CellChangeTimes->{{3.8668905777241087`*^9, 3.866890632574397*^9}, {
   3.8668910481916924`*^9, 3.866891081611272*^9}, {3.8679218301696873`*^9, 
   3.8679218368388443`*^9}, 3.871051069849122*^9, {3.8710516497280145`*^9, 
   3.8710516505468893`*^9}, {3.8711404547736998`*^9, 3.871140455862808*^9}},
 CellID->1140280692,ExpressionUUID->"6674d9c7-3963-4e90-811d-a766b76edade"],

Cell["Use special strings without a comprehensive design theme:", "CodeText",
 CellChangeTimes->{{3.866890826719988*^9, 3.866890839743071*^9}, {
  3.866891096490168*^9, 3.866891102981017*^9}},
 CellID->80596264,ExpressionUUID->"3f6e74c8-0a2d-4c25-90f6-4d0786c23c3a"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Dataset", "[", 
  RowBox[{"dinghyAssociations", ",", 
   RowBox[{"DatasetTheme", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "\"\<ColumnDividers\>\"", ",", "\"\<VerticalColumnHeaders\>\"", ",", 
      "\"\<AlternatingRowBackgrounds\>\"", ",", "\"\<Sans\>\""}], "}"}]}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.866890645165307*^9, 3.866890670060277*^9}, {
  3.866890742727273*^9, 3.866890749347954*^9}},
 CellLabel->"In[548]:=",
 CellID->221039888,ExpressionUUID->"3c635eb4-62ca-4a96-9e09-3012bc618779"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        False|>}, "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 5], 
     "Meta" -> <|$CellContext`DatasetTheme -> {
        "ColumnDividers", "VerticalColumnHeaders", 
         "AlternatingRowBackgrounds", "Sans"}|>, "RowTarget" -> 20, 
     "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 5], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
     5, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  Rotate[
                   Row[{
                    Spacer[2], "class"}], 90 Degree], 
                  Style[
                   Rotate[
                    Row[{
                    Spacer[2], "class"}], 90 Degree], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "8901750e-fd93-434c-bd2f-dc804c3204b5"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}, 
              Alignment -> {Center, Bottom}], BaseStyle -> 
             Directive[FontFamily -> "Helvetica"], 
             Alignment -> {Center, Bottom}, Frame -> {{Automatic, 
                GrayLevel[0.75]}, {None, None}}, Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  Rotate[
                   Row[{
                    Spacer[2], "age"}], 90 Degree], 
                  Style[
                   Rotate[
                    Row[{
                    Spacer[2], "age"}], 90 Degree], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "8901750e-fd93-434c-bd2f-dc804c3204b5"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}, 
              Alignment -> {Center, Bottom}], BaseStyle -> 
             Directive[FontFamily -> "Helvetica"], 
             Alignment -> {Center, Bottom}, Frame -> {{
                GrayLevel[0.75], 
                GrayLevel[0.75]}, {None, None}}, Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  Rotate[
                   Row[{
                    Spacer[2], "sex"}], 90 Degree], 
                  Style[
                   Rotate[
                    Row[{
                    Spacer[2], "sex"}], 90 Degree], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "8901750e-fd93-434c-bd2f-dc804c3204b5"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}, 
              Alignment -> {Center, Bottom}], BaseStyle -> 
             Directive[FontFamily -> "Helvetica"], 
             Alignment -> {Center, Bottom}, Frame -> {{
                GrayLevel[0.75], 
                GrayLevel[0.75]}, {None, None}}, Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  Rotate[
                   Row[{
                    Spacer[2], "survived"}], 90 Degree], 
                  Style[
                   Rotate[
                    Row[{
                    Spacer[2], "survived"}], 90 Degree], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "8901750e-fd93-434c-bd2f-dc804c3204b5"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}, 
              Alignment -> {Center, Bottom}], BaseStyle -> 
             Directive[FontFamily -> "Helvetica"], 
             Alignment -> {Center, Bottom}, Frame -> {{
                GrayLevel[0.75], Automatic}, {None, None}}, Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "8901750e-fd93-434c-bd2f-dc804c3204b5"]][{1, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[1], 
             Frame -> {{Automatic, 
                GrayLevel[0.75]}, {None, None}}, BaseStyle -> 
             Directive[FontFamily -> "Helvetica"], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "8901750e-fd93-434c-bd2f-dc804c3204b5"]][{1, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[1], 
             Frame -> {{
                GrayLevel[0.75], 
                GrayLevel[0.75]}, {None, None}}, BaseStyle -> 
             Directive[FontFamily -> "Helvetica"], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "8901750e-fd93-434c-bd2f-dc804c3204b5"]][{1, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[1], 
             Frame -> {{
                GrayLevel[0.75], 
                GrayLevel[0.75]}, {None, None}}, BaseStyle -> 
             Directive[FontFamily -> "Helvetica"], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "8901750e-fd93-434c-bd2f-dc804c3204b5"]][{1, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[1], 
             Frame -> {{
                GrayLevel[0.75], Automatic}, {None, None}}, BaseStyle -> 
             Directive[FontFamily -> "Helvetica"], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "8901750e-fd93-434c-bd2f-dc804c3204b5"]][{2, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Frame -> {{Automatic, 
                GrayLevel[0.75]}, {None, None}}, BaseStyle -> 
             Directive[FontFamily -> "Helvetica"], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["65"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "8901750e-fd93-434c-bd2f-dc804c3204b5"]][{2, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Frame -> {{
                GrayLevel[0.75], 
                GrayLevel[0.75]}, {None, None}}, BaseStyle -> 
             Directive[FontFamily -> "Helvetica"], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "8901750e-fd93-434c-bd2f-dc804c3204b5"]][{2, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Frame -> {{
                GrayLevel[0.75], 
                GrayLevel[0.75]}, {None, None}}, BaseStyle -> 
             Directive[FontFamily -> "Helvetica"], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "8901750e-fd93-434c-bd2f-dc804c3204b5"]][{2, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Frame -> {{
                GrayLevel[0.75], Automatic}, {None, None}}, BaseStyle -> 
             Directive[FontFamily -> "Helvetica"], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "8901750e-fd93-434c-bd2f-dc804c3204b5"]][{3, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[1], 
             Frame -> {{Automatic, 
                GrayLevel[0.75]}, {None, None}}, BaseStyle -> 
             Directive[FontFamily -> "Helvetica"], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "8901750e-fd93-434c-bd2f-dc804c3204b5"]][{3, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[1], 
             Frame -> {{
                GrayLevel[0.75], 
                GrayLevel[0.75]}, {None, None}}, BaseStyle -> 
             Directive[FontFamily -> "Helvetica"], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "8901750e-fd93-434c-bd2f-dc804c3204b5"]][{3, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[1], 
             Frame -> {{
                GrayLevel[0.75], 
                GrayLevel[0.75]}, {None, None}}, BaseStyle -> 
             Directive[FontFamily -> "Helvetica"], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "8901750e-fd93-434c-bd2f-dc804c3204b5"]][{3, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[1], 
             Frame -> {{
                GrayLevel[0.75], Automatic}, {None, None}}, BaseStyle -> 
             Directive[FontFamily -> "Helvetica"], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "8901750e-fd93-434c-bd2f-dc804c3204b5"]][{4, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Frame -> {{Automatic, 
                GrayLevel[0.75]}, {None, None}}, BaseStyle -> 
             Directive[FontFamily -> "Helvetica"], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "8901750e-fd93-434c-bd2f-dc804c3204b5"]][{4, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Frame -> {{
                GrayLevel[0.75], 
                GrayLevel[0.75]}, {None, None}}, BaseStyle -> 
             Directive[FontFamily -> "Helvetica"], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "8901750e-fd93-434c-bd2f-dc804c3204b5"]][{4, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Frame -> {{
                GrayLevel[0.75], 
                GrayLevel[0.75]}, {None, None}}, BaseStyle -> 
             Directive[FontFamily -> "Helvetica"], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "8901750e-fd93-434c-bd2f-dc804c3204b5"]][{4, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Frame -> {{
                GrayLevel[0.75], Automatic}, {None, None}}, BaseStyle -> 
             Directive[FontFamily -> "Helvetica"], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "8901750e-fd93-434c-bd2f-dc804c3204b5"]][{5, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[1], 
             Frame -> {{Automatic, 
                GrayLevel[0.75]}, {None, None}}, BaseStyle -> 
             Directive[FontFamily -> "Helvetica"], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["18"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "8901750e-fd93-434c-bd2f-dc804c3204b5"]][{5, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[1], 
             Frame -> {{
                GrayLevel[0.75], 
                GrayLevel[0.75]}, {None, None}}, BaseStyle -> 
             Directive[FontFamily -> "Helvetica"], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "8901750e-fd93-434c-bd2f-dc804c3204b5"]][{5, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[1], 
             Frame -> {{
                GrayLevel[0.75], 
                GrayLevel[0.75]}, {None, None}}, BaseStyle -> 
             Directive[FontFamily -> "Helvetica"], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "8901750e-fd93-434c-bd2f-dc804c3204b5"]][{5, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[1], 
             Frame -> {{
                GrayLevel[0.75], Automatic}, {None, None}}, BaseStyle -> 
             Directive[FontFamily -> "Helvetica"], 
             ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, 
          FrameStyle -> GrayLevel[0.7490196078431373], Spacings -> {0, 0}, 
          Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{197., {96.8837890625, 104.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{197., {96.8837890625, 104.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{{3.866890645642663*^9, 3.866890670541038*^9}, {
   3.866890746118782*^9, 3.866890751238504*^9}, 3.881425810438945*^9},
 CellTags->"LastCellOfAPage",
 CellLabel->"Out[548]=",
 CellID->1997126372,ExpressionUUID->"f29b0a3b-bad1-4b94-8766-4700edbc1946"]
}, Open  ]],

Cell[TextData[{
 "Several of the special strings used within ",
 ButtonBox["DatasetTheme",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/DatasetTheme.html"], None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/DatasetTheme.html"],
 " accept parameters. Here, for example, I specify that the ",
 Cell[BoxData[
 "\"\<ColumnDividers\>\""], "InlineCodeText",ExpressionUUID->
  "05400460-28d5-4272-914c-3278fb97200c"],
 " are to be thick and ",
 ButtonBox["Purple",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Purple.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Purple.html"],
 " and that the ",
 Cell[BoxData[
 "\"\<AlternatingRowBackgrounds\>\""], "InlineCodeText",ExpressionUUID->
  "380b7a15-d467-414d-8a6d-befbd073b1e0"],
 " are to cycle through ",
 ButtonBox["Pink",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Pink.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Pink.html"],
 ", ",
 ButtonBox["Green",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Green.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Green.html"],
 ", and ",
 ButtonBox["Brown",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Brown.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Brown.html"],
 ". When using multiple parameterized special strings, it is important to \
clarify their scope with the use of braces. The result here is admittedly \
hideous, but the point is that ",
 ButtonBox["DatasetTheme",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/DatasetTheme.html"], None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/DatasetTheme.html"],
 " gives you a great deal of artistic license to use (or abuse)."
}], "Text",
 CellChangeTimes->{{3.866890054124434*^9, 3.86689014758175*^9}, {
   3.866890277399494*^9, 3.866890281539699*^9}, {3.866890426428307*^9, 
   3.8668904278680067`*^9}, {3.866890471910524*^9, 3.866890477245325*^9}, {
   3.866890787744605*^9, 3.866890811010068*^9}, {3.86689112063426*^9, 
   3.8668911455259438`*^9}, {3.866891282265745*^9, 3.8668912904754753`*^9}, 
   3.867921867815024*^9, {3.8679219019004593`*^9, 3.867921983807428*^9}, 
   3.8710511392117133`*^9, {3.8710511729271545`*^9, 3.871051173127986*^9}, {
   3.872243337320283*^9, 3.872243338416549*^9}},
 CellTags->{"i:21", "p: 162"},
 CellID->983971666,ExpressionUUID->"1d51b08a-1524-427b-a0e4-46ae6e2e5cca"],

Cell[TextData[{
 "Parameterize special strings within the ",
 ButtonBox["DatasetTheme",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/DatasetTheme.html"], None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/DatasetTheme.html"],
 " option by delimiting them with braces and then specifying various design \
details:"
}], "CodeText",
 CellChangeTimes->{{3.8668911553550158`*^9, 3.866891197466586*^9}},
 CellID->1721192878,ExpressionUUID->"13b9cd6f-c5c4-4b4a-9197-a0343954bc9a"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"hideousDinghy", " ", "=", " ", 
  RowBox[{"Dataset", "[", 
   RowBox[{"dinghyAssociations", ",", 
    RowBox[{"DatasetTheme", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\"\<ColumnDividers\>\"", ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"AbsoluteThickness", "[", "3", "]"}], ",", "Purple"}], 
          "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"\"\<AlternatingRowBackgrounds\>\"", ",", 
         RowBox[{"{", 
          RowBox[{"Pink", ",", "Green", ",", "Brown"}], "}"}]}], "}"}], ",", 
       "\"\<VerticalColumnHeaders\>\"", ",", "\"\<Business\>\""}], "}"}]}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.866890291063414*^9, 3.866890322624868*^9}, {
  3.866890382230939*^9, 3.866890418043476*^9}, {3.866890460734733*^9, 
  3.8668905189817667`*^9}},
 CellLabel->"In[549]:=",
 CellID->1029485980,ExpressionUUID->"3b17194a-617d-4dcb-9da5-f31c38575851"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        False|>}, "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 5], 
     "Meta" -> <|$CellContext`DatasetTheme -> {{"ColumnDividers", {
           AbsoluteThickness[3], 
           RGBColor[0.5, 0, 0.5]}}, {"AlternatingRowBackgrounds", {
           RGBColor[1, 0.5, 0.5], 
           RGBColor[0, 1, 0], 
           RGBColor[0.6, 0.4, 0.2]}}, "VerticalColumnHeaders", "Business"}|>, 
     "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 5], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
     5, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  Rotate[
                   Row[{
                    Spacer[2], "class"}], 90 Degree], 
                  Style[
                   Rotate[
                    Row[{
                    Spacer[2], "class"}], 90 Degree], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "2e042b22-23fa-46e3-83c6-bff40c10f500"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}, 
              Alignment -> {Center, Bottom}], BaseStyle -> Directive[
               
               RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                0.8980392156862745}]], Alignment -> {Center, Bottom}, 
             Frame -> {{Automatic, {
                 AbsoluteThickness[3], 
                 RGBColor[0.5, 0, 0.5]}}, {None, None}}, Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  Rotate[
                   Row[{
                    Spacer[2], "age"}], 90 Degree], 
                  Style[
                   Rotate[
                    Row[{
                    Spacer[2], "age"}], 90 Degree], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "2e042b22-23fa-46e3-83c6-bff40c10f500"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}, 
              Alignment -> {Center, Bottom}], BaseStyle -> Directive[
               
               RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                0.8980392156862745}]], Alignment -> {Center, Bottom}, 
             Frame -> {{{
                 AbsoluteThickness[3], 
                 RGBColor[0.5, 0, 0.5]}, {
                 AbsoluteThickness[3], 
                 RGBColor[0.5, 0, 0.5]}}, {None, None}}, Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  Rotate[
                   Row[{
                    Spacer[2], "sex"}], 90 Degree], 
                  Style[
                   Rotate[
                    Row[{
                    Spacer[2], "sex"}], 90 Degree], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "2e042b22-23fa-46e3-83c6-bff40c10f500"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}, 
              Alignment -> {Center, Bottom}], BaseStyle -> Directive[
               
               RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                0.8980392156862745}]], Alignment -> {Center, Bottom}, 
             Frame -> {{{
                 AbsoluteThickness[3], 
                 RGBColor[0.5, 0, 0.5]}, {
                 AbsoluteThickness[3], 
                 RGBColor[0.5, 0, 0.5]}}, {None, None}}, Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  Rotate[
                   Row[{
                    Spacer[2], "survived"}], 90 Degree], 
                  Style[
                   Rotate[
                    Row[{
                    Spacer[2], "survived"}], 90 Degree], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "2e042b22-23fa-46e3-83c6-bff40c10f500"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}, 
              Alignment -> {Center, Bottom}], BaseStyle -> Directive[
               
               RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                0.8980392156862745}]], Alignment -> {Center, Bottom}, 
             Frame -> {{{
                 AbsoluteThickness[3], 
                 RGBColor[0.5, 0, 0.5]}, Automatic}, {None, None}}, 
             Background -> GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "2e042b22-23fa-46e3-83c6-bff40c10f500"]][{1, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 0.5, 0.5], Frame -> {{Automatic, {
                 AbsoluteThickness[3], 
                 RGBColor[0.5, 0, 0.5]}}, {None, None}}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "2e042b22-23fa-46e3-83c6-bff40c10f500"]][{1, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 0.5, 0.5], Frame -> {{{
                 AbsoluteThickness[3], 
                 RGBColor[0.5, 0, 0.5]}, {
                 AbsoluteThickness[3], 
                 RGBColor[0.5, 0, 0.5]}}, {None, None}}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "2e042b22-23fa-46e3-83c6-bff40c10f500"]][{1, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 0.5, 0.5], Frame -> {{{
                 AbsoluteThickness[3], 
                 RGBColor[0.5, 0, 0.5]}, {
                 AbsoluteThickness[3], 
                 RGBColor[0.5, 0, 0.5]}}, {None, None}}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "2e042b22-23fa-46e3-83c6-bff40c10f500"]][{1, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 0.5, 0.5], Frame -> {{{
                 AbsoluteThickness[3], 
                 RGBColor[0.5, 0, 0.5]}, Automatic}, {None, None}}, 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "2e042b22-23fa-46e3-83c6-bff40c10f500"]][{2, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0, 1, 0], Frame -> {{Automatic, {
                 AbsoluteThickness[3], 
                 RGBColor[0.5, 0, 0.5]}}, {None, None}}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["65"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "2e042b22-23fa-46e3-83c6-bff40c10f500"]][{2, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0, 1, 0], Frame -> {{{
                 AbsoluteThickness[3], 
                 RGBColor[0.5, 0, 0.5]}, {
                 AbsoluteThickness[3], 
                 RGBColor[0.5, 0, 0.5]}}, {None, None}}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "2e042b22-23fa-46e3-83c6-bff40c10f500"]][{2, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0, 1, 0], Frame -> {{{
                 AbsoluteThickness[3], 
                 RGBColor[0.5, 0, 0.5]}, {
                 AbsoluteThickness[3], 
                 RGBColor[0.5, 0, 0.5]}}, {None, None}}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "2e042b22-23fa-46e3-83c6-bff40c10f500"]][{2, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0, 1, 0], Frame -> {{{
                 AbsoluteThickness[3], 
                 RGBColor[0.5, 0, 0.5]}, Automatic}, {None, None}}, 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "2e042b22-23fa-46e3-83c6-bff40c10f500"]][{3, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.6, 0.4, 0.2], Frame -> {{Automatic, {
                 AbsoluteThickness[3], 
                 RGBColor[0.5, 0, 0.5]}}, {None, None}}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "2e042b22-23fa-46e3-83c6-bff40c10f500"]][{3, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.6, 0.4, 0.2], Frame -> {{{
                 AbsoluteThickness[3], 
                 RGBColor[0.5, 0, 0.5]}, {
                 AbsoluteThickness[3], 
                 RGBColor[0.5, 0, 0.5]}}, {None, None}}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "2e042b22-23fa-46e3-83c6-bff40c10f500"]][{3, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.6, 0.4, 0.2], Frame -> {{{
                 AbsoluteThickness[3], 
                 RGBColor[0.5, 0, 0.5]}, {
                 AbsoluteThickness[3], 
                 RGBColor[0.5, 0, 0.5]}}, {None, None}}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "2e042b22-23fa-46e3-83c6-bff40c10f500"]][{3, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.6, 0.4, 0.2], Frame -> {{{
                 AbsoluteThickness[3], 
                 RGBColor[0.5, 0, 0.5]}, Automatic}, {None, None}}, 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "2e042b22-23fa-46e3-83c6-bff40c10f500"]][{4, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 0.5, 0.5], Frame -> {{Automatic, {
                 AbsoluteThickness[3], 
                 RGBColor[0.5, 0, 0.5]}}, {None, None}}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "2e042b22-23fa-46e3-83c6-bff40c10f500"]][{4, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 0.5, 0.5], Frame -> {{{
                 AbsoluteThickness[3], 
                 RGBColor[0.5, 0, 0.5]}, {
                 AbsoluteThickness[3], 
                 RGBColor[0.5, 0, 0.5]}}, {None, None}}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "2e042b22-23fa-46e3-83c6-bff40c10f500"]][{4, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 0.5, 0.5], Frame -> {{{
                 AbsoluteThickness[3], 
                 RGBColor[0.5, 0, 0.5]}, {
                 AbsoluteThickness[3], 
                 RGBColor[0.5, 0, 0.5]}}, {None, None}}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "2e042b22-23fa-46e3-83c6-bff40c10f500"]][{4, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 0.5, 0.5], Frame -> {{{
                 AbsoluteThickness[3], 
                 RGBColor[0.5, 0, 0.5]}, Automatic}, {None, None}}, 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "2e042b22-23fa-46e3-83c6-bff40c10f500"]][{5, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0, 1, 0], Frame -> {{Automatic, {
                 AbsoluteThickness[3], 
                 RGBColor[0.5, 0, 0.5]}}, {None, None}}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["18"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "2e042b22-23fa-46e3-83c6-bff40c10f500"]][{5, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0, 1, 0], Frame -> {{{
                 AbsoluteThickness[3], 
                 RGBColor[0.5, 0, 0.5]}, {
                 AbsoluteThickness[3], 
                 RGBColor[0.5, 0, 0.5]}}, {None, None}}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "2e042b22-23fa-46e3-83c6-bff40c10f500"]][{5, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0, 1, 0], Frame -> {{{
                 AbsoluteThickness[3], 
                 RGBColor[0.5, 0, 0.5]}, {
                 AbsoluteThickness[3], 
                 RGBColor[0.5, 0, 0.5]}}, {None, None}}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "2e042b22-23fa-46e3-83c6-bff40c10f500"]][{5, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0, 1, 0], Frame -> {{{
                 AbsoluteThickness[3], 
                 RGBColor[0.5, 0, 0.5]}, Automatic}, {None, None}}, 
             ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Frame -> 
          RGBColor[{0.3411764705882353, 0.49411764705882355`, 
            0.8980392156862745}], FrameStyle -> GrayLevel[0.7490196078431373],
           Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{199., {103.3837890625, 110.6162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{199., {103.3837890625, 110.6162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{{3.866890465972039*^9, 3.8668905195538263`*^9}, 
   3.881425819584661*^9},
 CellLabel->"Out[549]=",
 CellID->1673443351,ExpressionUUID->"2fa20c67-ced5-43c7-9e52-34633370ece9"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "Custom ",
 StyleBox[ButtonBox["Dataset",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
  FontColor->GrayLevel[0.45]],
 " Presentation Basics"
}], "Subsubsubsection",
 CellID->62715594,ExpressionUUID->"a9a49101-e976-48e0-8d59-8ca1d582970a"],

Cell[TextData[{
 ButtonBox["DatasetTheme",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/DatasetTheme.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/DatasetTheme.html"],
 " can\[CloseCurlyQuote]t do everything, however. For some forms of custom \
control, you need to augment or dispense with themes and just set options \
yourself. Suppose, for example, you want the background of the entire ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " to be ",
 ButtonBox["Yellow",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Yellow.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Yellow.html"],
 " and want the column headers to appear in a large italicized font. Here\
\[CloseCurlyQuote]s how to do it."
}], "Text",
 CellChangeTimes->{{3.8656114975081377`*^9, 3.865611505904196*^9}, {
  3.865611556312067*^9, 3.865611608222645*^9}, {3.865612827733327*^9, 
  3.8656128329664087`*^9}, {3.8656129025664682`*^9, 3.865612958938849*^9}, {
  3.86561302697806*^9, 3.8656130275305433`*^9}, {3.865613085757923*^9, 
  3.865613087987989*^9}, {3.865613129609297*^9, 3.865613131835547*^9}, {
  3.865672823470395*^9, 3.865672888490398*^9}, {3.865850095120399*^9, 
  3.865850134927438*^9}, {3.866625619792802*^9, 3.866625621122347*^9}, {
  3.866625821970088*^9, 3.866625920045196*^9}, {3.866650926972958*^9, 
  3.866650959195063*^9}, {3.866891203790916*^9, 3.8668912158991203`*^9}, {
  3.866891271366044*^9, 3.866891274400181*^9}, {3.867922036698749*^9, 
  3.867922037788754*^9}, {3.871051944083088*^9, 3.8710519447485037`*^9}},
 CellTags->"i:22",
 CellID->275992544,ExpressionUUID->"0f1dbe65-db49-4590-b5b7-138ef89b196c"],

Cell[TextData[{
 "Set the ",
 ButtonBox["Background",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Background.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Background.html"],
 " option and ",
 ButtonBox["HeaderStyle",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/HeaderStyle.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/HeaderStyle.html"],
 " option to control ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " presentation:"
}], "CodeText",
 CellChangeTimes->{{3.8668912398532867`*^9, 3.866891252529414*^9}, {
  3.867922089324746*^9, 3.867922103039579*^9}},
 CellID->1708840735,ExpressionUUID->"415e070b-9cd9-46f5-96e6-a172fce79fc5"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Dataset", "[", 
  RowBox[{"dinghyAssociations", ",", 
   RowBox[{"Background", "\[Rule]", "Yellow"}], ",", 
   RowBox[{"HeaderStyle", "\[Rule]", 
    RowBox[{"Directive", "[", 
     RowBox[{"Italic", ",", "24"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.8666258704467573`*^9, 3.866625872654641*^9}, {
  3.866625927107826*^9, 3.866625927220367*^9}},
 CellLabel->"In[550]:=",
 CellID->60649444,ExpressionUUID->"f4085940-ed9e-4c7e-b6a9-5d90a1cab28f"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        False|>}, "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 5], 
     "Meta" -> <|
      Background -> RGBColor[1, 1, 0], $CellContext`HeaderStyle -> 
       Directive[Italic, 24]|>, "RowTarget" -> 20, "ColumnTarget" -> 10, 
     "Shape" -> TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 
        1, {All, "age"} -> 1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 5], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
     5, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["class", 
                  Style[
                  "class", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "e1036c2a-321e-4aa2-a4e0-eee9e0800c5d"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> 
             Directive[Italic, 24], Background -> GrayLevel[0.95], 
             Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["age", 
                  Style[
                  "age", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "e1036c2a-321e-4aa2-a4e0-eee9e0800c5d"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> 
             Directive[Italic, 24], Background -> GrayLevel[0.95], 
             Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["sex", 
                  Style[
                  "sex", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "e1036c2a-321e-4aa2-a4e0-eee9e0800c5d"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> 
             Directive[Italic, 24], Background -> GrayLevel[0.95], 
             Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["survived", 
                  Style[
                  "survived", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "e1036c2a-321e-4aa2-a4e0-eee9e0800c5d"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> 
             Directive[Italic, 24], Background -> GrayLevel[0.95], 
             Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "e1036c2a-321e-4aa2-a4e0-eee9e0800c5d"]][{1, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "e1036c2a-321e-4aa2-a4e0-eee9e0800c5d"]][{1, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "e1036c2a-321e-4aa2-a4e0-eee9e0800c5d"]][{1, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "e1036c2a-321e-4aa2-a4e0-eee9e0800c5d"]][{1, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "e1036c2a-321e-4aa2-a4e0-eee9e0800c5d"]][{2, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["65"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "e1036c2a-321e-4aa2-a4e0-eee9e0800c5d"]][{2, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "e1036c2a-321e-4aa2-a4e0-eee9e0800c5d"]][{2, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "e1036c2a-321e-4aa2-a4e0-eee9e0800c5d"]][{2, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "e1036c2a-321e-4aa2-a4e0-eee9e0800c5d"]][{3, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "e1036c2a-321e-4aa2-a4e0-eee9e0800c5d"]][{3, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "e1036c2a-321e-4aa2-a4e0-eee9e0800c5d"]][{3, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "e1036c2a-321e-4aa2-a4e0-eee9e0800c5d"]][{3, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "e1036c2a-321e-4aa2-a4e0-eee9e0800c5d"]][{4, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "e1036c2a-321e-4aa2-a4e0-eee9e0800c5d"]][{4, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "e1036c2a-321e-4aa2-a4e0-eee9e0800c5d"]][{4, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "e1036c2a-321e-4aa2-a4e0-eee9e0800c5d"]][{4, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "e1036c2a-321e-4aa2-a4e0-eee9e0800c5d"]][{5, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["18"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "e1036c2a-321e-4aa2-a4e0-eee9e0800c5d"]][{5, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "e1036c2a-321e-4aa2-a4e0-eee9e0800c5d"]][{5, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "e1036c2a-321e-4aa2-a4e0-eee9e0800c5d"]][{5, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{266., {93.3837890625, 100.6162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{266., {93.3837890625, 100.6162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.8666258731104517`*^9, 3.866625928039728*^9, 
  3.8668011891911077`*^9, 3.881425828221977*^9},
 CellTags->"LastCellOfAPage",
 CellLabel->"Out[550]=",
 CellID->875080429,ExpressionUUID->"e62a43a2-c0a3-4afa-bae5-da49fc7cdf14"]
}, Open  ]],

Cell[TextData[{
 "Or perhaps you just wants three rows to appear and to elide presentation of \
the ",
 Cell[BoxData[
 "\"\<class\>\""], "InlineCodeText",ExpressionUUID->
  "d0d51460-6264-4fdb-9578-78e4071ab3c7"],
 " and ",
 Cell[BoxData[
 "\"\<age\>\""], "InlineCodeText",ExpressionUUID->
  "0ae4d5a1-681b-4798-a443-f60b126cdea4"],
 " columns."
}], "Text",
 CellChangeTimes->{{3.8656131379838257`*^9, 3.865613153730652*^9}, {
  3.86561319674806*^9, 3.865613209979829*^9}, {3.8666259766434393`*^9, 
  3.866625977273465*^9}, {3.866651043344718*^9, 3.866651050443071*^9}, {
  3.8679221189365997`*^9, 3.8679221345972*^9}, {3.8710514563446536`*^9, 
  3.8710514571324253`*^9}, {3.8710519530333796`*^9, 3.871051957282303*^9}, {
  3.8711404983711834`*^9, 3.8711405027962875`*^9}},
 CellTags->{"i:23", "p: 163"},
 CellID->421181991,ExpressionUUID->"2b232228-5798-488e-ae53-3ab9ef6bec69"],

Cell[TextData[{
 "Use ",
 ButtonBox["MaxItems",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/MaxItems.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/MaxItems.html"],
 " to alter the number of top-level elements (rows) presented and ",
 ButtonBox["HiddenItems",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/HiddenItems.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/HiddenItems.html"],
 " to suppress the presentation of certain columns:"
}], "CodeText",
 CellChangeTimes->{{3.865850212645773*^9, 3.8658502433532343`*^9}, 
   3.866625983511386*^9, {3.867922144186549*^9, 3.867922153086976*^9}, {
   3.8710514616316013`*^9, 3.8710514618159323`*^9}, {3.8722450362616343`*^9, 
   3.872245036462495*^9}},
 CellID->1486060697,ExpressionUUID->"a85851e5-c58e-4bc9-af4e-31db15a81512"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Dataset", "[", 
  RowBox[{"dinghyAssociations", ",", 
   RowBox[{"MaxItems", "\[Rule]", "3"}], ",", 
   RowBox[{"HiddenItems", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<class\>\"", ",", "\"\<age\>\""}], "}"}]}]}], "]"}]], "Input",\

 CellChangeTimes->{{3.8656131595313587`*^9, 3.86561317602948*^9}, {
  3.865613212255624*^9, 3.8656132255845823`*^9}, {3.866625985755584*^9, 
  3.866625985859969*^9}},
 CellLabel->"In[551]:=",
 CellID->1569350333,ExpressionUUID->"c422e933-55be-48a1-9023-2d1a64df1167"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        False|>}, "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 3, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 5], 
     "Meta" -> <|
      MaxItems -> 3, $CellContext`HiddenItems -> {"class", "age"}|>, 
     "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 3, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 5], "Path" -> {}, 
     "DisplayedRowCount" -> 3, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
     5, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Annotation[
              Pane[
               Button[
                Tooltip[
                 Mouseover[
                  Style["\[ThinSpace]+\[ThinSpace]", 
                   GrayLevel[0.6]], 
                  Style["\[ThinSpace]+\[ThinSpace]", 
                   RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], 
                 Annotation[
                  EventHandler[
                   MouseAppearance[
                    Mouseover["class", 
                    Style[
                    "class", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                   If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "class"}, 1]]], 
                  TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   "0827674e-7f30-4fab-abfe-f96c4e6d3e39"]][{All, "class"}, 
                   "ColumnHeader", True], "Mouse"]], 
                TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                 TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                 TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                 TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                 TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                 TypeSystem`NestedGrid`PackagePrivate`localHold[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                 All, "class"}, "remove"], Appearance -> None, BaseStyle -> 
                None], ImageSize -> {{5, Full}, Automatic}, 
               ImageMargins -> {{3, 2}, {0, 0}}], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               "0827674e-7f30-4fab-abfe-f96c4e6d3e39"]][{All, "class"}, 
               "ColumnHeader", False], "Mouse"], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Annotation[
              Pane[
               Button[
                Tooltip[
                 Mouseover[
                  Style["\[ThinSpace]+\[ThinSpace]", 
                   GrayLevel[0.6]], 
                  Style["\[ThinSpace]+\[ThinSpace]", 
                   RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], 
                 Annotation[
                  EventHandler[
                   MouseAppearance[
                    Mouseover["age", 
                    Style[
                    "age", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                   If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "age"}, 1]]], 
                  TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   "0827674e-7f30-4fab-abfe-f96c4e6d3e39"]][{All, "age"}, 
                   "ColumnHeader", True], "Mouse"]], 
                TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                 TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                 TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                 TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                 TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                 TypeSystem`NestedGrid`PackagePrivate`localHold[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                 All, "age"}, "remove"], Appearance -> None, BaseStyle -> 
                None], ImageSize -> {{5, Full}, Automatic}, 
               ImageMargins -> {{3, 2}, {0, 0}}], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               "0827674e-7f30-4fab-abfe-f96c4e6d3e39"]][{All, "age"}, 
               "ColumnHeader", False], "Mouse"], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["sex", 
                  Style[
                  "sex", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0827674e-7f30-4fab-abfe-f96c4e6d3e39"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["survived", 
                  Style[
                  "survived", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0827674e-7f30-4fab-abfe-f96c4e6d3e39"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Annotation[
              Pane[
               Button[
                Tooltip[
                 Mouseover[
                  Style[
                  "\[ThinSpace]\[ThinSpace]\[Bullet]\[ThinSpace]\[ThinSpace]", 
                   GrayLevel[0.6]], 
                  Style["\[ThinSpace]+\[ThinSpace]", 
                   RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], 
                 Annotation["3rd", 
                  TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   "0827674e-7f30-4fab-abfe-f96c4e6d3e39"]][{1, 
                    Key["class"]}, "Item", False], "Mouse"]], 
                TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                 TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                 TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                 TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                 TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                 TypeSystem`NestedGrid`PackagePrivate`localHold[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{1, 
                  Key["class"]}, "remove"], Appearance -> None, BaseStyle -> 
                None], ImageSize -> {{5, Full}, Automatic}, 
               ImageMargins -> {{3, 2}, {0, 0}}], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               "0827674e-7f30-4fab-abfe-f96c4e6d3e39"]][{1, 
                Key["class"]}, "Item", False], "Mouse"], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Annotation[
              Pane[
               Button[
                Tooltip[
                 Mouseover[
                  Style[
                  "\[ThinSpace]\[ThinSpace]\[Bullet]\[ThinSpace]\[ThinSpace]", 
                   GrayLevel[0.6]], 
                  Style["\[ThinSpace]+\[ThinSpace]", 
                   RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], 
                 Annotation[
                  RawBoxes["16"], 
                  TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   "0827674e-7f30-4fab-abfe-f96c4e6d3e39"]][{1, 
                    Key["age"]}, "Item", False], "Mouse"]], 
                TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                 TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                 TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                 TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                 TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                 TypeSystem`NestedGrid`PackagePrivate`localHold[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{1, 
                  Key["age"]}, "remove"], Appearance -> None, BaseStyle -> 
                None], ImageSize -> {{5, Full}, Automatic}, 
               ImageMargins -> {{3, 2}, {0, 0}}], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               "0827674e-7f30-4fab-abfe-f96c4e6d3e39"]][{1, 
                Key["age"]}, "Item", False], "Mouse"], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0827674e-7f30-4fab-abfe-f96c4e6d3e39"]][{1, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0827674e-7f30-4fab-abfe-f96c4e6d3e39"]][{1, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Annotation[
              Pane[
               Button[
                Tooltip[
                 Mouseover[
                  Style[
                  "\[ThinSpace]\[ThinSpace]\[Bullet]\[ThinSpace]\[ThinSpace]", 
                   GrayLevel[0.6]], 
                  Style["\[ThinSpace]+\[ThinSpace]", 
                   RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], 
                 Annotation["1st", 
                  TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   "0827674e-7f30-4fab-abfe-f96c4e6d3e39"]][{2, 
                    Key["class"]}, "Item", False], "Mouse"]], 
                TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                 TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                 TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                 TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                 TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                 TypeSystem`NestedGrid`PackagePrivate`localHold[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{2, 
                  Key["class"]}, "remove"], Appearance -> None, BaseStyle -> 
                None], ImageSize -> {{5, Full}, Automatic}, 
               ImageMargins -> {{3, 2}, {0, 0}}], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               "0827674e-7f30-4fab-abfe-f96c4e6d3e39"]][{2, 
                Key["class"]}, "Item", False], "Mouse"], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Annotation[
              Pane[
               Button[
                Tooltip[
                 Mouseover[
                  Style[
                  "\[ThinSpace]\[ThinSpace]\[Bullet]\[ThinSpace]\[ThinSpace]", 
                   GrayLevel[0.6]], 
                  Style["\[ThinSpace]+\[ThinSpace]", 
                   RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], 
                 Annotation[
                  RawBoxes["65"], 
                  TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   "0827674e-7f30-4fab-abfe-f96c4e6d3e39"]][{2, 
                    Key["age"]}, "Item", False], "Mouse"]], 
                TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                 TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                 TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                 TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                 TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                 TypeSystem`NestedGrid`PackagePrivate`localHold[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{2, 
                  Key["age"]}, "remove"], Appearance -> None, BaseStyle -> 
                None], ImageSize -> {{5, Full}, Automatic}, 
               ImageMargins -> {{3, 2}, {0, 0}}], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               "0827674e-7f30-4fab-abfe-f96c4e6d3e39"]][{2, 
                Key["age"]}, "Item", False], "Mouse"], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0827674e-7f30-4fab-abfe-f96c4e6d3e39"]][{2, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0827674e-7f30-4fab-abfe-f96c4e6d3e39"]][{2, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Annotation[
              Pane[
               Button[
                Tooltip[
                 Mouseover[
                  Style[
                  "\[ThinSpace]\[ThinSpace]\[Bullet]\[ThinSpace]\[ThinSpace]", 
                   GrayLevel[0.6]], 
                  Style["\[ThinSpace]+\[ThinSpace]", 
                   RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], 
                 Annotation["3rd", 
                  TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   "0827674e-7f30-4fab-abfe-f96c4e6d3e39"]][{3, 
                    Key["class"]}, "Item", False], "Mouse"]], 
                TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                 TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                 TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                 TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                 TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                 TypeSystem`NestedGrid`PackagePrivate`localHold[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{3, 
                  Key["class"]}, "remove"], Appearance -> None, BaseStyle -> 
                None], ImageSize -> {{5, Full}, Automatic}, 
               ImageMargins -> {{3, 2}, {0, 0}}], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               "0827674e-7f30-4fab-abfe-f96c4e6d3e39"]][{3, 
                Key["class"]}, "Item", False], "Mouse"], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Annotation[
              Pane[
               Button[
                Tooltip[
                 Mouseover[
                  Style[
                  "\[ThinSpace]\[ThinSpace]\[Bullet]\[ThinSpace]\[ThinSpace]", 
                   GrayLevel[0.6]], 
                  Style["\[ThinSpace]+\[ThinSpace]", 
                   RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], 
                 Annotation[
                  RawBoxes["2"], 
                  TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   "0827674e-7f30-4fab-abfe-f96c4e6d3e39"]][{3, 
                    Key["age"]}, "Item", False], "Mouse"]], 
                TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                 TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                 TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                 TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                 TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                 TypeSystem`NestedGrid`PackagePrivate`localHold[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{3, 
                  Key["age"]}, "remove"], Appearance -> None, BaseStyle -> 
                None], ImageSize -> {{5, Full}, Automatic}, 
               ImageMargins -> {{3, 2}, {0, 0}}], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               "0827674e-7f30-4fab-abfe-f96c4e6d3e39"]][{3, 
                Key["age"]}, "Item", False], "Mouse"], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0827674e-7f30-4fab-abfe-f96c4e6d3e39"]][{3, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0827674e-7f30-4fab-abfe-f96c4e6d3e39"]][{3, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Deploy[
              Pane[
               Row[{
                 Spacer[2], 
                 Style[
                  Row[{
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 3 
                    If[True, 5, 1], {1, 5 - -3 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 0, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ - 3 
                    If[False, 5, 1], {1, 5 - -3 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], " ", 
                    Style[
                    Mouseover[
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 3, " of ", 
                    Style[5, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]], 
                    Style[
                    Row[{"rows ", 1, "\[Dash]", 3, " of ", 
                    Style[5, FontWeight -> Bold]}], FontSize -> 
                    9.333333333333332, FontColor -> 
                    RGBColor[
                    0.5098039215686274, 0.5098039215686274, 
                    0.5098039215686274]]], ContextMenu -> {
                    MenuItem["Hide", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 1, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 10 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 10, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 30 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 30, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show up to 100 Rows", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100, {}]], MenuEvaluator -> Automatic], 
                    MenuItem["Show All", 
                    KernelExecute[
                    
                    TypeSystem`NestedGrid`PackagePrivate`adjustLimits[{
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]}, 
                    "Rows", 100000000, {}]], MenuEvaluator -> Automatic]}], 
                    " ", 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}]}, {5, 6.5}], 180 Degree, {
                    9, 9}]}, ImageSize -> (1 -> 1), 
                    ImagePadding -> {{0, 1}, {1, 0}}, BaselinePosition -> 
                    Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    3 If[False, 5, 1], {1, 5 - 3 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None], 
                    Button[
                    MouseAppearance[
                    Mouseover[
                    Graphics[{{
                    EdgeForm[None], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35], BaseStyle -> 
                    RGBColor[
                    0.5372549019607843, 0.5372549019607843, 
                    0.5372549019607843]], 
                    Graphics[{{
                    EdgeForm[
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549]], 
                    FaceForm[None], 
                    Rectangle[{0, 0}, {18, 18}, RoundingRadius -> 2]}, 
                    Rotate[
                    Translate[{
                    CapForm[Round], 
                    RGBColor[
                    0.27450980392156865`, 0.5411764705882353, 
                    0.796078431372549], 
                    Line[{{0, 0}, {4, 5}, {8, 0}}], 
                    Line[{{0, 5}, {8, 5}}]}, {5, 6.5}], 180 Degree, {9, 9}]}, 
                    ImageSize -> (1 -> 1), ImagePadding -> {{0, 1}, {1, 0}}, 
                    BaselinePosition -> Scaled[0.35]]], "LinkHand"], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 
                    Clip[TypeSystem`NestedGrid`PackagePrivate`$vPos$$ + 
                    3 If[True, 5, 1], {1, 5 - 3 + 1}]; 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]], True][
                    TypeSystem`NestedGrid`PackagePrivate`$path$$]], 
                    Appearance -> None]}], ContextMenu -> {}]}], 
               ImageMargins -> {{0, -1}, {-1, 1}}]], Background -> 
             RGBColor[
              0.9764705882352941, 0.9764705882352941, 0.9764705882352941], 
             Alignment -> {Left, Top}], SpanFromLeft, SpanFromLeft, 
            SpanFromLeft}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{183., {70.3837890625, 77.6162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{183., {70.3837890625, 77.6162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.8656131767805*^9, 3.86561322637847*^9, 
  3.866625987500966*^9, 3.866801189398231*^9, 3.88142583459629*^9},
 CellLabel->"Out[551]=",
 CellID->1076131754,ExpressionUUID->"6ed7ec07-c7ab-4b6c-8a22-031b41a0925c"]
}, Open  ]],

Cell[TextData[{
 "In Version 12 and earlier, instead of using ",
 ButtonBox["MaxItems",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/MaxItems.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/MaxItems.html"],
 " to alter the number of rows displayed, you need to alter a system \
variable: ",
 Cell[BoxData[
 "Dataset`$DatasetTargetRowCount"], "InlineCode",ExpressionUUID->
  "80925c8b-7cc9-4a1f-af9f-9a41c206fcff"],
 ". Other formatting options, however, are not realistically available in \
Version 12 or earlier."
}], "Note",
 CellChangeTimes->{{3.865672428286557*^9, 3.865672489167266*^9}, {
  3.8693228783674173`*^9, 3.8693229538526993`*^9}, {3.871051473063197*^9, 
  3.8710514883827686`*^9}, {3.8710515289567738`*^9, 3.871051529481988*^9}, {
  3.8711405134873915`*^9, 3.871140516619249*^9}, {3.8722435935097914`*^9, 
  3.8722436072401114`*^9}, {3.872245044904418*^9, 3.872245045692913*^9}, {
  3.872245151669816*^9, 3.8722451664600334`*^9}, {3.872245814900201*^9, 
  3.8722458184857645`*^9}, {3.8722525776808796`*^9, 3.872252607801838*^9}, {
  3.8722526553071113`*^9, 3.872252656047078*^9}, {3.896308885948738*^9, 
  3.896308886244776*^9}},
 CellTags->"i:24",
 CellID->1684394197,ExpressionUUID->"c63a8a7d-b373-41ad-9cc2-713df37a9583"],

Cell[TextData[{
 "You can also mix ",
 ButtonBox["DatasetTheme",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/DatasetTheme.html"], None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/DatasetTheme.html"],
 " with custom options. Here, I compare the use of the ",
 Cell[BoxData[
 "\"\<Web\>\""], "InlineCodeText",ExpressionUUID->
  "28f5cad3-b154-4aa2-b48b-ce5e1543c1a4"],
 " theme without any overrides and a ",
 Cell[BoxData[
 "\"\<Web\>\""], "InlineCodeText",ExpressionUUID->
  "44f9da0d-7e35-4390-8dad-64c54fea1f05"],
 " theme in which I override the ",
 ButtonBox["HeaderBackground",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/HeaderBackground.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/HeaderBackground.html"],
 " so that it is ",
 ButtonBox["Cyan",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Cyan.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Cyan.html"],
 "."
}], "Text",
 CellChangeTimes->{{3.866812317534192*^9, 3.866812382460331*^9}, {
  3.8668124208772593`*^9, 3.866812477215447*^9}, {3.867922246993532*^9, 
  3.8679222545563707`*^9}, {3.8710519646198564`*^9, 3.8710519779293423`*^9}, {
  3.8710521886162043`*^9, 3.8710521898543973`*^9}, {3.871140544550516*^9, 
  3.8711405467600822`*^9}},
 CellTags->"i:25",
 CellID->1711858563,ExpressionUUID->"b9aeb5ec-506b-4096-bc20-f35c173b0284"],

Cell[TextData[{
 "Combine ",
 ButtonBox["DatasetTheme",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/DatasetTheme.html"], None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/DatasetTheme.html"],
 " with ",
 ButtonBox["HeaderBackground",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/HeaderBackground.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/HeaderBackground.html"],
 " to show that ",
 ButtonBox["HeaderBackground",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/HeaderBackground.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/HeaderBackground.html"],
 " takes precedence:"
}], "CodeText",
 CellChangeTimes->{{3.866891343602635*^9, 3.866891379968163*^9}},
 CellID->1688652251,ExpressionUUID->"3aa8013c-398b-4caa-8abe-86a86c8b887d"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"Dataset", "[", 
    RowBox[{"dinghyAssociations", ",", 
     RowBox[{"DatasetTheme", "\[Rule]", "\"\<Web\>\""}]}], "]"}], ",", 
   RowBox[{"Dataset", "[", 
    RowBox[{"dinghyAssociations", ",", 
     RowBox[{"DatasetTheme", "\[Rule]", "\"\<Web\>\""}], ",", 
     RowBox[{"HeaderBackground", "\[Rule]", "Cyan"}]}], "]"}]}], 
  "}"}]], "Input",
 CellChangeTimes->{{3.866812392936458*^9, 3.866812415292644*^9}, {
  3.86681244764682*^9, 3.8668124585583982`*^9}},
 CellLabel->"In[552]:=",
 CellID->1324746404,ExpressionUUID->"3a16e6a7-ce20-4851-b1d9-3b86ca41e4df"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   TagBox[
    TagBox[
     DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
      "InitialData" -> {<|
         "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
          True|>, <|
         "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> 
          False|>, <|
         "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
          False|>, <|
         "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
          True|>, <|
         "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
          False|>}, "AllowEmbedding" -> True, "InitialShape" -> 
       TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 
          1, {All, "age"} -> 1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
         TypeSystem`PackageScope`Limited[
          TypeSystem`PackageScope`ColumnShape[
           TypeSystem`PackageScope`Limited[
            
            TypeSystem`PackageScope`RowShape[<|
             "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
              TypeSystem`PackageScope`AtomShape[34], "sex" -> 
              TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
              TypeSystem`PackageScope`AtomShape[36]|>], 
            DirectedInfinity[1], 4, {All}]], 8, 
          DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
         TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
           TypeSystem`Atom[
            TypeSystem`Enumeration["1st", "3rd"]], 
           TypeSystem`Atom[Integer], 
           TypeSystem`Atom[
            TypeSystem`Enumeration["female", "male"]], 
           TypeSystem`Atom[TypeSystem`Boolean]}], 5], 
       "Meta" -> <|$CellContext`DatasetTheme -> "Web"|>, "RowTarget" -> 20, 
       "ColumnTarget" -> 10, "Shape" -> 
       TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 
          1, {All, "age"} -> 1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
         TypeSystem`PackageScope`Limited[
          TypeSystem`PackageScope`ColumnShape[
           TypeSystem`PackageScope`Limited[
            
            TypeSystem`PackageScope`RowShape[<|
             "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
              TypeSystem`PackageScope`AtomShape[34], "sex" -> 
              TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
              TypeSystem`PackageScope`AtomShape[36]|>], 
            DirectedInfinity[1], 4, {All}]], 8, 
          DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
         TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
           TypeSystem`Atom[
            TypeSystem`Enumeration["1st", "3rd"]], 
           TypeSystem`Atom[Integer], 
           TypeSystem`Atom[
            TypeSystem`Enumeration["female", "male"]], 
           TypeSystem`Atom[TypeSystem`Boolean]}], 5], "Path" -> {}, 
       "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
       5, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
       "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
      TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
      TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
      TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
      TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
      TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
      DynamicModule[{
       TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
          Style[
           Grid[{{
              Item[
               Pane[
                Annotation[
                 EventHandler[
                  MouseAppearance[
                   Mouseover["class", 
                    Style[
                    "class", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                  If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "class"}, 1]]], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "f9dac5d8-0f10-4cc5-9fb4-6ec3cf64d6db"]][{All, "class"}, 
                  "ColumnHeader", True], "Mouse"], 
                ImageSize -> {{1, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> Directive[
                 RGBColor[{0.792156862745098, 0.2, 0.}]], Background -> 
               RGBColor[{0.9254901960784314, 0.7333333333333333, 
                 0.6705882352941176}], Frame -> {{Automatic, 
                  RGBColor[{0.792156862745098, 0.2, 0.}]}, {None, None}}, 
               Background -> GrayLevel[0.95], Alignment -> {Left, Baseline}], 
              Item[
               Pane[
                Annotation[
                 EventHandler[
                  MouseAppearance[
                   Mouseover["age", 
                    Style[
                    "age", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                  If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "age"}, 1]]], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "f9dac5d8-0f10-4cc5-9fb4-6ec3cf64d6db"]][{All, "age"}, 
                  "ColumnHeader", True], "Mouse"], 
                ImageSize -> {{1, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> Directive[
                 RGBColor[{0.792156862745098, 0.2, 0.}]], Background -> 
               RGBColor[{0.9254901960784314, 0.7333333333333333, 
                 0.6705882352941176}], Frame -> {{
                  RGBColor[{0.792156862745098, 0.2, 0.}], 
                  RGBColor[{0.792156862745098, 0.2, 0.}]}, {None, None}}, 
               Background -> GrayLevel[0.95], Alignment -> {Left, Baseline}], 
              Item[
               Pane[
                Annotation[
                 EventHandler[
                  MouseAppearance[
                   Mouseover["sex", 
                    Style[
                    "sex", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                  If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "sex"}, 1]]], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "f9dac5d8-0f10-4cc5-9fb4-6ec3cf64d6db"]][{All, "sex"}, 
                  "ColumnHeader", True], "Mouse"], 
                ImageSize -> {{1, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> Directive[
                 RGBColor[{0.792156862745098, 0.2, 0.}]], Background -> 
               RGBColor[{0.9254901960784314, 0.7333333333333333, 
                 0.6705882352941176}], Frame -> {{
                  RGBColor[{0.792156862745098, 0.2, 0.}], 
                  RGBColor[{0.792156862745098, 0.2, 0.}]}, {None, None}}, 
               Background -> GrayLevel[0.95], Alignment -> {Left, Baseline}], 
              Item[
               Pane[
                Annotation[
                 EventHandler[
                  MouseAppearance[
                   Mouseover["survived", 
                    Style[
                    "survived", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                  If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "survived"}, 1]]], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "f9dac5d8-0f10-4cc5-9fb4-6ec3cf64d6db"]][{All, "survived"}, 
                  "ColumnHeader", True], "Mouse"], 
                ImageSize -> {{1, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> Directive[
                 RGBColor[{0.792156862745098, 0.2, 0.}]], Background -> 
               RGBColor[{0.9254901960784314, 0.7333333333333333, 
                 0.6705882352941176}], Frame -> {{
                  RGBColor[{0.792156862745098, 0.2, 0.}], Automatic}, {
                 None, None}}, Background -> GrayLevel[0.95], 
               Alignment -> {Left, Baseline}]}, {
              Item[
               Pane[
                Annotation["3rd", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "f9dac5d8-0f10-4cc5-9fb4-6ec3cf64d6db"]][{1, 
                   Key["class"]}, "Item", False], "Mouse"], 
                ImageSize -> {{31.5, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[1],
                Frame -> {{Automatic, 
                  RGBColor[{0.792156862745098, 0.2, 0.}]}, {None, None}}, 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["16"], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "f9dac5d8-0f10-4cc5-9fb4-6ec3cf64d6db"]][{1, 
                   Key["age"]}, "Item", False], "Mouse"], 
                ImageSize -> {{34, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[1],
                Frame -> {{
                  RGBColor[{0.792156862745098, 0.2, 0.}], 
                  RGBColor[{0.792156862745098, 0.2, 0.}]}, {None, None}}, 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation["female", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "f9dac5d8-0f10-4cc5-9fb4-6ec3cf64d6db"]][{1, 
                   Key["sex"]}, "Item", False], "Mouse"], 
                ImageSize -> {{63., Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[1],
                Frame -> {{
                  RGBColor[{0.792156862745098, 0.2, 0.}], 
                  RGBColor[{0.792156862745098, 0.2, 0.}]}, {None, None}}, 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["True"], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "f9dac5d8-0f10-4cc5-9fb4-6ec3cf64d6db"]][{1, 
                   Key["survived"]}, "Item", False], "Mouse"], 
                ImageSize -> {{36, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[1],
                Frame -> {{
                  RGBColor[{0.792156862745098, 0.2, 0.}], Automatic}, {
                 None, None}}, ItemSize -> {Full, Automatic}]}, {
              Item[
               Pane[
                Annotation["1st", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "f9dac5d8-0f10-4cc5-9fb4-6ec3cf64d6db"]][{2, 
                   Key["class"]}, "Item", False], "Mouse"], 
                ImageSize -> {{31.5, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.94], Frame -> {{Automatic, 
                  RGBColor[{0.792156862745098, 0.2, 0.}]}, {None, None}}, 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["65"], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "f9dac5d8-0f10-4cc5-9fb4-6ec3cf64d6db"]][{2, 
                   Key["age"]}, "Item", False], "Mouse"], 
                ImageSize -> {{34, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.94], Frame -> {{
                  RGBColor[{0.792156862745098, 0.2, 0.}], 
                  RGBColor[{0.792156862745098, 0.2, 0.}]}, {None, None}}, 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation["male", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "f9dac5d8-0f10-4cc5-9fb4-6ec3cf64d6db"]][{2, 
                   Key["sex"]}, "Item", False], "Mouse"], 
                ImageSize -> {{63., Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.94], Frame -> {{
                  RGBColor[{0.792156862745098, 0.2, 0.}], 
                  RGBColor[{0.792156862745098, 0.2, 0.}]}, {None, None}}, 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["False"], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "f9dac5d8-0f10-4cc5-9fb4-6ec3cf64d6db"]][{2, 
                   Key["survived"]}, "Item", False], "Mouse"], 
                ImageSize -> {{36, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.94], Frame -> {{
                  RGBColor[{0.792156862745098, 0.2, 0.}], Automatic}, {
                 None, None}}, ItemSize -> {Full, Automatic}]}, {
              Item[
               Pane[
                Annotation["3rd", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "f9dac5d8-0f10-4cc5-9fb4-6ec3cf64d6db"]][{3, 
                   Key["class"]}, "Item", False], "Mouse"], 
                ImageSize -> {{31.5, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[1],
                Frame -> {{Automatic, 
                  RGBColor[{0.792156862745098, 0.2, 0.}]}, {None, None}}, 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["2"], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "f9dac5d8-0f10-4cc5-9fb4-6ec3cf64d6db"]][{3, 
                   Key["age"]}, "Item", False], "Mouse"], 
                ImageSize -> {{34, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[1],
                Frame -> {{
                  RGBColor[{0.792156862745098, 0.2, 0.}], 
                  RGBColor[{0.792156862745098, 0.2, 0.}]}, {None, None}}, 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation["female", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "f9dac5d8-0f10-4cc5-9fb4-6ec3cf64d6db"]][{3, 
                   Key["sex"]}, "Item", False], "Mouse"], 
                ImageSize -> {{63., Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[1],
                Frame -> {{
                  RGBColor[{0.792156862745098, 0.2, 0.}], 
                  RGBColor[{0.792156862745098, 0.2, 0.}]}, {None, None}}, 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["False"], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "f9dac5d8-0f10-4cc5-9fb4-6ec3cf64d6db"]][{3, 
                   Key["survived"]}, "Item", False], "Mouse"], 
                ImageSize -> {{36, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[1],
                Frame -> {{
                  RGBColor[{0.792156862745098, 0.2, 0.}], Automatic}, {
                 None, None}}, ItemSize -> {Full, Automatic}]}, {
              Item[
               Pane[
                Annotation["3rd", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "f9dac5d8-0f10-4cc5-9fb4-6ec3cf64d6db"]][{4, 
                   Key["class"]}, "Item", False], "Mouse"], 
                ImageSize -> {{31.5, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.94], Frame -> {{Automatic, 
                  RGBColor[{0.792156862745098, 0.2, 0.}]}, {None, None}}, 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 Style["\[LongDash]", 
                  GrayLevel[0.75]], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "f9dac5d8-0f10-4cc5-9fb4-6ec3cf64d6db"]][{4, 
                   Key["age"]}, "Item", False], "Mouse"], 
                ImageSize -> {{34, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.94], Frame -> {{
                  RGBColor[{0.792156862745098, 0.2, 0.}], 
                  RGBColor[{0.792156862745098, 0.2, 0.}]}, {None, None}}, 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation["female", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "f9dac5d8-0f10-4cc5-9fb4-6ec3cf64d6db"]][{4, 
                   Key["sex"]}, "Item", False], "Mouse"], 
                ImageSize -> {{63., Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.94], Frame -> {{
                  RGBColor[{0.792156862745098, 0.2, 0.}], 
                  RGBColor[{0.792156862745098, 0.2, 0.}]}, {None, None}}, 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["True"], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "f9dac5d8-0f10-4cc5-9fb4-6ec3cf64d6db"]][{4, 
                   Key["survived"]}, "Item", False], "Mouse"], 
                ImageSize -> {{36, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.94], Frame -> {{
                  RGBColor[{0.792156862745098, 0.2, 0.}], Automatic}, {
                 None, None}}, ItemSize -> {Full, Automatic}]}, {
              Item[
               Pane[
                Annotation["3rd", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "f9dac5d8-0f10-4cc5-9fb4-6ec3cf64d6db"]][{5, 
                   Key["class"]}, "Item", False], "Mouse"], 
                ImageSize -> {{31.5, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[1],
                Frame -> {{Automatic, 
                  RGBColor[{0.792156862745098, 0.2, 0.}]}, {None, None}}, 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["18"], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "f9dac5d8-0f10-4cc5-9fb4-6ec3cf64d6db"]][{5, 
                   Key["age"]}, "Item", False], "Mouse"], 
                ImageSize -> {{34, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[1],
                Frame -> {{
                  RGBColor[{0.792156862745098, 0.2, 0.}], 
                  RGBColor[{0.792156862745098, 0.2, 0.}]}, {None, None}}, 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation["female", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "f9dac5d8-0f10-4cc5-9fb4-6ec3cf64d6db"]][{5, 
                   Key["sex"]}, "Item", False], "Mouse"], 
                ImageSize -> {{63., Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[1],
                Frame -> {{
                  RGBColor[{0.792156862745098, 0.2, 0.}], 
                  RGBColor[{0.792156862745098, 0.2, 0.}]}, {None, None}}, 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["False"], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "f9dac5d8-0f10-4cc5-9fb4-6ec3cf64d6db"]][{5, 
                   Key["survived"]}, "Item", False], "Mouse"], 
                ImageSize -> {{36, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[1],
                Frame -> {{
                  RGBColor[{0.792156862745098, 0.2, 0.}], Automatic}, {
                 None, None}}, ItemSize -> {Full, Automatic}]}}, 
            BaseStyle -> {
             ContextMenu -> 
              Dynamic[TypeSystem`NestedGrid`PackagePrivate`$\
contextMenuTrigger; 
                Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                  TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                  TypeSystem`NestedGrid`PackagePrivate`$\
lastContextMenuTrigger, TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu,
                   True, TypeSystem`NestedGrid`PackagePrivate`$\
lastContextMenuTrigger = 
                   TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                  TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                   Block[{TypeSystem`NestedGrid`PackagePrivate`$\
globalScrollPos = {TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                    
                    With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
              "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, 
            FrameStyle -> GrayLevel[0.7490196078431373], Spacings -> {0, 0}, 
            Alignment -> Left, 
            BaseStyle -> {
             FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
              Plain}], LineBreakWithin -> False, ContextMenu -> {}, 
           NumberMarks -> False, ShowAutoStyles -> False]], 
        TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
       Dynamic[
        TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
        TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
           Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
           
           Module[{TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
             TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
             TypeSystem`NestedGrid`PackagePrivate`datasetData[
              TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
               FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
               TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
               TypeSystem`NestedGrid`PackagePrivate`renderGrid[
               TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
               TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
              Not[
               FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
              TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
              TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
         TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
         TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
         TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
           FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
           TypeSystem`SparseGrid[
            TypeSystem`H["(data no longer present)"]], 
           TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
        TrackedSymbols :> {
         TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
          TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
       DynamicModuleValues :> {}], 
      TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
       TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
        TypeSystem`PackageScope`SubViewPathbar[
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
         TypeSystem`NestedGrid`PackagePrivate`updateState[
         TypeSystem`NestedGrid`PackagePrivate`$state$$, 
          TypeSystem`NestedGrid`PackagePrivate`$path$$, 
          TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
          TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
          TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
       TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
      TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
       Framed[
        Dynamic[
         Replace[
         TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
          TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
             TypeSystem`NestedGrid`PackagePrivate`localHold[
             TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
             Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
             TypeSystem`NestedGrid`PackagePrivate`localHold[
             TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
              Blank[]], 
             Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
              Blank[]], 
             Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
              Blank[]]] :> (
            Increment[
             TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
            TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
             TypeSystem`NestedGrid`PackagePrivate`path$; 
            TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
             TypeSystem`NestedGrid`PackagePrivate`pathType$; 
            TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
             TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
            TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
             TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
            TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
             TypeSystem`NestedGrid`PackagePrivate`path$, 
              TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
           Spacer[10], Blank[] :> Spacer[10]}], 
         TrackedSymbols :> {
          TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], 
        FrameStyle -> None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> 
        Top, ImageSize -> {Automatic, 15}], FontSize -> 1], 
      TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
      DynamicWrapperBox[
       DynamicBox[ToBoxes[
         Dataset`DatasetContent[
         2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
          "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], 
          "State" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], 
          "VPos" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], 
          "HPos" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], 
          "TopBar" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], 
          "BottomBar" -> 
          Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
          Hold[
            TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
        ImageSizeCache->{211., {85.8837890625, 93.1162109375}},
        TrackedSymbols:>{
         TypeSystem`NestedGrid`PackagePrivate`$state$$, 
          TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
       MouseAnnotation[],
       ImageSizeCache->{211., {85.8837890625, 93.1162109375}}],
      BaseStyle->{LineBreakWithin -> False},
      DynamicModuleValues:>{},
      Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
       CreateUUID[]),
      UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
     Deploy,
     DefaultBaseStyle->"Deploy"],
    Dataset`InterpretDataset[1],
    Editable->False,
    SelectWithContents->True,
    Selectable->False], ",", 
   TagBox[
    TagBox[
     DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
      "InitialData" -> {<|
         "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
          True|>, <|
         "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> 
          False|>, <|
         "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
          False|>, <|
         "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
          True|>, <|
         "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
          False|>}, "AllowEmbedding" -> True, "InitialShape" -> 
       TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 
          1, {All, "age"} -> 1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
         TypeSystem`PackageScope`Limited[
          TypeSystem`PackageScope`ColumnShape[
           TypeSystem`PackageScope`Limited[
            
            TypeSystem`PackageScope`RowShape[<|
             "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
              TypeSystem`PackageScope`AtomShape[34], "sex" -> 
              TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
              TypeSystem`PackageScope`AtomShape[36]|>], 
            DirectedInfinity[1], 4, {All}]], 8, 
          DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
         TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
           TypeSystem`Atom[
            TypeSystem`Enumeration["1st", "3rd"]], 
           TypeSystem`Atom[Integer], 
           TypeSystem`Atom[
            TypeSystem`Enumeration["female", "male"]], 
           TypeSystem`Atom[TypeSystem`Boolean]}], 5], 
       "Meta" -> <|$CellContext`DatasetTheme -> 
         "Web", $CellContext`HeaderBackground -> RGBColor[0, 1, 1]|>, 
       "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
       TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 
          1, {All, "age"} -> 1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
         TypeSystem`PackageScope`Limited[
          TypeSystem`PackageScope`ColumnShape[
           TypeSystem`PackageScope`Limited[
            
            TypeSystem`PackageScope`RowShape[<|
             "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
              TypeSystem`PackageScope`AtomShape[34], "sex" -> 
              TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
              TypeSystem`PackageScope`AtomShape[36]|>], 
            DirectedInfinity[1], 4, {All}]], 8, 
          DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
         TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
           TypeSystem`Atom[
            TypeSystem`Enumeration["1st", "3rd"]], 
           TypeSystem`Atom[Integer], 
           TypeSystem`Atom[
            TypeSystem`Enumeration["female", "male"]], 
           TypeSystem`Atom[TypeSystem`Boolean]}], 5], "Path" -> {}, 
       "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
       5, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
       "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
      TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
      TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
      TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
      TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
      TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
      DynamicModule[{
       TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
          Style[
           Grid[{{
              Item[
               Pane[
                Annotation[
                 EventHandler[
                  MouseAppearance[
                   Mouseover["class", 
                    Style[
                    "class", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                  If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "class"}, 1]]], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "bd655788-7c21-4f32-9403-3d494598c8fa"]][{All, "class"}, 
                  "ColumnHeader", True], "Mouse"], 
                ImageSize -> {{1, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> Directive[
                 RGBColor[{0.792156862745098, 0.2, 0.}]], Background -> 
               RGBColor[0, 1, 1], Frame -> {{Automatic, 
                  RGBColor[{0.792156862745098, 0.2, 0.}]}, {None, None}}, 
               Background -> GrayLevel[0.95], Alignment -> {Left, Baseline}], 
              Item[
               Pane[
                Annotation[
                 EventHandler[
                  MouseAppearance[
                   Mouseover["age", 
                    Style[
                    "age", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                  If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "age"}, 1]]], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "bd655788-7c21-4f32-9403-3d494598c8fa"]][{All, "age"}, 
                  "ColumnHeader", True], "Mouse"], 
                ImageSize -> {{1, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> Directive[
                 RGBColor[{0.792156862745098, 0.2, 0.}]], Background -> 
               RGBColor[0, 1, 1], Frame -> {{
                  RGBColor[{0.792156862745098, 0.2, 0.}], 
                  RGBColor[{0.792156862745098, 0.2, 0.}]}, {None, None}}, 
               Background -> GrayLevel[0.95], Alignment -> {Left, Baseline}], 
              Item[
               Pane[
                Annotation[
                 EventHandler[
                  MouseAppearance[
                   Mouseover["sex", 
                    Style[
                    "sex", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                  If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "sex"}, 1]]], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "bd655788-7c21-4f32-9403-3d494598c8fa"]][{All, "sex"}, 
                  "ColumnHeader", True], "Mouse"], 
                ImageSize -> {{1, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> Directive[
                 RGBColor[{0.792156862745098, 0.2, 0.}]], Background -> 
               RGBColor[0, 1, 1], Frame -> {{
                  RGBColor[{0.792156862745098, 0.2, 0.}], 
                  RGBColor[{0.792156862745098, 0.2, 0.}]}, {None, None}}, 
               Background -> GrayLevel[0.95], Alignment -> {Left, Baseline}], 
              Item[
               Pane[
                Annotation[
                 EventHandler[
                  MouseAppearance[
                   Mouseover["survived", 
                    Style[
                    "survived", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                  If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "survived"}, 1]]], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "bd655788-7c21-4f32-9403-3d494598c8fa"]][{All, "survived"}, 
                  "ColumnHeader", True], "Mouse"], 
                ImageSize -> {{1, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> Directive[
                 RGBColor[{0.792156862745098, 0.2, 0.}]], Background -> 
               RGBColor[0, 1, 1], Frame -> {{
                  RGBColor[{0.792156862745098, 0.2, 0.}], Automatic}, {
                 None, None}}, Background -> GrayLevel[0.95], 
               Alignment -> {Left, Baseline}]}, {
              Item[
               Pane[
                Annotation["3rd", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "bd655788-7c21-4f32-9403-3d494598c8fa"]][{1, 
                   Key["class"]}, "Item", False], "Mouse"], 
                ImageSize -> {{31.5, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[1],
                Frame -> {{Automatic, 
                  RGBColor[{0.792156862745098, 0.2, 0.}]}, {None, None}}, 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["16"], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "bd655788-7c21-4f32-9403-3d494598c8fa"]][{1, 
                   Key["age"]}, "Item", False], "Mouse"], 
                ImageSize -> {{34, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[1],
                Frame -> {{
                  RGBColor[{0.792156862745098, 0.2, 0.}], 
                  RGBColor[{0.792156862745098, 0.2, 0.}]}, {None, None}}, 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation["female", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "bd655788-7c21-4f32-9403-3d494598c8fa"]][{1, 
                   Key["sex"]}, "Item", False], "Mouse"], 
                ImageSize -> {{63., Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[1],
                Frame -> {{
                  RGBColor[{0.792156862745098, 0.2, 0.}], 
                  RGBColor[{0.792156862745098, 0.2, 0.}]}, {None, None}}, 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["True"], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "bd655788-7c21-4f32-9403-3d494598c8fa"]][{1, 
                   Key["survived"]}, "Item", False], "Mouse"], 
                ImageSize -> {{36, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[1],
                Frame -> {{
                  RGBColor[{0.792156862745098, 0.2, 0.}], Automatic}, {
                 None, None}}, ItemSize -> {Full, Automatic}]}, {
              Item[
               Pane[
                Annotation["1st", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "bd655788-7c21-4f32-9403-3d494598c8fa"]][{2, 
                   Key["class"]}, "Item", False], "Mouse"], 
                ImageSize -> {{31.5, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.94], Frame -> {{Automatic, 
                  RGBColor[{0.792156862745098, 0.2, 0.}]}, {None, None}}, 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["65"], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "bd655788-7c21-4f32-9403-3d494598c8fa"]][{2, 
                   Key["age"]}, "Item", False], "Mouse"], 
                ImageSize -> {{34, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.94], Frame -> {{
                  RGBColor[{0.792156862745098, 0.2, 0.}], 
                  RGBColor[{0.792156862745098, 0.2, 0.}]}, {None, None}}, 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation["male", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "bd655788-7c21-4f32-9403-3d494598c8fa"]][{2, 
                   Key["sex"]}, "Item", False], "Mouse"], 
                ImageSize -> {{63., Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.94], Frame -> {{
                  RGBColor[{0.792156862745098, 0.2, 0.}], 
                  RGBColor[{0.792156862745098, 0.2, 0.}]}, {None, None}}, 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["False"], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "bd655788-7c21-4f32-9403-3d494598c8fa"]][{2, 
                   Key["survived"]}, "Item", False], "Mouse"], 
                ImageSize -> {{36, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.94], Frame -> {{
                  RGBColor[{0.792156862745098, 0.2, 0.}], Automatic}, {
                 None, None}}, ItemSize -> {Full, Automatic}]}, {
              Item[
               Pane[
                Annotation["3rd", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "bd655788-7c21-4f32-9403-3d494598c8fa"]][{3, 
                   Key["class"]}, "Item", False], "Mouse"], 
                ImageSize -> {{31.5, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[1],
                Frame -> {{Automatic, 
                  RGBColor[{0.792156862745098, 0.2, 0.}]}, {None, None}}, 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["2"], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "bd655788-7c21-4f32-9403-3d494598c8fa"]][{3, 
                   Key["age"]}, "Item", False], "Mouse"], 
                ImageSize -> {{34, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[1],
                Frame -> {{
                  RGBColor[{0.792156862745098, 0.2, 0.}], 
                  RGBColor[{0.792156862745098, 0.2, 0.}]}, {None, None}}, 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation["female", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "bd655788-7c21-4f32-9403-3d494598c8fa"]][{3, 
                   Key["sex"]}, "Item", False], "Mouse"], 
                ImageSize -> {{63., Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[1],
                Frame -> {{
                  RGBColor[{0.792156862745098, 0.2, 0.}], 
                  RGBColor[{0.792156862745098, 0.2, 0.}]}, {None, None}}, 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["False"], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "bd655788-7c21-4f32-9403-3d494598c8fa"]][{3, 
                   Key["survived"]}, "Item", False], "Mouse"], 
                ImageSize -> {{36, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[1],
                Frame -> {{
                  RGBColor[{0.792156862745098, 0.2, 0.}], Automatic}, {
                 None, None}}, ItemSize -> {Full, Automatic}]}, {
              Item[
               Pane[
                Annotation["3rd", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "bd655788-7c21-4f32-9403-3d494598c8fa"]][{4, 
                   Key["class"]}, "Item", False], "Mouse"], 
                ImageSize -> {{31.5, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.94], Frame -> {{Automatic, 
                  RGBColor[{0.792156862745098, 0.2, 0.}]}, {None, None}}, 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 Style["\[LongDash]", 
                  GrayLevel[0.75]], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "bd655788-7c21-4f32-9403-3d494598c8fa"]][{4, 
                   Key["age"]}, "Item", False], "Mouse"], 
                ImageSize -> {{34, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.94], Frame -> {{
                  RGBColor[{0.792156862745098, 0.2, 0.}], 
                  RGBColor[{0.792156862745098, 0.2, 0.}]}, {None, None}}, 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation["female", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "bd655788-7c21-4f32-9403-3d494598c8fa"]][{4, 
                   Key["sex"]}, "Item", False], "Mouse"], 
                ImageSize -> {{63., Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.94], Frame -> {{
                  RGBColor[{0.792156862745098, 0.2, 0.}], 
                  RGBColor[{0.792156862745098, 0.2, 0.}]}, {None, None}}, 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["True"], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "bd655788-7c21-4f32-9403-3d494598c8fa"]][{4, 
                   Key["survived"]}, "Item", False], "Mouse"], 
                ImageSize -> {{36, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.94], Frame -> {{
                  RGBColor[{0.792156862745098, 0.2, 0.}], Automatic}, {
                 None, None}}, ItemSize -> {Full, Automatic}]}, {
              Item[
               Pane[
                Annotation["3rd", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "bd655788-7c21-4f32-9403-3d494598c8fa"]][{5, 
                   Key["class"]}, "Item", False], "Mouse"], 
                ImageSize -> {{31.5, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[1],
                Frame -> {{Automatic, 
                  RGBColor[{0.792156862745098, 0.2, 0.}]}, {None, None}}, 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["18"], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "bd655788-7c21-4f32-9403-3d494598c8fa"]][{5, 
                   Key["age"]}, "Item", False], "Mouse"], 
                ImageSize -> {{34, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[1],
                Frame -> {{
                  RGBColor[{0.792156862745098, 0.2, 0.}], 
                  RGBColor[{0.792156862745098, 0.2, 0.}]}, {None, None}}, 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation["female", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "bd655788-7c21-4f32-9403-3d494598c8fa"]][{5, 
                   Key["sex"]}, "Item", False], "Mouse"], 
                ImageSize -> {{63., Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[1],
                Frame -> {{
                  RGBColor[{0.792156862745098, 0.2, 0.}], 
                  RGBColor[{0.792156862745098, 0.2, 0.}]}, {None, None}}, 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["False"], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "bd655788-7c21-4f32-9403-3d494598c8fa"]][{5, 
                   Key["survived"]}, "Item", False], "Mouse"], 
                ImageSize -> {{36, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[1],
                Frame -> {{
                  RGBColor[{0.792156862745098, 0.2, 0.}], Automatic}, {
                 None, None}}, ItemSize -> {Full, Automatic}]}}, 
            BaseStyle -> {
             ContextMenu -> 
              Dynamic[TypeSystem`NestedGrid`PackagePrivate`$\
contextMenuTrigger; 
                Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                  TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                  TypeSystem`NestedGrid`PackagePrivate`$\
lastContextMenuTrigger, TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu,
                   True, TypeSystem`NestedGrid`PackagePrivate`$\
lastContextMenuTrigger = 
                   TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                  TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                   Block[{TypeSystem`NestedGrid`PackagePrivate`$\
globalScrollPos = {TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                    
                    With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
              "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, 
            FrameStyle -> GrayLevel[0.7490196078431373], Spacings -> {0, 0}, 
            Alignment -> Left, 
            BaseStyle -> {
             FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
              Plain}], LineBreakWithin -> False, ContextMenu -> {}, 
           NumberMarks -> False, ShowAutoStyles -> False]], 
        TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
       Dynamic[
        TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
        TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
           Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
           
           Module[{TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
             TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
             TypeSystem`NestedGrid`PackagePrivate`datasetData[
              TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
               FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
               TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
               TypeSystem`NestedGrid`PackagePrivate`renderGrid[
               TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
               TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
              Not[
               FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
              TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
              TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
         TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
         TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
         TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
           FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
           TypeSystem`SparseGrid[
            TypeSystem`H["(data no longer present)"]], 
           TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
        TrackedSymbols :> {
         TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
          TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
       DynamicModuleValues :> {}], 
      TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
       TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
        TypeSystem`PackageScope`SubViewPathbar[
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
         TypeSystem`NestedGrid`PackagePrivate`updateState[
         TypeSystem`NestedGrid`PackagePrivate`$state$$, 
          TypeSystem`NestedGrid`PackagePrivate`$path$$, 
          TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
          TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
          TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
       TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
      TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
       Framed[
        Dynamic[
         Replace[
         TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
          TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
             TypeSystem`NestedGrid`PackagePrivate`localHold[
             TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
             Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
             TypeSystem`NestedGrid`PackagePrivate`localHold[
             TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
              Blank[]], 
             Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
              Blank[]], 
             Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
              Blank[]]] :> (
            Increment[
             TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
            TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
             TypeSystem`NestedGrid`PackagePrivate`path$; 
            TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
             TypeSystem`NestedGrid`PackagePrivate`pathType$; 
            TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
             TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
            TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
             TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
            TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
             TypeSystem`NestedGrid`PackagePrivate`path$, 
              TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
           Spacer[10], Blank[] :> Spacer[10]}], 
         TrackedSymbols :> {
          TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], 
        FrameStyle -> None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> 
        Top, ImageSize -> {Automatic, 15}], FontSize -> 1], 
      TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
      DynamicWrapperBox[
       DynamicBox[ToBoxes[
         Dataset`DatasetContent[
         2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
          "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], 
          "State" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], 
          "VPos" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], 
          "HPos" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], 
          "TopBar" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], 
          "BottomBar" -> 
          Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
          Hold[
            TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
        ImageSizeCache->{211., {85.8837890625, 93.1162109375}},
        TrackedSymbols:>{
         TypeSystem`NestedGrid`PackagePrivate`$state$$, 
          TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
       MouseAnnotation[],
       ImageSizeCache->{211., {85.8837890625, 93.1162109375}}],
      BaseStyle->{LineBreakWithin -> False},
      DynamicModuleValues:>{},
      Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
       CreateUUID[]),
      UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
     Deploy,
     DefaultBaseStyle->"Deploy"],
    Dataset`InterpretDataset[1],
    Editable->False,
    SelectWithContents->True,
    Selectable->False]}], "}"}]], "Output",
 CellChangeTimes->{3.866812458950161*^9, 3.881425840762665*^9},
 CellTags->"LastCellOfAPage",
 CellLabel->"Out[552]=",
 CellID->1514998682,ExpressionUUID->"2f212b7f-1d75-48c8-9e5f-f5e4bc173097"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "Level-Specific ",
 StyleBox[ButtonBox["Dataset",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
  FontColor->GrayLevel[0.45]],
 " Presentation"
}], "Subsubsubsection",
 CellTags->"p: 164",
 CellID->1341611159,ExpressionUUID->"829a00c2-bccc-46c2-8c37-79360fb6438f"],

Cell[TextData[{
 "Thus far, I\[CloseCurlyQuote]ve shown how to apply presentation options to \
the entire ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ". To do so, I\[CloseCurlyQuote]ve just made the option value the right-hand \
side of a ",
 ButtonBox["Rule",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Rule.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Rule.html"],
 ". But there may be times when you just want to apply presentations to a \
particular row, column, or other level, such as an individual item. You might \
also want the presentation to be content or position aware, perhaps only \
turning a number red if its value is negative. The Wolfram Language gains \
this flexibility with an elaborate syntax that can be used for many of the ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " presentation options."
}], "Text",
 CellChangeTimes->{{3.865613250876779*^9, 3.865613345089497*^9}, {
   3.865614665161435*^9, 3.8656146676246347`*^9}, {3.8656934388803797`*^9, 
   3.865693493471291*^9}, {3.8658508347201567`*^9, 3.865850836880377*^9}, {
   3.8666260301278353`*^9, 3.8666262060565033`*^9}, {3.866626476281797*^9, 
   3.866626516556602*^9}, {3.866626547605811*^9, 3.8666266105058813`*^9}, {
   3.866628198146225*^9, 3.8666281990193*^9}, {3.8666283131171093`*^9, 
   3.8666283282038937`*^9}, 3.8666286598270407`*^9, {3.866628914210442*^9, 
   3.866628944312315*^9}, {3.866651065348628*^9, 3.866651081999384*^9}, {
   3.8667124088658037`*^9, 3.866712412182527*^9}, {3.867922297104906*^9, 
   3.867922298666852*^9}, 3.867922343295933*^9, {3.869924394406527*^9, 
   3.869924394538599*^9}, {3.8710522030606294`*^9, 3.871052242802864*^9}, {
   3.8711405687147775`*^9, 3.871140578144622*^9}},
 CellTags->"i:26",
 CellID->1758848585,ExpressionUUID->"6e0884bb-75fa-42ea-852b-cfbe6185cbf2"],

Cell[TextData[{
 "The general idea is to set the option value to a ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " in which each successive element corresponds to a specification for each \
successive level of the ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ". I\[CloseCurlyQuote]ll call this list the \
\[OpenCurlyDoubleQuote]specification list.\[CloseCurlyDoubleQuote] One uses ",
 ButtonBox["None",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/None.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/None.html"],
 " (or, occasionally, ",
 ButtonBox["All",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/All.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/All.html"],
 ") as a placeholder in the specification list for situations in which one \
doesn\[CloseCurlyQuote]t want to override the default presentation for a \
particular level. Suppose, for example, I want to override the default \
background for the first two rows. I want the first row to be ",
 ButtonBox["LightBlue",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/LightBlue.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/LightBlue.html"],
 ", the second row to be ",
 ButtonBox["Yellow",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Yellow.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Yellow.html"],
 ", the third and fourth rows to assume the default background, and the fifth \
row to be ",
 ButtonBox["Orange",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Orange.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Orange.html"],
 ". I don\[CloseCurlyQuote]t want any background based on the column. Here\
\[CloseCurlyQuote]s the syntax. I have a specification list that contains two \
elements. The first element of the level list governs the background based on \
the top level of the underlying data (the rows). The second element of the \
level list governs the background based on the next level of the underlying \
data (the columns). Thus, in the first position of my level list, which \
governs the rows, I have ",
 Cell[BoxData[
  RowBox[{"{", 
   RowBox[{
    ButtonBox[
     StyleBox["LightBlue",
      FontColor->GrayLevel[0]],
     BaseStyle->"Hyperlink",
     ButtonData->{
       URL["https://reference.wolfram.com/language/ref/LightBlue.html"], None},
     ButtonNote->"https://reference.wolfram.com/language/ref/LightBlue.html"],
     ",", " ", 
    ButtonBox[
     StyleBox["Yellow",
      FontColor->GrayLevel[0]],
     BaseStyle->"Hyperlink",
     ButtonData->{
       URL["https://reference.wolfram.com/language/ref/Yellow.html"], None},
     ButtonNote->"https://reference.wolfram.com/language/ref/Yellow.html"], 
    ",", " ", 
    ButtonBox[
     StyleBox["None",
      FontColor->GrayLevel[0]],
     BaseStyle->"Hyperlink",
     ButtonData->{
       URL["https://reference.wolfram.com/language/ref/None.html"], None},
     ButtonNote->"https://reference.wolfram.com/language/ref/None.html"], ",",
     " ", 
    ButtonBox[
     StyleBox["None",
      FontColor->GrayLevel[0]],
     BaseStyle->"Hyperlink",
     ButtonData->{
       URL["https://reference.wolfram.com/language/ref/None.html"], None},
     ButtonNote->"https://reference.wolfram.com/language/ref/None.html"], ",",
     " ", 
    ButtonBox[
     StyleBox["Orange",
      FontColor->GrayLevel[0]],
     BaseStyle->"Hyperlink",
     ButtonData->{
       URL["https://reference.wolfram.com/language/ref/Orange.html"], None},
     ButtonNote->"https://reference.wolfram.com/language/ref/Orange.html"]}], 
   "}"}]], "InlineCodeText",ExpressionUUID->
  "a9cf0356-8522-4aef-8f7b-8ac7e939b8f5"],
 ". In the second position of my specification list, I use ",
 ButtonBox["None",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/None.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/None.html"],
 " because I don\[CloseCurlyQuote]t want any special background based on the \
second level."
}], "Text",
 CellChangeTimes->{{3.8666282031055326`*^9, 3.866628283551346*^9}, 
   3.8666283683055267`*^9, {3.8666286797794857`*^9, 3.866628747886012*^9}, {
   3.866628807448182*^9, 3.8666288773606052`*^9}, {3.866628954308378*^9, 
   3.866629080717698*^9}, {3.866629129983185*^9, 3.8666291668798857`*^9}, {
   3.8666511204740047`*^9, 3.866651340336637*^9}, {3.8666519391522007`*^9, 
   3.8666520257100153`*^9}, {3.8666543652729483`*^9, 3.866654367905242*^9}, {
   3.866655383074819*^9, 3.8666554104546432`*^9}, {3.8667124253458347`*^9, 
   3.866712427050919*^9}, {3.867922360079369*^9, 3.867922442542471*^9}, {
   3.867922495681992*^9, 3.867922518486451*^9}, {3.8679225508280077`*^9, 
   3.867922651083446*^9}, {3.8710523143444915`*^9, 3.871052338988144*^9}, {
   3.871052429482614*^9, 3.871052495234705*^9}, 3.8722436142018986`*^9},
 CellTags->"i:27",
 CellID->766895499,ExpressionUUID->"18aa2ed7-770e-4445-b46b-8227b47856c8"],

Cell[TextData[{
 "Write a specification list consisting of two elements, then apply that \
specification list as the value of the ",
 ButtonBox["Background",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Background.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Background.html"],
 " for a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " that has two levels:"
}], "CodeText",
 CellChangeTimes->{{3.866891468625339*^9, 3.8668915557425137`*^9}},
 CellID->1608866090,ExpressionUUID->"60edb794-556e-43ef-bb62-29a90855858d"],

Cell[BoxData[
 RowBox[{
  RowBox[{"speclist", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "LightBlue", ",", "Yellow", ",", "None", ",", "None", ",", "Orange"}], 
      "}"}], ",", "None"}], "}"}]}], ";"}]], "Input",
 CellLabel->"In[124]:=",
 CellID->1514767518,ExpressionUUID->"3fe0a2fc-dad6-40b6-a16b-9a5ed638f008"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Dataset", "[", 
  RowBox[{"dinghyAssociations", ",", 
   RowBox[{"Background", "\[Rule]", "speclist"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.866628370750503*^9, 3.866628374997695*^9}, {
  3.8666287528371487`*^9, 3.866628756125308*^9}, {3.866629171735012*^9, 
  3.866629174679893*^9}, {3.866652288160026*^9, 3.866652289327961*^9}},
 CellLabel->"In[125]:=",
 CellID->15802399,ExpressionUUID->"e3d899e5-f3c8-44b8-9461-282e2e5a366a"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        False|>}, "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 5], 
     "Meta" -> <|Background -> {{
          RGBColor[0.87, 0.94, 1], 
          RGBColor[1, 1, 0], None, None, 
          RGBColor[1, 0.5, 0]}, None}|>, "RowTarget" -> 20, "ColumnTarget" -> 
     10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 5], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
     5, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["class", 
                  Style[
                  "class", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "75b25d96-35f4-4918-ad01-564de23c0a4b"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["age", 
                  Style[
                  "age", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "75b25d96-35f4-4918-ad01-564de23c0a4b"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["sex", 
                  Style[
                  "sex", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "75b25d96-35f4-4918-ad01-564de23c0a4b"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["survived", 
                  Style[
                  "survived", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "75b25d96-35f4-4918-ad01-564de23c0a4b"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "75b25d96-35f4-4918-ad01-564de23c0a4b"]][{1, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "75b25d96-35f4-4918-ad01-564de23c0a4b"]][{1, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "75b25d96-35f4-4918-ad01-564de23c0a4b"]][{1, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "75b25d96-35f4-4918-ad01-564de23c0a4b"]][{1, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "75b25d96-35f4-4918-ad01-564de23c0a4b"]][{2, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["65"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "75b25d96-35f4-4918-ad01-564de23c0a4b"]][{2, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "75b25d96-35f4-4918-ad01-564de23c0a4b"]][{2, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "75b25d96-35f4-4918-ad01-564de23c0a4b"]][{2, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "75b25d96-35f4-4918-ad01-564de23c0a4b"]][{3, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "75b25d96-35f4-4918-ad01-564de23c0a4b"]][{3, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "75b25d96-35f4-4918-ad01-564de23c0a4b"]][{3, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "75b25d96-35f4-4918-ad01-564de23c0a4b"]][{3, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "75b25d96-35f4-4918-ad01-564de23c0a4b"]][{4, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "75b25d96-35f4-4918-ad01-564de23c0a4b"]][{4, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "75b25d96-35f4-4918-ad01-564de23c0a4b"]][{4, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "75b25d96-35f4-4918-ad01-564de23c0a4b"]][{4, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "75b25d96-35f4-4918-ad01-564de23c0a4b"]][{5, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 0.5, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["18"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "75b25d96-35f4-4918-ad01-564de23c0a4b"]][{5, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 0.5, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "75b25d96-35f4-4918-ad01-564de23c0a4b"]][{5, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 0.5, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "75b25d96-35f4-4918-ad01-564de23c0a4b"]][{5, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 0.5, 0], ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{213., {86.8837890625, 94.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{213., {86.8837890625, 94.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellLabel->"Out[125]=",
 CellID->230478275,ExpressionUUID->"49874e5b-e482-46d5-844e-4a4f1ce4156e"]
}, Open  ]],

Cell[TextData[{
 "I can simplify this specification of the option value. In particular, I can \
omit ",
 ButtonBox["None",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/None.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/None.html"],
 " if there are no values of interest that follow. Thus, if I only wanted the \
first row to be ",
 ButtonBox["LightBlue",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/LightBlue.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/LightBlue.html"],
 " and the second row to be ",
 ButtonBox["Yellow",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Yellow.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Yellow.html"],
 ", I can specify the background as set forth in this next example."
}], "Text",
 CellChangeTimes->{{3.866629178869369*^9, 3.866629222210738*^9}, {
  3.866651350445043*^9, 3.8666513834302073`*^9}, {3.866891637211534*^9, 
  3.866891700077577*^9}, {3.8710525408377237`*^9, 3.871052545236087*^9}},
 CellTags->{"LastCellOfAPage", "i:28"},
 CellID->464421785,ExpressionUUID->"1cb52c77-60e1-4e9a-b84e-ed0a48871ab2"],

Cell["\<\
Eliminate trailing Nones within a specification level to simplify \
specification:\
\>", "CodeText",
 CellChangeTimes->{{3.8668915918122997`*^9, 3.866891617873736*^9}},
 CellTags->"p: 165",
 CellID->1792877426,ExpressionUUID->"33b259e0-3387-4476-923c-23ab0cc98d2f"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Dataset", "[", 
  RowBox[{"dinghyAssociations", ",", 
   RowBox[{"Background", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"LightBlue", ",", "Yellow"}], "}"}], ",", "None"}], "}"}]}]}], 
  "]"}]], "Input",
 CellLabel->"In[126]:=",
 CellID->1884942157,ExpressionUUID->"06a55cda-a17e-447a-ae49-1e0c3eef9976"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        False|>}, "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 5], 
     "Meta" -> <|Background -> {{
          RGBColor[0.87, 0.94, 1], 
          RGBColor[1, 1, 0]}, None}|>, "RowTarget" -> 20, "ColumnTarget" -> 
     10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 5], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
     5, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["class", 
                  Style[
                  "class", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "159113dc-56b3-419f-985c-732422927c1a"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["age", 
                  Style[
                  "age", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "159113dc-56b3-419f-985c-732422927c1a"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["sex", 
                  Style[
                  "sex", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "159113dc-56b3-419f-985c-732422927c1a"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["survived", 
                  Style[
                  "survived", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "159113dc-56b3-419f-985c-732422927c1a"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "159113dc-56b3-419f-985c-732422927c1a"]][{1, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "159113dc-56b3-419f-985c-732422927c1a"]][{1, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "159113dc-56b3-419f-985c-732422927c1a"]][{1, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "159113dc-56b3-419f-985c-732422927c1a"]][{1, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "159113dc-56b3-419f-985c-732422927c1a"]][{2, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["65"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "159113dc-56b3-419f-985c-732422927c1a"]][{2, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "159113dc-56b3-419f-985c-732422927c1a"]][{2, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "159113dc-56b3-419f-985c-732422927c1a"]][{2, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "159113dc-56b3-419f-985c-732422927c1a"]][{3, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "159113dc-56b3-419f-985c-732422927c1a"]][{3, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "159113dc-56b3-419f-985c-732422927c1a"]][{3, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "159113dc-56b3-419f-985c-732422927c1a"]][{3, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "159113dc-56b3-419f-985c-732422927c1a"]][{4, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "159113dc-56b3-419f-985c-732422927c1a"]][{4, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "159113dc-56b3-419f-985c-732422927c1a"]][{4, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "159113dc-56b3-419f-985c-732422927c1a"]][{4, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "159113dc-56b3-419f-985c-732422927c1a"]][{5, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["18"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "159113dc-56b3-419f-985c-732422927c1a"]][{5, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "159113dc-56b3-419f-985c-732422927c1a"]][{5, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "159113dc-56b3-419f-985c-732422927c1a"]][{5, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{213., {86.8837890625, 94.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{213., {86.8837890625, 94.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellLabel->"Out[126]=",
 CellID->516105758,ExpressionUUID->"5cac274c-e436-4846-b7a3-9b8552c2ceed"]
}, Open  ]],

Cell[TextData[{
 "If I did want that final row to be ",
 ButtonBox["Orange",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Orange.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Orange.html"],
 ", I would either have to retain the intermediate Nones or use positional \
overrides as discussed later in this chapter."
}], "Note",
 CellChangeTimes->{{3.866891703175363*^9, 3.866891724623399*^9}, {
  3.8710526022793536`*^9, 3.871052603369191*^9}, {3.8710530396889973`*^9, 
  3.8710530454175444`*^9}},
 CellID->2085683450,ExpressionUUID->"cbd59eb3-86c4-4ea2-b60f-93928c20b93a"],

Cell[TextData[{
 "Indeed, I can simplify the specification list for ",
 ButtonBox["Background",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Background.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Background.html"],
 " still further. Not only do I not need Nones for trailing elements within \
the first level, I don\[CloseCurlyQuote]t need the ",
 ButtonBox["None",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/None.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/None.html"],
 " to specify the second level at all. Basically, the Wolfram Language \
assumes that if I don\[CloseCurlyQuote]t specify anything for subsequent \
levels, I mean ",
 ButtonBox["None",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/None.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/None.html"],
 ". More precisely, for an ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]],ExpressionUUID->
  "7d2c19ea-1b1a-4d39-8289-f894a22c13d1"],
 "-level ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " where only ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]],ExpressionUUID->
  "223d31ac-213e-4e4f-ac83-0985b5cadd12"],
 "\[Dash]",
 Cell[BoxData[
  FormBox["k", TraditionalForm]],ExpressionUUID->
  "3e3c5186-c544-4344-af7e-29397ca7a051"],
 " elements of a presentation option are given, the Wolfram Language assumes \
the remaining ",
 Cell[BoxData[
  FormBox["k", TraditionalForm]],ExpressionUUID->
  "d094e3a9-9708-49a3-b11f-3bf0505d8417"],
 " elements are ",
 ButtonBox["None",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/None.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/None.html"],
 "."
}], "Text",
 CellChangeTimes->{{3.866629253243466*^9, 3.8666292970729103`*^9}, {
   3.866634586492619*^9, 3.86663462210957*^9}, {3.8666397661776237`*^9, 
   3.866639783972588*^9}, {3.866651400237977*^9, 3.866651451628186*^9}, {
   3.8666523054367332`*^9, 3.866652313525427*^9}, {3.866891785513585*^9, 
   3.8668917988516617`*^9}, 3.8668918394610567`*^9, {3.867922901663653*^9, 
   3.86792294290907*^9}, {3.8710527596929035`*^9, 3.871052811914906*^9}, {
   3.872246204607087*^9, 3.8722462051769104`*^9}},
 CellID->778614548,ExpressionUUID->"d7291a50-f038-4628-9252-2c0b569ea631"],

Cell["\<\
Use only one level specification, deleting all trailing Nones:\
\>", "CodeText",
 CellChangeTimes->{{3.866891741865265*^9, 3.866891784117167*^9}, {
  3.866891845000795*^9, 3.86689187225791*^9}},
 CellID->661199921,ExpressionUUID->"63684b8d-cda8-453d-bf0c-fc7fc77f7a37"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Dataset", "[", 
  RowBox[{"dinghyAssociations", ",", 
   RowBox[{"Background", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"{", 
      RowBox[{"LightBlue", ",", "Yellow"}], "}"}], "}"}]}]}], "]"}]], "Input",\

 CellLabel->"In[127]:=",
 CellID->241507472,ExpressionUUID->"364a2a18-7230-4e14-8797-8f1555ae8ef8"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        False|>}, "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 5], 
     "Meta" -> <|Background -> {{
          RGBColor[0.87, 0.94, 1], 
          RGBColor[1, 1, 0]}}|>, "RowTarget" -> 20, "ColumnTarget" -> 10, 
     "Shape" -> TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 
        1, {All, "age"} -> 1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 5], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
     5, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["class", 
                  Style[
                  "class", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c2a686e5-b511-4537-aeb5-a794a766d6ba"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["age", 
                  Style[
                  "age", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c2a686e5-b511-4537-aeb5-a794a766d6ba"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["sex", 
                  Style[
                  "sex", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c2a686e5-b511-4537-aeb5-a794a766d6ba"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["survived", 
                  Style[
                  "survived", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c2a686e5-b511-4537-aeb5-a794a766d6ba"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c2a686e5-b511-4537-aeb5-a794a766d6ba"]][{1, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c2a686e5-b511-4537-aeb5-a794a766d6ba"]][{1, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c2a686e5-b511-4537-aeb5-a794a766d6ba"]][{1, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c2a686e5-b511-4537-aeb5-a794a766d6ba"]][{1, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c2a686e5-b511-4537-aeb5-a794a766d6ba"]][{2, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["65"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c2a686e5-b511-4537-aeb5-a794a766d6ba"]][{2, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c2a686e5-b511-4537-aeb5-a794a766d6ba"]][{2, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c2a686e5-b511-4537-aeb5-a794a766d6ba"]][{2, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c2a686e5-b511-4537-aeb5-a794a766d6ba"]][{3, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c2a686e5-b511-4537-aeb5-a794a766d6ba"]][{3, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c2a686e5-b511-4537-aeb5-a794a766d6ba"]][{3, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c2a686e5-b511-4537-aeb5-a794a766d6ba"]][{3, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c2a686e5-b511-4537-aeb5-a794a766d6ba"]][{4, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c2a686e5-b511-4537-aeb5-a794a766d6ba"]][{4, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c2a686e5-b511-4537-aeb5-a794a766d6ba"]][{4, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c2a686e5-b511-4537-aeb5-a794a766d6ba"]][{4, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c2a686e5-b511-4537-aeb5-a794a766d6ba"]][{5, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["18"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c2a686e5-b511-4537-aeb5-a794a766d6ba"]][{5, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c2a686e5-b511-4537-aeb5-a794a766d6ba"]][{5, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c2a686e5-b511-4537-aeb5-a794a766d6ba"]][{5, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{213., {86.8837890625, 94.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{213., {86.8837890625, 94.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellLabel->"Out[127]=",
 CellID->598673641,ExpressionUUID->"bfcf05e0-d1d2-4340-a39d-e12adbd676ce"]
}, Open  ]],

Cell[TextData[{
 "What if I wanted the rows to cycle between ",
 ButtonBox["LightBlue",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/LightBlue.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/LightBlue.html"],
 " and ",
 ButtonBox["Yellow",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Yellow.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Yellow.html"],
 "?",
 StyleBox[" ", "FormattedFunction"],
 "I could, I suppose, just do something like the following. "
}], "Text",
 CellChangeTimes->{{3.866629305736134*^9, 3.866629332078003*^9}, {
   3.866629395888894*^9, 3.866629397295085*^9}, 3.866634641592246*^9, {
   3.866651467646055*^9, 3.8666514693116627`*^9}, {3.8668918787941923`*^9, 
   3.86689188052868*^9}, {3.86792297775019*^9, 3.8679229964008017`*^9}},
 CellTags->{"LastCellOfAPage", "i:29"},
 CellID->2012992290,ExpressionUUID->"57e8d1fe-2358-4113-ba73-c19c3150db5e"],

Cell[TextData[{
 "Create a ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of colors to give a background color to each row:"
}], "CodeText",
 CellChangeTimes->{{3.8693230047416067`*^9, 3.869323039596032*^9}},
 CellTags->"p: 166",
 CellID->1857270539,ExpressionUUID->"37425f3c-1821-4b84-8635-4c9379e80ed4"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Dataset", "[", 
  RowBox[{"dinghyAssociations", ",", 
   RowBox[{"Background", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"{", 
      RowBox[{
      "LightBlue", ",", "Yellow", ",", "LightBlue", ",", "Yellow", ",", 
       "LightBlue"}], "}"}], "}"}]}]}], "]"}]], "Input",
 CellLabel->"In[128]:=",
 CellID->266911355,ExpressionUUID->"dc789823-e7d4-4426-b24f-accdc9573b32"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        False|>}, "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 5], 
     "Meta" -> <|Background -> {{
          RGBColor[0.87, 0.94, 1], 
          RGBColor[1, 1, 0], 
          RGBColor[0.87, 0.94, 1], 
          RGBColor[1, 1, 0], 
          RGBColor[0.87, 0.94, 1]}}|>, "RowTarget" -> 20, "ColumnTarget" -> 
     10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 5], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
     5, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["class", 
                  Style[
                  "class", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4a461e8b-e5d8-43cc-820a-913803a16108"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["age", 
                  Style[
                  "age", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4a461e8b-e5d8-43cc-820a-913803a16108"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["sex", 
                  Style[
                  "sex", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4a461e8b-e5d8-43cc-820a-913803a16108"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["survived", 
                  Style[
                  "survived", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4a461e8b-e5d8-43cc-820a-913803a16108"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4a461e8b-e5d8-43cc-820a-913803a16108"]][{1, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4a461e8b-e5d8-43cc-820a-913803a16108"]][{1, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4a461e8b-e5d8-43cc-820a-913803a16108"]][{1, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4a461e8b-e5d8-43cc-820a-913803a16108"]][{1, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4a461e8b-e5d8-43cc-820a-913803a16108"]][{2, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["65"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4a461e8b-e5d8-43cc-820a-913803a16108"]][{2, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4a461e8b-e5d8-43cc-820a-913803a16108"]][{2, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4a461e8b-e5d8-43cc-820a-913803a16108"]][{2, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4a461e8b-e5d8-43cc-820a-913803a16108"]][{3, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4a461e8b-e5d8-43cc-820a-913803a16108"]][{3, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4a461e8b-e5d8-43cc-820a-913803a16108"]][{3, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4a461e8b-e5d8-43cc-820a-913803a16108"]][{3, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4a461e8b-e5d8-43cc-820a-913803a16108"]][{4, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4a461e8b-e5d8-43cc-820a-913803a16108"]][{4, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4a461e8b-e5d8-43cc-820a-913803a16108"]][{4, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4a461e8b-e5d8-43cc-820a-913803a16108"]][{4, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4a461e8b-e5d8-43cc-820a-913803a16108"]][{5, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["18"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4a461e8b-e5d8-43cc-820a-913803a16108"]][{5, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4a461e8b-e5d8-43cc-820a-913803a16108"]][{5, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4a461e8b-e5d8-43cc-820a-913803a16108"]][{5, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{213., {86.8837890625, 94.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{213., {86.8837890625, 94.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellLabel->"Out[128]=",
 CellID->1705081881,ExpressionUUID->"ce6be0bb-a7a9-49cf-879d-b74decaacc18"]
}, Open  ]],

Cell[TextData[{
 "If I knew there were only five rows, that specification wouldn\
\[CloseCurlyQuote]t be too awful, but imagine I had one thousand rows or an \
unknown number of rows. Identifying a background color for every row would \
then be ugly and tedious. The Wolfram Language thus provides an elaborate \
cycling language. The idea is to designate cycling by wrapping the cycling \
elements in a ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 ". Here\[CloseCurlyQuote]s how to exploit that syntax and better specify \
that the rows should cycle between ",
 ButtonBox["LightBlue",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/LightBlue.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/LightBlue.html"],
 " and ",
 ButtonBox["Yellow",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Yellow.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Yellow.html"],
 "."
}], "Text",
 CellChangeTimes->{{3.866629371503076*^9, 3.866629436996847*^9}, {
  3.866634408381084*^9, 3.866634464026476*^9}, {3.8666346546302843`*^9, 
  3.866634691724433*^9}, {3.866651486815855*^9, 3.8666515115887957`*^9}, {
  3.8666523336524076`*^9, 3.86665235577063*^9}, {3.867923068286909*^9, 
  3.86792310495077*^9}, {3.871052856858006*^9, 3.871052859291139*^9}, {
  3.8710528997490516`*^9, 3.871052938125852*^9}, {3.872246263745634*^9, 
  3.8722462668241663`*^9}},
 CellID->582728396,ExpressionUUID->"3f2a4799-c5f8-4759-bc93-1aae25999f63"],

Cell[TextData[{
 "Create a cycle specification with a nested two-element ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of cycle elements:"
}], "CodeText",
 CellChangeTimes->{{3.8668919180400953`*^9, 3.86689196503727*^9}, {
  3.867923115330557*^9, 3.8679231328363934`*^9}},
 CellID->292581226,ExpressionUUID->"61ce0461-f3d9-4b03-a84c-076680c716a4"],

Cell[BoxData[
 RowBox[{
  RowBox[{"cycle2", "=", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{"LightBlue", ",", "Yellow"}], "}"}], "}"}]}], ";"}]], "Input",
 CellLabel->"In[130]:=",
 CellID->1385461466,ExpressionUUID->"2d9fdde1-a0a6-4e2e-846d-fa20f9d3d4d1"],

Cell[TextData[{
 "Use that cycle specification as a level specification for the ",
 ButtonBox["Background",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Background.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Background.html"],
 " option:"
}], "CodeText",
 CellChangeTimes->{{3.866891939505864*^9, 3.866891951926046*^9}, 
   3.866891983171041*^9, 3.867923381765584*^9},
 CellID->921230867,ExpressionUUID->"d594b40f-b3d5-4601-9e31-3bda0ab75d9b"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Dataset", "[", 
  RowBox[{"dinghyAssociations", ",", 
   RowBox[{"Background", "\[Rule]", 
    RowBox[{"{", "cycle2", "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.866629444739551*^9, 3.866629448837982*^9}, {
   3.8666515341033*^9, 3.86665153484413*^9}, 3.8666515873011017`*^9},
 CellLabel->"In[131]:=",
 CellID->184059023,ExpressionUUID->"92dea5a3-c5e3-4f6f-b8b8-b5b05ebfc3a2"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        False|>}, "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 5], 
     "Meta" -> <|Background -> {{{
           RGBColor[0.87, 0.94, 1], 
           RGBColor[1, 1, 0]}}}|>, "RowTarget" -> 20, "ColumnTarget" -> 10, 
     "Shape" -> TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 
        1, {All, "age"} -> 1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 5], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
     5, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["class", 
                  Style[
                  "class", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d2a89ec3-71e1-437a-95db-7844080267cb"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["age", 
                  Style[
                  "age", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d2a89ec3-71e1-437a-95db-7844080267cb"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["sex", 
                  Style[
                  "sex", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d2a89ec3-71e1-437a-95db-7844080267cb"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["survived", 
                  Style[
                  "survived", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d2a89ec3-71e1-437a-95db-7844080267cb"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d2a89ec3-71e1-437a-95db-7844080267cb"]][{1, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d2a89ec3-71e1-437a-95db-7844080267cb"]][{1, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d2a89ec3-71e1-437a-95db-7844080267cb"]][{1, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d2a89ec3-71e1-437a-95db-7844080267cb"]][{1, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d2a89ec3-71e1-437a-95db-7844080267cb"]][{2, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["65"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d2a89ec3-71e1-437a-95db-7844080267cb"]][{2, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d2a89ec3-71e1-437a-95db-7844080267cb"]][{2, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d2a89ec3-71e1-437a-95db-7844080267cb"]][{2, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d2a89ec3-71e1-437a-95db-7844080267cb"]][{3, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d2a89ec3-71e1-437a-95db-7844080267cb"]][{3, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d2a89ec3-71e1-437a-95db-7844080267cb"]][{3, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d2a89ec3-71e1-437a-95db-7844080267cb"]][{3, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d2a89ec3-71e1-437a-95db-7844080267cb"]][{4, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d2a89ec3-71e1-437a-95db-7844080267cb"]][{4, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d2a89ec3-71e1-437a-95db-7844080267cb"]][{4, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d2a89ec3-71e1-437a-95db-7844080267cb"]][{4, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d2a89ec3-71e1-437a-95db-7844080267cb"]][{5, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["18"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d2a89ec3-71e1-437a-95db-7844080267cb"]][{5, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d2a89ec3-71e1-437a-95db-7844080267cb"]][{5, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d2a89ec3-71e1-437a-95db-7844080267cb"]][{5, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{213., {86.8837890625, 94.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{213., {86.8837890625, 94.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellLabel->"Out[131]=",
 CellID->1877462541,ExpressionUUID->"8dd524c5-8050-4e66-9957-6fc48dc527cb"]
}, Open  ]],

Cell[TextData[{
 "It doesn\[CloseCurlyQuote]t have to be two elements in the cycle. I could \
ask that the rows cycle between ",
 ButtonBox["LightBlue",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/LightBlue.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/LightBlue.html"],
 ", ",
 ButtonBox["Yellow",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Yellow.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Yellow.html"],
 ", and ",
 ButtonBox["Green",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Green.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Green.html"],
 ". "
}], "Text",
 CellChangeTimes->{{3.866629464340748*^9, 3.866629539530088*^9}, {
   3.8666344700528307`*^9, 3.866634490997747*^9}, {3.867923399083021*^9, 
   3.867923431227914*^9}, 3.871052962061842*^9},
 CellID->730160833,ExpressionUUID->"adc56d6d-d2b3-417d-970e-d264bcdb4dcd"],

Cell["\<\
Create a cycle specification with a nested three-element list of cycle \
elements:\
\>", "CodeText",
 CellChangeTimes->{{3.8668919180400953`*^9, 3.866891971696611*^9}},
 CellID->1833194221,ExpressionUUID->"1dbb0ac7-f13c-4da3-a554-66549ceac608"],

Cell[BoxData[
 RowBox[{
  RowBox[{"cycle3", "=", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{"LightBlue", ",", "Yellow", ",", "Green"}], "}"}], "}"}]}], 
  ";"}]], "Input",
 CellTags->"LastCellOfAPage",
 CellLabel->"In[132]:=",
 CellID->1508839142,ExpressionUUID->"7297919c-1bb4-446c-b51b-c0ebbc7d9fff"],

Cell[TextData[{
 "Use that cycle specification as a level specification for the ",
 ButtonBox["Background",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Background.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Background.html"],
 " option:"
}], "CodeText",
 CellChangeTimes->{{3.866891939505864*^9, 3.86689197997635*^9}, 
   3.867923524663824*^9},
 CellTags->"p: 167",
 CellID->1726154913,ExpressionUUID->"424e5a5f-09a3-45fa-aa13-c01d58f07f29"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Dataset", "[", 
  RowBox[{"dinghyAssociations", ",", 
   RowBox[{"Background", "\[Rule]", 
    RowBox[{"{", "cycle3", "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.866634502094939*^9, 3.866634505187778*^9}, {
  3.866651550832241*^9, 3.866651552538821*^9}},
 CellLabel->"In[133]:=",
 CellID->699302822,ExpressionUUID->"e3cb6d58-11b9-4d72-9c8d-7e92e19f9f17"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        False|>}, "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 5], 
     "Meta" -> <|Background -> {{{
           RGBColor[0.87, 0.94, 1], 
           RGBColor[1, 1, 0], 
           RGBColor[0, 1, 0]}}}|>, "RowTarget" -> 20, "ColumnTarget" -> 10, 
     "Shape" -> TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 
        1, {All, "age"} -> 1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 5], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
     5, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["class", 
                  Style[
                  "class", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bead1e2c-77cf-4544-bbd7-715db6471c19"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["age", 
                  Style[
                  "age", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bead1e2c-77cf-4544-bbd7-715db6471c19"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["sex", 
                  Style[
                  "sex", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bead1e2c-77cf-4544-bbd7-715db6471c19"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["survived", 
                  Style[
                  "survived", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bead1e2c-77cf-4544-bbd7-715db6471c19"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bead1e2c-77cf-4544-bbd7-715db6471c19"]][{1, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bead1e2c-77cf-4544-bbd7-715db6471c19"]][{1, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bead1e2c-77cf-4544-bbd7-715db6471c19"]][{1, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bead1e2c-77cf-4544-bbd7-715db6471c19"]][{1, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bead1e2c-77cf-4544-bbd7-715db6471c19"]][{2, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["65"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bead1e2c-77cf-4544-bbd7-715db6471c19"]][{2, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bead1e2c-77cf-4544-bbd7-715db6471c19"]][{2, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bead1e2c-77cf-4544-bbd7-715db6471c19"]][{2, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bead1e2c-77cf-4544-bbd7-715db6471c19"]][{3, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0, 1, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bead1e2c-77cf-4544-bbd7-715db6471c19"]][{3, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0, 1, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bead1e2c-77cf-4544-bbd7-715db6471c19"]][{3, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0, 1, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bead1e2c-77cf-4544-bbd7-715db6471c19"]][{3, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0, 1, 0], ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bead1e2c-77cf-4544-bbd7-715db6471c19"]][{4, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bead1e2c-77cf-4544-bbd7-715db6471c19"]][{4, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bead1e2c-77cf-4544-bbd7-715db6471c19"]][{4, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bead1e2c-77cf-4544-bbd7-715db6471c19"]][{4, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bead1e2c-77cf-4544-bbd7-715db6471c19"]][{5, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["18"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bead1e2c-77cf-4544-bbd7-715db6471c19"]][{5, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bead1e2c-77cf-4544-bbd7-715db6471c19"]][{5, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "bead1e2c-77cf-4544-bbd7-715db6471c19"]][{5, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{213., {86.8837890625, 94.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{213., {86.8837890625, 94.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellLabel->"Out[133]=",
 CellID->1535701216,ExpressionUUID->"0b2c46c5-c7d4-4b67-ab2e-b46fe76134cf"]
}, Open  ]],

Cell[TextData[{
 "Notice also that the cycling doesn\[CloseCurlyQuote]t have to occur only \
within the first level. What if I want the columns (rather than the rows) to \
cycle between ",
 ButtonBox["LightBlue",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/LightBlue.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/LightBlue.html"],
 " and ",
 ButtonBox["Yellow",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Yellow.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Yellow.html"],
 ". I just make the cycle the second element of a specification in which the \
first element is ",
 ButtonBox["None",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/None.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/None.html"],
 ", which basically acts as a placeholder. Here, I can\[CloseCurlyQuote]t \
omit the ",
 ButtonBox["None",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/None.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/None.html"],
 " because, if I were to do so, the Wolfram Language would assume I meant for \
the lone element of the specification list to apply to the top level and \
assume the remaining level specifications were Nones."
}], "Text",
 CellChangeTimes->{{3.866626633148027*^9, 3.86662669336465*^9}, {
   3.866628178280036*^9, 3.866628185928007*^9}, {3.866628386367188*^9, 
   3.86662839355504*^9}, {3.866634738457068*^9, 3.866634752359996*^9}, {
   3.866651565159*^9, 3.8666515770419407`*^9}, {3.866651908106367*^9, 
   3.866651925776247*^9}, {3.866652403357274*^9, 3.866652474500952*^9}, 
   3.866712487196617*^9, 3.867923546450252*^9, {3.871053078483193*^9, 
   3.871053078668458*^9}},
 CellID->670729933,ExpressionUUID->"8c468baf-cd1d-4f55-b7b4-a7e7bde37572"],

Cell[TextData[{
 "Use ",
 ButtonBox["None",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/None.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/None.html"],
 " as the first element in a specification list to specify that no formatting \
is to occur at the top level:"
}], "CodeText",
 CellChangeTimes->{{3.866892012855296*^9, 3.866892038343034*^9}, 
   3.867923568497038*^9},
 CellID->486868011,ExpressionUUID->"88d097dc-8858-419a-8f21-2586f874c8da"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Dataset", "[", 
  RowBox[{"dinghyAssociations", ",", 
   RowBox[{"Background", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"None", ",", "cycle2"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.866626209931044*^9, 3.866626257042666*^9}, {
  3.8666263058235703`*^9, 3.8666263425417557`*^9}, {3.866626400391406*^9, 
  3.866626440856696*^9}, {3.866626520160665*^9, 3.866626553966042*^9}, {
  3.866626629935882*^9, 3.866626653021221*^9}, {3.8666515815179367`*^9, 
  3.866651591730584*^9}},
 CellLabel->"In[134]:=",
 CellID->87695309,ExpressionUUID->"f3ccf636-efab-4039-963e-392003b2ba87"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        False|>}, "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 5], 
     "Meta" -> <|Background -> {None, {{
           RGBColor[0.87, 0.94, 1], 
           RGBColor[1, 1, 0]}}}|>, "RowTarget" -> 20, "ColumnTarget" -> 10, 
     "Shape" -> TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 
        1, {All, "age"} -> 1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 5], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
     5, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["class", 
                  Style[
                  "class", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "eb1d45ce-4b57-499f-973c-6491d135ce64"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["age", 
                  Style[
                  "age", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "eb1d45ce-4b57-499f-973c-6491d135ce64"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["sex", 
                  Style[
                  "sex", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "eb1d45ce-4b57-499f-973c-6491d135ce64"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["survived", 
                  Style[
                  "survived", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "eb1d45ce-4b57-499f-973c-6491d135ce64"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "eb1d45ce-4b57-499f-973c-6491d135ce64"]][{1, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "eb1d45ce-4b57-499f-973c-6491d135ce64"]][{1, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "eb1d45ce-4b57-499f-973c-6491d135ce64"]][{1, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "eb1d45ce-4b57-499f-973c-6491d135ce64"]][{1, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "eb1d45ce-4b57-499f-973c-6491d135ce64"]][{2, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["65"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "eb1d45ce-4b57-499f-973c-6491d135ce64"]][{2, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "eb1d45ce-4b57-499f-973c-6491d135ce64"]][{2, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "eb1d45ce-4b57-499f-973c-6491d135ce64"]][{2, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "eb1d45ce-4b57-499f-973c-6491d135ce64"]][{3, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "eb1d45ce-4b57-499f-973c-6491d135ce64"]][{3, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "eb1d45ce-4b57-499f-973c-6491d135ce64"]][{3, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "eb1d45ce-4b57-499f-973c-6491d135ce64"]][{3, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "eb1d45ce-4b57-499f-973c-6491d135ce64"]][{4, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "eb1d45ce-4b57-499f-973c-6491d135ce64"]][{4, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "eb1d45ce-4b57-499f-973c-6491d135ce64"]][{4, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "eb1d45ce-4b57-499f-973c-6491d135ce64"]][{4, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "eb1d45ce-4b57-499f-973c-6491d135ce64"]][{5, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["18"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "eb1d45ce-4b57-499f-973c-6491d135ce64"]][{5, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "eb1d45ce-4b57-499f-973c-6491d135ce64"]][{5, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "eb1d45ce-4b57-499f-973c-6491d135ce64"]][{5, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{213., {86.8837890625, 94.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{213., {86.8837890625, 94.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellLabel->"Out[134]=",
 CellID->2071867666,ExpressionUUID->"cbbec5e8-870b-4db7-a687-957395c68b18"]
}, Open  ]],

Cell[TextData[{
 "I could also finish (or preface) an element of my specification list with \
non-cycling elements. Here, I cycle at the top level through ",
 ButtonBox["LightBlue",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/LightBlue.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/LightBlue.html"],
 " and ",
 ButtonBox["Yellow",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Yellow.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Yellow.html"],
 " but make the last row ",
 ButtonBox["Orange",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Orange.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Orange.html"],
 "."
}], "Text",
 CellChangeTimes->{{3.866629464340748*^9, 3.866629539530088*^9}, {
   3.866634516177619*^9, 3.8666345198255672`*^9}, {3.866652490182581*^9, 
   3.8666525100174503`*^9}, {3.866712493366892*^9, 3.866712506948083*^9}, 
   3.871053117193084*^9, {3.871053151472094*^9, 3.8710531566991267`*^9}},
 CellTags->"LastCellOfAPage",
 CellID->1505931121,ExpressionUUID->"13491c4f-2343-414a-8322-2d42851528de"],

Cell["\<\
Mix a cycle specification with a non-cycling element within a level \
specification:\
\>", "CodeText",
 CellChangeTimes->{{3.866892986386593*^9, 3.866893028770409*^9}, 
   3.867923647745935*^9},
 CellTags->"p: 168",
 CellID->729754118,ExpressionUUID->"24d1a9f0-5d1c-4297-87ba-ee7252a15321"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Dataset", "[", 
  RowBox[{"dinghyAssociations", ",", 
   RowBox[{"Background", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"LightBlue", ",", "Yellow"}], "}"}], ",", "Orange"}], "}"}], 
     "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.866629512124848*^9, 3.866629512804529*^9}, {
  3.866651613133102*^9, 3.866651677526963*^9}},
 CellLabel->"In[13]:=",
 CellID->51835411,ExpressionUUID->"2f53f996-6a38-4274-abdf-34f4ee11c5bc"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        False|>}, "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 5, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 5], 
     "Meta" -> <|Background -> {{{
           RGBColor[0, 0, 1], 
           RGBColor[1, 1, 0]}, 
          RGBColor[1, 0.5, 0]}}|>, "RowTarget" -> 20, "ColumnTarget" -> 10, 
     "Shape" -> TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 
        1, {All, "age"} -> 1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 5, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 5], "Path" -> {}, 
     "DisplayedRowCount" -> 5, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
     5, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["class", 
                  Style[
                  "class", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "69ce2233-75d7-4434-abab-290cd6936b88"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["age", 
                  Style[
                  "age", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "69ce2233-75d7-4434-abab-290cd6936b88"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["sex", 
                  Style[
                  "sex", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "69ce2233-75d7-4434-abab-290cd6936b88"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["survived", 
                  Style[
                  "survived", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "69ce2233-75d7-4434-abab-290cd6936b88"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "69ce2233-75d7-4434-abab-290cd6936b88"]][{1, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "69ce2233-75d7-4434-abab-290cd6936b88"]][{1, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "69ce2233-75d7-4434-abab-290cd6936b88"]][{1, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "69ce2233-75d7-4434-abab-290cd6936b88"]][{1, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "69ce2233-75d7-4434-abab-290cd6936b88"]][{2, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["65"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "69ce2233-75d7-4434-abab-290cd6936b88"]][{2, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "69ce2233-75d7-4434-abab-290cd6936b88"]][{2, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "69ce2233-75d7-4434-abab-290cd6936b88"]][{2, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "69ce2233-75d7-4434-abab-290cd6936b88"]][{3, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "69ce2233-75d7-4434-abab-290cd6936b88"]][{3, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "69ce2233-75d7-4434-abab-290cd6936b88"]][{3, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "69ce2233-75d7-4434-abab-290cd6936b88"]][{3, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "69ce2233-75d7-4434-abab-290cd6936b88"]][{4, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "69ce2233-75d7-4434-abab-290cd6936b88"]][{4, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "69ce2233-75d7-4434-abab-290cd6936b88"]][{4, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "69ce2233-75d7-4434-abab-290cd6936b88"]][{4, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "69ce2233-75d7-4434-abab-290cd6936b88"]][{5, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 0.5, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["18"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "69ce2233-75d7-4434-abab-290cd6936b88"]][{5, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 0.5, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "69ce2233-75d7-4434-abab-290cd6936b88"]][{5, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 0.5, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "69ce2233-75d7-4434-abab-290cd6936b88"]][{5, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 0.5, 0], ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{213., {86.8837890625, 94.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{213., {86.8837890625, 94.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.88245959487346*^9},
 CellLabel->"Out[13]=",
 CellID->1633449391,ExpressionUUID->"f58bc657-c0d6-4706-a4e2-b2a36269e6f4"]
}, Open  ]],

Cell[TextData[{
 "You can also override the specification for a particular item. Suppose, for \
example, I generally want the row backgrounds to alternate between ",
 ButtonBox["Yellow",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Yellow.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Yellow.html"],
 " and ",
 ButtonBox["LightPurple",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/LightPurple.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/LightPurple.html"],
 " but want to highlight that the 65-year-old male in the second row did not \
survive. I also want to highlight in a different way that the 18-year-old in \
the last row (who did not survive) is a female. I do so by adding an extra \
element to the specification list for the ",
 ButtonBox["Background",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Background.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Background.html"],
 " option. That extra element is a ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of Rules in which the left-hand sides are position specifications and the \
right-hand sides are values."
}], "Text",
 CellChangeTimes->{{3.866627905881483*^9, 3.8666279250586767`*^9}, {
  3.86662810366716*^9, 3.866628138331048*^9}, {3.866628417247992*^9, 
  3.866628418613366*^9}, {3.866628449265523*^9, 3.866628521829467*^9}, {
  3.8666285878666477`*^9, 3.866628588645378*^9}, {3.8666347711741457`*^9, 
  3.866634777056533*^9}, {3.866634892468144*^9, 3.8666349731547337`*^9}, {
  3.866651836451523*^9, 3.86665187279959*^9}, {3.866652520311528*^9, 
  3.866652565675693*^9}, {3.866712519295836*^9, 3.866712530279386*^9}, {
  3.8710532083161664`*^9, 3.8710532568028812`*^9}, {3.8710538936419106`*^9, 
  3.8710538996013346`*^9}, {3.8711406970527687`*^9, 3.8711406981054153`*^9}, {
  3.8722463990249443`*^9, 3.8722464014364815`*^9}},
 CellTags->"i:30",
 CellID->1479560827,ExpressionUUID->"63762939-803a-4c08-a97d-d4fbf7597f99"],

Cell[TextData[{
 "Create a ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of overrides in which the left-hand side of each is itself a ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of an index into a ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " (of Associations) and a key for an ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.866893059544689*^9, 3.866893139608428*^9}, {
  3.871053905848259*^9, 3.871053906064977*^9}},
 CellID->1082886227,ExpressionUUID->"2d3ee160-6b82-4b6c-b627-6908502efcc2"],

Cell[BoxData[
 RowBox[{
  RowBox[{"overrides", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{"2", ",", "\"\<survived\>\""}], "}"}], "\[Rule]", "Red"}], ",", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"5", ",", "\"\<sex\>\""}], "}"}], "\[Rule]", "LightBlue"}]}], 
    "}"}]}], ";"}]], "Input",
 CellLabel->"In[151]:=",
 CellID->11603746,ExpressionUUID->"5fc3a729-41ed-4e7a-b301-08da4c80d9cd"],

Cell[TextData[{
 "Make the ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of positional overrides the last element of a specification ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.86689314418075*^9, 3.866893170577861*^9}, {
   3.866893222282608*^9, 3.866893223430138*^9}, 3.8679237552305937`*^9},
 CellID->708842306,ExpressionUUID->"746703ba-c2d7-4d67-b969-e633496be005"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Dataset", "[", 
  RowBox[{"dinghyAssociations", ",", 
   RowBox[{"Background", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"{", 
        RowBox[{"Yellow", ",", "LightPurple"}], "}"}], "}"}], ",", "None", 
      ",", "overrides"}], "}"}]}]}], "]"}]], "Input",
 CellLabel->"In[152]:=",
 CellID->1155372060,ExpressionUUID->"64454cca-4e9b-4701-8b37-e87b46291bfa"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        False|>}, "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 5], 
     "Meta" -> <|Background -> {{{
           RGBColor[1, 1, 0], 
           RGBColor[0.94, 0.88, 0.94]}}, 
         None, {{2, "survived"} -> RGBColor[1, 0, 0], {5, "sex"} -> 
          RGBColor[0.87, 0.94, 1]}}|>, "RowTarget" -> 20, "ColumnTarget" -> 
     10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 5], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
     5, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["class", 
                  Style[
                  "class", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "8809a51e-1f49-4400-b231-f3854d324da7"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["age", 
                  Style[
                  "age", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "8809a51e-1f49-4400-b231-f3854d324da7"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["sex", 
                  Style[
                  "sex", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "8809a51e-1f49-4400-b231-f3854d324da7"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["survived", 
                  Style[
                  "survived", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "8809a51e-1f49-4400-b231-f3854d324da7"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "8809a51e-1f49-4400-b231-f3854d324da7"]][{1, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "8809a51e-1f49-4400-b231-f3854d324da7"]][{1, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "8809a51e-1f49-4400-b231-f3854d324da7"]][{1, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "8809a51e-1f49-4400-b231-f3854d324da7"]][{1, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "8809a51e-1f49-4400-b231-f3854d324da7"]][{2, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.94, 0.88, 0.94], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["65"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "8809a51e-1f49-4400-b231-f3854d324da7"]][{2, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.94, 0.88, 0.94], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "8809a51e-1f49-4400-b231-f3854d324da7"]][{2, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.94, 0.88, 0.94], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "8809a51e-1f49-4400-b231-f3854d324da7"]][{2, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 0, 0], ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "8809a51e-1f49-4400-b231-f3854d324da7"]][{3, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "8809a51e-1f49-4400-b231-f3854d324da7"]][{3, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "8809a51e-1f49-4400-b231-f3854d324da7"]][{3, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "8809a51e-1f49-4400-b231-f3854d324da7"]][{3, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "8809a51e-1f49-4400-b231-f3854d324da7"]][{4, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.94, 0.88, 0.94], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "8809a51e-1f49-4400-b231-f3854d324da7"]][{4, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.94, 0.88, 0.94], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "8809a51e-1f49-4400-b231-f3854d324da7"]][{4, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.94, 0.88, 0.94], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "8809a51e-1f49-4400-b231-f3854d324da7"]][{4, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.94, 0.88, 0.94], ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "8809a51e-1f49-4400-b231-f3854d324da7"]][{5, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["18"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "8809a51e-1f49-4400-b231-f3854d324da7"]][{5, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "8809a51e-1f49-4400-b231-f3854d324da7"]][{5, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "8809a51e-1f49-4400-b231-f3854d324da7"]][{5, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{213., {86.8837890625, 94.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{213., {86.8837890625, 94.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellLabel->"Out[152]=",
 CellID->1471537082,ExpressionUUID->"b94f301e-b29e-4e5d-9a12-2e07ddda57e6"]
}, Open  ]],

Cell["\<\
Moreover, if all I want is to override the default values, I can get away \
with a truncated specification list. If I provide a list of Rules, the \
Wolfram Language assumes the preceding elements of the specification list are \
Nones. \
\>", "Text",
 CellChangeTimes->{{3.866637171866725*^9, 3.86663722779923*^9}, {
  3.866652597620623*^9, 3.866652659517583*^9}, {3.871053944849143*^9, 
  3.8710539450878515`*^9}, {3.8733842376246233`*^9, 3.8733842383109674`*^9}},
 CellTags->"LastCellOfAPage",
 CellID->313807663,ExpressionUUID->"21c6a590-2c2b-4ef4-a227-d19a740e3e46"],

Cell[TextData[{
 "Make the only value of a presentation option a ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of positional overrides:"
}], "CodeText",
 CellChangeTimes->{{3.866893194488879*^9, 3.8668932199440413`*^9}, 
   3.867923783067821*^9},
 CellTags->"p: 169",
 CellID->1406934995,ExpressionUUID->"8e516c85-50fc-444c-9b50-9e3ec0676cba"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Dataset", "[", 
  RowBox[{"dinghyAssociations", ",", 
   RowBox[{"Background", "\[Rule]", "overrides"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.8666371965697823`*^9, 3.866637198907734*^9}},
 CellLabel->"In[153]:=",
 CellID->685576346,ExpressionUUID->"aae43465-8d1f-44e5-a319-c7eaa25eda66"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        False|>}, "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 5], 
     "Meta" -> <|
      Background -> {{2, "survived"} -> RGBColor[1, 0, 0], {5, "sex"} -> 
         RGBColor[0.87, 0.94, 1]}|>, "RowTarget" -> 20, "ColumnTarget" -> 10, 
     "Shape" -> TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 
        1, {All, "age"} -> 1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 5], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
     5, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["class", 
                  Style[
                  "class", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a40fb755-9d0b-4be2-bc45-afeb17e86da5"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["age", 
                  Style[
                  "age", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a40fb755-9d0b-4be2-bc45-afeb17e86da5"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["sex", 
                  Style[
                  "sex", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a40fb755-9d0b-4be2-bc45-afeb17e86da5"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["survived", 
                  Style[
                  "survived", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a40fb755-9d0b-4be2-bc45-afeb17e86da5"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a40fb755-9d0b-4be2-bc45-afeb17e86da5"]][{1, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a40fb755-9d0b-4be2-bc45-afeb17e86da5"]][{1, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a40fb755-9d0b-4be2-bc45-afeb17e86da5"]][{1, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a40fb755-9d0b-4be2-bc45-afeb17e86da5"]][{1, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a40fb755-9d0b-4be2-bc45-afeb17e86da5"]][{2, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["65"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a40fb755-9d0b-4be2-bc45-afeb17e86da5"]][{2, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a40fb755-9d0b-4be2-bc45-afeb17e86da5"]][{2, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a40fb755-9d0b-4be2-bc45-afeb17e86da5"]][{2, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 0, 0], ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a40fb755-9d0b-4be2-bc45-afeb17e86da5"]][{3, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a40fb755-9d0b-4be2-bc45-afeb17e86da5"]][{3, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a40fb755-9d0b-4be2-bc45-afeb17e86da5"]][{3, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a40fb755-9d0b-4be2-bc45-afeb17e86da5"]][{3, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a40fb755-9d0b-4be2-bc45-afeb17e86da5"]][{4, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a40fb755-9d0b-4be2-bc45-afeb17e86da5"]][{4, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a40fb755-9d0b-4be2-bc45-afeb17e86da5"]][{4, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a40fb755-9d0b-4be2-bc45-afeb17e86da5"]][{4, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a40fb755-9d0b-4be2-bc45-afeb17e86da5"]][{5, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["18"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a40fb755-9d0b-4be2-bc45-afeb17e86da5"]][{5, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a40fb755-9d0b-4be2-bc45-afeb17e86da5"]][{5, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a40fb755-9d0b-4be2-bc45-afeb17e86da5"]][{5, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{213., {86.8837890625, 94.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{213., {86.8837890625, 94.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellLabel->"Out[153]=",
 CellID->287066092,ExpressionUUID->"0badabc9-d08a-4c70-84fa-c73f06688a1d"]
}, Open  ]],

Cell[TextData[{
 "What I am describing is a system of specifying formatting option values by \
a series of specifications corresponding to the levels of the underlying data \
or according to specific positions in the data. This system also works in a \
somewhat similar way with ",
 ButtonBox["Grid",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Grid.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Grid.html"],
 ". Data considered to be at one level in a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " may be at a different level, however, when similar data is inside a ",
 ButtonBox["Grid",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Grid.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Grid.html"],
 "."
}], "Note",
 CellChangeTimes->{{3.8668095016118803`*^9, 3.866809532029908*^9}, {
   3.86680977648076*^9, 3.866809817938313*^9}, {3.8668099036513243`*^9, 
   3.8668099301406393`*^9}, 3.866809976273213*^9, {3.866810143851543*^9, 
   3.866810155212886*^9}, {3.866810194046639*^9, 3.866810233674264*^9}, {
   3.866893242316918*^9, 3.866893258892132*^9}, 3.8699244051489315`*^9},
 CellTags->"i:31",
 CellID->388758014,ExpressionUUID->"4e2b19cf-2f88-4acd-ad94-9a7b408dd981"],

Cell["Create a common background specification:", "CodeText",
 CellChangeTimes->{{3.866810238917924*^9, 3.8668102501401176`*^9}},
 CellID->562142886,ExpressionUUID->"30336e04-cb57-4681-88fd-e5b9fd0b751a"],

Cell[BoxData[
 RowBox[{
  RowBox[{"commonBackground", "=", 
   RowBox[{"{", 
    RowBox[{"None", ",", 
     RowBox[{"{", 
      RowBox[{"{", 
       RowBox[{"Yellow", ",", "LightPurple"}], "}"}], "}"}]}], "}"}]}], 
  ";"}]], "Input",
 CellLabel->"In[154]:=",
 CellID->99432838,ExpressionUUID->"cdd49e57-e392-40e6-80e3-86fa7f0d3f09"],

Cell[TextData[{
 "When the common background specification is used inside a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ", the color of the columns alternates; when the same common background \
specification is used inside a ",
 ButtonBox["Grid",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Grid.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Grid.html"],
 ", the color of the rows alternates:"
}], "CodeText",
 CellChangeTimes->{{3.866810255347679*^9, 3.866810304367382*^9}, {
   3.8710547697063484`*^9, 3.8710547778314977`*^9}, 3.872247187659087*^9},
 CellID->1121306380,ExpressionUUID->"ffd84a47-28a9-4696-8f53-0dc3836b6502"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"Dataset", "[", 
    RowBox[{"dinghyAssociations", ",", 
     RowBox[{"Background", "\[Rule]", "commonBackground"}]}], "]"}], ",", 
   RowBox[{"Grid", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "\"\<3rd\>\"", ",", "16", ",", "\"\<female\>\"", ",", "True"}], "}"}],
        ",", 
       RowBox[{"{", 
        RowBox[{"\"\<1st\>\"", ",", "65", ",", "\"\<male\>\"", ",", "False"}],
         "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
        "\"\<3rd\>\"", ",", "2", ",", "\"\<female\>\"", ",", "False"}], "}"}],
        ",", 
       RowBox[{"{", 
        RowBox[{"\"\<3rd\>\"", ",", 
         RowBox[{"Missing", "[", "]"}], ",", "\"\<female\>\"", ",", "True"}], 
        "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
        "\"\<3rd\>\"", ",", "18", ",", "\"\<female\>\"", ",", "False"}], 
        "}"}]}], "}"}], ",", 
     RowBox[{"Background", "\[Rule]", "commonBackground"}]}], "]"}]}], 
  "}"}]], "Input",
 CellChangeTimes->{{3.866809846528363*^9, 3.866809938218997*^9}, {
  3.8668099798027983`*^9, 3.866810119687676*^9}, {3.866810173897922*^9, 
  3.866810182350881*^9}},
 CellLabel->"In[155]:=",
 CellID->1652702227,ExpressionUUID->"1b2be05d-4d09-4708-a6fb-e46bca467c1f"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   TagBox[
    TagBox[
     DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
      "InitialData" -> {<|
         "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
          True|>, <|
         "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> 
          False|>, <|
         "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
          False|>, <|
         "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
          True|>, <|
         "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
          False|>}, "AllowEmbedding" -> True, "InitialShape" -> 
       TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 
          1, {All, "age"} -> 1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
         TypeSystem`PackageScope`Limited[
          TypeSystem`PackageScope`ColumnShape[
           TypeSystem`PackageScope`Limited[
            
            TypeSystem`PackageScope`RowShape[<|
             "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
              TypeSystem`PackageScope`AtomShape[34], "sex" -> 
              TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
              TypeSystem`PackageScope`AtomShape[36]|>], 
            DirectedInfinity[1], 4, {All}]], 8, 
          DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
         TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
           TypeSystem`Atom[
            TypeSystem`Enumeration["1st", "3rd"]], 
           TypeSystem`Atom[Integer], 
           TypeSystem`Atom[
            TypeSystem`Enumeration["female", "male"]], 
           TypeSystem`Atom[TypeSystem`Boolean]}], 5], 
       "Meta" -> <|Background -> {None, {{
             RGBColor[1, 1, 0], 
             RGBColor[0.94, 0.88, 0.94]}}}|>, "RowTarget" -> 20, 
       "ColumnTarget" -> 10, "Shape" -> 
       TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 
          1, {All, "age"} -> 1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
         TypeSystem`PackageScope`Limited[
          TypeSystem`PackageScope`ColumnShape[
           TypeSystem`PackageScope`Limited[
            
            TypeSystem`PackageScope`RowShape[<|
             "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
              TypeSystem`PackageScope`AtomShape[34], "sex" -> 
              TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
              TypeSystem`PackageScope`AtomShape[36]|>], 
            DirectedInfinity[1], 4, {All}]], 8, 
          DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
         TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
           TypeSystem`Atom[
            TypeSystem`Enumeration["1st", "3rd"]], 
           TypeSystem`Atom[Integer], 
           TypeSystem`Atom[
            TypeSystem`Enumeration["female", "male"]], 
           TypeSystem`Atom[TypeSystem`Boolean]}], 5], "Path" -> {}, 
       "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
       5, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
       "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
      TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
      TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
      TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
      TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
      TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
      DynamicModule[{
       TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
          Style[
           Grid[{{
              Item[
               Pane[
                Annotation[
                 EventHandler[
                  MouseAppearance[
                   Mouseover["class", 
                    Style[
                    "class", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                  If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "class"}, 1]]], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "9193e90c-106d-442c-8181-60e00e248ced"]][{All, "class"}, 
                  "ColumnHeader", True], "Mouse"], 
                ImageSize -> {{1, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.95], Alignment -> {Left, Baseline}], 
              Item[
               Pane[
                Annotation[
                 EventHandler[
                  MouseAppearance[
                   Mouseover["age", 
                    Style[
                    "age", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                  If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "age"}, 1]]], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "9193e90c-106d-442c-8181-60e00e248ced"]][{All, "age"}, 
                  "ColumnHeader", True], "Mouse"], 
                ImageSize -> {{1, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.95], Alignment -> {Left, Baseline}], 
              Item[
               Pane[
                Annotation[
                 EventHandler[
                  MouseAppearance[
                   Mouseover["sex", 
                    Style[
                    "sex", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                  If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "sex"}, 1]]], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "9193e90c-106d-442c-8181-60e00e248ced"]][{All, "sex"}, 
                  "ColumnHeader", True], "Mouse"], 
                ImageSize -> {{1, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.95], Alignment -> {Left, Baseline}], 
              Item[
               Pane[
                Annotation[
                 EventHandler[
                  MouseAppearance[
                   Mouseover["survived", 
                    Style[
                    "survived", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                  If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "survived"}, 1]]], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "9193e90c-106d-442c-8181-60e00e248ced"]][{All, "survived"}, 
                  "ColumnHeader", True], "Mouse"], 
                ImageSize -> {{1, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
              Item[
               Pane[
                Annotation["3rd", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "9193e90c-106d-442c-8181-60e00e248ced"]][{1, 
                   Key["class"]}, "Item", False], "Mouse"], 
                ImageSize -> {{31.5, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["16"], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "9193e90c-106d-442c-8181-60e00e248ced"]][{1, 
                   Key["age"]}, "Item", False], "Mouse"], 
                ImageSize -> {{34, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               RGBColor[0.94, 0.88, 0.94], ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation["female", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "9193e90c-106d-442c-8181-60e00e248ced"]][{1, 
                   Key["sex"]}, "Item", False], "Mouse"], 
                ImageSize -> {{63., Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["True"], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "9193e90c-106d-442c-8181-60e00e248ced"]][{1, 
                   Key["survived"]}, "Item", False], "Mouse"], 
                ImageSize -> {{36, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               RGBColor[0.94, 0.88, 0.94], ItemSize -> {Full, Automatic}]}, {
              Item[
               Pane[
                Annotation["1st", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "9193e90c-106d-442c-8181-60e00e248ced"]][{2, 
                   Key["class"]}, "Item", False], "Mouse"], 
                ImageSize -> {{31.5, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["65"], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "9193e90c-106d-442c-8181-60e00e248ced"]][{2, 
                   Key["age"]}, "Item", False], "Mouse"], 
                ImageSize -> {{34, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               RGBColor[0.94, 0.88, 0.94], ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation["male", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "9193e90c-106d-442c-8181-60e00e248ced"]][{2, 
                   Key["sex"]}, "Item", False], "Mouse"], 
                ImageSize -> {{63., Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["False"], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "9193e90c-106d-442c-8181-60e00e248ced"]][{2, 
                   Key["survived"]}, "Item", False], "Mouse"], 
                ImageSize -> {{36, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               RGBColor[0.94, 0.88, 0.94], ItemSize -> {Full, Automatic}]}, {
              Item[
               Pane[
                Annotation["3rd", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "9193e90c-106d-442c-8181-60e00e248ced"]][{3, 
                   Key["class"]}, "Item", False], "Mouse"], 
                ImageSize -> {{31.5, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["2"], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "9193e90c-106d-442c-8181-60e00e248ced"]][{3, 
                   Key["age"]}, "Item", False], "Mouse"], 
                ImageSize -> {{34, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               RGBColor[0.94, 0.88, 0.94], ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation["female", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "9193e90c-106d-442c-8181-60e00e248ced"]][{3, 
                   Key["sex"]}, "Item", False], "Mouse"], 
                ImageSize -> {{63., Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["False"], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "9193e90c-106d-442c-8181-60e00e248ced"]][{3, 
                   Key["survived"]}, "Item", False], "Mouse"], 
                ImageSize -> {{36, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               RGBColor[0.94, 0.88, 0.94], ItemSize -> {Full, Automatic}]}, {
              Item[
               Pane[
                Annotation["3rd", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "9193e90c-106d-442c-8181-60e00e248ced"]][{4, 
                   Key["class"]}, "Item", False], "Mouse"], 
                ImageSize -> {{31.5, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 Style["\[LongDash]", 
                  GrayLevel[0.75]], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "9193e90c-106d-442c-8181-60e00e248ced"]][{4, 
                   Key["age"]}, "Item", False], "Mouse"], 
                ImageSize -> {{34, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               RGBColor[0.94, 0.88, 0.94], ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation["female", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "9193e90c-106d-442c-8181-60e00e248ced"]][{4, 
                   Key["sex"]}, "Item", False], "Mouse"], 
                ImageSize -> {{63., Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["True"], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "9193e90c-106d-442c-8181-60e00e248ced"]][{4, 
                   Key["survived"]}, "Item", False], "Mouse"], 
                ImageSize -> {{36, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               RGBColor[0.94, 0.88, 0.94], ItemSize -> {Full, Automatic}]}, {
              Item[
               Pane[
                Annotation["3rd", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "9193e90c-106d-442c-8181-60e00e248ced"]][{5, 
                   Key["class"]}, "Item", False], "Mouse"], 
                ImageSize -> {{31.5, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["18"], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "9193e90c-106d-442c-8181-60e00e248ced"]][{5, 
                   Key["age"]}, "Item", False], "Mouse"], 
                ImageSize -> {{34, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               RGBColor[0.94, 0.88, 0.94], ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation["female", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "9193e90c-106d-442c-8181-60e00e248ced"]][{5, 
                   Key["sex"]}, "Item", False], "Mouse"], 
                ImageSize -> {{63., Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["False"], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "9193e90c-106d-442c-8181-60e00e248ced"]][{5, 
                   Key["survived"]}, "Item", False], "Mouse"], 
                ImageSize -> {{36, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               RGBColor[0.94, 0.88, 0.94], ItemSize -> {Full, Automatic}]}}, 
            BaseStyle -> {
             ContextMenu -> 
              Dynamic[TypeSystem`NestedGrid`PackagePrivate`$\
contextMenuTrigger; 
                Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                  TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                  TypeSystem`NestedGrid`PackagePrivate`$\
lastContextMenuTrigger, TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu,
                   True, TypeSystem`NestedGrid`PackagePrivate`$\
lastContextMenuTrigger = 
                   TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                  TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                   Block[{TypeSystem`NestedGrid`PackagePrivate`$\
globalScrollPos = {TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                    
                    With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
              "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, 
            Dividers -> All, FrameStyle -> GrayLevel[0.7490196078431373], 
            Spacings -> {0, 0}, Alignment -> Left, 
            BaseStyle -> {
             FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
              Plain}], LineBreakWithin -> False, ContextMenu -> {}, 
           NumberMarks -> False, ShowAutoStyles -> False]], 
        TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
       Dynamic[
        TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
        TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
           Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
           
           Module[{TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
             TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
             TypeSystem`NestedGrid`PackagePrivate`datasetData[
              TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
               FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
               TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
               TypeSystem`NestedGrid`PackagePrivate`renderGrid[
               TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
               TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
              Not[
               FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
              TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
              TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
         TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
         TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
         TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
           FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
           TypeSystem`SparseGrid[
            TypeSystem`H["(data no longer present)"]], 
           TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
        TrackedSymbols :> {
         TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
          TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
       DynamicModuleValues :> {}], 
      TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
       TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
        TypeSystem`PackageScope`SubViewPathbar[
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
         TypeSystem`NestedGrid`PackagePrivate`updateState[
         TypeSystem`NestedGrid`PackagePrivate`$state$$, 
          TypeSystem`NestedGrid`PackagePrivate`$path$$, 
          TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
          TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
          TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
       TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
      TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
       Framed[
        Dynamic[
         Replace[
         TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
          TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
             TypeSystem`NestedGrid`PackagePrivate`localHold[
             TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
             Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
             TypeSystem`NestedGrid`PackagePrivate`localHold[
             TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
              Blank[]], 
             Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
              Blank[]], 
             Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
              Blank[]]] :> (
            Increment[
             TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
            TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
             TypeSystem`NestedGrid`PackagePrivate`path$; 
            TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
             TypeSystem`NestedGrid`PackagePrivate`pathType$; 
            TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
             TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
            TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
             TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
            TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
             TypeSystem`NestedGrid`PackagePrivate`path$, 
              TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
           Spacer[10], Blank[] :> Spacer[10]}], 
         TrackedSymbols :> {
          TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], 
        FrameStyle -> None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> 
        Top, ImageSize -> {Automatic, 15}], FontSize -> 1], 
      TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
      DynamicWrapperBox[
       DynamicBox[ToBoxes[
         Dataset`DatasetContent[
         2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
          "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], 
          "State" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], 
          "VPos" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], 
          "HPos" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], 
          "TopBar" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], 
          "BottomBar" -> 
          Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
          Hold[
            TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
        ImageSizeCache->{213., {86.8837890625, 94.1162109375}},
        TrackedSymbols:>{
         TypeSystem`NestedGrid`PackagePrivate`$state$$, 
          TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
       MouseAnnotation[],
       ImageSizeCache->{213., {86.8837890625, 94.1162109375}}],
      BaseStyle->{LineBreakWithin -> False},
      DynamicModuleValues:>{},
      Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
       CreateUUID[]),
      UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
     Deploy,
     DefaultBaseStyle->"Deploy"],
    Dataset`InterpretDataset[1],
    Editable->False,
    SelectWithContents->True,
    Selectable->False], ",", 
   TagBox[GridBox[{
      {"\<\"3rd\"\>", "16", "\<\"female\"\>", "True"},
      {"\<\"1st\"\>", "65", "\<\"male\"\>", "False"},
      {"\<\"3rd\"\>", "2", "\<\"female\"\>", "False"},
      {"\<\"3rd\"\>", 
       RowBox[{"Missing", "[", "]"}], "\<\"female\"\>", "True"},
      {"\<\"3rd\"\>", "18", "\<\"female\"\>", "False"}
     },
     AutoDelete->False,
     GridBoxBackground->{"Columns" -> {{None}}, "Rows" -> {{
          RGBColor[1, 1, 0], 
          RGBColor[0.94, 0.88, 0.94]}}},
     GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
    "Grid"]}], "}"}]], "Output",
 CellLabel->"Out[155]=",
 CellID->1414966506,ExpressionUUID->"46bdecb3-26ee-4077-b568-26e9dab66dd7"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "Using Functions to Specify ",
 StyleBox[ButtonBox["Dataset",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
  FontColor->GrayLevel[0.45]],
 " Presentation"
}], "Subsubsubsection",
 CellID->274820295,ExpressionUUID->"15eef6bd-717a-411f-8389-59a86c77e496"],

Cell[TextData[{
 "We can have position- and content-aware backgrounds. That is, instead of \
designating the background elements explicitly, I can do so with a function. \
The function can accept up to three positional arguments: the first argument \
is the item itself, the second argument is the item\[CloseCurlyQuote]s \
position, and the third argument is the expression inside the ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " itself. I will refer to these functions as IPD functions \
(Item-Position-Dataset)."
}], "Text",
 CellChangeTimes->{{3.86663479646095*^9, 3.866634817656444*^9}, {
   3.866635070578348*^9, 3.86663508338157*^9}, {3.866635114138955*^9, 
   3.8666351290568523`*^9}, {3.866635315447209*^9, 3.8666353598296967`*^9}, {
   3.866636462795998*^9, 3.866636479985231*^9}, {3.8666365322753143`*^9, 
   3.866636533716405*^9}, {3.8666380108006067`*^9, 3.866638030959715*^9}, {
   3.866712546570074*^9, 3.866712603384224*^9}, {3.8667157336489973`*^9, 
   3.866715758977734*^9}, {3.866893309345245*^9, 3.866893321034082*^9}, {
   3.867923933256544*^9, 3.867923941259118*^9}, {3.869323070244869*^9, 
   3.8693230862702007`*^9}, 3.8699244095832725`*^9, {3.8710548056580267`*^9, 
   3.8710548154434958`*^9}, {3.8711407429023633`*^9, 3.87114074388522*^9}},
 CellTags->{"LastCellOfAPage", "i:32"},
 CellID->643045086,ExpressionUUID->"81fe71bd-5557-4d9b-b834-7841fd6d0c55"],

Cell[TextData[{
 "Let\[CloseCurlyQuote]s start with a simple example IPD function in which \
only the position matters. If the position has ",
 Cell[BoxData[
 "\"\<age\>\""], "InlineCodeText",ExpressionUUID->
  "5aeabdfd-55ea-4f78-9f0e-0e347a5b98b4"],
 " as its second element or is the fourth row, apply a ",
 ButtonBox["Red",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Red.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Red.html"],
 " background; otherwise, apply a ",
 ButtonBox["LightBlue",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/LightBlue.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/LightBlue.html"],
 " background."
}], "Text",
 CellChangeTimes->{{3.86663479646095*^9, 3.866634817656444*^9}, {
  3.866635070578348*^9, 3.86663508338157*^9}, {3.866635114138955*^9, 
  3.8666351290568523`*^9}, {3.866635315447209*^9, 3.8666353598296967`*^9}, {
  3.866636462795998*^9, 3.866636479985231*^9}, {3.8666365322753143`*^9, 
  3.866636533716405*^9}, {3.8666380108006067`*^9, 3.866638030959715*^9}, {
  3.866712546570074*^9, 3.866712624112743*^9}, {3.866715762778633*^9, 
  3.866715765217345*^9}, {3.867923973348048*^9, 3.867923987547113*^9}, {
  3.8710552567170153`*^9, 3.8710552863221207`*^9}, {3.873384685724089*^9, 
  3.8733846891951127`*^9}},
 CellTags->"p: 170",
 CellID->612220492,ExpressionUUID->"9d4bd625-e69d-47fd-b597-85ffd0cc0b99"],

Cell[TextData[{
 "Use a polymorphic description of a function so that generally the result is \
",
 ButtonBox["LightBlue",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/LightBlue.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/LightBlue.html"],
 " but where the result is ",
 ButtonBox["Red",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Red.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Red.html"],
 " for two alternative values of the second argument:"
}], "CodeText",
 CellChangeTimes->{{3.866893347007819*^9, 3.866893390634986*^9}, {
  3.866893559824971*^9, 3.866893563087398*^9}},
 CellID->1507779991,ExpressionUUID->"c985aecc-b84d-43a5-9945-4c682f7f5da9"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"backgroundFunction", "[", 
    RowBox[{"_", ",", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"_", ",", "\"\<age\>\""}], "}"}], "|", 
      RowBox[{"{", 
       RowBox[{"4", ",", "_"}], "}"}]}], ",", "_"}], "]"}], ":=", "Red"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"backgroundFunction", "[", 
   RowBox[{"_", ",", "_", ",", "_"}], "]"}], ":=", "LightBlue"}]}], "Input",
 CellLabel->"In[156]:=",
 CellID->1405105318,ExpressionUUID->"94601c8c-3ebc-40dd-8f64-9318e0a524b5"],

Cell[TextData[{
 "Set the value of the ",
 ButtonBox["Background",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Background.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Background.html"],
 " option to ",
 Cell[BoxData[
 "backgroundFunction"], "InlineCode",ExpressionUUID->
  "57ec6e95-bf77-4d8f-b678-5fe6387db2ec"],
 " with three arguments:"
}], "CodeText",
 CellChangeTimes->{{3.866893393806809*^9, 3.866893431430938*^9}, {
  3.866893550328032*^9, 3.866893552898123*^9}},
 CellID->297227017,ExpressionUUID->"307edbfd-cf55-4eae-b02b-42434429e906"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Dataset", "[", 
  RowBox[{"dinghyAssociations", ",", 
   RowBox[{"Background", "\[Rule]", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"backgroundFunction", "[", 
       RowBox[{"#1", ",", "#2", ",", "#3"}], "]"}], "&"}], ")"}]}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.86663517291191*^9, 3.866635174779623*^9}, {
  3.866635271867881*^9, 3.8666352782552757`*^9}},
 CellLabel->"In[158]:=",
 CellID->974049752,ExpressionUUID->"547af850-b54a-41df-b2de-0834d1f80bc8"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        False|>}, "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 5], 
     "Meta" -> <|
      Background -> ($CellContext`backgroundFunction[#, #2, #3]& )|>, 
     "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 5], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
     5, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["class", 
                  Style[
                  "class", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "7c28f358-9fe0-46e1-89c0-3d99b1585864"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["age", 
                  Style[
                  "age", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "7c28f358-9fe0-46e1-89c0-3d99b1585864"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["sex", 
                  Style[
                  "sex", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "7c28f358-9fe0-46e1-89c0-3d99b1585864"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["survived", 
                  Style[
                  "survived", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "7c28f358-9fe0-46e1-89c0-3d99b1585864"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "7c28f358-9fe0-46e1-89c0-3d99b1585864"]][{1, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "7c28f358-9fe0-46e1-89c0-3d99b1585864"]][{1, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 0, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "7c28f358-9fe0-46e1-89c0-3d99b1585864"]][{1, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "7c28f358-9fe0-46e1-89c0-3d99b1585864"]][{1, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "7c28f358-9fe0-46e1-89c0-3d99b1585864"]][{2, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["65"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "7c28f358-9fe0-46e1-89c0-3d99b1585864"]][{2, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 0, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "7c28f358-9fe0-46e1-89c0-3d99b1585864"]][{2, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "7c28f358-9fe0-46e1-89c0-3d99b1585864"]][{2, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "7c28f358-9fe0-46e1-89c0-3d99b1585864"]][{3, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "7c28f358-9fe0-46e1-89c0-3d99b1585864"]][{3, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 0, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "7c28f358-9fe0-46e1-89c0-3d99b1585864"]][{3, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "7c28f358-9fe0-46e1-89c0-3d99b1585864"]][{3, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "7c28f358-9fe0-46e1-89c0-3d99b1585864"]][{4, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 0, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "7c28f358-9fe0-46e1-89c0-3d99b1585864"]][{4, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 0, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "7c28f358-9fe0-46e1-89c0-3d99b1585864"]][{4, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 0, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "7c28f358-9fe0-46e1-89c0-3d99b1585864"]][{4, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 0, 0], ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "7c28f358-9fe0-46e1-89c0-3d99b1585864"]][{5, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["18"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "7c28f358-9fe0-46e1-89c0-3d99b1585864"]][{5, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 0, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "7c28f358-9fe0-46e1-89c0-3d99b1585864"]][{5, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "7c28f358-9fe0-46e1-89c0-3d99b1585864"]][{5, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{213., {86.8837890625, 94.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{213., {86.8837890625, 94.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellLabel->"Out[158]=",
 CellID->327307527,ExpressionUUID->"e2b7c08f-7eaf-40ce-a829-ab616a36cb22"]
}, Open  ]],

Cell[TextData[{
 "Notice that simply using ",
 Cell[BoxData[
 "backgroundFunction"], "InlineCode",ExpressionUUID->
  "78602d8c-1c5e-49ea-8c18-7453547a3b51"],
 " without specifying that it accepts three arguments will not work as \
desired:"
}], "CodeText",
 CellChangeTimes->{{3.866893437467403*^9, 3.866893460009791*^9}, {
  3.86689352464752*^9, 3.866893545937805*^9}, {3.872247509858253*^9, 
  3.8722475110792284`*^9}},
 CellID->1327789331,ExpressionUUID->"7623a072-a57d-4306-bd08-34ce4d0586c0"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Dataset", "[", 
  RowBox[{"dinghyAssociations", ",", 
   RowBox[{"Background", "\[Rule]", "backgroundFunction"}]}], "]"}]], "Input",\

 CellChangeTimes->{{3.86663517291191*^9, 3.866635174779623*^9}, {
  3.866635271867881*^9, 3.8666352782552757`*^9}, {3.8668935195664463`*^9, 
  3.866893537252079*^9}},
 CellLabel->"In[573]:=",
 CellID->446113088,ExpressionUUID->"526fc0ee-3a40-4e58-8d8f-148433cb0071"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        False|>}, "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 5], 
     "Meta" -> <|Background -> $CellContext`backgroundFunction|>, "RowTarget" -> 
     20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 5], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
     5, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["class", 
                  Style[
                  "class", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "770f09ca-26cd-4b16-a9a4-6ec97d7d412d"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["age", 
                  Style[
                  "age", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "770f09ca-26cd-4b16-a9a4-6ec97d7d412d"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["sex", 
                  Style[
                  "sex", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "770f09ca-26cd-4b16-a9a4-6ec97d7d412d"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["survived", 
                  Style[
                  "survived", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "770f09ca-26cd-4b16-a9a4-6ec97d7d412d"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "770f09ca-26cd-4b16-a9a4-6ec97d7d412d"]][{1, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "770f09ca-26cd-4b16-a9a4-6ec97d7d412d"]][{1, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "770f09ca-26cd-4b16-a9a4-6ec97d7d412d"]][{1, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "770f09ca-26cd-4b16-a9a4-6ec97d7d412d"]][{1, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "770f09ca-26cd-4b16-a9a4-6ec97d7d412d"]][{2, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["65"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "770f09ca-26cd-4b16-a9a4-6ec97d7d412d"]][{2, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "770f09ca-26cd-4b16-a9a4-6ec97d7d412d"]][{2, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "770f09ca-26cd-4b16-a9a4-6ec97d7d412d"]][{2, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "770f09ca-26cd-4b16-a9a4-6ec97d7d412d"]][{3, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "770f09ca-26cd-4b16-a9a4-6ec97d7d412d"]][{3, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "770f09ca-26cd-4b16-a9a4-6ec97d7d412d"]][{3, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "770f09ca-26cd-4b16-a9a4-6ec97d7d412d"]][{3, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "770f09ca-26cd-4b16-a9a4-6ec97d7d412d"]][{4, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "770f09ca-26cd-4b16-a9a4-6ec97d7d412d"]][{4, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "770f09ca-26cd-4b16-a9a4-6ec97d7d412d"]][{4, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "770f09ca-26cd-4b16-a9a4-6ec97d7d412d"]][{4, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "770f09ca-26cd-4b16-a9a4-6ec97d7d412d"]][{5, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["18"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "770f09ca-26cd-4b16-a9a4-6ec97d7d412d"]][{5, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "770f09ca-26cd-4b16-a9a4-6ec97d7d412d"]][{5, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "770f09ca-26cd-4b16-a9a4-6ec97d7d412d"]][{5, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{213., {86.8837890625, 94.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{213., {86.8837890625, 94.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{{3.866893520525156*^9, 3.866893538370487*^9}, 
   3.881425990116982*^9},
 CellLabel->"Out[573]=",
 CellID->1214253249,ExpressionUUID->"a69882d9-1f1f-48ed-aaec-98cf58c3d981"]
}, Open  ]],

Cell[TextData[{
 "Here\[CloseCurlyQuote]s an IPD function in which only the value matters. I \
use the ",
 ButtonBox["Hash",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Hash.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Hash.html"],
 " function, which takes any Wolfram Language expression and turns it into a \
fixed-length number. If the ",
 ButtonBox["Hash",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Hash.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Hash.html"],
 " of the value is even, the background is ",
 ButtonBox["Yellow",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Yellow.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Yellow.html"],
 "; otherwise, it is ",
 ButtonBox["LightBlue",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/LightBlue.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/LightBlue.html"],
 "."
}], "Text",
 CellChangeTimes->{{3.8666355790407476`*^9, 3.866635586399982*^9}, {
   3.866635675156159*^9, 3.8666357001550207`*^9}, {3.866636369373808*^9, 
   3.866636370172236*^9}, {3.866636565349908*^9, 3.866636615301014*^9}, {
   3.866712680385549*^9, 3.866712721324605*^9}, {3.866715806092651*^9, 
   3.866715808012664*^9}, {3.8679240599967613`*^9, 3.867924061597554*^9}, 
   3.8710562984604397`*^9},
 CellTags->"i:33",
 CellID->1934957544,ExpressionUUID->"9f0ee74e-e60c-44dd-88d1-15c57c3b09a5"],

Cell[TextData[{
 "Use ",
 ButtonBox["If",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/If.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/If.html"],
 " to create a function that yields ",
 ButtonBox["Yellow",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Yellow.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Yellow.html"],
 " if the ",
 ButtonBox["Hash",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Hash.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Hash.html"],
 " of its first argument is even and otherwise yields ",
 ButtonBox["LightBlue",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/LightBlue.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/LightBlue.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.866893595429224*^9, 3.866893666994998*^9}},
 CellID->755024593,ExpressionUUID->"1f1a377f-90f0-4632-8521-7854477971ef"],

Cell[BoxData[
 RowBox[{
  RowBox[{"backgroundFunction2", "[", 
   RowBox[{"item_", ",", "__"}], "]"}], ":=", 
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{"EvenQ", "[", 
     RowBox[{"Hash", "[", "item", "]"}], "]"}], ",", "Yellow", ",", 
    "LightBlue"}], "]"}]}]], "Input",
 CellTags->"LastCellOfAPage",
 CellLabel->"In[159]:=",
 CellID->1446722817,ExpressionUUID->"35a6038e-3a01-4660-92dd-d499f94303a2"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Dataset", "[", 
  RowBox[{"dinghyAssociations", ",", 
   RowBox[{"Background", "\[Rule]", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"backgroundFunction2", "[", 
       RowBox[{"#1", ",", "#2", ",", "#3"}], "]"}], "&"}], ")"}]}]}], 
  "]"}]], "Input",
 CellChangeTimes->{3.866635652971209*^9},
 CellTags->"p: 171",
 CellLabel->"In[160]:=",
 CellID->1399511673,ExpressionUUID->"9816e714-665b-4555-b9d3-ef71ea130805"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        False|>}, "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 5], 
     "Meta" -> <|
      Background -> ($CellContext`backgroundFunction2[#, #2, #3]& )|>, 
     "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 5], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
     5, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["class", 
                  Style[
                  "class", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82db2558-4a3c-455c-b8ae-0557ec2fb1e7"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["age", 
                  Style[
                  "age", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82db2558-4a3c-455c-b8ae-0557ec2fb1e7"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["sex", 
                  Style[
                  "sex", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82db2558-4a3c-455c-b8ae-0557ec2fb1e7"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["survived", 
                  Style[
                  "survived", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82db2558-4a3c-455c-b8ae-0557ec2fb1e7"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82db2558-4a3c-455c-b8ae-0557ec2fb1e7"]][{1, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82db2558-4a3c-455c-b8ae-0557ec2fb1e7"]][{1, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82db2558-4a3c-455c-b8ae-0557ec2fb1e7"]][{1, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82db2558-4a3c-455c-b8ae-0557ec2fb1e7"]][{1, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82db2558-4a3c-455c-b8ae-0557ec2fb1e7"]][{2, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["65"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82db2558-4a3c-455c-b8ae-0557ec2fb1e7"]][{2, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82db2558-4a3c-455c-b8ae-0557ec2fb1e7"]][{2, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82db2558-4a3c-455c-b8ae-0557ec2fb1e7"]][{2, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82db2558-4a3c-455c-b8ae-0557ec2fb1e7"]][{3, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82db2558-4a3c-455c-b8ae-0557ec2fb1e7"]][{3, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82db2558-4a3c-455c-b8ae-0557ec2fb1e7"]][{3, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82db2558-4a3c-455c-b8ae-0557ec2fb1e7"]][{3, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82db2558-4a3c-455c-b8ae-0557ec2fb1e7"]][{4, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82db2558-4a3c-455c-b8ae-0557ec2fb1e7"]][{4, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82db2558-4a3c-455c-b8ae-0557ec2fb1e7"]][{4, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82db2558-4a3c-455c-b8ae-0557ec2fb1e7"]][{4, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82db2558-4a3c-455c-b8ae-0557ec2fb1e7"]][{5, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["18"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82db2558-4a3c-455c-b8ae-0557ec2fb1e7"]][{5, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82db2558-4a3c-455c-b8ae-0557ec2fb1e7"]][{5, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "82db2558-4a3c-455c-b8ae-0557ec2fb1e7"]][{5, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 1, 0], ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{213., {86.8837890625, 94.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{213., {86.8837890625, 94.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellLabel->"Out[160]=",
 CellID->991450964,ExpressionUUID->"58c9139d-91d9-4928-8260-92586cdf0088"]
}, Open  ]],

Cell[TextData[{
 "Finally, here\[CloseCurlyQuote]s an admittedly contrived IPD function in \
which the background colors depend on the value, the position, and the \
contents of the ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " itself. Generally, the background color is ",
 ButtonBox["LightBlue",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/LightBlue.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/LightBlue.html"],
 ". But if the ",
 ButtonBox["Hash",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Hash.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Hash.html"],
 " of the item is even and it is in either the ",
 Cell[BoxData[
 "\"\<age\>\""], "InlineCodeText",ExpressionUUID->
  "75f65c07-cb91-4bbd-a3ee-1e5d7e329d35"],
 " column or the second row, the background color changes. The particular \
color in that instance depends on the median age of the passengers in the ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " itself. "
}], "Text",
 CellChangeTimes->{{3.866635924268373*^9, 3.8666359813843517`*^9}, {
   3.866636059997348*^9, 3.866636113233717*^9}, {3.866636178753727*^9, 
   3.866636289859646*^9}, 3.86663671922738*^9, {3.8666368379409122`*^9, 
   3.8666368603725233`*^9}, {3.866636902400819*^9, 3.866636991177163*^9}, 
   3.866637066359448*^9, {3.866712752735358*^9, 3.866712786046897*^9}, {
   3.8667158125024643`*^9, 3.866715814144202*^9}, {3.86792409237315*^9, 
   3.867924119282874*^9}, {3.8710564412554946`*^9, 3.8710564658842115`*^9}, {
   3.8711318403056493`*^9, 3.871131849556117*^9}, 3.872247688674141*^9},
 CellTags->"i:34",
 CellID->273102611,ExpressionUUID->"2a1ce8e7-6bc3-41df-8739-feb070a94b8d"],

Cell[TextData[{
 "Create an IPD function that generally yields ",
 ButtonBox["LightBlue",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/LightBlue.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/LightBlue.html"],
 " but yields a color that depends on the ",
 ButtonBox["Median",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Median.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Median.html"],
 " of the age value in the ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " if the ",
 ButtonBox["Hash",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Hash.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Hash.html"],
 " of an item is even and the position of that item matches one of two \
alternative patterns:"
}], "CodeText",
 CellChangeTimes->{{3.866893710002267*^9, 3.866893775293789*^9}},
 CellID->1083723639,ExpressionUUID->"8f45ce78-aa4e-44b1-bed6-3a15a3a10f36"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"backgroundFunction3", "[", 
    RowBox[{"_", ",", "_", ",", "_"}], "]"}], ":=", "LightBlue"}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"backgroundFunction3", "[", 
   RowBox[{
    RowBox[{"item_", "/;", 
     RowBox[{"EvenQ", "[", 
      RowBox[{"Hash", "[", "item", "]"}], "]"}]}], ",", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"_", ",", "\"\<age\>\""}], "}"}], "|", 
     RowBox[{"{", 
      RowBox[{"2", ",", "_"}], "}"}]}], ",", "ds_"}], "]"}], ":=", 
  RowBox[{"Hue", "[", 
   RowBox[{"Rescale", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Query", "[", 
       RowBox[{"Median", ",", 
        RowBox[{"#age", "&"}]}], "]"}], "[", "ds", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "80"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "1"}], "}"}]}], "]"}], "]"}]}]}], "Input",
 CellLabel->"In[578]:=",
 CellID->1771434204,ExpressionUUID->"be22c6fd-9b67-4cc1-b4a4-e6773072f830"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Dataset", "[", 
  RowBox[{"dinghyAssociations", ",", 
   RowBox[{"Background", "\[Rule]", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"backgroundFunction3", "[", 
       RowBox[{"#1", ",", "#2", ",", "#3"}], "]"}], "&"}], ")"}]}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.866635816119733*^9, 3.866635816199918*^9}},
 CellLabel->"In[579]:=",
 CellID->127806184,ExpressionUUID->"00c20abf-1fc4-4fd7-8614-86a334c2564d"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        False|>}, "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 5], 
     "Meta" -> <|
      Background -> ($CellContext`backgroundFunction3[#, #2, #3]& )|>, 
     "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 5], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
     5, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["class", 
                  Style[
                  "class", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0889e618-07fd-4619-9203-2ea2f480e12e"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["age", 
                  Style[
                  "age", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0889e618-07fd-4619-9203-2ea2f480e12e"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["sex", 
                  Style[
                  "sex", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0889e618-07fd-4619-9203-2ea2f480e12e"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["survived", 
                  Style[
                  "survived", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0889e618-07fd-4619-9203-2ea2f480e12e"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0889e618-07fd-4619-9203-2ea2f480e12e"]][{1, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0889e618-07fd-4619-9203-2ea2f480e12e"]][{1, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0889e618-07fd-4619-9203-2ea2f480e12e"]][{1, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0889e618-07fd-4619-9203-2ea2f480e12e"]][{1, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0889e618-07fd-4619-9203-2ea2f480e12e"]][{2, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["65"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0889e618-07fd-4619-9203-2ea2f480e12e"]][{2, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> Hue[
               Rational[17, 80]], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0889e618-07fd-4619-9203-2ea2f480e12e"]][{2, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> Hue[
               Rational[17, 80]], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0889e618-07fd-4619-9203-2ea2f480e12e"]][{2, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0889e618-07fd-4619-9203-2ea2f480e12e"]][{3, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0889e618-07fd-4619-9203-2ea2f480e12e"]][{3, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> Hue[
               Rational[17, 80]], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0889e618-07fd-4619-9203-2ea2f480e12e"]][{3, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0889e618-07fd-4619-9203-2ea2f480e12e"]][{3, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0889e618-07fd-4619-9203-2ea2f480e12e"]][{4, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0889e618-07fd-4619-9203-2ea2f480e12e"]][{4, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0889e618-07fd-4619-9203-2ea2f480e12e"]][{4, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0889e618-07fd-4619-9203-2ea2f480e12e"]][{4, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0889e618-07fd-4619-9203-2ea2f480e12e"]][{5, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["18"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0889e618-07fd-4619-9203-2ea2f480e12e"]][{5, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0889e618-07fd-4619-9203-2ea2f480e12e"]][{5, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0889e618-07fd-4619-9203-2ea2f480e12e"]][{5, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{213., {86.8837890625, 94.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{213., {86.8837890625, 94.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{{3.8666358168814507`*^9, 3.866635846447666*^9}, {
   3.8666358977666597`*^9, 3.866635911651759*^9}, 3.866635995508226*^9, 
   3.8666361724525347`*^9, 3.86663626814773*^9, 3.8666368296161947`*^9, {
   3.8666370262788258`*^9, 3.866637038555282*^9}, 3.866801192549139*^9, 
   3.8814260216947203`*^9},
 CellLabel->"Out[579]=",
 CellID->694387471,ExpressionUUID->"8c68d7b1-40a4-4270-9d6b-029eeae84e90"]
}, Open  ]],

Cell[TextData[{
 "Good news! You can transfer your understanding of how the ",
 ButtonBox["Background",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Background.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Background.html"],
 " option works in ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " to many other ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " options as well: ",
 ButtonBox["Alignment",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Alignment.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Alignment.html"],
 ", ",
 ButtonBox["HeaderAlignment",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/HeaderAlignment.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/HeaderAlignment.html"],
 ", ",
 ButtonBox["HeaderBackground",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/HeaderBackground.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/HeaderBackground.html"],
 ", ",
 ButtonBox["HeaderDisplayFunction",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/HeaderDisplayFunction.\
html"], None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/HeaderDisplayFunction.html"],
 ", ",
 ButtonBox["HeaderSize",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/HeaderSize.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/HeaderSize.html"],
 ", ",
 ButtonBox["HeaderStyle",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/HeaderStyle.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/HeaderStyle.html"],
 ", ",
 ButtonBox["ItemDisplayFunction",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ItemDisplayFunction.html"]\
, None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/ItemDisplayFunction.html"],
 ", ",
 ButtonBox["ItemSize",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ItemSize.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/ItemSize.html"],
 ", and ",
 ButtonBox["ItemStyle",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ItemStyle.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/ItemStyle.html"],
 ". Here, for example, I use the syntax just described to customize values \
for several of these options. The result is aesthetically hideous, but it \
does show the immense flexibility of the ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " presentation options."
}], "Text",
 CellChangeTimes->{{3.866637112116332*^9, 3.866637136155864*^9}, {
   3.866637258511311*^9, 3.8666372720792837`*^9}, {3.866637392652505*^9, 
   3.866637441998695*^9}, {3.866637496785462*^9, 3.866637501174917*^9}, {
   3.8666375372630672`*^9, 3.866637576817831*^9}, {3.866639843549141*^9, 
   3.8666398818474827`*^9}, {3.866640305997093*^9, 3.866640334457614*^9}, {
   3.866640461808263*^9, 3.866640543620682*^9}, {3.866654470817745*^9, 
   3.866654494758025*^9}, {3.866712829306685*^9, 3.866712940390115*^9}, 
   3.866715914312667*^9, {3.8710567616538553`*^9, 3.8710567618861876`*^9}},
 CellTags->"i:35",
 CellID->314720092,ExpressionUUID->"233c0f26-4544-4432-a29b-55415b0b9acf"],

Cell[TextData[{
 "I examine the ",
 ButtonBox["HeaderDisplayFunction",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/HeaderDisplayFunction.\
html"], None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/HeaderDisplayFunction.html"],
 " and ",
 ButtonBox["ItemDisplayFunction",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ItemDisplayFunction.html"]\
, None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/ItemDisplayFunction.html"],
 " options later in this chapter. Those options pose additional complications."
}], "Note",
 CellChangeTimes->{{3.866637112116332*^9, 3.866637136155864*^9}, {
   3.866637258511311*^9, 3.8666372720792837`*^9}, {3.866637392652505*^9, 
   3.866637441998695*^9}, {3.866637496785462*^9, 3.866637501174917*^9}, {
   3.8666375372630672`*^9, 3.866637576817831*^9}, {3.866639843549141*^9, 
   3.8666398818474827`*^9}, {3.866640305997093*^9, 3.866640334457614*^9}, {
   3.866640461808263*^9, 3.866640543620682*^9}, {3.866654470817745*^9, 
   3.866654494758025*^9}, {3.866712829306685*^9, 3.866712893094523*^9}, {
   3.866715917943776*^9, 3.866715942757168*^9}, 3.867924228228711*^9, {
   3.869135049700433*^9, 3.8691350598964777`*^9}},
 CellID->1473344118,ExpressionUUID->"072e51a4-d244-47c7-8afc-5813ce11b734"],

Cell[TextData[{
 "Add numerous presentation options with level specifications to ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " to customize its appearance:"
}], "CodeText",
 CellChangeTimes->{{3.8668937937368727`*^9, 3.866893823915258*^9}, 
   3.8679258499162903`*^9},
 CellTags->"LastCellOfAPage",
 CellID->1035684124,ExpressionUUID->"50786a70-ef77-4d04-91ab-54d9a38306ef"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Dataset", "[", 
  RowBox[{"dinghyAssociations", ",", 
   RowBox[{"Alignment", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{"3", ",", "\"\<survived\>\""}], "}"}], "\[Rule]", "Right"}], 
      ",", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"4", ",", "\"\<sex\>\""}], "}"}], "\[Rule]", "Top"}]}], 
     "}"}]}], ",", 
   RowBox[{"HeaderAlignment", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"None", ",", 
      RowBox[{"{", 
       RowBox[{"{", 
        RowBox[{"Left", ",", "Right"}], "}"}], "}"}]}], "}"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"HeaderBackground", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"None", ",", 
      RowBox[{"{", 
       RowBox[{"{", 
        RowBox[{"Yellow", ",", "LightBrown"}], "}"}], "}"}]}], "}"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"HeaderSize", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"None", ",", 
      RowBox[{"{", 
       RowBox[{"4", ",", 
        RowBox[{"{", "7", "}"}], ",", "9"}], "}"}]}], "}"}]}], ",", 
   RowBox[{"HeaderStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"None", ",", "Black", ",", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"All", ",", "\"\<survived\>\""}], "}"}], "\[Rule]", "Red"}]}],
      "}"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"ItemSize", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"None", ",", "5", ",", 
      RowBox[{"3", "\[Rule]", "1"}]}], "}"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"ItemStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"None", ",", 
      RowBox[{"{", 
       RowBox[{"{", 
        RowBox[{"Brown", ",", "Purple"}], "}"}], "}"}], ",", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"2", ",", "\"\<sex\>\""}], "}"}], "\[Rule]", 
       RowBox[{"Directive", "[", 
        RowBox[{"{", 
         RowBox[{"24", ",", "Blue"}], "}"}], "]"}]}]}], "}"}]}]}], 
  "]"}]], "Input",
 CellTags->"p: 172",
 CellLabel->"In[124]:=",
 CellID->203021932,ExpressionUUID->"6a82047e-2f9c-45ce-806a-6c53a12b2c4c"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        False|>}, "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 5], 
     "Meta" -> <|
      Alignment -> {{3, "survived"} -> Right, {4, "sex"} -> 
         Top}, $CellContext`HeaderAlignment -> {
        None, {{Left, Right}}}, $CellContext`HeaderBackground -> {None, {{
           RGBColor[1, 1, 0], 
           RGBColor[0.94, 0.91, 0.88]}}}, $CellContext`HeaderSize -> {
        None, {4, {7}, 9}}, $CellContext`HeaderStyle -> {None, 
         GrayLevel[0], {All, "survived"} -> RGBColor[1, 0, 0]}, 
       ItemSize -> {None, 5, 3 -> 1}, ItemStyle -> {None, {{
           RGBColor[0.6, 0.4, 0.2], 
           RGBColor[0.5, 0, 0.5]}}, {2, "sex"} -> Directive[{24, 
            RGBColor[0, 0, 1]}]}|>, "RowTarget" -> 20, "ColumnTarget" -> 10, 
     "Shape" -> TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 
        1, {All, "age"} -> 1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 5], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
     5, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["class", 
                  Style[
                  "class", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9fe360eb-9d04-4df8-9eaf-c777b754249a"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}, Alignment -> Left], 
             ItemSize -> {4, None}, BaseStyle -> GrayLevel[0], Alignment -> 
             Left, Background -> RGBColor[1, 1, 0], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["age", 
                  Style[
                  "age", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9fe360eb-9d04-4df8-9eaf-c777b754249a"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}, Alignment -> Right], 
             ItemSize -> {7, None}, BaseStyle -> GrayLevel[0], Alignment -> 
             Right, Background -> RGBColor[0.94, 0.91, 0.88], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["sex", 
                  Style[
                  "sex", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9fe360eb-9d04-4df8-9eaf-c777b754249a"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}, Alignment -> Left], 
             ItemSize -> {7, None}, BaseStyle -> GrayLevel[0], Alignment -> 
             Left, Background -> RGBColor[1, 1, 0], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["survived", 
                  Style[
                  "survived", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9fe360eb-9d04-4df8-9eaf-c777b754249a"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}, Alignment -> Right], 
             ItemSize -> {9, None}, BaseStyle -> RGBColor[1, 0, 0], Alignment -> 
             Right, Background -> RGBColor[0.94, 0.91, 0.88], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9fe360eb-9d04-4df8-9eaf-c777b754249a"]][{1, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}, 
              Alignment -> {Left, Baseline}], ItemSize -> {5, None}, 
             BaseStyle -> RGBColor[0.6, 0.4, 0.2], 
             Alignment -> {Left, Baseline}, ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9fe360eb-9d04-4df8-9eaf-c777b754249a"]][{1, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}, 
              Alignment -> {Left, Baseline}], ItemSize -> {5, None}, 
             BaseStyle -> RGBColor[0.5, 0, 0.5], 
             Alignment -> {Left, Baseline}, ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9fe360eb-9d04-4df8-9eaf-c777b754249a"]][{1, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}, 
              Alignment -> {Left, Baseline}], ItemSize -> {5, None}, 
             BaseStyle -> RGBColor[0.6, 0.4, 0.2], 
             Alignment -> {Left, Baseline}, ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9fe360eb-9d04-4df8-9eaf-c777b754249a"]][{1, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}, 
              Alignment -> {Left, Baseline}], ItemSize -> {5, None}, 
             BaseStyle -> RGBColor[0.5, 0, 0.5], 
             Alignment -> {Left, Baseline}, ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9fe360eb-9d04-4df8-9eaf-c777b754249a"]][{2, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}, 
              Alignment -> {Left, Baseline}], ItemSize -> {5, None}, 
             BaseStyle -> RGBColor[0.6, 0.4, 0.2], 
             Alignment -> {Left, Baseline}, ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["65"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9fe360eb-9d04-4df8-9eaf-c777b754249a"]][{2, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}, 
              Alignment -> {Left, Baseline}], ItemSize -> {5, None}, 
             BaseStyle -> RGBColor[0.5, 0, 0.5], 
             Alignment -> {Left, Baseline}, ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9fe360eb-9d04-4df8-9eaf-c777b754249a"]][{2, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}, 
              Alignment -> {Left, Baseline}], ItemSize -> {5, None}, 
             BaseStyle -> Directive[{24, 
                RGBColor[0, 0, 1]}], Alignment -> {Left, Baseline}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9fe360eb-9d04-4df8-9eaf-c777b754249a"]][{2, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}, 
              Alignment -> {Left, Baseline}], ItemSize -> {5, None}, 
             BaseStyle -> RGBColor[0.5, 0, 0.5], 
             Alignment -> {Left, Baseline}, ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9fe360eb-9d04-4df8-9eaf-c777b754249a"]][{3, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}, 
              Alignment -> {Left, Baseline}], ItemSize -> 1, BaseStyle -> 
             RGBColor[0.6, 0.4, 0.2], Alignment -> {Left, Baseline}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9fe360eb-9d04-4df8-9eaf-c777b754249a"]][{3, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}, 
              Alignment -> {Left, Baseline}], ItemSize -> 1, BaseStyle -> 
             RGBColor[0.5, 0, 0.5], Alignment -> {Left, Baseline}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9fe360eb-9d04-4df8-9eaf-c777b754249a"]][{3, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}, 
              Alignment -> {Left, Baseline}], ItemSize -> 1, BaseStyle -> 
             RGBColor[0.6, 0.4, 0.2], Alignment -> {Left, Baseline}, ItemSize -> {\
Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9fe360eb-9d04-4df8-9eaf-c777b754249a"]][{3, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}, Alignment -> Right], ItemSize -> 
             1, BaseStyle -> RGBColor[0.5, 0, 0.5], Alignment -> Right, 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9fe360eb-9d04-4df8-9eaf-c777b754249a"]][{4, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}, 
              Alignment -> {Left, Baseline}], ItemSize -> {5, None}, 
             BaseStyle -> RGBColor[0.6, 0.4, 0.2], 
             Alignment -> {Left, Baseline}, ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9fe360eb-9d04-4df8-9eaf-c777b754249a"]][{4, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}, 
              Alignment -> {Left, Baseline}], ItemSize -> {5, None}, 
             BaseStyle -> RGBColor[0.5, 0, 0.5], 
             Alignment -> {Left, Baseline}, ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9fe360eb-9d04-4df8-9eaf-c777b754249a"]][{4, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}, Alignment -> Top], 
             ItemSize -> {5, None}, BaseStyle -> RGBColor[0.6, 0.4, 0.2], 
             Alignment -> Top, ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9fe360eb-9d04-4df8-9eaf-c777b754249a"]][{4, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}, 
              Alignment -> {Left, Baseline}], ItemSize -> {5, None}, 
             BaseStyle -> RGBColor[0.5, 0, 0.5], 
             Alignment -> {Left, Baseline}, ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9fe360eb-9d04-4df8-9eaf-c777b754249a"]][{5, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}, 
              Alignment -> {Left, Baseline}], ItemSize -> {5, None}, 
             BaseStyle -> RGBColor[0.6, 0.4, 0.2], 
             Alignment -> {Left, Baseline}, ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["18"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9fe360eb-9d04-4df8-9eaf-c777b754249a"]][{5, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}, 
              Alignment -> {Left, Baseline}], ItemSize -> {5, None}, 
             BaseStyle -> RGBColor[0.5, 0, 0.5], 
             Alignment -> {Left, Baseline}, ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9fe360eb-9d04-4df8-9eaf-c777b754249a"]][{5, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}, 
              Alignment -> {Left, Baseline}], ItemSize -> {5, None}, 
             BaseStyle -> RGBColor[0.6, 0.4, 0.2], 
             Alignment -> {Left, Baseline}, ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "9fe360eb-9d04-4df8-9eaf-c777b754249a"]][{5, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}, 
              Alignment -> {Left, Baseline}], ItemSize -> {5, None}, 
             BaseStyle -> RGBColor[0.5, 0, 0.5], 
             Alignment -> {Left, Baseline}, ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{287., {98.3837890625, 105.6162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{287., {98.3837890625, 105.6162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellLabel->"Out[124]=",
 CellID->1610129064,ExpressionUUID->"c82bdf10-309c-4969-8d01-1a671c670b79"]
}, Open  ]],

Cell[TextData[{
 "I can use IPD functions with these other options as well. Here, the headers \
are colored according to the last digit of the ",
 ButtonBox["Hash",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Hash.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Hash.html"],
 " of the header value and position. The font size of the items is determined \
according to the first digit of the ",
 ButtonBox["Hash",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Hash.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Hash.html"],
 " of the ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of the item position and the expression inside the ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " itself. "
}], "Text",
 CellChangeTimes->{{3.866637593156288*^9, 3.8666376015901403`*^9}, {
   3.8666376451047993`*^9, 3.8666376855045567`*^9}, {3.866637732045203*^9, 
   3.866637762622686*^9}, {3.866637886394951*^9, 3.866637910065939*^9}, {
   3.8666379478433*^9, 3.8666379833963337`*^9}, {3.866640688924275*^9, 
   3.866640693154574*^9}, {3.866640822057991*^9, 3.866640890604388*^9}, {
   3.866712952362549*^9, 3.8667129657525473`*^9}, {3.86671608674162*^9, 
   3.866716087225307*^9}, 3.867925885302432*^9, 3.8691351177453213`*^9},
 CellTags->"i:36",
 CellID->280436863,ExpressionUUID->"6f61832f-c786-41f6-b3c4-2ae04e3b7f58"],

Cell[TextData[{
 "Use IPD functions to control ",
 ButtonBox["HeaderStyle",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/HeaderStyle.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/HeaderStyle.html"],
 " and ",
 ButtonBox["ItemStyle",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ItemStyle.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/ItemStyle.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.8668938424258547`*^9, 3.866893858258771*^9}},
 CellID->1801713312,ExpressionUUID->"ffb329ad-7094-4d62-94a4-dc8e4b3cef78"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Dataset", "[", 
  RowBox[{"dinghyAssociations", ",", 
   RowBox[{"HeaderStyle", "\[Rule]", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"Hue", "[", 
       RowBox[{
        RowBox[{"Last", "[", 
         RowBox[{"IntegerDigits", "[", 
          RowBox[{"Hash", "[", 
           RowBox[{"{", 
            RowBox[{"#1", ",", "#2"}], "}"}], "]"}], "]"}], "]"}], "/", 
        "10"}], "]"}], "&"}], ")"}]}], ",", 
   RowBox[{"ItemStyle", "\[Rule]", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"6", "*", 
       RowBox[{"First", "[", 
        RowBox[{"IntegerDigits", "[", 
         RowBox[{"Hash", "[", 
          RowBox[{"{", 
           RowBox[{"#2", ",", "#3"}], "}"}], "]"}], "]"}], "]"}]}], "&"}], 
     ")"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.866637610277246*^9, 3.866637635724869*^9}, {
  3.866637769848654*^9, 3.866637785010621*^9}, {3.86663782810192*^9, 
  3.866637873178903*^9}, {3.866637914772191*^9, 3.8666379415803013`*^9}, {
  3.866640893429352*^9, 3.8666409195295267`*^9}, {3.8667129732801332`*^9, 
  3.866712977255424*^9}},
 CellLabel->"In[581]:=",
 CellID->840085652,ExpressionUUID->"0d08f4bd-fdb3-4f2a-a0d9-5898c22dca45"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        False|>}, "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 5], 
     "Meta" -> <|$CellContext`HeaderStyle -> (Hue[Last[
           IntegerDigits[
            Hash[{#, #2}]]]/10]& ), ItemStyle -> (6 First[
          IntegerDigits[
           Hash[{#2, #3}]]]& )|>, "RowTarget" -> 20, "ColumnTarget" -> 10, 
     "Shape" -> TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 
        1, {All, "age"} -> 1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 5], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
     5, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["class", 
                  Style[
                  "class", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4d7c6fdf-422b-4045-9b88-c0207fbefce8"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> Hue[
               Rational[1, 2]], Background -> GrayLevel[0.95], 
             Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["age", 
                  Style[
                  "age", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4d7c6fdf-422b-4045-9b88-c0207fbefce8"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> Hue[
               Rational[1, 10]], Background -> GrayLevel[0.95], 
             Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["sex", 
                  Style[
                  "sex", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4d7c6fdf-422b-4045-9b88-c0207fbefce8"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> Hue[
               Rational[3, 10]], Background -> GrayLevel[0.95], 
             Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["survived", 
                  Style[
                  "survived", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4d7c6fdf-422b-4045-9b88-c0207fbefce8"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> Hue[
               Rational[9, 10]], Background -> GrayLevel[0.95], 
             Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4d7c6fdf-422b-4045-9b88-c0207fbefce8"]][{1, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> 42, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4d7c6fdf-422b-4045-9b88-c0207fbefce8"]][{1, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> 12, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4d7c6fdf-422b-4045-9b88-c0207fbefce8"]][{1, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> 54, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4d7c6fdf-422b-4045-9b88-c0207fbefce8"]][{1, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> 24, 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4d7c6fdf-422b-4045-9b88-c0207fbefce8"]][{2, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> 48, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["65"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4d7c6fdf-422b-4045-9b88-c0207fbefce8"]][{2, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> 30, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4d7c6fdf-422b-4045-9b88-c0207fbefce8"]][{2, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> 6, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4d7c6fdf-422b-4045-9b88-c0207fbefce8"]][{2, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> 42, 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4d7c6fdf-422b-4045-9b88-c0207fbefce8"]][{3, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> 42, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4d7c6fdf-422b-4045-9b88-c0207fbefce8"]][{3, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> 48, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4d7c6fdf-422b-4045-9b88-c0207fbefce8"]][{3, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> 6, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4d7c6fdf-422b-4045-9b88-c0207fbefce8"]][{3, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> 36, 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4d7c6fdf-422b-4045-9b88-c0207fbefce8"]][{4, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> 30, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4d7c6fdf-422b-4045-9b88-c0207fbefce8"]][{4, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> 48, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4d7c6fdf-422b-4045-9b88-c0207fbefce8"]][{4, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> 54, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4d7c6fdf-422b-4045-9b88-c0207fbefce8"]][{4, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> 30, 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4d7c6fdf-422b-4045-9b88-c0207fbefce8"]][{5, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> 18, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["18"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4d7c6fdf-422b-4045-9b88-c0207fbefce8"]][{5, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> 30, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4d7c6fdf-422b-4045-9b88-c0207fbefce8"]][{5, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> 12, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4d7c6fdf-422b-4045-9b88-c0207fbefce8"]][{5, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> 30, 
             ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{378., {192.3837890625, 199.6162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{378., {192.3837890625, 199.6162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{
  3.866637636130525*^9, 3.866637785414401*^9, {3.866637861329556*^9, 
   3.866637873667654*^9}, {3.8666379245502462`*^9, 3.866637942417605*^9}, {
   3.8666409078655787`*^9, 3.866640920177145*^9}, {3.86671297388455*^9, 
   3.866712977680978*^9}, 3.866801192947583*^9, 3.88142603815256*^9},
 CellTags->"LastCellOfAPage",
 CellLabel->"Out[581]=",
 CellID->1388520907,ExpressionUUID->"17146182-b9db-4e08-a3ee-ac82bf319067"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "Specification Conflict in ",
 StyleBox[ButtonBox["Dataset",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
  FontColor->GrayLevel[0.45]],
 " Presentation"
}], "Subsubsubsection",
 CellTags->"p: 173",
 CellID->1663364858,ExpressionUUID->"a2e73d03-5f1a-4ccc-af65-94cd646021a1"],

Cell[TextData[{
 "I need to address one additional matter. What happens when there are \
specification lists that appear to conflict? Suppose, for example, I specify \
that the ",
 ButtonBox["ItemStyle",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ItemStyle.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/ItemStyle.html"],
 " at the top level is ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["Directive",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Directive.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Directive.html"], 
   "[", 
   RowBox[{"{", 
    RowBox[{
     ButtonBox[
      StyleBox["Blue",
       FontColor->GrayLevel[0]],
      BaseStyle->"Hyperlink",
      ButtonData->{
        URL["https://reference.wolfram.com/language/ref/Blue.html"], None},
      ButtonNote->"https://reference.wolfram.com/language/ref/Blue.html"], 
     ",", "6"}], "}"}], "]"}]], "InlineCodeText",ExpressionUUID->
  "b52323dd-ee58-4acd-972e-4338b4dabf80"],
 " and specify that the ",
 ButtonBox["ItemStyle",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ItemStyle.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/ItemStyle.html"],
 " at the next level is ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["Directive",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Directive.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Directive.html"], 
   "[", 
   RowBox[{"{", 
    RowBox[{
     ButtonBox[
      StyleBox["Red",
       FontColor->GrayLevel[0]],
      BaseStyle->"Hyperlink",
      ButtonData->{
        URL["https://reference.wolfram.com/language/ref/Red.html"], None},
      ButtonNote->"https://reference.wolfram.com/language/ref/Red.html"], ",",
      "18"}], "}"}], "]"}]], "InlineCodeText",ExpressionUUID->
  "e871c415-a919-4dcd-a1bf-0ff33d6ad6d7"],
 "? Do I get little blue print or big red print?"
}], "Text",
 CellChangeTimes->{{3.8666267039209213`*^9, 3.866626891837264*^9}, {
   3.86662712999807*^9, 3.866627187059116*^9}, {3.866627778001375*^9, 
   3.866627846760116*^9}, 3.8666284097326403`*^9, {3.866651699573524*^9, 
   3.866651703533401*^9}, {3.8666526829395857`*^9, 3.866652788677227*^9}, {
   3.8666530349147873`*^9, 3.866653056870008*^9}, {3.866712987840353*^9, 
   3.866713005689897*^9}, {3.86689387104021*^9, 3.86689387340641*^9}, {
   3.867926009251487*^9, 3.867926053811809*^9}, {3.867926085886396*^9, 
   3.8679261141734047`*^9}, {3.87112192337324*^9, 3.871121954079109*^9}, {
   3.8711220356876817`*^9, 3.8711220886088943`*^9}, {3.8711244383509483`*^9, 
   3.8711244408334084`*^9}, {3.8722481930792723`*^9, 
   3.8722482211610317`*^9}, {3.872257585118553*^9, 3.8722575958505445`*^9}, {
   3.8733847227316103`*^9, 3.8733847234506073`*^9}},
 CellTags->"i:37",
 CellID->261394651,ExpressionUUID->"76417199-c8df-4b07-a8da-9b5c1aeae9aa"],

Cell[TextData[{
 ButtonBox["ItemStyle",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ItemStyle.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/ItemStyle.html"],
 " specifications at two different levels conflict:"
}], "CodeText",
 CellChangeTimes->{{3.8691351483623247`*^9, 3.8691351595515127`*^9}, 
   3.869921007669594*^9, 3.871122502238242*^9},
 CellID->1145537559,ExpressionUUID->"549dc63f-2774-40f6-b5f9-3ac6822466fb"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Dataset", "[", 
  RowBox[{"dinghyAssociations", ",", 
   RowBox[{"ItemStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Directive", "[", 
       RowBox[{"{", 
        RowBox[{"Blue", ",", "6"}], "}"}], "]"}], ",", 
      RowBox[{"Directive", "[", 
       RowBox[{"{", 
        RowBox[{"Red", ",", "18"}], "}"}], "]"}]}], "}"}]}]}], "]"}]], "Input",\

 CellChangeTimes->{{3.866652790616118*^9, 3.866652810920055*^9}, {
  3.866653026853088*^9, 3.86665303011271*^9}},
 CellLabel->"In[582]:=",
 CellID->139297035,ExpressionUUID->"ae9eff67-cad9-46bd-8e7a-333d1a442ac9"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        False|>}, "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 5], "Meta" -> <|ItemStyle -> {
         Directive[{
           RGBColor[0, 0, 1], 6}], 
         Directive[{
           RGBColor[1, 0, 0], 18}]}|>, "RowTarget" -> 20, "ColumnTarget" -> 
     10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 5], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
     5, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["class", 
                  Style[
                  "class", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b9821fb6-cd72-4de8-a2ca-7047a9fbf0c2"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["age", 
                  Style[
                  "age", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b9821fb6-cd72-4de8-a2ca-7047a9fbf0c2"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["sex", 
                  Style[
                  "sex", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b9821fb6-cd72-4de8-a2ca-7047a9fbf0c2"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["survived", 
                  Style[
                  "survived", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b9821fb6-cd72-4de8-a2ca-7047a9fbf0c2"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b9821fb6-cd72-4de8-a2ca-7047a9fbf0c2"]][{1, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> Directive[
               Directive[{
                 RGBColor[0, 0, 1], 6}], 
               Directive[{
                 RGBColor[1, 0, 0], 18}]], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b9821fb6-cd72-4de8-a2ca-7047a9fbf0c2"]][{1, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> Directive[
               Directive[{
                 RGBColor[0, 0, 1], 6}], 
               Directive[{
                 RGBColor[1, 0, 0], 18}]], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b9821fb6-cd72-4de8-a2ca-7047a9fbf0c2"]][{1, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> Directive[
               Directive[{
                 RGBColor[0, 0, 1], 6}], 
               Directive[{
                 RGBColor[1, 0, 0], 18}]], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b9821fb6-cd72-4de8-a2ca-7047a9fbf0c2"]][{1, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> Directive[
               Directive[{
                 RGBColor[0, 0, 1], 6}], 
               Directive[{
                 RGBColor[1, 0, 0], 18}]], ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b9821fb6-cd72-4de8-a2ca-7047a9fbf0c2"]][{2, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> Directive[
               Directive[{
                 RGBColor[0, 0, 1], 6}], 
               Directive[{
                 RGBColor[1, 0, 0], 18}]], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["65"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b9821fb6-cd72-4de8-a2ca-7047a9fbf0c2"]][{2, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> Directive[
               Directive[{
                 RGBColor[0, 0, 1], 6}], 
               Directive[{
                 RGBColor[1, 0, 0], 18}]], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b9821fb6-cd72-4de8-a2ca-7047a9fbf0c2"]][{2, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> Directive[
               Directive[{
                 RGBColor[0, 0, 1], 6}], 
               Directive[{
                 RGBColor[1, 0, 0], 18}]], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b9821fb6-cd72-4de8-a2ca-7047a9fbf0c2"]][{2, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> Directive[
               Directive[{
                 RGBColor[0, 0, 1], 6}], 
               Directive[{
                 RGBColor[1, 0, 0], 18}]], ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b9821fb6-cd72-4de8-a2ca-7047a9fbf0c2"]][{3, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> Directive[
               Directive[{
                 RGBColor[0, 0, 1], 6}], 
               Directive[{
                 RGBColor[1, 0, 0], 18}]], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b9821fb6-cd72-4de8-a2ca-7047a9fbf0c2"]][{3, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> Directive[
               Directive[{
                 RGBColor[0, 0, 1], 6}], 
               Directive[{
                 RGBColor[1, 0, 0], 18}]], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b9821fb6-cd72-4de8-a2ca-7047a9fbf0c2"]][{3, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> Directive[
               Directive[{
                 RGBColor[0, 0, 1], 6}], 
               Directive[{
                 RGBColor[1, 0, 0], 18}]], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b9821fb6-cd72-4de8-a2ca-7047a9fbf0c2"]][{3, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> Directive[
               Directive[{
                 RGBColor[0, 0, 1], 6}], 
               Directive[{
                 RGBColor[1, 0, 0], 18}]], ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b9821fb6-cd72-4de8-a2ca-7047a9fbf0c2"]][{4, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> Directive[
               Directive[{
                 RGBColor[0, 0, 1], 6}], 
               Directive[{
                 RGBColor[1, 0, 0], 18}]], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b9821fb6-cd72-4de8-a2ca-7047a9fbf0c2"]][{4, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> Directive[
               Directive[{
                 RGBColor[0, 0, 1], 6}], 
               Directive[{
                 RGBColor[1, 0, 0], 18}]], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b9821fb6-cd72-4de8-a2ca-7047a9fbf0c2"]][{4, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> Directive[
               Directive[{
                 RGBColor[0, 0, 1], 6}], 
               Directive[{
                 RGBColor[1, 0, 0], 18}]], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b9821fb6-cd72-4de8-a2ca-7047a9fbf0c2"]][{4, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> Directive[
               Directive[{
                 RGBColor[0, 0, 1], 6}], 
               Directive[{
                 RGBColor[1, 0, 0], 18}]], ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b9821fb6-cd72-4de8-a2ca-7047a9fbf0c2"]][{5, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> Directive[
               Directive[{
                 RGBColor[0, 0, 1], 6}], 
               Directive[{
                 RGBColor[1, 0, 0], 18}]], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["18"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b9821fb6-cd72-4de8-a2ca-7047a9fbf0c2"]][{5, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> Directive[
               Directive[{
                 RGBColor[0, 0, 1], 6}], 
               Directive[{
                 RGBColor[1, 0, 0], 18}]], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b9821fb6-cd72-4de8-a2ca-7047a9fbf0c2"]][{5, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> Directive[
               Directive[{
                 RGBColor[0, 0, 1], 6}], 
               Directive[{
                 RGBColor[1, 0, 0], 18}]], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "b9821fb6-cd72-4de8-a2ca-7047a9fbf0c2"]][{5, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> Directive[
               Directive[{
                 RGBColor[0, 0, 1], 6}], 
               Directive[{
                 RGBColor[1, 0, 0], 18}]], ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{213., {99.3837890625, 106.6162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{213., {99.3837890625, 106.6162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.866652812314398*^9, 3.866653030543788*^9, 
  3.866801193141039*^9, 3.881426045794147*^9},
 CellLabel->"Out[582]=",
 CellID->662015022,ExpressionUUID->"4b2671c9-29e7-478a-b896-f25136924028"]
}, Open  ]],

Cell[TextData[{
 "As you can see, the specification at the lowest level prevails. There is an \
exception, however, for the ",
 ButtonBox["Background",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Background.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Background.html"],
 " option. For ",
 ButtonBox["Background",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Background.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Background.html"],
 ", the conflicting colors blend. So, if I specify ",
 ButtonBox["LightBlue",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/LightBlue.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/LightBlue.html"],
 " as the top-level background color and ",
 ButtonBox["LightRed",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/LightRed.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/LightRed.html"],
 " as the next-level background color, the result is ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["Blend",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Blend.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Blend.html"], "[", 
   RowBox[{"{", 
    RowBox[{
     ButtonBox[
      StyleBox["LightBlue",
       FontColor->GrayLevel[0]],
      BaseStyle->"Hyperlink",
      ButtonData->{
        URL["https://reference.wolfram.com/language/ref/LightBlue.html"], 
        None},
      ButtonNote->
       "https://reference.wolfram.com/language/ref/LightBlue.html"], ",", 
     ButtonBox[
      StyleBox["LightRed",
       FontColor->GrayLevel[0]],
      BaseStyle->"Hyperlink",
      ButtonData->{
        URL["https://reference.wolfram.com/language/ref/LightRed.html"], None},
      ButtonNote->
       "https://reference.wolfram.com/language/ref/LightRed.html"]}], "}"}], 
   "]"}]], "InlineCodeText",ExpressionUUID->
  "2e91c90c-dfab-47ae-86d4-4574edf07f0a"],
 ", which is ",
 ButtonBox["LightPurple",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/LightPurple.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/LightPurple.html"],
 "."
}], "Text",
 CellChangeTimes->{{3.866652819900457*^9, 3.866652910234047*^9}, {
   3.866652945894979*^9, 3.866653020285942*^9}, {3.8666530758117456`*^9, 
   3.866653090456607*^9}, {3.866653134442699*^9, 3.8666531372326097`*^9}, {
   3.866713015185376*^9, 3.866713040881597*^9}, {3.866894764963814*^9, 
   3.866894771740738*^9}, {3.867926159700832*^9, 3.867926202050399*^9}, {
   3.8711225907139535`*^9, 3.8711226072380824`*^9}, {3.871124233757023*^9, 
   3.871124263869827*^9}, {3.871124451108096*^9, 3.871124452228318*^9}, 
   3.896309236100185*^9},
 CellTags->"i:38",
 CellID->252173895,ExpressionUUID->"229841f3-c1a1-46a1-9351-98e6218e6513"],

Cell[TextData[{
 "Use a specification list for ",
 ButtonBox["Background",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Background.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Background.html"],
 " in which ",
 ButtonBox["LightBlue",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/LightBlue.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/LightBlue.html"],
 " applies at the first level and ",
 ButtonBox["LightRed",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/LightRed.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/LightRed.html"],
 " applies at the second level:"
}], "CodeText",
 CellChangeTimes->{{3.8668947825654697`*^9, 3.8668948190614853`*^9}, 
   3.8679262201027403`*^9},
 CellID->837616799,ExpressionUUID->"41fb938b-f614-4ff8-80b3-aded0f9a6809"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Dataset", "[", 
  RowBox[{"dinghyAssociations", ",", 
   RowBox[{"Background", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"LightBlue", ",", "LightRed"}], "}"}]}]}], "]"}]], "Input",
 CellLabel->"In[168]:=",
 CellID->2060386936,ExpressionUUID->"01b53963-b07b-4213-93ce-689097a24440"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        False|>}, "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 5], "Meta" -> <|Background -> {
         RGBColor[0.87, 0.94, 1], 
         RGBColor[1, 0.85, 0.85]}|>, "RowTarget" -> 20, "ColumnTarget" -> 10, 
     "Shape" -> TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 
        1, {All, "age"} -> 1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 5], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
     5, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["class", 
                  Style[
                  "class", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d538b963-dbd5-4fe7-8cb3-c4962d75eea4"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["age", 
                  Style[
                  "age", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d538b963-dbd5-4fe7-8cb3-c4962d75eea4"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["sex", 
                  Style[
                  "sex", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d538b963-dbd5-4fe7-8cb3-c4962d75eea4"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["survived", 
                  Style[
                  "survived", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d538b963-dbd5-4fe7-8cb3-c4962d75eea4"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d538b963-dbd5-4fe7-8cb3-c4962d75eea4"]][{1, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.935, 0.895, 0.925], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d538b963-dbd5-4fe7-8cb3-c4962d75eea4"]][{1, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.935, 0.895, 0.925], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d538b963-dbd5-4fe7-8cb3-c4962d75eea4"]][{1, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.935, 0.895, 0.925], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d538b963-dbd5-4fe7-8cb3-c4962d75eea4"]][{1, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.935, 0.895, 0.925], ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d538b963-dbd5-4fe7-8cb3-c4962d75eea4"]][{2, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.935, 0.895, 0.925], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["65"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d538b963-dbd5-4fe7-8cb3-c4962d75eea4"]][{2, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.935, 0.895, 0.925], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d538b963-dbd5-4fe7-8cb3-c4962d75eea4"]][{2, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.935, 0.895, 0.925], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d538b963-dbd5-4fe7-8cb3-c4962d75eea4"]][{2, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.935, 0.895, 0.925], ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d538b963-dbd5-4fe7-8cb3-c4962d75eea4"]][{3, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.935, 0.895, 0.925], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d538b963-dbd5-4fe7-8cb3-c4962d75eea4"]][{3, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.935, 0.895, 0.925], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d538b963-dbd5-4fe7-8cb3-c4962d75eea4"]][{3, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.935, 0.895, 0.925], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d538b963-dbd5-4fe7-8cb3-c4962d75eea4"]][{3, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.935, 0.895, 0.925], ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d538b963-dbd5-4fe7-8cb3-c4962d75eea4"]][{4, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.935, 0.895, 0.925], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d538b963-dbd5-4fe7-8cb3-c4962d75eea4"]][{4, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.935, 0.895, 0.925], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d538b963-dbd5-4fe7-8cb3-c4962d75eea4"]][{4, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.935, 0.895, 0.925], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d538b963-dbd5-4fe7-8cb3-c4962d75eea4"]][{4, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.935, 0.895, 0.925], ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d538b963-dbd5-4fe7-8cb3-c4962d75eea4"]][{5, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.935, 0.895, 0.925], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["18"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d538b963-dbd5-4fe7-8cb3-c4962d75eea4"]][{5, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.935, 0.895, 0.925], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d538b963-dbd5-4fe7-8cb3-c4962d75eea4"]][{5, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.935, 0.895, 0.925], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d538b963-dbd5-4fe7-8cb3-c4962d75eea4"]][{5, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.935, 0.895, 0.925], ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{213., {86.8837890625, 94.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{213., {86.8837890625, 94.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellLabel->"Out[168]=",
 CellID->1870989549,ExpressionUUID->"ef6ff96f-44e6-4d76-8b40-9785e75d881d"]
}, Open  ]],

Cell[TextData[{
 "Notice that there is no blending with ",
 ButtonBox["HeaderBackground",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/HeaderBackground.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/HeaderBackground.html"],
 ". That\[CloseCurlyQuote]s because there is no conflict. Each header gets \
its own style according to the specification list."
}], "Note",
 CellChangeTimes->{{3.866653406953051*^9, 3.8666534378660917`*^9}, 
   3.867926264742012*^9},
 CellTags->{"LastCellOfAPage", "i:39"},
 CellID->535770888,ExpressionUUID->"9f9cd728-fc64-403e-b4e9-81ab3a2e1cbb"],

Cell[TextData[{
 "Use ",
 ButtonBox["GroupBy",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/GroupBy.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/GroupBy.html"],
 " on ",
 Cell[BoxData[
 "lifeboat"], "InlineCode",ExpressionUUID->
  "6a9f6ea9-18e2-4fe0-8716-04a4a82045a2"],
 " to create a two-level ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.866894832420546*^9, 3.866894866561736*^9}, {
   3.867926301836754*^9, 3.867926308006559*^9}, 3.8711243171075745`*^9},
 CellTags->"p: 174",
 CellID->1768105338,ExpressionUUID->"7c5b7dd5-cbf4-446a-9753-795b8f1c589f"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"genderSurvival", "=", 
  RowBox[{
   RowBox[{"Query", "[", 
    RowBox[{
     RowBox[{"GroupBy", "[", 
      RowBox[{"#sex", "&"}], "]"}], ",", 
     RowBox[{
      RowBox[{"GroupBy", "[", 
       RowBox[{
        RowBox[{"ToString", "[", "#survived", "]"}], "&"}], "]"}], "/*", 
      "KeySort"}], ",", "Length"}], "]"}], "[", "lifeboat", "]"}]}]], "Input",\

 CellChangeTimes->{{3.8666531506938477`*^9, 3.866653278354002*^9}, {
  3.866653325971685*^9, 3.866653384506796*^9}},
 CellLabel->"In[584]:=",
 CellID->422615321,ExpressionUUID->"25a4944a-bfb2-4aea-b97f-b0c5c447ac7e"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"female\"\>", "\[Rule]", 
    RowBox[{"\[LeftAssociation]", 
     RowBox[{
      RowBox[{"\<\"False\"\>", "\[Rule]", "3"}], ",", 
      RowBox[{"\<\"True\"\>", "\[Rule]", "7"}]}], "\[RightAssociation]"}]}], 
   ",", 
   RowBox[{"\<\"male\"\>", "\[Rule]", 
    RowBox[{"\[LeftAssociation]", 
     RowBox[{
      RowBox[{"\<\"False\"\>", "\[Rule]", "10"}], ",", 
      RowBox[{"\<\"True\"\>", "\[Rule]", "2"}]}], "\[RightAssociation]"}]}]}],
   "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{{3.8666532137441893`*^9, 3.86665327888756*^9}, {
   3.8666533274628696`*^9, 3.8666533849091387`*^9}, 3.866801193572167*^9, 
   3.881426057469447*^9},
 CellLabel->"Out[584]=",
 CellID->1189905294,ExpressionUUID->"83f2936b-0d20-49ca-bb9a-aef4fa7c8704"]
}, Open  ]],

Cell[TextData[{
 "Use a specification list for ",
 ButtonBox["HeaderBackground",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/HeaderBackground.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/HeaderBackground.html"],
 " in which ",
 ButtonBox["LightBlue",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/LightBlue.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/LightBlue.html"],
 " applies at the first level and ",
 ButtonBox["Red",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Red.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Red.html"],
 " applies at the second level:"
}], "CodeText",
 CellChangeTimes->{{3.8668947825654697`*^9, 3.8668948190614853`*^9}, {
   3.866894889724008*^9, 3.866894914975749*^9}, 3.867926321032989*^9},
 CellID->208730138,ExpressionUUID->"aa4c245d-2ff2-46d5-8637-3336a00cec6b"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Dataset", "[", 
  RowBox[{"genderSurvival", ",", 
   RowBox[{"HeaderBackground", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"LightBlue", ",", "Red"}], "}"}]}]}], "]"}]], "Input",
 CellLabel->"In[169]:=",
 CellID->1952828637,ExpressionUUID->"c49842b2-5b2e-4609-852f-c381e117c249"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> <|
      "female" -> <|"False" -> 3, "True" -> 7|>, 
       "male" -> <|"False" -> 10, "True" -> 2|>|>, "AllowEmbedding" -> True, 
     "InitialShape" -> TypeSystem`PackageScope`HeaderShape[<|{All, 
          TypeSystem`PackageScope`KeyDummy[13]} -> 1, {All, "False"} -> 
        1, {All, "True"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`KeyValueShape[
          TypeSystem`PackageScope`AtomShape[67.2], 
          TypeSystem`PackageScope`Limited[
           
           TypeSystem`PackageScope`RowShape[<|
            "False" -> TypeSystem`PackageScope`AtomShape[34], "True" -> 
             TypeSystem`PackageScope`AtomShape[34]|>], 
           DirectedInfinity[1], 2, {All}]]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Assoc[
       TypeSystem`Atom[String], 
       TypeSystem`Struct[{"False", "True"}, {
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[Integer]}], 2], 
     "Meta" -> <|$CellContext`HeaderBackground -> {
         RGBColor[0.87, 0.94, 1], 
         RGBColor[1, 0, 0]}|>, "RowTarget" -> 20, "ColumnTarget" -> 10, 
     "Shape" -> TypeSystem`PackageScope`HeaderShape[<|{All, 
          TypeSystem`PackageScope`KeyDummy[13]} -> 1, {All, "False"} -> 
        1, {All, "True"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`KeyValueShape[
          TypeSystem`PackageScope`AtomShape[67.2], 
          TypeSystem`PackageScope`Limited[
           
           TypeSystem`PackageScope`RowShape[<|
            "False" -> TypeSystem`PackageScope`AtomShape[34], "True" -> 
             TypeSystem`PackageScope`AtomShape[34]|>], 
           DirectedInfinity[1], 2, {All}]]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Assoc[
       TypeSystem`Atom[String], 
       TypeSystem`Struct[{"False", "True"}, {
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[Integer]}], 2], "Path" -> {}, "DisplayedRowCount" -> 
     8, "DisplayedColumnCount" -> 2, "DataRowCount" -> 2, "DataColumnCount" -> 
     2, "SortPaths" -> {}, "SortDirections" -> {}, "HiddenItemsMap" -> Null, 
     "UpdateType" -> 1|>, TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               Mouseover[
                
                Graphics[{}, ImageSize -> 6, BaselinePosition -> 
                 Scaled[-0.15]], 
                Graphics[{
                  GrayLevel[0.6], 
                  
                  Polygon[{{2^Rational[-1, 2], -2^Rational[-1, 2]}, {
                    2^Rational[-1, 2], 2^
                    Rational[-1, 2]}, {-2^Rational[-1, 2], 2^
                    Rational[-1, 2]}, {-2^Rational[-1, 2], -2^
                    Rational[-1, 2]}}]}, ImageSize -> 6, BaselinePosition -> 
                 Scaled[-0.15]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "eb094f77-7f07-4995-84eb-a52d8ece992a"]][{All, Keys}, 
                "KeyDummy", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 0, 0], Background -> GrayLevel[0.95], 
             Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["False", 
                  Style[
                  "False", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "False"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "eb094f77-7f07-4995-84eb-a52d8ece992a"]][{All, "False"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 0, 0], Background -> GrayLevel[0.95], 
             Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["True", 
                  Style[
                  "True", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "True"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "eb094f77-7f07-4995-84eb-a52d8ece992a"]][{All, "True"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 0, 0], Background -> GrayLevel[0.95], 
             Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["female", 
                  Style[
                  "female", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["female"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "eb094f77-7f07-4995-84eb-a52d8ece992a"]][{
                 Key["female"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{67.2, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], Background -> GrayLevel[0.95], 
             Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["3"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "eb094f77-7f07-4995-84eb-a52d8ece992a"]][{
                 Key["female"], 
                 Key["False"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["7"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "eb094f77-7f07-4995-84eb-a52d8ece992a"]][{
                 Key["female"], 
                 Key["True"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["male", 
                  Style[
                  "male", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["male"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "eb094f77-7f07-4995-84eb-a52d8ece992a"]][{
                 Key["male"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{67.2, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[0.87, 0.94, 1], Background -> GrayLevel[0.95], 
             Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["10"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "eb094f77-7f07-4995-84eb-a52d8ece992a"]][{
                 Key["male"], 
                 Key["False"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "eb094f77-7f07-4995-84eb-a52d8ece992a"]][{
                 Key["male"], 
                 Key["True"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   With[{
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{162., {46.3837890625, 53.6162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{162., {46.3837890625, 53.6162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellLabel->"Out[169]=",
 CellID->956636892,ExpressionUUID->"b27f1c2b-56a3-4656-b2c6-248073c63dd0"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox[ButtonBox["ItemDisplayFunction",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ItemDisplayFunction.html"]\
, None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/ItemDisplayFunction.html"],
  FontColor->RGBColor[
   0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]],
 " and  ",
 StyleBox[ButtonBox["HeaderDisplayFunction",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/HeaderDisplayFunction.\
html?v=13.2"], None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/HeaderDisplayFunction.html?v=\
13.2"],
  FontColor->RGBColor[
   0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]]
}], "Subsubsection",
 CellChangeTimes->{{3.7689875238368883`*^9, 3.7689875271839247`*^9}, 
   3.8896907529489536`*^9, {3.893766930421627*^9, 3.8937669653895607`*^9}, {
   3.894025120501622*^9, 3.894025137509924*^9}, 3.89402517127069*^9},
 CellID->764063548,ExpressionUUID->"fcbabe34-f947-427b-aa2f-90cf95217e82"],

Cell[CellGroupData[{

Cell["Basic Use", "Subsubsubsection",
 CellChangeTimes->{{3.866712034580997*^9, 3.8667120375537148`*^9}, {
  3.867926368247723*^9, 3.867926368572699*^9}},
 CellID->847193992,ExpressionUUID->"45a9a42c-eb1c-4477-9d28-cbd9990e1837"],

Cell[TextData[{
 "Although you can change the presentation of items and headers in the ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " with use of the options just examined, sometimes you need something more \
flexible. Suppose, for example, that you want to (1) map genders to some \
classical icons such as \[Venus] and \[Mars], (2) round ages to the nearest \
five years, and (3) remove vowels from any headers that are strings. You can\
\[CloseCurlyQuote]t do this with ",
 ButtonBox["ItemStyle",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ItemStyle.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/ItemStyle.html"],
 " or ",
 ButtonBox["HeaderStyle",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/HeaderStyle.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/HeaderStyle.html"],
 " because you are not really applying a style to the items or headers. \
Instead, although you are not, in fact, changing the contents of the ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ", you are making the items and headers display ",
 StyleBox["as if",
  FontSlant->"Italic"],
 " they held different values. The options you need in this instance are ",
 ButtonBox["ItemDisplayFunction",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ItemDisplayFunction.html"]\
, None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/ItemDisplayFunction.html"],
 " or ",
 ButtonBox["HeaderDisplayFunction",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/HeaderDisplayFunction.\
html"], None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/HeaderDisplayFunction.html"],
 ". Option values should be IPD functions, such as those I described \
previously, used for other presentation options such as ",
 ButtonBox["Background",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Background.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Background.html"],
 " or ",
 ButtonBox["ItemStyle",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ItemStyle.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/ItemStyle.html"],
 ". To reiterate, the arguments for an IPD function are (1) the item itself, \
(2) the position of the item in the ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ", and (3) the ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " itself. "
}], "Text",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmViYGAQB2IQ/e/YhiUmZ9847ptyfB2ILlgetQVEK7k82gaiFe55
7gfRWxTDDoLomeEzHoNozZi+1yA6KWdijCmQXlm2HEyzufIngukrenkg2iMg
sxlEv0nY3ApWp5y43hJIR+3U3AyizZhyOtqAdKzE714QfeR7nS7H+TeO0YEW
eiCaS/T1Zz4gfYMxmJ0fSHuYhK0TBNI/DnBvBdFMIeGWWkD64pQdViD63KFt
diDaynGFN4i2fcI2DUS/uuswH0R/LjnMqwukr4RMEwbRSy5b+rQA6WfTZvqD
6JMRL8VrLr5x3CS4SwpEq21JSDt09Y2j/JTfYDo6VqR56vU3ju+uf+wA0Z6C
dXdB9NXdL8E0m3nTYxAdsMblCYiWD5lsu+smMDyFRexBNAACBsRK
  "],
 CellTags->"i:40",
 CellID->1057872736,ExpressionUUID->"590cd682-4103-4d35-94ec-5190912045d6"],

Cell[TextData[{
 "Most of the time, you will need to place the IPD functions in a \
specification list just as you did when you were using functions in ",
 ButtonBox["ItemStyle",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ItemStyle.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/ItemStyle.html"],
 " and ",
 ButtonBox["HeaderStyle",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/HeaderStyle.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/HeaderStyle.html"],
 "."
}], "Text",
 CellChangeTimes->{{3.866655141317546*^9, 3.866655175157463*^9}, {
   3.866655493908257*^9, 3.866655509477118*^9}, {3.866711296573619*^9, 
   3.8667113178307667`*^9}, {3.8667163373166037`*^9, 3.866716344103136*^9}, 
   3.8711252657724466`*^9},
 CellTags->"i:41",
 CellID->766197555,ExpressionUUID->"2d00ab29-346b-44c7-b3bb-52f1f8ddd228"],

Cell[TextData[{
 "Write a function ",
 Cell[BoxData[
 "vowelRemove"], "InlineCode",ExpressionUUID->
  "0a2be5d9-6393-4cd6-bfd7-81ec65af2ea9"],
 " that does nothing if its argument is not a string but that deletes vowels \
if it is:"
}], "CodeText",
 CellChangeTimes->{{3.866894984988785*^9, 3.86689502128046*^9}},
 CellID->635452105,ExpressionUUID->"3cb7d230-59c4-4876-91ce-fbab7a373d93"],

Cell[BoxData[
 RowBox[{
  RowBox[{"vowelRemove", "=", 
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"StringQ", "[", "#", "]"}], ",", 
      RowBox[{"StringDelete", "[", 
       RowBox[{"#", ",", 
        RowBox[{
        "\"\<a\>\"", "|", "\"\<e\>\"", "|", "\"\<i\>\"", "|", "\"\<o\>\"", 
         "|", "\"\<u\>\""}]}], "]"}], ",", "#"}], "]"}], "&"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.866710779535178*^9, 3.866710786833577*^9}, {
   3.866711349740819*^9, 3.8667113865464*^9}, 3.866895010046295*^9},
 CellLabel->"In[16]:=",
 CellID->1591224183,ExpressionUUID->"1beb3276-015d-4f81-b879-53b9997e9ac2"],

Cell[TextData[{
 "Write a function that yields ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["Missing",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Missing.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Missing.html"], 
   "[", "]"}]], "InlineCode",ExpressionUUID->
  "946c26a7-c910-4355-9393-7364205e8b2b"],
 " if its argument satisfies ",
 ButtonBox["MissingQ",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/MissingQ.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/MissingQ.html"],
 " but otherwise tries to round its value to the nearest five:"
}], "CodeText",
 CellChangeTimes->{{3.866895026510103*^9, 3.8668950711234713`*^9}, {
  3.867927573906159*^9, 3.8679275988437643`*^9}, {3.8711253772841883`*^9, 
  3.87112541374819*^9}, {3.8980854489989347`*^9, 3.898085526944912*^9}, {
  3.898085598701982*^9, 3.8980856091420803`*^9}},
 CellID->540297518,ExpressionUUID->"67e3aa18-cb6e-4951-a08e-9d104d181e3a"],

Cell[BoxData[
 RowBox[{
  RowBox[{"round5", "=", 
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"MissingQ", "[", "#", "]"}], ",", 
      RowBox[{"Missing", "[", "]"}], ",", 
      RowBox[{"Round", "[", 
       RowBox[{"#", ",", "5"}], "]"}]}], "]"}], "&"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.866710779535178*^9, 3.866710786833577*^9}, {
   3.866711349740819*^9, 3.8667113865464*^9}, 3.866895010046295*^9, 
   3.866895076495257*^9},
 CellTags->"LastCellOfAPage",
 CellLabel->"In[18]:=",
 CellID->2032992640,ExpressionUUID->"fcb60f14-4857-4ca9-890a-3815e77c8b2f"],

Cell[TextData[{
 "Write a function ",
 Cell[BoxData[
 "genderSymbol"], "InlineCode",ExpressionUUID->
  "7e684816-b651-49e4-9aba-20beb2d64b4c"],
 " that yields a gender-related string based on its argument:"
}], "CodeText",
 CellChangeTimes->{{3.866895299872057*^9, 3.8668953475100117`*^9}, {
  3.866895410215794*^9, 3.866895425245908*^9}},
 CellTags->"p: 175",
 CellID->1325310221,ExpressionUUID->"295daca5-a9be-422f-8b5a-0d3c4c1a7380"],

Cell[BoxData[
 RowBox[{
  RowBox[{"genderSymbol", "=", 
   RowBox[{
    RowBox[{"Which", "[", 
     RowBox[{
      RowBox[{"#", "\[Equal]", "\"\<female\>\""}], ",", "\"\<\[Venus]\>\"", 
      ",", 
      RowBox[{"#", "\[Equal]", "\"\<male\>\""}], ",", "\"\<\[Mars]\>\"", ",", 
      "True", ",", "\"\<\:26a5\>\""}], "]"}], "&"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.866710779535178*^9, 3.866710786833577*^9}, {
   3.866711349740819*^9, 3.8667113865464*^9}, 3.866895010046295*^9, 
   3.866895076495257*^9, {3.866895321592143*^9, 3.866895322241253*^9}, {
   3.866895359008123*^9, 3.8668954004592752`*^9}, {3.866895484469933*^9, 
   3.866895486382987*^9}, {3.8668955167573338`*^9, 3.866895519187447*^9}},
 CellLabel->"In[14]:=",
 CellID->1864043672,ExpressionUUID->"5662c1e4-0e44-4e96-8709-c7da0b9652c7"],

Cell[TextData[{
 "Use positional overrides to apply the ",
 Cell[BoxData[
 "round5"], "InlineCodeText",ExpressionUUID->
  "9b6b9559-7267-4363-8cbc-5ec01db38d67"],
 " IPD function to ",
 Cell[BoxData[
 "\"\<age\>\""], "InlineCodeText",ExpressionUUID->
  "b649bb9f-5774-4893-a10c-8c5809f4c3b4"],
 " and the ",
 Cell[BoxData[
 "genderSymbol"], "InlineCodeText",ExpressionUUID->
  "6fe5f236-4d0c-4e66-be42-e5da68a17f23"],
 " IPD function to ",
 Cell[BoxData[
 "\"\<sex\>\""], "InlineCodeText",ExpressionUUID->
  "1f3a2275-a6b9-4951-b28a-34e9e9b4f6c5"],
 " for items and then use the ",
 Cell[BoxData[
 "vowelRemove"], "InlineCodeText",ExpressionUUID->
  "701e86aa-abf2-4eb0-9651-ac5af3ee6e59"],
 " IPD function for headers."
}], "Text",
 CellChangeTimes->{{3.866895535166347*^9, 3.866895626095097*^9}, {
   3.867927670422719*^9, 3.8679276915868177`*^9}, {3.871125749674798*^9, 
   3.871125750409812*^9}, {3.872249654432991*^9, 3.8722496714032984`*^9}, 
   3.896309279294139*^9},
 CellID->896616877,ExpressionUUID->"8ee125ff-e6b0-47fa-95cc-e603175fe144"],

Cell[TextData[{
 "Add a ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of Rules to the value of the ",
 ButtonBox["ItemDisplayFunction",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ItemDisplayFunction.html"]\
, None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/ItemDisplayFunction.html"],
 " option to map specific positions to different IPD functions:"
}], "CodeText",
 CellChangeTimes->{{3.869135202202572*^9, 3.869135301805985*^9}},
 CellID->1189203453,ExpressionUUID->"e67198b5-2e2a-4dd9-8dad-61f377c06155"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Dataset", "[", 
  RowBox[{"dinghyAssociations", ",", 
   RowBox[{"ItemDisplayFunction", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"None", ",", "None", ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"\"\<age\>\"", "\[Rule]", "round5"}], ",", 
        RowBox[{"\"\<sex\>\"", "\[Rule]", "genderSymbol"}]}], "}"}]}], 
     "}"}]}], ",", 
   RowBox[{"HeaderDisplayFunction", "\[Rule]", "vowelRemove"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.865683390692266*^9, 3.865683394906867*^9}, 
   3.865683485235237*^9, {3.865683530761012*^9, 3.86568357785252*^9}, {
   3.86568361759089*^9, 3.865683697384549*^9}, {3.865685087180152*^9, 
   3.8656853477076178`*^9}, 3.8666548020393476`*^9, {3.8666552360173807`*^9, 
   3.866655253055664*^9}, {3.866710804547567*^9, 3.866710805999023*^9}, 
   3.8667113476993103`*^9, {3.866711394075268*^9, 3.8667114050184*^9}, {
   3.866895559911861*^9, 3.8668955917041407`*^9}},
 CellLabel->"In[589]:=",
 CellID->1152487061,ExpressionUUID->"1720a422-02b7-4a60-9d35-75fef0696dd9"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        False|>}, "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 5], 
     "Meta" -> <|$CellContext`ItemDisplayFunction -> {
        None, None, {"age" -> (If[
            MissingQ[#], 
            Missing[], 
            Round[#, 5]]& ), 
          "sex" -> (
           Which[# == "female", "\[Venus]", # == "male", "\[Mars]", True, 
            "\:26a5"]& )}}, $CellContext`HeaderDisplayFunction -> (If[
         StringQ[#], 
         StringDelete[#, 
          Alternatives["a", "e", "i", "o", "u"]], #]& )|>, "RowTarget" -> 20, 
     "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 5], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
     5, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["clss", 
                  Style[
                  "clss", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "dcec723e-328b-43ec-91cd-98162b23d954"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["g", 
                  Style[
                  "g", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "dcec723e-328b-43ec-91cd-98162b23d954"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["sx", 
                  Style[
                  "sx", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "dcec723e-328b-43ec-91cd-98162b23d954"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["srvvd", 
                  Style[
                  "srvvd", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "dcec723e-328b-43ec-91cd-98162b23d954"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "dcec723e-328b-43ec-91cd-98162b23d954"]][{1, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[15, 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "dcec723e-328b-43ec-91cd-98162b23d954"]][{1, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["\[Venus]", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "dcec723e-328b-43ec-91cd-98162b23d954"]][{1, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[True, 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "dcec723e-328b-43ec-91cd-98162b23d954"]][{1, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "dcec723e-328b-43ec-91cd-98162b23d954"]][{2, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[65, 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "dcec723e-328b-43ec-91cd-98162b23d954"]][{2, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["\[Mars]", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "dcec723e-328b-43ec-91cd-98162b23d954"]][{2, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[False, 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "dcec723e-328b-43ec-91cd-98162b23d954"]][{2, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "dcec723e-328b-43ec-91cd-98162b23d954"]][{3, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[0, 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "dcec723e-328b-43ec-91cd-98162b23d954"]][{3, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["\[Venus]", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "dcec723e-328b-43ec-91cd-98162b23d954"]][{3, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[False, 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "dcec723e-328b-43ec-91cd-98162b23d954"]][{3, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "dcec723e-328b-43ec-91cd-98162b23d954"]][{4, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Missing[], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "dcec723e-328b-43ec-91cd-98162b23d954"]][{4, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["\[Venus]", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "dcec723e-328b-43ec-91cd-98162b23d954"]][{4, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[True, 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "dcec723e-328b-43ec-91cd-98162b23d954"]][{4, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "dcec723e-328b-43ec-91cd-98162b23d954"]][{5, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[20, 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "dcec723e-328b-43ec-91cd-98162b23d954"]][{5, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["\[Venus]", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "dcec723e-328b-43ec-91cd-98162b23d954"]][{5, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[False, 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "dcec723e-328b-43ec-91cd-98162b23d954"]][{5, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{217., {86.8837890625, 94.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{217., {86.8837890625, 94.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{{3.8656852140937777`*^9, 3.865685348137392*^9}, 
   3.866654806076427*^9, 3.866655253491346*^9, 3.866655529682495*^9, 
   3.866710806417663*^9, 3.866711408236782*^9, 3.866801193782878*^9, {
   3.866895592314294*^9, 3.8668956041766443`*^9}, 3.881426087770224*^9},
 CellLabel->"Out[589]=",
 CellID->1962655880,ExpressionUUID->"ea1742b6-9847-4a7e-9d5a-f7cf73207b4e"]
}, Open  ]],

Cell[TextData[{
 "Just as before, Nones can be eliminated where a ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of Rules follows:"
}], "CodeText",
 CellChangeTimes->{{3.86665553207338*^9, 3.866655571823277*^9}, 
   3.86792775385832*^9, {3.8693231533425817`*^9, 3.8693231538698807`*^9}, {
   3.8733848081250124`*^9, 3.8733848156835933`*^9}},
 CellTags->"i:42",
 CellID->830600887,ExpressionUUID->"fcd946e8-feb6-473d-b984-208544c63dc5"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Dataset", "[", 
  RowBox[{"dinghyAssociations", ",", 
   RowBox[{"ItemDisplayFunction", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"\"\<age\>\"", "\[Rule]", "round5"}], ",", 
      RowBox[{"\"\<sex\>\"", "\[Rule]", "genderSymbol"}]}], "}"}]}], ",", 
   RowBox[{"HeaderDisplayFunction", "\[Rule]", "vowelRemove"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.866655578965089*^9, 3.866655582400146*^9}, {
  3.866660162864851*^9, 3.8666601704596987`*^9}, {3.86671173565884*^9, 
  3.866711770205242*^9}, {3.882459744730801*^9, 3.882459745775239*^9}},
 CellLabel->"In[19]:=",
 CellID->133563033,ExpressionUUID->"def6f638-7d1d-43a1-aba5-dba7c820af0c"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        False|>}, "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 5, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 5], 
     "Meta" -> <|$CellContext`ItemDisplayFunction -> {"age" -> (If[
           MissingQ[#], 
           Missing[], 
           Round[#, 5]]& ), 
         "sex" -> (
          Which[# == "female", "\[Venus]", # == "male", "\[Mars]", True, 
           "\:26a5"]& )}, $CellContext`HeaderDisplayFunction -> (If[
         StringQ[#], 
         StringDelete[#, 
          Alternatives["a", "e", "i", "o", "u"]], #]& )|>, "RowTarget" -> 20, 
     "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 5, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 5], "Path" -> {}, 
     "DisplayedRowCount" -> 5, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
     5, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["clss", 
                  Style[
                  "clss", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "fec145d1-4f54-415e-926d-06bb4aa2351f"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["g", 
                  Style[
                  "g", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "fec145d1-4f54-415e-926d-06bb4aa2351f"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["sx", 
                  Style[
                  "sx", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "fec145d1-4f54-415e-926d-06bb4aa2351f"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["srvvd", 
                  Style[
                  "srvvd", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "fec145d1-4f54-415e-926d-06bb4aa2351f"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "fec145d1-4f54-415e-926d-06bb4aa2351f"]][{1, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[15, 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "fec145d1-4f54-415e-926d-06bb4aa2351f"]][{1, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["\[Venus]", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "fec145d1-4f54-415e-926d-06bb4aa2351f"]][{1, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "fec145d1-4f54-415e-926d-06bb4aa2351f"]][{1, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "fec145d1-4f54-415e-926d-06bb4aa2351f"]][{2, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[65, 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "fec145d1-4f54-415e-926d-06bb4aa2351f"]][{2, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["\[Mars]", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "fec145d1-4f54-415e-926d-06bb4aa2351f"]][{2, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "fec145d1-4f54-415e-926d-06bb4aa2351f"]][{2, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "fec145d1-4f54-415e-926d-06bb4aa2351f"]][{3, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[0, 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "fec145d1-4f54-415e-926d-06bb4aa2351f"]][{3, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["\[Venus]", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "fec145d1-4f54-415e-926d-06bb4aa2351f"]][{3, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "fec145d1-4f54-415e-926d-06bb4aa2351f"]][{3, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "fec145d1-4f54-415e-926d-06bb4aa2351f"]][{4, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Missing[], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "fec145d1-4f54-415e-926d-06bb4aa2351f"]][{4, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["\[Venus]", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "fec145d1-4f54-415e-926d-06bb4aa2351f"]][{4, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "fec145d1-4f54-415e-926d-06bb4aa2351f"]][{4, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "fec145d1-4f54-415e-926d-06bb4aa2351f"]][{5, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[20, 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "fec145d1-4f54-415e-926d-06bb4aa2351f"]][{5, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["\[Venus]", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "fec145d1-4f54-415e-926d-06bb4aa2351f"]][{5, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "fec145d1-4f54-415e-926d-06bb4aa2351f"]][{5, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{217., {86.8837890625, 94.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{217., {86.8837890625, 94.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{
  3.8666555827837*^9, {3.8667117536995897`*^9, 3.866711770549343*^9}, 
   3.8668011939676037`*^9, 3.8814260949558163`*^9, 3.881426131804832*^9, {
   3.8824597483860903`*^9, 3.882459778277453*^9}},
 CellLabel->"Out[19]=",
 CellID->2116543183,ExpressionUUID->"d885b4ec-1398-490c-97e8-ad3487f96034"]
}, Open  ]],

Cell[TextData[{
 "You might notice that the dash in the ",
 Cell[BoxData[
 "\"\<age\>\""], "InlineCode",ExpressionUUID->
  "e71df64d-b671-4c0d-8c94-9270d514323d"],
 " column of the fourth row has turned into ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["Missing",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Missing.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Missing.html"], 
   "[", "]"}]], "InlineCode",ExpressionUUID->
  "e80cc547-cd59-49b2-82a3-4a8d37106113"],
 ". I\[CloseCurlyQuote]ll discuss how to change that in the subsection on \
custom elision."
}], "Note",
 CellChangeTimes->{{3.866655598502564*^9, 3.866655665345418*^9}, {
  3.867927775188891*^9, 3.8679277808125343`*^9}, {3.8711257862891226`*^9, 
  3.871125824247012*^9}},
 CellID->578825923,ExpressionUUID->"7d91716f-a5a2-43f5-b60b-71170352912c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Interaction", " ", "of", " ", 
  ButtonBox[
   StyleBox["Style",
    FontColor->GrayLevel[0.45]],
   BaseStyle->"Hyperlink",
   ButtonData->{
     URL["https://reference.wolfram.com/language/ref/Style.html"], None},
   ButtonNote->"https://reference.wolfram.com/language/ref/Style.html"], " ", 
  "and", " ", 
  ButtonBox[
   StyleBox["DisplayFunction",
    FontColor->GrayLevel[0.45]],
   BaseStyle->"Hyperlink",
   ButtonData->{
     URL["https://reference.wolfram.com/language/ref/DisplayFunction.html"], 
     None},
   ButtonNote->
    "https://reference.wolfram.com/language/ref/DisplayFunction.html"], " ", 
  "Options", " ", "in", " ", 
  ButtonBox[
   StyleBox["Dataset",
    FontColor->GrayLevel[0.45]],
   BaseStyle->"Hyperlink",
   ButtonData->{
     URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
   ButtonNote->
    "https://reference.wolfram.com/language/ref/Dataset.html"]}]], \
"Subsubsubsection",
 CellChangeTimes->{{3.866712012386918*^9, 3.8667120262365522`*^9}, {
   3.8667120862495403`*^9, 3.866712090792081*^9}, {3.8679278282151337`*^9, 
   3.8679278482828693`*^9}, 3.869924415089218*^9},
 CellID->1182005822,ExpressionUUID->"4821c632-efc5-4806-8030-e7abf2029e96"],

Cell[TextData[{
 "Both ",
 ButtonBox["ItemStyle",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ItemStyle.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/ItemStyle.html"],
 " and ",
 ButtonBox["ItemDisplayFunction",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ItemDisplayFunction.html"]\
, None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/ItemDisplayFunction.html"],
 " can affect the presentation of items in a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ", and both ",
 ButtonBox["HeaderStyle",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/HeaderStyle.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/HeaderStyle.html"],
 " and ",
 ButtonBox["HeaderDisplayFunction",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/HeaderDisplayFunction.\
html"], None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/HeaderDisplayFunction.html"],
 " can affect the presentation of headers. I will now discuss the interaction \
of these two options."
}], "Text",
 CellChangeTimes->{{3.866712061074037*^9, 3.8667121123901787`*^9}, {
  3.8667165373638783`*^9, 3.8667165500264*^9}, {3.871125885955567*^9, 
  3.871125886456629*^9}, {3.8722533412993402`*^9, 3.8722533426369143`*^9}},
 CellTags->{"LastCellOfAPage", "i:43"},
 CellID->823106538,ExpressionUUID->"3308cda8-2d4d-43c7-b2b8-3b95ea1b1f54"],

Cell[TextData[{
 "In case of a direct conflict, the display function option (",
 ButtonBox["ItemDisplayFunction",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ItemDisplayFunction.html"]\
, None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/ItemDisplayFunction.html"],
 ", ",
 ButtonBox["HeaderDisplayFunction",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/HeaderDisplayFunction.\
html"], None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/HeaderDisplayFunction.html"],
 ") prevails over the style option (",
 ButtonBox["ItemStyle",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ItemStyle.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/ItemStyle.html"],
 ", ",
 ButtonBox["HeaderStyle",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/HeaderStyle.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/HeaderStyle.html"],
 "). This is true regardless of the order in which the options are \
specified."
}], "Text",
 CellChangeTimes->{{3.866712115702855*^9, 3.86671212159172*^9}, {
   3.866712185018693*^9, 3.866712195451977*^9}, {3.866712321953285*^9, 
   3.866712339114257*^9}, {3.866896731631277*^9, 3.866896762769514*^9}, 
   3.8722533788204336`*^9},
 CellTags->"p: 176",
 CellID->1092129749,ExpressionUUID->"54500adb-871e-4776-9458-ea4409d78fe6"],

Cell[TextData[{
 "Create conflicting directives for items and headers with ",
 ButtonBox["ItemDisplayFunction",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ItemDisplayFunction.html"]\
, None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/ItemDisplayFunction.html"],
 ", ",
 ButtonBox["ItemStyle",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ItemStyle.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/ItemStyle.html"],
 ", ",
 ButtonBox["HeaderDisplayFunction",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/HeaderDisplayFunction.\
html"], None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/HeaderDisplayFunction.html"],
 ", and ",
 ButtonBox["HeaderStyle",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/HeaderStyle.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/HeaderStyle.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.866896784174025*^9, 3.866896826418363*^9}, 
   3.867928005175866*^9, 3.8711259222311993`*^9},
 CellID->807561574,ExpressionUUID->"eedad2b9-9be9-4a81-830c-b858195e907a"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Dataset", "[", 
  RowBox[{"dinghyAssociations", ",", 
   RowBox[{"ItemDisplayFunction", "\[Rule]", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"Style", "[", 
       RowBox[{"#", ",", "Blue"}], "]"}], "&"}], ")"}]}], ",", 
   RowBox[{"ItemStyle", "\[Rule]", "Red"}], ",", 
   RowBox[{"HeaderDisplayFunction", "\[Rule]", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"Style", "[", 
       RowBox[{"#", ",", "Purple"}], "]"}], "&"}], ")"}]}], ",", 
   RowBox[{"HeaderStyle", "\[Rule]", "Green"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.866712124153811*^9, 3.866712218584753*^9}},
 CellLabel->"In[592]:=",
 CellID->578882981,ExpressionUUID->"90d816a8-2fef-4521-9692-d5ae242012cb"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        False|>}, "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 5], 
     "Meta" -> <|$CellContext`ItemDisplayFunction -> (Style[#, Blue]& ), 
       ItemStyle -> 
       RGBColor[1, 0, 0], $CellContext`HeaderDisplayFunction -> (
        Style[#, Purple]& ), $CellContext`HeaderStyle -> RGBColor[0, 1, 0]|>, 
     "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 5], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
     5, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  Style["class", 
                   RGBColor[0.5, 0, 0.5]], 
                  Style[
                   Style["class", 
                    RGBColor[0.5, 0, 0.5]], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "52bba3b2-2a27-44a0-98d4-f15f255054b2"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> 
             RGBColor[0, 1, 0], Background -> GrayLevel[0.95], 
             Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  Style["age", 
                   RGBColor[0.5, 0, 0.5]], 
                  Style[
                   Style["age", 
                    RGBColor[0.5, 0, 0.5]], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "52bba3b2-2a27-44a0-98d4-f15f255054b2"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> 
             RGBColor[0, 1, 0], Background -> GrayLevel[0.95], 
             Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  Style["sex", 
                   RGBColor[0.5, 0, 0.5]], 
                  Style[
                   Style["sex", 
                    RGBColor[0.5, 0, 0.5]], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "52bba3b2-2a27-44a0-98d4-f15f255054b2"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> 
             RGBColor[0, 1, 0], Background -> GrayLevel[0.95], 
             Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  Style["survived", 
                   RGBColor[0.5, 0, 0.5]], 
                  Style[
                   Style["survived", 
                    RGBColor[0.5, 0, 0.5]], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "52bba3b2-2a27-44a0-98d4-f15f255054b2"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> 
             RGBColor[0, 1, 0], Background -> GrayLevel[0.95], 
             Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation[
               Style["3rd", 
                RGBColor[0, 0, 1]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "52bba3b2-2a27-44a0-98d4-f15f255054b2"]][{1, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> 
             RGBColor[1, 0, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style[16, 
                RGBColor[0, 0, 1]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "52bba3b2-2a27-44a0-98d4-f15f255054b2"]][{1, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> 
             RGBColor[1, 0, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["female", 
                RGBColor[0, 0, 1]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "52bba3b2-2a27-44a0-98d4-f15f255054b2"]][{1, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> 
             RGBColor[1, 0, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style[True, 
                RGBColor[0, 0, 1]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "52bba3b2-2a27-44a0-98d4-f15f255054b2"]][{1, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> 
             RGBColor[1, 0, 0], ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               Style["1st", 
                RGBColor[0, 0, 1]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "52bba3b2-2a27-44a0-98d4-f15f255054b2"]][{2, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> 
             RGBColor[1, 0, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style[65, 
                RGBColor[0, 0, 1]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "52bba3b2-2a27-44a0-98d4-f15f255054b2"]][{2, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> 
             RGBColor[1, 0, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["male", 
                RGBColor[0, 0, 1]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "52bba3b2-2a27-44a0-98d4-f15f255054b2"]][{2, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> 
             RGBColor[1, 0, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style[False, 
                RGBColor[0, 0, 1]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "52bba3b2-2a27-44a0-98d4-f15f255054b2"]][{2, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> 
             RGBColor[1, 0, 0], ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               Style["3rd", 
                RGBColor[0, 0, 1]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "52bba3b2-2a27-44a0-98d4-f15f255054b2"]][{3, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> 
             RGBColor[1, 0, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style[2, 
                RGBColor[0, 0, 1]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "52bba3b2-2a27-44a0-98d4-f15f255054b2"]][{3, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> 
             RGBColor[1, 0, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["female", 
                RGBColor[0, 0, 1]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "52bba3b2-2a27-44a0-98d4-f15f255054b2"]][{3, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> 
             RGBColor[1, 0, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style[False, 
                RGBColor[0, 0, 1]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "52bba3b2-2a27-44a0-98d4-f15f255054b2"]][{3, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> 
             RGBColor[1, 0, 0], ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               Style["3rd", 
                RGBColor[0, 0, 1]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "52bba3b2-2a27-44a0-98d4-f15f255054b2"]][{4, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> 
             RGBColor[1, 0, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style[
                Missing[], 
                RGBColor[0, 0, 1]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "52bba3b2-2a27-44a0-98d4-f15f255054b2"]][{4, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> 
             RGBColor[1, 0, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["female", 
                RGBColor[0, 0, 1]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "52bba3b2-2a27-44a0-98d4-f15f255054b2"]][{4, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> 
             RGBColor[1, 0, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style[True, 
                RGBColor[0, 0, 1]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "52bba3b2-2a27-44a0-98d4-f15f255054b2"]][{4, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> 
             RGBColor[1, 0, 0], ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               Style["3rd", 
                RGBColor[0, 0, 1]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "52bba3b2-2a27-44a0-98d4-f15f255054b2"]][{5, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> 
             RGBColor[1, 0, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style[18, 
                RGBColor[0, 0, 1]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "52bba3b2-2a27-44a0-98d4-f15f255054b2"]][{5, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> 
             RGBColor[1, 0, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["female", 
                RGBColor[0, 0, 1]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "52bba3b2-2a27-44a0-98d4-f15f255054b2"]][{5, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> 
             RGBColor[1, 0, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style[False, 
                RGBColor[0, 0, 1]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "52bba3b2-2a27-44a0-98d4-f15f255054b2"]][{5, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> 
             RGBColor[1, 0, 0], ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{231., {86.8837890625, 94.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{231., {86.8837890625, 94.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{{3.866712141491501*^9, 3.866712180844495*^9}, 
   3.866712218979245*^9, 3.866801194333764*^9, 3.881426175096942*^9},
 CellLabel->"Out[592]=",
 CellID->927027256,ExpressionUUID->"ad2aa4fb-253c-4786-8fe1-6f40bfe80d0c"]
}, Open  ]],

Cell["\<\
Often, however, the two work cumulatively. Here, the style options change the \
font color of the item or header and the display function options change the \
font size.\
\>", "Text",
 CellChangeTimes->{{3.866712225651854*^9, 3.86671229700076*^9}},
 CellID->1289196384,ExpressionUUID->"979955f0-3f81-4d73-b5d1-f711df1c4fff"],

Cell[TextData[{
 "Create non-conflicting directives for items and headers with ",
 ButtonBox["ItemDisplayFunction",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ItemDisplayFunction.html"]\
, None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/ItemDisplayFunction.html"],
 ", ",
 ButtonBox["ItemStyle",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ItemStyle.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/ItemStyle.html"],
 ", ",
 ButtonBox["HeaderDisplayFunction",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/HeaderDisplayFunction.\
html"], None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/HeaderDisplayFunction.html"],
 ", and ",
 ButtonBox["HeaderStyle",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/HeaderStyle.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/HeaderStyle.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.866896784174025*^9, 3.866896854661489*^9}},
 CellID->219557038,ExpressionUUID->"556d0c94-0955-4157-8544-b9841ed78c60"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Dataset", "[", 
  RowBox[{"dinghyAssociations", ",", 
   RowBox[{"ItemDisplayFunction", "\[Rule]", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"Style", "[", 
       RowBox[{"#", ",", "24"}], "]"}], "&"}], ")"}]}], ",", 
   RowBox[{"ItemStyle", "\[Rule]", "Red"}], ",", 
   RowBox[{"HeaderDisplayFunction", "\[Rule]", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"Style", "[", 
       RowBox[{"#", ",", "24"}], "]"}], "&"}], ")"}]}], ",", 
   RowBox[{"HeaderStyle", "\[Rule]", "Green"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.866712124153811*^9, 3.8667122532505007`*^9}},
 CellLabel->"In[593]:=",
 CellID->1256401034,ExpressionUUID->"35e7e144-011b-4496-a636-e2d445ae80d1"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        False|>}, "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 5], 
     "Meta" -> <|$CellContext`ItemDisplayFunction -> (Style[#, 24]& ), 
       ItemStyle -> 
       RGBColor[1, 0, 0], $CellContext`HeaderDisplayFunction -> (
        Style[#, 24]& ), $CellContext`HeaderStyle -> RGBColor[0, 1, 0]|>, 
     "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 5], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
     5, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  Style["class", 24], 
                  Style[
                   Style["class", 24], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "72e47f8d-b81b-4d2f-8b66-352649897273"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> 
             RGBColor[0, 1, 0], Background -> GrayLevel[0.95], 
             Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  Style["age", 24], 
                  Style[
                   Style["age", 24], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "72e47f8d-b81b-4d2f-8b66-352649897273"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> 
             RGBColor[0, 1, 0], Background -> GrayLevel[0.95], 
             Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  Style["sex", 24], 
                  Style[
                   Style["sex", 24], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "72e47f8d-b81b-4d2f-8b66-352649897273"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> 
             RGBColor[0, 1, 0], Background -> GrayLevel[0.95], 
             Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  Style["survived", 24], 
                  Style[
                   Style["survived", 24], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "72e47f8d-b81b-4d2f-8b66-352649897273"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> 
             RGBColor[0, 1, 0], Background -> GrayLevel[0.95], 
             Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation[
               Style["3rd", 24], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "72e47f8d-b81b-4d2f-8b66-352649897273"]][{1, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> 
             RGBColor[1, 0, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style[16, 24], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "72e47f8d-b81b-4d2f-8b66-352649897273"]][{1, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> 
             RGBColor[1, 0, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["female", 24], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "72e47f8d-b81b-4d2f-8b66-352649897273"]][{1, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> 
             RGBColor[1, 0, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style[True, 24], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "72e47f8d-b81b-4d2f-8b66-352649897273"]][{1, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> 
             RGBColor[1, 0, 0], ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               Style["1st", 24], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "72e47f8d-b81b-4d2f-8b66-352649897273"]][{2, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> 
             RGBColor[1, 0, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style[65, 24], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "72e47f8d-b81b-4d2f-8b66-352649897273"]][{2, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> 
             RGBColor[1, 0, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["male", 24], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "72e47f8d-b81b-4d2f-8b66-352649897273"]][{2, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> 
             RGBColor[1, 0, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style[False, 24], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "72e47f8d-b81b-4d2f-8b66-352649897273"]][{2, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> 
             RGBColor[1, 0, 0], ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               Style["3rd", 24], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "72e47f8d-b81b-4d2f-8b66-352649897273"]][{3, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> 
             RGBColor[1, 0, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style[2, 24], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "72e47f8d-b81b-4d2f-8b66-352649897273"]][{3, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> 
             RGBColor[1, 0, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["female", 24], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "72e47f8d-b81b-4d2f-8b66-352649897273"]][{3, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> 
             RGBColor[1, 0, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style[False, 24], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "72e47f8d-b81b-4d2f-8b66-352649897273"]][{3, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> 
             RGBColor[1, 0, 0], ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               Style["3rd", 24], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "72e47f8d-b81b-4d2f-8b66-352649897273"]][{4, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> 
             RGBColor[1, 0, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style[
                Missing[], 24], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "72e47f8d-b81b-4d2f-8b66-352649897273"]][{4, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> 
             RGBColor[1, 0, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["female", 24], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "72e47f8d-b81b-4d2f-8b66-352649897273"]][{4, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> 
             RGBColor[1, 0, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style[True, 24], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "72e47f8d-b81b-4d2f-8b66-352649897273"]][{4, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> 
             RGBColor[1, 0, 0], ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               Style["3rd", 24], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "72e47f8d-b81b-4d2f-8b66-352649897273"]][{5, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> 
             RGBColor[1, 0, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style[18, 24], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "72e47f8d-b81b-4d2f-8b66-352649897273"]][{5, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> 
             RGBColor[1, 0, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["female", 24], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "72e47f8d-b81b-4d2f-8b66-352649897273"]][{5, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> 
             RGBColor[1, 0, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style[False, 24], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "72e47f8d-b81b-4d2f-8b66-352649897273"]][{5, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> 
             RGBColor[1, 0, 0], ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{324., {125.8837890625, 133.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{324., {125.8837890625, 133.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.8667122541451797`*^9, 3.8668011945665207`*^9, 
  3.881426179854024*^9},
 CellLabel->"Out[593]=",
 CellID->973792672,ExpressionUUID->"07c25169-e921-4094-a807-106d5d0d0977"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Reformatting Pre-existing Datasets", "Subsubsection",
 CellChangeTimes->{{3.86567201377052*^9, 3.865672019987936*^9}, {
  3.867928042007607*^9, 3.8679280458883343`*^9}},
 CellID->1111438629,ExpressionUUID->"2bf9f222-6f10-4cfc-b83c-94a5124bef82"],

Cell[TextData[{
 "Thus far, I\[CloseCurlyQuote]ve taken data that isn\[CloseCurlyQuote]t \
already a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " and shown how you can convert it into a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " with customized presentation features. But what if you already has a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " and want to change its presentation? What if you already have, for \
example, ",
 Cell[BoxData[
 "vanillaDS"], "InlineCodeText",ExpressionUUID->
  "ac044d8e-607f-4e3e-8a34-640f90ee69d8"],
 ", as created previously, perhaps created with considerable computational \
effort, and decide to make changes. There are several methods for doing \
this."
}], "Text",
 CellChangeTimes->{{3.865614752544436*^9, 3.8656148529418993`*^9}, {
   3.865614970962143*^9, 3.865615004024044*^9}, 3.86561510876508*^9, {
   3.865615168092972*^9, 3.8656152032380447`*^9}, {3.8668968776470413`*^9, 
   3.866896885985959*^9}, {3.8679280509737453`*^9, 3.867928052112681*^9}, {
   3.870167869936677*^9, 3.870167871948309*^9}, {3.871126405276973*^9, 
   3.871126422408961*^9}, {3.8711264643991127`*^9, 3.871126503774185*^9}, {
   3.872253454163829*^9, 3.8722534843811817`*^9}},
 CellTags->"LastCellOfAPage",
 CellID->1731344047,ExpressionUUID->"808de3bd-b16c-459c-85ca-84965d89077d"],

Cell[TextData[{
 "One option is to undo the ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " wrapper and rewrap the underlying data in ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " but this time include the desired formatting options. Here are several \
ways of unwrapping the ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 "."
}], "Text",
 CellChangeTimes->{{3.8656152353271923`*^9, 3.865615310177451*^9}, 
   3.8668969066354313`*^9, {3.867928104962364*^9, 3.867928111588022*^9}, {
   3.87225392595125*^9, 3.872253926406677*^9}},
 CellTags->{"i:44", "p: 177"},
 CellID->170148666,ExpressionUUID->"b7e38160-f50f-4574-a090-629d992bc95e"],

Cell[TextData[{
 "Use ",
 ButtonBox["Normal",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Normal.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Normal.html"],
 " to extract just the underlying data from a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.8668969170033617`*^9, 3.866896934456493*^9}},
 CellID->1768503636,ExpressionUUID->"b1e561c7-b0ef-4c37-bfc6-b10eeeab66bb"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Normal", "[", "vanillaDS", "]"}]], "Input",
 CellChangeTimes->{{3.8656153121815367`*^9, 3.865615314219082*^9}},
 CellLabel->"In[594]:=",
 CellID->626731669,ExpressionUUID->"5b1ba73b-37ec-4d8a-9a9c-e35e10cec4c0"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "16"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "True"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"1st\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "65"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"male\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "2"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", 
      RowBox[{"Missing", "[", "]"}]}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "True"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "18"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
    "\[RightAssociation]"}]}], "}"}]], "Output",
 CellChangeTimes->{3.865615314875764*^9, 3.866801194738222*^9, 
  3.881426186359034*^9},
 CellLabel->"Out[594]=",
 CellID->1455397581,ExpressionUUID->"aabb6dcb-a550-4900-8f94-3532e952c9dd"]
}, Open  ]],

Cell[TextData[{
 "Alternatively, use ",
 Cell[BoxData[
 "Dataset`GetData"], "InlineCode",ExpressionUUID->
  "05fc769b-fc6f-43a3-95b7-e2e13085680f"],
 " to extract just the underlying data from a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.8668969369874697`*^9, 3.866896961016075*^9}, {
  3.86792814936803*^9, 3.8679281493681192`*^9}, {3.871126537275389*^9, 
  3.8711265570782595`*^9}},
 CellID->964244612,ExpressionUUID->"a6bd95fd-0429-4c76-9052-51d777b2cd84"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Dataset`GetData", "[", "vanillaDS", "]"}]], "Input",
 CellChangeTimes->{{3.865615317642234*^9, 3.8656153271333714`*^9}},
 CellLabel->"In[595]:=",
 CellID->1194071100,ExpressionUUID->"fb5c0f34-10d2-4a64-9ce1-94a1dd821cf2"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "16"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "True"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"1st\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "65"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"male\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "2"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", 
      RowBox[{"Missing", "[", "]"}]}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "True"}]}], 
    "\[RightAssociation]"}], ",", 
   RowBox[{"\[LeftAssociation]", 
    RowBox[{
     RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
     RowBox[{"\<\"age\"\>", "\[Rule]", "18"}], ",", 
     RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
     RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
    "\[RightAssociation]"}]}], "}"}]], "Output",
 CellChangeTimes->{3.865615327519348*^9, 3.8668011947779713`*^9, 
  3.8814261951298428`*^9},
 CellLabel->"Out[595]=",
 CellID->243475187,ExpressionUUID->"b4717c0c-159c-489f-a689-943ca65c9ef8"]
}, Open  ]],

Cell["And now let\[CloseCurlyQuote]s combine that unwrapping with a \
re-conversion.", "Text",
 CellChangeTimes->{{3.8656153383300953`*^9, 3.8656153484271917`*^9}, {
  3.866896974877811*^9, 3.866896977218487*^9}, {3.867928166316231*^9, 
  3.86792816732337*^9}},
 CellID->2057365555,ExpressionUUID->"3662d426-5cd7-4c36-ad33-204c78969179"],

Cell[TextData[{
 "Extract the data from an underlying ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " and then convert it into a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " with presentation options:"
}], "CodeText",
 CellChangeTimes->{{3.866896982758791*^9, 3.8668970147596903`*^9}, {
  3.867928175539343*^9, 3.86792820025597*^9}},
 CellID->1083966371,ExpressionUUID->"e779ad32-8891-4418-87c3-ad51ed20651d"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Dataset", "[", 
  RowBox[{
   RowBox[{"Normal", "[", "vanillaDS", "]"}], ",", 
   RowBox[{"Background", "\[Rule]", "Orange"}], ",", 
   RowBox[{"HeaderBackground", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"None", ",", "Black"}], "}"}]}], ",", 
   RowBox[{"HeaderStyle", "\[Rule]", "White"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.865615352741234*^9, 3.865615402450816*^9}},
 CellLabel->"In[596]:=",
 CellID->852036893,ExpressionUUID->"27a37396-2af6-4bf8-a739-43606eb87e11"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        False|>}, "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 5], 
     "Meta" -> <|
      Background -> 
       RGBColor[1, 0.5, 0], $CellContext`HeaderBackground -> {None, 
         GrayLevel[0]}, $CellContext`HeaderStyle -> GrayLevel[1]|>, 
     "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 5], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
     5, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["class", 
                  Style[
                  "class", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a2559c5e-2d60-4577-b694-56f29c8505a6"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> GrayLevel[1], 
             Background -> GrayLevel[0], Background -> GrayLevel[0.95], 
             Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["age", 
                  Style[
                  "age", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a2559c5e-2d60-4577-b694-56f29c8505a6"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> GrayLevel[1], 
             Background -> GrayLevel[0], Background -> GrayLevel[0.95], 
             Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["sex", 
                  Style[
                  "sex", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a2559c5e-2d60-4577-b694-56f29c8505a6"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> GrayLevel[1], 
             Background -> GrayLevel[0], Background -> GrayLevel[0.95], 
             Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["survived", 
                  Style[
                  "survived", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a2559c5e-2d60-4577-b694-56f29c8505a6"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> GrayLevel[1], 
             Background -> GrayLevel[0], Background -> GrayLevel[0.95], 
             Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a2559c5e-2d60-4577-b694-56f29c8505a6"]][{1, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 0.5, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a2559c5e-2d60-4577-b694-56f29c8505a6"]][{1, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 0.5, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a2559c5e-2d60-4577-b694-56f29c8505a6"]][{1, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 0.5, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a2559c5e-2d60-4577-b694-56f29c8505a6"]][{1, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 0.5, 0], ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a2559c5e-2d60-4577-b694-56f29c8505a6"]][{2, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 0.5, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["65"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a2559c5e-2d60-4577-b694-56f29c8505a6"]][{2, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 0.5, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a2559c5e-2d60-4577-b694-56f29c8505a6"]][{2, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 0.5, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a2559c5e-2d60-4577-b694-56f29c8505a6"]][{2, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 0.5, 0], ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a2559c5e-2d60-4577-b694-56f29c8505a6"]][{3, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 0.5, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a2559c5e-2d60-4577-b694-56f29c8505a6"]][{3, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 0.5, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a2559c5e-2d60-4577-b694-56f29c8505a6"]][{3, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 0.5, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a2559c5e-2d60-4577-b694-56f29c8505a6"]][{3, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 0.5, 0], ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a2559c5e-2d60-4577-b694-56f29c8505a6"]][{4, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 0.5, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a2559c5e-2d60-4577-b694-56f29c8505a6"]][{4, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 0.5, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a2559c5e-2d60-4577-b694-56f29c8505a6"]][{4, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 0.5, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a2559c5e-2d60-4577-b694-56f29c8505a6"]][{4, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 0.5, 0], ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a2559c5e-2d60-4577-b694-56f29c8505a6"]][{5, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 0.5, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["18"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a2559c5e-2d60-4577-b694-56f29c8505a6"]][{5, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 0.5, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a2559c5e-2d60-4577-b694-56f29c8505a6"]][{5, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 0.5, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a2559c5e-2d60-4577-b694-56f29c8505a6"]][{5, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[1, 0.5, 0], ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{213., {86.8837890625, 94.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{213., {86.8837890625, 94.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{{3.8656153758423367`*^9, 3.865615402831354*^9}, 
   3.866801194807497*^9, 3.8814262007178593`*^9},
 CellLabel->"Out[596]=",
 CellID->256905542,ExpressionUUID->"a39e4561-e8df-4df4-a911-1f1c81787c4d"]
}, Open  ]],

Cell[TextData[{
 "A second way to reformat a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " is to use the ",
 ButtonBox["FormatDataset",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
FormatDataset"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/\
FormatDataset"],
 " ",
 ButtonBox["ResourceFunction",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ResourceFunction.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/ResourceFunction.html"],
 ", which creates an operator that can then operate on the data. Behind the \
scenes, ",
 ButtonBox["FormatDataset",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
FormatDataset"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/\
FormatDataset"],
 " is automating the process described immediately prior to this."
}], "Text",
 CellChangeTimes->{{3.8656154189006*^9, 3.865615438699894*^9}, {
  3.865615470440765*^9, 3.865615474717654*^9}, {3.865671789620489*^9, 
  3.865671795222703*^9}, {3.86689703202876*^9, 3.866897081101913*^9}, {
  3.867928249340852*^9, 3.8679283074112663`*^9}, {3.869921068610676*^9, 
  3.8699211023175592`*^9}, {3.87338506706699*^9, 3.8733850690765047`*^9}},
 CellTags->{"LastCellOfAPage", "i:45"},
 CellID->1703713912,ExpressionUUID->"3357b2a9-8f61-412c-a35e-27be9d0af374"],

Cell[TextData[{
 "Use ",
 ButtonBox["FormatDataset",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
FormatDataset"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/\
FormatDataset"],
 " with presentation option arguments and then apply that function to a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.8668970870245113`*^9, 3.866897108713047*^9}, 
   3.866897159716639*^9, 3.8679283258635483`*^9, {3.869921106598527*^9, 
   3.869921127301778*^9}},
 CellTags->"p: 178",
 CellID->850263257,ExpressionUUID->"e7f33c25-b074-4985-a841-c8cc1cec0af1"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   InterpretationBox[
    TagBox[
     DynamicModuleBox[{Typeset`open = False}, 
      FrameBox[
       PaneSelectorBox[{False->GridBox[{
          {
           PaneBox[GridBox[{
              {
               StyleBox[
                StyleBox[
                 AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                  BoxBaselineShift->-0.25,
                  BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                 
                 FontColor->RGBColor[
                  0.8745098039215686, 0.2784313725490196, 
                   0.03137254901960784]],
                ShowStringCharacters->False,
                FontFamily->"Source Sans Pro Black",
                FontSize->0.6538461538461539 Inherited,
                FontWeight->"Heavy",
                PrivateFontOptions->{"OperatorSubstitution"->False}], 
               StyleBox[
                RowBox[{
                 StyleBox["FormatDataset", "ResourceFunctionLabel"], " "}],
                ShowAutoStyles->False,
                ShowStringCharacters->False,
                FontSize->Rational[12, 13] Inherited,
                FontColor->GrayLevel[0.1]]}
             },
             GridBoxSpacings->{"Columns" -> {{0.25}}}],
            Alignment->Left,
            BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
            BaselinePosition->Baseline,
            FrameMargins->{{3, 0}, {0, 0}}], 
           ItemBox[
            PaneBox[
             TogglerBox[Dynamic[Typeset`open], {True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeCloser"],
               ImageSizeCache->{11., {2., 9.}}], False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeOpener"],
               ImageSizeCache->{11., {2., 9.}}]},
              Appearance->None,
              BaselinePosition->Baseline,
              ContentPadding->False,
              FrameMargins->0],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{1, 1}, {0, 0}}],
            Frame->{{
               RGBColor[
               0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                0.5], False}, {False, False}}]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
         GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
        GridBox[{
          {GridBox[{
             {
              PaneBox[GridBox[{
                 {
                  StyleBox[
                   StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                   ShowStringCharacters->False,
                   FontFamily->"Source Sans Pro Black",
                   FontSize->0.6538461538461539 Inherited,
                   FontWeight->"Heavy",
                   PrivateFontOptions->{"OperatorSubstitution"->False}], 
                  StyleBox[
                   RowBox[{
                    StyleBox["FormatDataset", "ResourceFunctionLabel"], " "}],
                   ShowAutoStyles->False,
                   ShowStringCharacters->False,
                   FontSize->Rational[12, 13] Inherited,
                   FontColor->GrayLevel[0.1]]}
                },
                GridBoxSpacings->{"Columns" -> {{0.25}}}],
               Alignment->Left,
               BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
               BaselinePosition->Baseline,
               FrameMargins->{{3, 0}, {0, 0}}], 
              ItemBox[
               PaneBox[
                TogglerBox[Dynamic[Typeset`open], {True->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeCloser"]], False->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeOpener"]]},
                 Appearance->None,
                 BaselinePosition->Baseline,
                 ContentPadding->False,
                 FrameMargins->0],
                Alignment->Left,
                BaselinePosition->Baseline,
                FrameMargins->{{1, 1}, {0, 0}}],
               Frame->{{
                  RGBColor[
                  0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                   0.5], False}, {False, False}}]}
            },
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
          {
           StyleBox[
            PaneBox[GridBox[{
               {
                RowBox[{
                 TagBox["\<\"Version (latest): \"\>",
                  "IconizedLabel"], " ", 
                 TagBox["\<\"1.0.0\"\>",
                  "IconizedItem"]}]},
               {
                TagBox[
                 
                 TemplateBox[{
                  "\"Documentation \[RightGuillemet]\"", 
                   "https://resources.wolframcloud.com/FunctionRepository/\
resources/FormatDataset"},
                  "HyperlinkURL"],
                 "IconizedItem"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
            FontFamily->"Roboto",
            FontSize->11]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
              GrayLevel[0.8]}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
        Typeset`open],
        BaselinePosition->Baseline,
        ImageSize->Automatic],
       Background->RGBColor[
        0.9686274509803922, 0.9764705882352941, 0.984313725490196],
       BaselinePosition->Baseline,
       DefaultBaseStyle->{},
       FrameMargins->{{0, 0}, {1, 0}},
       FrameStyle->RGBColor[
        0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
       RoundingRadius->4]],
     {"FunctionResourceBox", 
      RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
      "FormatDataset"},
     TagBoxNote->"FunctionResourceBox"],
    ResourceFunction[
     ResourceObject[<|
      "Name" -> "FormatDataset", "ShortName" -> "FormatDataset", "UUID" -> 
       "76670bca-1587-4e7e-9e89-5b698a30759d", "ResourceType" -> "Function", 
       "Version" -> "1.0.0", "Description" -> 
       "Format a dataset using a given set of option values", 
       "RepositoryLocation" -> 
       URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
       "SymbolName" -> 
       "FunctionRepository`$66a3086203b4405b88cdb0de8a5c3128`FormatDataset", 
       "FunctionLocation" -> 
       CloudObject[
        "https://www.wolframcloud.com/obj/70389ad6-7dbc-48c8-b898-\
72c65c00f14e"]|>, ResourceSystemBase -> Automatic]],
    Selectable->False], "[", 
   RowBox[{
    RowBox[{"Background", "\[Rule]", 
     RowBox[{"RGBColor", "[", "\"\<#DC143C\>\"", "]"}]}], ",", 
    RowBox[{"HeaderBackground", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"None", ",", "Black"}], "}"}]}], ",", 
    RowBox[{"HeaderStyle", "\[Rule]", "White"}]}], "]"}], "[", "vanillaDS", 
  "]"}]], "Input",
 CellChangeTimes->{{3.865615477208228*^9, 3.865615502821342*^9}, {
  3.865671799884993*^9, 3.865671812574338*^9}, {3.865671920943036*^9, 
  3.8656719429180717`*^9}},
 CellLabel->"In[597]:=",
 CellID->1915504402,ExpressionUUID->"7e2c55a9-183f-41d1-ac39-1ce6a0421152"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        False|>}, "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 5], 
     "Meta" -> <|
      Background -> 
       RGBColor[
        0.8627450980392157, 0.0784313725490196, 
         0.23529411764705882`], $CellContext`HeaderBackground -> {None, 
         GrayLevel[0]}, $CellContext`HeaderStyle -> GrayLevel[1]|>, 
     "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 5], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
     5, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["class", 
                  Style[
                  "class", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "fe0bab9c-40f4-4bb0-8764-3be923f1bad0"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> GrayLevel[1], 
             Background -> GrayLevel[0], Background -> GrayLevel[0.95], 
             Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["age", 
                  Style[
                  "age", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "fe0bab9c-40f4-4bb0-8764-3be923f1bad0"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> GrayLevel[1], 
             Background -> GrayLevel[0], Background -> GrayLevel[0.95], 
             Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["sex", 
                  Style[
                  "sex", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "fe0bab9c-40f4-4bb0-8764-3be923f1bad0"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> GrayLevel[1], 
             Background -> GrayLevel[0], Background -> GrayLevel[0.95], 
             Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["survived", 
                  Style[
                  "survived", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "fe0bab9c-40f4-4bb0-8764-3be923f1bad0"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> GrayLevel[1], 
             Background -> GrayLevel[0], Background -> GrayLevel[0.95], 
             Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "fe0bab9c-40f4-4bb0-8764-3be923f1bad0"]][{1, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[
              0.8627450980392157, 0.0784313725490196, 0.23529411764705882`], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "fe0bab9c-40f4-4bb0-8764-3be923f1bad0"]][{1, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[
              0.8627450980392157, 0.0784313725490196, 0.23529411764705882`], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "fe0bab9c-40f4-4bb0-8764-3be923f1bad0"]][{1, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[
              0.8627450980392157, 0.0784313725490196, 0.23529411764705882`], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "fe0bab9c-40f4-4bb0-8764-3be923f1bad0"]][{1, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[
              0.8627450980392157, 0.0784313725490196, 0.23529411764705882`], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "fe0bab9c-40f4-4bb0-8764-3be923f1bad0"]][{2, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[
              0.8627450980392157, 0.0784313725490196, 0.23529411764705882`], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["65"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "fe0bab9c-40f4-4bb0-8764-3be923f1bad0"]][{2, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[
              0.8627450980392157, 0.0784313725490196, 0.23529411764705882`], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "fe0bab9c-40f4-4bb0-8764-3be923f1bad0"]][{2, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[
              0.8627450980392157, 0.0784313725490196, 0.23529411764705882`], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "fe0bab9c-40f4-4bb0-8764-3be923f1bad0"]][{2, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[
              0.8627450980392157, 0.0784313725490196, 0.23529411764705882`], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "fe0bab9c-40f4-4bb0-8764-3be923f1bad0"]][{3, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[
              0.8627450980392157, 0.0784313725490196, 0.23529411764705882`], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "fe0bab9c-40f4-4bb0-8764-3be923f1bad0"]][{3, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[
              0.8627450980392157, 0.0784313725490196, 0.23529411764705882`], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "fe0bab9c-40f4-4bb0-8764-3be923f1bad0"]][{3, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[
              0.8627450980392157, 0.0784313725490196, 0.23529411764705882`], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "fe0bab9c-40f4-4bb0-8764-3be923f1bad0"]][{3, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[
              0.8627450980392157, 0.0784313725490196, 0.23529411764705882`], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "fe0bab9c-40f4-4bb0-8764-3be923f1bad0"]][{4, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[
              0.8627450980392157, 0.0784313725490196, 0.23529411764705882`], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "fe0bab9c-40f4-4bb0-8764-3be923f1bad0"]][{4, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[
              0.8627450980392157, 0.0784313725490196, 0.23529411764705882`], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "fe0bab9c-40f4-4bb0-8764-3be923f1bad0"]][{4, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[
              0.8627450980392157, 0.0784313725490196, 0.23529411764705882`], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "fe0bab9c-40f4-4bb0-8764-3be923f1bad0"]][{4, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[
              0.8627450980392157, 0.0784313725490196, 0.23529411764705882`], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "fe0bab9c-40f4-4bb0-8764-3be923f1bad0"]][{5, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[
              0.8627450980392157, 0.0784313725490196, 0.23529411764705882`], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["18"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "fe0bab9c-40f4-4bb0-8764-3be923f1bad0"]][{5, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[
              0.8627450980392157, 0.0784313725490196, 0.23529411764705882`], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "fe0bab9c-40f4-4bb0-8764-3be923f1bad0"]][{5, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[
              0.8627450980392157, 0.0784313725490196, 0.23529411764705882`], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "fe0bab9c-40f4-4bb0-8764-3be923f1bad0"]][{5, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             RGBColor[
              0.8627450980392157, 0.0784313725490196, 0.23529411764705882`], 
             ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{213., {86.8837890625, 94.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{213., {86.8837890625, 94.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.865671802284203*^9, 3.865671944091549*^9, 
  3.866801194992156*^9, 3.881426205093545*^9},
 CellLabel->"Out[597]=",
 CellID->1796584048,ExpressionUUID->"d46dfc2c-7ff4-47b7-bc32-757e10911a88"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Option Inheritance", "Subsubsection",
 CellChangeTimes->{{3.865672039803303*^9, 3.86567204332863*^9}, {
  3.866802768558384*^9, 3.8668027712143993`*^9}},
 CellID->603159051,ExpressionUUID->"b0855fc0-ff65-4016-83d3-fddedf213162"],

Cell[TextData[{
 "Operations on Datasets pose their own set of issues for formatting. \
Suppose, for example, I have the ",
 Cell[BoxData[
 "businessDinghy"], "InlineCodeText",ExpressionUUID->
  "4a18412f-9f73-4348-96da-af50187f120c"],
 " ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " and want to look at only women. What you can see is that, at least through \
Version 13.l, the derivative ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " does not inherit options from its parent. "
}], "Text",
 CellChangeTimes->{{3.865672048178978*^9, 3.865672159362125*^9}, {
   3.865672191581086*^9, 3.865672197567045*^9}, 3.8656723025268793`*^9, 
   3.866897472319276*^9, {3.8679283573416157`*^9, 3.8679283820436497`*^9}, {
   3.8711266862964816`*^9, 3.871126712877616*^9}, {3.872254284609346*^9, 
   3.8722542847079687`*^9}},
 CellTags->"i:46",
 CellID->1177705712,ExpressionUUID->"a4ca5ef9-033e-4a70-b1c4-43d09523f231"],

Cell[TextData[{
 "Compare the original ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " with formatting to the derived ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " in which formatting is lost:"
}], "CodeText",
 CellChangeTimes->{{3.86680284101742*^9, 3.866802863983605*^9}, 
   3.8679283938723373`*^9},
 CellID->313828974,ExpressionUUID->"98927e9b-bc21-4d04-8fda-ae4243cd2dcf"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"businessDinghy", ",", 
   RowBox[{
    RowBox[{"Query", "[", 
     RowBox[{"Select", "[", 
      RowBox[{
       RowBox[{"#sex", "\[Equal]", "\"\<female\>\""}], "&"}], "]"}], "]"}], 
    "[", "businessDinghy", "]"}]}], "}"}]], "Input",
 CellChangeTimes->{{3.8656721092945633`*^9, 3.865672132227685*^9}, {
  3.866801236516464*^9, 3.866801236618679*^9}, {3.866802817996415*^9, 
  3.866802838310163*^9}},
 CellLabel->"In[598]:=",
 CellID->2108429712,ExpressionUUID->"9c60063d-7a48-4afd-a858-29c42aafb293"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   TagBox[
    TagBox[
     DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
      "InitialData" -> {<|
         "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
          True|>, <|
         "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> 
          False|>, <|
         "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
          False|>, <|
         "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
          True|>, <|
         "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
          False|>}, "AllowEmbedding" -> True, "InitialShape" -> 
       TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 
          1, {All, "age"} -> 1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
         TypeSystem`PackageScope`Limited[
          TypeSystem`PackageScope`ColumnShape[
           TypeSystem`PackageScope`Limited[
            
            TypeSystem`PackageScope`RowShape[<|
             "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
              TypeSystem`PackageScope`AtomShape[34], "sex" -> 
              TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
              TypeSystem`PackageScope`AtomShape[36]|>], 
            DirectedInfinity[1], 4, {All}]], 8, 
          DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
         TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
           TypeSystem`Atom[
            TypeSystem`Enumeration["1st", "3rd"]], 
           TypeSystem`Atom[Integer], 
           TypeSystem`Atom[
            TypeSystem`Enumeration["female", "male"]], 
           TypeSystem`Atom[TypeSystem`Boolean]}], 5], 
       "Meta" -> <|$CellContext`DatasetTheme -> {
          "ColumnDividers", "VerticalColumnHeaders", "Business"}|>, 
       "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
       TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 
          1, {All, "age"} -> 1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
         TypeSystem`PackageScope`Limited[
          TypeSystem`PackageScope`ColumnShape[
           TypeSystem`PackageScope`Limited[
            
            TypeSystem`PackageScope`RowShape[<|
             "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
              TypeSystem`PackageScope`AtomShape[34], "sex" -> 
              TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
              TypeSystem`PackageScope`AtomShape[36]|>], 
            DirectedInfinity[1], 4, {All}]], 8, 
          DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
         TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
           TypeSystem`Atom[
            TypeSystem`Enumeration["1st", "3rd"]], 
           TypeSystem`Atom[Integer], 
           TypeSystem`Atom[
            TypeSystem`Enumeration["female", "male"]], 
           TypeSystem`Atom[TypeSystem`Boolean]}], 5], "Path" -> {}, 
       "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
       5, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
       "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
      TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
      TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
      TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
      TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
      TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
      DynamicModule[{
       TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
          Style[
           Grid[{{
              Item[
               Pane[
                Annotation[
                 EventHandler[
                  MouseAppearance[
                   Mouseover[
                    Rotate[
                    Row[{
                    Spacer[2], "class"}], 90 Degree], 
                    Style[
                    Rotate[
                    Row[{
                    Spacer[2], "class"}], 90 Degree], FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                  If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "class"}, 1]]], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "0695d936-c4b9-45ea-bf12-fd035648ca61"]][{All, "class"}, 
                  "ColumnHeader", True], "Mouse"], 
                ImageSize -> {{1, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}, 
                Alignment -> {Center, Bottom}], BaseStyle -> Directive[
                 
                 RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                  0.8980392156862745}]], Alignment -> {Center, Bottom}, 
               Background -> 
               RGBColor[{0.788235294117647, 0.8392156862745098, 
                 0.9647058823529412}], Frame -> {{Automatic, 
                  GrayLevel[0.75]}, {None, None}}, Background -> 
               GrayLevel[0.95], Alignment -> {Left, Baseline}], 
              Item[
               Pane[
                Annotation[
                 EventHandler[
                  MouseAppearance[
                   Mouseover[
                    Rotate[
                    Row[{
                    Spacer[2], "age"}], 90 Degree], 
                    Style[
                    Rotate[
                    Row[{
                    Spacer[2], "age"}], 90 Degree], FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                  If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "age"}, 1]]], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "0695d936-c4b9-45ea-bf12-fd035648ca61"]][{All, "age"}, 
                  "ColumnHeader", True], "Mouse"], 
                ImageSize -> {{1, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}, 
                Alignment -> {Center, Bottom}], BaseStyle -> Directive[
                 
                 RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                  0.8980392156862745}]], Alignment -> {Center, Bottom}, 
               Background -> 
               RGBColor[{0.788235294117647, 0.8392156862745098, 
                 0.9647058823529412}], Frame -> {{
                  GrayLevel[0.75], 
                  GrayLevel[0.75]}, {None, None}}, Background -> 
               GrayLevel[0.95], Alignment -> {Left, Baseline}], 
              Item[
               Pane[
                Annotation[
                 EventHandler[
                  MouseAppearance[
                   Mouseover[
                    Rotate[
                    Row[{
                    Spacer[2], "sex"}], 90 Degree], 
                    Style[
                    Rotate[
                    Row[{
                    Spacer[2], "sex"}], 90 Degree], FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                  If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "sex"}, 1]]], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "0695d936-c4b9-45ea-bf12-fd035648ca61"]][{All, "sex"}, 
                  "ColumnHeader", True], "Mouse"], 
                ImageSize -> {{1, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}, 
                Alignment -> {Center, Bottom}], BaseStyle -> Directive[
                 
                 RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                  0.8980392156862745}]], Alignment -> {Center, Bottom}, 
               Background -> 
               RGBColor[{0.788235294117647, 0.8392156862745098, 
                 0.9647058823529412}], Frame -> {{
                  GrayLevel[0.75], 
                  GrayLevel[0.75]}, {None, None}}, Background -> 
               GrayLevel[0.95], Alignment -> {Left, Baseline}], 
              Item[
               Pane[
                Annotation[
                 EventHandler[
                  MouseAppearance[
                   Mouseover[
                    Rotate[
                    Row[{
                    Spacer[2], "survived"}], 90 Degree], 
                    Style[
                    Rotate[
                    Row[{
                    Spacer[2], "survived"}], 90 Degree], FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                  If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "survived"}, 1]]], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "0695d936-c4b9-45ea-bf12-fd035648ca61"]][{All, "survived"}, 
                  "ColumnHeader", True], "Mouse"], 
                ImageSize -> {{1, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}, 
                Alignment -> {Center, Bottom}], BaseStyle -> Directive[
                 
                 RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                  0.8980392156862745}]], Alignment -> {Center, Bottom}, 
               Background -> 
               RGBColor[{0.788235294117647, 0.8392156862745098, 
                 0.9647058823529412}], Frame -> {{
                  GrayLevel[0.75], Automatic}, {None, None}}, Background -> 
               GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
              Item[
               Pane[
                Annotation["3rd", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "0695d936-c4b9-45ea-bf12-fd035648ca61"]][{1, 
                   Key["class"]}, "Item", False], "Mouse"], 
                ImageSize -> {{31.5, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.9], Frame -> {{Automatic, 
                  GrayLevel[0.75]}, {None, None}}, 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["16"], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "0695d936-c4b9-45ea-bf12-fd035648ca61"]][{1, 
                   Key["age"]}, "Item", False], "Mouse"], 
                ImageSize -> {{34, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.9], Frame -> {{
                  GrayLevel[0.75], 
                  GrayLevel[0.75]}, {None, None}}, 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation["female", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "0695d936-c4b9-45ea-bf12-fd035648ca61"]][{1, 
                   Key["sex"]}, "Item", False], "Mouse"], 
                ImageSize -> {{63., Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.9], Frame -> {{
                  GrayLevel[0.75], 
                  GrayLevel[0.75]}, {None, None}}, 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["True"], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "0695d936-c4b9-45ea-bf12-fd035648ca61"]][{1, 
                   Key["survived"]}, "Item", False], "Mouse"], 
                ImageSize -> {{36, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.9], Frame -> {{
                  GrayLevel[0.75], Automatic}, {None, None}}, 
               ItemSize -> {Full, Automatic}]}, {
              Item[
               Pane[
                Annotation["1st", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "0695d936-c4b9-45ea-bf12-fd035648ca61"]][{2, 
                   Key["class"]}, "Item", False], "Mouse"], 
                ImageSize -> {{31.5, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.9], Frame -> {{Automatic, 
                  GrayLevel[0.75]}, {None, None}}, 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["65"], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "0695d936-c4b9-45ea-bf12-fd035648ca61"]][{2, 
                   Key["age"]}, "Item", False], "Mouse"], 
                ImageSize -> {{34, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.9], Frame -> {{
                  GrayLevel[0.75], 
                  GrayLevel[0.75]}, {None, None}}, 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation["male", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "0695d936-c4b9-45ea-bf12-fd035648ca61"]][{2, 
                   Key["sex"]}, "Item", False], "Mouse"], 
                ImageSize -> {{63., Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.9], Frame -> {{
                  GrayLevel[0.75], 
                  GrayLevel[0.75]}, {None, None}}, 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["False"], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "0695d936-c4b9-45ea-bf12-fd035648ca61"]][{2, 
                   Key["survived"]}, "Item", False], "Mouse"], 
                ImageSize -> {{36, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.9], Frame -> {{
                  GrayLevel[0.75], Automatic}, {None, None}}, 
               ItemSize -> {Full, Automatic}]}, {
              Item[
               Pane[
                Annotation["3rd", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "0695d936-c4b9-45ea-bf12-fd035648ca61"]][{3, 
                   Key["class"]}, "Item", False], "Mouse"], 
                ImageSize -> {{31.5, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.9], Frame -> {{Automatic, 
                  GrayLevel[0.75]}, {None, None}}, 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["2"], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "0695d936-c4b9-45ea-bf12-fd035648ca61"]][{3, 
                   Key["age"]}, "Item", False], "Mouse"], 
                ImageSize -> {{34, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.9], Frame -> {{
                  GrayLevel[0.75], 
                  GrayLevel[0.75]}, {None, None}}, 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation["female", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "0695d936-c4b9-45ea-bf12-fd035648ca61"]][{3, 
                   Key["sex"]}, "Item", False], "Mouse"], 
                ImageSize -> {{63., Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.9], Frame -> {{
                  GrayLevel[0.75], 
                  GrayLevel[0.75]}, {None, None}}, 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["False"], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "0695d936-c4b9-45ea-bf12-fd035648ca61"]][{3, 
                   Key["survived"]}, "Item", False], "Mouse"], 
                ImageSize -> {{36, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.9], Frame -> {{
                  GrayLevel[0.75], Automatic}, {None, None}}, 
               ItemSize -> {Full, Automatic}]}, {
              Item[
               Pane[
                Annotation["3rd", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "0695d936-c4b9-45ea-bf12-fd035648ca61"]][{4, 
                   Key["class"]}, "Item", False], "Mouse"], 
                ImageSize -> {{31.5, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.9], Frame -> {{Automatic, 
                  GrayLevel[0.75]}, {None, None}}, 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 Style["\[LongDash]", 
                  GrayLevel[0.75]], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "0695d936-c4b9-45ea-bf12-fd035648ca61"]][{4, 
                   Key["age"]}, "Item", False], "Mouse"], 
                ImageSize -> {{34, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.9], Frame -> {{
                  GrayLevel[0.75], 
                  GrayLevel[0.75]}, {None, None}}, 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation["female", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "0695d936-c4b9-45ea-bf12-fd035648ca61"]][{4, 
                   Key["sex"]}, "Item", False], "Mouse"], 
                ImageSize -> {{63., Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.9], Frame -> {{
                  GrayLevel[0.75], 
                  GrayLevel[0.75]}, {None, None}}, 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["True"], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "0695d936-c4b9-45ea-bf12-fd035648ca61"]][{4, 
                   Key["survived"]}, "Item", False], "Mouse"], 
                ImageSize -> {{36, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.9], Frame -> {{
                  GrayLevel[0.75], Automatic}, {None, None}}, 
               ItemSize -> {Full, Automatic}]}, {
              Item[
               Pane[
                Annotation["3rd", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "0695d936-c4b9-45ea-bf12-fd035648ca61"]][{5, 
                   Key["class"]}, "Item", False], "Mouse"], 
                ImageSize -> {{31.5, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.9], Frame -> {{Automatic, 
                  GrayLevel[0.75]}, {None, None}}, 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["18"], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "0695d936-c4b9-45ea-bf12-fd035648ca61"]][{5, 
                   Key["age"]}, "Item", False], "Mouse"], 
                ImageSize -> {{34, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.9], Frame -> {{
                  GrayLevel[0.75], 
                  GrayLevel[0.75]}, {None, None}}, 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation["female", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "0695d936-c4b9-45ea-bf12-fd035648ca61"]][{5, 
                   Key["sex"]}, "Item", False], "Mouse"], 
                ImageSize -> {{63., Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.9], Frame -> {{
                  GrayLevel[0.75], 
                  GrayLevel[0.75]}, {None, None}}, 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["False"], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "0695d936-c4b9-45ea-bf12-fd035648ca61"]][{5, 
                   Key["survived"]}, "Item", False], "Mouse"], 
                ImageSize -> {{36, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.9], Frame -> {{
                  GrayLevel[0.75], Automatic}, {None, None}}, 
               ItemSize -> {Full, Automatic}]}}, 
            BaseStyle -> {
             ContextMenu -> 
              Dynamic[TypeSystem`NestedGrid`PackagePrivate`$\
contextMenuTrigger; 
                Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                  TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                  TypeSystem`NestedGrid`PackagePrivate`$\
lastContextMenuTrigger, TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu,
                   True, TypeSystem`NestedGrid`PackagePrivate`$\
lastContextMenuTrigger = 
                   TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                  TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                   Block[{TypeSystem`NestedGrid`PackagePrivate`$\
globalScrollPos = {TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                    
                    With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
              "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Frame -> 
            RGBColor[{0.3411764705882353, 0.49411764705882355`, 
              0.8980392156862745}], FrameStyle -> 
            GrayLevel[0.7490196078431373], Spacings -> {0, 0}, Alignment -> 
            Left, BaseStyle -> {
             FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
              Plain}], LineBreakWithin -> False, ContextMenu -> {}, 
           NumberMarks -> False, ShowAutoStyles -> False]], 
        TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
       Dynamic[
        TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
        TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
           Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
           
           Module[{TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
             TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
             TypeSystem`NestedGrid`PackagePrivate`datasetData[
              TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
               FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
               TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
               TypeSystem`NestedGrid`PackagePrivate`renderGrid[
               TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
               TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
              Not[
               FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
              TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
              TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
         TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
         TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
         TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
           FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
           TypeSystem`SparseGrid[
            TypeSystem`H["(data no longer present)"]], 
           TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
        TrackedSymbols :> {
         TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
          TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
       DynamicModuleValues :> {}], 
      TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
       TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
        TypeSystem`PackageScope`SubViewPathbar[
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
         TypeSystem`NestedGrid`PackagePrivate`updateState[
         TypeSystem`NestedGrid`PackagePrivate`$state$$, 
          TypeSystem`NestedGrid`PackagePrivate`$path$$, 
          TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
          TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
          TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
       TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
      TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
       Framed[
        Dynamic[
         Replace[
         TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
          TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
             TypeSystem`NestedGrid`PackagePrivate`localHold[
             TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
             Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
             TypeSystem`NestedGrid`PackagePrivate`localHold[
             TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
              Blank[]], 
             Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
              Blank[]], 
             Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
              Blank[]]] :> (
            Increment[
             TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
            TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
             TypeSystem`NestedGrid`PackagePrivate`path$; 
            TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
             TypeSystem`NestedGrid`PackagePrivate`pathType$; 
            TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
             TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
            TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
             TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
            TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
             TypeSystem`NestedGrid`PackagePrivate`path$, 
              TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
           Spacer[10], Blank[] :> Spacer[10]}], 
         TrackedSymbols :> {
          TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], 
        FrameStyle -> None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> 
        Top, ImageSize -> {Automatic, 15}], FontSize -> 1], 
      TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
      DynamicWrapperBox[
       DynamicBox[ToBoxes[
         Dataset`DatasetContent[
         2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
          "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], 
          "State" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], 
          "VPos" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], 
          "HPos" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], 
          "TopBar" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], 
          "BottomBar" -> 
          Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
          Hold[
            TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
        ImageSizeCache->{199., {103.3837890625, 110.6162109375}},
        TrackedSymbols:>{
         TypeSystem`NestedGrid`PackagePrivate`$state$$, 
          TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
       MouseAnnotation[],
       ImageSizeCache->{199., {103.3837890625, 110.6162109375}}],
      BaseStyle->{LineBreakWithin -> False},
      DynamicModuleValues:>{},
      Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
       CreateUUID[]),
      UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
     Deploy,
     DefaultBaseStyle->"Deploy"],
    Dataset`InterpretDataset[1],
    Editable->False,
    SelectWithContents->True,
    Selectable->False], ",", 
   TagBox[
    TagBox[
     DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
      "InitialData" -> {<|
         "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
          True|>, <|
         "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
          False|>, <|
         "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
          True|>, <|
         "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
          False|>}, "AllowEmbedding" -> True, "InitialShape" -> 
       TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 
          1, {All, "age"} -> 1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
         TypeSystem`PackageScope`Limited[
          TypeSystem`PackageScope`ColumnShape[
           TypeSystem`PackageScope`Limited[
            
            TypeSystem`PackageScope`RowShape[<|
             "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
              TypeSystem`PackageScope`AtomShape[34], "sex" -> 
              TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
              TypeSystem`PackageScope`AtomShape[36]|>], 
            DirectedInfinity[1], 4, {All}]], 8, 
          DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
         TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
           TypeSystem`Atom[
            TypeSystem`Enumeration["3rd"]], 
           TypeSystem`Atom[Integer], 
           TypeSystem`Atom[
            TypeSystem`Enumeration["female"]], 
           TypeSystem`Atom[TypeSystem`Boolean]}], 4], "Meta" -> <||>, 
       "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
       TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 
          1, {All, "age"} -> 1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
         TypeSystem`PackageScope`Limited[
          TypeSystem`PackageScope`ColumnShape[
           TypeSystem`PackageScope`Limited[
            
            TypeSystem`PackageScope`RowShape[<|
             "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
              TypeSystem`PackageScope`AtomShape[34], "sex" -> 
              TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
              TypeSystem`PackageScope`AtomShape[36]|>], 
            DirectedInfinity[1], 4, {All}]], 8, 
          DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
         TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
           TypeSystem`Atom[
            TypeSystem`Enumeration["3rd"]], 
           TypeSystem`Atom[Integer], 
           TypeSystem`Atom[
            TypeSystem`Enumeration["female"]], 
           TypeSystem`Atom[TypeSystem`Boolean]}], 4], "Path" -> {}, 
       "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
       4, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
       "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
      TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
      TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
      TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
      TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
      TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
      DynamicModule[{
       TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
          Style[
           Grid[{{
              Item[
               Pane[
                Annotation[
                 EventHandler[
                  MouseAppearance[
                   Mouseover["class", 
                    Style[
                    "class", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                  If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "class"}, 1]]], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "90ca7824-aedb-4837-946b-ef9e83ff95ec"]][{All, "class"}, 
                  "ColumnHeader", True], "Mouse"], 
                ImageSize -> {{1, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.95], Alignment -> {Left, Baseline}], 
              Item[
               Pane[
                Annotation[
                 EventHandler[
                  MouseAppearance[
                   Mouseover["age", 
                    Style[
                    "age", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                  If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "age"}, 1]]], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "90ca7824-aedb-4837-946b-ef9e83ff95ec"]][{All, "age"}, 
                  "ColumnHeader", True], "Mouse"], 
                ImageSize -> {{1, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.95], Alignment -> {Left, Baseline}], 
              Item[
               Pane[
                Annotation[
                 EventHandler[
                  MouseAppearance[
                   Mouseover["sex", 
                    Style[
                    "sex", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                  If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "sex"}, 1]]], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "90ca7824-aedb-4837-946b-ef9e83ff95ec"]][{All, "sex"}, 
                  "ColumnHeader", True], "Mouse"], 
                ImageSize -> {{1, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.95], Alignment -> {Left, Baseline}], 
              Item[
               Pane[
                Annotation[
                 EventHandler[
                  MouseAppearance[
                   Mouseover["survived", 
                    Style[
                    "survived", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                  If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "survived"}, 1]]], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "90ca7824-aedb-4837-946b-ef9e83ff95ec"]][{All, "survived"}, 
                  "ColumnHeader", True], "Mouse"], 
                ImageSize -> {{1, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
              Item[
               Pane[
                Annotation["3rd", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "90ca7824-aedb-4837-946b-ef9e83ff95ec"]][{1, 
                   Key["class"]}, "Item", False], "Mouse"], 
                ImageSize -> {{31.5, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["16"], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "90ca7824-aedb-4837-946b-ef9e83ff95ec"]][{1, 
                   Key["age"]}, "Item", False], "Mouse"], 
                ImageSize -> {{34, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation["female", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "90ca7824-aedb-4837-946b-ef9e83ff95ec"]][{1, 
                   Key["sex"]}, "Item", False], "Mouse"], 
                ImageSize -> {{63., Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["True"], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "90ca7824-aedb-4837-946b-ef9e83ff95ec"]][{1, 
                   Key["survived"]}, "Item", False], "Mouse"], 
                ImageSize -> {{36, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}]}, {
              Item[
               Pane[
                Annotation["3rd", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "90ca7824-aedb-4837-946b-ef9e83ff95ec"]][{2, 
                   Key["class"]}, "Item", False], "Mouse"], 
                ImageSize -> {{31.5, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["2"], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "90ca7824-aedb-4837-946b-ef9e83ff95ec"]][{2, 
                   Key["age"]}, "Item", False], "Mouse"], 
                ImageSize -> {{34, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation["female", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "90ca7824-aedb-4837-946b-ef9e83ff95ec"]][{2, 
                   Key["sex"]}, "Item", False], "Mouse"], 
                ImageSize -> {{63., Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["False"], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "90ca7824-aedb-4837-946b-ef9e83ff95ec"]][{2, 
                   Key["survived"]}, "Item", False], "Mouse"], 
                ImageSize -> {{36, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}]}, {
              Item[
               Pane[
                Annotation["3rd", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "90ca7824-aedb-4837-946b-ef9e83ff95ec"]][{3, 
                   Key["class"]}, "Item", False], "Mouse"], 
                ImageSize -> {{31.5, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 Style["\[LongDash]", 
                  GrayLevel[0.75]], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "90ca7824-aedb-4837-946b-ef9e83ff95ec"]][{3, 
                   Key["age"]}, "Item", False], "Mouse"], 
                ImageSize -> {{34, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation["female", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "90ca7824-aedb-4837-946b-ef9e83ff95ec"]][{3, 
                   Key["sex"]}, "Item", False], "Mouse"], 
                ImageSize -> {{63., Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["True"], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "90ca7824-aedb-4837-946b-ef9e83ff95ec"]][{3, 
                   Key["survived"]}, "Item", False], "Mouse"], 
                ImageSize -> {{36, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}]}, {
              Item[
               Pane[
                Annotation["3rd", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "90ca7824-aedb-4837-946b-ef9e83ff95ec"]][{4, 
                   Key["class"]}, "Item", False], "Mouse"], 
                ImageSize -> {{31.5, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["18"], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "90ca7824-aedb-4837-946b-ef9e83ff95ec"]][{4, 
                   Key["age"]}, "Item", False], "Mouse"], 
                ImageSize -> {{34, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation["female", 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "90ca7824-aedb-4837-946b-ef9e83ff95ec"]][{4, 
                   Key["sex"]}, "Item", False], "Mouse"], 
                ImageSize -> {{63., Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["False"], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "90ca7824-aedb-4837-946b-ef9e83ff95ec"]][{4, 
                   Key["survived"]}, "Item", False], "Mouse"], 
                ImageSize -> {{36, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}]}}, 
            BaseStyle -> {
             ContextMenu -> 
              Dynamic[TypeSystem`NestedGrid`PackagePrivate`$\
contextMenuTrigger; 
                Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                  TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                  TypeSystem`NestedGrid`PackagePrivate`$\
lastContextMenuTrigger, TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu,
                   True, TypeSystem`NestedGrid`PackagePrivate`$\
lastContextMenuTrigger = 
                   TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                  TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                   Block[{TypeSystem`NestedGrid`PackagePrivate`$\
globalScrollPos = {TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                    
                    With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
              "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, 
            Dividers -> All, FrameStyle -> GrayLevel[0.7490196078431373], 
            Spacings -> {0, 0}, Alignment -> Left, 
            BaseStyle -> {
             FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
              Plain}], LineBreakWithin -> False, ContextMenu -> {}, 
           NumberMarks -> False, ShowAutoStyles -> False]], 
        TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
       Dynamic[
        TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
        TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
           Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
           
           Module[{TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
             TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
             TypeSystem`NestedGrid`PackagePrivate`datasetData[
              TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
               FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
               TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
               TypeSystem`NestedGrid`PackagePrivate`renderGrid[
               TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
               TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
              Not[
               FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
              TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
              TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
         TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
         TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
         TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
           FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
           TypeSystem`SparseGrid[
            TypeSystem`H["(data no longer present)"]], 
           TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
        TrackedSymbols :> {
         TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
          TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
       DynamicModuleValues :> {}], 
      TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
       TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
        TypeSystem`PackageScope`SubViewPathbar[
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
         TypeSystem`NestedGrid`PackagePrivate`updateState[
         TypeSystem`NestedGrid`PackagePrivate`$state$$, 
          TypeSystem`NestedGrid`PackagePrivate`$path$$, 
          TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
          TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
          TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
       TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
      TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
       Framed[
        Dynamic[
         Replace[
         TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
          TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
             TypeSystem`NestedGrid`PackagePrivate`localHold[
             TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
             Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
             TypeSystem`NestedGrid`PackagePrivate`localHold[
             TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
              Blank[]], 
             Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
              Blank[]], 
             Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
              Blank[]]] :> (
            Increment[
             TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
            TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
             TypeSystem`NestedGrid`PackagePrivate`path$; 
            TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
             TypeSystem`NestedGrid`PackagePrivate`pathType$; 
            TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
             TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
            TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
             TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
            TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
             TypeSystem`NestedGrid`PackagePrivate`path$, 
              TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
           Spacer[10], Blank[] :> Spacer[10]}], 
         TrackedSymbols :> {
          TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], 
        FrameStyle -> None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> 
        Top, ImageSize -> {Automatic, 15}], FontSize -> 1], 
      TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
      DynamicWrapperBox[
       DynamicBox[ToBoxes[
         Dataset`DatasetContent[
         2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
          "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], 
          "State" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], 
          "VPos" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], 
          "HPos" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], 
          "TopBar" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], 
          "BottomBar" -> 
          Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
          Hold[
            TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
        ImageSizeCache->{213., {73.3837890625, 80.6162109375}},
        TrackedSymbols:>{
         TypeSystem`NestedGrid`PackagePrivate`$state$$, 
          TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
       MouseAnnotation[],
       ImageSizeCache->{213., {73.3837890625, 80.6162109375}}],
      BaseStyle->{LineBreakWithin -> False},
      DynamicModuleValues:>{},
      Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
       CreateUUID[]),
      UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
     Deploy,
     DefaultBaseStyle->"Deploy"],
    Dataset`InterpretDataset[1],
    Editable->False,
    SelectWithContents->True,
    Selectable->False]}], "}"}]], "Output",
 CellChangeTimes->{{3.865672125607707*^9, 3.865672132664118*^9}, 
   3.866801195157104*^9, 3.866801237175848*^9, {3.866802821341379*^9, 
   3.8668028386856737`*^9}, 3.881426211388957*^9},
 CellTags->"LastCellOfAPage",
 CellLabel->"Out[598]=",
 CellID->943812708,ExpressionUUID->"1a51dd4c-e090-449c-a206-06c47c4ae023"]
}, Open  ]],

Cell[TextData[{
 "I can replicate the formatting of the original, however, without too much \
difficulty by using ",
 ButtonBox["Options",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Options.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Options.html"],
 " to grab the format settings from the underlying ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " and then using them as arguments to the ",
 ButtonBox["FormatDataset",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
FormatDataset"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/\
FormatDataset"],
 " ",
 ButtonBox["ResourceFunction",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ResourceFunction.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/ResourceFunction.html"],
 "."
}], "Text",
 CellChangeTimes->{{3.865672179829567*^9, 3.865672206320272*^9}, {
   3.865672252511442*^9, 3.865672296131926*^9}, {3.865675219518546*^9, 
   3.86567522918445*^9}, 3.86680277931989*^9, 3.866897482199251*^9, {
   3.867928414099835*^9, 3.867928431732884*^9}, {3.8699211377398243`*^9, 
   3.869921158688343*^9}, {3.871126741894579*^9, 3.8711267436335526`*^9}},
 CellTags->{"i:47", "p: 179"},
 CellID->1664296265,ExpressionUUID->"65feb1ec-c60b-44fa-88a1-3e9b409217a4"],

Cell[TextData[{
 "Use ",
 ButtonBox["Options",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Options.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Options.html"],
 " to yield the presentation options from the ",
 Cell[BoxData[
 "businessDinghy"], "InlineCode",ExpressionUUID->
  "ed432154-946f-4034-90b8-d56c81b0e5c5"],
 " ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.866897488939735*^9, 3.866897528474723*^9}},
 CellID->508175520,ExpressionUUID->"54491948-a71c-4bfb-85d5-0fac1a0ce5f5"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"bdOpts", "=", 
  RowBox[{"Options", "[", "businessDinghy", "]"}]}]], "Input",
 CellChangeTimes->{{3.865672168018176*^9, 3.865672172725959*^9}, {
  3.8668028896551933`*^9, 3.86680289089118*^9}},
 CellLabel->"In[599]:=",
 CellID->658533178,ExpressionUUID->"b755714c-e3e3-492c-ba5a-6eb866c1a3c1"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"DatasetTheme", "\[Rule]", 
   RowBox[{"{", 
    RowBox[{"\<\"ColumnDividers\"\>", ",", "\<\"VerticalColumnHeaders\"\>", 
     ",", "\<\"Business\"\>"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.865672173207707*^9, 3.86680119527029*^9, 
  3.866802891484017*^9, 3.881426218045319*^9},
 CellLabel->"Out[599]=",
 CellID->687424149,ExpressionUUID->"1e51c68e-6deb-42f2-b9a4-aa1ace84501d"]
}, Open  ]],

Cell[TextData[{
 "Use ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " with ",
 ButtonBox["Select",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Select.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Select.html"],
 " to get just the female passengers in ",
 Cell[BoxData[
 "businessDinghy"], "InlineCode",ExpressionUUID->
  "1a718fe0-1d04-471f-a61d-482747974878"],
 "; use ",
 ButtonBox["FormatDataset",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
FormatDataset"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/\
FormatDataset"],
 " to format the result using options from the original ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.866897546044263*^9, 3.8668975794061117`*^9}, {
   3.8668976731422462`*^9, 3.866897700057425*^9}, 3.86792847749297*^9, {
   3.869921164022176*^9, 3.8699211732474813`*^9}},
 CellID->618135577,ExpressionUUID->"7a6d696d-5827-4f41-a750-ad889f2adc7f"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Query", "[", 
    RowBox[{"Select", "[", 
     RowBox[{
      RowBox[{"#sex", "\[Equal]", "\"\<female\>\""}], "&"}], "]"}], "]"}], 
   "[", "businessDinghy", "]"}], "//", 
  RowBox[{
   InterpretationBox[
    TagBox[
     DynamicModuleBox[{Typeset`open = False}, 
      FrameBox[
       PaneSelectorBox[{False->GridBox[{
          {
           PaneBox[GridBox[{
              {
               StyleBox[
                StyleBox[
                 AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                  BoxBaselineShift->-0.25,
                  BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                 
                 FontColor->RGBColor[
                  0.8745098039215686, 0.2784313725490196, 
                   0.03137254901960784]],
                ShowStringCharacters->False,
                FontFamily->"Source Sans Pro Black",
                FontSize->0.6538461538461539 Inherited,
                FontWeight->"Heavy",
                PrivateFontOptions->{"OperatorSubstitution"->False}], 
               StyleBox[
                RowBox[{
                 StyleBox["FormatDataset", "ResourceFunctionLabel"], " "}],
                ShowAutoStyles->False,
                ShowStringCharacters->False,
                FontSize->Rational[12, 13] Inherited,
                FontColor->GrayLevel[0.1]]}
             },
             GridBoxSpacings->{"Columns" -> {{0.25}}}],
            Alignment->Left,
            BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
            BaselinePosition->Baseline,
            FrameMargins->{{3, 0}, {0, 0}}], 
           ItemBox[
            PaneBox[
             TogglerBox[Dynamic[Typeset`open], {True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeCloser"],
               ImageSizeCache->{11., {2., 9.}}], False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeOpener"],
               ImageSizeCache->{11., {2., 9.}}]},
              Appearance->None,
              BaselinePosition->Baseline,
              ContentPadding->False,
              FrameMargins->0],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{1, 1}, {0, 0}}],
            Frame->{{
               RGBColor[
               0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                0.5], False}, {False, False}}]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
         GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
        GridBox[{
          {GridBox[{
             {
              PaneBox[GridBox[{
                 {
                  StyleBox[
                   StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                   ShowStringCharacters->False,
                   FontFamily->"Source Sans Pro Black",
                   FontSize->0.6538461538461539 Inherited,
                   FontWeight->"Heavy",
                   PrivateFontOptions->{"OperatorSubstitution"->False}], 
                  StyleBox[
                   RowBox[{
                    StyleBox["FormatDataset", "ResourceFunctionLabel"], " "}],
                   ShowAutoStyles->False,
                   ShowStringCharacters->False,
                   FontSize->Rational[12, 13] Inherited,
                   FontColor->GrayLevel[0.1]]}
                },
                GridBoxSpacings->{"Columns" -> {{0.25}}}],
               Alignment->Left,
               BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
               BaselinePosition->Baseline,
               FrameMargins->{{3, 0}, {0, 0}}], 
              ItemBox[
               PaneBox[
                TogglerBox[Dynamic[Typeset`open], {True->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeCloser"]], False->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeOpener"]]},
                 Appearance->None,
                 BaselinePosition->Baseline,
                 ContentPadding->False,
                 FrameMargins->0],
                Alignment->Left,
                BaselinePosition->Baseline,
                FrameMargins->{{1, 1}, {0, 0}}],
               Frame->{{
                  RGBColor[
                  0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                   0.5], False}, {False, False}}]}
            },
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
          {
           StyleBox[
            PaneBox[GridBox[{
               {
                RowBox[{
                 TagBox["\<\"Version (latest): \"\>",
                  "IconizedLabel"], " ", 
                 TagBox["\<\"1.0.0\"\>",
                  "IconizedItem"]}]},
               {
                TagBox[
                 
                 TemplateBox[{
                  "\"Documentation \[RightGuillemet]\"", 
                   "https://resources.wolframcloud.com/FunctionRepository/\
resources/FormatDataset"},
                  "HyperlinkURL"],
                 "IconizedItem"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
            FontFamily->"Roboto",
            FontSize->11]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
              GrayLevel[0.8]}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
        Typeset`open],
        BaselinePosition->Baseline,
        ImageSize->Automatic],
       Background->RGBColor[
        0.9686274509803922, 0.9764705882352941, 0.984313725490196],
       BaselinePosition->Baseline,
       DefaultBaseStyle->{},
       FrameMargins->{{0, 0}, {1, 0}},
       FrameStyle->RGBColor[
        0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
       RoundingRadius->4]],
     {"FunctionResourceBox", 
      RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
      "FormatDataset"},
     TagBoxNote->"FunctionResourceBox"],
    ResourceFunction[
     ResourceObject[<|
      "Name" -> "FormatDataset", "ShortName" -> "FormatDataset", "UUID" -> 
       "76670bca-1587-4e7e-9e89-5b698a30759d", "ResourceType" -> "Function", 
       "Version" -> "1.0.0", "Description" -> 
       "Format a dataset using a given set of option values", 
       "RepositoryLocation" -> 
       URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
       "SymbolName" -> 
       "FunctionRepository`$66a3086203b4405b88cdb0de8a5c3128`FormatDataset", 
       "FunctionLocation" -> 
       CloudObject[
        "https://www.wolframcloud.com/obj/70389ad6-7dbc-48c8-b898-\
72c65c00f14e"]|>, ResourceSystemBase -> Automatic]],
    Selectable->False], "[", "bdOpts", "]"}]}]], "Input",
 CellChangeTimes->{{3.86567221115022*^9, 3.865672242198436*^9}, {
  3.866801242410652*^9, 3.866801242522049*^9}, {3.8668028940949574`*^9, 
  3.8668028957220173`*^9}, {3.866802937223672*^9, 3.866802940708641*^9}},
 CellLabel->"In[600]:=",
 CellID->799451658,ExpressionUUID->"b3ab07a4-9f5b-41cc-a213-23185b69a0b5"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        False|>}, "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 4], 
     "Meta" -> <|$CellContext`DatasetTheme -> {
        "ColumnDividers", "VerticalColumnHeaders", "Business"}|>, "RowTarget" -> 
     20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 4], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
     4, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  Rotate[
                   Row[{
                    Spacer[2], "class"}], 90 Degree], 
                  Style[
                   Rotate[
                    Row[{
                    Spacer[2], "class"}], 90 Degree], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d4d7a23b-217b-4f06-9a0a-7d7885db1dbf"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}, 
              Alignment -> {Center, Bottom}], BaseStyle -> Directive[
               
               RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                0.8980392156862745}]], Alignment -> {Center, Bottom}, 
             Background -> 
             RGBColor[{0.788235294117647, 0.8392156862745098, 
               0.9647058823529412}], Frame -> {{Automatic, 
                GrayLevel[0.75]}, {None, None}}, Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  Rotate[
                   Row[{
                    Spacer[2], "age"}], 90 Degree], 
                  Style[
                   Rotate[
                    Row[{
                    Spacer[2], "age"}], 90 Degree], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d4d7a23b-217b-4f06-9a0a-7d7885db1dbf"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}, 
              Alignment -> {Center, Bottom}], BaseStyle -> Directive[
               
               RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                0.8980392156862745}]], Alignment -> {Center, Bottom}, 
             Background -> 
             RGBColor[{0.788235294117647, 0.8392156862745098, 
               0.9647058823529412}], Frame -> {{
                GrayLevel[0.75], 
                GrayLevel[0.75]}, {None, None}}, Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  Rotate[
                   Row[{
                    Spacer[2], "sex"}], 90 Degree], 
                  Style[
                   Rotate[
                    Row[{
                    Spacer[2], "sex"}], 90 Degree], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d4d7a23b-217b-4f06-9a0a-7d7885db1dbf"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}, 
              Alignment -> {Center, Bottom}], BaseStyle -> Directive[
               
               RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                0.8980392156862745}]], Alignment -> {Center, Bottom}, 
             Background -> 
             RGBColor[{0.788235294117647, 0.8392156862745098, 
               0.9647058823529412}], Frame -> {{
                GrayLevel[0.75], 
                GrayLevel[0.75]}, {None, None}}, Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  Rotate[
                   Row[{
                    Spacer[2], "survived"}], 90 Degree], 
                  Style[
                   Rotate[
                    Row[{
                    Spacer[2], "survived"}], 90 Degree], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d4d7a23b-217b-4f06-9a0a-7d7885db1dbf"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}, 
              Alignment -> {Center, Bottom}], BaseStyle -> Directive[
               
               RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                0.8980392156862745}]], Alignment -> {Center, Bottom}, 
             Background -> 
             RGBColor[{0.788235294117647, 0.8392156862745098, 
               0.9647058823529412}], Frame -> {{
                GrayLevel[0.75], Automatic}, {None, None}}, Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d4d7a23b-217b-4f06-9a0a-7d7885db1dbf"]][{1, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{Automatic, 
                GrayLevel[0.75]}, {None, None}}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d4d7a23b-217b-4f06-9a0a-7d7885db1dbf"]][{1, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{
                GrayLevel[0.75], 
                GrayLevel[0.75]}, {None, None}}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d4d7a23b-217b-4f06-9a0a-7d7885db1dbf"]][{1, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{
                GrayLevel[0.75], 
                GrayLevel[0.75]}, {None, None}}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d4d7a23b-217b-4f06-9a0a-7d7885db1dbf"]][{1, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{
                GrayLevel[0.75], Automatic}, {None, None}}, 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d4d7a23b-217b-4f06-9a0a-7d7885db1dbf"]][{2, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{Automatic, 
                GrayLevel[0.75]}, {None, None}}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d4d7a23b-217b-4f06-9a0a-7d7885db1dbf"]][{2, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{
                GrayLevel[0.75], 
                GrayLevel[0.75]}, {None, None}}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d4d7a23b-217b-4f06-9a0a-7d7885db1dbf"]][{2, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{
                GrayLevel[0.75], 
                GrayLevel[0.75]}, {None, None}}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d4d7a23b-217b-4f06-9a0a-7d7885db1dbf"]][{2, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{
                GrayLevel[0.75], Automatic}, {None, None}}, 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d4d7a23b-217b-4f06-9a0a-7d7885db1dbf"]][{3, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{Automatic, 
                GrayLevel[0.75]}, {None, None}}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d4d7a23b-217b-4f06-9a0a-7d7885db1dbf"]][{3, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{
                GrayLevel[0.75], 
                GrayLevel[0.75]}, {None, None}}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d4d7a23b-217b-4f06-9a0a-7d7885db1dbf"]][{3, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{
                GrayLevel[0.75], 
                GrayLevel[0.75]}, {None, None}}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d4d7a23b-217b-4f06-9a0a-7d7885db1dbf"]][{3, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{
                GrayLevel[0.75], Automatic}, {None, None}}, 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d4d7a23b-217b-4f06-9a0a-7d7885db1dbf"]][{4, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{Automatic, 
                GrayLevel[0.75]}, {None, None}}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["18"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d4d7a23b-217b-4f06-9a0a-7d7885db1dbf"]][{4, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{
                GrayLevel[0.75], 
                GrayLevel[0.75]}, {None, None}}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d4d7a23b-217b-4f06-9a0a-7d7885db1dbf"]][{4, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{
                GrayLevel[0.75], 
                GrayLevel[0.75]}, {None, None}}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "d4d7a23b-217b-4f06-9a0a-7d7885db1dbf"]][{4, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{
                GrayLevel[0.75], Automatic}, {None, None}}, 
             ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[
             TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Frame -> 
          RGBColor[{0.3411764705882353, 0.49411764705882355`, 
            0.8980392156862745}], FrameStyle -> GrayLevel[0.7490196078431373],
           Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{199., {89.8837890625, 97.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{199., {89.8837890625, 97.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.865672244195258*^9, 3.866801195297876*^9, 
  3.8668012429265947`*^9, 3.8668028987855463`*^9, 3.866802941515007*^9, 
  3.881426222536137*^9},
 CellLabel->"Out[600]=",
 CellID->1266567662,ExpressionUUID->"ffe9aefa-d3ef-424e-b73e-a61421820dec"]
}, Open  ]],

Cell["\<\
For pedagogical purposes, I use two lines of code to accomplish inheritance, \
but you could write this as a one-liner:\
\>", "CodeText",
 CellChangeTimes->{{3.866802901516017*^9, 3.866803039351884*^9}, {
   3.8668030730991983`*^9, 3.8668031044814253`*^9}, {3.867928497317881*^9, 
   3.867928498851636*^9}, {3.8699244213993616`*^9, 3.8699244227040095`*^9}, {
   3.8722543737490625`*^9, 3.872254375847604*^9}, {3.872938580153132*^9, 
   3.872938584821434*^9}, {3.8729386402466383`*^9, 3.87293865139365*^9}, 
   3.8733854574027033`*^9, {3.896309733515499*^9, 3.8963097338674707`*^9}},
 CellID->1666289397,ExpressionUUID->"47b7df70-28d7-49bc-af26-ea8717a46b77"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"Query", "[", 
     RowBox[{"Select", "[", 
      RowBox[{
       RowBox[{"#sex", "\[Equal]", "\"\<female\>\""}], "&"}], "]"}], "]"}], 
    "[", "businessDinghy", "]"}], "//", 
   RowBox[{
    InterpretationBox[
     TagBox[
      DynamicModuleBox[{Typeset`open = False}, 
       FrameBox[
        PaneSelectorBox[{False->GridBox[{
           {
            PaneBox[GridBox[{
               {
                StyleBox[
                 StyleBox[
                  AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                   BoxBaselineShift->-0.25,
                   BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                  
                  FontColor->RGBColor[
                   0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                 ShowStringCharacters->False,
                 FontFamily->"Source Sans Pro Black",
                 FontSize->0.6538461538461539 Inherited,
                 FontWeight->"Heavy",
                 PrivateFontOptions->{"OperatorSubstitution"->False}], 
                StyleBox[
                 RowBox[{
                  StyleBox["FormatDataset", "ResourceFunctionLabel"], " "}],
                 ShowAutoStyles->False,
                 ShowStringCharacters->False,
                 FontSize->Rational[12, 13] Inherited,
                 FontColor->GrayLevel[0.1]]}
              },
              GridBoxSpacings->{"Columns" -> {{0.25}}}],
             Alignment->Left,
             BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
             BaselinePosition->Baseline,
             FrameMargins->{{3, 0}, {0, 0}}], 
            ItemBox[
             PaneBox[
              TogglerBox[Dynamic[Typeset`open], {True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "IconizeCloser"],
                ImageSizeCache->{11., {2., 9.}}], False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "IconizeOpener"],
                ImageSizeCache->{11., {2., 9.}}]},
               Appearance->None,
               BaselinePosition->Baseline,
               ContentPadding->False,
               FrameMargins->0],
              Alignment->Left,
              BaselinePosition->Baseline,
              FrameMargins->{{1, 1}, {0, 0}}],
             Frame->{{
                RGBColor[
                0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                 0.5], False}, {False, False}}]}
          },
          BaselinePosition->{1, 1},
          GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
         GridBox[{
           {GridBox[{
              {
               PaneBox[GridBox[{
                  {
                   StyleBox[
                    StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                    ShowStringCharacters->False,
                    FontFamily->"Source Sans Pro Black",
                    FontSize->0.6538461538461539 Inherited,
                    FontWeight->"Heavy",
                    PrivateFontOptions->{"OperatorSubstitution"->False}], 
                   StyleBox[
                    RowBox[{
                    StyleBox["FormatDataset", "ResourceFunctionLabel"], " "}],
                    ShowAutoStyles->False,
                    ShowStringCharacters->False,
                    FontSize->Rational[12, 13] Inherited,
                    FontColor->GrayLevel[0.1]]}
                 },
                 GridBoxSpacings->{"Columns" -> {{0.25}}}],
                Alignment->Left,
                BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
                BaselinePosition->Baseline,
                FrameMargins->{{3, 0}, {0, 0}}], 
               ItemBox[
                PaneBox[
                 TogglerBox[Dynamic[Typeset`open], {True->
                  
                  DynamicBox[FEPrivate`FrontEndResource[
                   "FEBitmaps", "IconizeCloser"]], False->
                  
                  DynamicBox[FEPrivate`FrontEndResource[
                   "FEBitmaps", "IconizeOpener"]]},
                  Appearance->None,
                  BaselinePosition->Baseline,
                  ContentPadding->False,
                  FrameMargins->0],
                 Alignment->Left,
                 BaselinePosition->Baseline,
                 FrameMargins->{{1, 1}, {0, 0}}],
                Frame->{{
                   RGBColor[
                   0.8313725490196079, 0.8470588235294118, 0.8509803921568627,
                     0.5], False}, {False, False}}]}
             },
             BaselinePosition->{1, 1},
             GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
           {
            StyleBox[
             PaneBox[GridBox[{
                {
                 RowBox[{
                  TagBox["\<\"Version (latest): \"\>",
                   "IconizedLabel"], " ", 
                  TagBox["\<\"1.0.0\"\>",
                   "IconizedItem"]}]},
                {
                 TagBox[
                  
                  TemplateBox[{
                   "\"Documentation \[RightGuillemet]\"", 
                    "https://resources.wolframcloud.com/FunctionRepository/\
resources/FormatDataset"},
                   "HyperlinkURL"],
                  "IconizedItem"]}
               },
               DefaultBaseStyle->"Column",
               GridBoxAlignment->{"Columns" -> {{Left}}},
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
              Alignment->Left,
              BaselinePosition->Baseline,
              FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
             FontFamily->"Roboto",
             FontSize->11]}
          },
          BaselinePosition->{1, 1},
          GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
          GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
               GrayLevel[0.8]}, False}},
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
         Typeset`open],
         BaselinePosition->Baseline,
         ImageSize->Automatic],
        Background->RGBColor[
         0.9686274509803922, 0.9764705882352941, 0.984313725490196],
        BaselinePosition->Baseline,
        DefaultBaseStyle->{},
        FrameMargins->{{0, 0}, {1, 0}},
        FrameStyle->RGBColor[
         0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
        RoundingRadius->4]],
      {"FunctionResourceBox", 
       RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
       "FormatDataset"},
      TagBoxNote->"FunctionResourceBox"],
     ResourceFunction[
      ResourceObject[<|
       "Name" -> "FormatDataset", "ShortName" -> "FormatDataset", "UUID" -> 
        "76670bca-1587-4e7e-9e89-5b698a30759d", "ResourceType" -> "Function", 
        "Version" -> "1.0.0", "Description" -> 
        "Format a dataset using a given set of option values", 
        "RepositoryLocation" -> 
        URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
        "SymbolName" -> 
        "FunctionRepository`$66a3086203b4405b88cdb0de8a5c3128`FormatDataset", 
        "FunctionLocation" -> 
        CloudObject[
         "https://www.wolframcloud.com/obj/70389ad6-7dbc-48c8-b898-\
72c65c00f14e"]|>, ResourceSystemBase -> Automatic]],
     Selectable->False], "[", 
    RowBox[{"Options", "[", "businessDinghy", "]"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.866803051047336*^9, 3.866803061327961*^9}},
 CellLabel->"In[601]:=",
 CellID->378712482,ExpressionUUID->"8d55af63-074d-42cd-9902-4b6d3fa02d69"],

Cell[TextData[{
 "You don\[CloseCurlyQuote]t have to grab all of the options from the parent ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ". You can use them as a baseline and then use typical Wolfram Language \
programming techniques to subtract from and add to the parent options."
}], "Text",
 CellChangeTimes->{{3.865675239248087*^9, 3.865675284771451*^9}, 
   3.865675406834772*^9, {3.86567547341094*^9, 3.86567548029571*^9}, 
   3.866897713451929*^9, {3.867928515653595*^9, 3.867928540025114*^9}, {
   3.871131409457309*^9, 3.871131420463914*^9}, {3.872254387735465*^9, 
   3.8722543921859183`*^9}, {3.8722544489136906`*^9, 3.872254449887648*^9}},
 CellTags->"i:48",
 CellID->215161490,ExpressionUUID->"6696aada-d4dd-4a5a-82ca-7e4d61f7d0b8"],

Cell[TextData[{
 "Delete the ",
 Cell[BoxData[
 "\"\<VerticalColumnHeaders\>\""], "InlineCode",ExpressionUUID->
  "5aae93a5-92da-4b7e-9d01-54536397b165"],
 " from the inherited options and hide the ",
 Cell[BoxData[
 "\"\<age\>\""], "InlineCode",ExpressionUUID->
  "f571a5fa-8520-4096-a306-fa6328c86118"],
 " column:"
}], "CodeText",
 CellChangeTimes->{{3.8656754304526787`*^9, 3.865675463544771*^9}, {
  3.867928537494931*^9, 3.867928549233123*^9}, {3.872938705025694*^9, 
  3.872938713691373*^9}},
 CellID->1655826381,ExpressionUUID->"d05d1c44-0cc6-426b-9de0-cc929dc4ef38"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"formats", "=", 
     RowBox[{"Append", "[", 
      RowBox[{
       RowBox[{"DeleteCases", "[", 
        RowBox[{
         RowBox[{"Options", "[", "businessDinghy", "]"}], ",", 
         "\"\<VerticalColumnHeaders\>\"", ",", "\[Infinity]"}], "]"}], ",", 
       RowBox[{"HiddenItems", "\[Rule]", 
        RowBox[{"{", "\"\<age\>\"", "}"}]}]}], "]"}]}], "}"}], ",", 
   RowBox[{
    RowBox[{
     RowBox[{"Select", "[", 
      RowBox[{
       RowBox[{"#sex", "\[Equal]", "\"\<female\>\""}], "&"}], "]"}], "[", 
     "businessDinghy", "]"}], "//", 
    RowBox[{
     InterpretationBox[
      TagBox[
       DynamicModuleBox[{Typeset`open = False}, 
        FrameBox[
         PaneSelectorBox[{False->GridBox[{
            {
             PaneBox[GridBox[{
                {
                 StyleBox[
                  StyleBox[
                   AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                   
                   FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                  ShowStringCharacters->False,
                  FontFamily->"Source Sans Pro Black",
                  FontSize->0.6538461538461539 Inherited,
                  FontWeight->"Heavy",
                  PrivateFontOptions->{"OperatorSubstitution"->False}], 
                 StyleBox[
                  RowBox[{
                   StyleBox["FormatDataset", "ResourceFunctionLabel"], " "}],
                  ShowAutoStyles->False,
                  ShowStringCharacters->False,
                  FontSize->Rational[12, 13] Inherited,
                  FontColor->GrayLevel[0.1]]}
               },
               GridBoxSpacings->{"Columns" -> {{0.25}}}],
              Alignment->Left,
              BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
              BaselinePosition->Baseline,
              FrameMargins->{{3, 0}, {0, 0}}], 
             ItemBox[
              PaneBox[
               TogglerBox[Dynamic[Typeset`open], {True->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "IconizeCloser"],
                 ImageSizeCache->{11., {2., 9.}}], False->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "IconizeOpener"],
                 ImageSizeCache->{11., {2., 9.}}]},
                Appearance->None,
                BaselinePosition->Baseline,
                ContentPadding->False,
                FrameMargins->0],
               Alignment->Left,
               BaselinePosition->Baseline,
               FrameMargins->{{1, 1}, {0, 0}}],
              Frame->{{
                 RGBColor[
                 0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                  0.5], False}, {False, False}}]}
           },
           BaselinePosition->{1, 1},
           GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
           
           GridBoxItemSize->{
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
           GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
          GridBox[{
            {GridBox[{
               {
                PaneBox[GridBox[{
                   {
                    StyleBox[
                    StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                    ShowStringCharacters->False,
                    FontFamily->"Source Sans Pro Black",
                    FontSize->0.6538461538461539 Inherited,
                    FontWeight->"Heavy",
                    PrivateFontOptions->{"OperatorSubstitution"->False}], 
                    StyleBox[
                    RowBox[{
                    StyleBox["FormatDataset", "ResourceFunctionLabel"], " "}],
                    ShowAutoStyles->False,
                    ShowStringCharacters->False,
                    FontSize->Rational[12, 13] Inherited,
                    FontColor->GrayLevel[0.1]]}
                  },
                  GridBoxSpacings->{"Columns" -> {{0.25}}}],
                 Alignment->Left,
                 BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
                 BaselinePosition->Baseline,
                 FrameMargins->{{3, 0}, {0, 0}}], 
                ItemBox[
                 PaneBox[
                  TogglerBox[Dynamic[Typeset`open], {True->
                   
                   DynamicBox[FEPrivate`FrontEndResource[
                    "FEBitmaps", "IconizeCloser"]], False->
                   
                   DynamicBox[FEPrivate`FrontEndResource[
                    "FEBitmaps", "IconizeOpener"]]},
                   Appearance->None,
                   BaselinePosition->Baseline,
                   ContentPadding->False,
                   FrameMargins->0],
                  Alignment->Left,
                  BaselinePosition->Baseline,
                  FrameMargins->{{1, 1}, {0, 0}}],
                 Frame->{{
                    RGBColor[
                    0.8313725490196079, 0.8470588235294118, 
                    0.8509803921568627, 0.5], False}, {False, False}}]}
              },
              BaselinePosition->{1, 1},
              
              GridBoxAlignment->{
               "Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
              GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
            {
             StyleBox[
              PaneBox[GridBox[{
                 {
                  RowBox[{
                   TagBox["\<\"Version (latest): \"\>",
                    "IconizedLabel"], " ", 
                   TagBox["\<\"1.0.0\"\>",
                    "IconizedItem"]}]},
                 {
                  TagBox[
                   
                   TemplateBox[{
                    "\"Documentation \[RightGuillemet]\"", 
                    "https://resources.wolframcloud.com/FunctionRepository/\
resources/FormatDataset"},
                    "HyperlinkURL"],
                   "IconizedItem"]}
                },
                DefaultBaseStyle->"Column",
                GridBoxAlignment->{"Columns" -> {{Left}}},
                
                GridBoxItemSize->{
                 "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
               Alignment->Left,
               BaselinePosition->Baseline,
               FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
              FontFamily->"Roboto",
              FontSize->11]}
           },
           BaselinePosition->{1, 1},
           GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
           GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
                GrayLevel[0.8]}, False}},
           
           GridBoxItemSize->{
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
          Typeset`open],
          BaselinePosition->Baseline,
          ImageSize->Automatic],
         Background->RGBColor[
          0.9686274509803922, 0.9764705882352941, 0.984313725490196],
         BaselinePosition->Baseline,
         DefaultBaseStyle->{},
         FrameMargins->{{0, 0}, {1, 0}},
         FrameStyle->RGBColor[
          0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
         RoundingRadius->4]],
       {"FunctionResourceBox", 
        RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784],
         "FormatDataset"},
       TagBoxNote->"FunctionResourceBox"],
      ResourceFunction[
       ResourceObject[<|
        "Name" -> "FormatDataset", "ShortName" -> "FormatDataset", "UUID" -> 
         "76670bca-1587-4e7e-9e89-5b698a30759d", "ResourceType" -> "Function",
          "Version" -> "1.0.0", "Description" -> 
         "Format a dataset using a given set of option values", 
         "RepositoryLocation" -> 
         URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
         "SymbolName" -> 
         "FunctionRepository`$66a3086203b4405b88cdb0de8a5c3128`FormatDataset",
          "FunctionLocation" -> 
         CloudObject[
          "https://www.wolframcloud.com/obj/70389ad6-7dbc-48c8-b898-\
72c65c00f14e"]|>, ResourceSystemBase -> Automatic]],
      Selectable->False], "[", "formats", "]"}]}]}], "\[IndentingNewLine]", 
  "]"}]], "Input",
 CellChangeTimes->{{3.86567221115022*^9, 3.865672242198436*^9}, {
  3.8656752951411467`*^9, 3.8656754272663813`*^9}, {3.8668012487813807`*^9, 
  3.866801248903103*^9}},
 CellLabel->"In[602]:=",
 CellID->356764666,ExpressionUUID->"7e2535e4-897b-4f43-a1b1-b1a99fbb6fbd"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        False|>}, "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 4], 
     "Meta" -> <|$CellContext`DatasetTheme -> {
        "ColumnDividers", "Business"}, $CellContext`HiddenItems -> {"age"}|>, 
     "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 4], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
     4, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["class", 
                  Style[
                  "class", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "89e5f1ed-5aff-419c-8941-f4e05a72a6e2"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> Directive[
               
               RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                0.8980392156862745}]], Background -> 
             RGBColor[{0.788235294117647, 0.8392156862745098, 
               0.9647058823529412}], Frame -> {{Automatic, 
                GrayLevel[0.75]}, {None, None}}, Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Annotation[
              Pane[
               Button[
                Tooltip[
                 Mouseover[
                  Style["\[ThinSpace]+\[ThinSpace]", 
                   GrayLevel[0.6]], 
                  Style["\[ThinSpace]+\[ThinSpace]", 
                   RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], 
                 Annotation[
                  EventHandler[
                   MouseAppearance[
                    Mouseover["age", 
                    Style[
                    "age", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                   If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    All, "age"}, 1]]], 
                  TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   "89e5f1ed-5aff-419c-8941-f4e05a72a6e2"]][{All, "age"}, 
                   "ColumnHeader", True], "Mouse"]], 
                TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                 TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                 TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                 TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                 TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                 TypeSystem`NestedGrid`PackagePrivate`localHold[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                 All, "age"}, "remove"], Appearance -> None, BaseStyle -> 
                None], ImageSize -> {{5, Full}, Automatic}, 
               ImageMargins -> {{3, 2}, {0, 0}}], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               "89e5f1ed-5aff-419c-8941-f4e05a72a6e2"]][{All, "age"}, 
               "ColumnHeader", False], "Mouse"], BaseStyle -> Directive[
               
               RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                0.8980392156862745}]], Background -> 
             RGBColor[{0.788235294117647, 0.8392156862745098, 
               0.9647058823529412}], Frame -> {{
                GrayLevel[0.75], 
                GrayLevel[0.75]}, {None, None}}, Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["sex", 
                  Style[
                  "sex", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "89e5f1ed-5aff-419c-8941-f4e05a72a6e2"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> Directive[
               
               RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                0.8980392156862745}]], Background -> 
             RGBColor[{0.788235294117647, 0.8392156862745098, 
               0.9647058823529412}], Frame -> {{
                GrayLevel[0.75], 
                GrayLevel[0.75]}, {None, None}}, Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["survived", 
                  Style[
                  "survived", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "89e5f1ed-5aff-419c-8941-f4e05a72a6e2"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> Directive[
               
               RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                0.8980392156862745}]], Background -> 
             RGBColor[{0.788235294117647, 0.8392156862745098, 
               0.9647058823529412}], Frame -> {{
                GrayLevel[0.75], Automatic}, {None, None}}, Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "89e5f1ed-5aff-419c-8941-f4e05a72a6e2"]][{1, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{Automatic, 
                GrayLevel[0.75]}, {None, None}}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Annotation[
              Pane[
               Button[
                Tooltip[
                 Mouseover[
                  Style[
                  "\[ThinSpace]\[ThinSpace]\[Bullet]\[ThinSpace]\[ThinSpace]", 
                   GrayLevel[0.6]], 
                  Style["\[ThinSpace]+\[ThinSpace]", 
                   RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], 
                 Annotation[
                  RawBoxes["16"], 
                  TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   "89e5f1ed-5aff-419c-8941-f4e05a72a6e2"]][{1, 
                    Key["age"]}, "Item", False], "Mouse"]], 
                TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                 TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                 TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                 TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                 TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                 TypeSystem`NestedGrid`PackagePrivate`localHold[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{1, 
                  Key["age"]}, "remove"], Appearance -> None, BaseStyle -> 
                None], ImageSize -> {{5, Full}, Automatic}, 
               ImageMargins -> {{3, 2}, {0, 0}}], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               "89e5f1ed-5aff-419c-8941-f4e05a72a6e2"]][{1, 
                Key["age"]}, "Item", False], "Mouse"], Background -> 
             GrayLevel[0.9], Frame -> {{
                GrayLevel[0.75], 
                GrayLevel[0.75]}, {None, None}}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "89e5f1ed-5aff-419c-8941-f4e05a72a6e2"]][{1, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{
                GrayLevel[0.75], 
                GrayLevel[0.75]}, {None, None}}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "89e5f1ed-5aff-419c-8941-f4e05a72a6e2"]][{1, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{
                GrayLevel[0.75], Automatic}, {None, None}}, 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "89e5f1ed-5aff-419c-8941-f4e05a72a6e2"]][{2, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{Automatic, 
                GrayLevel[0.75]}, {None, None}}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Annotation[
              Pane[
               Button[
                Tooltip[
                 Mouseover[
                  Style[
                  "\[ThinSpace]\[ThinSpace]\[Bullet]\[ThinSpace]\[ThinSpace]", 
                   GrayLevel[0.6]], 
                  Style["\[ThinSpace]+\[ThinSpace]", 
                   RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], 
                 Annotation[
                  RawBoxes["2"], 
                  TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   "89e5f1ed-5aff-419c-8941-f4e05a72a6e2"]][{2, 
                    Key["age"]}, "Item", False], "Mouse"]], 
                TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                 TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                 TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                 TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                 TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                 TypeSystem`NestedGrid`PackagePrivate`localHold[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{2, 
                  Key["age"]}, "remove"], Appearance -> None, BaseStyle -> 
                None], ImageSize -> {{5, Full}, Automatic}, 
               ImageMargins -> {{3, 2}, {0, 0}}], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               "89e5f1ed-5aff-419c-8941-f4e05a72a6e2"]][{2, 
                Key["age"]}, "Item", False], "Mouse"], Background -> 
             GrayLevel[0.9], Frame -> {{
                GrayLevel[0.75], 
                GrayLevel[0.75]}, {None, None}}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "89e5f1ed-5aff-419c-8941-f4e05a72a6e2"]][{2, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{
                GrayLevel[0.75], 
                GrayLevel[0.75]}, {None, None}}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "89e5f1ed-5aff-419c-8941-f4e05a72a6e2"]][{2, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{
                GrayLevel[0.75], Automatic}, {None, None}}, 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "89e5f1ed-5aff-419c-8941-f4e05a72a6e2"]][{3, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{Automatic, 
                GrayLevel[0.75]}, {None, None}}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Annotation[
              Pane[
               Button[
                Tooltip[
                 Mouseover[
                  Style[
                  "\[ThinSpace]\[ThinSpace]\[Bullet]\[ThinSpace]\[ThinSpace]", 
                   GrayLevel[0.6]], 
                  Style["\[ThinSpace]+\[ThinSpace]", 
                   RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], 
                 Annotation[
                  Style["\[LongDash]", 
                   GrayLevel[0.75]], 
                  TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   "89e5f1ed-5aff-419c-8941-f4e05a72a6e2"]][{3, 
                    Key["age"]}, "Item", False], "Mouse"]], 
                TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                 TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                 TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                 TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                 TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                 TypeSystem`NestedGrid`PackagePrivate`localHold[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{3, 
                  Key["age"]}, "remove"], Appearance -> None, BaseStyle -> 
                None], ImageSize -> {{5, Full}, Automatic}, 
               ImageMargins -> {{3, 2}, {0, 0}}], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               "89e5f1ed-5aff-419c-8941-f4e05a72a6e2"]][{3, 
                Key["age"]}, "Item", False], "Mouse"], Background -> 
             GrayLevel[0.9], Frame -> {{
                GrayLevel[0.75], 
                GrayLevel[0.75]}, {None, None}}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "89e5f1ed-5aff-419c-8941-f4e05a72a6e2"]][{3, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{
                GrayLevel[0.75], 
                GrayLevel[0.75]}, {None, None}}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "89e5f1ed-5aff-419c-8941-f4e05a72a6e2"]][{3, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{
                GrayLevel[0.75], Automatic}, {None, None}}, 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "89e5f1ed-5aff-419c-8941-f4e05a72a6e2"]][{4, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{Automatic, 
                GrayLevel[0.75]}, {None, None}}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Annotation[
              Pane[
               Button[
                Tooltip[
                 Mouseover[
                  Style[
                  "\[ThinSpace]\[ThinSpace]\[Bullet]\[ThinSpace]\[ThinSpace]", 
                   GrayLevel[0.6]], 
                  Style["\[ThinSpace]+\[ThinSpace]", 
                   RGBColor[
                   0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], 
                 Annotation[
                  RawBoxes["18"], 
                  TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                   "89e5f1ed-5aff-419c-8941-f4e05a72a6e2"]][{4, 
                    Key["age"]}, "Item", False], "Mouse"]], 
                TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                 TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                 TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                 TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                 TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                 TypeSystem`NestedGrid`PackagePrivate`localHold[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{4, 
                  Key["age"]}, "remove"], Appearance -> None, BaseStyle -> 
                None], ImageSize -> {{5, Full}, Automatic}, 
               ImageMargins -> {{3, 2}, {0, 0}}], 
              TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
               TypeSystem`NestedGrid`PackagePrivate`localHold[
               "89e5f1ed-5aff-419c-8941-f4e05a72a6e2"]][{4, 
                Key["age"]}, "Item", False], "Mouse"], Background -> 
             GrayLevel[0.9], Frame -> {{
                GrayLevel[0.75], 
                GrayLevel[0.75]}, {None, None}}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "89e5f1ed-5aff-419c-8941-f4e05a72a6e2"]][{4, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{
                GrayLevel[0.75], 
                GrayLevel[0.75]}, {None, None}}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "89e5f1ed-5aff-419c-8941-f4e05a72a6e2"]][{4, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{
                GrayLevel[0.75], Automatic}, {None, None}}, 
             ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Frame -> 
          RGBColor[{0.3411764705882353, 0.49411764705882355`, 
            0.8980392156862745}], FrameStyle -> GrayLevel[0.7490196078431373],
           Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{188., {72.3837890625, 79.6162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{188., {72.3837890625, 79.6162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.865675399578651*^9, 3.8656754681693697`*^9, 
  3.866801195483143*^9, 3.866801249369485*^9, 3.881426231507103*^9},
 CellTags->"LastCellOfAPage",
 CellLabel->"Out[602]=",
 CellID->599856822,ExpressionUUID->"10344d2f-0c63-4b99-a752-23e362773593"]
}, Open  ]],

Cell[TextData[{
 "An alternative and often simpler vehicle for inheriting formatting options \
is to use the ",
 ButtonBox["DatasetQuery",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
DatasetQuery"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/\
DatasetQuery"],
 " ",
 ButtonBox["ResourceFunction",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ResourceFunction.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/ResourceFunction.html"],
 ". You write the query the same way as if you were using ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 ". "
}], "Text",
 CellChangeTimes->{{3.8668010869319487`*^9, 3.866801110191166*^9}, {
   3.866801269432735*^9, 3.8668013007999773`*^9}, {3.86680279362424*^9, 
   3.866802807369545*^9}, 3.8668977254285383`*^9, 3.867928577667674*^9, 
   3.87293881530521*^9},
 CellTags->{"i:49", "p: 180"},
 CellID->49777344,ExpressionUUID->"b70e459f-6e79-4d68-aa18-583a60ce31a1"],

Cell[TextData[{
 "By default, ",
 ButtonBox["DatasetQuery",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
DatasetQuery"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/\
DatasetQuery"],
 " preserves all formatting options from the original ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.872938756853937*^9, 3.872938811326474*^9}},
 CellID->1744852838,ExpressionUUID->"8ba313ba-cdc4-4207-8c0c-47e785203f8c"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   InterpretationBox[
    TagBox[
     DynamicModuleBox[{Typeset`open = False}, 
      FrameBox[
       PaneSelectorBox[{False->GridBox[{
          {
           PaneBox[GridBox[{
              {
               StyleBox[
                StyleBox[
                 AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                  BoxBaselineShift->-0.25,
                  BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                 
                 FontColor->RGBColor[
                  0.8745098039215686, 0.2784313725490196, 
                   0.03137254901960784]],
                ShowStringCharacters->False,
                FontFamily->"Source Sans Pro Black",
                FontSize->0.6538461538461539 Inherited,
                FontWeight->"Heavy",
                PrivateFontOptions->{"OperatorSubstitution"->False}], 
               StyleBox[
                RowBox[{
                 StyleBox["DatasetQuery", "ResourceFunctionLabel"], " "}],
                ShowAutoStyles->False,
                ShowStringCharacters->False,
                FontSize->Rational[12, 13] Inherited,
                FontColor->GrayLevel[0.1]]}
             },
             GridBoxSpacings->{"Columns" -> {{0.25}}}],
            Alignment->Left,
            BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
            BaselinePosition->Baseline,
            FrameMargins->{{3, 0}, {0, 0}}], 
           ItemBox[
            PaneBox[
             TogglerBox[Dynamic[Typeset`open], {True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeCloser"],
               ImageSizeCache->{11., {2., 9.}}], False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeOpener"],
               ImageSizeCache->{11., {2., 9.}}]},
              Appearance->None,
              BaselinePosition->Baseline,
              ContentPadding->False,
              FrameMargins->0],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{1, 1}, {0, 0}}],
            Frame->{{
               RGBColor[
               0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                0.5], False}, {False, False}}]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
         GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
        GridBox[{
          {GridBox[{
             {
              PaneBox[GridBox[{
                 {
                  StyleBox[
                   StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                   ShowStringCharacters->False,
                   FontFamily->"Source Sans Pro Black",
                   FontSize->0.6538461538461539 Inherited,
                   FontWeight->"Heavy",
                   PrivateFontOptions->{"OperatorSubstitution"->False}], 
                  StyleBox[
                   RowBox[{
                    StyleBox["DatasetQuery", "ResourceFunctionLabel"], " "}],
                   ShowAutoStyles->False,
                   ShowStringCharacters->False,
                   FontSize->Rational[12, 13] Inherited,
                   FontColor->GrayLevel[0.1]]}
                },
                GridBoxSpacings->{"Columns" -> {{0.25}}}],
               Alignment->Left,
               BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
               BaselinePosition->Baseline,
               FrameMargins->{{3, 0}, {0, 0}}], 
              ItemBox[
               PaneBox[
                TogglerBox[Dynamic[Typeset`open], {True->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeCloser"]], False->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeOpener"]]},
                 Appearance->None,
                 BaselinePosition->Baseline,
                 ContentPadding->False,
                 FrameMargins->0],
                Alignment->Left,
                BaselinePosition->Baseline,
                FrameMargins->{{1, 1}, {0, 0}}],
               Frame->{{
                  RGBColor[
                  0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                   0.5], False}, {False, False}}]}
            },
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
          {
           StyleBox[
            PaneBox[GridBox[{
               {
                RowBox[{
                 TagBox["\<\"Version (latest): \"\>",
                  "IconizedLabel"], " ", 
                 TagBox["\<\"1.0.0\"\>",
                  "IconizedItem"]}]},
               {
                TagBox[
                 
                 TemplateBox[{
                  "\"Documentation \[RightGuillemet]\"", 
                   "https://resources.wolframcloud.com/FunctionRepository/\
resources/d0240069-0a8f-4db5-a5d5-59d0387d154f/"},
                  "HyperlinkURL"],
                 "IconizedItem"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
            FontFamily->"Roboto",
            FontSize->11]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
              GrayLevel[0.8]}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
        Typeset`open],
        BaselinePosition->Baseline,
        ImageSize->Automatic],
       Background->RGBColor[
        0.9686274509803922, 0.9764705882352941, 0.984313725490196],
       BaselinePosition->Baseline,
       DefaultBaseStyle->{},
       FrameMargins->{{0, 0}, {1, 0}},
       FrameStyle->RGBColor[
        0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
       RoundingRadius->4]],
     {"FunctionResourceBox", 
      RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
      "DatasetQuery"},
     TagBoxNote->"FunctionResourceBox"],
    ResourceFunction[
     ResourceObject[<|
      "Name" -> "DatasetQuery", "ShortName" -> "DatasetQuery", "UUID" -> 
       "d0240069-0a8f-4db5-a5d5-59d0387d154f", "ResourceType" -> "Function", 
       "Version" -> "1.0.0", "Description" -> 
       "A version of Query that maintains the options of a Dataset", 
       "RepositoryLocation" -> 
       URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
       "SymbolName" -> 
       "FunctionRepository`$11cea570bf924ec8b429cafc7ec45d64`DatasetQuery", 
       "FunctionLocation" -> 
       CloudObject[
        "https://www.wolframcloud.com/obj/d92d0c48-e878-4004-bf82-\
a5418de72a7d"]|>, {
      ResourceSystemBase -> 
       "https://www.wolframcloud.com/obj/resourcesystem/api/1.0"}]],
    Selectable->False], "[", 
   RowBox[{"Select", "[", 
    RowBox[{
     RowBox[{"#sex", "\[Equal]", "\"\<female\>\""}], "&"}], "]"}], "]"}], "[",
   "businessDinghy", "]"}]], "Input",
 CellChangeTimes->{{3.8668011263632174`*^9, 3.866801142288371*^9}, {
   3.8668012532370234`*^9, 3.866801259620406*^9}, {3.869322473473518*^9, 
   3.869322480910533*^9}, 3.869322519882676*^9},
 CellLabel->"In[603]:=",
 CellID->361329826,ExpressionUUID->"e29b47df-0a2d-4ea6-8b7f-13114e5940d3"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        False|>}, "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 4], 
     "Meta" -> <|$CellContext`DatasetTheme -> {
        "ColumnDividers", "VerticalColumnHeaders", "Business"}|>, "RowTarget" -> 
     20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 4], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
     4, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  Rotate[
                   Row[{
                    Spacer[2], "class"}], 90 Degree], 
                  Style[
                   Rotate[
                    Row[{
                    Spacer[2], "class"}], 90 Degree], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4996d604-9e59-4d9f-bf66-a5fa7c3d4d5d"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}, 
              Alignment -> {Center, Bottom}], BaseStyle -> Directive[
               
               RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                0.8980392156862745}]], Alignment -> {Center, Bottom}, 
             Background -> 
             RGBColor[{0.788235294117647, 0.8392156862745098, 
               0.9647058823529412}], Frame -> {{Automatic, 
                GrayLevel[0.75]}, {None, None}}, Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  Rotate[
                   Row[{
                    Spacer[2], "age"}], 90 Degree], 
                  Style[
                   Rotate[
                    Row[{
                    Spacer[2], "age"}], 90 Degree], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4996d604-9e59-4d9f-bf66-a5fa7c3d4d5d"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}, 
              Alignment -> {Center, Bottom}], BaseStyle -> Directive[
               
               RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                0.8980392156862745}]], Alignment -> {Center, Bottom}, 
             Background -> 
             RGBColor[{0.788235294117647, 0.8392156862745098, 
               0.9647058823529412}], Frame -> {{
                GrayLevel[0.75], 
                GrayLevel[0.75]}, {None, None}}, Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  Rotate[
                   Row[{
                    Spacer[2], "sex"}], 90 Degree], 
                  Style[
                   Rotate[
                    Row[{
                    Spacer[2], "sex"}], 90 Degree], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4996d604-9e59-4d9f-bf66-a5fa7c3d4d5d"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}, 
              Alignment -> {Center, Bottom}], BaseStyle -> Directive[
               
               RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                0.8980392156862745}]], Alignment -> {Center, Bottom}, 
             Background -> 
             RGBColor[{0.788235294117647, 0.8392156862745098, 
               0.9647058823529412}], Frame -> {{
                GrayLevel[0.75], 
                GrayLevel[0.75]}, {None, None}}, Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  Rotate[
                   Row[{
                    Spacer[2], "survived"}], 90 Degree], 
                  Style[
                   Rotate[
                    Row[{
                    Spacer[2], "survived"}], 90 Degree], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4996d604-9e59-4d9f-bf66-a5fa7c3d4d5d"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}, 
              Alignment -> {Center, Bottom}], BaseStyle -> Directive[
               
               RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                0.8980392156862745}]], Alignment -> {Center, Bottom}, 
             Background -> 
             RGBColor[{0.788235294117647, 0.8392156862745098, 
               0.9647058823529412}], Frame -> {{
                GrayLevel[0.75], Automatic}, {None, None}}, Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4996d604-9e59-4d9f-bf66-a5fa7c3d4d5d"]][{1, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{Automatic, 
                GrayLevel[0.75]}, {None, None}}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4996d604-9e59-4d9f-bf66-a5fa7c3d4d5d"]][{1, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{
                GrayLevel[0.75], 
                GrayLevel[0.75]}, {None, None}}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4996d604-9e59-4d9f-bf66-a5fa7c3d4d5d"]][{1, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{
                GrayLevel[0.75], 
                GrayLevel[0.75]}, {None, None}}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4996d604-9e59-4d9f-bf66-a5fa7c3d4d5d"]][{1, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{
                GrayLevel[0.75], Automatic}, {None, None}}, 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4996d604-9e59-4d9f-bf66-a5fa7c3d4d5d"]][{2, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{Automatic, 
                GrayLevel[0.75]}, {None, None}}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4996d604-9e59-4d9f-bf66-a5fa7c3d4d5d"]][{2, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{
                GrayLevel[0.75], 
                GrayLevel[0.75]}, {None, None}}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4996d604-9e59-4d9f-bf66-a5fa7c3d4d5d"]][{2, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{
                GrayLevel[0.75], 
                GrayLevel[0.75]}, {None, None}}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4996d604-9e59-4d9f-bf66-a5fa7c3d4d5d"]][{2, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{
                GrayLevel[0.75], Automatic}, {None, None}}, 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4996d604-9e59-4d9f-bf66-a5fa7c3d4d5d"]][{3, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{Automatic, 
                GrayLevel[0.75]}, {None, None}}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4996d604-9e59-4d9f-bf66-a5fa7c3d4d5d"]][{3, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{
                GrayLevel[0.75], 
                GrayLevel[0.75]}, {None, None}}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4996d604-9e59-4d9f-bf66-a5fa7c3d4d5d"]][{3, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{
                GrayLevel[0.75], 
                GrayLevel[0.75]}, {None, None}}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4996d604-9e59-4d9f-bf66-a5fa7c3d4d5d"]][{3, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{
                GrayLevel[0.75], Automatic}, {None, None}}, 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4996d604-9e59-4d9f-bf66-a5fa7c3d4d5d"]][{4, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{Automatic, 
                GrayLevel[0.75]}, {None, None}}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["18"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4996d604-9e59-4d9f-bf66-a5fa7c3d4d5d"]][{4, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{
                GrayLevel[0.75], 
                GrayLevel[0.75]}, {None, None}}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4996d604-9e59-4d9f-bf66-a5fa7c3d4d5d"]][{4, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{
                GrayLevel[0.75], 
                GrayLevel[0.75]}, {None, None}}, 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "4996d604-9e59-4d9f-bf66-a5fa7c3d4d5d"]][{4, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[0.9],
              Frame -> {{
                GrayLevel[0.75], Automatic}, {None, None}}, 
             ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[
             TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Frame -> 
          RGBColor[{0.3411764705882353, 0.49411764705882355`, 
            0.8980392156862745}], FrameStyle -> GrayLevel[0.7490196078431373],
           Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{199., {89.8837890625, 97.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{199., {89.8837890625, 97.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.866801195643792*^9, 3.866801262080166*^9, 
  3.8814262396148376`*^9},
 CellLabel->"Out[603]=",
 CellID->554477477,ExpressionUUID->"d7f86fc7-0d58-4448-b670-1a3447e88ab7"]
}, Open  ]],

Cell[TextData[{
 "You can override inheritance by setting the ",
 Cell[BoxData[
 "\"\<Inheritance\>\""], "InlineCodeText",ExpressionUUID->
  "fe59e204-deed-4b5f-b444-26ed1b99d93e"],
 " option to an ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " with ",
 Cell[BoxData[
 "\"\<Addition\>\""], "InlineCodeText",ExpressionUUID->
  "210a6362-3d85-4603-bd59-1963a5c41e72"],
 " and/or ",
 Cell[BoxData[
 "\"\<Deletion\>\""], "InlineCodeText",ExpressionUUID->
  "3a2130aa-13b1-44c1-97d0-cad1806de0bf"],
 " key-value pairs."
}], "Text",
 CellChangeTimes->{{3.866801314482286*^9, 3.866801364563397*^9}, {
  3.8668015579433928`*^9, 3.866801558426927*^9}, {3.8679291005287323`*^9, 
  3.867929120498992*^9}, {3.8722545267708454`*^9, 3.872254527412428*^9}},
 CellID->269983518,ExpressionUUID->"f5598726-f986-487a-ab1b-62f43e81fd6f"],

Cell[TextData[{
 "Override the original style using a ",
 ButtonBox["DatasetTheme",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/DatasetTheme.html"], None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/DatasetTheme.html"],
 " and ",
 ButtonBox["ItemStyle",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ItemStyle.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/ItemStyle.html"],
 " in the ",
 Cell[BoxData[
 "\"\<Additions\>\""], "InlineCode",ExpressionUUID->
  "b42db611-3d27-4061-abb0-a28719361764"],
 " key to the ",
 Cell[BoxData[
 "\"\<Inheritance\>\""], "InlineCode",ExpressionUUID->
  "7fe2e4cf-9d4d-4046-bc0f-8b61dfcc3f5b"],
 " option of ",
 ButtonBox["DatasetQuery",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
DatasetQuery"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/\
DatasetQuery"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.866897924571217*^9, 3.866897967897079*^9}, {
   3.867929143114032*^9, 3.867929173431432*^9}, 3.869921234505947*^9, {
   3.8722545322837315`*^9, 3.872254546928898*^9}},
 CellID->910561855,ExpressionUUID->"32202fca-bfa4-438d-962e-5661c0b04762"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   InterpretationBox[
    TagBox[
     DynamicModuleBox[{Typeset`open = False}, 
      FrameBox[
       PaneSelectorBox[{False->GridBox[{
          {
           PaneBox[GridBox[{
              {
               StyleBox[
                StyleBox[
                 AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                  BoxBaselineShift->-0.25,
                  BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                 
                 FontColor->RGBColor[
                  0.8745098039215686, 0.2784313725490196, 
                   0.03137254901960784]],
                ShowStringCharacters->False,
                FontFamily->"Source Sans Pro Black",
                FontSize->0.6538461538461539 Inherited,
                FontWeight->"Heavy",
                PrivateFontOptions->{"OperatorSubstitution"->False}], 
               StyleBox[
                RowBox[{
                 StyleBox["DatasetQuery", "ResourceFunctionLabel"], " "}],
                ShowAutoStyles->False,
                ShowStringCharacters->False,
                FontSize->Rational[12, 13] Inherited,
                FontColor->GrayLevel[0.1]]}
             },
             GridBoxSpacings->{"Columns" -> {{0.25}}}],
            Alignment->Left,
            BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
            BaselinePosition->Baseline,
            FrameMargins->{{3, 0}, {0, 0}}], 
           ItemBox[
            PaneBox[
             TogglerBox[Dynamic[Typeset`open], {True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeCloser"],
               ImageSizeCache->{11., {2., 9.}}], False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeOpener"],
               ImageSizeCache->{11., {2., 9.}}]},
              Appearance->None,
              BaselinePosition->Baseline,
              ContentPadding->False,
              FrameMargins->0],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{1, 1}, {0, 0}}],
            Frame->{{
               RGBColor[
               0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                0.5], False}, {False, False}}]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
         GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
        GridBox[{
          {GridBox[{
             {
              PaneBox[GridBox[{
                 {
                  StyleBox[
                   StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                   ShowStringCharacters->False,
                   FontFamily->"Source Sans Pro Black",
                   FontSize->0.6538461538461539 Inherited,
                   FontWeight->"Heavy",
                   PrivateFontOptions->{"OperatorSubstitution"->False}], 
                  StyleBox[
                   RowBox[{
                    StyleBox["DatasetQuery", "ResourceFunctionLabel"], " "}],
                   ShowAutoStyles->False,
                   ShowStringCharacters->False,
                   FontSize->Rational[12, 13] Inherited,
                   FontColor->GrayLevel[0.1]]}
                },
                GridBoxSpacings->{"Columns" -> {{0.25}}}],
               Alignment->Left,
               BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
               BaselinePosition->Baseline,
               FrameMargins->{{3, 0}, {0, 0}}], 
              ItemBox[
               PaneBox[
                TogglerBox[Dynamic[Typeset`open], {True->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeCloser"]], False->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeOpener"]]},
                 Appearance->None,
                 BaselinePosition->Baseline,
                 ContentPadding->False,
                 FrameMargins->0],
                Alignment->Left,
                BaselinePosition->Baseline,
                FrameMargins->{{1, 1}, {0, 0}}],
               Frame->{{
                  RGBColor[
                  0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                   0.5], False}, {False, False}}]}
            },
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
          {
           StyleBox[
            PaneBox[GridBox[{
               {
                RowBox[{
                 TagBox["\<\"Version (latest): \"\>",
                  "IconizedLabel"], " ", 
                 TagBox["\<\"1.0.0\"\>",
                  "IconizedItem"]}]},
               {
                TagBox[
                 
                 TemplateBox[{
                  "\"Documentation \[RightGuillemet]\"", 
                   "https://resources.wolframcloud.com/FunctionRepository/\
resources/d0240069-0a8f-4db5-a5d5-59d0387d154f/"},
                  "HyperlinkURL"],
                 "IconizedItem"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
            FontFamily->"Roboto",
            FontSize->11]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
              GrayLevel[0.8]}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
        Typeset`open],
        BaselinePosition->Baseline,
        ImageSize->Automatic],
       Background->RGBColor[
        0.9686274509803922, 0.9764705882352941, 0.984313725490196],
       BaselinePosition->Baseline,
       DefaultBaseStyle->{},
       FrameMargins->{{0, 0}, {1, 0}},
       FrameStyle->RGBColor[
        0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
       RoundingRadius->4]],
     {"FunctionResourceBox", 
      RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
      "DatasetQuery"},
     TagBoxNote->"FunctionResourceBox"],
    ResourceFunction[
     ResourceObject[<|
      "Name" -> "DatasetQuery", "ShortName" -> "DatasetQuery", "UUID" -> 
       "d0240069-0a8f-4db5-a5d5-59d0387d154f", "ResourceType" -> "Function", 
       "Version" -> "1.0.0", "Description" -> 
       "A version of Query that maintains the options of a Dataset", 
       "RepositoryLocation" -> 
       URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
       "SymbolName" -> 
       "FunctionRepository`$11cea570bf924ec8b429cafc7ec45d64`DatasetQuery", 
       "FunctionLocation" -> 
       CloudObject[
        "https://www.wolframcloud.com/obj/d92d0c48-e878-4004-bf82-\
a5418de72a7d"]|>, {
      ResourceSystemBase -> 
       "https://www.wolframcloud.com/obj/resourcesystem/api/1.0"}]],
    Selectable->False], "[", 
   RowBox[{
    RowBox[{"Select", "[", 
     RowBox[{
      RowBox[{"#sex", "\[Equal]", "\"\<female\>\""}], "&"}], "]"}], ",", 
    RowBox[{"\"\<Inheritance\>\"", "\[Rule]", 
     RowBox[{"\[LeftAssociation]", 
      RowBox[{"\"\<Additions\>\"", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"DatasetTheme", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
           "\"\<Business\>\"", ",", "\"\<AlternatingRowBackgrounds\>\""}], 
           "}"}]}], ",", 
         RowBox[{"ItemStyle", "\[Rule]", 
          TemplateBox[<|"color" -> RGBColor[
              Rational[2, 3], 0, 0]|>,
           "RGBColorSwatchTemplate"]}]}], "}"}]}], 
      "\[RightAssociation]"}]}]}], "]"}], "[", "businessDinghy", 
  "]"}]], "Input",
 CellChangeTimes->{{3.8668011263632174`*^9, 3.866801142288371*^9}, {
  3.8668012532370234`*^9, 3.866801259620406*^9}, {3.866801368924143*^9, 
  3.866801549840413*^9}, {3.869322588645525*^9, 3.869322602460977*^9}},
 CellLabel->"In[604]:=",
 CellID->1880976493,ExpressionUUID->"9d027d2e-0675-45d4-a968-274f6de03501"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        False|>}, "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 4], 
     "Meta" -> <|$CellContext`DatasetTheme -> {
        "Business", "AlternatingRowBackgrounds"}, ItemStyle -> RGBColor[
         Rational[2, 3], 0, 0]|>, "RowTarget" -> 20, "ColumnTarget" -> 10, 
     "Shape" -> TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 
        1, {All, "age"} -> 1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 4], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
     4, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["class", 
                  Style[
                  "class", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f663e38b-1148-4d69-9ebb-2d769c2ea03a"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> Directive[
               
               RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                0.8980392156862745}]], Frame -> {{
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}], Automatic}, {
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}], 
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}]}}, Background -> GrayLevel[0.95], 
             Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["age", 
                  Style[
                  "age", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f663e38b-1148-4d69-9ebb-2d769c2ea03a"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> Directive[
               
               RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                0.8980392156862745}]], Frame -> {{Automatic, Automatic}, {
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}], 
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}]}}, Background -> GrayLevel[0.95], 
             Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["sex", 
                  Style[
                  "sex", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f663e38b-1148-4d69-9ebb-2d769c2ea03a"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> Directive[
               RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                0.8980392156862745}]], Frame -> {{Automatic, Automatic}, {
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}], 
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}]}}, Background -> GrayLevel[0.95], 
             Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["survived", 
                  Style[
                  "survived", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f663e38b-1148-4d69-9ebb-2d769c2ea03a"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> Directive[
               
               RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                0.8980392156862745}]], Frame -> {{Automatic, 
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}]}, {
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}], 
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}]}}, Background -> GrayLevel[0.95], 
             Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f663e38b-1148-4d69-9ebb-2d769c2ea03a"]][{1, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[1], 
             Frame -> {{
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}], Automatic}, {
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}], 
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}]}}, BaseStyle -> RGBColor[
               Rational[2, 3], 0, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f663e38b-1148-4d69-9ebb-2d769c2ea03a"]][{1, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[1], 
             Frame -> {{Automatic, Automatic}, {
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}], 
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}]}}, BaseStyle -> RGBColor[
               Rational[2, 3], 0, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f663e38b-1148-4d69-9ebb-2d769c2ea03a"]][{1, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[1], 
             Frame -> {{Automatic, Automatic}, {
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}], 
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}]}}, BaseStyle -> RGBColor[
               Rational[2, 3], 0, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f663e38b-1148-4d69-9ebb-2d769c2ea03a"]][{1, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[1], 
             Frame -> {{Automatic, 
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}]}, {
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}], 
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}]}}, BaseStyle -> RGBColor[
               Rational[2, 3], 0, 0], ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f663e38b-1148-4d69-9ebb-2d769c2ea03a"]][{2, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Frame -> {{
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}], Automatic}, {
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}], 
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}]}}, BaseStyle -> RGBColor[
               Rational[2, 3], 0, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f663e38b-1148-4d69-9ebb-2d769c2ea03a"]][{2, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Frame -> {{Automatic, Automatic}, {
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}], 
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}]}}, BaseStyle -> RGBColor[
               Rational[2, 3], 0, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f663e38b-1148-4d69-9ebb-2d769c2ea03a"]][{2, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Frame -> {{Automatic, Automatic}, {
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}], 
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}]}}, BaseStyle -> RGBColor[
               Rational[2, 3], 0, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f663e38b-1148-4d69-9ebb-2d769c2ea03a"]][{2, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Frame -> {{Automatic, 
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}]}, {
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}], 
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}]}}, BaseStyle -> RGBColor[
               Rational[2, 3], 0, 0], ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f663e38b-1148-4d69-9ebb-2d769c2ea03a"]][{3, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[1], 
             Frame -> {{
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}], Automatic}, {
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}], 
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}]}}, BaseStyle -> RGBColor[
               Rational[2, 3], 0, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f663e38b-1148-4d69-9ebb-2d769c2ea03a"]][{3, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[1], 
             Frame -> {{Automatic, Automatic}, {
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}], 
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}]}}, BaseStyle -> RGBColor[
               Rational[2, 3], 0, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f663e38b-1148-4d69-9ebb-2d769c2ea03a"]][{3, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[1], 
             Frame -> {{Automatic, Automatic}, {
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}], 
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}]}}, BaseStyle -> RGBColor[
               Rational[2, 3], 0, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f663e38b-1148-4d69-9ebb-2d769c2ea03a"]][{3, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> GrayLevel[1], 
             Frame -> {{Automatic, 
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}]}, {
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}], 
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}]}}, BaseStyle -> RGBColor[
               Rational[2, 3], 0, 0], ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f663e38b-1148-4d69-9ebb-2d769c2ea03a"]][{4, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Frame -> {{
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}], Automatic}, {
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}], 
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}]}}, BaseStyle -> RGBColor[
               Rational[2, 3], 0, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["18"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f663e38b-1148-4d69-9ebb-2d769c2ea03a"]][{4, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Frame -> {{Automatic, Automatic}, {
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}], 
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}]}}, BaseStyle -> RGBColor[
               Rational[2, 3], 0, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f663e38b-1148-4d69-9ebb-2d769c2ea03a"]][{4, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Frame -> {{Automatic, Automatic}, {
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}], 
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}]}}, BaseStyle -> RGBColor[
               Rational[2, 3], 0, 0], ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "f663e38b-1148-4d69-9ebb-2d769c2ea03a"]][{4, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Frame -> {{Automatic, 
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}]}, {
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}], 
                
                RGBColor[{0.3411764705882353, 0.49411764705882355`, 
                 0.8980392156862745}]}}, BaseStyle -> RGBColor[
               Rational[2, 3], 0, 0], ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Frame -> 
          RGBColor[{0.3411764705882353, 0.49411764705882355`, 
            0.8980392156862745}], FrameStyle -> GrayLevel[0.7490196078431373],
           Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{213., {73.3837890625, 80.6162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{213., {73.3837890625, 80.6162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{{3.866801503874757*^9, 3.8668015521061068`*^9}, 
   3.881426244579446*^9},
 CellLabel->"Out[604]=",
 CellID->1414062417,ExpressionUUID->"acd13abf-e5ba-464d-8a6b-6d2ad8a5d9c3"]
}, Open  ]],

Cell[TextData[{
 "More elaborate examples and issues associated with the ",
 ButtonBox["DatasetQuery",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
DatasetQuery"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/\
DatasetQuery"],
 " ",
 ButtonBox["ResourceFunction",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ResourceFunction.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/ResourceFunction.html"],
 " are contained in its documentation."
}], "Note",
 CellChangeTimes->{{3.8668015891211157`*^9, 3.866801622225657*^9}, 
   3.866897986114398*^9, 3.8679291894752903`*^9, 3.8699212476735477`*^9},
 CellID->146040958,ExpressionUUID->"371e3bdb-41d5-4975-a3de-8e2ea49a6d72"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Header Ordering", "Subsubsection",
 CellChangeTimes->{{3.86567550812256*^9, 3.865675512132111*^9}, {
   3.8656758637649918`*^9, 3.8656758646428432`*^9}, 3.8656774663019743`*^9, {
   3.866810629635708*^9, 3.866810637422039*^9}},
 CellID->1992174143,ExpressionUUID->"ace5a616-b3d5-4422-b96b-317994fce8eb"],

Cell["\<\
Often times, a data restructuring operation, particularly one involving \
grouping, results in the order of groups being other than desired. Suppose, \
for example, that I were to break down survival on the Titanic by cabin class \
and sex. To make the problem appear, I\[CloseCurlyQuote]m going to do \
something not too nasty, which is just to jumble the Titanic data.\
\>", "Text",
 CellChangeTimes->{{3.86567552086996*^9, 3.865675611697419*^9}, {
   3.865675804362349*^9, 3.865675821372292*^9}, {3.865675856832898*^9, 
   3.865675898830051*^9}, {3.866898045848034*^9, 3.866898080784544*^9}, 
   3.869135385587256*^9},
 CellTags->{"LastCellOfAPage", "i:50"},
 CellID->978007105,ExpressionUUID->"5f542eb9-68ee-4b83-9c6b-0a48f50dd8cd"],

Cell["Jumble the Titanic data; get counts by cabin class and sex:", "CodeText",
 CellChangeTimes->{{3.8668034584034*^9, 3.8668034824647083`*^9}, {
  3.867929307209017*^9, 3.8679293124237757`*^9}, {3.867929370667151*^9, 
  3.867929386067999*^9}},
 CellTags->"p: 181",
 CellID->1280155607,ExpressionUUID->"54439e75-2fe3-4bd3-b93f-b835143c9fa6"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"(", 
  RowBox[{
   RowBox[{"SeedRandom", "[", "20220702", "]"}], ";", 
   RowBox[{"titanic2", "=", 
    RowBox[{"RandomSample", "[", "titanic", "]"}]}], ";", 
   RowBox[{"breakdown1", "=", 
    RowBox[{
     RowBox[{"Query", "[", 
      RowBox[{
       RowBox[{"GroupBy", "[", 
        RowBox[{"#class", "&"}], "]"}], ",", 
       RowBox[{"GroupBy", "[", 
        RowBox[{"#sex", "&"}], "]"}], ",", "Length"}], "]"}], "[", "titanic2",
      "]"}]}]}], ")"}]], "Input",
 CellChangeTimes->{{3.865675823907888*^9, 3.865675843663042*^9}, {
  3.8656759063892727`*^9, 3.865675955655429*^9}, {3.865676315479155*^9, 
  3.865676317410942*^9}},
 CellLabel->"In[605]:=",
 CellID->1832106143,ExpressionUUID->"9fea4308-98eb-4d69-832b-e6269fc726fb"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> <|
      "3rd" -> <|"male" -> 493, "female" -> 216|>, 
       "2nd" -> <|"female" -> 106, "male" -> 171|>, 
       "1st" -> <|"female" -> 144, "male" -> 179|>|>, "AllowEmbedding" -> 
     True, "InitialShape" -> TypeSystem`PackageScope`Limited[
       TypeSystem`PackageScope`ColumnShape[
        TypeSystem`PackageScope`KeyValueShape[
         TypeSystem`PackageScope`AtomShape[33.6], 
         TypeSystem`PackageScope`Limited[
          TypeSystem`PackageScope`ColumnShape[
           TypeSystem`PackageScope`KeyValueShape[
            TypeSystem`PackageScope`UnknownShape[True], 
            TypeSystem`PackageScope`AtomShape[34]]], 2, 
          DirectedInfinity[1], {All}]]], 3, 
       DirectedInfinity[1], {}], "InitialType" -> TypeSystem`Assoc[
       TypeSystem`Atom[String], 
       TypeSystem`Assoc[TypeSystem`AnyType, 
        TypeSystem`Atom[Integer], 2], 3], "Meta" -> <||>, "RowTarget" -> 20, 
     "ColumnTarget" -> 10, "Shape" -> TypeSystem`PackageScope`Limited[
       TypeSystem`PackageScope`ColumnShape[
        TypeSystem`PackageScope`KeyValueShape[
         TypeSystem`PackageScope`AtomShape[33.6], 
         TypeSystem`PackageScope`Limited[
          TypeSystem`PackageScope`ColumnShape[
           TypeSystem`PackageScope`KeyValueShape[
            TypeSystem`PackageScope`UnknownShape[True], 
            TypeSystem`PackageScope`AtomShape[34]]], 2, 
          DirectedInfinity[1], {All}]]], 3, 
       DirectedInfinity[1], {}], "Type" -> TypeSystem`Assoc[
       TypeSystem`Atom[String], 
       TypeSystem`Assoc[TypeSystem`AnyType, 
        TypeSystem`Atom[Integer], 2], 3], "Path" -> {}, "DisplayedRowCount" -> 
     3, "DisplayedColumnCount" -> 1, "DataRowCount" -> 3, "DataColumnCount" -> 
     1, "SortPaths" -> {}, "SortDirections" -> {}, "HiddenItemsMap" -> Null, 
     "UpdateType" -> 1|>, TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["3rd", 
                  Style[
                  "3rd", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["3rd"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a8597859-fe50-4bd7-8e3a-fafbfd10c29c"]][{
                 Key["3rd"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{33.6, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a8597859-fe50-4bd7-8e3a-fafbfd10c29c"]][{
                 Key["3rd"], 
                 Key["male"]}, "Item", False], "Mouse"], 
              ImageSize -> {{44.800000000000004`, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["493"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a8597859-fe50-4bd7-8e3a-fafbfd10c29c"]][{
                 Key["3rd"], 
                 Key["male"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {SpanFromAbove, 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a8597859-fe50-4bd7-8e3a-fafbfd10c29c"]][{
                 Key["3rd"], 
                 Key["female"]}, "Item", False], "Mouse"], 
              ImageSize -> {{67.2, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["216"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a8597859-fe50-4bd7-8e3a-fafbfd10c29c"]][{
                 Key["3rd"], 
                 Key["female"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["2nd", 
                  Style[
                  "2nd", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["2nd"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a8597859-fe50-4bd7-8e3a-fafbfd10c29c"]][{
                 Key["2nd"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{33.6, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a8597859-fe50-4bd7-8e3a-fafbfd10c29c"]][{
                 Key["2nd"], 
                 Key["female"]}, "Item", False], "Mouse"], 
              ImageSize -> {{67.2, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["106"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a8597859-fe50-4bd7-8e3a-fafbfd10c29c"]][{
                 Key["2nd"], 
                 Key["female"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {SpanFromAbove, 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a8597859-fe50-4bd7-8e3a-fafbfd10c29c"]][{
                 Key["2nd"], 
                 Key["male"]}, "Item", False], "Mouse"], 
              ImageSize -> {{44.800000000000004`, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["171"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a8597859-fe50-4bd7-8e3a-fafbfd10c29c"]][{
                 Key["2nd"], 
                 Key["male"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["1st", 
                  Style[
                  "1st", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["1st"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a8597859-fe50-4bd7-8e3a-fafbfd10c29c"]][{
                 Key["1st"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{33.6, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a8597859-fe50-4bd7-8e3a-fafbfd10c29c"]][{
                 Key["1st"], 
                 Key["female"]}, "Item", False], "Mouse"], 
              ImageSize -> {{67.2, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["144"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a8597859-fe50-4bd7-8e3a-fafbfd10c29c"]][{
                 Key["1st"], 
                 Key["female"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {SpanFromAbove, 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a8597859-fe50-4bd7-8e3a-fafbfd10c29c"]][{
                 Key["1st"], 
                 Key["male"]}, "Item", False], "Mouse"], 
              ImageSize -> {{44.800000000000004`, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["179"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "a8597859-fe50-4bd7-8e3a-fafbfd10c29c"]][{
                 Key["1st"], 
                 Key["male"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{162., {86.8837890625, 94.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{162., {86.8837890625, 94.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{
  3.8656758442648277`*^9, {3.865675941774024*^9, 3.8656759560787477`*^9}, 
   3.8656763179894*^9, 3.866801195825486*^9, 3.881426251869636*^9},
 CellLabel->"Out[605]=",
 CellID->432014505,ExpressionUUID->"6e1a32ae-db69-44f6-9db8-23ed88272526"]
}, Open  ]],

Cell[TextData[{
 "The output is unpleasant for several reasons. First, the ordering of the \
class headers is odd. The only reason third class comes first is that, as it \
happens, the first person it encountered in the jumbled data came from third \
class. Second, the sex order is sometimes male-female and other times \
female-male. This inconsistency makes the result difficult to comprehend. \
Third, I have effectively a ",
 Cell[BoxData[
  FormBox[
   RowBox[{"6", "\[Times]", "1"}], TraditionalForm]], "InlineMath",
  ExpressionUUID->"bf0eefc9-9074-4cbc-915f-9e4cfbf8a68c"],
 " table. The male vs. female groupings are presented vertically, in the same \
orientation as the class groupings. I would prefer a ",
 Cell[BoxData[
  FormBox[
   RowBox[{"3", "\[Times]", "2"}], TraditionalForm]], "InlineMath",
  ExpressionUUID->"3f8edfbe-0fa2-4f32-a151-6abbf5cdc208"],
 " conventional table in which cabin class is in the rows and sex is in the \
columns. I\[CloseCurlyQuote]d like the male vs. female groupings to be \
presented horizontally in the opposite orientation as the class groupings. In \
short, I want to change the relative orientation of the different levels of \
the ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 "."
}], "Text",
 CellTags->"i:51",
 CellID->1752668747,ExpressionUUID->"29b62490-0bd6-4c12-bd91-954a5135f7dc"],

Cell[TextData[{
 "One fix is to compose a ",
 ButtonBox["KeySort",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/KeySort.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/KeySort.html"],
 " with both of the grouping operations. After having done so, the cabin \
classes are sorted alphabetically and the sex sub-groupings are consistently \
sorted alphabetically. The latter sorting has a fringe benefit. Because the \
order of the ",
 Cell[BoxData[
 "\"\<sex\>\""], "InlineCodeText",ExpressionUUID->
  "941ef6ab-67a5-4544-988d-905b1bd64dfa"],
 " keys in the key-value pairs is the same, the kernel is smart enough to \
realize that it can internally compress the data as something known \
internally as a ",
 StyleBox["Struct", "FormattedFunction"],
 ". And when the Wolfram Language front end sees a ",
 StyleBox["Struct", "FormattedFunction"],
 ", it can (subject to various complications) present the data in an \
orientation opposite that of the preceding groupings."
}], "Text",
 CellChangeTimes->{{3.865676170646821*^9, 3.865676303154553*^9}, {
   3.865676367605426*^9, 3.865676453513208*^9}, {3.865676519841551*^9, 
   3.865676525130105*^9}, {3.866803335953547*^9, 3.866803353729241*^9}, {
   3.866898111324525*^9, 3.866898147439662*^9}, {3.867930158825199*^9, 
   3.867930235903001*^9}, 3.86793028710128*^9, {3.869135441126357*^9, 
   3.869135446527183*^9}, {3.869323297852048*^9, 3.869323345882761*^9}, {
   3.869921297784186*^9, 3.869921343534882*^9}, {3.873561258324918*^9, 
   3.873561264723257*^9}, 3.896310003688387*^9},
 CellID->429248975,ExpressionUUID->"dcfbb90f-0444-4636-8a05-068e5b048a03"],

Cell[TextData[{
 "Use ",
 ButtonBox["KeySort",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/KeySort.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/KeySort.html"],
 " to force a consistent ordering of the keys and thereby induce the \
orientation of the second level of the resulting ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " to differ from that of the preceding level:"
}], "CodeText",
 CellChangeTimes->{{3.866803675405293*^9, 3.866803736991568*^9}, {
   3.86689815684405*^9, 3.866898164930373*^9}, 3.867930320369914*^9},
 CellID->107198153,ExpressionUUID->"df7fc168-9466-4215-ae8b-c559cf477c86"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"breakdown2", "=", 
  RowBox[{
   RowBox[{"Query", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"GroupBy", "[", 
       RowBox[{"#class", "&"}], "]"}], "/*", "KeySort"}], ",", 
     RowBox[{
      RowBox[{"GroupBy", "[", 
       RowBox[{"#sex", "&"}], "]"}], "/*", "KeySort"}], ",", "Length"}], 
    "]"}], "[", "titanic2", "]"}]}]], "Input",
 CellChangeTimes->{{3.865676152340493*^9, 3.8656761631055727`*^9}, {
  3.8656763368406057`*^9, 3.8656763382670307`*^9}},
 CellLabel->"In[606]:=",
 CellID->376064896,ExpressionUUID->"86afe727-48dd-4d3c-9b27-32890f0cdbcb"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> <|
      "1st" -> <|"female" -> 144, "male" -> 179|>, 
       "2nd" -> <|"female" -> 106, "male" -> 171|>, 
       "3rd" -> <|"female" -> 216, "male" -> 493|>|>, "AllowEmbedding" -> 
     True, "InitialShape" -> TypeSystem`PackageScope`HeaderShape[<|{All, 
          TypeSystem`PackageScope`KeyDummy[4]} -> 1, {All, "female"} -> 
        1, {All, "male"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`KeyValueShape[
          TypeSystem`PackageScope`AtomShape[33.6], 
          TypeSystem`PackageScope`Limited[
           
           TypeSystem`PackageScope`RowShape[<|
            "female" -> TypeSystem`PackageScope`AtomShape[34], "male" -> 
             TypeSystem`PackageScope`AtomShape[34]|>], 
           DirectedInfinity[1], 2, {All}]]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Assoc[
       TypeSystem`Atom[String], 
       TypeSystem`Struct[{"female", "male"}, {
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[Integer]}], 3], "Meta" -> <||>, "RowTarget" -> 20, 
     "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, 
          TypeSystem`PackageScope`KeyDummy[4]} -> 1, {All, "female"} -> 
        1, {All, "male"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`KeyValueShape[
          TypeSystem`PackageScope`AtomShape[33.6], 
          TypeSystem`PackageScope`Limited[
           
           TypeSystem`PackageScope`RowShape[<|
            "female" -> TypeSystem`PackageScope`AtomShape[34], "male" -> 
             TypeSystem`PackageScope`AtomShape[34]|>], 
           DirectedInfinity[1], 2, {All}]]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Assoc[
       TypeSystem`Atom[String], 
       TypeSystem`Struct[{"female", "male"}, {
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[Integer]}], 3], "Path" -> {}, "DisplayedRowCount" -> 
     8, "DisplayedColumnCount" -> 2, "DataRowCount" -> 3, "DataColumnCount" -> 
     2, "SortPaths" -> {}, "SortDirections" -> {}, "HiddenItemsMap" -> Null, 
     "UpdateType" -> 1|>, TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               Mouseover[
                
                Graphics[{}, ImageSize -> 6, BaselinePosition -> 
                 Scaled[-0.15]], 
                Graphics[{
                  GrayLevel[0.6], 
                  
                  Polygon[{{2^Rational[-1, 2], -2^Rational[-1, 2]}, {
                    2^Rational[-1, 2], 2^
                    Rational[-1, 2]}, {-2^Rational[-1, 2], 2^
                    Rational[-1, 2]}, {-2^Rational[-1, 2], -2^
                    Rational[-1, 2]}}]}, ImageSize -> 6, BaselinePosition -> 
                 Scaled[-0.15]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "cfe7ae29-0eba-4b1f-874e-a753fbf1f8d5"]][{All, Keys}, 
                "KeyDummy", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["female", 
                  Style[
                  "female", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "female"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "cfe7ae29-0eba-4b1f-874e-a753fbf1f8d5"]][{All, "female"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["male", 
                  Style[
                  "male", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "male"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "cfe7ae29-0eba-4b1f-874e-a753fbf1f8d5"]][{All, "male"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["1st", 
                  Style[
                  "1st", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["1st"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "cfe7ae29-0eba-4b1f-874e-a753fbf1f8d5"]][{
                 Key["1st"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{33.6, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["144"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "cfe7ae29-0eba-4b1f-874e-a753fbf1f8d5"]][{
                 Key["1st"], 
                 Key["female"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["179"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "cfe7ae29-0eba-4b1f-874e-a753fbf1f8d5"]][{
                 Key["1st"], 
                 Key["male"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["2nd", 
                  Style[
                  "2nd", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["2nd"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "cfe7ae29-0eba-4b1f-874e-a753fbf1f8d5"]][{
                 Key["2nd"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{33.6, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["106"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "cfe7ae29-0eba-4b1f-874e-a753fbf1f8d5"]][{
                 Key["2nd"], 
                 Key["female"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["171"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "cfe7ae29-0eba-4b1f-874e-a753fbf1f8d5"]][{
                 Key["2nd"], 
                 Key["male"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["3rd", 
                  Style[
                  "3rd", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["3rd"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "cfe7ae29-0eba-4b1f-874e-a753fbf1f8d5"]][{
                 Key["3rd"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{33.6, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["216"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "cfe7ae29-0eba-4b1f-874e-a753fbf1f8d5"]][{
                 Key["3rd"], 
                 Key["female"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["493"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "cfe7ae29-0eba-4b1f-874e-a753fbf1f8d5"]][{
                 Key["3rd"], 
                 Key["male"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{134., {59.8837890625, 67.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{134., {59.8837890625, 67.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{{3.8656761593735113`*^9, 3.865676163683367*^9}, 
   3.865676338718889*^9, 3.866801196034169*^9, 3.88142625981514*^9},
 CellTags->"LastCellOfAPage",
 CellLabel->"Out[606]=",
 CellID->522810892,ExpressionUUID->"26adeb8e-d864-4b6e-811a-ba9122bfbbda"]
}, Open  ]],

Cell["\<\
This technique generalizes to Datasets that have more than two levels.\
\>", "Text",
 CellChangeTimes->{{3.866898186065028*^9, 3.866898213949203*^9}, 
   3.867930353725452*^9},
 CellTags->"p: 182",
 CellID->2006199376,ExpressionUUID->"d6e5621c-94cc-493d-931d-b7d9f189c81d"],

Cell[TextData[{
 "Use ",
 ButtonBox["KeySort",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/KeySort.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/KeySort.html"],
 " to force a consistent ordering of the keys and thereby induce the \
orientation of each successive level of the resulting ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " to differ from that of the preceding level:"
}], "CodeText",
 CellChangeTimes->{{3.866803675405293*^9, 3.866803736991568*^9}, {
  3.8668038195320663`*^9, 3.8668038387900953`*^9}, {3.8679303587163363`*^9, 
  3.86793037452402*^9}, {3.8722566889317684`*^9, 3.8722566891172686`*^9}},
 CellID->1472811632,ExpressionUUID->"b27b70c3-1265-4b37-85d5-9df382d966c0"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"breakdown3", "=", 
  RowBox[{
   RowBox[{"Query", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"GroupBy", "[", 
       RowBox[{"#class", "&"}], "]"}], "/*", "KeySort"}], ",", 
     RowBox[{
      RowBox[{"GroupBy", "[", 
       RowBox[{"#sex", "&"}], "]"}], "/*", "KeySort"}], ",", 
     RowBox[{
      RowBox[{"GroupBy", "[", 
       RowBox[{
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"#age", "\[LessEqual]", "18"}], ",", "\"\<child\>\"", ",", 
          "\"\<adult\>\"", ",", 
          RowBox[{"Missing", "[", "]"}]}], "]"}], "&"}], "]"}], "/*", 
      "KeySort"}], ",", "Length"}], "]"}], "[", "titanic2", "]"}]}]], "Input",\

 CellChangeTimes->{{3.866803748882928*^9, 3.866803797460784*^9}},
 CellLabel->"In[607]:=",
 CellID->1867696522,ExpressionUUID->"964fc9d6-dd89-4478-b2d9-cc48e659e3a7"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> <|
      "1st" -> <|
        "female" -> <|"adult" -> 120, "child" -> 13, Missing[] -> 11|>, 
         "male" -> <|"adult" -> 143, "child" -> 8, Missing[] -> 28|>|>, 
       "2nd" -> <|
        "female" -> <|"adult" -> 82, "child" -> 21, Missing[] -> 3|>, 
         "male" -> <|"adult" -> 137, "child" -> 21, Missing[] -> 13|>|>, 
       "3rd" -> <|
        "female" -> <|"adult" -> 94, "child" -> 58, Missing[] -> 64|>, 
         "male" -> <|"adult" -> 277, "child" -> 72, Missing[] -> 144|>|>|>, 
     "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, 
          TypeSystem`PackageScope`KeyDummy[5]} -> 1, {All, "female"} -> 
        2, {All, "male"} -> 2|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`KeyValueShape[
          TypeSystem`PackageScope`AtomShape[33.6], 
          TypeSystem`PackageScope`Limited[
           
           TypeSystem`PackageScope`RowShape[<|
            "female" -> TypeSystem`PackageScope`Limited[
               TypeSystem`PackageScope`ColumnShape[
                TypeSystem`PackageScope`KeyValueShape[
                 TypeSystem`PackageScope`AtomShape[56.00000000000001], 
                 TypeSystem`PackageScope`AtomShape[34]]], 3, 
               DirectedInfinity[1], {All, "female"}], "male" -> 
             TypeSystem`PackageScope`Limited[
               TypeSystem`PackageScope`ColumnShape[
                TypeSystem`PackageScope`KeyValueShape[
                 TypeSystem`PackageScope`AtomShape[56.00000000000001], 
                 TypeSystem`PackageScope`AtomShape[34]]], 3, 
               DirectedInfinity[1], {All, "male"}]|>], 
           DirectedInfinity[1], 2, {All}]]], 3, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Assoc[
       TypeSystem`Atom[String], 
       TypeSystem`Struct[{"female", "male"}, {
         TypeSystem`Assoc[
          TypeSystem`Atom[String], 
          TypeSystem`Atom[Integer], 3], 
         TypeSystem`Assoc[
          TypeSystem`Atom[String], 
          TypeSystem`Atom[Integer], 3]}], 3], "Meta" -> <||>, "RowTarget" -> 
     20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, 
          TypeSystem`PackageScope`KeyDummy[5]} -> 1, {All, "female"} -> 
        2, {All, "male"} -> 2|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`KeyValueShape[
          TypeSystem`PackageScope`AtomShape[33.6], 
          TypeSystem`PackageScope`Limited[
           
           TypeSystem`PackageScope`RowShape[<|
            "female" -> TypeSystem`PackageScope`Limited[
               TypeSystem`PackageScope`ColumnShape[
                TypeSystem`PackageScope`KeyValueShape[
                 TypeSystem`PackageScope`AtomShape[56.00000000000001], 
                 TypeSystem`PackageScope`AtomShape[34]]], 3, 
               DirectedInfinity[1], {All, "female"}], "male" -> 
             TypeSystem`PackageScope`Limited[
               TypeSystem`PackageScope`ColumnShape[
                TypeSystem`PackageScope`KeyValueShape[
                 TypeSystem`PackageScope`AtomShape[56.00000000000001], 
                 TypeSystem`PackageScope`AtomShape[34]]], 3, 
               DirectedInfinity[1], {All, "male"}]|>], 
           DirectedInfinity[1], 2, {All}]]], 3, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Assoc[
       TypeSystem`Atom[String], 
       TypeSystem`Struct[{"female", "male"}, {
         TypeSystem`Assoc[
          TypeSystem`Atom[String], 
          TypeSystem`Atom[Integer], 3], 
         TypeSystem`Assoc[
          TypeSystem`Atom[String], 
          TypeSystem`Atom[Integer], 3]}], 3], "Path" -> {}, 
     "DisplayedRowCount" -> 3, "DisplayedColumnCount" -> 2, "DataRowCount" -> 
     3, "DataColumnCount" -> 2, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               Mouseover[
                
                Graphics[{}, ImageSize -> 6, BaselinePosition -> 
                 Scaled[-0.15]], 
                Graphics[{
                  GrayLevel[0.6], 
                  
                  Polygon[{{2^Rational[-1, 2], -2^Rational[-1, 2]}, {
                    2^Rational[-1, 2], 2^
                    Rational[-1, 2]}, {-2^Rational[-1, 2], 2^
                    Rational[-1, 2]}, {-2^Rational[-1, 2], -2^
                    Rational[-1, 2]}}]}, ImageSize -> 6, BaselinePosition -> 
                 Scaled[-0.15]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "266c3e0d-f59d-4abb-9303-2c8ce39d0d96"]][{All, Keys}, 
                "KeyDummy", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["female", 
                  Style[
                  "female", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "female"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "266c3e0d-f59d-4abb-9303-2c8ce39d0d96"]][{All, "female"}, 
                "ColumnHeader", False], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Center, Baseline}], SpanFromLeft, 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["male", 
                  Style[
                  "male", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "male"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "266c3e0d-f59d-4abb-9303-2c8ce39d0d96"]][{All, "male"}, 
                "ColumnHeader", False], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Center, Baseline}], 
            SpanFromLeft}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["1st", 
                  Style[
                  "1st", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["1st"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "266c3e0d-f59d-4abb-9303-2c8ce39d0d96"]][{
                 Key["1st"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{33.6, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["adult", 
                  Style[
                  "adult", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["1st"], 
                    Key["female"], 
                    Key["adult"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "266c3e0d-f59d-4abb-9303-2c8ce39d0d96"]][{
                 Key["1st"], 
                 Key["female"], 
                 Key["adult"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{56.00000000000001, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["120"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "266c3e0d-f59d-4abb-9303-2c8ce39d0d96"]][{
                 Key["1st"], 
                 Key["female"], 
                 Key["adult"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["adult", 
                  Style[
                  "adult", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["1st"], 
                    Key["male"], 
                    Key["adult"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "266c3e0d-f59d-4abb-9303-2c8ce39d0d96"]][{
                 Key["1st"], 
                 Key["male"], 
                 Key["adult"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{56.00000000000001, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["143"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "266c3e0d-f59d-4abb-9303-2c8ce39d0d96"]][{
                 Key["1st"], 
                 Key["male"], 
                 Key["adult"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {SpanFromAbove, 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["child", 
                  Style[
                  "child", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["1st"], 
                    Key["female"], 
                    Key["child"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "266c3e0d-f59d-4abb-9303-2c8ce39d0d96"]][{
                 Key["1st"], 
                 Key["female"], 
                 Key["child"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{56.00000000000001, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["13"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "266c3e0d-f59d-4abb-9303-2c8ce39d0d96"]][{
                 Key["1st"], 
                 Key["female"], 
                 Key["child"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["child", 
                  Style[
                  "child", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["1st"], 
                    Key["male"], 
                    Key["child"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "266c3e0d-f59d-4abb-9303-2c8ce39d0d96"]][{
                 Key["1st"], 
                 Key["male"], 
                 Key["child"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{56.00000000000001, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["8"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "266c3e0d-f59d-4abb-9303-2c8ce39d0d96"]][{
                 Key["1st"], 
                 Key["male"], 
                 Key["child"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {SpanFromAbove, 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  Style["\[LongDash]", 
                   GrayLevel[0.75]], 
                  Style[
                   Style["\[LongDash]", 
                    GrayLevel[0.75]], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["1st"], 
                    Key["female"], 
                    Key[
                    Missing[]]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "266c3e0d-f59d-4abb-9303-2c8ce39d0d96"]][{
                 Key["1st"], 
                 Key["female"], 
                 Key[
                  Missing[]]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{56.00000000000001, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["11"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "266c3e0d-f59d-4abb-9303-2c8ce39d0d96"]][{
                 Key["1st"], 
                 Key["female"], 
                 Key[
                  Missing[]]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  Style["\[LongDash]", 
                   GrayLevel[0.75]], 
                  Style[
                   Style["\[LongDash]", 
                    GrayLevel[0.75]], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["1st"], 
                    Key["male"], 
                    Key[
                    Missing[]]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "266c3e0d-f59d-4abb-9303-2c8ce39d0d96"]][{
                 Key["1st"], 
                 Key["male"], 
                 Key[
                  Missing[]]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{56.00000000000001, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["28"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "266c3e0d-f59d-4abb-9303-2c8ce39d0d96"]][{
                 Key["1st"], 
                 Key["male"], 
                 Key[
                  Missing[]]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["2nd", 
                  Style[
                  "2nd", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["2nd"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "266c3e0d-f59d-4abb-9303-2c8ce39d0d96"]][{
                 Key["2nd"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{33.6, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["adult", 
                  Style[
                  "adult", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["2nd"], 
                    Key["female"], 
                    Key["adult"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "266c3e0d-f59d-4abb-9303-2c8ce39d0d96"]][{
                 Key["2nd"], 
                 Key["female"], 
                 Key["adult"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{56.00000000000001, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["82"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "266c3e0d-f59d-4abb-9303-2c8ce39d0d96"]][{
                 Key["2nd"], 
                 Key["female"], 
                 Key["adult"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["adult", 
                  Style[
                  "adult", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["2nd"], 
                    Key["male"], 
                    Key["adult"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "266c3e0d-f59d-4abb-9303-2c8ce39d0d96"]][{
                 Key["2nd"], 
                 Key["male"], 
                 Key["adult"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{56.00000000000001, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["137"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "266c3e0d-f59d-4abb-9303-2c8ce39d0d96"]][{
                 Key["2nd"], 
                 Key["male"], 
                 Key["adult"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {SpanFromAbove, 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["child", 
                  Style[
                  "child", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["2nd"], 
                    Key["female"], 
                    Key["child"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "266c3e0d-f59d-4abb-9303-2c8ce39d0d96"]][{
                 Key["2nd"], 
                 Key["female"], 
                 Key["child"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{56.00000000000001, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["21"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "266c3e0d-f59d-4abb-9303-2c8ce39d0d96"]][{
                 Key["2nd"], 
                 Key["female"], 
                 Key["child"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["child", 
                  Style[
                  "child", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["2nd"], 
                    Key["male"], 
                    Key["child"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "266c3e0d-f59d-4abb-9303-2c8ce39d0d96"]][{
                 Key["2nd"], 
                 Key["male"], 
                 Key["child"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{56.00000000000001, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["21"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "266c3e0d-f59d-4abb-9303-2c8ce39d0d96"]][{
                 Key["2nd"], 
                 Key["male"], 
                 Key["child"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {SpanFromAbove, 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  Style["\[LongDash]", 
                   GrayLevel[0.75]], 
                  Style[
                   Style["\[LongDash]", 
                    GrayLevel[0.75]], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["2nd"], 
                    Key["female"], 
                    Key[
                    Missing[]]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "266c3e0d-f59d-4abb-9303-2c8ce39d0d96"]][{
                 Key["2nd"], 
                 Key["female"], 
                 Key[
                  Missing[]]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{56.00000000000001, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["3"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "266c3e0d-f59d-4abb-9303-2c8ce39d0d96"]][{
                 Key["2nd"], 
                 Key["female"], 
                 Key[
                  Missing[]]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  Style["\[LongDash]", 
                   GrayLevel[0.75]], 
                  Style[
                   Style["\[LongDash]", 
                    GrayLevel[0.75]], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["2nd"], 
                    Key["male"], 
                    Key[
                    Missing[]]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "266c3e0d-f59d-4abb-9303-2c8ce39d0d96"]][{
                 Key["2nd"], 
                 Key["male"], 
                 Key[
                  Missing[]]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{56.00000000000001, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["13"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "266c3e0d-f59d-4abb-9303-2c8ce39d0d96"]][{
                 Key["2nd"], 
                 Key["male"], 
                 Key[
                  Missing[]]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["3rd", 
                  Style[
                  "3rd", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["3rd"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "266c3e0d-f59d-4abb-9303-2c8ce39d0d96"]][{
                 Key["3rd"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{33.6, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["adult", 
                  Style[
                  "adult", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["3rd"], 
                    Key["female"], 
                    Key["adult"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "266c3e0d-f59d-4abb-9303-2c8ce39d0d96"]][{
                 Key["3rd"], 
                 Key["female"], 
                 Key["adult"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{56.00000000000001, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["94"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "266c3e0d-f59d-4abb-9303-2c8ce39d0d96"]][{
                 Key["3rd"], 
                 Key["female"], 
                 Key["adult"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["adult", 
                  Style[
                  "adult", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["3rd"], 
                    Key["male"], 
                    Key["adult"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "266c3e0d-f59d-4abb-9303-2c8ce39d0d96"]][{
                 Key["3rd"], 
                 Key["male"], 
                 Key["adult"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{56.00000000000001, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["277"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "266c3e0d-f59d-4abb-9303-2c8ce39d0d96"]][{
                 Key["3rd"], 
                 Key["male"], 
                 Key["adult"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {SpanFromAbove, 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["child", 
                  Style[
                  "child", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["3rd"], 
                    Key["female"], 
                    Key["child"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "266c3e0d-f59d-4abb-9303-2c8ce39d0d96"]][{
                 Key["3rd"], 
                 Key["female"], 
                 Key["child"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{56.00000000000001, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["58"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "266c3e0d-f59d-4abb-9303-2c8ce39d0d96"]][{
                 Key["3rd"], 
                 Key["female"], 
                 Key["child"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["child", 
                  Style[
                  "child", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["3rd"], 
                    Key["male"], 
                    Key["child"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "266c3e0d-f59d-4abb-9303-2c8ce39d0d96"]][{
                 Key["3rd"], 
                 Key["male"], 
                 Key["child"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{56.00000000000001, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["72"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "266c3e0d-f59d-4abb-9303-2c8ce39d0d96"]][{
                 Key["3rd"], 
                 Key["male"], 
                 Key["child"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {SpanFromAbove, 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  Style["\[LongDash]", 
                   GrayLevel[0.75]], 
                  Style[
                   Style["\[LongDash]", 
                    GrayLevel[0.75]], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["3rd"], 
                    Key["female"], 
                    Key[
                    Missing[]]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "266c3e0d-f59d-4abb-9303-2c8ce39d0d96"]][{
                 Key["3rd"], 
                 Key["female"], 
                 Key[
                  Missing[]]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{56.00000000000001, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["64"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "266c3e0d-f59d-4abb-9303-2c8ce39d0d96"]][{
                 Key["3rd"], 
                 Key["female"], 
                 Key[
                  Missing[]]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  Style["\[LongDash]", 
                   GrayLevel[0.75]], 
                  Style[
                   Style["\[LongDash]", 
                    GrayLevel[0.75]], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["3rd"], 
                    Key["male"], 
                    Key[
                    Missing[]]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "266c3e0d-f59d-4abb-9303-2c8ce39d0d96"]][{
                 Key["3rd"], 
                 Key["male"], 
                 Key[
                  Missing[]]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{56.00000000000001, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["144"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "266c3e0d-f59d-4abb-9303-2c8ce39d0d96"]][{
                 Key["3rd"], 
                 Key["male"], 
                 Key[
                  Missing[]]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   With[{
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{256., {140.8837890625, 148.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{256., {140.8837890625, 148.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{{3.8668037893841867`*^9, 3.866803797906851*^9}, 
   3.881426266941372*^9},
 CellLabel->"Out[607]=",
 CellID->1066725392,ExpressionUUID->"0826d74d-f4c3-4bad-946f-464e4947f5c0"]
}, Open  ]],

Cell[TextData[{
 "I can use ",
 ButtonBox["KeyTake",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/KeyTake.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/KeyTake.html"],
 " or the ",
 ButtonBox["ResourceFunction",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ResourceFunction.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/ResourceFunction.html"],
 " ",
 ButtonBox["KeySortLike",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
KeySortLike"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/\
KeySortLike"],
 " to get further control over the order of the groupings. Suppose for some \
reason I want the order of the cabin classes to be ",
 Cell[BoxData[
 "\"\<2nd\>\""], "InlineCodeText",ExpressionUUID->
  "57980f66-e7e9-47c5-aabd-da561fd78545"],
 ", ",
 Cell[BoxData[
 "\"\<3rd\>\""], "InlineCodeText",ExpressionUUID->
  "d42817ef-55a2-4f11-8e86-72113d2821c4"],
 ", and ",
 Cell[BoxData[
 "\"\<1st\>\""], "InlineCodeText",ExpressionUUID->
  "80caa8fe-902d-4af8-8b25-e07465f25ec7"],
 " and the order of the sexes to be (consistently) ",
 Cell[BoxData[
 "\"\<male\>\""], "InlineCodeText",ExpressionUUID->
  "902e3c46-858c-4029-a24b-a6cfae08e3ba"],
 ", ",
 Cell[BoxData[
 "\"\<female\>\""], "InlineCodeText",ExpressionUUID->
  "9a2480b2-4738-49a8-a0bd-0288fd19e2fa"],
 "."
}], "Text",
 CellChangeTimes->{{3.865676537184143*^9, 3.865676581751122*^9}, {
   3.865676728146529*^9, 3.865676755012779*^9}, 3.865677397025201*^9, {
   3.867930386188039*^9, 3.8679304397042923`*^9}, {3.867930481442102*^9, 
   3.867930558118574*^9}, {3.869921371883815*^9, 3.8699213851277723`*^9}, {
   3.8722579658914995`*^9, 3.87225796617795*^9}, {3.8735624646197577`*^9, 
   3.873562472940624*^9}, 3.896310094259284*^9},
 CellTags->"i:52",
 CellID->2045033095,ExpressionUUID->"511a8069-85f2-4911-8e02-d7461a0d7d9d"],

Cell[TextData[{
 "Use ",
 ButtonBox["KeyTake",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/KeyTake.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/KeyTake.html"],
 " to force a particular order on the keys in a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " resulting from a ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.866803983513741*^9, 3.8668040104623423`*^9}, 
   3.8711225147127066`*^9},
 CellID->1253438253,ExpressionUUID->"860dc98a-4149-4c7c-9da9-86567dd6e484"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"GroupBy", "[", 
      RowBox[{"#class", "&"}], "]"}], "/*", 
     RowBox[{"KeyTake", "[", 
      RowBox[{"{", 
       RowBox[{"\"\<2nd\>\"", ",", "\"\<3rd\>\"", ",", "\"\<1st\>\""}], "}"}],
       "]"}]}], ",", 
    RowBox[{
     RowBox[{"GroupBy", "[", 
      RowBox[{"#sex", "&"}], "]"}], "/*", 
     RowBox[{"KeyTake", "[", 
      RowBox[{"{", 
       RowBox[{"\"\<male\>\"", ",", "\"\<female\>\""}], "}"}], "]"}]}], ",", 
    "Length"}], "]"}], "[", "titanic2", "]"}]], "Input",
 CellChangeTimes->{{3.8656767605170813`*^9, 3.865676794817533*^9}},
 CellLabel->"In[608]:=",
 CellID->347836506,ExpressionUUID->"f6ee6964-4bb4-4fd0-9aeb-3eb4969d5e80"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> <|
      "2nd" -> <|"male" -> 171, "female" -> 106|>, 
       "3rd" -> <|"male" -> 493, "female" -> 216|>, 
       "1st" -> <|"male" -> 179, "female" -> 144|>|>, "AllowEmbedding" -> 
     True, "InitialShape" -> TypeSystem`PackageScope`HeaderShape[<|{All, 
          TypeSystem`PackageScope`KeyDummy[6]} -> 1, {All, "male"} -> 
        1, {All, "female"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`KeyValueShape[
          TypeSystem`PackageScope`AtomShape[33.6], 
          TypeSystem`PackageScope`Limited[
           
           TypeSystem`PackageScope`RowShape[<|
            "male" -> TypeSystem`PackageScope`AtomShape[34], "female" -> 
             TypeSystem`PackageScope`AtomShape[34]|>], 
           DirectedInfinity[1], 2, {All}]]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Assoc[
       TypeSystem`Atom[String], 
       TypeSystem`Struct[{"male", "female"}, {
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[Integer]}], 3], "Meta" -> <||>, "RowTarget" -> 20, 
     "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, 
          TypeSystem`PackageScope`KeyDummy[6]} -> 1, {All, "male"} -> 
        1, {All, "female"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`KeyValueShape[
          TypeSystem`PackageScope`AtomShape[33.6], 
          TypeSystem`PackageScope`Limited[
           
           TypeSystem`PackageScope`RowShape[<|
            "male" -> TypeSystem`PackageScope`AtomShape[34], "female" -> 
             TypeSystem`PackageScope`AtomShape[34]|>], 
           DirectedInfinity[1], 2, {All}]]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Assoc[
       TypeSystem`Atom[String], 
       TypeSystem`Struct[{"male", "female"}, {
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[Integer]}], 3], "Path" -> {}, "DisplayedRowCount" -> 
     8, "DisplayedColumnCount" -> 2, "DataRowCount" -> 3, "DataColumnCount" -> 
     2, "SortPaths" -> {}, "SortDirections" -> {}, "HiddenItemsMap" -> Null, 
     "UpdateType" -> 1|>, TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               Mouseover[
                
                Graphics[{}, ImageSize -> 6, BaselinePosition -> 
                 Scaled[-0.15]], 
                Graphics[{
                  GrayLevel[0.6], 
                  
                  Polygon[{{2^Rational[-1, 2], -2^Rational[-1, 2]}, {
                    2^Rational[-1, 2], 2^
                    Rational[-1, 2]}, {-2^Rational[-1, 2], 2^
                    Rational[-1, 2]}, {-2^Rational[-1, 2], -2^
                    Rational[-1, 2]}}]}, ImageSize -> 6, BaselinePosition -> 
                 Scaled[-0.15]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "41f2e56c-1f63-4ca7-a52e-776ee284e7fd"]][{All, Keys}, 
                "KeyDummy", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["male", 
                  Style[
                  "male", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "male"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "41f2e56c-1f63-4ca7-a52e-776ee284e7fd"]][{All, "male"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["female", 
                  Style[
                  "female", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "female"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "41f2e56c-1f63-4ca7-a52e-776ee284e7fd"]][{All, "female"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["2nd", 
                  Style[
                  "2nd", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["2nd"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "41f2e56c-1f63-4ca7-a52e-776ee284e7fd"]][{
                 Key["2nd"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{33.6, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["171"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "41f2e56c-1f63-4ca7-a52e-776ee284e7fd"]][{
                 Key["2nd"], 
                 Key["male"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["106"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "41f2e56c-1f63-4ca7-a52e-776ee284e7fd"]][{
                 Key["2nd"], 
                 Key["female"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["3rd", 
                  Style[
                  "3rd", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["3rd"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "41f2e56c-1f63-4ca7-a52e-776ee284e7fd"]][{
                 Key["3rd"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{33.6, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["493"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "41f2e56c-1f63-4ca7-a52e-776ee284e7fd"]][{
                 Key["3rd"], 
                 Key["male"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["216"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "41f2e56c-1f63-4ca7-a52e-776ee284e7fd"]][{
                 Key["3rd"], 
                 Key["female"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["1st", 
                  Style[
                  "1st", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["1st"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "41f2e56c-1f63-4ca7-a52e-776ee284e7fd"]][{
                 Key["1st"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{33.6, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["179"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "41f2e56c-1f63-4ca7-a52e-776ee284e7fd"]][{
                 Key["1st"], 
                 Key["male"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["144"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "41f2e56c-1f63-4ca7-a52e-776ee284e7fd"]][{
                 Key["1st"], 
                 Key["female"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{134., {59.8837890625, 67.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{134., {59.8837890625, 67.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.865676796203806*^9, 3.866801196186472*^9, 
  3.881426272520084*^9},
 CellLabel->"Out[608]=",
 CellID->1107635815,ExpressionUUID->"80e15989-c394-4fdf-a33c-2ec526a988c6"]
}, Open  ]],

Cell[TextData[{
 "Or, suppose I really don\[CloseCurlyQuote]t care about the ordering of \
people in ",
 Cell[BoxData[
 "\"\<3rd\>\""], "InlineCodeText",ExpressionUUID->
  "a55105d8-db84-4a1a-9fbe-0868033833e1"],
 " or ",
 Cell[BoxData[
 "\"\<1st\>\""], "InlineCodeText",ExpressionUUID->
  "1f029787-f0fd-4b5c-a1d9-60b7d4f36ba5"],
 " class. All I really care about is that people who were in ",
 Cell[BoxData[
 "\"\<2nd\>\""], "InlineCodeText",ExpressionUUID->
  "10706a48-4d50-43ad-b8a0-068de44f116e"],
 " class get listed first. I can use ",
 ButtonBox["KeySortLike",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
KeySortLike"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/\
KeySortLike"],
 " as a simple way to fulfill this desire."
}], "Text",
 CellChangeTimes->{{3.865677328745257*^9, 3.865677388294208*^9}, {
  3.865677419920896*^9, 3.8656774348628607`*^9}, {3.867930631590884*^9, 
  3.8679306773881273`*^9}, {3.8699213945705023`*^9, 3.869921413688476*^9}},
 CellTags->"LastCellOfAPage",
 CellID->1580564136,ExpressionUUID->"98e82fce-cbaf-4f6d-b98f-505728c26353"],

Cell[TextData[{
 "Use the ",
 ButtonBox["KeySortLike",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
KeySortLike"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/\
KeySortLike"],
 " ",
 ButtonBox["ResourceFunction",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ResourceFunction.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/ResourceFunction.html"],
 " to force a particular order on the keys in a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " resulting from a ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.866803983513741*^9, 3.8668040104623423`*^9}, {
   3.866804054414729*^9, 3.866804078180184*^9}, {3.867931143955564*^9, 
   3.867931163332169*^9}, {3.869921418360976*^9, 3.86992143491588*^9}, 
   3.8699325837232523`*^9},
 CellTags->"p: 183",
 CellID->1494701397,ExpressionUUID->"99feef0f-686c-4476-b344-a449b9d12828"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"GroupBy", "[", 
      RowBox[{"#class", "&"}], "]"}], "/*", 
     RowBox[{
      InterpretationBox[
       TagBox[
        DynamicModuleBox[{Typeset`open = False}, 
         FrameBox[
          PaneSelectorBox[{False->GridBox[{
             {
              PaneBox[GridBox[{
                 {
                  StyleBox[
                   StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                   ShowStringCharacters->False,
                   FontFamily->"Source Sans Pro Black",
                   FontSize->0.6538461538461539 Inherited,
                   FontWeight->"Heavy",
                   PrivateFontOptions->{"OperatorSubstitution"->False}], 
                  StyleBox[
                   RowBox[{
                    StyleBox["KeySortLike", "ResourceFunctionLabel"], " "}],
                   ShowAutoStyles->False,
                   ShowStringCharacters->False,
                   FontSize->Rational[12, 13] Inherited,
                   FontColor->GrayLevel[0.1]]}
                },
                GridBoxSpacings->{"Columns" -> {{0.25}}}],
               Alignment->Left,
               BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
               BaselinePosition->Baseline,
               FrameMargins->{{3, 0}, {0, 0}}], 
              ItemBox[
               PaneBox[
                TogglerBox[Dynamic[Typeset`open], {True->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeCloser"],
                  ImageSizeCache->{11., {2., 9.}}], False->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeOpener"],
                  ImageSizeCache->{11., {2., 9.}}]},
                 Appearance->None,
                 BaselinePosition->Baseline,
                 ContentPadding->False,
                 FrameMargins->0],
                Alignment->Left,
                BaselinePosition->Baseline,
                FrameMargins->{{1, 1}, {0, 0}}],
               Frame->{{
                  RGBColor[
                  0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                   0.5], False}, {False, False}}]}
            },
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
           GridBox[{
             {GridBox[{
                {
                 PaneBox[GridBox[{
                    {
                    StyleBox[
                    StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                    ShowStringCharacters->False,
                    FontFamily->"Source Sans Pro Black",
                    FontSize->0.6538461538461539 Inherited,
                    FontWeight->"Heavy",
                    PrivateFontOptions->{"OperatorSubstitution"->False}], 
                    StyleBox[
                    RowBox[{
                    StyleBox["KeySortLike", "ResourceFunctionLabel"], " "}],
                    ShowAutoStyles->False,
                    ShowStringCharacters->False,
                    FontSize->Rational[12, 13] Inherited,
                    FontColor->GrayLevel[0.1]]}
                   },
                   GridBoxSpacings->{"Columns" -> {{0.25}}}],
                  Alignment->Left,
                  BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
                  BaselinePosition->Baseline,
                  FrameMargins->{{3, 0}, {0, 0}}], 
                 ItemBox[
                  PaneBox[
                   TogglerBox[Dynamic[Typeset`open], {True->
                    
                    DynamicBox[FEPrivate`FrontEndResource[
                    "FEBitmaps", "IconizeCloser"]], False->
                    
                    DynamicBox[FEPrivate`FrontEndResource[
                    "FEBitmaps", "IconizeOpener"]]},
                    Appearance->None,
                    BaselinePosition->Baseline,
                    ContentPadding->False,
                    FrameMargins->0],
                   Alignment->Left,
                   BaselinePosition->Baseline,
                   FrameMargins->{{1, 1}, {0, 0}}],
                  Frame->{{
                    RGBColor[
                    0.8313725490196079, 0.8470588235294118, 
                    0.8509803921568627, 0.5], False}, {False, False}}]}
               },
               BaselinePosition->{1, 1},
               
               GridBoxAlignment->{
                "Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
               GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
             {
              StyleBox[
               PaneBox[GridBox[{
                  {
                   RowBox[{
                    TagBox["\<\"Version (latest): \"\>",
                    "IconizedLabel"], " ", 
                    TagBox["\<\"1.0.0\"\>",
                    "IconizedItem"]}]},
                  {
                   TagBox[
                    
                    TemplateBox[{
                    "\"Documentation \[RightGuillemet]\"", 
                    "https://resources.wolframcloud.com/FunctionRepository/\
resources/c9294236-189a-43da-a5e2-f91b5d125305/"},
                    "HyperlinkURL"],
                    "IconizedItem"]}
                 },
                 DefaultBaseStyle->"Column",
                 GridBoxAlignment->{"Columns" -> {{Left}}},
                 
                 GridBoxItemSize->{
                  "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
                Alignment->Left,
                BaselinePosition->Baseline,
                FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
               FontFamily->"Roboto",
               FontSize->11]}
            },
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
            GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
                 GrayLevel[0.8]}, False}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
           Typeset`open],
           BaselinePosition->Baseline,
           ImageSize->Automatic],
          
          Background->RGBColor[
           0.9686274509803922, 0.9764705882352941, 0.984313725490196],
          BaselinePosition->Baseline,
          DefaultBaseStyle->{},
          FrameMargins->{{0, 0}, {1, 0}},
          
          FrameStyle->RGBColor[
           0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
          RoundingRadius->4]],
        {"FunctionResourceBox", 
         RGBColor[
         0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
         "KeySortLike"},
        TagBoxNote->"FunctionResourceBox"],
       ResourceFunction[
        ResourceObject[<|
         "Name" -> "KeySortLike", "ShortName" -> "KeySortLike", "UUID" -> 
          "c9294236-189a-43da-a5e2-f91b5d125305", "ResourceType" -> 
          "Function", "Version" -> "1.0.0", "Description" -> 
          "Sort keys of an Association in the same order as another set of \
keys", "RepositoryLocation" -> 
          URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
          "SymbolName" -> 
          "FunctionRepository`$12428d2999ba4e64a7c7c3aa13b84c65`KeySortLike", 
          "FunctionLocation" -> 
          CloudObject[
           "https://www.wolframcloud.com/obj/f46b38d4-5ff1-428d-8349-\
197555def917"]|>, {
         ResourceSystemBase -> 
          "https://www.wolframcloud.com/obj/resourcesystem/api/1.0"}]],
       Selectable->False], "[", 
      RowBox[{"{", "\"\<2nd\>\"", "}"}], "]"}]}], ",", 
    RowBox[{
     RowBox[{"GroupBy", "[", 
      RowBox[{"#sex", "&"}], "]"}], "/*", 
     RowBox[{"KeyTake", "[", 
      RowBox[{"{", 
       RowBox[{"\"\<male\>\"", ",", "\"\<female\>\""}], "}"}], "]"}]}], ",", 
    "Length"}], "]"}], "[", "titanic2", "]"}]], "Input",
 CellChangeTimes->{{3.8656767605170813`*^9, 3.865676794817533*^9}, {
   3.8656772756415854`*^9, 3.86567729416426*^9}, 3.865677411454872*^9},
 CellLabel->"In[609]:=",
 CellID->853976879,ExpressionUUID->"2d062a48-020f-4159-9997-61055170d6df"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> <|
      "2nd" -> <|"male" -> 171, "female" -> 106|>, 
       "3rd" -> <|"male" -> 493, "female" -> 216|>, 
       "1st" -> <|"male" -> 179, "female" -> 144|>|>, "AllowEmbedding" -> 
     True, "InitialShape" -> TypeSystem`PackageScope`HeaderShape[<|{All, 
          TypeSystem`PackageScope`KeyDummy[7]} -> 1, {All, "male"} -> 
        1, {All, "female"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`KeyValueShape[
          TypeSystem`PackageScope`AtomShape[33.6], 
          TypeSystem`PackageScope`Limited[
           
           TypeSystem`PackageScope`RowShape[<|
            "male" -> TypeSystem`PackageScope`AtomShape[34], "female" -> 
             TypeSystem`PackageScope`AtomShape[34]|>], 
           DirectedInfinity[1], 2, {All}]]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Assoc[
       TypeSystem`Atom[String], 
       TypeSystem`Struct[{"male", "female"}, {
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[Integer]}], 3], "Meta" -> <||>, "RowTarget" -> 20, 
     "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, 
          TypeSystem`PackageScope`KeyDummy[7]} -> 1, {All, "male"} -> 
        1, {All, "female"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`KeyValueShape[
          TypeSystem`PackageScope`AtomShape[33.6], 
          TypeSystem`PackageScope`Limited[
           
           TypeSystem`PackageScope`RowShape[<|
            "male" -> TypeSystem`PackageScope`AtomShape[34], "female" -> 
             TypeSystem`PackageScope`AtomShape[34]|>], 
           DirectedInfinity[1], 2, {All}]]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Assoc[
       TypeSystem`Atom[String], 
       TypeSystem`Struct[{"male", "female"}, {
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[Integer]}], 3], "Path" -> {}, "DisplayedRowCount" -> 
     8, "DisplayedColumnCount" -> 2, "DataRowCount" -> 3, "DataColumnCount" -> 
     2, "SortPaths" -> {}, "SortDirections" -> {}, "HiddenItemsMap" -> Null, 
     "UpdateType" -> 1|>, TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               Mouseover[
                
                Graphics[{}, ImageSize -> 6, BaselinePosition -> 
                 Scaled[-0.15]], 
                Graphics[{
                  GrayLevel[0.6], 
                  
                  Polygon[{{2^Rational[-1, 2], -2^Rational[-1, 2]}, {
                    2^Rational[-1, 2], 2^
                    Rational[-1, 2]}, {-2^Rational[-1, 2], 2^
                    Rational[-1, 2]}, {-2^Rational[-1, 2], -2^
                    Rational[-1, 2]}}]}, ImageSize -> 6, BaselinePosition -> 
                 Scaled[-0.15]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "356c8738-1c63-4ccf-8e60-bb97d9671555"]][{All, Keys}, 
                "KeyDummy", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["male", 
                  Style[
                  "male", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "male"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "356c8738-1c63-4ccf-8e60-bb97d9671555"]][{All, "male"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["female", 
                  Style[
                  "female", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "female"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "356c8738-1c63-4ccf-8e60-bb97d9671555"]][{All, "female"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["2nd", 
                  Style[
                  "2nd", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["2nd"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "356c8738-1c63-4ccf-8e60-bb97d9671555"]][{
                 Key["2nd"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{33.6, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["171"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "356c8738-1c63-4ccf-8e60-bb97d9671555"]][{
                 Key["2nd"], 
                 Key["male"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["106"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "356c8738-1c63-4ccf-8e60-bb97d9671555"]][{
                 Key["2nd"], 
                 Key["female"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["3rd", 
                  Style[
                  "3rd", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["3rd"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "356c8738-1c63-4ccf-8e60-bb97d9671555"]][{
                 Key["3rd"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{33.6, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["493"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "356c8738-1c63-4ccf-8e60-bb97d9671555"]][{
                 Key["3rd"], 
                 Key["male"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["216"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "356c8738-1c63-4ccf-8e60-bb97d9671555"]][{
                 Key["3rd"], 
                 Key["female"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["1st", 
                  Style[
                  "1st", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["1st"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "356c8738-1c63-4ccf-8e60-bb97d9671555"]][{
                 Key["1st"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{33.6, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["179"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "356c8738-1c63-4ccf-8e60-bb97d9671555"]][{
                 Key["1st"], 
                 Key["male"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["144"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "356c8738-1c63-4ccf-8e60-bb97d9671555"]][{
                 Key["1st"], 
                 Key["female"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{134., {59.8837890625, 67.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{134., {59.8837890625, 67.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{{3.865677281156156*^9, 3.865677295578247*^9}, 
   3.865677412086265*^9, 3.866801196355577*^9, 3.8814262778684053`*^9},
 CellLabel->"Out[609]=",
 CellID->1863657643,ExpressionUUID->"eeda2be0-7ea1-441d-8a19-76c021e2fa8a"]
}, Open  ]],

Cell[TextData[{
 "All of this may well be enough for most people most of the time, and those \
people may safely skip the next few paragraphs. If, however, you are curious \
as to why sorting alters the orientation of the presentation, I will now \
expose some internals of ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ". Doing so efficiently requires Wolfram Language 13.1 (or, presumably, any \
later versions). I do not provide a comprehensive explanation of orientation \
but provide a glimpse into what is going on behind the scenes. "
}], "Text",
 CellChangeTimes->{{3.865678427032305*^9, 3.865678555778953*^9}, {
   3.865679139595388*^9, 3.865679148630129*^9}, {3.865679800341858*^9, 
   3.865679825633334*^9}, 3.86689825322548*^9, {3.8722580616750402`*^9, 
   3.8722581078867197`*^9}},
 CellTags->"i:53",
 CellID->1977686794,ExpressionUUID->"d4799f40-6449-4bbb-adc3-4ecad34ccc92"],

Cell[TextData[{
 "The type information for the first ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " generated previously (",
 Cell[BoxData[
 "breakdown1"], "InlineCodeText",ExpressionUUID->
  "b4a5d174-5409-4fdc-b654-6ffd4fe8812a"],
 ") in which the orientation of the sexes was vertical shows that the first \
grouping is an ",
 StyleBox["Enumeration", "FormattedFunction"],
 " for which the permissible values are ",
 Cell[BoxData[
 "\"\<1st\>\""], "InlineCodeText",ExpressionUUID->
  "016fc477-e043-4fb3-b53c-0b27002fbb43"],
 ", ",
 Cell[BoxData[
 "\"\<2nd\>\""], "InlineCodeText",ExpressionUUID->
  "3caedf03-1129-4638-9987-b5a31a25baed"],
 ", and ",
 Cell[BoxData[
 "\"\<3rd\>\""], "InlineCodeText",ExpressionUUID->
  "e7f8d7af-b54c-43b7-a5f4-3f4cb1435227"],
 ". The second grouping is an ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " in which the keys are an ",
 StyleBox["Enumeration", "FormattedFunction"],
 " for which the permissible values are ",
 Cell[BoxData[
 "\"\<female\>\""], "InlineCodeText",ExpressionUUID->
  "0dcc395c-37cd-46a4-b279-9d737b565091"],
 " and ",
 Cell[BoxData[
 "\"\<male\>\""], "InlineCodeText",ExpressionUUID->
  "9be49a00-95ac-4398-b2ba-513ff608581a"],
 ". It appears that when an ",
 StyleBox["Enumeration", "FormattedFunction"],
 " is needed to store the data, the orientation does not change from that of \
the preceding level."
}], "Text",
 CellChangeTimes->{{3.865678800449153*^9, 3.865678969329652*^9}, {
   3.8656790553212357`*^9, 3.865679070983225*^9}, {3.8668035662962713`*^9, 
   3.866803567748658*^9}, {3.8668982591465*^9, 3.8668982745629396`*^9}, 
   3.8679312244430447`*^9, {3.86793125970942*^9, 3.867931283773241*^9}, {
   3.86793132232887*^9, 3.867931345630857*^9}, {3.8693233818585043`*^9, 
   3.8693234029323063`*^9}, {3.869921465532145*^9, 3.869921506158146*^9}, {
   3.8701679814539003`*^9, 3.870167983681331*^9}, {3.873796444987713*^9, 
   3.873796450077381*^9}, 3.8963101791870604`*^9},
 CellTags->"i:54",
 CellID->1727747079,ExpressionUUID->"2d161c2d-01a0-4597-a0d9-63ea29b60249"],

Cell[TextData[{
 "Load the ",
 Cell[BoxData[
 "\"\<TypeSystem`\>\""], "InlineCode",ExpressionUUID->
  "64d1201e-145f-4370-b505-07999fd27c13"],
 " package:"
}], "CodeText",
 CellChangeTimes->{{3.866804143985903*^9, 3.8668041502956457`*^9}, {
  3.867931359789401*^9, 3.8679313680958033`*^9}},
 CellID->1252106939,ExpressionUUID->"88c7da72-ce55-4a65-822c-fda8a2038363"],

Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<TypeSystem`\>\"", "]"}]], "Input",
 CellChangeTimes->{{3.8656785245753803`*^9, 3.8656785285610847`*^9}},
 CellLabel->"In[610]:=",
 CellID->1681929238,ExpressionUUID->"bb35026f-07ab-4f3b-8136-4fd72cba352f"],

Cell[TextData[{
 "Use ",
 ButtonBox["ExpressionTree",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ExpressionTree.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/ExpressionTree.html"],
 " and ",
 Cell[BoxData[
 "Dataset`GetType"], "InlineCode",ExpressionUUID->
  "4ffc4c12-cad4-4b8b-878e-d010972973aa"],
 " to show the internal structure of a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " in which the keys were not sorted:"
}], "CodeText",
 CellID->2082237751,ExpressionUUID->"4eff4d89-d6fe-49d5-92ca-839e11c3b5d1"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ExpressionTree", "[", 
  RowBox[{
   RowBox[{"Dataset`GetType", "[", "breakdown1", "]"}], ",", 
   RowBox[{"ImageSize", "\[Rule]", "350"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.8656785593250427`*^9, 3.8656785815610237`*^9}, {
  3.865678646995384*^9, 3.865678707316367*^9}, {3.865678761056772*^9, 
  3.865678783568758*^9}, {3.865679159501824*^9, 3.865679170322994*^9}},
 CellLabel->"In[611]:=",
 CellID->963936545,ExpressionUUID->"7093d027-1d6f-48e4-9c28-2235cd016691"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["Trees",
   DynamicModuleBox[{Typeset`tree = HoldComplete[
     $CellContext`Tree[TypeSystem`Assoc, {
       $CellContext`Tree[TypeSystem`Atom, {
         $CellContext`Tree[TypeSystem`Enumeration, {
           $CellContext`Tree["1st", None], 
           $CellContext`Tree["2nd", None], 
           $CellContext`Tree["3rd", None]}]}], 
       $CellContext`Tree[TypeSystem`Assoc, {
         $CellContext`Tree[TypeSystem`Atom, {
           $CellContext`Tree[TypeSystem`Enumeration, {
             $CellContext`Tree["female", None], 
             $CellContext`Tree["male", None]}]}], 
         $CellContext`Tree[TypeSystem`Atom, {
           $CellContext`Tree[Integer, None]}], 
         $CellContext`Tree[TypeSystem`AnyLength, None]}], 
       $CellContext`Tree[TypeSystem`AnyLength, None]}, {ImageSize -> 350}]]}, 
    
    NamespaceBox[{
      {Hue[0.6, 0.7, 0.5], Opacity[0.7], Arrowheads[Medium], 
       {RGBColor[0.6, 0.5882352941176471, 0.5529411764705883], 
        AbsoluteThickness[1], 
        LineBox[{{2.1405182040380275`, 2.8897332170233856`}, {
         0.7135060680126758, 2.167299912767539}}]}, 
       {RGBColor[0.6, 0.5882352941176471, 0.5529411764705883], 
        AbsoluteThickness[1], 
        LineBox[{{2.1405182040380275`, 2.8897332170233856`}, {
         2.854024272050703, 2.167299912767539}}]}, 
       {RGBColor[0.6, 0.5882352941176471, 0.5529411764705883], 
        AbsoluteThickness[1], 
        LineBox[{{2.1405182040380275`, 2.8897332170233856`}, {
         3.567530340063379, 2.167299912767539}}]}, 
       {RGBColor[0.6, 0.5882352941176471, 0.5529411764705883], 
        AbsoluteThickness[1], 
        LineBox[{{0.7135060680126758, 2.167299912767539}, {0.7135060680126758,
          1.4448666085116928`}}]}, 
       {RGBColor[0.6, 0.5882352941176471, 0.5529411764705883], 
        AbsoluteThickness[1], 
        LineBox[{{0.7135060680126758, 1.4448666085116928`}, {0., 
         0.7224333042558463}}]}, 
       {RGBColor[0.6, 0.5882352941176471, 0.5529411764705883], 
        AbsoluteThickness[1], 
        LineBox[{{0.7135060680126758, 1.4448666085116928`}, {
         0.7135060680126758, 0.7224333042558463}}]}, 
       {RGBColor[0.6, 0.5882352941176471, 0.5529411764705883], 
        AbsoluteThickness[1], 
        LineBox[{{0.7135060680126758, 1.4448666085116928`}, {
         1.4270121360253516`, 0.7224333042558463}}]}, 
       {RGBColor[0.6, 0.5882352941176471, 0.5529411764705883], 
        AbsoluteThickness[1], 
        LineBox[{{2.854024272050703, 2.167299912767539}, {2.1405182040380275`,
          1.4448666085116928`}}]}, 
       {RGBColor[0.6, 0.5882352941176471, 0.5529411764705883], 
        AbsoluteThickness[1], 
        LineBox[{{2.854024272050703, 2.167299912767539}, {2.854024272050703, 
         1.4448666085116928`}}]}, 
       {RGBColor[0.6, 0.5882352941176471, 0.5529411764705883], 
        AbsoluteThickness[1], 
        LineBox[{{2.854024272050703, 2.167299912767539}, {3.567530340063379, 
         1.4448666085116928`}}]}, 
       {RGBColor[0.6, 0.5882352941176471, 0.5529411764705883], 
        AbsoluteThickness[1], 
        LineBox[{{2.1405182040380275`, 1.4448666085116928`}, {
         2.1405182040380275`, 0.7224333042558463}}]}, 
       {RGBColor[0.6, 0.5882352941176471, 0.5529411764705883], 
        AbsoluteThickness[1], 
        LineBox[{{2.1405182040380275`, 0.7224333042558463}, {
         1.7837651700316894`, 0.}}]}, 
       {RGBColor[0.6, 0.5882352941176471, 0.5529411764705883], 
        AbsoluteThickness[1], 
        LineBox[{{2.1405182040380275`, 0.7224333042558463}, {
         2.497271238044365, 0.}}]}, 
       {RGBColor[0.6, 0.5882352941176471, 0.5529411764705883], 
        AbsoluteThickness[1], 
        LineBox[{{2.854024272050703, 1.4448666085116928`}, {2.854024272050703,
          0.7224333042558463}}]}}, 
      {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], 
       TagBox[InsetBox[
         FrameBox["Assoc",
          Background->Directive[
            RGBColor[
            0.9607843137254902, 0.9882352941176471, 0.9764705882352941]],
          BaseStyle->GrayLevel[0],
          FrameMargins->{{2, 2}, {1, 1}},
          FrameStyle->Directive[
            RGBColor[
            0.4196078431372549, 0.6313725490196078, 0.4196078431372549], 
            AbsoluteThickness[1], 
            Opacity[1]],
          ImageSize->Automatic,
          RoundingRadius->4,
          StripOnInput->False], {2.1405182040380275, 2.8897332170233856}],
        "DynamicName",
        BoxID -> "VertexID$1"], 
       TagBox[InsetBox[
         FrameBox["Atom",
          Background->Directive[
            RGBColor[
            0.9607843137254902, 0.9882352941176471, 0.9764705882352941]],
          BaseStyle->GrayLevel[0],
          FrameMargins->{{2, 2}, {1, 1}},
          FrameStyle->Directive[
            RGBColor[
            0.4196078431372549, 0.6313725490196078, 0.4196078431372549], 
            AbsoluteThickness[1], 
            Opacity[1]],
          ImageSize->Automatic,
          RoundingRadius->4,
          StripOnInput->False], {0.7135060680126758, 2.167299912767539}],
        "DynamicName",
        BoxID -> "VertexID$2"], 
       TagBox[InsetBox[
         FrameBox["Enumeration",
          Background->Directive[
            RGBColor[
            0.9607843137254902, 0.9882352941176471, 0.9764705882352941]],
          BaseStyle->GrayLevel[0],
          FrameMargins->{{2, 2}, {1, 1}},
          FrameStyle->Directive[
            RGBColor[
            0.4196078431372549, 0.6313725490196078, 0.4196078431372549], 
            AbsoluteThickness[1], 
            Opacity[1]],
          ImageSize->Automatic,
          RoundingRadius->4,
          StripOnInput->False], {0.7135060680126758, 1.4448666085116928}],
        "DynamicName",
        BoxID -> "VertexID$3"], 
       TagBox[InsetBox[
         FrameBox["\<\"1st\"\>",
          Background->Directive[
            RGBColor[
            0.9607843137254902, 0.9882352941176471, 0.9764705882352941]],
          BaseStyle->GrayLevel[0],
          FrameMargins->{{2, 2}, {1, 1}},
          FrameStyle->Directive[
            RGBColor[
            0.4196078431372549, 0.6313725490196078, 0.4196078431372549], 
            AbsoluteThickness[1], 
            Opacity[1]],
          ImageSize->Automatic,
          RoundingRadius->0,
          StripOnInput->False], {0., 0.7224333042558463}],
        "DynamicName",
        BoxID -> "VertexID$4"], 
       TagBox[InsetBox[
         FrameBox["\<\"2nd\"\>",
          Background->Directive[
            RGBColor[
            0.9607843137254902, 0.9882352941176471, 0.9764705882352941]],
          BaseStyle->GrayLevel[0],
          FrameMargins->{{2, 2}, {1, 1}},
          FrameStyle->Directive[
            RGBColor[
            0.4196078431372549, 0.6313725490196078, 0.4196078431372549], 
            AbsoluteThickness[1], 
            Opacity[1]],
          ImageSize->Automatic,
          RoundingRadius->0,
          StripOnInput->False], {0.7135060680126758, 0.7224333042558463}],
        "DynamicName",
        BoxID -> "VertexID$5"], 
       TagBox[InsetBox[
         FrameBox["\<\"3rd\"\>",
          Background->Directive[
            RGBColor[
            0.9607843137254902, 0.9882352941176471, 0.9764705882352941]],
          BaseStyle->GrayLevel[0],
          FrameMargins->{{2, 2}, {1, 1}},
          FrameStyle->Directive[
            RGBColor[
            0.4196078431372549, 0.6313725490196078, 0.4196078431372549], 
            AbsoluteThickness[1], 
            Opacity[1]],
          ImageSize->Automatic,
          RoundingRadius->0,
          StripOnInput->False], {1.4270121360253516, 0.7224333042558463}],
        "DynamicName",
        BoxID -> "VertexID$6"], 
       TagBox[InsetBox[
         FrameBox["Assoc",
          Background->Directive[
            RGBColor[
            0.9607843137254902, 0.9882352941176471, 0.9764705882352941]],
          BaseStyle->GrayLevel[0],
          FrameMargins->{{2, 2}, {1, 1}},
          FrameStyle->Directive[
            RGBColor[
            0.4196078431372549, 0.6313725490196078, 0.4196078431372549], 
            AbsoluteThickness[1], 
            Opacity[1]],
          ImageSize->Automatic,
          RoundingRadius->4,
          StripOnInput->False], {2.854024272050703, 2.167299912767539}],
        "DynamicName",
        BoxID -> "VertexID$7"], 
       TagBox[InsetBox[
         FrameBox["Atom",
          Background->Directive[
            RGBColor[
            0.9607843137254902, 0.9882352941176471, 0.9764705882352941]],
          BaseStyle->GrayLevel[0],
          FrameMargins->{{2, 2}, {1, 1}},
          FrameStyle->Directive[
            RGBColor[
            0.4196078431372549, 0.6313725490196078, 0.4196078431372549], 
            AbsoluteThickness[1], 
            Opacity[1]],
          ImageSize->Automatic,
          RoundingRadius->4,
          StripOnInput->False], {2.1405182040380275, 1.4448666085116928}],
        "DynamicName",
        BoxID -> "VertexID$8"], 
       TagBox[InsetBox[
         FrameBox["Enumeration",
          Background->Directive[
            RGBColor[
            0.9607843137254902, 0.9882352941176471, 0.9764705882352941]],
          BaseStyle->GrayLevel[0],
          FrameMargins->{{2, 2}, {1, 1}},
          FrameStyle->Directive[
            RGBColor[
            0.4196078431372549, 0.6313725490196078, 0.4196078431372549], 
            AbsoluteThickness[1], 
            Opacity[1]],
          ImageSize->Automatic,
          RoundingRadius->4,
          StripOnInput->False], {2.1405182040380275, 0.7224333042558463}],
        "DynamicName",
        BoxID -> "VertexID$9"], 
       TagBox[InsetBox[
         FrameBox["\<\"female\"\>",
          Background->Directive[
            RGBColor[
            0.9607843137254902, 0.9882352941176471, 0.9764705882352941]],
          BaseStyle->GrayLevel[0],
          FrameMargins->{{2, 2}, {1, 1}},
          FrameStyle->Directive[
            RGBColor[
            0.4196078431372549, 0.6313725490196078, 0.4196078431372549], 
            AbsoluteThickness[1], 
            Opacity[1]],
          ImageSize->Automatic,
          RoundingRadius->0,
          StripOnInput->False], {1.7837651700316894, 0.}],
        "DynamicName",
        BoxID -> "VertexID$10"], 
       TagBox[InsetBox[
         FrameBox["\<\"male\"\>",
          Background->Directive[
            RGBColor[
            0.9607843137254902, 0.9882352941176471, 0.9764705882352941]],
          BaseStyle->GrayLevel[0],
          FrameMargins->{{2, 2}, {1, 1}},
          FrameStyle->Directive[
            RGBColor[
            0.4196078431372549, 0.6313725490196078, 0.4196078431372549], 
            AbsoluteThickness[1], 
            Opacity[1]],
          ImageSize->Automatic,
          RoundingRadius->0,
          StripOnInput->False], {2.497271238044365, 0.}],
        "DynamicName",
        BoxID -> "VertexID$11"], 
       TagBox[InsetBox[
         FrameBox["Atom",
          Background->Directive[
            RGBColor[
            0.9607843137254902, 0.9882352941176471, 0.9764705882352941]],
          BaseStyle->GrayLevel[0],
          FrameMargins->{{2, 2}, {1, 1}},
          FrameStyle->Directive[
            RGBColor[
            0.4196078431372549, 0.6313725490196078, 0.4196078431372549], 
            AbsoluteThickness[1], 
            Opacity[1]],
          ImageSize->Automatic,
          RoundingRadius->4,
          StripOnInput->False], {2.854024272050703, 1.4448666085116928}],
        "DynamicName",
        BoxID -> "VertexID$12"], 
       TagBox[InsetBox[
         FrameBox["Integer",
          Background->Directive[
            RGBColor[
            0.9607843137254902, 0.9882352941176471, 0.9764705882352941]],
          BaseStyle->GrayLevel[0],
          FrameMargins->{{2, 2}, {1, 1}},
          FrameStyle->Directive[
            RGBColor[
            0.4196078431372549, 0.6313725490196078, 0.4196078431372549], 
            AbsoluteThickness[1], 
            Opacity[1]],
          ImageSize->Automatic,
          RoundingRadius->0,
          StripOnInput->False], {2.854024272050703, 0.7224333042558463}],
        "DynamicName",
        BoxID -> "VertexID$13"], 
       TagBox[InsetBox[
         FrameBox["AnyLength",
          Background->Directive[
            RGBColor[
            0.9607843137254902, 0.9882352941176471, 0.9764705882352941]],
          BaseStyle->GrayLevel[0],
          FrameMargins->{{2, 2}, {1, 1}},
          FrameStyle->Directive[
            RGBColor[
            0.4196078431372549, 0.6313725490196078, 0.4196078431372549], 
            AbsoluteThickness[1], 
            Opacity[1]],
          ImageSize->Automatic,
          RoundingRadius->0,
          StripOnInput->False], {3.567530340063379, 1.4448666085116928}],
        "DynamicName",
        BoxID -> "VertexID$14"], 
       TagBox[InsetBox[
         FrameBox["AnyLength",
          Background->Directive[
            RGBColor[
            0.9607843137254902, 0.9882352941176471, 0.9764705882352941]],
          BaseStyle->GrayLevel[0],
          FrameMargins->{{2, 2}, {1, 1}},
          FrameStyle->Directive[
            RGBColor[
            0.4196078431372549, 0.6313725490196078, 0.4196078431372549], 
            AbsoluteThickness[1], 
            Opacity[1]],
          ImageSize->Automatic,
          RoundingRadius->0,
          StripOnInput->False], {3.567530340063379, 2.167299912767539}],
        "DynamicName",
        BoxID -> "VertexID$15"]}}]]],
  AlignmentPoint->Center,
  Axes->False,
  AxesLabel->None,
  AxesOrigin->Automatic,
  AxesStyle->{},
  Background->None,
  BaseStyle->{},
  BaselinePosition->Automatic,
  ContentSelectable->Automatic,
  DefaultBaseStyle->"TreeGraphics",
  Epilog->{},
  FormatType->StandardForm,
  Frame->False,
  FrameLabel->FormBox["False", StandardForm],
  FrameStyle->{},
  FrameTicks->None,
  FrameTicksStyle->{},
  GridLines->None,
  GridLinesStyle->{},
  ImageMargins->0.,
  ImagePadding->All,
  ImageSize->350,
  LabelStyle->{},
  PlotLabel->None,
  PlotRange->All,
  PlotRangeClipping->False,
  PlotRangePadding->Automatic,
  PlotRegion->Automatic,
  Prolog->{},
  RotateLabel->True,
  Ticks->Automatic,
  TicksStyle->{}]], "Output",
 CellChangeTimes->{{3.865678776362372*^9, 3.8656787838892*^9}, {
   3.8656791637970047`*^9, 3.865679170738011*^9}, 3.8668011965284843`*^9, 
   3.881426289922598*^9},
 CellTags->"LastCellOfAPage",
 CellLabel->"Out[611]=",
 CellID->2025473739,ExpressionUUID->"fa481840-f71f-4c6f-9c2e-a2dec372278a"]
}, Open  ]],

Cell[TextData[{
 "Now look at the type information for the second ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " generated previously (",
 Cell[BoxData[
 "breakdown2"], "InlineCodeText",ExpressionUUID->
  "98705083-e0fd-4a86-af58-257074e0ebc0"],
 ") in which the orientation of the sexes was vertical. You can see that, as \
before, the first grouping is an ",
 StyleBox["Enumeration", "FormattedFunction"],
 " for which the permissible values are ",
 Cell[BoxData[
 "\"\<1st\>\""], "InlineCodeText",ExpressionUUID->
  "3851efd2-7acc-4a82-bc5c-1771040838a8"],
 ", ",
 Cell[BoxData[
 "\"\<2nd\>\""], "InlineCodeText",ExpressionUUID->
  "92a67229-1349-4c41-b493-c3098b0f5072"],
 ", and ",
 Cell[BoxData[
 "\"\<3rd\>\""], "InlineCodeText",ExpressionUUID->
  "c0f882d5-aab7-47bc-b558-e7d2ab7f8f40"],
 ". The second grouping is now different, however. It is a ",
 StyleBox["Struct", "FormattedFunction"],
 " in which the keys are a ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " for which the permissible values are ",
 Cell[BoxData[
 "\"\<female\>\""], "InlineCodeText",ExpressionUUID->
  "4af90ec6-e078-4741-82e3-a3bea67d3cb0"],
 " and ",
 Cell[BoxData[
 "\"\<male\>\""], "InlineCodeText",ExpressionUUID->
  "addde75a-5209-452a-8eae-761752570ad2"],
 ". Since Version 13.1, when a ",
 StyleBox["Struct", "FormattedFunction"],
 " is available to store the data within a level, the orientation of that \
level changes from that of the previous level."
}], "Text",
 CellTags->{"i:55", "p: 184"},
 CellID->735722509,ExpressionUUID->"3c61d8b2-1af2-4d25-b092-a7acd57c6318"],

Cell[TextData[{
 "Use ",
 ButtonBox["ExpressionTree",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ExpressionTree.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/ExpressionTree.html"],
 " and ",
 StyleBox[ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"], 
  "InlineCode"],
 StyleBox["`GetType", "InlineCode"],
 " to show the internal structure of a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " in which the keys were sorted:"
}], "CodeText",
 CellChangeTimes->{{3.8668041540692053`*^9, 3.8668041883919687`*^9}, {
   3.866804252493328*^9, 3.8668042638954153`*^9}, 3.867934116656879*^9},
 CellID->1551503331,ExpressionUUID->"c1123292-226b-4cba-9bfe-e75aad1dde6f"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ExpressionTree", "[", 
  RowBox[{
   RowBox[{"Dataset`GetType", "[", "breakdown2", "]"}], ",", 
   RowBox[{"ImageSize", "\[Rule]", "350"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.865678995250148*^9, 3.865678995327383*^9}, {
  3.865679175563745*^9, 3.865679179841152*^9}},
 CellLabel->"In[612]:=",
 CellID->180732309,ExpressionUUID->"8a432d53-9edc-46da-8350-14802f5b7b9a"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["Trees",
   DynamicModuleBox[{Typeset`tree = HoldComplete[
     $CellContext`Tree[TypeSystem`Assoc, {
       $CellContext`Tree[TypeSystem`Atom, {
         $CellContext`Tree[String, None]}], 
       $CellContext`Tree[TypeSystem`Struct, {
         $CellContext`Tree[List, {
           $CellContext`Tree["female", None], 
           $CellContext`Tree["male", None]}], 
         $CellContext`Tree[List, {
           $CellContext`Tree[TypeSystem`Atom, {
             $CellContext`Tree[Integer, None]}], 
           $CellContext`Tree[TypeSystem`Atom, {
             $CellContext`Tree[Integer, None]}]}]}], 
       $CellContext`Tree[3, None]}, {ImageSize -> 350}]]}, 
    NamespaceBox[{
      {Hue[0.6, 0.7, 0.5], Opacity[0.7], Arrowheads[Medium], 
       {RGBColor[0.6, 0.5882352941176471, 0.5529411764705883], 
        AbsoluteThickness[1], 
        LineBox[{{1.1692256444309357`, 3.0896455463703734`}, {0., 
         2.3172341597777804`}}]}, 
       {RGBColor[0.6, 0.5882352941176471, 0.5529411764705883], 
        AbsoluteThickness[1], 
        LineBox[{{1.1692256444309357`, 3.0896455463703734`}, {
         1.558967525907914, 2.3172341597777804`}}]}, 
       {RGBColor[0.6, 0.5882352941176471, 0.5529411764705883], 
        AbsoluteThickness[1], 
        LineBox[{{1.1692256444309357`, 3.0896455463703734`}, {
         2.3384512888618714`, 2.3172341597777804`}}]}, 
       {RGBColor[0.6, 0.5882352941176471, 0.5529411764705883], 
        AbsoluteThickness[1], 
        LineBox[{{0., 2.3172341597777804`}, {0., 1.5448227731851867`}}]}, 
       {RGBColor[0.6, 0.5882352941176471, 0.5529411764705883], 
        AbsoluteThickness[1], 
        LineBox[{{1.558967525907914, 2.3172341597777804`}, {0.779483762953957,
          1.5448227731851867`}}]}, 
       {RGBColor[0.6, 0.5882352941176471, 0.5529411764705883], 
        AbsoluteThickness[1], 
        LineBox[{{1.558967525907914, 2.3172341597777804`}, {
         2.3384512888618714`, 1.5448227731851867`}}]}, 
       {RGBColor[0.6, 0.5882352941176471, 0.5529411764705883], 
        AbsoluteThickness[1], 
        LineBox[{{0.779483762953957, 1.5448227731851867`}, {
         0.3897418814769785, 0.7724113865925931}}]}, 
       {RGBColor[0.6, 0.5882352941176471, 0.5529411764705883], 
        AbsoluteThickness[1], 
        LineBox[{{0.779483762953957, 1.5448227731851867`}, {
         1.1692256444309357`, 0.7724113865925931}}]}, 
       {RGBColor[0.6, 0.5882352941176471, 0.5529411764705883], 
        AbsoluteThickness[1], 
        LineBox[{{2.3384512888618714`, 1.5448227731851867`}, {
         1.9487094073848927`, 0.7724113865925931}}]}, 
       {RGBColor[0.6, 0.5882352941176471, 0.5529411764705883], 
        AbsoluteThickness[1], 
        LineBox[{{2.3384512888618714`, 1.5448227731851867`}, {
         2.72819317033885, 0.7724113865925931}}]}, 
       {RGBColor[0.6, 0.5882352941176471, 0.5529411764705883], 
        AbsoluteThickness[1], 
        LineBox[{{1.9487094073848927`, 0.7724113865925931}, {
         1.9487094073848927`, 0.}}]}, 
       {RGBColor[0.6, 0.5882352941176471, 0.5529411764705883], 
        AbsoluteThickness[1], 
        LineBox[{{2.72819317033885, 0.7724113865925931}, {2.72819317033885, 
         0.}}]}}, 
      {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], 
       TagBox[InsetBox[
         FrameBox["Assoc",
          Background->Directive[
            RGBColor[
            0.9607843137254902, 0.9882352941176471, 0.9764705882352941]],
          BaseStyle->GrayLevel[0],
          FrameMargins->{{2, 2}, {1, 1}},
          FrameStyle->Directive[
            RGBColor[
            0.4196078431372549, 0.6313725490196078, 0.4196078431372549], 
            AbsoluteThickness[1], 
            Opacity[1]],
          ImageSize->Automatic,
          RoundingRadius->4,
          StripOnInput->False], {1.1692256444309357, 3.0896455463703734}],
        "DynamicName",
        BoxID -> "VertexID$1"], 
       TagBox[InsetBox[
         FrameBox["Atom",
          Background->Directive[
            RGBColor[
            0.9607843137254902, 0.9882352941176471, 0.9764705882352941]],
          BaseStyle->GrayLevel[0],
          FrameMargins->{{2, 2}, {1, 1}},
          FrameStyle->Directive[
            RGBColor[
            0.4196078431372549, 0.6313725490196078, 0.4196078431372549], 
            AbsoluteThickness[1], 
            Opacity[1]],
          ImageSize->Automatic,
          RoundingRadius->4,
          StripOnInput->False], {0., 2.3172341597777804}],
        "DynamicName",
        BoxID -> "VertexID$2"], 
       TagBox[InsetBox[
         FrameBox["String",
          Background->Directive[
            RGBColor[
            0.9607843137254902, 0.9882352941176471, 0.9764705882352941]],
          BaseStyle->GrayLevel[0],
          FrameMargins->{{2, 2}, {1, 1}},
          FrameStyle->Directive[
            RGBColor[
            0.4196078431372549, 0.6313725490196078, 0.4196078431372549], 
            AbsoluteThickness[1], 
            Opacity[1]],
          ImageSize->Automatic,
          RoundingRadius->0,
          StripOnInput->False], {0., 1.5448227731851867}],
        "DynamicName",
        BoxID -> "VertexID$3"], 
       TagBox[InsetBox[
         FrameBox["Struct",
          Background->Directive[
            RGBColor[
            0.9607843137254902, 0.9882352941176471, 0.9764705882352941]],
          BaseStyle->GrayLevel[0],
          FrameMargins->{{2, 2}, {1, 1}},
          FrameStyle->Directive[
            RGBColor[
            0.4196078431372549, 0.6313725490196078, 0.4196078431372549], 
            AbsoluteThickness[1], 
            Opacity[1]],
          ImageSize->Automatic,
          RoundingRadius->4,
          StripOnInput->False], {1.558967525907914, 2.3172341597777804}],
        "DynamicName",
        BoxID -> "VertexID$4"], 
       TagBox[InsetBox[
         FrameBox["List",
          Background->Directive[
            RGBColor[
            0.9607843137254902, 0.9882352941176471, 0.9764705882352941]],
          BaseStyle->GrayLevel[0],
          FrameMargins->{{2, 2}, {1, 1}},
          FrameStyle->Directive[
            RGBColor[
            0.4196078431372549, 0.6313725490196078, 0.4196078431372549], 
            AbsoluteThickness[1], 
            Opacity[1]],
          ImageSize->Automatic,
          RoundingRadius->4,
          StripOnInput->False], {0.779483762953957, 1.5448227731851867}],
        "DynamicName",
        BoxID -> "VertexID$5"], 
       TagBox[InsetBox[
         FrameBox["\<\"female\"\>",
          Background->Directive[
            RGBColor[
            0.9607843137254902, 0.9882352941176471, 0.9764705882352941]],
          BaseStyle->GrayLevel[0],
          FrameMargins->{{2, 2}, {1, 1}},
          FrameStyle->Directive[
            RGBColor[
            0.4196078431372549, 0.6313725490196078, 0.4196078431372549], 
            AbsoluteThickness[1], 
            Opacity[1]],
          ImageSize->Automatic,
          RoundingRadius->0,
          StripOnInput->False], {0.3897418814769785, 0.7724113865925931}],
        "DynamicName",
        BoxID -> "VertexID$6"], 
       TagBox[InsetBox[
         FrameBox["\<\"male\"\>",
          Background->Directive[
            RGBColor[
            0.9607843137254902, 0.9882352941176471, 0.9764705882352941]],
          BaseStyle->GrayLevel[0],
          FrameMargins->{{2, 2}, {1, 1}},
          FrameStyle->Directive[
            RGBColor[
            0.4196078431372549, 0.6313725490196078, 0.4196078431372549], 
            AbsoluteThickness[1], 
            Opacity[1]],
          ImageSize->Automatic,
          RoundingRadius->0,
          StripOnInput->False], {1.1692256444309357, 0.7724113865925931}],
        "DynamicName",
        BoxID -> "VertexID$7"], 
       TagBox[InsetBox[
         FrameBox["List",
          Background->Directive[
            RGBColor[
            0.9607843137254902, 0.9882352941176471, 0.9764705882352941]],
          BaseStyle->GrayLevel[0],
          FrameMargins->{{2, 2}, {1, 1}},
          FrameStyle->Directive[
            RGBColor[
            0.4196078431372549, 0.6313725490196078, 0.4196078431372549], 
            AbsoluteThickness[1], 
            Opacity[1]],
          ImageSize->Automatic,
          RoundingRadius->4,
          StripOnInput->False], {2.3384512888618714, 1.5448227731851867}],
        "DynamicName",
        BoxID -> "VertexID$8"], 
       TagBox[InsetBox[
         FrameBox["Atom",
          Background->Directive[
            RGBColor[
            0.9607843137254902, 0.9882352941176471, 0.9764705882352941]],
          BaseStyle->GrayLevel[0],
          FrameMargins->{{2, 2}, {1, 1}},
          FrameStyle->Directive[
            RGBColor[
            0.4196078431372549, 0.6313725490196078, 0.4196078431372549], 
            AbsoluteThickness[1], 
            Opacity[1]],
          ImageSize->Automatic,
          RoundingRadius->4,
          StripOnInput->False], {1.9487094073848927, 0.7724113865925931}],
        "DynamicName",
        BoxID -> "VertexID$9"], 
       TagBox[InsetBox[
         FrameBox["Integer",
          Background->Directive[
            RGBColor[
            0.9607843137254902, 0.9882352941176471, 0.9764705882352941]],
          BaseStyle->GrayLevel[0],
          FrameMargins->{{2, 2}, {1, 1}},
          FrameStyle->Directive[
            RGBColor[
            0.4196078431372549, 0.6313725490196078, 0.4196078431372549], 
            AbsoluteThickness[1], 
            Opacity[1]],
          ImageSize->Automatic,
          RoundingRadius->0,
          StripOnInput->False], {1.9487094073848927, 0.}],
        "DynamicName",
        BoxID -> "VertexID$10"], 
       TagBox[InsetBox[
         FrameBox["Atom",
          Background->Directive[
            RGBColor[
            0.9607843137254902, 0.9882352941176471, 0.9764705882352941]],
          BaseStyle->GrayLevel[0],
          FrameMargins->{{2, 2}, {1, 1}},
          FrameStyle->Directive[
            RGBColor[
            0.4196078431372549, 0.6313725490196078, 0.4196078431372549], 
            AbsoluteThickness[1], 
            Opacity[1]],
          ImageSize->Automatic,
          RoundingRadius->4,
          StripOnInput->False], {2.72819317033885, 0.7724113865925931}],
        "DynamicName",
        BoxID -> "VertexID$11"], 
       TagBox[InsetBox[
         FrameBox["Integer",
          Background->Directive[
            RGBColor[
            0.9607843137254902, 0.9882352941176471, 0.9764705882352941]],
          BaseStyle->GrayLevel[0],
          FrameMargins->{{2, 2}, {1, 1}},
          FrameStyle->Directive[
            RGBColor[
            0.4196078431372549, 0.6313725490196078, 0.4196078431372549], 
            AbsoluteThickness[1], 
            Opacity[1]],
          ImageSize->Automatic,
          RoundingRadius->0,
          StripOnInput->False], {2.72819317033885, 0.}],
        "DynamicName",
        BoxID -> "VertexID$12"], 
       TagBox[InsetBox[
         FrameBox["3",
          Background->Directive[
            RGBColor[
            0.9607843137254902, 0.9882352941176471, 0.9764705882352941]],
          BaseStyle->GrayLevel[0],
          FrameMargins->{{2, 2}, {1, 1}},
          FrameStyle->Directive[
            RGBColor[
            0.4196078431372549, 0.6313725490196078, 0.4196078431372549], 
            AbsoluteThickness[1], 
            Opacity[1]],
          ImageSize->Automatic,
          RoundingRadius->0,
          StripOnInput->False], {2.3384512888618714, 2.3172341597777804}],
        "DynamicName",
        BoxID -> "VertexID$13"]}}]]],
  AlignmentPoint->Center,
  Axes->False,
  AxesLabel->None,
  AxesOrigin->Automatic,
  AxesStyle->{},
  Background->None,
  BaseStyle->{},
  BaselinePosition->Automatic,
  ContentSelectable->Automatic,
  DefaultBaseStyle->"TreeGraphics",
  Epilog->{},
  FormatType->StandardForm,
  Frame->False,
  FrameLabel->FormBox["False", StandardForm],
  FrameStyle->{},
  FrameTicks->None,
  FrameTicksStyle->{},
  GridLines->None,
  GridLinesStyle->{},
  ImageMargins->0.,
  ImagePadding->All,
  ImageSize->350,
  LabelStyle->{},
  PlotLabel->None,
  PlotRange->All,
  PlotRangeClipping->False,
  PlotRangePadding->Automatic,
  PlotRegion->Automatic,
  Prolog->{},
  RotateLabel->True,
  Ticks->Automatic,
  TicksStyle->{}]], "Output",
 CellChangeTimes->{3.8656789957596807`*^9, 3.865679180248982*^9, 
  3.866801196581979*^9, 3.881426299483482*^9},
 CellLabel->"Out[612]=",
 CellID->332159108,ExpressionUUID->"aa97b178-c891-4e34-94c1-cd17e6d163e4"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Customizing Elision", "Subsubsection",
 CellChangeTimes->{{3.865680327210772*^9, 3.865680336091717*^9}},
 CellID->132826886,ExpressionUUID->"d0993e86-54ff-4bff-a1c6-2d4df7f2d4c6"],

Cell[TextData[{
 "Sometimes, the values inside a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " item could take up a great deal of space to display. \
Here\[CloseCurlyQuote]s a trivial example. "
}], "Text",
 CellChangeTimes->{{3.865680345511949*^9, 3.865680384905352*^9}, 
   3.865680436924057*^9, 3.866807152547521*^9, {3.866898354819872*^9, 
   3.866898366791712*^9}},
 CellTags->"i:56",
 CellID->1225106452,ExpressionUUID->"ee97a48e-5db7-4450-8eb7-afe45561d5c2"],

Cell[TextData[{
 "Construct a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " in which one of the values is a ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of 10 numbers:"
}], "CodeText",
 CellChangeTimes->{{3.86680713229513*^9, 3.866807158765338*^9}, 
   3.8711225191156187`*^9},
 CellID->1104301452,ExpressionUUID->"67ef5f32-fb18-4a67-a539-f38314355747"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"elided", "=", 
  RowBox[{"Dataset", "[", 
   RowBox[{"Association", "[", 
    RowBox[{
     RowBox[{"\"\<a\>\"", "\[Rule]", 
      RowBox[{"Range", "[", "4", "]"}]}], ",", 
     RowBox[{"\"\<b\>\"", "\[Rule]", 
      RowBox[{"Range", "[", "10", "]"}]}]}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.8656803866316843`*^9, 3.865680431050318*^9}, {
  3.865680518750352*^9, 3.865680523158557*^9}, {3.865680617839797*^9, 
  3.8656806187696457`*^9}},
 CellLabel->"In[613]:=",
 CellID->752283327,ExpressionUUID->"1c4e3bde-eaad-44fc-a581-e7fab65ced0f"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> <|
      "a" -> {1, 2, 3, 4}, "b" -> {1, 2, 3, 4, 5, 6, 7, 8, 9, 10}|>, 
     "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`Limited[
       TypeSystem`PackageScope`ColumnShape[
        TypeSystem`PackageScope`KeyValueShape[
         TypeSystem`PackageScope`AtomShape[31.5], 
         TypeSystem`PackageScope`UnknownShape[False]]], 8, 
       DirectedInfinity[1], {}], "InitialType" -> TypeSystem`Assoc[
       TypeSystem`Atom[
        TypeSystem`Enumeration["a", "b"]], 
       TypeSystem`Vector[
        TypeSystem`Atom[Integer], TypeSystem`AnyLength], 2], "Meta" -> <||>, 
     "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`Limited[
       TypeSystem`PackageScope`ColumnShape[
        TypeSystem`PackageScope`KeyValueShape[
         TypeSystem`PackageScope`AtomShape[31.5], 
         TypeSystem`PackageScope`UnknownShape[False]]], 8, 
       DirectedInfinity[1], {}], "Type" -> TypeSystem`Assoc[
       TypeSystem`Atom[
        TypeSystem`Enumeration["a", "b"]], 
       TypeSystem`Vector[
        TypeSystem`Atom[Integer], TypeSystem`AnyLength], 2], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 1, "DataRowCount" -> 
     2, "DataColumnCount" -> 1, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["a", 
                  Style[
                  "a", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["a"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "fab64879-3592-4e62-b722-187d1999f358"]][{
                 Key["a"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  Style[{1, 2, 3, 4}, ShowStringCharacters -> False], 
                  Style[
                   Style[{1, 2, 3, 4}, ShowStringCharacters -> False], 
                   FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["a"]}, 4]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "fab64879-3592-4e62-b722-187d1999f358"]][{
                 Key["a"]}, "Item", False], "Mouse"], 
              ImageMargins -> {{5, 3}, {4, 5}}]]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["b", 
                  Style[
                  "b", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["b"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "fab64879-3592-4e62-b722-187d1999f358"]][{
                 Key["b"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  Style[
                   Row[{"\[ThinSpace]{ ", 
                    Subscript["\[Ellipsis]", 10], " }\[ThinSpace]"}], 
                   GrayLevel[0.5]], 
                  Style[
                   Style[
                    Row[{"\[ThinSpace]{ ", 
                    Subscript["\[Ellipsis]", 10], " }\[ThinSpace]"}], 
                    GrayLevel[0.5]], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["b"]}, 4]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "fab64879-3592-4e62-b722-187d1999f358"]][{
                 Key["b"]}, "Item", False], "Mouse"], 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> {
               GrayLevel[0.5]}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{104., {32.8837890625, 40.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{104., {32.8837890625, 40.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{{3.8656803965169373`*^9, 3.865680431578485*^9}, {
   3.865680519568343*^9, 3.8656805234403257`*^9}, 3.865680619140828*^9, 
   3.866801196667129*^9, 3.881426305706352*^9},
 CellLabel->"Out[613]=",
 CellID->1761698601,ExpressionUUID->"89ee17fa-13f9-4914-a05b-44717c536d81"]
}, Open  ]],

Cell[TextData[{
 "The front end has elided presentation of the full ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " associated with the ",
 Cell[BoxData[
 "\"\<b\>\""], "InlineCodeText",ExpressionUUID->
  "5bc063f8-8892-4ec7-9abb-51d089043e98"],
 " key. Although this may well be a very sensible decision 90% of the time, \
there may be special cases where you really want to see all of the values. \
Here is one way of overriding the front end\[CloseCurlyQuote]s valiant effort \
to use sensible heuristics. You can ",
 ButtonBox["Map",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Map.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Map.html"],
 " something like ",
 ButtonBox["OutputForm",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/OutputForm.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/OutputForm.html"],
 " onto the values that are being elided. You can do so directly or using ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 "."
}], "Text",
 CellChangeTimes->{{3.86568049069551*^9, 3.8656805630726337`*^9}, {
   3.8656806716810827`*^9, 3.865680710759548*^9}, {3.865680753734312*^9, 
   3.8656807771359253`*^9}, {3.865680899826339*^9, 3.865680903338381*^9}, 
   3.865687348696808*^9, {3.8668071704974833`*^9, 3.866807183106764*^9}, 
   3.867934170032941*^9, 3.869924435098571*^9, 3.896312500639913*^9},
 CellTags->{"LastCellOfAPage", "i:57"},
 CellID->1644078804,ExpressionUUID->"00c23034-67bb-47a7-96eb-25a73989cc08"],

Cell[TextData[{
 ButtonBox["OutputForm",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/OutputForm.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/OutputForm.html"],
 " prevents elision of long outputs:"
}], "CodeText",
 CellChangeTimes->{{3.872938924505827*^9, 3.872938950873995*^9}},
 CellTags->"p: 185",
 CellID->1370543036,ExpressionUUID->"c078027c-8057-4ee3-9fab-8d84ded96a8b"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"notElided", "=", 
  RowBox[{
   RowBox[{"Query", "[", 
    RowBox[{"All", ",", "OutputForm"}], "]"}], "[", 
   RowBox[{"Dataset", "[", 
    RowBox[{"Association", "[", 
     RowBox[{
      RowBox[{"\"\<a\>\"", "\[Rule]", 
       RowBox[{"Range", "[", "4", "]"}]}], ",", 
      RowBox[{"\"\<b\>\"", "\[Rule]", 
       RowBox[{"Range", "[", "10", "]"}]}]}], "]"}], "]"}], "]"}]}]], "Input",\

 CellChangeTimes->{{3.8656803866316843`*^9, 3.865680431050318*^9}, {
   3.865680518750352*^9, 3.865680523158557*^9}, {3.865680570117309*^9, 
   3.865680597229501*^9}, {3.865680632292739*^9, 3.8656806336540728`*^9}, {
   3.865680716378921*^9, 3.8656807464953814`*^9}, {3.865680782113604*^9, 
   3.86568079880221*^9}, 3.8656873953898573`*^9},
 CellLabel->"In[614]:=",
 CellID->854357581,ExpressionUUID->"1b5a9638-c546-4b39-9247-7d8c52ff43a8"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> <|
      "a" -> OutputForm[{1, 2, 3, 4}], "b" -> 
       OutputForm[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10}]|>, "AllowEmbedding" -> 
     True, "InitialShape" -> TypeSystem`PackageScope`Limited[
       TypeSystem`PackageScope`ColumnShape[
        TypeSystem`PackageScope`KeyValueShape[
         TypeSystem`PackageScope`AtomShape[31.5], 
         TypeSystem`PackageScope`UnknownShape[False]]], 8, 
       DirectedInfinity[1], {}], "InitialType" -> TypeSystem`Assoc[
       TypeSystem`Atom[
        TypeSystem`Enumeration["a", "b"]], TypeSystem`AnyType, 2], 
     "Meta" -> <||>, "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`Limited[
       TypeSystem`PackageScope`ColumnShape[
        TypeSystem`PackageScope`KeyValueShape[
         TypeSystem`PackageScope`AtomShape[31.5], 
         TypeSystem`PackageScope`UnknownShape[False]]], 8, 
       DirectedInfinity[1], {}], "Type" -> TypeSystem`Assoc[
       TypeSystem`Atom[
        TypeSystem`Enumeration["a", "b"]], TypeSystem`AnyType, 2], 
     "Path" -> {}, "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 1, 
     "DataRowCount" -> 2, "DataColumnCount" -> 1, "SortPaths" -> {}, 
     "SortDirections" -> {}, "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["a", 
                  Style[
                  "a", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["a"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "876701bf-e52e-462e-81a2-99e655ab6cc7"]][{
                 Key["a"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                StyleBox[
                 InterpretationBox[
                  PaneBox["\"{1, 2, 3, 4}\"", BaselinePosition -> Baseline], 
                  OutputForm[{1, 2, 3, 4}], Editable -> False], FontFamily -> 
                 Dynamic[
                   CurrentValue[{"StyleHints", "CodeFont"}]], 
                 ShowStringCharacters -> True]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "876701bf-e52e-462e-81a2-99e655ab6cc7"]][{
                 Key["a"]}, "Item", False], "Mouse"], 
              ImageSize -> {{60, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["b", 
                  Style[
                  "b", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["b"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "876701bf-e52e-462e-81a2-99e655ab6cc7"]][{
                 Key["b"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                StyleBox[
                 InterpretationBox[
                  PaneBox[
                  "\"{1, 2, 3, 4, 5, 6, 7, 8, 9, 10}\"", BaselinePosition -> 
                   Baseline], 
                  OutputForm[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10}], Editable -> 
                  False], FontFamily -> Dynamic[
                   CurrentValue[{"StyleHints", "CodeFont"}]], 
                 ShowStringCharacters -> True]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "876701bf-e52e-462e-81a2-99e655ab6cc7"]][{
                 Key["b"]}, "Item", False], "Mouse"], 
              ImageSize -> {{60, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{299., {32.8837890625, 40.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{299., {32.8837890625, 40.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{
  3.865680746715886*^9, {3.865680782698628*^9, 3.865680799283638*^9}, 
   3.865687395797039*^9, 3.866801196765893*^9, 3.881426309178385*^9},
 CellLabel->"Out[614]=",
 CellID->41112040,ExpressionUUID->"4794cb53-8f66-4b3d-bfc6-50c1dece3219"]
}, Open  ]],

Cell[TextData[{
 "This \[OpenCurlyDoubleQuote]fix\[CloseCurlyDoubleQuote] is risky, however. \
It does not just change the presentation of the ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 "; it actually changes the underlying data, which can have side effects if \
you then try to use the results."
}], "Text",
 CellChangeTimes->{{3.8656809059311666`*^9, 3.865680933769759*^9}, {
   3.865681026703848*^9, 3.8656810405874166`*^9}, 3.867934212226059*^9, {
   3.87233548515479*^9, 3.8723354856095304`*^9}},
 CellID->1107941231,ExpressionUUID->"c5723a18-e7f2-4f23-b178-d3dc600e1403"],

Cell[TextData[{
 "Use of ",
 ButtonBox["OutputForm",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/OutputForm.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/OutputForm.html"],
 " to prevent elision may prevent subsequent operations on the ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " from working as expected:"
}], "CodeText",
 CellChangeTimes->{{3.87293899334354*^9, 3.872939075332037*^9}},
 CellID->1130852199,ExpressionUUID->"6640bfab-d3d8-4a6d-8699-091857b90408"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"Query", "[", 
     RowBox[{"All", ",", "Mean"}], "]"}], "[", "elided", "]"}], ",", 
   RowBox[{
    RowBox[{"Query", "[", 
     RowBox[{"All", ",", "Mean"}], "]"}], "[", "notElided", "]"}]}], 
  "}"}]], "Input",
 CellChangeTimes->{{3.8656809690429373`*^9, 3.8656810094046*^9}, 
   3.865687398224835*^9},
 CellLabel->"In[615]:=",
 CellID->1728900963,ExpressionUUID->"cfd72430-c8b1-40c6-ba03-b7a569b32e60"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   TagBox[
    TagBox[
     DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
      "InitialData" -> <|"a" -> Rational[5, 2], "b" -> Rational[11, 2]|>, 
       "AllowEmbedding" -> True, "InitialShape" -> 
       TypeSystem`PackageScope`Limited[
         TypeSystem`PackageScope`ColumnShape[
          TypeSystem`PackageScope`KeyValueShape[
           TypeSystem`PackageScope`AtomShape[31.5], 
           TypeSystem`PackageScope`AtomShape[34]]], 8, 
         DirectedInfinity[1], {}], "InitialType" -> TypeSystem`Assoc[
         TypeSystem`Atom[
          TypeSystem`Enumeration["a", "b"]], 
         TypeSystem`Atom[Rational], 2], "Meta" -> <||>, "RowTarget" -> 20, 
       "ColumnTarget" -> 10, "Shape" -> TypeSystem`PackageScope`Limited[
         TypeSystem`PackageScope`ColumnShape[
          TypeSystem`PackageScope`KeyValueShape[
           TypeSystem`PackageScope`AtomShape[31.5], 
           TypeSystem`PackageScope`AtomShape[34]]], 8, 
         DirectedInfinity[1], {}], "Type" -> TypeSystem`Assoc[
         TypeSystem`Atom[
          TypeSystem`Enumeration["a", "b"]], 
         TypeSystem`Atom[Rational], 2], "Path" -> {}, "DisplayedRowCount" -> 
       8, "DisplayedColumnCount" -> 1, "DataRowCount" -> 2, "DataColumnCount" -> 
       1, "SortPaths" -> {}, "SortDirections" -> {}, "HiddenItemsMap" -> Null,
        "UpdateType" -> 1|>, TypeSystem`NestedGrid`PackagePrivate`$outputID$$,
       TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
      TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
      TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
      TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
      DynamicModule[{
       TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
          Style[
           Grid[{{
              Item[
               Pane[
                Annotation[
                 EventHandler[
                  MouseAppearance[
                   Mouseover["a", 
                    Style[
                    "a", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                  If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["a"]}, 1]]], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "c5191e52-918d-447a-ad2a-47a2c1af6438"]][{
                   Key["a"]}, "RowHeader", False], "Mouse"], 
                ImageSize -> {{31.5, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.95], Alignment -> {Left, Baseline}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["5/2"], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "c5191e52-918d-447a-ad2a-47a2c1af6438"]][{
                   Key["a"]}, "Item", False], "Mouse"], 
                ImageSize -> {{34, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}]}, {
              Item[
               Pane[
                Annotation[
                 EventHandler[
                  MouseAppearance[
                   Mouseover["b", 
                    Style[
                    "b", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                  If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["b"]}, 1]]], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "c5191e52-918d-447a-ad2a-47a2c1af6438"]][{
                   Key["b"]}, "RowHeader", False], "Mouse"], 
                ImageSize -> {{31.5, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.95], Alignment -> {Left, Baseline}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes["11/2"], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "c5191e52-918d-447a-ad2a-47a2c1af6438"]][{
                   Key["b"]}, "Item", False], "Mouse"], 
                ImageSize -> {{34, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}]}}, 
            BaseStyle -> {
             ContextMenu -> 
              Dynamic[TypeSystem`NestedGrid`PackagePrivate`$\
contextMenuTrigger; 
                Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                  TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                  TypeSystem`NestedGrid`PackagePrivate`$\
lastContextMenuTrigger, TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu,
                   True, TypeSystem`NestedGrid`PackagePrivate`$\
lastContextMenuTrigger = 
                   TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                  TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                   Block[{TypeSystem`NestedGrid`PackagePrivate`$\
globalScrollPos = {TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                    
                    With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
              "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, 
            Dividers -> All, FrameStyle -> GrayLevel[0.7490196078431373], 
            Spacings -> {0, 0}, Alignment -> Left, 
            BaseStyle -> {
             FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
              Plain}], LineBreakWithin -> False, ContextMenu -> {}, 
           NumberMarks -> False, ShowAutoStyles -> False]], 
        TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
       Dynamic[
        TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
        TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
           Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
           
           Module[{TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
             TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
             TypeSystem`NestedGrid`PackagePrivate`datasetData[
              TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
               FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
               TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
               TypeSystem`NestedGrid`PackagePrivate`renderGrid[
               TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
               TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
              Not[
               FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
              TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
              TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
         TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
         TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
         TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
           FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
           TypeSystem`SparseGrid[
            TypeSystem`H["(data no longer present)"]], 
           TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
        TrackedSymbols :> {
         TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
          TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
       DynamicModuleValues :> {}], 
      TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
       TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
        TypeSystem`PackageScope`SubViewPathbar[
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
         TypeSystem`NestedGrid`PackagePrivate`updateState[
         TypeSystem`NestedGrid`PackagePrivate`$state$$, 
          TypeSystem`NestedGrid`PackagePrivate`$path$$, 
          TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
          TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
          TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
       TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
      TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
       Framed[
        Dynamic[
         Replace[
         TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
          TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
             TypeSystem`NestedGrid`PackagePrivate`localHold[
             TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
             Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
             TypeSystem`NestedGrid`PackagePrivate`localHold[
             TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
              Blank[]], 
             Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
              Blank[]], 
             Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
              Blank[]]] :> (
            Increment[
             TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
            TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
             TypeSystem`NestedGrid`PackagePrivate`path$; 
            TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
             TypeSystem`NestedGrid`PackagePrivate`pathType$; 
            TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
             TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
            TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
             TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
            TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
             TypeSystem`NestedGrid`PackagePrivate`path$, 
              TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
           Spacer[10], Blank[] :> Spacer[10]}], 
         TrackedSymbols :> {
          TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], 
        FrameStyle -> None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> 
        Top, ImageSize -> {Automatic, 15}], FontSize -> 1], 
      TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
      DynamicWrapperBox[
       DynamicBox[ToBoxes[
         Dataset`DatasetContent[
         2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
          "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], 
          "State" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], 
          "VPos" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], 
          "HPos" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], 
          "TopBar" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], 
          "BottomBar" -> 
          Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
          Hold[
            TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
        ImageSizeCache->{84., {32.8837890625, 40.1162109375}},
        TrackedSymbols:>{
         TypeSystem`NestedGrid`PackagePrivate`$state$$, 
          TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
       MouseAnnotation[],
       ImageSizeCache->{84., {32.8837890625, 40.1162109375}}],
      BaseStyle->{LineBreakWithin -> False},
      DynamicModuleValues:>{},
      Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
       CreateUUID[]),
      UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
     Deploy,
     DefaultBaseStyle->"Deploy"],
    Dataset`InterpretDataset[1],
    Editable->False,
    SelectWithContents->True,
    Selectable->False], ",", 
   TagBox[
    TagBox[
     DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
      "InitialData" -> <|"a" -> Mean[
           OutputForm[{1, 2, 3, 4}]], "b" -> Mean[
           OutputForm[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10}]]|>, "AllowEmbedding" -> 
       True, "InitialShape" -> TypeSystem`PackageScope`Limited[
         TypeSystem`PackageScope`ColumnShape[
          TypeSystem`PackageScope`KeyValueShape[
           TypeSystem`PackageScope`AtomShape[31.5], 
           TypeSystem`PackageScope`UnknownShape[False]]], 8, 
         DirectedInfinity[1], {}], "InitialType" -> TypeSystem`Assoc[
         TypeSystem`Atom[
          TypeSystem`Enumeration["a", "b"]], TypeSystem`AnyType, 2], 
       "Meta" -> <||>, "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
       TypeSystem`PackageScope`Limited[
         TypeSystem`PackageScope`ColumnShape[
          TypeSystem`PackageScope`KeyValueShape[
           TypeSystem`PackageScope`AtomShape[31.5], 
           TypeSystem`PackageScope`UnknownShape[False]]], 8, 
         DirectedInfinity[1], {}], "Type" -> TypeSystem`Assoc[
         TypeSystem`Atom[
          TypeSystem`Enumeration["a", "b"]], TypeSystem`AnyType, 2], 
       "Path" -> {}, "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 1, 
       "DataRowCount" -> 2, "DataColumnCount" -> 1, "SortPaths" -> {}, 
       "SortDirections" -> {}, "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
      TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
      TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
      TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
      TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
      TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
      DynamicModule[{
       TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
          Style[
           Grid[{{
              Item[
               Pane[
                Annotation[
                 EventHandler[
                  MouseAppearance[
                   Mouseover["a", 
                    Style[
                    "a", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                  If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["a"]}, 1]]], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "a5ee876c-e757-4779-931d-3ffa2547978a"]][{
                   Key["a"]}, "RowHeader", False], "Mouse"], 
                ImageSize -> {{31.5, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.95], Alignment -> {Left, Baseline}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes[
                  StyleBox[
                   RowBox[{"Mean", "[", 
                    InterpretationBox[
                    PaneBox["\"{1, 2, 3, 4}\"", BaselinePosition -> Baseline], 
                    OutputForm[{1, 2, 3, 4}], Editable -> False], "]"}], 
                   FontFamily -> Dynamic[
                    CurrentValue[{"StyleHints", "CodeFont"}]], 
                   ShowStringCharacters -> True]], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "a5ee876c-e757-4779-931d-3ffa2547978a"]][{
                   Key["a"]}, "Item", False], "Mouse"], 
                ImageSize -> {{60, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}]}, {
              Item[
               Pane[
                Annotation[
                 EventHandler[
                  MouseAppearance[
                   Mouseover["b", 
                    Style[
                    "b", FontColor -> 
                    RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                  If[
                    TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`updateState[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["b"]}, 1]]], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "a5ee876c-e757-4779-931d-3ffa2547978a"]][{
                   Key["b"]}, "RowHeader", False], "Mouse"], 
                ImageSize -> {{31.5, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
               GrayLevel[0.95], Alignment -> {Left, Baseline}], 
              Item[
               Pane[
                Annotation[
                 RawBoxes[
                  StyleBox[
                   RowBox[{"Mean", "[", 
                    InterpretationBox[
                    PaneBox[
                    "\"{1, 2, 3, 4, 5, 6, 7, 8, 9, 10}\"", BaselinePosition -> 
                    Baseline], 
                    OutputForm[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10}], Editable -> 
                    False], "]"}], FontFamily -> Dynamic[
                    CurrentValue[{"StyleHints", "CodeFont"}]], 
                   ShowStringCharacters -> True]], 
                 TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                  "a5ee876c-e757-4779-931d-3ffa2547978a"]][{
                   Key["b"]}, "Item", False], "Mouse"], 
                ImageSize -> {{60, Full}, Automatic}, 
                ImageMargins -> {{5, 3}, {4, 5}}], 
               ItemSize -> {Full, Automatic}]}}, 
            BaseStyle -> {
             ContextMenu -> 
              Dynamic[TypeSystem`NestedGrid`PackagePrivate`$\
contextMenuTrigger; 
                Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                  TypeSystem`NestedGrid`PackagePrivate`localHold[
                   TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                  TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                  TypeSystem`NestedGrid`PackagePrivate`$\
lastContextMenuTrigger, TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu,
                   True, TypeSystem`NestedGrid`PackagePrivate`$\
lastContextMenuTrigger = 
                   TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                  TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                   Block[{TypeSystem`NestedGrid`PackagePrivate`$\
globalScrollPos = {TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                    
                    With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
              "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, 
            Dividers -> All, FrameStyle -> GrayLevel[0.7490196078431373], 
            Spacings -> {0, 0}, Alignment -> Left, 
            BaseStyle -> {
             FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
              Plain}], LineBreakWithin -> False, ContextMenu -> {}, 
           NumberMarks -> False, ShowAutoStyles -> False]], 
        TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
       Dynamic[
        TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
        TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
           Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
           
           Module[{TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
             TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
             TypeSystem`NestedGrid`PackagePrivate`datasetData[
              TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
               FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
               TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
               TypeSystem`NestedGrid`PackagePrivate`renderGrid[
               TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
               TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
              Not[
               FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
              TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
              TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
         TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
         TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
         TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
           FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
           TypeSystem`SparseGrid[
            TypeSystem`H["(data no longer present)"]], 
           TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
        TrackedSymbols :> {
         TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
          TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
       DynamicModuleValues :> {}], 
      TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
       TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
        TypeSystem`PackageScope`SubViewPathbar[
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
         TypeSystem`NestedGrid`PackagePrivate`updateState[
         TypeSystem`NestedGrid`PackagePrivate`$state$$, 
          TypeSystem`NestedGrid`PackagePrivate`$path$$, 
          TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
          TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
          TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
       TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
      TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
       Framed[
        Dynamic[
         Replace[
         TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
          TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
             TypeSystem`NestedGrid`PackagePrivate`localHold[
             TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
             Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
             TypeSystem`NestedGrid`PackagePrivate`localHold[
             TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
              Blank[]], 
             Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
              Blank[]], 
             Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
              Blank[]]] :> (
            Increment[
             TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
            TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
             TypeSystem`NestedGrid`PackagePrivate`path$; 
            TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
             TypeSystem`NestedGrid`PackagePrivate`pathType$; 
            TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
             TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
            TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
             TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
            TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
             TypeSystem`NestedGrid`PackagePrivate`path$, 
              TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
           Spacer[10], Blank[] :> Spacer[10]}], 
         TrackedSymbols :> {
          TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], 
        FrameStyle -> None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> 
        Top, ImageSize -> {Automatic, 15}], FontSize -> 1], 
      TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
      DynamicWrapperBox[
       DynamicBox[ToBoxes[
         Dataset`DatasetContent[
         2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
          "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], 
          "State" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], 
          "VPos" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], 
          "HPos" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], 
          "TopBar" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], 
          "BottomBar" -> 
          Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
          Hold[
            TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
        ImageSizeCache->{349., {34.8837890625, 42.1162109375}},
        TrackedSymbols:>{
         TypeSystem`NestedGrid`PackagePrivate`$state$$, 
          TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
       MouseAnnotation[],
       ImageSizeCache->{349., {34.8837890625, 42.1162109375}}],
      BaseStyle->{LineBreakWithin -> False},
      DynamicModuleValues:>{},
      Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
       CreateUUID[]),
      UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
     Deploy,
     DefaultBaseStyle->"Deploy"],
    Dataset`InterpretDataset[1],
    Editable->False,
    SelectWithContents->True,
    Selectable->False]}], "}"}]], "Output",
 CellChangeTimes->{{3.8656809869112253`*^9, 3.865681009779521*^9}, 
   3.8656873988950777`*^9, 3.8668011968779497`*^9, 3.8814263135122623`*^9},
 CellLabel->"Out[615]=",
 CellID->494554948,ExpressionUUID->"6d4f52c4-0127-4703-9f92-2d1210fb29bc"]
}, Open  ]],

Cell[TextData[{
 "A better fix would be to use an IPD function that contains ",
 ButtonBox["OutputForm",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/OutputForm.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/OutputForm.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.866898452296595*^9, 3.8668984806640787`*^9}, {
   3.872335510163362*^9, 3.8723355106357403`*^9}, 3.896312555399684*^9},
 CellID->2133629992,ExpressionUUID->"6e49f787-8bf2-44e9-8a3e-60e1974d33b3"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"formatted", "=", 
  RowBox[{
   RowBox[{
    InterpretationBox[
     TagBox[
      DynamicModuleBox[{Typeset`open = False}, 
       FrameBox[
        PaneSelectorBox[{False->GridBox[{
           {
            PaneBox[GridBox[{
               {
                StyleBox[
                 StyleBox[
                  AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                   BoxBaselineShift->-0.25,
                   BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                  
                  FontColor->RGBColor[
                   0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                 ShowStringCharacters->False,
                 FontFamily->"Source Sans Pro Black",
                 FontSize->0.6538461538461539 Inherited,
                 FontWeight->"Heavy",
                 PrivateFontOptions->{"OperatorSubstitution"->False}], 
                StyleBox[
                 RowBox[{
                  StyleBox["FormatDataset", "ResourceFunctionLabel"], " "}],
                 ShowAutoStyles->False,
                 ShowStringCharacters->False,
                 FontSize->Rational[12, 13] Inherited,
                 FontColor->GrayLevel[0.1]]}
              },
              GridBoxSpacings->{"Columns" -> {{0.25}}}],
             Alignment->Left,
             BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
             BaselinePosition->Baseline,
             FrameMargins->{{3, 0}, {0, 0}}], 
            ItemBox[
             PaneBox[
              TogglerBox[Dynamic[Typeset`open], {True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "IconizeCloser"],
                ImageSizeCache->{11., {2., 9.}}], False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "IconizeOpener"],
                ImageSizeCache->{11., {2., 9.}}]},
               Appearance->None,
               BaselinePosition->Baseline,
               ContentPadding->False,
               FrameMargins->0],
              Alignment->Left,
              BaselinePosition->Baseline,
              FrameMargins->{{1, 1}, {0, 0}}],
             Frame->{{
                RGBColor[
                0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                 0.5], False}, {False, False}}]}
          },
          BaselinePosition->{1, 1},
          GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
         GridBox[{
           {GridBox[{
              {
               PaneBox[GridBox[{
                  {
                   StyleBox[
                    StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                    ShowStringCharacters->False,
                    FontFamily->"Source Sans Pro Black",
                    FontSize->0.6538461538461539 Inherited,
                    FontWeight->"Heavy",
                    PrivateFontOptions->{"OperatorSubstitution"->False}], 
                   StyleBox[
                    RowBox[{
                    StyleBox["FormatDataset", "ResourceFunctionLabel"], " "}],
                    ShowAutoStyles->False,
                    ShowStringCharacters->False,
                    FontSize->Rational[12, 13] Inherited,
                    FontColor->GrayLevel[0.1]]}
                 },
                 GridBoxSpacings->{"Columns" -> {{0.25}}}],
                Alignment->Left,
                BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
                BaselinePosition->Baseline,
                FrameMargins->{{3, 0}, {0, 0}}], 
               ItemBox[
                PaneBox[
                 TogglerBox[Dynamic[Typeset`open], {True->
                  
                  DynamicBox[FEPrivate`FrontEndResource[
                   "FEBitmaps", "IconizeCloser"]], False->
                  
                  DynamicBox[FEPrivate`FrontEndResource[
                   "FEBitmaps", "IconizeOpener"]]},
                  Appearance->None,
                  BaselinePosition->Baseline,
                  ContentPadding->False,
                  FrameMargins->0],
                 Alignment->Left,
                 BaselinePosition->Baseline,
                 FrameMargins->{{1, 1}, {0, 0}}],
                Frame->{{
                   RGBColor[
                   0.8313725490196079, 0.8470588235294118, 0.8509803921568627,
                     0.5], False}, {False, False}}]}
             },
             BaselinePosition->{1, 1},
             GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
           {
            StyleBox[
             PaneBox[GridBox[{
                {
                 RowBox[{
                  TagBox["\<\"Version (latest): \"\>",
                   "IconizedLabel"], " ", 
                  TagBox["\<\"1.0.0\"\>",
                   "IconizedItem"]}]},
                {
                 TagBox[
                  
                  TemplateBox[{
                   "\"Documentation \[RightGuillemet]\"", 
                    "https://resources.wolframcloud.com/FunctionRepository/\
resources/FormatDataset"},
                   "HyperlinkURL"],
                  "IconizedItem"]}
               },
               DefaultBaseStyle->"Column",
               GridBoxAlignment->{"Columns" -> {{Left}}},
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
              Alignment->Left,
              BaselinePosition->Baseline,
              FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
             FontFamily->"Roboto",
             FontSize->11]}
          },
          BaselinePosition->{1, 1},
          GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
          GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
               GrayLevel[0.8]}, False}},
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
         Typeset`open],
         BaselinePosition->Baseline,
         ImageSize->Automatic],
        Background->RGBColor[
         0.9686274509803922, 0.9764705882352941, 0.984313725490196],
        BaselinePosition->Baseline,
        DefaultBaseStyle->{},
        FrameMargins->{{0, 0}, {1, 0}},
        FrameStyle->RGBColor[
         0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
        RoundingRadius->4]],
      {"FunctionResourceBox", 
       RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
       "FormatDataset"},
      TagBoxNote->"FunctionResourceBox"],
     ResourceFunction[
      ResourceObject[<|
       "Name" -> "FormatDataset", "ShortName" -> "FormatDataset", "UUID" -> 
        "76670bca-1587-4e7e-9e89-5b698a30759d", "ResourceType" -> "Function", 
        "Version" -> "1.0.0", "Description" -> 
        "Format a dataset using a given set of option values", 
        "RepositoryLocation" -> 
        URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
        "SymbolName" -> 
        "FunctionRepository`$66a3086203b4405b88cdb0de8a5c3128`FormatDataset", 
        "FunctionLocation" -> 
        CloudObject[
         "https://www.wolframcloud.com/obj/70389ad6-7dbc-48c8-b898-\
72c65c00f14e"]|>, ResourceSystemBase -> Automatic]],
     Selectable->False], "[", 
    RowBox[{"ItemDisplayFunction", "\[Rule]", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"OutputForm", "[", "#1", "]"}], "&"}], ")"}]}], "]"}], "[", 
   RowBox[{"Dataset", "[", 
    RowBox[{"Association", "[", 
     RowBox[{
      RowBox[{"\"\<a\>\"", "\[Rule]", 
       RowBox[{"Range", "[", "4", "]"}]}], ",", 
      RowBox[{"\"\<b\>\"", "\[Rule]", 
       RowBox[{"Range", "[", "10", "]"}]}]}], "]"}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.8668984135278387`*^9, 3.866898446399028*^9}, {
  3.866898498049582*^9, 3.8668984991375504`*^9}},
 CellLabel->"In[616]:=",
 CellID->627025373,ExpressionUUID->"6d91e048-f86e-4ce9-b62b-b4988d2aed9b"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> <|
      "a" -> {1, 2, 3, 4}, "b" -> {1, 2, 3, 4, 5, 6, 7, 8, 9, 10}|>, 
     "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`Limited[
       TypeSystem`PackageScope`ColumnShape[
        TypeSystem`PackageScope`KeyValueShape[
         TypeSystem`PackageScope`AtomShape[31.5], 
         TypeSystem`PackageScope`UnknownShape[False]]], 8, 
       DirectedInfinity[1], {}], "InitialType" -> TypeSystem`Assoc[
       TypeSystem`Atom[
        TypeSystem`Enumeration["a", "b"]], 
       TypeSystem`Vector[
        TypeSystem`Atom[Integer], TypeSystem`AnyLength], 2], 
     "Meta" -> <|$CellContext`ItemDisplayFunction -> (OutputForm[#]& )|>, 
     "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`Limited[
       TypeSystem`PackageScope`ColumnShape[
        TypeSystem`PackageScope`KeyValueShape[
         TypeSystem`PackageScope`AtomShape[31.5], 
         TypeSystem`PackageScope`UnknownShape[False]]], 8, 
       DirectedInfinity[1], {}], "Type" -> TypeSystem`Assoc[
       TypeSystem`Atom[
        TypeSystem`Enumeration["a", "b"]], 
       TypeSystem`Vector[
        TypeSystem`Atom[Integer], TypeSystem`AnyLength], 2], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 1, "DataRowCount" -> 
     2, "DataColumnCount" -> 1, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["a", 
                  Style[
                  "a", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["a"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0d528082-cbf5-43fb-9786-64cf1b862731"]][{
                 Key["a"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            OutputForm[{1, 2, 3, 4}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["b", 
                  Style[
                  "b", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["b"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0d528082-cbf5-43fb-9786-64cf1b862731"]][{
                 Key["b"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            OutputForm[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{181., {32.8837890625, 40.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{181., {32.8837890625, 40.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{{3.866898431410164*^9, 3.866898446829487*^9}, 
   3.866898499603259*^9, 3.881426316195703*^9},
 CellLabel->"Out[616]=",
 CellID->1775298754,ExpressionUUID->"c74f0fe9-4074-4045-9404-7ce2189e5e53"]
}, Open  ]],

Cell["\<\
Because the underlying data has not changed, subsequent operations on the \
data work as expected.\
\>", "Text",
 CellChangeTimes->{{3.866898514872877*^9, 3.866898530433524*^9}},
 CellID->314641133,ExpressionUUID->"f0f13e36-5c55-4878-8e1c-2c0ac08d673f"],

Cell[TextData[{
 "Compute the ",
 ButtonBox["Mean",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Mean.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Mean.html"],
 " of the data in the formatted ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.866898534329515*^9, 3.866898558770891*^9}, {
  3.8723359432337103`*^9, 3.8723359502159767`*^9}, {3.872579481640761*^9, 
  3.872579486086808*^9}},
 CellID->670129088,ExpressionUUID->"05b952dd-47a1-4dac-b30a-d156e83d66b2"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Query", "[", 
   RowBox[{"All", ",", "Mean"}], "]"}], "[", "formatted", "]"}]], "Input",
 CellChangeTimes->{{3.866898503144533*^9, 3.866898511647665*^9}},
 CellLabel->"In[617]:=",
 CellID->912211873,ExpressionUUID->"6eb6a01e-2484-4f30-a16b-29a342e58411"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> <|"a" -> Rational[5, 2], "b" -> Rational[11, 2]|>, 
     "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`Limited[
       TypeSystem`PackageScope`ColumnShape[
        TypeSystem`PackageScope`KeyValueShape[
         TypeSystem`PackageScope`AtomShape[31.5], 
         TypeSystem`PackageScope`AtomShape[34]]], 8, 
       DirectedInfinity[1], {}], "InitialType" -> TypeSystem`Assoc[
       TypeSystem`Atom[
        TypeSystem`Enumeration["a", "b"]], 
       TypeSystem`Atom[Rational], 2], "Meta" -> <||>, "RowTarget" -> 20, 
     "ColumnTarget" -> 10, "Shape" -> TypeSystem`PackageScope`Limited[
       TypeSystem`PackageScope`ColumnShape[
        TypeSystem`PackageScope`KeyValueShape[
         TypeSystem`PackageScope`AtomShape[31.5], 
         TypeSystem`PackageScope`AtomShape[34]]], 8, 
       DirectedInfinity[1], {}], "Type" -> TypeSystem`Assoc[
       TypeSystem`Atom[
        TypeSystem`Enumeration["a", "b"]], 
       TypeSystem`Atom[Rational], 2], "Path" -> {}, "DisplayedRowCount" -> 8, 
     "DisplayedColumnCount" -> 1, "DataRowCount" -> 2, "DataColumnCount" -> 1,
      "SortPaths" -> {}, "SortDirections" -> {}, "HiddenItemsMap" -> Null, 
     "UpdateType" -> 1|>, TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["a", 
                  Style[
                  "a", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["a"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "6b6ad5d5-bddb-496b-8066-3aa075956cad"]][{
                 Key["a"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["5/2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "6b6ad5d5-bddb-496b-8066-3aa075956cad"]][{
                 Key["a"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["b", 
                  Style[
                  "b", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["b"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "6b6ad5d5-bddb-496b-8066-3aa075956cad"]][{
                 Key["b"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["11/2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "6b6ad5d5-bddb-496b-8066-3aa075956cad"]][{
                 Key["b"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{84., {32.8837890625, 40.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{84., {32.8837890625, 40.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.866898512018887*^9, 3.8814263197147017`*^9},
 CellLabel->"Out[617]=",
 CellID->18492053,ExpressionUUID->"47789903-f209-4518-bf09-fe53859181cf"]
}, Open  ]],

Cell[TextData[{
 "Here\[CloseCurlyQuote]s another example in which the default behavior of ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ", although perfectly sensible most of the time, might not be what you \
desire. Suppose I have a ",
 ButtonBox["Graphics",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Graphics.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Graphics.html"],
 " expression such as that produced by ",
 ButtonBox["ListLinePlot",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ListLinePlot.html"], None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/ListLinePlot.html"],
 ". Notice that it is decorated with ticks on the axes (by default) as well \
as with a ",
 ButtonBox["Callout",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Callout.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Callout.html"],
 " and ",
 ButtonBox["PlotMarkers",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/PlotMarkers.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/PlotMarkers.html"],
 " that I have added."
}], "Text",
 CellChangeTimes->{{3.8656827526380033`*^9, 3.865682759698306*^9}, {
  3.865682844073494*^9, 3.865682868911516*^9}, {3.865682960801671*^9, 
  3.865682965278984*^9}, {3.86568813245667*^9, 3.8656881437672977`*^9}, {
  3.865688180043334*^9, 3.865688193815072*^9}, {3.866807200154694*^9, 
  3.866807230679245*^9}, {3.866898575278055*^9, 3.8668986109141808`*^9}, {
  3.86793426065213*^9, 3.867934304363254*^9}, {3.867934375447097*^9, 
  3.867934411915412*^9}},
 CellTags->{"LastCellOfAPage", "i:58"},
 CellID->1520615706,ExpressionUUID->"72c56a31-cdc5-4a29-b934-ea7a0bc501eb"],

Cell[TextData[{
 "Generate a ",
 ButtonBox["Graphics",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Graphics.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Graphics.html"],
 " object with ",
 ButtonBox["Callout",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Callout.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Callout.html"],
 " details and (by default) ",
 ButtonBox["Ticks",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Ticks.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Ticks.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.866807236914032*^9, 3.866807287094026*^9}},
 CellTags->"p: 186",
 CellID->162232566,ExpressionUUID->"14885223-ef7d-4010-a66e-5ef5f9070eb6"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"lp", "=", 
  RowBox[{"ListLinePlot", "[", 
   RowBox[{
    RowBox[{"Callout", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"1", ",", "3", ",", "4", ",", "6"}], "}"}], ",", 
      "\"\<trend\>\""}], "]"}], ",", 
    RowBox[{"PlotMarkers", "\[Rule]", "Automatic"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.8656828000429783`*^9, 3.865682837414648*^9}, {
  3.865682880211471*^9, 3.8656829453448267`*^9}, {3.865687413321292*^9, 
  3.8656874168867273`*^9}},
 CellLabel->"In[618]:=",
 CellID->542962092,ExpressionUUID->"a37eb8a6-fc99-4d91-b60d-b9b072cc08f2"],

Cell[BoxData[
 GraphicsBox[{{}, {{{}, {}, 
     TagBox[
      {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
        NCache[
         Rational[7, 360], 0.019444444444444445`]], AbsoluteThickness[1.6], 
       LineBox[{{1., 1.}, {2., 3.}, {3., 4.}, {4., 6.}}]},
      Annotation[#, {{Callout}, Charting`Private`Tag$300459, {}}]& ]}, 
    TagBox[
     {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
       NCache[
        Rational[7, 360], 0.019444444444444445`]], AbsoluteThickness[1.6], 
      GeometricTransformationBox[InsetBox[
        FormBox[
         StyleBox[
          GraphicsBox[
           {EdgeForm[None], DiskBox[{0, 0}]}],
          StripOnInput->False,
          GraphicsBoxOptions->{DefaultBaseStyle->Directive[
            PointSize[
             Rational[7, 360]], 
            RGBColor[0.368417, 0.506779, 0.709798], 
            AbsoluteThickness[1.6]]}],
         TraditionalForm], {0., 0.}, Automatic, Offset[6.272]], {{{1., 
       1.}}, {{2., 3.}}, {{3., 4.}}, {{4., 6.}}}]},
     Annotation[#, {{Callout}, Charting`Private`Tag$300459, {}}]& ]}, {{{{}, 
      GraphicsGroupBox[{
        {GrayLevel[1], AbsoluteThickness[4], Opacity[
          NCache[
           Rational[2, 3], 0.6666666666666666]], CapForm["Butt"], JoinForm[
         "Round"], 
         BSplineCurveBox[{
          Offset[{3, 0}, {4., 6.}], 
           Offset[{2.9999999811301383`, -0.00033648056442665624`}, {
            4.163333333333333, 6.}], 
           Offset[{0, 0}, {4.243338173066043, 5.999978221202807}], 
           Offset[{5., 1.1102230246251565`*^-15}, {4.243338173066043, 
            5.999978221202807}], 
           Offset[{10., 2.220446049250313*^-15}, {4.243338173066043, 
            5.999978221202807}], 
           Offset[{10., 2.220446049250313*^-15}, {4.243338173066043, 
            5.999978221202807}]}]}, 
        {RGBColor[0.6666666666666666, 0.6666666666666666, 0.6666666666666666],
          AbsoluteThickness[1.25], 
         BSplineCurveBox[{
          Offset[{3, 0}, {4., 6.}], 
           Offset[{2.9999999811301383`, -0.00033648056442665624`}, {
            4.163333333333333, 6.}], 
           Offset[{0, 0}, {4.243338173066043, 5.999978221202807}], 
           Offset[{5., 1.1102230246251565`*^-15}, {4.243338173066043, 
            5.999978221202807}], 
           Offset[{10., 2.220446049250313*^-15}, {4.243338173066043, 
            5.999978221202807}], 
           Offset[{10., 2.220446049250313*^-15}, {4.243338173066043, 
            5.999978221202807}]}]}, 
        {EdgeForm[None], FaceForm[{GrayLevel[1], Opacity[
          NCache[
           Rational[2, 3], 0.6666666666666666]]}], 
         PolygonBox[{
          Offset[{38., 6.500000000000009}, {4.243338173066043, 
            5.999978221202807}], 
           Offset[{38., -6.499999999999991}, {4.243338173066043, 
            5.999978221202807}], 
           Offset[{10.000000000000002`, -6.499999999999998}, {
            4.243338173066043, 5.999978221202807}], 
           Offset[{9.999999999999998, 6.500000000000002}, {4.243338173066043, 
            5.999978221202807}]}]}, 
        {RGBColor[0.6666666666666666, 0.6666666666666666, 0.6666666666666666],
          AbsoluteThickness[1.25], EdgeForm[None]}, {}, InsetBox[
         StyleBox[
          RotationBox["\<\"trend\"\>",
           BoxRotation->0.],
          StripOnInput->False,
          LineOpacity->1,
          FrontFaceOpacity->1,
          Opacity->1,
          FontOpacity->1,
          $CellContext`BackFaceOpacity -> 1], 
         Offset[{24., 5.329070518200751*^-15}, \
{4.243338173066043, 5.999978221202807}], NCache[
         ImageScaled[{Rational[1, 2], Rational[1, 2]}], 
          ImageScaled[{0.5, 0.5}]]]}]}, {}}, {}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0., 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->{{All, 56.40043557594386}, {All, All}},
  Method->{
   "AxisPadding" -> Scaled[0.02], "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "DefaultPlotStyle" -> {
      Directive[
       RGBColor[0.368417, 0.506779, 0.709798], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.880722, 0.611041, 0.142051], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.560181, 0.691569, 0.194885], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.922526, 0.385626, 0.209179], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.528488, 0.470624, 0.701351], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.772079, 0.431554, 0.102387], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.363898, 0.618501, 0.782349], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[1, 0.75, 0], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.647624, 0.37816, 0.614037], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.571589, 0.586483, 0.], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.915, 0.3325, 0.2125], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.40082222609352647`, 0.5220066643438841, 0.85], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.9728288904374106, 0.621644452187053, 0.07336199581899142], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.736782672705901, 0.358, 0.5030266573755369], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.28026441037696703`, 0.715, 0.4292089322474965], 
       AbsoluteThickness[1.6]]}, "DomainPadding" -> Scaled[0.02], 
    "RangePadding" -> Scaled[0.05], "OptimizePlotMarkers" -> True, 
    "OptimizePlotMarkers" -> True, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        Identity[
         Part[#, 1]], 
        Identity[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        Identity[
         Part[#, 1]], 
        Identity[
         Part[#, 2]]}& )}},
  PlotRange->{{0., 4.}, {0, 6.}},
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.02], 
     Scaled[0.08090169943749476]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.865682801134419*^9, 3.8656828378573914`*^9}, {
   3.865682883496963*^9, 3.865682902702286*^9}, 3.8656829459412746`*^9, {
   3.8656874143903427`*^9, 3.865687417459662*^9}, 3.8658474771531076`*^9, 
   3.8668011972513857`*^9, 3.866900623801456*^9, 3.881426323646009*^9},
 CellLabel->"Out[618]=",
 CellID->1428318498,ExpressionUUID->"63f3d8f3-3dd5-40dd-927b-fbe9ae1b481d"]
}, Open  ]],

Cell[TextData[{
 "When I make the ",
 ButtonBox["Graphics",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Graphics.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Graphics.html"],
 " expression ",
 Cell[BoxData[
 "lp"], "InlineCodeText",ExpressionUUID->
  "a09eba02-882d-4202-8830-924bcb72a9c1"],
 " the value of an ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " and convert the result to a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ", however, visualization of the plot is simplified. Again, many times, that \
is the smart decision. You often won\[CloseCurlyQuote]t want clutter inside \
the visualization of a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ", just a kind of clue as to what really might be inside. "
}], "Text",
 CellChangeTimes->{{3.865682967029697*^9, 3.865683036864607*^9}, {
   3.865688155631428*^9, 3.865688164934169*^9}, 3.865688215321698*^9, {
   3.866807293751294*^9, 3.8668073063788757`*^9}, {3.86689862378513*^9, 
   3.866898628510564*^9}},
 CellID->1890594996,ExpressionUUID->"46b81c40-2359-46f5-9cc4-03bf86dceb79"],

Cell[TextData[{
 "Create a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " that includes a decorated ",
 ButtonBox["Graphics",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Graphics.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Graphics.html"],
 " object with the default value for the ",
 ButtonBox["ItemDisplayFunction",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ItemDisplayFunction.html"]\
, None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/ItemDisplayFunction.html"],
 " option:"
}], "CodeText",
 CellChangeTimes->{{3.869136982196651*^9, 3.8691370205242853`*^9}},
 CellID->473855162,ExpressionUUID->"2ab561f5-ff02-4d71-b55f-d81c38f6c4c1"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"lpds", "=", 
  RowBox[{"Dataset", "[", 
   RowBox[{"Association", "[", 
    RowBox[{
     RowBox[{"\"\<a\>\"", "\[Rule]", "lp"}], ",", 
     RowBox[{"\"\<b\>\"", "\[Rule]", 
      RowBox[{"Range", "[", "10", "]"}]}]}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.865682740027413*^9, 3.865682809668393*^9}, {
  3.8656830594913187`*^9, 3.8656830600735207`*^9}, {3.86680737408305*^9, 
  3.866807384231366*^9}, {3.866807845624032*^9, 3.866807857883978*^9}, {
  3.866807986049241*^9, 3.866807986716607*^9}},
 CellLabel->"In[619]:=",
 CellID->970084524,ExpressionUUID->"4d75aa25-e7c2-46d2-8025-7a6b98524c86"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> <|"a" -> Graphics[{{}, {{{}, {}, 
            Annotation[{
              Hue[0.67, 0.6, 0.6], 
              Directive[
               PointSize[
                Rational[7, 360]], 
               RGBColor[0.368417, 0.506779, 0.709798], 
               AbsoluteThickness[1.6]], 
              Line[{{1., 1.}, {2., 3.}, {3., 4.}, {4., 6.}}]}, {{Callout}, 
              Charting`Private`Tag$300459, {}}]}, {
            Annotation[{
              Directive[
               PointSize[
                Rational[7, 360]], 
               RGBColor[0.368417, 0.506779, 0.709798], 
               AbsoluteThickness[1.6]], 
              GeometricTransformation[
               Inset[
                Style[
                 Graphics[{
                   EdgeForm[], 
                   Disk[{0, 0}]}], 
                 GraphicsBoxOptions -> {DefaultBaseStyle -> Directive[
                    PointSize[
                    Rational[7, 360]], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]]}], {0., 0.}, Automatic, 
                Offset[6.272]], {{{1., 1.}}, {{2., 3.}}, {{3., 4.}}, {{4., 
               6.}}}]}, {{Callout}, 
              Charting`Private`Tag$300459, {}}]}}, {{{{{{}, {
                GraphicsGroup[{{
                   Directive[
                    AbsoluteThickness[4], 
                    GrayLevel[1], 
                    Opacity[
                    Rational[2, 3]]], 
                   CapForm["Butt"], 
                   JoinForm["Round"], 
                   BSplineCurve[{
                    Offset[{3, 0}, {4., 6.}], 
                    
                    Offset[{2.9999999811301383`, -0.00033648056442665624`}, {
                    4.163333333333333, 6.}], 
                    Offset[{0, 0}, {4.243338173066043, 5.999978221202807}], 
                    
                    Offset[{5., 1.1102230246251565`*^-15}, {4.243338173066043,
                     5.999978221202807}], 
                    
                    Offset[{10., 2.220446049250313*^-15}, {4.243338173066043, 
                    5.999978221202807}], 
                    
                    Offset[{10., 2.220446049250313*^-15}, {4.243338173066043, 
                    5.999978221202807}]}]}, {
                   Directive[
                    RGBColor[
                    0.6666666666666666, 0.6666666666666666, 
                    0.6666666666666666], 
                    AbsoluteThickness[1.25]], 
                   BSplineCurve[{
                    Offset[{3, 0}, {4., 6.}], 
                    
                    Offset[{2.9999999811301383`, -0.00033648056442665624`}, {
                    4.163333333333333, 6.}], 
                    Offset[{0, 0}, {4.243338173066043, 5.999978221202807}], 
                    
                    Offset[{5., 1.1102230246251565`*^-15}, {4.243338173066043,
                     5.999978221202807}], 
                    
                    Offset[{10., 2.220446049250313*^-15}, {4.243338173066043, 
                    5.999978221202807}], 
                    
                    Offset[{10., 2.220446049250313*^-15}, {4.243338173066043, 
                    5.999978221202807}]}]}, {
                   FaceForm[
                    Directive[
                    GrayLevel[1], 
                    Opacity[
                    Rational[2, 3]]]], 
                   EdgeForm[], 
                   Polygon[{
                    
                    Offset[{38., 6.500000000000009}, {4.243338173066043, 
                    5.999978221202807}], 
                    
                    Offset[{38., -6.499999999999991}, {4.243338173066043, 
                    5.999978221202807}], 
                    
                    Offset[{10.000000000000002`, -6.499999999999998}, {
                    4.243338173066043, 5.999978221202807}], 
                    
                    Offset[{9.999999999999998, 6.500000000000002}, {
                    4.243338173066043, 5.999978221202807}]}]}, {
                   EdgeForm[], 
                   Directive[
                    RGBColor[
                    0.6666666666666666, 0.6666666666666666, 
                    0.6666666666666666], 
                    AbsoluteThickness[1.25]]}, {}, 
                  Text[
                   Style[
                    Rotate["trend", 0], {
                    Opacity[1]}], 
                   
                   Offset[{24., 5.329070518200751*^-15}, {4.243338173066043, 
                    5.999978221202807}], {0, 0}]}]}}}}, {}}, {}}}, {
         DisplayFunction -> Identity, DisplayFunction -> Identity, 
          AspectRatio -> GoldenRatio^(-1), Axes -> {True, True}, 
          AxesLabel -> {None, None}, AxesOrigin -> {0., 0}, DisplayFunction :> 
          Identity, Frame -> {{False, False}, {False, False}}, 
          FrameLabel -> {{None, None}, {None, None}}, 
          FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
          GridLines -> {None, None}, GridLinesStyle -> Directive[
            GrayLevel[0.5, 0.4]], 
          ImagePadding -> {{All, 56.40043557594386}, {All, All}}, 
          Method -> {
           "AxisPadding" -> Scaled[0.02], "DefaultBoundaryStyle" -> Automatic,
             "DefaultGraphicsInteraction" -> {
             "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
              "Effects" -> {
               "Highlight" -> {"ratio" -> 2}, 
                "HighlightPoint" -> {"ratio" -> 2}, 
                "Droplines" -> {
                 "freeformCursorMode" -> True, 
                  "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
            "DefaultMeshStyle" -> AbsolutePointSize[6], "DefaultPlotStyle" -> {
              Directive[
               RGBColor[0.368417, 0.506779, 0.709798], 
               AbsoluteThickness[1.6]], 
              Directive[
               RGBColor[0.880722, 0.611041, 0.142051], 
               AbsoluteThickness[1.6]], 
              Directive[
               RGBColor[0.560181, 0.691569, 0.194885], 
               AbsoluteThickness[1.6]], 
              Directive[
               RGBColor[0.922526, 0.385626, 0.209179], 
               AbsoluteThickness[1.6]], 
              Directive[
               RGBColor[0.528488, 0.470624, 0.701351], 
               AbsoluteThickness[1.6]], 
              Directive[
               RGBColor[0.772079, 0.431554, 0.102387], 
               AbsoluteThickness[1.6]], 
              Directive[
               RGBColor[0.363898, 0.618501, 0.782349], 
               AbsoluteThickness[1.6]], 
              Directive[
               RGBColor[1, 0.75, 0], 
               AbsoluteThickness[1.6]], 
              Directive[
               RGBColor[0.647624, 0.37816, 0.614037], 
               AbsoluteThickness[1.6]], 
              Directive[
               RGBColor[0.571589, 0.586483, 0.], 
               AbsoluteThickness[1.6]], 
              Directive[
               RGBColor[0.915, 0.3325, 0.2125], 
               AbsoluteThickness[1.6]], 
              Directive[
               RGBColor[0.40082222609352647`, 0.5220066643438841, 0.85], 
               AbsoluteThickness[1.6]], 
              Directive[
               RGBColor[
               0.9728288904374106, 0.621644452187053, 0.07336199581899142], 
               AbsoluteThickness[1.6]], 
              Directive[
               RGBColor[0.736782672705901, 0.358, 0.5030266573755369], 
               AbsoluteThickness[1.6]], 
              Directive[
               RGBColor[0.28026441037696703`, 0.715, 0.4292089322474965], 
               AbsoluteThickness[1.6]]}, "DomainPadding" -> Scaled[0.02], 
            "RangePadding" -> Scaled[0.05], "OptimizePlotMarkers" -> True, 
            "OptimizePlotMarkers" -> True, 
            "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
                Identity[
                 Part[#, 1]], 
                Identity[
                 Part[#, 2]]}& ), "CopiedValueFunction" -> ({
                Identity[
                 Part[#, 1]], 
                Identity[
                 Part[#, 2]]}& )}}, PlotRange -> {{0., 4.}, {0, 6.}}, 
          PlotRangePadding -> {{
             Scaled[0.02], 
             Scaled[0.02]}, {
             Scaled[0.02], 
             Scaled[0.08090169943749476]}}, Ticks -> {Automatic, Automatic}}],
        "b" -> {1, 2, 3, 4, 5, 6, 7, 8, 9, 10}|>, "AllowEmbedding" -> True, 
     "InitialShape" -> 
     TypeSystem`PackageScope`DocumentShape[<|{"a"} -> 
        TypeSystem`PackageScope`AtomShape[60], {"b"} -> 
        TypeSystem`PackageScope`ElidedShape[1]|>, 1], "InitialType" -> 
     TypeSystem`Struct[{"a", "b"}, {
        TypeSystem`Atom[Graphics], 
        TypeSystem`Vector[
         TypeSystem`Atom[Integer], 10]}], "Meta" -> <||>, "RowTarget" -> 20, 
     "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`DocumentShape[<|{"a"} -> 
        TypeSystem`PackageScope`AtomShape[60], {"b"} -> 
        TypeSystem`PackageScope`ElidedShape[1]|>, 1], "Type" -> 
     TypeSystem`Struct[{"a", "b"}, {
        TypeSystem`Atom[Graphics], 
        TypeSystem`Vector[
         TypeSystem`Atom[Integer], 10]}], "Path" -> {}, "DisplayedRowCount" -> 
     20, "DisplayedColumnCount" -> 10, "DataRowCount" -> 2, "DataColumnCount" -> 
     1, "SortPaths" -> {}, "SortDirections" -> {}, "HiddenItemsMap" -> Null, 
     "UpdateType" -> 1|>, TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["a", 
                  Style[
                  "a", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["a"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0addc347-4be7-4ad6-b6e0-7a65d702a764"]][{
                 Key["a"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               RawBoxes[
                GraphicsBox[{{}, {{{}, {}, 
                    TagBox[{
                    Hue[0.67, 0.6, 0.6], 
                    Directive[
                    PointSize[
                    NCache[
                    Rational[7, 360], 0.019444444444444445`]], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], 
                    LineBox[{{1., 1.}, {2., 3.}, {3., 4.}, {4., 6.}}]}, 
                    Annotation[#, {{Callout}, 
                    Charting`Private`Tag$300459, {}}]& ]}, {
                    TagBox[{
                    Directive[
                    PointSize[
                    NCache[
                    Rational[7, 360], 0.019444444444444445`]], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], 
                    GeometricTransformationBox[
                    InsetBox[
                    BoxData[
                    FormBox[
                    StyleBox[
                    GraphicsBox[{
                    EdgeForm[], 
                    DiskBox[{0, 0}]}], 
                    GraphicsBoxOptions -> {DefaultBaseStyle -> Directive[
                    PointSize[
                    Rational[7, 360]], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]]}, StripOnInput -> False], 
                    TraditionalForm]], {0., 0.}, Automatic, 
                    Offset[6.272]], {{{1., 1.}}, {{2., 3.}}, {{3., 4.}}, {{4.,
                     6.}}}]}, 
                    Annotation[#, {{Callout}, 
                    Charting`Private`Tag$300459, {}}]& ]}}, {{{{{{}, {
                    GraphicsGroupBox[{{
                    Directive[
                    AbsoluteThickness[4], 
                    GrayLevel[1], 
                    Opacity[
                    NCache[
                    Rational[2, 3], 0.6666666666666666]]], 
                    CapForm["Butt"], 
                    JoinForm["Round"], 
                    BSplineCurveBox[{
                    Offset[{3, 0}, {4., 6.}], 
                    
                    Offset[{2.9999999811301383`, -0.00033648056442665624`}, {
                    4.163333333333333, 6.}], 
                    Offset[{0, 0}, {4.243338173066043, 5.999978221202807}], 
                    
                    Offset[{5., 1.1102230246251565`*^-15}, {4.243338173066043,
                     5.999978221202807}], 
                    
                    Offset[{10., 2.220446049250313*^-15}, {4.243338173066043, 
                    5.999978221202807}], 
                    
                    Offset[{10., 2.220446049250313*^-15}, {4.243338173066043, 
                    5.999978221202807}]}]}, {
                    Directive[
                    RGBColor[
                    0.6666666666666666, 0.6666666666666666, 
                    0.6666666666666666], 
                    AbsoluteThickness[1.25]], 
                    BSplineCurveBox[{
                    Offset[{3, 0}, {4., 6.}], 
                    
                    Offset[{2.9999999811301383`, -0.00033648056442665624`}, {
                    4.163333333333333, 6.}], 
                    Offset[{0, 0}, {4.243338173066043, 5.999978221202807}], 
                    
                    Offset[{5., 1.1102230246251565`*^-15}, {4.243338173066043,
                     5.999978221202807}], 
                    
                    Offset[{10., 2.220446049250313*^-15}, {4.243338173066043, 
                    5.999978221202807}], 
                    
                    Offset[{10., 2.220446049250313*^-15}, {4.243338173066043, 
                    5.999978221202807}]}]}, {
                    FaceForm[
                    Directive[
                    GrayLevel[1], 
                    Opacity[
                    NCache[
                    Rational[2, 3], 0.6666666666666666]]]], 
                    EdgeForm[], 
                    PolygonBox[{
                    
                    Offset[{38., 6.500000000000009}, {4.243338173066043, 
                    5.999978221202807}], 
                    
                    Offset[{38., -6.499999999999991}, {4.243338173066043, 
                    5.999978221202807}], 
                    
                    Offset[{10.000000000000002`, -6.499999999999998}, {
                    4.243338173066043, 5.999978221202807}], 
                    
                    Offset[{9.999999999999998, 6.500000000000002}, {
                    4.243338173066043, 5.999978221202807}]}]}, {
                    EdgeForm[], 
                    Directive[
                    RGBColor[
                    0.6666666666666666, 0.6666666666666666, 
                    0.6666666666666666], 
                    AbsoluteThickness[1.25]]}, {}, 
                    InsetBox[
                    FormBox[
                    StyleBox[
                    RotationBox["\"trend\"", BoxRotation -> 0.], {
                    Opacity[1]}, StripOnInput -> False], TraditionalForm], 
                    
                    Offset[{24., 5.329070518200751*^-15}, {4.243338173066043, 
                    5.999978221202807}], 
                    NCache[
                    ImageScaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    ImageScaled[{0.5, 0.5}]]]}]}}}}, {}}, {}}}, {
                 PlotRangeClipping -> True, Frame -> True, FrameStyle -> 
                  GrayLevel[0.85], Ticks -> None, FrameTicks -> None, Axes -> 
                  None, ImageSize -> 112, DisplayFunction -> Identity, 
                  DisplayFunction -> Identity, AspectRatio -> 
                  NCache[GoldenRatio^(-1), 0.6180339887498948], 
                  Axes -> {True, True}, AxesLabel -> {None, None}, 
                  AxesOrigin -> {0., 0}, DisplayFunction :> Identity, 
                  Frame -> {{False, False}, {False, False}}, 
                  FrameLabel -> {{None, None}, {None, None}}, 
                  FrameTicks -> {{Automatic, Automatic}, {
                    Automatic, Automatic}}, GridLines -> {None, None}, 
                  GridLinesStyle -> Directive[
                    GrayLevel[0.5, 0.4]], 
                  ImagePadding -> {{All, 56.40043557594386}, {All, All}}, 
                  Method -> {
                   "AxisPadding" -> Scaled[0.02], "DefaultBoundaryStyle" -> 
                    Automatic, 
                    "DefaultGraphicsInteraction" -> {
                    "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
                    "Effects" -> {
                    "Highlight" -> {"ratio" -> 2}, 
                    "HighlightPoint" -> {"ratio" -> 2}, 
                    "Droplines" -> {
                    "freeformCursorMode" -> True, 
                    "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
                    "DefaultMeshStyle" -> AbsolutePointSize[6], 
                    "DefaultPlotStyle" -> {
                    Directive[
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.922526, 0.385626, 0.209179], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.528488, 0.470624, 0.701351], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.772079, 0.431554, 0.102387], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.363898, 0.618501, 0.782349], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[1, 0.75, 0], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.647624, 0.37816, 0.614037], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.571589, 0.586483, 0.], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.915, 0.3325, 0.2125], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.40082222609352647`, 0.5220066643438841, 0.85], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[
                    0.9728288904374106, 0.621644452187053, 
                    0.07336199581899142], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.736782672705901, 0.358, 0.5030266573755369], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.28026441037696703`, 0.715, 0.4292089322474965], 
                    AbsoluteThickness[1.6]]}, "DomainPadding" -> Scaled[0.02],
                     "RangePadding" -> Scaled[0.05], "OptimizePlotMarkers" -> 
                    True, "OptimizePlotMarkers" -> True, 
                    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
                    Identity[
                    Part[#, 1]], 
                    Identity[
                    Part[#, 2]]}& ), "CopiedValueFunction" -> ({
                    Identity[
                    Part[#, 1]], 
                    Identity[
                    Part[#, 2]]}& )}}, PlotRange -> {{0., 4.}, {0, 6.}}, 
                  PlotRangePadding -> {{
                    Scaled[0.02], 
                    Scaled[0.02]}, {
                    Scaled[0.02], 
                    Scaled[0.08090169943749476]}}, 
                  Ticks -> {Automatic, Automatic}}]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0addc347-4be7-4ad6-b6e0-7a65d702a764"]][{
                 Key["a"]}, "Item", False], "Mouse"], 
              ImageSize -> {{60, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["b", 
                  Style[
                  "b", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["b"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0addc347-4be7-4ad6-b6e0-7a65d702a764"]][{
                 Key["b"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  Style[
                   Row[{"\[ThinSpace]{ ", 
                    Subscript["\[Ellipsis]", 10], " }\[ThinSpace]"}], 
                   GrayLevel[0.5]], 
                  Style[
                   Style[
                    Row[{"\[ThinSpace]{ ", 
                    Subscript["\[Ellipsis]", 10], " }\[ThinSpace]"}], 
                    GrayLevel[0.5]], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["b"]}, 4]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "0addc347-4be7-4ad6-b6e0-7a65d702a764"]][{
                 Key["b"]}, "Item", False], "Mouse"], 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> {
               GrayLevel[0.5]}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{138., {41.8837890625, 49.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{138., {41.8837890625, 49.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{{3.8656827813560534`*^9, 3.86568283970728*^9}, 
   3.865682904731275*^9, 3.865682948215047*^9, 3.865683060483143*^9, 
   3.865687421068396*^9, 3.865847479941333*^9, 3.866801197284951*^9, 
   3.866807384534977*^9, {3.8668078468563766`*^9, 3.8668078583064203`*^9}, 
   3.866807987101955*^9, 3.866900625339424*^9, 3.881426329752493*^9},
 CellLabel->"Out[619]=",
 CellID->1886383828,ExpressionUUID->"abca723d-86f4-4af6-adbc-e0ee0cb3ab90"]
}, Open  ]],

Cell["\<\
And you can recover the full plot easily using the techniques discussed in \
this book.\
\>", "Text",
 CellChangeTimes->{{3.865683041938327*^9, 3.865683055458899*^9}, {
  3.8723361841006947`*^9, 3.8723361847878494`*^9}, {3.8723362746157784`*^9, 
  3.8723362753725433`*^9}},
 CellID->641629274,ExpressionUUID->"1edf8bce-dce2-488b-8d6f-2e50073c16b1"],

Cell[TextData[{
 "Retrieve the value of the ",
 Cell[BoxData[
 "\"\<a\>\""], "InlineCode",ExpressionUUID->
  "3d15f2a4-2526-4bf0-a26f-4650a29adb00"],
 " key from the ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " ",
 Cell[BoxData[
 "lpds"], "InlineCode",ExpressionUUID->"8a076f2c-5aa8-48e0-a30e-c2f188be5636"],
 ":"
}], "CodeText",
 CellID->852008649,ExpressionUUID->"e3afcbfb-c3e0-402d-b52a-4110f1c986e0"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"lpds", "[", "\"\<a\>\"", "]"}]], "Input",
 CellChangeTimes->{{3.8656830632500153`*^9, 3.865683065045598*^9}},
 CellLabel->"In[620]:=",
 CellID->736730204,ExpressionUUID->"56781b48-a6e3-4233-b85d-10106cb1a809"],

Cell[BoxData[
 GraphicsBox[{{}, {{{}, {}, 
     TagBox[
      {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
        NCache[
         Rational[7, 360], 0.019444444444444445`]], AbsoluteThickness[1.6], 
       LineBox[{{1., 1.}, {2., 3.}, {3., 4.}, {4., 6.}}]},
      Annotation[#, {{Callout}, Charting`Private`Tag$300459, {}}]& ]}, 
    TagBox[
     {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
       NCache[
        Rational[7, 360], 0.019444444444444445`]], AbsoluteThickness[1.6], 
      GeometricTransformationBox[InsetBox[
        FormBox[
         StyleBox[
          GraphicsBox[
           {EdgeForm[None], DiskBox[{0, 0}]}],
          StripOnInput->False,
          GraphicsBoxOptions->{DefaultBaseStyle->Directive[
            PointSize[
             Rational[7, 360]], 
            RGBColor[0.368417, 0.506779, 0.709798], 
            AbsoluteThickness[1.6]]}],
         TraditionalForm], {0., 0.}, Automatic, Offset[6.272]], {{{1., 
       1.}}, {{2., 3.}}, {{3., 4.}}, {{4., 6.}}}]},
     Annotation[#, {{Callout}, Charting`Private`Tag$300459, {}}]& ]}, {{{{}, 
      GraphicsGroupBox[{
        {GrayLevel[1], AbsoluteThickness[4], Opacity[
          NCache[
           Rational[2, 3], 0.6666666666666666]], CapForm["Butt"], JoinForm[
         "Round"], 
         BSplineCurveBox[{
          Offset[{3, 0}, {4., 6.}], 
           Offset[{2.9999999811301383`, -0.00033648056442665624`}, {
            4.163333333333333, 6.}], 
           Offset[{0, 0}, {4.243338173066043, 5.999978221202807}], 
           Offset[{5., 1.1102230246251565`*^-15}, {4.243338173066043, 
            5.999978221202807}], 
           Offset[{10., 2.220446049250313*^-15}, {4.243338173066043, 
            5.999978221202807}], 
           Offset[{10., 2.220446049250313*^-15}, {4.243338173066043, 
            5.999978221202807}]}]}, 
        {RGBColor[0.6666666666666666, 0.6666666666666666, 0.6666666666666666],
          AbsoluteThickness[1.25], 
         BSplineCurveBox[{
          Offset[{3, 0}, {4., 6.}], 
           Offset[{2.9999999811301383`, -0.00033648056442665624`}, {
            4.163333333333333, 6.}], 
           Offset[{0, 0}, {4.243338173066043, 5.999978221202807}], 
           Offset[{5., 1.1102230246251565`*^-15}, {4.243338173066043, 
            5.999978221202807}], 
           Offset[{10., 2.220446049250313*^-15}, {4.243338173066043, 
            5.999978221202807}], 
           Offset[{10., 2.220446049250313*^-15}, {4.243338173066043, 
            5.999978221202807}]}]}, 
        {EdgeForm[None], FaceForm[{GrayLevel[1], Opacity[
          NCache[
           Rational[2, 3], 0.6666666666666666]]}], 
         PolygonBox[{
          Offset[{38., 6.500000000000009}, {4.243338173066043, 
            5.999978221202807}], 
           Offset[{38., -6.499999999999991}, {4.243338173066043, 
            5.999978221202807}], 
           Offset[{10.000000000000002`, -6.499999999999998}, {
            4.243338173066043, 5.999978221202807}], 
           Offset[{9.999999999999998, 6.500000000000002}, {4.243338173066043, 
            5.999978221202807}]}]}, 
        {RGBColor[0.6666666666666666, 0.6666666666666666, 0.6666666666666666],
          AbsoluteThickness[1.25], EdgeForm[None]}, {}, InsetBox[
         StyleBox[
          RotationBox["\<\"trend\"\>",
           BoxRotation->0.],
          StripOnInput->False,
          LineOpacity->1,
          FrontFaceOpacity->1,
          Opacity->1,
          FontOpacity->1,
          $CellContext`BackFaceOpacity -> 1], 
         Offset[{24., 5.329070518200751*^-15}, \
{4.243338173066043, 5.999978221202807}], NCache[
         ImageScaled[{Rational[1, 2], Rational[1, 2]}], 
          ImageScaled[{0.5, 0.5}]]]}]}, {}}, {}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0., 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->{{All, 56.40043557594386}, {All, All}},
  Method->{
   "AxisPadding" -> Scaled[0.02], "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "DefaultPlotStyle" -> {
      Directive[
       RGBColor[0.368417, 0.506779, 0.709798], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.880722, 0.611041, 0.142051], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.560181, 0.691569, 0.194885], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.922526, 0.385626, 0.209179], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.528488, 0.470624, 0.701351], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.772079, 0.431554, 0.102387], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.363898, 0.618501, 0.782349], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[1, 0.75, 0], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.647624, 0.37816, 0.614037], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.571589, 0.586483, 0.], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.915, 0.3325, 0.2125], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.40082222609352647`, 0.5220066643438841, 0.85], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.9728288904374106, 0.621644452187053, 0.07336199581899142], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.736782672705901, 0.358, 0.5030266573755369], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.28026441037696703`, 0.715, 0.4292089322474965], 
       AbsoluteThickness[1.6]]}, "DomainPadding" -> Scaled[0.02], 
    "RangePadding" -> Scaled[0.05], "OptimizePlotMarkers" -> True, 
    "OptimizePlotMarkers" -> True, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        Identity[
         Part[#, 1]], 
        Identity[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        Identity[
         Part[#, 1]], 
        Identity[
         Part[#, 2]]}& )}},
  PlotRange->{{0., 4.}, {0, 6.}},
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.02], 
     Scaled[0.08090169943749476]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{3.865683065434433*^9, 3.865847483140916*^9, 
  3.8668011974681187`*^9, 3.866807393233124*^9, 3.8668079891021547`*^9, 
  3.866900627567458*^9, 3.8814263426471443`*^9},
 CellLabel->"Out[620]=",
 CellID->1594619540,ExpressionUUID->"c5a02b8d-c80c-488f-880a-a9fead0a3658"]
}, Open  ]],

Cell[TextData[{
 "But what if you really do want the ",
 ButtonBox["Graphics",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Graphics.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Graphics.html"],
 " object to appear as an item in the ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " with its details preserved? The answer is again an IPD function. You \
adjust the ",
 ButtonBox["ItemDisplayFunction",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ItemDisplayFunction.html"]\
, None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/ItemDisplayFunction.html"],
 " so that the ",
 ButtonBox["Graphics",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Graphics.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Graphics.html"],
 " expression in question is wrapped with the simple \
\[OpenCurlyDoubleQuote]do-nothing\[CloseCurlyDoubleQuote] IPD function ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["#",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Slot.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Slot.html"], "1", 
   ButtonBox[
    StyleBox["&",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Function.html"], None},
    ButtonNote->
     "https://reference.wolfram.com/language/ref/Function.html"]}]], 
  "InlineCodeText",ExpressionUUID->"03d0abfd-9c78-424b-b5ee-3afb7014ce51"],
 ", which presumably overrides whatever default display function the Wolfram \
Language front end had in mind for that ",
 ButtonBox["Graphics",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Graphics.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Graphics.html"],
 " expression."
}], "Text",
 CellChangeTimes->{{3.865687438568034*^9, 3.8656874487166767`*^9}, {
   3.865692903116125*^9, 3.8656929036684113`*^9}, {3.865847536697012*^9, 
   3.8658476425770197`*^9}, {3.866807314833949*^9, 3.8668073274961033`*^9}, {
   3.8668079296823387`*^9, 3.866807930185028*^9}, {3.866808046468113*^9, 
   3.866808046468184*^9}, 3.866808181484631*^9, {3.8668986432443743`*^9, 
   3.866898662305724*^9}, {3.867934510824794*^9, 3.867934540408066*^9}, {
   3.8723383117463083`*^9, 3.87233831569317*^9}, 3.89631259510011*^9},
 CellTags->"LastCellOfAPage",
 CellID->221251674,ExpressionUUID->"1f035a41-8b57-4cae-aaff-bdcfc128f7ff"],

Cell[TextData[{
 "Use of the simple ",
 ButtonBox["ItemDisplayFunction",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ItemDisplayFunction.html"]\
, None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/ItemDisplayFunction.html"],
 " preserves the appearance of the graphic:"
}], "CodeText",
 CellChangeTimes->{{3.872939116581514*^9, 3.87293914707556*^9}, 
   3.873799158500039*^9, {3.8737992866204777`*^9, 3.8737993142859325`*^9}, 
   3.87380280209344*^9},
 CellTags->"p: 187",
 CellID->675213754,ExpressionUUID->"93c9beaa-e930-46c4-a373-679311bb244d"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   InterpretationBox[
    TagBox[
     DynamicModuleBox[{Typeset`open = False}, 
      FrameBox[
       PaneSelectorBox[{False->GridBox[{
          {
           PaneBox[GridBox[{
              {
               StyleBox[
                StyleBox[
                 AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                  BoxBaselineShift->-0.25,
                  BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                 
                 FontColor->RGBColor[
                  0.8745098039215686, 0.2784313725490196, 
                   0.03137254901960784]],
                ShowStringCharacters->False,
                FontFamily->"Source Sans Pro Black",
                FontSize->0.6538461538461539 Inherited,
                FontWeight->"Heavy",
                PrivateFontOptions->{"OperatorSubstitution"->False}], 
               StyleBox[
                RowBox[{
                 StyleBox["FormatDataset", "ResourceFunctionLabel"], " "}],
                ShowAutoStyles->False,
                ShowStringCharacters->False,
                FontSize->Rational[12, 13] Inherited,
                FontColor->GrayLevel[0.1]]}
             },
             GridBoxSpacings->{"Columns" -> {{0.25}}}],
            Alignment->Left,
            BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
            BaselinePosition->Baseline,
            FrameMargins->{{3, 0}, {0, 0}}], 
           ItemBox[
            PaneBox[
             TogglerBox[Dynamic[Typeset`open], {True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeCloser"],
               ImageSizeCache->{11., {2., 9.}}], False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeOpener"],
               ImageSizeCache->{11., {2., 9.}}]},
              Appearance->None,
              BaselinePosition->Baseline,
              ContentPadding->False,
              FrameMargins->0],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{1, 1}, {0, 0}}],
            Frame->{{
               RGBColor[
               0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                0.5], False}, {False, False}}]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
         GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
        GridBox[{
          {GridBox[{
             {
              PaneBox[GridBox[{
                 {
                  StyleBox[
                   StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                   ShowStringCharacters->False,
                   FontFamily->"Source Sans Pro Black",
                   FontSize->0.6538461538461539 Inherited,
                   FontWeight->"Heavy",
                   PrivateFontOptions->{"OperatorSubstitution"->False}], 
                  StyleBox[
                   RowBox[{
                    StyleBox["FormatDataset", "ResourceFunctionLabel"], " "}],
                   ShowAutoStyles->False,
                   ShowStringCharacters->False,
                   FontSize->Rational[12, 13] Inherited,
                   FontColor->GrayLevel[0.1]]}
                },
                GridBoxSpacings->{"Columns" -> {{0.25}}}],
               Alignment->Left,
               BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
               BaselinePosition->Baseline,
               FrameMargins->{{3, 0}, {0, 0}}], 
              ItemBox[
               PaneBox[
                TogglerBox[Dynamic[Typeset`open], {True->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeCloser"]], False->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeOpener"]]},
                 Appearance->None,
                 BaselinePosition->Baseline,
                 ContentPadding->False,
                 FrameMargins->0],
                Alignment->Left,
                BaselinePosition->Baseline,
                FrameMargins->{{1, 1}, {0, 0}}],
               Frame->{{
                  RGBColor[
                  0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                   0.5], False}, {False, False}}]}
            },
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
          {
           StyleBox[
            PaneBox[GridBox[{
               {
                RowBox[{
                 TagBox["\<\"Version (latest): \"\>",
                  "IconizedLabel"], " ", 
                 TagBox["\<\"1.0.0\"\>",
                  "IconizedItem"]}]},
               {
                TagBox[
                 
                 TemplateBox[{
                  "\"Documentation \[RightGuillemet]\"", 
                   "https://resources.wolframcloud.com/FunctionRepository/\
resources/FormatDataset"},
                  "HyperlinkURL"],
                 "IconizedItem"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
            FontFamily->"Roboto",
            FontSize->11]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
              GrayLevel[0.8]}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
        Typeset`open],
        BaselinePosition->Baseline,
        ImageSize->Automatic],
       Background->RGBColor[
        0.9686274509803922, 0.9764705882352941, 0.984313725490196],
       BaselinePosition->Baseline,
       DefaultBaseStyle->{},
       FrameMargins->{{0, 0}, {1, 0}},
       FrameStyle->RGBColor[
        0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
       RoundingRadius->4]],
     {"FunctionResourceBox", 
      RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
      "FormatDataset"},
     TagBoxNote->"FunctionResourceBox"],
    ResourceFunction[
     ResourceObject[<|
      "Name" -> "FormatDataset", "ShortName" -> "FormatDataset", "UUID" -> 
       "76670bca-1587-4e7e-9e89-5b698a30759d", "ResourceType" -> "Function", 
       "Version" -> "1.0.0", "Description" -> 
       "Format a dataset using a given set of option values", 
       "RepositoryLocation" -> 
       URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
       "SymbolName" -> 
       "FunctionRepository`$66a3086203b4405b88cdb0de8a5c3128`FormatDataset", 
       "FunctionLocation" -> 
       CloudObject[
        "https://www.wolframcloud.com/obj/70389ad6-7dbc-48c8-b898-\
72c65c00f14e"]|>, ResourceSystemBase -> Automatic]],
    Selectable->False], "[", 
   RowBox[{"ItemDisplayFunction", "\[Rule]", 
    RowBox[{"(", 
     RowBox[{"#1", "&"}], ")"}]}], "]"}], "[", "lpds", "]"}]], "Input",
 CellChangeTimes->{{3.865847413620253*^9, 3.865847458586027*^9}, {
  3.865847522486824*^9, 3.865847528072215*^9}, {3.86680742481777*^9, 
  3.866807434500618*^9}, {3.866807469453678*^9, 3.866807526826767*^9}, {
  3.8668077890395737`*^9, 3.866807791144608*^9}, {3.866807874105208*^9, 
  3.866807904685668*^9}, {3.866808027683098*^9, 3.866808047800582*^9}},
 CellLabel->"In[621]:=",
 CellID->1336965700,ExpressionUUID->"d584d6b4-bb4b-48b5-b113-41a5607d5347"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> <|"a" -> Graphics[{{}, {{{}, {}, 
            Annotation[{
              Hue[0.67, 0.6, 0.6], 
              Directive[
               PointSize[
                Rational[7, 360]], 
               RGBColor[0.368417, 0.506779, 0.709798], 
               AbsoluteThickness[1.6]], 
              Line[{{1., 1.}, {2., 3.}, {3., 4.}, {4., 6.}}]}, {{Callout}, 
              Charting`Private`Tag$300459, {}}]}, {
            Annotation[{
              Directive[
               PointSize[
                Rational[7, 360]], 
               RGBColor[0.368417, 0.506779, 0.709798], 
               AbsoluteThickness[1.6]], 
              GeometricTransformation[
               Inset[
                Style[
                 Graphics[{
                   EdgeForm[], 
                   Disk[{0, 0}]}], 
                 GraphicsBoxOptions -> {DefaultBaseStyle -> Directive[
                    PointSize[
                    Rational[7, 360]], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]]}], {0., 0.}, Automatic, 
                Offset[6.272]], {{{1., 1.}}, {{2., 3.}}, {{3., 4.}}, {{4., 
               6.}}}]}, {{Callout}, 
              Charting`Private`Tag$300459, {}}]}}, {{{{{{}, {
                GraphicsGroup[{{
                   Directive[
                    AbsoluteThickness[4], 
                    GrayLevel[1], 
                    Opacity[
                    Rational[2, 3]]], 
                   CapForm["Butt"], 
                   JoinForm["Round"], 
                   BSplineCurve[{
                    Offset[{3, 0}, {4., 6.}], 
                    
                    Offset[{2.9999999811301383`, -0.00033648056442665624`}, {
                    4.163333333333333, 6.}], 
                    Offset[{0, 0}, {4.243338173066043, 5.999978221202807}], 
                    
                    Offset[{5., 1.1102230246251565`*^-15}, {4.243338173066043,
                     5.999978221202807}], 
                    
                    Offset[{10., 2.220446049250313*^-15}, {4.243338173066043, 
                    5.999978221202807}], 
                    
                    Offset[{10., 2.220446049250313*^-15}, {4.243338173066043, 
                    5.999978221202807}]}]}, {
                   Directive[
                    RGBColor[
                    0.6666666666666666, 0.6666666666666666, 
                    0.6666666666666666], 
                    AbsoluteThickness[1.25]], 
                   BSplineCurve[{
                    Offset[{3, 0}, {4., 6.}], 
                    
                    Offset[{2.9999999811301383`, -0.00033648056442665624`}, {
                    4.163333333333333, 6.}], 
                    Offset[{0, 0}, {4.243338173066043, 5.999978221202807}], 
                    
                    Offset[{5., 1.1102230246251565`*^-15}, {4.243338173066043,
                     5.999978221202807}], 
                    
                    Offset[{10., 2.220446049250313*^-15}, {4.243338173066043, 
                    5.999978221202807}], 
                    
                    Offset[{10., 2.220446049250313*^-15}, {4.243338173066043, 
                    5.999978221202807}]}]}, {
                   FaceForm[
                    Directive[
                    GrayLevel[1], 
                    Opacity[
                    Rational[2, 3]]]], 
                   EdgeForm[], 
                   Polygon[{
                    
                    Offset[{38., 6.500000000000009}, {4.243338173066043, 
                    5.999978221202807}], 
                    
                    Offset[{38., -6.499999999999991}, {4.243338173066043, 
                    5.999978221202807}], 
                    
                    Offset[{10.000000000000002`, -6.499999999999998}, {
                    4.243338173066043, 5.999978221202807}], 
                    
                    Offset[{9.999999999999998, 6.500000000000002}, {
                    4.243338173066043, 5.999978221202807}]}]}, {
                   EdgeForm[], 
                   Directive[
                    RGBColor[
                    0.6666666666666666, 0.6666666666666666, 
                    0.6666666666666666], 
                    AbsoluteThickness[1.25]]}, {}, 
                  Text[
                   Style[
                    Rotate["trend", 0], {
                    Opacity[1]}], 
                   
                   Offset[{24., 5.329070518200751*^-15}, {4.243338173066043, 
                    5.999978221202807}], {0, 0}]}]}}}}, {}}, {}}}, {
         DisplayFunction -> Identity, DisplayFunction -> Identity, 
          AspectRatio -> GoldenRatio^(-1), Axes -> {True, True}, 
          AxesLabel -> {None, None}, AxesOrigin -> {0., 0}, DisplayFunction :> 
          Identity, Frame -> {{False, False}, {False, False}}, 
          FrameLabel -> {{None, None}, {None, None}}, 
          FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
          GridLines -> {None, None}, GridLinesStyle -> Directive[
            GrayLevel[0.5, 0.4]], 
          ImagePadding -> {{All, 56.40043557594386}, {All, All}}, 
          Method -> {
           "AxisPadding" -> Scaled[0.02], "DefaultBoundaryStyle" -> Automatic,
             "DefaultGraphicsInteraction" -> {
             "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
              "Effects" -> {
               "Highlight" -> {"ratio" -> 2}, 
                "HighlightPoint" -> {"ratio" -> 2}, 
                "Droplines" -> {
                 "freeformCursorMode" -> True, 
                  "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
            "DefaultMeshStyle" -> AbsolutePointSize[6], "DefaultPlotStyle" -> {
              Directive[
               RGBColor[0.368417, 0.506779, 0.709798], 
               AbsoluteThickness[1.6]], 
              Directive[
               RGBColor[0.880722, 0.611041, 0.142051], 
               AbsoluteThickness[1.6]], 
              Directive[
               RGBColor[0.560181, 0.691569, 0.194885], 
               AbsoluteThickness[1.6]], 
              Directive[
               RGBColor[0.922526, 0.385626, 0.209179], 
               AbsoluteThickness[1.6]], 
              Directive[
               RGBColor[0.528488, 0.470624, 0.701351], 
               AbsoluteThickness[1.6]], 
              Directive[
               RGBColor[0.772079, 0.431554, 0.102387], 
               AbsoluteThickness[1.6]], 
              Directive[
               RGBColor[0.363898, 0.618501, 0.782349], 
               AbsoluteThickness[1.6]], 
              Directive[
               RGBColor[1, 0.75, 0], 
               AbsoluteThickness[1.6]], 
              Directive[
               RGBColor[0.647624, 0.37816, 0.614037], 
               AbsoluteThickness[1.6]], 
              Directive[
               RGBColor[0.571589, 0.586483, 0.], 
               AbsoluteThickness[1.6]], 
              Directive[
               RGBColor[0.915, 0.3325, 0.2125], 
               AbsoluteThickness[1.6]], 
              Directive[
               RGBColor[0.40082222609352647`, 0.5220066643438841, 0.85], 
               AbsoluteThickness[1.6]], 
              Directive[
               RGBColor[
               0.9728288904374106, 0.621644452187053, 0.07336199581899142], 
               AbsoluteThickness[1.6]], 
              Directive[
               RGBColor[0.736782672705901, 0.358, 0.5030266573755369], 
               AbsoluteThickness[1.6]], 
              Directive[
               RGBColor[0.28026441037696703`, 0.715, 0.4292089322474965], 
               AbsoluteThickness[1.6]]}, "DomainPadding" -> Scaled[0.02], 
            "RangePadding" -> Scaled[0.05], "OptimizePlotMarkers" -> True, 
            "OptimizePlotMarkers" -> True, 
            "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
                Identity[
                 Part[#, 1]], 
                Identity[
                 Part[#, 2]]}& ), "CopiedValueFunction" -> ({
                Identity[
                 Part[#, 1]], 
                Identity[
                 Part[#, 2]]}& )}}, PlotRange -> {{0., 4.}, {0, 6.}}, 
          PlotRangePadding -> {{
             Scaled[0.02], 
             Scaled[0.02]}, {
             Scaled[0.02], 
             Scaled[0.08090169943749476]}}, Ticks -> {Automatic, Automatic}}],
        "b" -> {1, 2, 3, 4, 5, 6, 7, 8, 9, 10}|>, "AllowEmbedding" -> True, 
     "InitialShape" -> 
     TypeSystem`PackageScope`DocumentShape[<|{"a"} -> 
        TypeSystem`PackageScope`AtomShape[60], {"b"} -> 
        TypeSystem`PackageScope`ElidedShape[1]|>, 1], "InitialType" -> 
     TypeSystem`Struct[{"a", "b"}, {
        TypeSystem`Atom[Graphics], 
        TypeSystem`Vector[
         TypeSystem`Atom[Integer], 10]}], 
     "Meta" -> <|$CellContext`ItemDisplayFunction -> (#& )|>, "RowTarget" -> 
     20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`DocumentShape[<|{"a"} -> 
        TypeSystem`PackageScope`AtomShape[60], {"b"} -> 
        TypeSystem`PackageScope`ElidedShape[1]|>, 1], "Type" -> 
     TypeSystem`Struct[{"a", "b"}, {
        TypeSystem`Atom[Graphics], 
        TypeSystem`Vector[
         TypeSystem`Atom[Integer], 10]}], "Path" -> {}, "DisplayedRowCount" -> 
     20, "DisplayedColumnCount" -> 10, "DataRowCount" -> 2, "DataColumnCount" -> 
     1, "SortPaths" -> {}, "SortDirections" -> {}, "HiddenItemsMap" -> Null, 
     "UpdateType" -> 1|>, TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["a", 
                  Style[
                  "a", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["a"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "12790dd7-a7d0-4750-b9d0-011c56ffd8b8"]][{
                 Key["a"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               Graphics[{{}, {{{}, {}, 
                   Annotation[{
                    Hue[0.67, 0.6, 0.6], 
                    Directive[
                    PointSize[
                    Rational[7, 360]], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], 
                    Line[{{1., 1.}, {2., 3.}, {3., 4.}, {4., 6.}}]}, {{
                    Callout}, Charting`Private`Tag$300459, {}}]}, {
                   Annotation[{
                    Directive[
                    PointSize[
                    Rational[7, 360]], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], 
                    GeometricTransformation[
                    Inset[
                    Style[
                    Graphics[{
                    EdgeForm[], 
                    Disk[{0, 0}]}], 
                    GraphicsBoxOptions -> {DefaultBaseStyle -> Directive[
                    PointSize[
                    Rational[7, 360]], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]]}], {0., 0.}, Automatic, 
                    Offset[6.272]], {{{1., 1.}}, {{2., 3.}}, {{3., 4.}}, {{4.,
                     6.}}}]}, {{Callout}, 
                    Charting`Private`Tag$300459, {}}]}}, {{{{{{}, {
                    GraphicsGroup[{{
                    Directive[
                    AbsoluteThickness[4], 
                    GrayLevel[1], 
                    Opacity[
                    Rational[2, 3]]], 
                    CapForm["Butt"], 
                    JoinForm["Round"], 
                    BSplineCurve[{
                    Offset[{3, 0}, {4., 6.}], 
                    
                    Offset[{2.9999999811301383`, -0.00033648056442665624`}, {
                    4.163333333333333, 6.}], 
                    Offset[{0, 0}, {4.243338173066043, 5.999978221202807}], 
                    
                    Offset[{5., 1.1102230246251565`*^-15}, {4.243338173066043,
                     5.999978221202807}], 
                    
                    Offset[{10., 2.220446049250313*^-15}, {4.243338173066043, 
                    5.999978221202807}], 
                    
                    Offset[{10., 2.220446049250313*^-15}, {4.243338173066043, 
                    5.999978221202807}]}]}, {
                    Directive[
                    RGBColor[
                    0.6666666666666666, 0.6666666666666666, 
                    0.6666666666666666], 
                    AbsoluteThickness[1.25]], 
                    BSplineCurve[{
                    Offset[{3, 0}, {4., 6.}], 
                    
                    Offset[{2.9999999811301383`, -0.00033648056442665624`}, {
                    4.163333333333333, 6.}], 
                    Offset[{0, 0}, {4.243338173066043, 5.999978221202807}], 
                    
                    Offset[{5., 1.1102230246251565`*^-15}, {4.243338173066043,
                     5.999978221202807}], 
                    
                    Offset[{10., 2.220446049250313*^-15}, {4.243338173066043, 
                    5.999978221202807}], 
                    
                    Offset[{10., 2.220446049250313*^-15}, {4.243338173066043, 
                    5.999978221202807}]}]}, {
                    FaceForm[
                    Directive[
                    GrayLevel[1], 
                    Opacity[
                    Rational[2, 3]]]], 
                    EdgeForm[], 
                    Polygon[{
                    
                    Offset[{38., 6.500000000000009}, {4.243338173066043, 
                    5.999978221202807}], 
                    
                    Offset[{38., -6.499999999999991}, {4.243338173066043, 
                    5.999978221202807}], 
                    
                    Offset[{10.000000000000002`, -6.499999999999998}, {
                    4.243338173066043, 5.999978221202807}], 
                    
                    Offset[{9.999999999999998, 6.500000000000002}, {
                    4.243338173066043, 5.999978221202807}]}]}, {
                    EdgeForm[], 
                    Directive[
                    RGBColor[
                    0.6666666666666666, 0.6666666666666666, 
                    0.6666666666666666], 
                    AbsoluteThickness[1.25]]}, {}, 
                    Text[
                    Style[
                    Rotate["trend", 0], {
                    Opacity[1]}], 
                    
                    Offset[{24., 5.329070518200751*^-15}, {4.243338173066043, 
                    5.999978221202807}], {0, 0}]}]}}}}, {}}, {}}}, {
                DisplayFunction -> Identity, DisplayFunction -> Identity, 
                 AspectRatio -> GoldenRatio^(-1), Axes -> {True, True}, 
                 AxesLabel -> {None, None}, AxesOrigin -> {0., 0}, 
                 DisplayFunction :> Identity, 
                 Frame -> {{False, False}, {False, False}}, 
                 FrameLabel -> {{None, None}, {None, None}}, 
                 FrameTicks -> {{Automatic, Automatic}, {
                   Automatic, Automatic}}, GridLines -> {None, None}, 
                 GridLinesStyle -> Directive[
                   GrayLevel[0.5, 0.4]], 
                 ImagePadding -> {{All, 56.40043557594386}, {All, All}}, 
                 Method -> {
                  "AxisPadding" -> Scaled[0.02], "DefaultBoundaryStyle" -> 
                   Automatic, 
                   "DefaultGraphicsInteraction" -> {
                    "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
                    "Effects" -> {
                    "Highlight" -> {"ratio" -> 2}, 
                    "HighlightPoint" -> {"ratio" -> 2}, 
                    "Droplines" -> {
                    "freeformCursorMode" -> True, 
                    "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
                   "DefaultMeshStyle" -> AbsolutePointSize[6], 
                   "DefaultPlotStyle" -> {
                    Directive[
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.922526, 0.385626, 0.209179], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.528488, 0.470624, 0.701351], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.772079, 0.431554, 0.102387], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.363898, 0.618501, 0.782349], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[1, 0.75, 0], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.647624, 0.37816, 0.614037], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.571589, 0.586483, 0.], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.915, 0.3325, 0.2125], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.40082222609352647`, 0.5220066643438841, 0.85], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[
                    0.9728288904374106, 0.621644452187053, 
                    0.07336199581899142], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.736782672705901, 0.358, 0.5030266573755369], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.28026441037696703`, 0.715, 0.4292089322474965], 
                    AbsoluteThickness[1.6]]}, "DomainPadding" -> Scaled[0.02],
                    "RangePadding" -> Scaled[0.05], "OptimizePlotMarkers" -> 
                   True, "OptimizePlotMarkers" -> True, 
                   "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
                    Identity[
                    Part[#, 1]], 
                    Identity[
                    Part[#, 2]]}& ), "CopiedValueFunction" -> ({
                    Identity[
                    Part[#, 1]], 
                    Identity[
                    Part[#, 2]]}& )}}, PlotRange -> {{0., 4.}, {0, 6.}}, 
                 PlotRangePadding -> {{
                    Scaled[0.02], 
                    Scaled[0.02]}, {
                    Scaled[0.02], 
                    Scaled[0.08090169943749476]}}, 
                 Ticks -> {Automatic, Automatic}}], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "12790dd7-a7d0-4750-b9d0-011c56ffd8b8"]][{
                 Key["a"]}, "Item", False], "Mouse"], 
              ImageSize -> {{60, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["b", 
                  Style[
                  "b", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["b"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "12790dd7-a7d0-4750-b9d0-011c56ffd8b8"]][{
                 Key["b"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  Style[
                   Row[{"\[ThinSpace]{ ", 
                    Subscript["\[Ellipsis]", 10], " }\[ThinSpace]"}], 
                   GrayLevel[0.5]], 
                  Style[
                   Style[
                    Row[{"\[ThinSpace]{ ", 
                    Subscript["\[Ellipsis]", 10], " }\[ThinSpace]"}], 
                    GrayLevel[0.5]], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["b"]}, 4]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "12790dd7-a7d0-4750-b9d0-011c56ffd8b8"]][{
                 Key["b"]}, "Item", False], "Mouse"], 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> {
               GrayLevel[0.5]}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{266., {86.3837890625, 93.6162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{266., {86.3837890625, 93.6162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{
  3.86680790512036*^9, 3.8668079915519247`*^9, {3.866808032328264*^9, 
   3.866808048449884*^9}, 3.866900629842629*^9, 3.881426348963768*^9},
 CellLabel->"Out[621]=",
 CellID->644665303,ExpressionUUID->"ac438bd5-8326-4d84-988f-e73abd62c92d"]
}, Open  ]],

Cell[TextData[{
 "Indeed, you can exploit IPD functions to further manipulate the display of \
the ",
 ButtonBox["Graphics",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Graphics.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Graphics.html"],
 " expression. "
}], "Text",
 CellChangeTimes->{{3.865847686230734*^9, 3.865847705135316*^9}, {
   3.866898674610689*^9, 3.8668986876167707`*^9}, 3.867934567978269*^9, {
   3.8723383523000135`*^9, 3.872338352503525*^9}},
 CellID->1564050170,ExpressionUUID->"cf8e66e5-7799-46d6-8998-9f0557d2bd9c"],

Cell[TextData[{
 "Use ",
 ButtonBox["FormatDataset",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
FormatDataset"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/\
FormatDataset"],
 " to reformat a ",
 ButtonBox["Graphics",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Graphics.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Graphics.html"],
 " item associated with the ",
 Cell[BoxData[
 "\"\<a\>\""], "InlineCode",ExpressionUUID->
  "782c3ab2-3728-4263-9628-b195be4cb268"],
 " key by making its background ",
 ButtonBox["Yellow",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Yellow.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Yellow.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.866898690503837*^9, 3.866898744337154*^9}, {
  3.867934570900085*^9, 3.8679345878200073`*^9}, {3.8699216649450073`*^9, 
  3.869921681832973*^9}, {3.872338371475124*^9, 3.8723383716090946`*^9}},
 CellID->2007358490,ExpressionUUID->"64e25629-9e60-4bfc-ad09-f13c53ec4d82"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   InterpretationBox[
    TagBox[
     DynamicModuleBox[{Typeset`open = False}, 
      FrameBox[
       PaneSelectorBox[{False->GridBox[{
          {
           PaneBox[GridBox[{
              {
               StyleBox[
                StyleBox[
                 AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                  BoxBaselineShift->-0.25,
                  BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                 
                 FontColor->RGBColor[
                  0.8745098039215686, 0.2784313725490196, 
                   0.03137254901960784]],
                ShowStringCharacters->False,
                FontFamily->"Source Sans Pro Black",
                FontSize->0.6538461538461539 Inherited,
                FontWeight->"Heavy",
                PrivateFontOptions->{"OperatorSubstitution"->False}], 
               StyleBox[
                RowBox[{
                 StyleBox["FormatDataset", "ResourceFunctionLabel"], " "}],
                ShowAutoStyles->False,
                ShowStringCharacters->False,
                FontSize->Rational[12, 13] Inherited,
                FontColor->GrayLevel[0.1]]}
             },
             GridBoxSpacings->{"Columns" -> {{0.25}}}],
            Alignment->Left,
            BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
            BaselinePosition->Baseline,
            FrameMargins->{{3, 0}, {0, 0}}], 
           ItemBox[
            PaneBox[
             TogglerBox[Dynamic[Typeset`open], {True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeCloser"],
               ImageSizeCache->{11., {2., 9.}}], False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "IconizeOpener"],
               ImageSizeCache->{11., {2., 9.}}]},
              Appearance->None,
              BaselinePosition->Baseline,
              ContentPadding->False,
              FrameMargins->0],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{1, 1}, {0, 0}}],
            Frame->{{
               RGBColor[
               0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                0.5], False}, {False, False}}]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
         GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
        GridBox[{
          {GridBox[{
             {
              PaneBox[GridBox[{
                 {
                  StyleBox[
                   StyleBox[
                    AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                    
                    FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                   ShowStringCharacters->False,
                   FontFamily->"Source Sans Pro Black",
                   FontSize->0.6538461538461539 Inherited,
                   FontWeight->"Heavy",
                   PrivateFontOptions->{"OperatorSubstitution"->False}], 
                  StyleBox[
                   RowBox[{
                    StyleBox["FormatDataset", "ResourceFunctionLabel"], " "}],
                   ShowAutoStyles->False,
                   ShowStringCharacters->False,
                   FontSize->Rational[12, 13] Inherited,
                   FontColor->GrayLevel[0.1]]}
                },
                GridBoxSpacings->{"Columns" -> {{0.25}}}],
               Alignment->Left,
               BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
               BaselinePosition->Baseline,
               FrameMargins->{{3, 0}, {0, 0}}], 
              ItemBox[
               PaneBox[
                TogglerBox[Dynamic[Typeset`open], {True->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeCloser"]], False->
                 
                 DynamicBox[FEPrivate`FrontEndResource[
                  "FEBitmaps", "IconizeOpener"]]},
                 Appearance->None,
                 BaselinePosition->Baseline,
                 ContentPadding->False,
                 FrameMargins->0],
                Alignment->Left,
                BaselinePosition->Baseline,
                FrameMargins->{{1, 1}, {0, 0}}],
               Frame->{{
                  RGBColor[
                  0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                   0.5], False}, {False, False}}]}
            },
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
          {
           StyleBox[
            PaneBox[GridBox[{
               {
                RowBox[{
                 TagBox["\<\"Version (latest): \"\>",
                  "IconizedLabel"], " ", 
                 TagBox["\<\"1.0.0\"\>",
                  "IconizedItem"]}]},
               {
                TagBox[
                 
                 TemplateBox[{
                  "\"Documentation \[RightGuillemet]\"", 
                   "https://resources.wolframcloud.com/FunctionRepository/\
resources/FormatDataset"},
                  "HyperlinkURL"],
                 "IconizedItem"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             Alignment->Left,
             BaselinePosition->Baseline,
             FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
            FontFamily->"Roboto",
            FontSize->11]}
         },
         BaselinePosition->{1, 1},
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
         GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
              GrayLevel[0.8]}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
        Typeset`open],
        BaselinePosition->Baseline,
        ImageSize->Automatic],
       Background->RGBColor[
        0.9686274509803922, 0.9764705882352941, 0.984313725490196],
       BaselinePosition->Baseline,
       DefaultBaseStyle->{},
       FrameMargins->{{0, 0}, {1, 0}},
       FrameStyle->RGBColor[
        0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
       RoundingRadius->4]],
     {"FunctionResourceBox", 
      RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
      "FormatDataset"},
     TagBoxNote->"FunctionResourceBox"],
    ResourceFunction[
     ResourceObject[<|
      "Name" -> "FormatDataset", "ShortName" -> "FormatDataset", "UUID" -> 
       "76670bca-1587-4e7e-9e89-5b698a30759d", "ResourceType" -> "Function", 
       "Version" -> "1.0.0", "Description" -> 
       "Format a dataset using a given set of option values", 
       "RepositoryLocation" -> 
       URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
       "SymbolName" -> 
       "FunctionRepository`$66a3086203b4405b88cdb0de8a5c3128`FormatDataset", 
       "FunctionLocation" -> 
       CloudObject[
        "https://www.wolframcloud.com/obj/70389ad6-7dbc-48c8-b898-\
72c65c00f14e"]|>, ResourceSystemBase -> Automatic]],
    Selectable->False], "[", 
   RowBox[{"ItemDisplayFunction", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<a\>\"", "->", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"Graphics", "[", 
         RowBox[{
          RowBox[{"First", "[", "#", "]"}], ",", 
          RowBox[{"Background", "\[Rule]", "Yellow"}], ",", 
          RowBox[{"Options", "[", "#", "]"}]}], "]"}], "&"}], ")"}]}], 
     "}"}]}], "]"}], "[", "lpds", "]"}]], "Input",
 CellChangeTimes->{{3.8658477260259323`*^9, 3.8658477355121727`*^9}, {
  3.8658479143993187`*^9, 3.865847941863819*^9}, {3.866807960509089*^9, 
  3.866807977181671*^9}},
 CellLabel->"In[622]:=",
 CellID->772420524,ExpressionUUID->"3a68e0d9-3a90-4d58-acb8-28004601891b"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> <|"a" -> Graphics[{{}, {{{}, {}, 
            Annotation[{
              Hue[0.67, 0.6, 0.6], 
              Directive[
               PointSize[
                Rational[7, 360]], 
               RGBColor[0.368417, 0.506779, 0.709798], 
               AbsoluteThickness[1.6]], 
              Line[{{1., 1.}, {2., 3.}, {3., 4.}, {4., 6.}}]}, {{Callout}, 
              Charting`Private`Tag$300459, {}}]}, {
            Annotation[{
              Directive[
               PointSize[
                Rational[7, 360]], 
               RGBColor[0.368417, 0.506779, 0.709798], 
               AbsoluteThickness[1.6]], 
              GeometricTransformation[
               Inset[
                Style[
                 Graphics[{
                   EdgeForm[], 
                   Disk[{0, 0}]}], 
                 GraphicsBoxOptions -> {DefaultBaseStyle -> Directive[
                    PointSize[
                    Rational[7, 360]], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]]}], {0., 0.}, Automatic, 
                Offset[6.272]], {{{1., 1.}}, {{2., 3.}}, {{3., 4.}}, {{4., 
               6.}}}]}, {{Callout}, 
              Charting`Private`Tag$300459, {}}]}}, {{{{{{}, {
                GraphicsGroup[{{
                   Directive[
                    AbsoluteThickness[4], 
                    GrayLevel[1], 
                    Opacity[
                    Rational[2, 3]]], 
                   CapForm["Butt"], 
                   JoinForm["Round"], 
                   BSplineCurve[{
                    Offset[{3, 0}, {4., 6.}], 
                    
                    Offset[{2.9999999811301383`, -0.00033648056442665624`}, {
                    4.163333333333333, 6.}], 
                    Offset[{0, 0}, {4.243338173066043, 5.999978221202807}], 
                    
                    Offset[{5., 1.1102230246251565`*^-15}, {4.243338173066043,
                     5.999978221202807}], 
                    
                    Offset[{10., 2.220446049250313*^-15}, {4.243338173066043, 
                    5.999978221202807}], 
                    
                    Offset[{10., 2.220446049250313*^-15}, {4.243338173066043, 
                    5.999978221202807}]}]}, {
                   Directive[
                    RGBColor[
                    0.6666666666666666, 0.6666666666666666, 
                    0.6666666666666666], 
                    AbsoluteThickness[1.25]], 
                   BSplineCurve[{
                    Offset[{3, 0}, {4., 6.}], 
                    
                    Offset[{2.9999999811301383`, -0.00033648056442665624`}, {
                    4.163333333333333, 6.}], 
                    Offset[{0, 0}, {4.243338173066043, 5.999978221202807}], 
                    
                    Offset[{5., 1.1102230246251565`*^-15}, {4.243338173066043,
                     5.999978221202807}], 
                    
                    Offset[{10., 2.220446049250313*^-15}, {4.243338173066043, 
                    5.999978221202807}], 
                    
                    Offset[{10., 2.220446049250313*^-15}, {4.243338173066043, 
                    5.999978221202807}]}]}, {
                   FaceForm[
                    Directive[
                    GrayLevel[1], 
                    Opacity[
                    Rational[2, 3]]]], 
                   EdgeForm[], 
                   Polygon[{
                    
                    Offset[{38., 6.500000000000009}, {4.243338173066043, 
                    5.999978221202807}], 
                    
                    Offset[{38., -6.499999999999991}, {4.243338173066043, 
                    5.999978221202807}], 
                    
                    Offset[{10.000000000000002`, -6.499999999999998}, {
                    4.243338173066043, 5.999978221202807}], 
                    
                    Offset[{9.999999999999998, 6.500000000000002}, {
                    4.243338173066043, 5.999978221202807}]}]}, {
                   EdgeForm[], 
                   Directive[
                    RGBColor[
                    0.6666666666666666, 0.6666666666666666, 
                    0.6666666666666666], 
                    AbsoluteThickness[1.25]]}, {}, 
                  Text[
                   Style[
                    Rotate["trend", 0], {
                    Opacity[1]}], 
                   
                   Offset[{24., 5.329070518200751*^-15}, {4.243338173066043, 
                    5.999978221202807}], {0, 0}]}]}}}}, {}}, {}}}, {
         DisplayFunction -> Identity, DisplayFunction -> Identity, 
          AspectRatio -> GoldenRatio^(-1), Axes -> {True, True}, 
          AxesLabel -> {None, None}, AxesOrigin -> {0., 0}, DisplayFunction :> 
          Identity, Frame -> {{False, False}, {False, False}}, 
          FrameLabel -> {{None, None}, {None, None}}, 
          FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
          GridLines -> {None, None}, GridLinesStyle -> Directive[
            GrayLevel[0.5, 0.4]], 
          ImagePadding -> {{All, 56.40043557594386}, {All, All}}, 
          Method -> {
           "AxisPadding" -> Scaled[0.02], "DefaultBoundaryStyle" -> Automatic,
             "DefaultGraphicsInteraction" -> {
             "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
              "Effects" -> {
               "Highlight" -> {"ratio" -> 2}, 
                "HighlightPoint" -> {"ratio" -> 2}, 
                "Droplines" -> {
                 "freeformCursorMode" -> True, 
                  "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
            "DefaultMeshStyle" -> AbsolutePointSize[6], "DefaultPlotStyle" -> {
              Directive[
               RGBColor[0.368417, 0.506779, 0.709798], 
               AbsoluteThickness[1.6]], 
              Directive[
               RGBColor[0.880722, 0.611041, 0.142051], 
               AbsoluteThickness[1.6]], 
              Directive[
               RGBColor[0.560181, 0.691569, 0.194885], 
               AbsoluteThickness[1.6]], 
              Directive[
               RGBColor[0.922526, 0.385626, 0.209179], 
               AbsoluteThickness[1.6]], 
              Directive[
               RGBColor[0.528488, 0.470624, 0.701351], 
               AbsoluteThickness[1.6]], 
              Directive[
               RGBColor[0.772079, 0.431554, 0.102387], 
               AbsoluteThickness[1.6]], 
              Directive[
               RGBColor[0.363898, 0.618501, 0.782349], 
               AbsoluteThickness[1.6]], 
              Directive[
               RGBColor[1, 0.75, 0], 
               AbsoluteThickness[1.6]], 
              Directive[
               RGBColor[0.647624, 0.37816, 0.614037], 
               AbsoluteThickness[1.6]], 
              Directive[
               RGBColor[0.571589, 0.586483, 0.], 
               AbsoluteThickness[1.6]], 
              Directive[
               RGBColor[0.915, 0.3325, 0.2125], 
               AbsoluteThickness[1.6]], 
              Directive[
               RGBColor[0.40082222609352647`, 0.5220066643438841, 0.85], 
               AbsoluteThickness[1.6]], 
              Directive[
               RGBColor[
               0.9728288904374106, 0.621644452187053, 0.07336199581899142], 
               AbsoluteThickness[1.6]], 
              Directive[
               RGBColor[0.736782672705901, 0.358, 0.5030266573755369], 
               AbsoluteThickness[1.6]], 
              Directive[
               RGBColor[0.28026441037696703`, 0.715, 0.4292089322474965], 
               AbsoluteThickness[1.6]]}, "DomainPadding" -> Scaled[0.02], 
            "RangePadding" -> Scaled[0.05], "OptimizePlotMarkers" -> True, 
            "OptimizePlotMarkers" -> True, 
            "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
                Identity[
                 Part[#, 1]], 
                Identity[
                 Part[#, 2]]}& ), "CopiedValueFunction" -> ({
                Identity[
                 Part[#, 1]], 
                Identity[
                 Part[#, 2]]}& )}}, PlotRange -> {{0., 4.}, {0, 6.}}, 
          PlotRangePadding -> {{
             Scaled[0.02], 
             Scaled[0.02]}, {
             Scaled[0.02], 
             Scaled[0.08090169943749476]}}, Ticks -> {Automatic, Automatic}}],
        "b" -> {1, 2, 3, 4, 5, 6, 7, 8, 9, 10}|>, "AllowEmbedding" -> True, 
     "InitialShape" -> 
     TypeSystem`PackageScope`DocumentShape[<|{"a"} -> 
        TypeSystem`PackageScope`AtomShape[60], {"b"} -> 
        TypeSystem`PackageScope`ElidedShape[1]|>, 1], "InitialType" -> 
     TypeSystem`Struct[{"a", "b"}, {
        TypeSystem`Atom[Graphics], 
        TypeSystem`Vector[
         TypeSystem`Atom[Integer], 10]}], 
     "Meta" -> <|$CellContext`ItemDisplayFunction -> {"a" -> (Graphics[
           First[#], Background -> Yellow, 
           Options[#]]& )}|>, "RowTarget" -> 20, "ColumnTarget" -> 10, 
     "Shape" -> TypeSystem`PackageScope`DocumentShape[<|{"a"} -> 
        TypeSystem`PackageScope`AtomShape[60], {"b"} -> 
        TypeSystem`PackageScope`ElidedShape[1]|>, 1], "Type" -> 
     TypeSystem`Struct[{"a", "b"}, {
        TypeSystem`Atom[Graphics], 
        TypeSystem`Vector[
         TypeSystem`Atom[Integer], 10]}], "Path" -> {}, "DisplayedRowCount" -> 
     20, "DisplayedColumnCount" -> 10, "DataRowCount" -> 2, "DataColumnCount" -> 
     1, "SortPaths" -> {}, "SortDirections" -> {}, "HiddenItemsMap" -> Null, 
     "UpdateType" -> 1|>, TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["a", 
                  Style[
                  "a", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["a"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "534b2ac6-6643-4efd-b0c0-ee3d29fb77d3"]][{
                 Key["a"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               Graphics[{{}, {{{}, {}, 
                   Annotation[{
                    Hue[0.67, 0.6, 0.6], 
                    Directive[
                    PointSize[
                    Rational[7, 360]], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], 
                    Line[{{1., 1.}, {2., 3.}, {3., 4.}, {4., 6.}}]}, {{
                    Callout}, Charting`Private`Tag$300459, {}}]}, {
                   Annotation[{
                    Directive[
                    PointSize[
                    Rational[7, 360]], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], 
                    GeometricTransformation[
                    Inset[
                    Style[
                    Graphics[{
                    EdgeForm[], 
                    Disk[{0, 0}]}], 
                    GraphicsBoxOptions -> {DefaultBaseStyle -> Directive[
                    PointSize[
                    Rational[7, 360]], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]]}], {0., 0.}, Automatic, 
                    Offset[6.272]], {{{1., 1.}}, {{2., 3.}}, {{3., 4.}}, {{4.,
                     6.}}}]}, {{Callout}, 
                    Charting`Private`Tag$300459, {}}]}}, {{{{{{}, {
                    GraphicsGroup[{{
                    Directive[
                    AbsoluteThickness[4], 
                    GrayLevel[1], 
                    Opacity[
                    Rational[2, 3]]], 
                    CapForm["Butt"], 
                    JoinForm["Round"], 
                    BSplineCurve[{
                    Offset[{3, 0}, {4., 6.}], 
                    
                    Offset[{2.9999999811301383`, -0.00033648056442665624`}, {
                    4.163333333333333, 6.}], 
                    Offset[{0, 0}, {4.243338173066043, 5.999978221202807}], 
                    
                    Offset[{5., 1.1102230246251565`*^-15}, {4.243338173066043,
                     5.999978221202807}], 
                    
                    Offset[{10., 2.220446049250313*^-15}, {4.243338173066043, 
                    5.999978221202807}], 
                    
                    Offset[{10., 2.220446049250313*^-15}, {4.243338173066043, 
                    5.999978221202807}]}]}, {
                    Directive[
                    RGBColor[
                    0.6666666666666666, 0.6666666666666666, 
                    0.6666666666666666], 
                    AbsoluteThickness[1.25]], 
                    BSplineCurve[{
                    Offset[{3, 0}, {4., 6.}], 
                    
                    Offset[{2.9999999811301383`, -0.00033648056442665624`}, {
                    4.163333333333333, 6.}], 
                    Offset[{0, 0}, {4.243338173066043, 5.999978221202807}], 
                    
                    Offset[{5., 1.1102230246251565`*^-15}, {4.243338173066043,
                     5.999978221202807}], 
                    
                    Offset[{10., 2.220446049250313*^-15}, {4.243338173066043, 
                    5.999978221202807}], 
                    
                    Offset[{10., 2.220446049250313*^-15}, {4.243338173066043, 
                    5.999978221202807}]}]}, {
                    FaceForm[
                    Directive[
                    GrayLevel[1], 
                    Opacity[
                    Rational[2, 3]]]], 
                    EdgeForm[], 
                    Polygon[{
                    
                    Offset[{38., 6.500000000000009}, {4.243338173066043, 
                    5.999978221202807}], 
                    
                    Offset[{38., -6.499999999999991}, {4.243338173066043, 
                    5.999978221202807}], 
                    
                    Offset[{10.000000000000002`, -6.499999999999998}, {
                    4.243338173066043, 5.999978221202807}], 
                    
                    Offset[{9.999999999999998, 6.500000000000002}, {
                    4.243338173066043, 5.999978221202807}]}]}, {
                    EdgeForm[], 
                    Directive[
                    RGBColor[
                    0.6666666666666666, 0.6666666666666666, 
                    0.6666666666666666], 
                    AbsoluteThickness[1.25]]}, {}, 
                    Text[
                    Style[
                    Rotate["trend", 0], {
                    Opacity[1]}], 
                    
                    Offset[{24., 5.329070518200751*^-15}, {4.243338173066043, 
                    5.999978221202807}], {0, 0}]}]}}}}, {}}, {}}}, Background -> 
                RGBColor[1, 1, 0], {
                DisplayFunction -> Identity, DisplayFunction -> Identity, 
                 AspectRatio -> GoldenRatio^(-1), Axes -> {True, True}, 
                 AxesLabel -> {None, None}, AxesOrigin -> {0., 0}, 
                 DisplayFunction :> Identity, 
                 Frame -> {{False, False}, {False, False}}, 
                 FrameLabel -> {{None, None}, {None, None}}, 
                 FrameTicks -> {{Automatic, Automatic}, {
                   Automatic, Automatic}}, GridLines -> {None, None}, 
                 GridLinesStyle -> Directive[
                   GrayLevel[0.5, 0.4]], 
                 ImagePadding -> {{All, 56.40043557594386}, {All, All}}, 
                 Method -> {
                  "AxisPadding" -> Scaled[0.02], "DefaultBoundaryStyle" -> 
                   Automatic, 
                   "DefaultGraphicsInteraction" -> {
                    "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
                    "Effects" -> {
                    "Highlight" -> {"ratio" -> 2}, 
                    "HighlightPoint" -> {"ratio" -> 2}, 
                    "Droplines" -> {
                    "freeformCursorMode" -> True, 
                    "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
                   "DefaultMeshStyle" -> AbsolutePointSize[6], 
                   "DefaultPlotStyle" -> {
                    Directive[
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.922526, 0.385626, 0.209179], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.528488, 0.470624, 0.701351], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.772079, 0.431554, 0.102387], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.363898, 0.618501, 0.782349], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[1, 0.75, 0], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.647624, 0.37816, 0.614037], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.571589, 0.586483, 0.], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.915, 0.3325, 0.2125], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.40082222609352647`, 0.5220066643438841, 0.85], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[
                    0.9728288904374106, 0.621644452187053, 
                    0.07336199581899142], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.736782672705901, 0.358, 0.5030266573755369], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.28026441037696703`, 0.715, 0.4292089322474965], 
                    AbsoluteThickness[1.6]]}, "DomainPadding" -> Scaled[0.02],
                    "RangePadding" -> Scaled[0.05], "OptimizePlotMarkers" -> 
                   True, "OptimizePlotMarkers" -> True, 
                   "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
                    Identity[
                    Part[#, 1]], 
                    Identity[
                    Part[#, 2]]}& ), "CopiedValueFunction" -> ({
                    Identity[
                    Part[#, 1]], 
                    Identity[
                    Part[#, 2]]}& )}}, PlotRange -> {{0., 4.}, {0, 6.}}, 
                 PlotRangePadding -> {{
                    Scaled[0.02], 
                    Scaled[0.02]}, {
                    Scaled[0.02], 
                    Scaled[0.08090169943749476]}}, 
                 Ticks -> {Automatic, Automatic}}], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "534b2ac6-6643-4efd-b0c0-ee3d29fb77d3"]][{
                 Key["a"]}, "Item", False], "Mouse"], 
              ImageSize -> {{60, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["b", 
                  Style[
                  "b", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["b"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "534b2ac6-6643-4efd-b0c0-ee3d29fb77d3"]][{
                 Key["b"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover[
                  Style[
                   Row[{"\[ThinSpace]{ ", 
                    Subscript["\[Ellipsis]", 10], " }\[ThinSpace]"}], 
                   GrayLevel[0.5]], 
                  Style[
                   Style[
                    Row[{"\[ThinSpace]{ ", 
                    Subscript["\[Ellipsis]", 10], " }\[ThinSpace]"}], 
                    GrayLevel[0.5]], FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["b"]}, 4]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "534b2ac6-6643-4efd-b0c0-ee3d29fb77d3"]][{
                 Key["b"]}, "Item", False], "Mouse"], 
              ImageMargins -> {{5, 3}, {4, 5}}], BaseStyle -> {
               GrayLevel[0.5]}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{266., {86.3837890625, 93.6162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{266., {86.3837890625, 93.6162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{
  3.86584773604261*^9, {3.865847918338574*^9, 3.865847943665255*^9}, 
   3.866801197919825*^9, {3.8668079534858723`*^9, 3.866807999284251*^9}, 
   3.8669006324654713`*^9, 3.881426354231361*^9},
 CellLabel->"Out[622]=",
 CellID->2107269268,ExpressionUUID->"b4ba74fa-08f2-4ee3-b639-50bcd01b73b5"]
}, Open  ]],

Cell[TextData[{
 "And if the ",
 ButtonBox["Graphics",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Graphics.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Graphics.html"],
 " or another troublesome expression is just one item in a complex ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ", you can combine IPD functions that work at a particular level with \
overriding IPD functions that work on particular positions in the ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ". Here, I specify that the IPD function ",
 Cell[BoxData[
  RowBox[{
   RowBox[{
    ButtonBox[
     StyleBox["Framed",
      FontColor->GrayLevel[0]],
     BaseStyle->"Hyperlink",
     ButtonData->{
       URL["https://reference.wolfram.com/language/ref/Framed.html"], None},
     ButtonNote->"https://reference.wolfram.com/language/ref/Framed.html"], 
    "[", 
    RowBox[{
     ButtonBox[
      StyleBox["#",
       FontColor->GrayLevel[0]],
      BaseStyle->"Hyperlink",
      ButtonData->{
        URL["https://reference.wolfram.com/language/ref/Slot.html"], None},
      ButtonNote->"https://reference.wolfram.com/language/ref/Slot.html"], 
     ",", 
     RowBox[{
      ButtonBox[
       StyleBox["FrameStyle",
        FontColor->GrayLevel[0]],
       BaseStyle->"Hyperlink",
       ButtonData->{
         URL["https://reference.wolfram.com/language/ref/FrameStyle.html"], 
         None},
       ButtonNote->
        "https://reference.wolfram.com/language/ref/FrameStyle.html"], 
      ButtonBox[
       StyleBox["\[Rule]",
        FontColor->GrayLevel[0]],
       BaseStyle->"Hyperlink",
       ButtonData->{
         URL["https://reference.wolfram.com/language/ref/Rule.html"], None},
       ButtonNote->"https://reference.wolfram.com/language/ref/Rule.html"], 
      ButtonBox[
       StyleBox["Red",
        FontColor->GrayLevel[0]],
       BaseStyle->"Hyperlink",
       ButtonData->{
         URL["https://reference.wolfram.com/language/ref/Red.html"], None},
       ButtonNote->"https://reference.wolfram.com/language/ref/Red.html"]}]}],
     "]"}], 
   ButtonBox[
    StyleBox["&",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Function.html"], None},
    ButtonNote->
     "https://reference.wolfram.com/language/ref/Function.html"]}]], 
  "InlineCodeText",ExpressionUUID->"be1f46e4-a5be-4b27-944c-e4069c2ced58"],
 " applies generally to ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " items at level 2. I also specify position overrides with a series of Rules \
in which the right-hand sides are IPD functions. "
}], "Text",
 CellTags->"i:59",
 CellID->303712229,ExpressionUUID->"7e73cc29-e6a2-4b8a-bb8e-85e104ed6589"],

Cell[TextData[{
 "Assign to ",
 Cell[BoxData[
 "idf"], "InlineCode",ExpressionUUID->
  "f21bf2af-cd2d-44e1-adfd-79be7c94dcaa"],
 " a level specification list in which the first element is ",
 ButtonBox["None",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/None.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/None.html"],
 " (for level 1), the second element is an IPD function calling for a red \
frame (for level 2), and the third element is a list of positional \
overrides:"
}], "CodeText",
 CellChangeTimes->{{3.866900496723434*^9, 3.8669005980737534`*^9}},
 CellID->1227043139,ExpressionUUID->"3a1ddafd-e7b4-46c4-badc-c6848e9b3e9e"],

Cell[BoxData[
 RowBox[{
  RowBox[{"idf", "=", 
   RowBox[{"{", 
    RowBox[{"None", ",", 
     RowBox[{
      RowBox[{"Framed", "[", 
       RowBox[{"#1", ",", 
        RowBox[{"FrameStyle", "\[Rule]", "Red"}]}], "]"}], "&"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{"\"\<a\>\"", ",", "\"\<\[Venus]\>\""}], "}"}], "->", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"Graphics", "[", 
           RowBox[{
            RowBox[{"First", "[", "#1", "]"}], ",", 
            RowBox[{"Background", "\[Rule]", "Yellow"}], ",", 
            RowBox[{"Options", "[", "#1", "]"}]}], "]"}], "&"}], ")"}]}], ",", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"\"\<b\>\"", ",", "\"\<\[Mars]\>\""}], "}"}], "\[Rule]", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"Graphics", "[", 
           RowBox[{
            RowBox[{"First", "[", "#1", "]"}], ",", 
            RowBox[{"Background", "\[Rule]", "Orange"}], ",", 
            RowBox[{"AxesLabel", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{"\"\<x\>\"", ",", "\"\<y\>\""}], "}"}]}], ",", 
            RowBox[{"Options", "[", "#1", "]"}]}], "]"}], "&"}], ")"}]}]}], 
      "}"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.8658486008126717`*^9, 3.8658489339204073`*^9}, {
  3.865849085502201*^9, 3.865849087242964*^9}, {3.8668087418743668`*^9, 
  3.866808750443411*^9}, {3.866900474450383*^9, 3.866900479342546*^9}, {
  3.866900647318162*^9, 3.86690066784387*^9}},
 CellTags->"LastCellOfAPage",
 CellLabel->"In[623]:=",
 CellID->850954172,ExpressionUUID->"db673292-7811-4c69-8c87-430937af21d0"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Dataset", "[", 
  RowBox[{
   RowBox[{"Association", "[", 
    RowBox[{
     RowBox[{"\"\<a\>\"", "\[Rule]", 
      RowBox[{"Association", "[", 
       RowBox[{
        RowBox[{"\"\<\[Venus]\>\"", "\[Rule]", "lp"}], ",", 
        RowBox[{"\"\<\[Mars]\>\"", "\[Rule]", "4"}]}], "]"}]}], ",", 
     RowBox[{"\"\<b\>\"", "\[Rule]", 
      RowBox[{"Association", "[", 
       RowBox[{
        RowBox[{"\"\<\[Venus]\>\"", "\[Rule]", "7"}], ",", 
        RowBox[{"\"\<\[Mars]\>\"", "\[Rule]", "lp"}]}], "]"}]}]}], "]"}], ",", 
   RowBox[{"ItemDisplayFunction", "\[Rule]", "idf"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.865848002957926*^9, 3.8658481216645937`*^9}, {
  3.865848258656444*^9, 3.865848258728128*^9}, {3.865848310282583*^9, 
  3.865848597515513*^9}, {3.865848939658461*^9, 3.865848940724419*^9}},
 CellTags->"p: 188",
 CellLabel->"In[624]:=",
 CellID->367580726,ExpressionUUID->"7c939f68-cdb9-4a51-95fa-017007f791ff"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> <|"a" -> <|"\[Venus]" -> Graphics[{{}, {{{}, {}, 
              Annotation[{
                Hue[0.67, 0.6, 0.6], 
                Directive[
                 PointSize[
                  Rational[7, 360]], 
                 RGBColor[0.368417, 0.506779, 0.709798], 
                 AbsoluteThickness[1.6]], 
                Line[{{1., 1.}, {2., 3.}, {3., 4.}, {4., 6.}}]}, {{Callout}, 
                Charting`Private`Tag$300459, {}}]}, {
              Annotation[{
                Directive[
                 PointSize[
                  Rational[7, 360]], 
                 RGBColor[0.368417, 0.506779, 0.709798], 
                 AbsoluteThickness[1.6]], 
                GeometricTransformation[
                 Inset[
                  Style[
                   Graphics[{
                    EdgeForm[], 
                    Disk[{0, 0}]}], 
                   GraphicsBoxOptions -> {DefaultBaseStyle -> Directive[
                    PointSize[
                    Rational[7, 360]], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]]}], {0., 0.}, Automatic, 
                  Offset[6.272]], {{{1., 1.}}, {{2., 3.}}, {{3., 4.}}, {{4., 
                 6.}}}]}, {{Callout}, 
                Charting`Private`Tag$300459, {}}]}}, {{{{{{}, {
                  GraphicsGroup[{{
                    Directive[
                    AbsoluteThickness[4], 
                    GrayLevel[1], 
                    Opacity[
                    Rational[2, 3]]], 
                    CapForm["Butt"], 
                    JoinForm["Round"], 
                    BSplineCurve[{
                    Offset[{3, 0}, {4., 6.}], 
                    
                    Offset[{2.9999999811301383`, -0.00033648056442665624`}, {
                    4.163333333333333, 6.}], 
                    Offset[{0, 0}, {4.243338173066043, 5.999978221202807}], 
                    
                    Offset[{5., 1.1102230246251565`*^-15}, {4.243338173066043,
                     5.999978221202807}], 
                    
                    Offset[{10., 2.220446049250313*^-15}, {4.243338173066043, 
                    5.999978221202807}], 
                    
                    Offset[{10., 2.220446049250313*^-15}, {4.243338173066043, 
                    5.999978221202807}]}]}, {
                    Directive[
                    RGBColor[
                    0.6666666666666666, 0.6666666666666666, 
                    0.6666666666666666], 
                    AbsoluteThickness[1.25]], 
                    BSplineCurve[{
                    Offset[{3, 0}, {4., 6.}], 
                    
                    Offset[{2.9999999811301383`, -0.00033648056442665624`}, {
                    4.163333333333333, 6.}], 
                    Offset[{0, 0}, {4.243338173066043, 5.999978221202807}], 
                    
                    Offset[{5., 1.1102230246251565`*^-15}, {4.243338173066043,
                     5.999978221202807}], 
                    
                    Offset[{10., 2.220446049250313*^-15}, {4.243338173066043, 
                    5.999978221202807}], 
                    
                    Offset[{10., 2.220446049250313*^-15}, {4.243338173066043, 
                    5.999978221202807}]}]}, {
                    FaceForm[
                    Directive[
                    GrayLevel[1], 
                    Opacity[
                    Rational[2, 3]]]], 
                    EdgeForm[], 
                    Polygon[{
                    
                    Offset[{38., 6.500000000000009}, {4.243338173066043, 
                    5.999978221202807}], 
                    
                    Offset[{38., -6.499999999999991}, {4.243338173066043, 
                    5.999978221202807}], 
                    
                    Offset[{10.000000000000002`, -6.499999999999998}, {
                    4.243338173066043, 5.999978221202807}], 
                    
                    Offset[{9.999999999999998, 6.500000000000002}, {
                    4.243338173066043, 5.999978221202807}]}]}, {
                    EdgeForm[], 
                    Directive[
                    RGBColor[
                    0.6666666666666666, 0.6666666666666666, 
                    0.6666666666666666], 
                    AbsoluteThickness[1.25]]}, {}, 
                    Text[
                    Style[
                    Rotate["trend", 0], {
                    Opacity[1]}], 
                    
                    Offset[{24., 5.329070518200751*^-15}, {4.243338173066043, 
                    5.999978221202807}], {0, 0}]}]}}}}, {}}, {}}}, {
           DisplayFunction -> Identity, DisplayFunction -> Identity, 
            AspectRatio -> GoldenRatio^(-1), Axes -> {True, True}, 
            AxesLabel -> {None, None}, AxesOrigin -> {0., 0}, DisplayFunction :> 
            Identity, Frame -> {{False, False}, {False, False}}, 
            FrameLabel -> {{None, None}, {None, None}}, 
            FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
            GridLines -> {None, None}, GridLinesStyle -> Directive[
              GrayLevel[0.5, 0.4]], 
            ImagePadding -> {{All, 56.40043557594386}, {All, All}}, 
            Method -> {
             "AxisPadding" -> Scaled[0.02], "DefaultBoundaryStyle" -> 
              Automatic, 
              "DefaultGraphicsInteraction" -> {
               "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
                "Effects" -> {
                 "Highlight" -> {"ratio" -> 2}, 
                  "HighlightPoint" -> {"ratio" -> 2}, 
                  "Droplines" -> {
                   "freeformCursorMode" -> True, 
                    "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
              "DefaultMeshStyle" -> AbsolutePointSize[6], "DefaultPlotStyle" -> {
                Directive[
                 RGBColor[0.368417, 0.506779, 0.709798], 
                 AbsoluteThickness[1.6]], 
                Directive[
                 RGBColor[0.880722, 0.611041, 0.142051], 
                 AbsoluteThickness[1.6]], 
                Directive[
                 RGBColor[0.560181, 0.691569, 0.194885], 
                 AbsoluteThickness[1.6]], 
                Directive[
                 RGBColor[0.922526, 0.385626, 0.209179], 
                 AbsoluteThickness[1.6]], 
                Directive[
                 RGBColor[0.528488, 0.470624, 0.701351], 
                 AbsoluteThickness[1.6]], 
                Directive[
                 RGBColor[0.772079, 0.431554, 0.102387], 
                 AbsoluteThickness[1.6]], 
                Directive[
                 RGBColor[0.363898, 0.618501, 0.782349], 
                 AbsoluteThickness[1.6]], 
                Directive[
                 RGBColor[1, 0.75, 0], 
                 AbsoluteThickness[1.6]], 
                Directive[
                 RGBColor[0.647624, 0.37816, 0.614037], 
                 AbsoluteThickness[1.6]], 
                Directive[
                 RGBColor[0.571589, 0.586483, 0.], 
                 AbsoluteThickness[1.6]], 
                Directive[
                 RGBColor[0.915, 0.3325, 0.2125], 
                 AbsoluteThickness[1.6]], 
                Directive[
                 RGBColor[0.40082222609352647`, 0.5220066643438841, 0.85], 
                 AbsoluteThickness[1.6]], 
                Directive[
                 RGBColor[
                 0.9728288904374106, 0.621644452187053, 0.07336199581899142], 
                 AbsoluteThickness[1.6]], 
                Directive[
                 RGBColor[0.736782672705901, 0.358, 0.5030266573755369], 
                 AbsoluteThickness[1.6]], 
                Directive[
                 RGBColor[0.28026441037696703`, 0.715, 0.4292089322474965], 
                 AbsoluteThickness[1.6]]}, "DomainPadding" -> Scaled[0.02], 
              "RangePadding" -> Scaled[0.05], "OptimizePlotMarkers" -> True, 
              "OptimizePlotMarkers" -> True, 
              "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
                  Identity[
                   Part[#, 1]], 
                  Identity[
                   Part[#, 2]]}& ), "CopiedValueFunction" -> ({
                  Identity[
                   Part[#, 1]], 
                  Identity[
                   Part[#, 2]]}& )}}, PlotRange -> {{0., 4.}, {0, 6.}}, 
            PlotRangePadding -> {{
               Scaled[0.02], 
               Scaled[0.02]}, {
               Scaled[0.02], 
               Scaled[0.08090169943749476]}}, 
            Ticks -> {Automatic, Automatic}}], "\[Mars]" -> 4|>, 
       "b" -> <|"\[Venus]" -> 7, "\[Mars]" -> Graphics[{{}, {{{}, {}, 
              Annotation[{
                Hue[0.67, 0.6, 0.6], 
                Directive[
                 PointSize[
                  Rational[7, 360]], 
                 RGBColor[0.368417, 0.506779, 0.709798], 
                 AbsoluteThickness[1.6]], 
                Line[{{1., 1.}, {2., 3.}, {3., 4.}, {4., 6.}}]}, {{Callout}, 
                Charting`Private`Tag$300459, {}}]}, {
              Annotation[{
                Directive[
                 PointSize[
                  Rational[7, 360]], 
                 RGBColor[0.368417, 0.506779, 0.709798], 
                 AbsoluteThickness[1.6]], 
                GeometricTransformation[
                 Inset[
                  Style[
                   Graphics[{
                    EdgeForm[], 
                    Disk[{0, 0}]}], 
                   GraphicsBoxOptions -> {DefaultBaseStyle -> Directive[
                    PointSize[
                    Rational[7, 360]], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]]}], {0., 0.}, Automatic, 
                  Offset[6.272]], {{{1., 1.}}, {{2., 3.}}, {{3., 4.}}, {{4., 
                 6.}}}]}, {{Callout}, 
                Charting`Private`Tag$300459, {}}]}}, {{{{{{}, {
                  GraphicsGroup[{{
                    Directive[
                    AbsoluteThickness[4], 
                    GrayLevel[1], 
                    Opacity[
                    Rational[2, 3]]], 
                    CapForm["Butt"], 
                    JoinForm["Round"], 
                    BSplineCurve[{
                    Offset[{3, 0}, {4., 6.}], 
                    
                    Offset[{2.9999999811301383`, -0.00033648056442665624`}, {
                    4.163333333333333, 6.}], 
                    Offset[{0, 0}, {4.243338173066043, 5.999978221202807}], 
                    
                    Offset[{5., 1.1102230246251565`*^-15}, {4.243338173066043,
                     5.999978221202807}], 
                    
                    Offset[{10., 2.220446049250313*^-15}, {4.243338173066043, 
                    5.999978221202807}], 
                    
                    Offset[{10., 2.220446049250313*^-15}, {4.243338173066043, 
                    5.999978221202807}]}]}, {
                    Directive[
                    RGBColor[
                    0.6666666666666666, 0.6666666666666666, 
                    0.6666666666666666], 
                    AbsoluteThickness[1.25]], 
                    BSplineCurve[{
                    Offset[{3, 0}, {4., 6.}], 
                    
                    Offset[{2.9999999811301383`, -0.00033648056442665624`}, {
                    4.163333333333333, 6.}], 
                    Offset[{0, 0}, {4.243338173066043, 5.999978221202807}], 
                    
                    Offset[{5., 1.1102230246251565`*^-15}, {4.243338173066043,
                     5.999978221202807}], 
                    
                    Offset[{10., 2.220446049250313*^-15}, {4.243338173066043, 
                    5.999978221202807}], 
                    
                    Offset[{10., 2.220446049250313*^-15}, {4.243338173066043, 
                    5.999978221202807}]}]}, {
                    FaceForm[
                    Directive[
                    GrayLevel[1], 
                    Opacity[
                    Rational[2, 3]]]], 
                    EdgeForm[], 
                    Polygon[{
                    
                    Offset[{38., 6.500000000000009}, {4.243338173066043, 
                    5.999978221202807}], 
                    
                    Offset[{38., -6.499999999999991}, {4.243338173066043, 
                    5.999978221202807}], 
                    
                    Offset[{10.000000000000002`, -6.499999999999998}, {
                    4.243338173066043, 5.999978221202807}], 
                    
                    Offset[{9.999999999999998, 6.500000000000002}, {
                    4.243338173066043, 5.999978221202807}]}]}, {
                    EdgeForm[], 
                    Directive[
                    RGBColor[
                    0.6666666666666666, 0.6666666666666666, 
                    0.6666666666666666], 
                    AbsoluteThickness[1.25]]}, {}, 
                    Text[
                    Style[
                    Rotate["trend", 0], {
                    Opacity[1]}], 
                    
                    Offset[{24., 5.329070518200751*^-15}, {4.243338173066043, 
                    5.999978221202807}], {0, 0}]}]}}}}, {}}, {}}}, {
           DisplayFunction -> Identity, DisplayFunction -> Identity, 
            AspectRatio -> GoldenRatio^(-1), Axes -> {True, True}, 
            AxesLabel -> {None, None}, AxesOrigin -> {0., 0}, DisplayFunction :> 
            Identity, Frame -> {{False, False}, {False, False}}, 
            FrameLabel -> {{None, None}, {None, None}}, 
            FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
            GridLines -> {None, None}, GridLinesStyle -> Directive[
              GrayLevel[0.5, 0.4]], 
            ImagePadding -> {{All, 56.40043557594386}, {All, All}}, 
            Method -> {
             "AxisPadding" -> Scaled[0.02], "DefaultBoundaryStyle" -> 
              Automatic, 
              "DefaultGraphicsInteraction" -> {
               "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
                "Effects" -> {
                 "Highlight" -> {"ratio" -> 2}, 
                  "HighlightPoint" -> {"ratio" -> 2}, 
                  "Droplines" -> {
                   "freeformCursorMode" -> True, 
                    "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
              "DefaultMeshStyle" -> AbsolutePointSize[6], "DefaultPlotStyle" -> {
                Directive[
                 RGBColor[0.368417, 0.506779, 0.709798], 
                 AbsoluteThickness[1.6]], 
                Directive[
                 RGBColor[0.880722, 0.611041, 0.142051], 
                 AbsoluteThickness[1.6]], 
                Directive[
                 RGBColor[0.560181, 0.691569, 0.194885], 
                 AbsoluteThickness[1.6]], 
                Directive[
                 RGBColor[0.922526, 0.385626, 0.209179], 
                 AbsoluteThickness[1.6]], 
                Directive[
                 RGBColor[0.528488, 0.470624, 0.701351], 
                 AbsoluteThickness[1.6]], 
                Directive[
                 RGBColor[0.772079, 0.431554, 0.102387], 
                 AbsoluteThickness[1.6]], 
                Directive[
                 RGBColor[0.363898, 0.618501, 0.782349], 
                 AbsoluteThickness[1.6]], 
                Directive[
                 RGBColor[1, 0.75, 0], 
                 AbsoluteThickness[1.6]], 
                Directive[
                 RGBColor[0.647624, 0.37816, 0.614037], 
                 AbsoluteThickness[1.6]], 
                Directive[
                 RGBColor[0.571589, 0.586483, 0.], 
                 AbsoluteThickness[1.6]], 
                Directive[
                 RGBColor[0.915, 0.3325, 0.2125], 
                 AbsoluteThickness[1.6]], 
                Directive[
                 RGBColor[0.40082222609352647`, 0.5220066643438841, 0.85], 
                 AbsoluteThickness[1.6]], 
                Directive[
                 RGBColor[
                 0.9728288904374106, 0.621644452187053, 0.07336199581899142], 
                 AbsoluteThickness[1.6]], 
                Directive[
                 RGBColor[0.736782672705901, 0.358, 0.5030266573755369], 
                 AbsoluteThickness[1.6]], 
                Directive[
                 RGBColor[0.28026441037696703`, 0.715, 0.4292089322474965], 
                 AbsoluteThickness[1.6]]}, "DomainPadding" -> Scaled[0.02], 
              "RangePadding" -> Scaled[0.05], "OptimizePlotMarkers" -> True, 
              "OptimizePlotMarkers" -> True, 
              "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
                  Identity[
                   Part[#, 1]], 
                  Identity[
                   Part[#, 2]]}& ), "CopiedValueFunction" -> ({
                  Identity[
                   Part[#, 1]], 
                  Identity[
                   Part[#, 2]]}& )}}, PlotRange -> {{0., 4.}, {0, 6.}}, 
            PlotRangePadding -> {{
               Scaled[0.02], 
               Scaled[0.02]}, {
               Scaled[0.02], 
               Scaled[0.08090169943749476]}}, 
            Ticks -> {Automatic, Automatic}}]|>|>, "AllowEmbedding" -> True, 
     "InitialShape" -> TypeSystem`PackageScope`HeaderShape[<|{All, 
          TypeSystem`PackageScope`KeyDummy[8]} -> 1, {All, "\[Venus]"} -> 
        1, {All, "\[Mars]"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`KeyValueShape[
          TypeSystem`PackageScope`AtomShape[33.6], 
          TypeSystem`PackageScope`Limited[
           
           TypeSystem`PackageScope`RowShape[<|
            "\[Venus]" -> TypeSystem`PackageScope`UnknownShape[False], 
             "\[Mars]" -> TypeSystem`PackageScope`UnknownShape[False]|>], 
           DirectedInfinity[1], 2, {All}]]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Assoc[
       TypeSystem`Atom[String], 
       TypeSystem`Struct[{"\[Venus]", "\[Mars]"}, {
        TypeSystem`AnyType, TypeSystem`AnyType}], 2], 
     "Meta" -> <|$CellContext`ItemDisplayFunction -> {
        None, Framed[#, FrameStyle -> Red]& , {{"a", "\[Venus]"} -> (Graphics[
            First[#], Background -> Yellow, 
            Options[#]]& ), {"b", "\[Mars]"} -> (Graphics[
            First[#], Background -> Orange, AxesLabel -> {"x", "y"}, 
            Options[#]]& )}}|>, "RowTarget" -> 20, "ColumnTarget" -> 10, 
     "Shape" -> TypeSystem`PackageScope`HeaderShape[<|{All, 
          TypeSystem`PackageScope`KeyDummy[8]} -> 1, {All, "\[Venus]"} -> 
        1, {All, "\[Mars]"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`KeyValueShape[
          TypeSystem`PackageScope`AtomShape[33.6], 
          TypeSystem`PackageScope`Limited[
           
           TypeSystem`PackageScope`RowShape[<|
            "\[Venus]" -> TypeSystem`PackageScope`UnknownShape[False], 
             "\[Mars]" -> TypeSystem`PackageScope`UnknownShape[False]|>], 
           DirectedInfinity[1], 2, {All}]]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Assoc[
       TypeSystem`Atom[String], 
       TypeSystem`Struct[{"\[Venus]", "\[Mars]"}, {
        TypeSystem`AnyType, TypeSystem`AnyType}], 2], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 2, "DataRowCount" -> 
     2, "DataColumnCount" -> 2, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               Mouseover[
                
                Graphics[{}, ImageSize -> 6, BaselinePosition -> 
                 Scaled[-0.15]], 
                Graphics[{
                  GrayLevel[0.6], 
                  
                  Polygon[{{2^Rational[-1, 2], -2^Rational[-1, 2]}, {
                    2^Rational[-1, 2], 2^
                    Rational[-1, 2]}, {-2^Rational[-1, 2], 2^
                    Rational[-1, 2]}, {-2^Rational[-1, 2], -2^
                    Rational[-1, 2]}}]}, ImageSize -> 6, BaselinePosition -> 
                 Scaled[-0.15]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "74de37c1-5d37-492e-8c4d-c19454c604df"]][{All, Keys}, 
                "KeyDummy", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["\[Venus]", 
                  Style[
                  "\[Venus]", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "\[Venus]"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "74de37c1-5d37-492e-8c4d-c19454c604df"]][{All, "\[Venus]"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["\[Mars]", 
                  Style[
                  "\[Mars]", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "\[Mars]"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "74de37c1-5d37-492e-8c4d-c19454c604df"]][{All, "\[Mars]"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["a", 
                  Style[
                  "a", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["a"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "74de37c1-5d37-492e-8c4d-c19454c604df"]][{
                 Key["a"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{33.6, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               Graphics[{{}, {{{}, {}, 
                   Annotation[{
                    Hue[0.67, 0.6, 0.6], 
                    Directive[
                    PointSize[
                    Rational[7, 360]], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], 
                    Line[{{1., 1.}, {2., 3.}, {3., 4.}, {4., 6.}}]}, {{
                    Callout}, Charting`Private`Tag$300459, {}}]}, {
                   Annotation[{
                    Directive[
                    PointSize[
                    Rational[7, 360]], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], 
                    GeometricTransformation[
                    Inset[
                    Style[
                    Graphics[{
                    EdgeForm[], 
                    Disk[{0, 0}]}], 
                    GraphicsBoxOptions -> {DefaultBaseStyle -> Directive[
                    PointSize[
                    Rational[7, 360]], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]]}], {0., 0.}, Automatic, 
                    Offset[6.272]], {{{1., 1.}}, {{2., 3.}}, {{3., 4.}}, {{4.,
                     6.}}}]}, {{Callout}, 
                    Charting`Private`Tag$300459, {}}]}}, {{{{{{}, {
                    GraphicsGroup[{{
                    Directive[
                    AbsoluteThickness[4], 
                    GrayLevel[1], 
                    Opacity[
                    Rational[2, 3]]], 
                    CapForm["Butt"], 
                    JoinForm["Round"], 
                    BSplineCurve[{
                    Offset[{3, 0}, {4., 6.}], 
                    
                    Offset[{2.9999999811301383`, -0.00033648056442665624`}, {
                    4.163333333333333, 6.}], 
                    Offset[{0, 0}, {4.243338173066043, 5.999978221202807}], 
                    
                    Offset[{5., 1.1102230246251565`*^-15}, {4.243338173066043,
                     5.999978221202807}], 
                    
                    Offset[{10., 2.220446049250313*^-15}, {4.243338173066043, 
                    5.999978221202807}], 
                    
                    Offset[{10., 2.220446049250313*^-15}, {4.243338173066043, 
                    5.999978221202807}]}]}, {
                    Directive[
                    RGBColor[
                    0.6666666666666666, 0.6666666666666666, 
                    0.6666666666666666], 
                    AbsoluteThickness[1.25]], 
                    BSplineCurve[{
                    Offset[{3, 0}, {4., 6.}], 
                    
                    Offset[{2.9999999811301383`, -0.00033648056442665624`}, {
                    4.163333333333333, 6.}], 
                    Offset[{0, 0}, {4.243338173066043, 5.999978221202807}], 
                    
                    Offset[{5., 1.1102230246251565`*^-15}, {4.243338173066043,
                     5.999978221202807}], 
                    
                    Offset[{10., 2.220446049250313*^-15}, {4.243338173066043, 
                    5.999978221202807}], 
                    
                    Offset[{10., 2.220446049250313*^-15}, {4.243338173066043, 
                    5.999978221202807}]}]}, {
                    FaceForm[
                    Directive[
                    GrayLevel[1], 
                    Opacity[
                    Rational[2, 3]]]], 
                    EdgeForm[], 
                    Polygon[{
                    
                    Offset[{38., 6.500000000000009}, {4.243338173066043, 
                    5.999978221202807}], 
                    
                    Offset[{38., -6.499999999999991}, {4.243338173066043, 
                    5.999978221202807}], 
                    
                    Offset[{10.000000000000002`, -6.499999999999998}, {
                    4.243338173066043, 5.999978221202807}], 
                    
                    Offset[{9.999999999999998, 6.500000000000002}, {
                    4.243338173066043, 5.999978221202807}]}]}, {
                    EdgeForm[], 
                    Directive[
                    RGBColor[
                    0.6666666666666666, 0.6666666666666666, 
                    0.6666666666666666], 
                    AbsoluteThickness[1.25]]}, {}, 
                    Text[
                    Style[
                    Rotate["trend", 0], {
                    Opacity[1]}], 
                    
                    Offset[{24., 5.329070518200751*^-15}, {4.243338173066043, 
                    5.999978221202807}], {0, 0}]}]}}}}, {}}, {}}}, Background -> 
                RGBColor[1, 1, 0], {
                DisplayFunction -> Identity, DisplayFunction -> Identity, 
                 AspectRatio -> GoldenRatio^(-1), Axes -> {True, True}, 
                 AxesLabel -> {None, None}, AxesOrigin -> {0., 0}, 
                 DisplayFunction :> Identity, 
                 Frame -> {{False, False}, {False, False}}, 
                 FrameLabel -> {{None, None}, {None, None}}, 
                 FrameTicks -> {{Automatic, Automatic}, {
                   Automatic, Automatic}}, GridLines -> {None, None}, 
                 GridLinesStyle -> Directive[
                   GrayLevel[0.5, 0.4]], 
                 ImagePadding -> {{All, 56.40043557594386}, {All, All}}, 
                 Method -> {
                  "AxisPadding" -> Scaled[0.02], "DefaultBoundaryStyle" -> 
                   Automatic, 
                   "DefaultGraphicsInteraction" -> {
                    "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
                    "Effects" -> {
                    "Highlight" -> {"ratio" -> 2}, 
                    "HighlightPoint" -> {"ratio" -> 2}, 
                    "Droplines" -> {
                    "freeformCursorMode" -> True, 
                    "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
                   "DefaultMeshStyle" -> AbsolutePointSize[6], 
                   "DefaultPlotStyle" -> {
                    Directive[
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.922526, 0.385626, 0.209179], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.528488, 0.470624, 0.701351], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.772079, 0.431554, 0.102387], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.363898, 0.618501, 0.782349], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[1, 0.75, 0], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.647624, 0.37816, 0.614037], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.571589, 0.586483, 0.], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.915, 0.3325, 0.2125], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.40082222609352647`, 0.5220066643438841, 0.85], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[
                    0.9728288904374106, 0.621644452187053, 
                    0.07336199581899142], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.736782672705901, 0.358, 0.5030266573755369], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.28026441037696703`, 0.715, 0.4292089322474965], 
                    AbsoluteThickness[1.6]]}, "DomainPadding" -> Scaled[0.02],
                    "RangePadding" -> Scaled[0.05], "OptimizePlotMarkers" -> 
                   True, "OptimizePlotMarkers" -> True, 
                   "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
                    Identity[
                    Part[#, 1]], 
                    Identity[
                    Part[#, 2]]}& ), "CopiedValueFunction" -> ({
                    Identity[
                    Part[#, 1]], 
                    Identity[
                    Part[#, 2]]}& )}}, PlotRange -> {{0., 4.}, {0, 6.}}, 
                 PlotRangePadding -> {{
                    Scaled[0.02], 
                    Scaled[0.02]}, {
                    Scaled[0.02], 
                    Scaled[0.08090169943749476]}}, 
                 Ticks -> {Automatic, Automatic}}], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "74de37c1-5d37-492e-8c4d-c19454c604df"]][{
                 Key["a"], 
                 Key["\[Venus]"]}, "Item", False], "Mouse"], 
              ImageSize -> {{60, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Framed[4, FrameStyle -> RGBColor[1, 0, 0]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "74de37c1-5d37-492e-8c4d-c19454c604df"]][{
                 Key["a"], 
                 Key["\[Mars]"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["b", 
                  Style[
                  "b", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["b"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "74de37c1-5d37-492e-8c4d-c19454c604df"]][{
                 Key["b"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{33.6, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               Framed[7, FrameStyle -> RGBColor[1, 0, 0]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "74de37c1-5d37-492e-8c4d-c19454c604df"]][{
                 Key["b"], 
                 Key["\[Venus]"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Graphics[{{}, {{{}, {}, 
                   Annotation[{
                    Hue[0.67, 0.6, 0.6], 
                    Directive[
                    PointSize[
                    Rational[7, 360]], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], 
                    Line[{{1., 1.}, {2., 3.}, {3., 4.}, {4., 6.}}]}, {{
                    Callout}, Charting`Private`Tag$300459, {}}]}, {
                   Annotation[{
                    Directive[
                    PointSize[
                    Rational[7, 360]], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], 
                    GeometricTransformation[
                    Inset[
                    Style[
                    Graphics[{
                    EdgeForm[], 
                    Disk[{0, 0}]}], 
                    GraphicsBoxOptions -> {DefaultBaseStyle -> Directive[
                    PointSize[
                    Rational[7, 360]], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]]}], {0., 0.}, Automatic, 
                    Offset[6.272]], {{{1., 1.}}, {{2., 3.}}, {{3., 4.}}, {{4.,
                     6.}}}]}, {{Callout}, 
                    Charting`Private`Tag$300459, {}}]}}, {{{{{{}, {
                    GraphicsGroup[{{
                    Directive[
                    AbsoluteThickness[4], 
                    GrayLevel[1], 
                    Opacity[
                    Rational[2, 3]]], 
                    CapForm["Butt"], 
                    JoinForm["Round"], 
                    BSplineCurve[{
                    Offset[{3, 0}, {4., 6.}], 
                    
                    Offset[{2.9999999811301383`, -0.00033648056442665624`}, {
                    4.163333333333333, 6.}], 
                    Offset[{0, 0}, {4.243338173066043, 5.999978221202807}], 
                    
                    Offset[{5., 1.1102230246251565`*^-15}, {4.243338173066043,
                     5.999978221202807}], 
                    
                    Offset[{10., 2.220446049250313*^-15}, {4.243338173066043, 
                    5.999978221202807}], 
                    
                    Offset[{10., 2.220446049250313*^-15}, {4.243338173066043, 
                    5.999978221202807}]}]}, {
                    Directive[
                    RGBColor[
                    0.6666666666666666, 0.6666666666666666, 
                    0.6666666666666666], 
                    AbsoluteThickness[1.25]], 
                    BSplineCurve[{
                    Offset[{3, 0}, {4., 6.}], 
                    
                    Offset[{2.9999999811301383`, -0.00033648056442665624`}, {
                    4.163333333333333, 6.}], 
                    Offset[{0, 0}, {4.243338173066043, 5.999978221202807}], 
                    
                    Offset[{5., 1.1102230246251565`*^-15}, {4.243338173066043,
                     5.999978221202807}], 
                    
                    Offset[{10., 2.220446049250313*^-15}, {4.243338173066043, 
                    5.999978221202807}], 
                    
                    Offset[{10., 2.220446049250313*^-15}, {4.243338173066043, 
                    5.999978221202807}]}]}, {
                    FaceForm[
                    Directive[
                    GrayLevel[1], 
                    Opacity[
                    Rational[2, 3]]]], 
                    EdgeForm[], 
                    Polygon[{
                    
                    Offset[{38., 6.500000000000009}, {4.243338173066043, 
                    5.999978221202807}], 
                    
                    Offset[{38., -6.499999999999991}, {4.243338173066043, 
                    5.999978221202807}], 
                    
                    Offset[{10.000000000000002`, -6.499999999999998}, {
                    4.243338173066043, 5.999978221202807}], 
                    
                    Offset[{9.999999999999998, 6.500000000000002}, {
                    4.243338173066043, 5.999978221202807}]}]}, {
                    EdgeForm[], 
                    Directive[
                    RGBColor[
                    0.6666666666666666, 0.6666666666666666, 
                    0.6666666666666666], 
                    AbsoluteThickness[1.25]]}, {}, 
                    Text[
                    Style[
                    Rotate["trend", 0], {
                    Opacity[1]}], 
                    
                    Offset[{24., 5.329070518200751*^-15}, {4.243338173066043, 
                    5.999978221202807}], {0, 0}]}]}}}}, {}}, {}}}, Background -> 
                RGBColor[1, 0.5, 0], AxesLabel -> {"x", "y"}, {
                DisplayFunction -> Identity, DisplayFunction -> Identity, 
                 AspectRatio -> GoldenRatio^(-1), Axes -> {True, True}, 
                 AxesLabel -> {None, None}, AxesOrigin -> {0., 0}, 
                 DisplayFunction :> Identity, 
                 Frame -> {{False, False}, {False, False}}, 
                 FrameLabel -> {{None, None}, {None, None}}, 
                 FrameTicks -> {{Automatic, Automatic}, {
                   Automatic, Automatic}}, GridLines -> {None, None}, 
                 GridLinesStyle -> Directive[
                   GrayLevel[0.5, 0.4]], 
                 ImagePadding -> {{All, 56.40043557594386}, {All, All}}, 
                 Method -> {
                  "AxisPadding" -> Scaled[0.02], "DefaultBoundaryStyle" -> 
                   Automatic, 
                   "DefaultGraphicsInteraction" -> {
                    "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
                    "Effects" -> {
                    "Highlight" -> {"ratio" -> 2}, 
                    "HighlightPoint" -> {"ratio" -> 2}, 
                    "Droplines" -> {
                    "freeformCursorMode" -> True, 
                    "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
                   "DefaultMeshStyle" -> AbsolutePointSize[6], 
                   "DefaultPlotStyle" -> {
                    Directive[
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.922526, 0.385626, 0.209179], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.528488, 0.470624, 0.701351], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.772079, 0.431554, 0.102387], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.363898, 0.618501, 0.782349], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[1, 0.75, 0], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.647624, 0.37816, 0.614037], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.571589, 0.586483, 0.], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.915, 0.3325, 0.2125], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.40082222609352647`, 0.5220066643438841, 0.85], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[
                    0.9728288904374106, 0.621644452187053, 
                    0.07336199581899142], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.736782672705901, 0.358, 0.5030266573755369], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.28026441037696703`, 0.715, 0.4292089322474965], 
                    AbsoluteThickness[1.6]]}, "DomainPadding" -> Scaled[0.02],
                    "RangePadding" -> Scaled[0.05], "OptimizePlotMarkers" -> 
                   True, "OptimizePlotMarkers" -> True, 
                   "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
                    Identity[
                    Part[#, 1]], 
                    Identity[
                    Part[#, 2]]}& ), "CopiedValueFunction" -> ({
                    Identity[
                    Part[#, 1]], 
                    Identity[
                    Part[#, 2]]}& )}}, PlotRange -> {{0., 4.}, {0, 6.}}, 
                 PlotRangePadding -> {{
                    Scaled[0.02], 
                    Scaled[0.02]}, {
                    Scaled[0.02], 
                    Scaled[0.08090169943749476]}}, 
                 Ticks -> {Automatic, Automatic}}], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "74de37c1-5d37-492e-8c4d-c19454c604df"]][{
                 Key["b"], 
                 Key["\[Mars]"]}, "Item", False], "Mouse"], 
              ImageSize -> {{60, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{
                   TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = {
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{540., {162.8837890625, 170.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{540., {162.8837890625, 170.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{
  3.8658485617685413`*^9, 3.865848941685945*^9, 3.865849092003193*^9, 
   3.866801198240891*^9, 3.866808418706497*^9, 3.8668087533307533`*^9, {
   3.866900614545619*^9, 3.866900669489848*^9}, 3.8814263645817747`*^9},
 CellLabel->"Out[624]=",
 CellID->850240418,ExpressionUUID->"648b5553-3ceb-4292-b1dd-87035866b3ae"]
}, Open  ]],

Cell["\<\
You could alternatively use a more general IPD function to achieve this goal.\
\
\>", "Text",
 CellChangeTimes->{{3.866808429007978*^9, 3.8668084539322777`*^9}, {
  3.8723395096880465`*^9, 3.8723395103765864`*^9}, {3.8737993467924423`*^9, 
  3.873799347609044*^9}},
 CellID->1848457513,ExpressionUUID->"8660e721-4bec-4df0-9e38-a62eae2c610c"],

Cell[TextData[{
 "Write an IPD function ",
 Cell[BoxData[
 "idf2"], "InlineCode",ExpressionUUID->"20dcb8e4-495a-4000-a2ca-6d4ea760a6d6"],
 " that frames any item that is not a ",
 ButtonBox["Graphics",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Graphics.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Graphics.html"],
 " object:"
}], "CodeText",
 CellChangeTimes->{{3.866900691892809*^9, 3.866900738322566*^9}, 
   3.8679349692983027`*^9},
 CellID->415277667,ExpressionUUID->"68e3a78a-7af7-4b30-86a8-3fce9828d246"],

Cell[BoxData[
 RowBox[{
  RowBox[{"idf2", "[", 
   RowBox[{
    RowBox[{"item", ":", 
     RowBox[{"Except", "[", "_Graphics", "]"}]}], ",", "pos_", ",", "_"}], 
   "]"}], ":=", 
  RowBox[{"Framed", "[", 
   RowBox[{"item", ",", 
    RowBox[{"FrameStyle", "\[Rule]", "Red"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.8668084616609297`*^9, 3.866808510465344*^9}, {
  3.8668085576138897`*^9, 3.866808568030878*^9}},
 CellLabel->"In[625]:=",
 CellID->1068807219,ExpressionUUID->"c0cd13d0-6a19-4038-a7e2-40e9b2f24375"],

Cell[TextData[{
 "If the item is a ",
 ButtonBox["Graphics",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Graphics.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Graphics.html"],
 " object and the position matches ",
 Cell[BoxData[
  RowBox[{"{", 
   RowBox[{"\"\<a\>\"", ",", " ", "\"\<\[Venus]\>\""}], "}"}]], "InlineCode",
  ExpressionUUID->"1bbb40db-02b0-4c6e-b168-b173ff868377"],
 ", make the background ",
 ButtonBox["Yellow",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Yellow.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Yellow.html"],
 "; If the item is a ",
 ButtonBox["Graphics",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Graphics.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Graphics.html"],
 " object and the position matches ",
 Cell[BoxData[
  RowBox[{"{", 
   RowBox[{"\"\<b\>\"", ",", " ", "\"\<\[Mars]\>\""}], "}"}]], "InlineCode",
  ExpressionUUID->"adcc8358-f238-4a13-867c-ab930cc4f20e"],
 ", make the background ",
 ButtonBox["Orange",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Orange.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Orange.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.866900769269793*^9, 3.866900875343157*^9}, 
   3.8679350594806423`*^9, 3.867935091156315*^9},
 CellID->372496814,ExpressionUUID->"bc3f3559-1d57-4511-bcef-b51e0269ec8d"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"idf2", "[", 
    RowBox[{"item_Graphics", ",", 
     RowBox[{"{", 
      RowBox[{"\"\<a\>\"", ",", "\"\<\[Venus]\>\""}], "}"}], ",", "_"}], 
    "]"}], ":=", 
   RowBox[{"Graphics", "[", 
    RowBox[{
     RowBox[{"First", "[", "item", "]"}], ",", 
     RowBox[{"Background", "\[Rule]", "Yellow"}], ",", 
     RowBox[{"Options", "[", "item", "]"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"idf2", "[", 
    RowBox[{"item_Graphics", ",", 
     RowBox[{"{", 
      RowBox[{"\"\<b\>\"", ",", "\"\<\[Mars]\>\""}], "}"}], ",", "_"}], "]"}],
    ":=", 
   RowBox[{"Graphics", "[", 
    RowBox[{
     RowBox[{"First", "[", "item", "]"}], ",", 
     RowBox[{"Background", "\[Rule]", "Orange"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<x\>\"", ",", "\"\<y\>\""}], "}"}]}], ",", 
     RowBox[{"Options", "[", "item", "]"}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.8668085288882093`*^9, 3.866808575629429*^9}, {
  3.866808607230748*^9, 3.8668086103371677`*^9}, {3.866900744042389*^9, 
  3.866900752687521*^9}},
 CellLabel->"In[626]:=",
 CellID->633296066,ExpressionUUID->"ccb3cc70-adba-4ed4-8194-f19dfa40aadd"],

Cell[TextData[{
 "Use ",
 Cell[BoxData[
 "idf2"], "InlineCode",ExpressionUUID->"8a23cace-47f9-4da2-b8bf-a91aa54c37aa"],
 " as the value of the ",
 ButtonBox["ItemDisplayFunction",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ItemDisplayFunction.html"]\
, None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/ItemDisplayFunction.html"],
 " for the ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.866900879806923*^9, 3.8669009243398743`*^9}},
 CellID->1974807972,ExpressionUUID->"c950ae92-d7cc-4488-bcbd-d4f91641af67"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Dataset", "[", 
  RowBox[{
   RowBox[{"Association", "[", 
    RowBox[{
     RowBox[{"\"\<a\>\"", "\[Rule]", 
      RowBox[{"Association", "[", 
       RowBox[{
        RowBox[{"\"\<\[Venus]\>\"", "\[Rule]", "lp"}], ",", 
        RowBox[{"\"\<\[Mars]\>\"", "\[Rule]", "4"}]}], "]"}]}], ",", 
     RowBox[{"\"\<b\>\"", "\[Rule]", 
      RowBox[{"Association", "[", 
       RowBox[{
        RowBox[{"\"\<\[Venus]\>\"", "\[Rule]", "7"}], ",", 
        RowBox[{"\"\<\[Mars]\>\"", "\[Rule]", "lp"}]}], "]"}]}]}], "]"}], ",", 
   RowBox[{"ItemDisplayFunction", "\[Rule]", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"idf2", "[", 
       RowBox[{"#1", ",", "#2", ",", "#3"}], "]"}], "&"}], ")"}]}]}], 
  "]"}]], "Input",
 CellChangeTimes->{
  3.866808636885693*^9, {3.8668086824976397`*^9, 3.8668086995269337`*^9}},
 CellLabel->"In[628]:=",
 CellID->1472638305,ExpressionUUID->"e148820c-ba6b-4145-a5d3-080f52a7002b"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> <|"a" -> <|"\[Venus]" -> Graphics[{{}, {{{}, {}, 
              Annotation[{
                Hue[0.67, 0.6, 0.6], 
                Directive[
                 PointSize[
                  Rational[7, 360]], 
                 RGBColor[0.368417, 0.506779, 0.709798], 
                 AbsoluteThickness[1.6]], 
                Line[{{1., 1.}, {2., 3.}, {3., 4.}, {4., 6.}}]}, {{Callout}, 
                Charting`Private`Tag$300459, {}}]}, {
              Annotation[{
                Directive[
                 PointSize[
                  Rational[7, 360]], 
                 RGBColor[0.368417, 0.506779, 0.709798], 
                 AbsoluteThickness[1.6]], 
                GeometricTransformation[
                 Inset[
                  Style[
                   Graphics[{
                    EdgeForm[], 
                    Disk[{0, 0}]}], 
                   GraphicsBoxOptions -> {DefaultBaseStyle -> Directive[
                    PointSize[
                    Rational[7, 360]], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]]}], {0., 0.}, Automatic, 
                  Offset[6.272]], {{{1., 1.}}, {{2., 3.}}, {{3., 4.}}, {{4., 
                 6.}}}]}, {{Callout}, 
                Charting`Private`Tag$300459, {}}]}}, {{{{{{}, {
                  GraphicsGroup[{{
                    Directive[
                    AbsoluteThickness[4], 
                    GrayLevel[1], 
                    Opacity[
                    Rational[2, 3]]], 
                    CapForm["Butt"], 
                    JoinForm["Round"], 
                    BSplineCurve[{
                    Offset[{3, 0}, {4., 6.}], 
                    
                    Offset[{2.9999999811301383`, -0.00033648056442665624`}, {
                    4.163333333333333, 6.}], 
                    Offset[{0, 0}, {4.243338173066043, 5.999978221202807}], 
                    
                    Offset[{5., 1.1102230246251565`*^-15}, {4.243338173066043,
                     5.999978221202807}], 
                    
                    Offset[{10., 2.220446049250313*^-15}, {4.243338173066043, 
                    5.999978221202807}], 
                    
                    Offset[{10., 2.220446049250313*^-15}, {4.243338173066043, 
                    5.999978221202807}]}]}, {
                    Directive[
                    RGBColor[
                    0.6666666666666666, 0.6666666666666666, 
                    0.6666666666666666], 
                    AbsoluteThickness[1.25]], 
                    BSplineCurve[{
                    Offset[{3, 0}, {4., 6.}], 
                    
                    Offset[{2.9999999811301383`, -0.00033648056442665624`}, {
                    4.163333333333333, 6.}], 
                    Offset[{0, 0}, {4.243338173066043, 5.999978221202807}], 
                    
                    Offset[{5., 1.1102230246251565`*^-15}, {4.243338173066043,
                     5.999978221202807}], 
                    
                    Offset[{10., 2.220446049250313*^-15}, {4.243338173066043, 
                    5.999978221202807}], 
                    
                    Offset[{10., 2.220446049250313*^-15}, {4.243338173066043, 
                    5.999978221202807}]}]}, {
                    FaceForm[
                    Directive[
                    GrayLevel[1], 
                    Opacity[
                    Rational[2, 3]]]], 
                    EdgeForm[], 
                    Polygon[{
                    
                    Offset[{38., 6.500000000000009}, {4.243338173066043, 
                    5.999978221202807}], 
                    
                    Offset[{38., -6.499999999999991}, {4.243338173066043, 
                    5.999978221202807}], 
                    
                    Offset[{10.000000000000002`, -6.499999999999998}, {
                    4.243338173066043, 5.999978221202807}], 
                    
                    Offset[{9.999999999999998, 6.500000000000002}, {
                    4.243338173066043, 5.999978221202807}]}]}, {
                    EdgeForm[], 
                    Directive[
                    RGBColor[
                    0.6666666666666666, 0.6666666666666666, 
                    0.6666666666666666], 
                    AbsoluteThickness[1.25]]}, {}, 
                    Text[
                    Style[
                    Rotate["trend", 0], {
                    Opacity[1]}], 
                    
                    Offset[{24., 5.329070518200751*^-15}, {4.243338173066043, 
                    5.999978221202807}], {0, 0}]}]}}}}, {}}, {}}}, {
           DisplayFunction -> Identity, DisplayFunction -> Identity, 
            AspectRatio -> GoldenRatio^(-1), Axes -> {True, True}, 
            AxesLabel -> {None, None}, AxesOrigin -> {0., 0}, DisplayFunction :> 
            Identity, Frame -> {{False, False}, {False, False}}, 
            FrameLabel -> {{None, None}, {None, None}}, 
            FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
            GridLines -> {None, None}, GridLinesStyle -> Directive[
              GrayLevel[0.5, 0.4]], 
            ImagePadding -> {{All, 56.40043557594386}, {All, All}}, 
            Method -> {
             "AxisPadding" -> Scaled[0.02], "DefaultBoundaryStyle" -> 
              Automatic, 
              "DefaultGraphicsInteraction" -> {
               "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
                "Effects" -> {
                 "Highlight" -> {"ratio" -> 2}, 
                  "HighlightPoint" -> {"ratio" -> 2}, 
                  "Droplines" -> {
                   "freeformCursorMode" -> True, 
                    "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
              "DefaultMeshStyle" -> AbsolutePointSize[6], "DefaultPlotStyle" -> {
                Directive[
                 RGBColor[0.368417, 0.506779, 0.709798], 
                 AbsoluteThickness[1.6]], 
                Directive[
                 RGBColor[0.880722, 0.611041, 0.142051], 
                 AbsoluteThickness[1.6]], 
                Directive[
                 RGBColor[0.560181, 0.691569, 0.194885], 
                 AbsoluteThickness[1.6]], 
                Directive[
                 RGBColor[0.922526, 0.385626, 0.209179], 
                 AbsoluteThickness[1.6]], 
                Directive[
                 RGBColor[0.528488, 0.470624, 0.701351], 
                 AbsoluteThickness[1.6]], 
                Directive[
                 RGBColor[0.772079, 0.431554, 0.102387], 
                 AbsoluteThickness[1.6]], 
                Directive[
                 RGBColor[0.363898, 0.618501, 0.782349], 
                 AbsoluteThickness[1.6]], 
                Directive[
                 RGBColor[1, 0.75, 0], 
                 AbsoluteThickness[1.6]], 
                Directive[
                 RGBColor[0.647624, 0.37816, 0.614037], 
                 AbsoluteThickness[1.6]], 
                Directive[
                 RGBColor[0.571589, 0.586483, 0.], 
                 AbsoluteThickness[1.6]], 
                Directive[
                 RGBColor[0.915, 0.3325, 0.2125], 
                 AbsoluteThickness[1.6]], 
                Directive[
                 RGBColor[0.40082222609352647`, 0.5220066643438841, 0.85], 
                 AbsoluteThickness[1.6]], 
                Directive[
                 RGBColor[
                 0.9728288904374106, 0.621644452187053, 0.07336199581899142], 
                 AbsoluteThickness[1.6]], 
                Directive[
                 RGBColor[0.736782672705901, 0.358, 0.5030266573755369], 
                 AbsoluteThickness[1.6]], 
                Directive[
                 RGBColor[0.28026441037696703`, 0.715, 0.4292089322474965], 
                 AbsoluteThickness[1.6]]}, "DomainPadding" -> Scaled[0.02], 
              "RangePadding" -> Scaled[0.05], "OptimizePlotMarkers" -> True, 
              "OptimizePlotMarkers" -> True, 
              "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
                  Identity[
                   Part[#, 1]], 
                  Identity[
                   Part[#, 2]]}& ), "CopiedValueFunction" -> ({
                  Identity[
                   Part[#, 1]], 
                  Identity[
                   Part[#, 2]]}& )}}, PlotRange -> {{0., 4.}, {0, 6.}}, 
            PlotRangePadding -> {{
               Scaled[0.02], 
               Scaled[0.02]}, {
               Scaled[0.02], 
               Scaled[0.08090169943749476]}}, 
            Ticks -> {Automatic, Automatic}}], "\[Mars]" -> 4|>, 
       "b" -> <|"\[Venus]" -> 7, "\[Mars]" -> Graphics[{{}, {{{}, {}, 
              Annotation[{
                Hue[0.67, 0.6, 0.6], 
                Directive[
                 PointSize[
                  Rational[7, 360]], 
                 RGBColor[0.368417, 0.506779, 0.709798], 
                 AbsoluteThickness[1.6]], 
                Line[{{1., 1.}, {2., 3.}, {3., 4.}, {4., 6.}}]}, {{Callout}, 
                Charting`Private`Tag$300459, {}}]}, {
              Annotation[{
                Directive[
                 PointSize[
                  Rational[7, 360]], 
                 RGBColor[0.368417, 0.506779, 0.709798], 
                 AbsoluteThickness[1.6]], 
                GeometricTransformation[
                 Inset[
                  Style[
                   Graphics[{
                    EdgeForm[], 
                    Disk[{0, 0}]}], 
                   GraphicsBoxOptions -> {DefaultBaseStyle -> Directive[
                    PointSize[
                    Rational[7, 360]], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]]}], {0., 0.}, Automatic, 
                  Offset[6.272]], {{{1., 1.}}, {{2., 3.}}, {{3., 4.}}, {{4., 
                 6.}}}]}, {{Callout}, 
                Charting`Private`Tag$300459, {}}]}}, {{{{{{}, {
                  GraphicsGroup[{{
                    Directive[
                    AbsoluteThickness[4], 
                    GrayLevel[1], 
                    Opacity[
                    Rational[2, 3]]], 
                    CapForm["Butt"], 
                    JoinForm["Round"], 
                    BSplineCurve[{
                    Offset[{3, 0}, {4., 6.}], 
                    
                    Offset[{2.9999999811301383`, -0.00033648056442665624`}, {
                    4.163333333333333, 6.}], 
                    Offset[{0, 0}, {4.243338173066043, 5.999978221202807}], 
                    
                    Offset[{5., 1.1102230246251565`*^-15}, {4.243338173066043,
                     5.999978221202807}], 
                    
                    Offset[{10., 2.220446049250313*^-15}, {4.243338173066043, 
                    5.999978221202807}], 
                    
                    Offset[{10., 2.220446049250313*^-15}, {4.243338173066043, 
                    5.999978221202807}]}]}, {
                    Directive[
                    RGBColor[
                    0.6666666666666666, 0.6666666666666666, 
                    0.6666666666666666], 
                    AbsoluteThickness[1.25]], 
                    BSplineCurve[{
                    Offset[{3, 0}, {4., 6.}], 
                    
                    Offset[{2.9999999811301383`, -0.00033648056442665624`}, {
                    4.163333333333333, 6.}], 
                    Offset[{0, 0}, {4.243338173066043, 5.999978221202807}], 
                    
                    Offset[{5., 1.1102230246251565`*^-15}, {4.243338173066043,
                     5.999978221202807}], 
                    
                    Offset[{10., 2.220446049250313*^-15}, {4.243338173066043, 
                    5.999978221202807}], 
                    
                    Offset[{10., 2.220446049250313*^-15}, {4.243338173066043, 
                    5.999978221202807}]}]}, {
                    FaceForm[
                    Directive[
                    GrayLevel[1], 
                    Opacity[
                    Rational[2, 3]]]], 
                    EdgeForm[], 
                    Polygon[{
                    
                    Offset[{38., 6.500000000000009}, {4.243338173066043, 
                    5.999978221202807}], 
                    
                    Offset[{38., -6.499999999999991}, {4.243338173066043, 
                    5.999978221202807}], 
                    
                    Offset[{10.000000000000002`, -6.499999999999998}, {
                    4.243338173066043, 5.999978221202807}], 
                    
                    Offset[{9.999999999999998, 6.500000000000002}, {
                    4.243338173066043, 5.999978221202807}]}]}, {
                    EdgeForm[], 
                    Directive[
                    RGBColor[
                    0.6666666666666666, 0.6666666666666666, 
                    0.6666666666666666], 
                    AbsoluteThickness[1.25]]}, {}, 
                    Text[
                    Style[
                    Rotate["trend", 0], {
                    Opacity[1]}], 
                    
                    Offset[{24., 5.329070518200751*^-15}, {4.243338173066043, 
                    5.999978221202807}], {0, 0}]}]}}}}, {}}, {}}}, {
           DisplayFunction -> Identity, DisplayFunction -> Identity, 
            AspectRatio -> GoldenRatio^(-1), Axes -> {True, True}, 
            AxesLabel -> {None, None}, AxesOrigin -> {0., 0}, DisplayFunction :> 
            Identity, Frame -> {{False, False}, {False, False}}, 
            FrameLabel -> {{None, None}, {None, None}}, 
            FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
            GridLines -> {None, None}, GridLinesStyle -> Directive[
              GrayLevel[0.5, 0.4]], 
            ImagePadding -> {{All, 56.40043557594386}, {All, All}}, 
            Method -> {
             "AxisPadding" -> Scaled[0.02], "DefaultBoundaryStyle" -> 
              Automatic, 
              "DefaultGraphicsInteraction" -> {
               "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
                "Effects" -> {
                 "Highlight" -> {"ratio" -> 2}, 
                  "HighlightPoint" -> {"ratio" -> 2}, 
                  "Droplines" -> {
                   "freeformCursorMode" -> True, 
                    "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
              "DefaultMeshStyle" -> AbsolutePointSize[6], "DefaultPlotStyle" -> {
                Directive[
                 RGBColor[0.368417, 0.506779, 0.709798], 
                 AbsoluteThickness[1.6]], 
                Directive[
                 RGBColor[0.880722, 0.611041, 0.142051], 
                 AbsoluteThickness[1.6]], 
                Directive[
                 RGBColor[0.560181, 0.691569, 0.194885], 
                 AbsoluteThickness[1.6]], 
                Directive[
                 RGBColor[0.922526, 0.385626, 0.209179], 
                 AbsoluteThickness[1.6]], 
                Directive[
                 RGBColor[0.528488, 0.470624, 0.701351], 
                 AbsoluteThickness[1.6]], 
                Directive[
                 RGBColor[0.772079, 0.431554, 0.102387], 
                 AbsoluteThickness[1.6]], 
                Directive[
                 RGBColor[0.363898, 0.618501, 0.782349], 
                 AbsoluteThickness[1.6]], 
                Directive[
                 RGBColor[1, 0.75, 0], 
                 AbsoluteThickness[1.6]], 
                Directive[
                 RGBColor[0.647624, 0.37816, 0.614037], 
                 AbsoluteThickness[1.6]], 
                Directive[
                 RGBColor[0.571589, 0.586483, 0.], 
                 AbsoluteThickness[1.6]], 
                Directive[
                 RGBColor[0.915, 0.3325, 0.2125], 
                 AbsoluteThickness[1.6]], 
                Directive[
                 RGBColor[0.40082222609352647`, 0.5220066643438841, 0.85], 
                 AbsoluteThickness[1.6]], 
                Directive[
                 RGBColor[
                 0.9728288904374106, 0.621644452187053, 0.07336199581899142], 
                 AbsoluteThickness[1.6]], 
                Directive[
                 RGBColor[0.736782672705901, 0.358, 0.5030266573755369], 
                 AbsoluteThickness[1.6]], 
                Directive[
                 RGBColor[0.28026441037696703`, 0.715, 0.4292089322474965], 
                 AbsoluteThickness[1.6]]}, "DomainPadding" -> Scaled[0.02], 
              "RangePadding" -> Scaled[0.05], "OptimizePlotMarkers" -> True, 
              "OptimizePlotMarkers" -> True, 
              "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
                  Identity[
                   Part[#, 1]], 
                  Identity[
                   Part[#, 2]]}& ), "CopiedValueFunction" -> ({
                  Identity[
                   Part[#, 1]], 
                  Identity[
                   Part[#, 2]]}& )}}, PlotRange -> {{0., 4.}, {0, 6.}}, 
            PlotRangePadding -> {{
               Scaled[0.02], 
               Scaled[0.02]}, {
               Scaled[0.02], 
               Scaled[0.08090169943749476]}}, 
            Ticks -> {Automatic, Automatic}}]|>|>, "AllowEmbedding" -> True, 
     "InitialShape" -> TypeSystem`PackageScope`HeaderShape[<|{All, 
          TypeSystem`PackageScope`KeyDummy[9]} -> 1, {All, "\[Venus]"} -> 
        1, {All, "\[Mars]"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`KeyValueShape[
          TypeSystem`PackageScope`AtomShape[33.6], 
          TypeSystem`PackageScope`Limited[
           
           TypeSystem`PackageScope`RowShape[<|
            "\[Venus]" -> TypeSystem`PackageScope`UnknownShape[False], 
             "\[Mars]" -> TypeSystem`PackageScope`UnknownShape[False]|>], 
           DirectedInfinity[1], 2, {All}]]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Assoc[
       TypeSystem`Atom[String], 
       TypeSystem`Struct[{"\[Venus]", "\[Mars]"}, {
        TypeSystem`AnyType, TypeSystem`AnyType}], 2], 
     "Meta" -> <|$CellContext`ItemDisplayFunction -> ($CellContext`idf2[#, \
#2, #3]& )|>, "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, 
          TypeSystem`PackageScope`KeyDummy[9]} -> 1, {All, "\[Venus]"} -> 
        1, {All, "\[Mars]"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`KeyValueShape[
          TypeSystem`PackageScope`AtomShape[33.6], 
          TypeSystem`PackageScope`Limited[
           
           TypeSystem`PackageScope`RowShape[<|
            "\[Venus]" -> TypeSystem`PackageScope`UnknownShape[False], 
             "\[Mars]" -> TypeSystem`PackageScope`UnknownShape[False]|>], 
           DirectedInfinity[1], 2, {All}]]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Assoc[
       TypeSystem`Atom[String], 
       TypeSystem`Struct[{"\[Venus]", "\[Mars]"}, {
        TypeSystem`AnyType, TypeSystem`AnyType}], 2], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 2, "DataRowCount" -> 
     2, "DataColumnCount" -> 2, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               Mouseover[
                
                Graphics[{}, ImageSize -> 6, BaselinePosition -> 
                 Scaled[-0.15]], 
                Graphics[{
                  GrayLevel[0.6], 
                  
                  Polygon[{{2^Rational[-1, 2], -2^Rational[-1, 2]}, {
                    2^Rational[-1, 2], 2^
                    Rational[-1, 2]}, {-2^Rational[-1, 2], 2^
                    Rational[-1, 2]}, {-2^Rational[-1, 2], -2^
                    Rational[-1, 2]}}]}, ImageSize -> 6, BaselinePosition -> 
                 Scaled[-0.15]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "427a1f1b-540e-4fdc-8b40-6c92603efb4e"]][{All, Keys}, 
                "KeyDummy", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["\[Venus]", 
                  Style[
                  "\[Venus]", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "\[Venus]"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "427a1f1b-540e-4fdc-8b40-6c92603efb4e"]][{All, "\[Venus]"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["\[Mars]", 
                  Style[
                  "\[Mars]", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "\[Mars]"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "427a1f1b-540e-4fdc-8b40-6c92603efb4e"]][{All, "\[Mars]"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["a", 
                  Style[
                  "a", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["a"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "427a1f1b-540e-4fdc-8b40-6c92603efb4e"]][{
                 Key["a"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{33.6, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               Graphics[{{}, {{{}, {}, 
                   Annotation[{
                    Hue[0.67, 0.6, 0.6], 
                    Directive[
                    PointSize[
                    Rational[7, 360]], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], 
                    Line[{{1., 1.}, {2., 3.}, {3., 4.}, {4., 6.}}]}, {{
                    Callout}, Charting`Private`Tag$300459, {}}]}, {
                   Annotation[{
                    Directive[
                    PointSize[
                    Rational[7, 360]], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], 
                    GeometricTransformation[
                    Inset[
                    Style[
                    Graphics[{
                    EdgeForm[], 
                    Disk[{0, 0}]}], 
                    GraphicsBoxOptions -> {DefaultBaseStyle -> Directive[
                    PointSize[
                    Rational[7, 360]], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]]}], {0., 0.}, Automatic, 
                    Offset[6.272]], {{{1., 1.}}, {{2., 3.}}, {{3., 4.}}, {{4.,
                     6.}}}]}, {{Callout}, 
                    Charting`Private`Tag$300459, {}}]}}, {{{{{{}, {
                    GraphicsGroup[{{
                    Directive[
                    AbsoluteThickness[4], 
                    GrayLevel[1], 
                    Opacity[
                    Rational[2, 3]]], 
                    CapForm["Butt"], 
                    JoinForm["Round"], 
                    BSplineCurve[{
                    Offset[{3, 0}, {4., 6.}], 
                    
                    Offset[{2.9999999811301383`, -0.00033648056442665624`}, {
                    4.163333333333333, 6.}], 
                    Offset[{0, 0}, {4.243338173066043, 5.999978221202807}], 
                    
                    Offset[{5., 1.1102230246251565`*^-15}, {4.243338173066043,
                     5.999978221202807}], 
                    
                    Offset[{10., 2.220446049250313*^-15}, {4.243338173066043, 
                    5.999978221202807}], 
                    
                    Offset[{10., 2.220446049250313*^-15}, {4.243338173066043, 
                    5.999978221202807}]}]}, {
                    Directive[
                    RGBColor[
                    0.6666666666666666, 0.6666666666666666, 
                    0.6666666666666666], 
                    AbsoluteThickness[1.25]], 
                    BSplineCurve[{
                    Offset[{3, 0}, {4., 6.}], 
                    
                    Offset[{2.9999999811301383`, -0.00033648056442665624`}, {
                    4.163333333333333, 6.}], 
                    Offset[{0, 0}, {4.243338173066043, 5.999978221202807}], 
                    
                    Offset[{5., 1.1102230246251565`*^-15}, {4.243338173066043,
                     5.999978221202807}], 
                    
                    Offset[{10., 2.220446049250313*^-15}, {4.243338173066043, 
                    5.999978221202807}], 
                    
                    Offset[{10., 2.220446049250313*^-15}, {4.243338173066043, 
                    5.999978221202807}]}]}, {
                    FaceForm[
                    Directive[
                    GrayLevel[1], 
                    Opacity[
                    Rational[2, 3]]]], 
                    EdgeForm[], 
                    Polygon[{
                    
                    Offset[{38., 6.500000000000009}, {4.243338173066043, 
                    5.999978221202807}], 
                    
                    Offset[{38., -6.499999999999991}, {4.243338173066043, 
                    5.999978221202807}], 
                    
                    Offset[{10.000000000000002`, -6.499999999999998}, {
                    4.243338173066043, 5.999978221202807}], 
                    
                    Offset[{9.999999999999998, 6.500000000000002}, {
                    4.243338173066043, 5.999978221202807}]}]}, {
                    EdgeForm[], 
                    Directive[
                    RGBColor[
                    0.6666666666666666, 0.6666666666666666, 
                    0.6666666666666666], 
                    AbsoluteThickness[1.25]]}, {}, 
                    Text[
                    Style[
                    Rotate["trend", 0], {
                    Opacity[1]}], 
                    
                    Offset[{24., 5.329070518200751*^-15}, {4.243338173066043, 
                    5.999978221202807}], {0, 0}]}]}}}}, {}}, {}}}, Background -> 
                RGBColor[1, 1, 0], {
                DisplayFunction -> Identity, DisplayFunction -> Identity, 
                 AspectRatio -> GoldenRatio^(-1), Axes -> {True, True}, 
                 AxesLabel -> {None, None}, AxesOrigin -> {0., 0}, 
                 DisplayFunction :> Identity, 
                 Frame -> {{False, False}, {False, False}}, 
                 FrameLabel -> {{None, None}, {None, None}}, 
                 FrameTicks -> {{Automatic, Automatic}, {
                   Automatic, Automatic}}, GridLines -> {None, None}, 
                 GridLinesStyle -> Directive[
                   GrayLevel[0.5, 0.4]], 
                 ImagePadding -> {{All, 56.40043557594386}, {All, All}}, 
                 Method -> {
                  "AxisPadding" -> Scaled[0.02], "DefaultBoundaryStyle" -> 
                   Automatic, 
                   "DefaultGraphicsInteraction" -> {
                    "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
                    "Effects" -> {
                    "Highlight" -> {"ratio" -> 2}, 
                    "HighlightPoint" -> {"ratio" -> 2}, 
                    "Droplines" -> {
                    "freeformCursorMode" -> True, 
                    "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
                   "DefaultMeshStyle" -> AbsolutePointSize[6], 
                   "DefaultPlotStyle" -> {
                    Directive[
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.922526, 0.385626, 0.209179], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.528488, 0.470624, 0.701351], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.772079, 0.431554, 0.102387], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.363898, 0.618501, 0.782349], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[1, 0.75, 0], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.647624, 0.37816, 0.614037], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.571589, 0.586483, 0.], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.915, 0.3325, 0.2125], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.40082222609352647`, 0.5220066643438841, 0.85], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[
                    0.9728288904374106, 0.621644452187053, 
                    0.07336199581899142], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.736782672705901, 0.358, 0.5030266573755369], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.28026441037696703`, 0.715, 0.4292089322474965], 
                    AbsoluteThickness[1.6]]}, "DomainPadding" -> Scaled[0.02],
                    "RangePadding" -> Scaled[0.05], "OptimizePlotMarkers" -> 
                   True, "OptimizePlotMarkers" -> True, 
                   "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
                    Identity[
                    Part[#, 1]], 
                    Identity[
                    Part[#, 2]]}& ), "CopiedValueFunction" -> ({
                    Identity[
                    Part[#, 1]], 
                    Identity[
                    Part[#, 2]]}& )}}, PlotRange -> {{0., 4.}, {0, 6.}}, 
                 PlotRangePadding -> {{
                    Scaled[0.02], 
                    Scaled[0.02]}, {
                    Scaled[0.02], 
                    Scaled[0.08090169943749476]}}, 
                 Ticks -> {Automatic, Automatic}}], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "427a1f1b-540e-4fdc-8b40-6c92603efb4e"]][{
                 Key["a"], 
                 Key["\[Venus]"]}, "Item", False], "Mouse"], 
              ImageSize -> {{60, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Framed[4, FrameStyle -> RGBColor[1, 0, 0]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "427a1f1b-540e-4fdc-8b40-6c92603efb4e"]][{
                 Key["a"], 
                 Key["\[Mars]"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["b", 
                  Style[
                  "b", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                    Key["b"]}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "427a1f1b-540e-4fdc-8b40-6c92603efb4e"]][{
                 Key["b"]}, "RowHeader", False], "Mouse"], 
              ImageSize -> {{33.6, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               Framed[7, FrameStyle -> RGBColor[1, 0, 0]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "427a1f1b-540e-4fdc-8b40-6c92603efb4e"]][{
                 Key["b"], 
                 Key["\[Venus]"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Graphics[{{}, {{{}, {}, 
                   Annotation[{
                    Hue[0.67, 0.6, 0.6], 
                    Directive[
                    PointSize[
                    Rational[7, 360]], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], 
                    Line[{{1., 1.}, {2., 3.}, {3., 4.}, {4., 6.}}]}, {{
                    Callout}, Charting`Private`Tag$300459, {}}]}, {
                   Annotation[{
                    Directive[
                    PointSize[
                    Rational[7, 360]], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], 
                    GeometricTransformation[
                    Inset[
                    Style[
                    Graphics[{
                    EdgeForm[], 
                    Disk[{0, 0}]}], 
                    GraphicsBoxOptions -> {DefaultBaseStyle -> Directive[
                    PointSize[
                    Rational[7, 360]], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]]}], {0., 0.}, Automatic, 
                    Offset[6.272]], {{{1., 1.}}, {{2., 3.}}, {{3., 4.}}, {{4.,
                     6.}}}]}, {{Callout}, 
                    Charting`Private`Tag$300459, {}}]}}, {{{{{{}, {
                    GraphicsGroup[{{
                    Directive[
                    AbsoluteThickness[4], 
                    GrayLevel[1], 
                    Opacity[
                    Rational[2, 3]]], 
                    CapForm["Butt"], 
                    JoinForm["Round"], 
                    BSplineCurve[{
                    Offset[{3, 0}, {4., 6.}], 
                    
                    Offset[{2.9999999811301383`, -0.00033648056442665624`}, {
                    4.163333333333333, 6.}], 
                    Offset[{0, 0}, {4.243338173066043, 5.999978221202807}], 
                    
                    Offset[{5., 1.1102230246251565`*^-15}, {4.243338173066043,
                     5.999978221202807}], 
                    
                    Offset[{10., 2.220446049250313*^-15}, {4.243338173066043, 
                    5.999978221202807}], 
                    
                    Offset[{10., 2.220446049250313*^-15}, {4.243338173066043, 
                    5.999978221202807}]}]}, {
                    Directive[
                    RGBColor[
                    0.6666666666666666, 0.6666666666666666, 
                    0.6666666666666666], 
                    AbsoluteThickness[1.25]], 
                    BSplineCurve[{
                    Offset[{3, 0}, {4., 6.}], 
                    
                    Offset[{2.9999999811301383`, -0.00033648056442665624`}, {
                    4.163333333333333, 6.}], 
                    Offset[{0, 0}, {4.243338173066043, 5.999978221202807}], 
                    
                    Offset[{5., 1.1102230246251565`*^-15}, {4.243338173066043,
                     5.999978221202807}], 
                    
                    Offset[{10., 2.220446049250313*^-15}, {4.243338173066043, 
                    5.999978221202807}], 
                    
                    Offset[{10., 2.220446049250313*^-15}, {4.243338173066043, 
                    5.999978221202807}]}]}, {
                    FaceForm[
                    Directive[
                    GrayLevel[1], 
                    Opacity[
                    Rational[2, 3]]]], 
                    EdgeForm[], 
                    Polygon[{
                    
                    Offset[{38., 6.500000000000009}, {4.243338173066043, 
                    5.999978221202807}], 
                    
                    Offset[{38., -6.499999999999991}, {4.243338173066043, 
                    5.999978221202807}], 
                    
                    Offset[{10.000000000000002`, -6.499999999999998}, {
                    4.243338173066043, 5.999978221202807}], 
                    
                    Offset[{9.999999999999998, 6.500000000000002}, {
                    4.243338173066043, 5.999978221202807}]}]}, {
                    EdgeForm[], 
                    Directive[
                    RGBColor[
                    0.6666666666666666, 0.6666666666666666, 
                    0.6666666666666666], 
                    AbsoluteThickness[1.25]]}, {}, 
                    Text[
                    Style[
                    Rotate["trend", 0], {
                    Opacity[1]}], 
                    
                    Offset[{24., 5.329070518200751*^-15}, {4.243338173066043, 
                    5.999978221202807}], {0, 0}]}]}}}}, {}}, {}}}, Background -> 
                RGBColor[1, 0.5, 0], AxesLabel -> {"x", "y"}, {
                DisplayFunction -> Identity, DisplayFunction -> Identity, 
                 AspectRatio -> GoldenRatio^(-1), Axes -> {True, True}, 
                 AxesLabel -> {None, None}, AxesOrigin -> {0., 0}, 
                 DisplayFunction :> Identity, 
                 Frame -> {{False, False}, {False, False}}, 
                 FrameLabel -> {{None, None}, {None, None}}, 
                 FrameTicks -> {{Automatic, Automatic}, {
                   Automatic, Automatic}}, GridLines -> {None, None}, 
                 GridLinesStyle -> Directive[
                   GrayLevel[0.5, 0.4]], 
                 ImagePadding -> {{All, 56.40043557594386}, {All, All}}, 
                 Method -> {
                  "AxisPadding" -> Scaled[0.02], "DefaultBoundaryStyle" -> 
                   Automatic, 
                   "DefaultGraphicsInteraction" -> {
                    "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
                    "Effects" -> {
                    "Highlight" -> {"ratio" -> 2}, 
                    "HighlightPoint" -> {"ratio" -> 2}, 
                    "Droplines" -> {
                    "freeformCursorMode" -> True, 
                    "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
                   "DefaultMeshStyle" -> AbsolutePointSize[6], 
                   "DefaultPlotStyle" -> {
                    Directive[
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.922526, 0.385626, 0.209179], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.528488, 0.470624, 0.701351], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.772079, 0.431554, 0.102387], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.363898, 0.618501, 0.782349], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[1, 0.75, 0], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.647624, 0.37816, 0.614037], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.571589, 0.586483, 0.], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.915, 0.3325, 0.2125], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.40082222609352647`, 0.5220066643438841, 0.85], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[
                    0.9728288904374106, 0.621644452187053, 
                    0.07336199581899142], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.736782672705901, 0.358, 0.5030266573755369], 
                    AbsoluteThickness[1.6]], 
                    Directive[
                    RGBColor[0.28026441037696703`, 0.715, 0.4292089322474965], 
                    AbsoluteThickness[1.6]]}, "DomainPadding" -> Scaled[0.02],
                    "RangePadding" -> Scaled[0.05], "OptimizePlotMarkers" -> 
                   True, "OptimizePlotMarkers" -> True, 
                   "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
                    Identity[
                    Part[#, 1]], 
                    Identity[
                    Part[#, 2]]}& ), "CopiedValueFunction" -> ({
                    Identity[
                    Part[#, 1]], 
                    Identity[
                    Part[#, 2]]}& )}}, PlotRange -> {{0., 4.}, {0, 6.}}, 
                 PlotRangePadding -> {{
                    Scaled[0.02], 
                    Scaled[0.02]}, {
                    Scaled[0.02], 
                    Scaled[0.08090169943749476]}}, 
                 Ticks -> {Automatic, Automatic}}], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "427a1f1b-540e-4fdc-8b40-6c92603efb4e"]][{
                 Key["b"], 
                 Key["\[Mars]"]}, "Item", False], "Mouse"], 
              ImageSize -> {{60, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   With[{
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{540., {162.8837890625, 170.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{540., {162.8837890625, 170.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{{3.866808689186533*^9, 3.8668087002655563`*^9}, 
   3.881426382585177*^9},
 CellTags->"LastCellOfAPage",
 CellLabel->"Out[628]=",
 CellID->332546994,ExpressionUUID->"e4863c0e-8ee8-4ff2-8dd5-cd00fc9b9365"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "Resetting ",
 StyleBox[ButtonBox["Dataset",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
  FontColor->RGBColor[
   0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]],
 " Visualization"
}], "Subsubsection",
 CellTags->"p: 189",
 CellID->814219069,ExpressionUUID->"23b5f428-d4ab-4a0e-826b-8bc49b7639ac"],

Cell[TextData[{
 "Almost all of the time, particularly since Version 13, operations on ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " result either in perfectly sensible presentations of the data or \
presentations that can be fixed with the simple ",
 ButtonBox["KeySort",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/KeySort.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/KeySort.html"],
 " (and similar) expedients described previously. Even Version 13.1 is still \
not perfect, however. And if you are using an older version of the Wolfram \
Language, you may find more frequently that ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " operations can result in undesired presentations. There is a fix that \
sometimes works. It basically forces the Wolfram Language front end to \
rethink how to present the data. Use the ",
 ButtonBox["ResetDataset",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
ResetDataset"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/\
ResetDataset"],
 " ",
 ButtonBox["ResourceFunction",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ResourceFunction.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/ResourceFunction.html"],
 "."
}], "Text",
 CellChangeTimes->{{3.865677700693871*^9, 3.86567771153288*^9}, {
   3.8656777800447617`*^9, 3.86567782614784*^9}, {3.865679873309997*^9, 
   3.865679909883829*^9}, {3.865680308437727*^9, 3.865680309868191*^9}, {
   3.865685402779656*^9, 3.865685510137185*^9}, {3.865685894376574*^9, 
   3.865685895740119*^9}, {3.865692917401478*^9, 3.865692919833187*^9}, 
   3.866808774836714*^9, {3.8669009403589287`*^9, 3.866900956808495*^9}, {
   3.867935189561174*^9, 3.867935202616929*^9}, {3.8679352927118273`*^9, 
   3.8679353190992393`*^9}, {3.869921712932699*^9, 3.8699217394891453`*^9}, 
   3.869924443081341*^9, {3.8701679983625736`*^9, 3.8701680007377777`*^9}, {
   3.8723396971539993`*^9, 3.87233969753954*^9}, 3.896333513414999*^9},
 CellTags->"i:60",
 CellID->1679200534,ExpressionUUID->"8362d6ac-e35d-40d5-8909-f33ce65dbeed"],

Cell["\<\
To show the problem, I want to look at a computation similar to one I \
performed previously. Here\[CloseCurlyQuote]s what I start with. Notice that \
the missing age of one of the passengers is represented with an attractive \
dash. \
\>", "Text",
 CellChangeTimes->{{3.8656855130642147`*^9, 3.865685580300878*^9}, {
  3.865685610566107*^9, 3.865685624423967*^9}, {3.8656859107920103`*^9, 
  3.865685911815419*^9}, {3.865849127303403*^9, 3.865849134334976*^9}, {
  3.8701680060859003`*^9, 3.870168008438679*^9}, {3.8738000496446643`*^9, 
  3.873800050261014*^9}},
 CellID->278663918,ExpressionUUID->"0cadd67e-9a8e-413f-9149-daf5bba33f9e"],

Cell[TextData[{
 "Convert ",
 Cell[BoxData[
 "dinghyAssociations"], "InlineCode",ExpressionUUID->
  "aca50171-bda1-4839-9563-dc4628e6a16c"],
 " to a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.866900969474112*^9, 3.8669010062085648`*^9}},
 CellID->151256689,ExpressionUUID->"cb08028b-ae44-43fb-a1c5-ba3772d54540"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Dataset", "[", "dinghyAssociations", "]"}]], "Input",
 CellChangeTimes->{{3.865685557349041*^9, 3.865685560889945*^9}},
 CellLabel->"In[629]:=",
 CellID->1182553211,ExpressionUUID->"c53a46a8-ed6d-4019-903c-c7b4fd11c5f0"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        False|>}, "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 5], "Meta" -> <||>, 
     "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 5], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
     5, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["class", 
                  Style[
                  "class", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c2e5e0b2-0601-4bbd-a783-b6747df80ed4"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["age", 
                  Style[
                  "age", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c2e5e0b2-0601-4bbd-a783-b6747df80ed4"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["sex", 
                  Style[
                  "sex", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c2e5e0b2-0601-4bbd-a783-b6747df80ed4"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["survived", 
                  Style[
                  "survived", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c2e5e0b2-0601-4bbd-a783-b6747df80ed4"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c2e5e0b2-0601-4bbd-a783-b6747df80ed4"]][{1, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c2e5e0b2-0601-4bbd-a783-b6747df80ed4"]][{1, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c2e5e0b2-0601-4bbd-a783-b6747df80ed4"]][{1, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c2e5e0b2-0601-4bbd-a783-b6747df80ed4"]][{1, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c2e5e0b2-0601-4bbd-a783-b6747df80ed4"]][{2, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["65"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c2e5e0b2-0601-4bbd-a783-b6747df80ed4"]][{2, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c2e5e0b2-0601-4bbd-a783-b6747df80ed4"]][{2, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c2e5e0b2-0601-4bbd-a783-b6747df80ed4"]][{2, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c2e5e0b2-0601-4bbd-a783-b6747df80ed4"]][{3, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c2e5e0b2-0601-4bbd-a783-b6747df80ed4"]][{3, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c2e5e0b2-0601-4bbd-a783-b6747df80ed4"]][{3, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c2e5e0b2-0601-4bbd-a783-b6747df80ed4"]][{3, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c2e5e0b2-0601-4bbd-a783-b6747df80ed4"]][{4, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c2e5e0b2-0601-4bbd-a783-b6747df80ed4"]][{4, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c2e5e0b2-0601-4bbd-a783-b6747df80ed4"]][{4, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c2e5e0b2-0601-4bbd-a783-b6747df80ed4"]][{4, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c2e5e0b2-0601-4bbd-a783-b6747df80ed4"]][{5, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["18"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c2e5e0b2-0601-4bbd-a783-b6747df80ed4"]][{5, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c2e5e0b2-0601-4bbd-a783-b6747df80ed4"]][{5, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "c2e5e0b2-0601-4bbd-a783-b6747df80ed4"]][{5, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{213., {86.8837890625, 94.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{213., {86.8837890625, 94.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.86568556223493*^9, 3.8656860139732037`*^9, 
  3.865849218044425*^9, 3.8668011987849083`*^9, 3.881426389592751*^9},
 CellLabel->"Out[629]=",
 CellID->1173298696,ExpressionUUID->"eb71cb6a-eba3-408e-a524-101c2d8259f7"]
}, Open  ]],

Cell[TextData[{
 "Now let\[CloseCurlyQuote]s add an ",
 ButtonBox["ItemDisplayFunction",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ItemDisplayFunction.html"]\
, None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/ItemDisplayFunction.html"],
 " option to preserve the fact that some of the age data is missing. In other \
words, the IDF function would appear to do nothing:"
}], "CodeText",
 CellChangeTimes->{{3.86568558395483*^9, 3.865685645596663*^9}, {
   3.865685944551358*^9, 3.865685949066042*^9}, {3.8656929498244658`*^9, 
   3.8656929676671677`*^9}, 3.8668087968004217`*^9, {3.8669010658920918`*^9, 
   3.866901079066848*^9}, {3.867938135056697*^9, 3.867938135510026*^9}, {
   3.8723399170003033`*^9, 3.872339939178232*^9}, {3.873804411389944*^9, 
   3.873804429428528*^9}},
 CellID->1360213833,ExpressionUUID->"d5c89c34-ae92-4bb5-b458-a770f1db35e7"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"withExplicitMissing", "=", 
  RowBox[{"Dataset", "[", 
   RowBox[{"dinghyAssociations", ",", 
    RowBox[{"ItemDisplayFunction", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"\"\<age\>\"", "\[Rule]", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"MissingQ", "[", "#", "]"}], ",", 
           RowBox[{"Missing", "[", "]"}], ",", "#"}], "]"}], "&"}], ")"}]}], 
      "}"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.865683390692266*^9, 3.865683394906867*^9}, 
   3.865683485235237*^9, {3.865683530761012*^9, 3.86568357785252*^9}, {
   3.86568361759089*^9, 3.865683697384549*^9}, {3.865685087180152*^9, 
   3.8656853477076178`*^9}, {3.865685651113752*^9, 3.86568566632199*^9}, {
   3.865685705586419*^9, 3.865685728850131*^9}, {3.865685953851568*^9, 
   3.8656859543391438`*^9}},
 CellLabel->"In[630]:=",
 CellID->948071701,ExpressionUUID->"69bc1fe7-0bc4-450a-a13a-bdf1bfab2771"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        False|>}, "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 5], 
     "Meta" -> <|$CellContext`ItemDisplayFunction -> {"age" -> (If[
           MissingQ[#], 
           Missing[], #]& )}|>, "RowTarget" -> 20, "ColumnTarget" -> 10, 
     "Shape" -> TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 
        1, {All, "age"} -> 1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 5], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
     5, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["class", 
                  Style[
                  "class", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ec37ea38-2e2e-49f0-8de1-1421202c0062"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["age", 
                  Style[
                  "age", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ec37ea38-2e2e-49f0-8de1-1421202c0062"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["sex", 
                  Style[
                  "sex", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ec37ea38-2e2e-49f0-8de1-1421202c0062"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["survived", 
                  Style[
                  "survived", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ec37ea38-2e2e-49f0-8de1-1421202c0062"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ec37ea38-2e2e-49f0-8de1-1421202c0062"]][{1, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[16, 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ec37ea38-2e2e-49f0-8de1-1421202c0062"]][{1, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ec37ea38-2e2e-49f0-8de1-1421202c0062"]][{1, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ec37ea38-2e2e-49f0-8de1-1421202c0062"]][{1, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ec37ea38-2e2e-49f0-8de1-1421202c0062"]][{2, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[65, 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ec37ea38-2e2e-49f0-8de1-1421202c0062"]][{2, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ec37ea38-2e2e-49f0-8de1-1421202c0062"]][{2, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ec37ea38-2e2e-49f0-8de1-1421202c0062"]][{2, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ec37ea38-2e2e-49f0-8de1-1421202c0062"]][{3, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[2, 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ec37ea38-2e2e-49f0-8de1-1421202c0062"]][{3, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ec37ea38-2e2e-49f0-8de1-1421202c0062"]][{3, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ec37ea38-2e2e-49f0-8de1-1421202c0062"]][{3, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ec37ea38-2e2e-49f0-8de1-1421202c0062"]][{4, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Missing[], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ec37ea38-2e2e-49f0-8de1-1421202c0062"]][{4, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ec37ea38-2e2e-49f0-8de1-1421202c0062"]][{4, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ec37ea38-2e2e-49f0-8de1-1421202c0062"]][{4, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ec37ea38-2e2e-49f0-8de1-1421202c0062"]][{5, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[18, 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ec37ea38-2e2e-49f0-8de1-1421202c0062"]][{5, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ec37ea38-2e2e-49f0-8de1-1421202c0062"]][{5, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "ec37ea38-2e2e-49f0-8de1-1421202c0062"]][{5, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{231., {86.8837890625, 94.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{231., {86.8837890625, 94.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{
  3.865685666870925*^9, {3.865685713039627*^9, 3.86568572915021*^9}, 
   3.865685955023983*^9, 3.8668011989961367`*^9, 3.881426393993602*^9},
 CellLabel->"Out[630]=",
 CellID->476939675,ExpressionUUID->"5a04f470-5a77-426c-b96a-c58f3069015f"]
}, Open  ]],

Cell[TextData[{
 "Even though I essentially did nothing, the pleasant dash is gone and a \
literal ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["Missing",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Missing.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Missing.html"], 
   "[", "]"}]], "InlineCodeText",ExpressionUUID->
  "646d1900-479d-4bd3-beae-6168bf669eed"],
 " is present\[LongDash]not as attractive, in my view. And this change occurs \
even though, as I show in the next example, the data of the original ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " is exactly the same as the data of the new ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " and the type of the original ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " is exactly the same as the type of the new ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 "."
}], "Text",
 CellChangeTimes->{{3.865685671342906*^9, 3.865685697472703*^9}, 
   3.865685763046266*^9, {3.8656858720659018`*^9, 3.8656858778388042`*^9}, 
   3.8656860527862577`*^9, {3.865692972978653*^9, 3.865692979614716*^9}, {
   3.8668088204118843`*^9, 3.866808871037781*^9}, {3.866901092675816*^9, 
   3.866901107072743*^9}, {3.867938164597892*^9, 3.86793819800352*^9}, {
   3.8723400124781885`*^9, 3.8723400157782383`*^9}, {3.8738005901109047`*^9, 
   3.8738005906508327`*^9}, {3.8980103108040743`*^9, 3.898010346316868*^9}},
 CellTags->"LastCellOfAPage",
 CellID->1452085743,ExpressionUUID->"ef7b6449-6fa7-4d8e-99f7-6a9b0cac0739"],

Cell[TextData[{
 "Compare data and type of  ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["Dataset",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"], 
   "[", "dinghyAssociations", "]"}]], "InlineCode",ExpressionUUID->
  "d6c974b5-a59e-4b97-8f6f-a20bd800fe2f"],
 "with ",
 Cell[BoxData[
 "withExplicitMissing"], "InlineCode",ExpressionUUID->
  "42cf6499-c1e5-46c1-a404-d7508a72271e"],
 ":"
}], "CodeText",
 CellChangeTimes->{{3.866901111089055*^9, 3.866901146408271*^9}, {
  3.86793823395186*^9, 3.867938271365365*^9}, {3.8723400600433817`*^9, 
  3.8723400981658177`*^9}, {3.898087379475841*^9, 3.898087417712113*^9}},
 CellTags->"p: 190",
 CellID->350060316,ExpressionUUID->"4cba01b9-0c2d-4b94-8db5-666b2a52ba91"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"Dataset`GetData", "[", "withExplicitMissing", "]"}], "===", 
    RowBox[{"Dataset`GetData", "[", 
     RowBox[{"Dataset", "[", "dinghyAssociations", "]"}], "]"}]}], ",", 
   RowBox[{
    RowBox[{"Dataset`GetType", "[", "withExplicitMissing", "]"}], "===", 
    RowBox[{"Dataset`GetType", "[", 
     RowBox[{"Dataset", "[", "dinghyAssociations", "]"}], "]"}]}]}], 
  "}"}]], "Input",
 CellChangeTimes->{{3.8656859666866817`*^9, 3.865685981850519*^9}, 
   3.865686026184155*^9, {3.86568607570575*^9, 3.8656860896394243`*^9}},
 CellLabel->"In[631]:=",
 CellID->382165745,ExpressionUUID->"77cf1600-470b-448b-b20e-922e29b95f40"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"True", ",", "True"}], "}"}]], "Output",
 CellChangeTimes->{3.865685971325536*^9, 3.865686026738429*^9, 
  3.8656860900041933`*^9, 3.866801199155836*^9, 3.881426398828274*^9},
 CellLabel->"Out[631]=",
 CellID->1709331343,ExpressionUUID->"1482c9ba-6867-45ef-9672-0f4721cc39cd"]
}, Open  ]],

Cell[TextData[{
 "Fortunately, I can fix the problem with the ",
 ButtonBox["ResetDataset",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
ResetDataset"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/\
ResetDataset"],
 " ",
 ButtonBox["ResourceFunction",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ResourceFunction.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/ResourceFunction.html"],
 "."
}], "Text",
 CellChangeTimes->{{3.865686030845446*^9, 3.865686069339162*^9}, {
   3.865692989693211*^9, 3.865693000314893*^9}, {3.865849249006485*^9, 
   3.8658493173646097`*^9}, 3.867938307025539*^9, {3.8699217504028482`*^9, 
   3.869921770738583*^9}, {3.873800616432811*^9, 3.873800616857357*^9}},
 CellID->181814600,ExpressionUUID->"fffd966c-3152-4183-8c4e-939cb49e523e"],

Cell[TextData[{
 "Use ",
 ButtonBox["ResetDataset",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
ResetDataset"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/\
ResetDataset"],
 " to restore proper formatting:"
}], "CodeText",
 CellChangeTimes->{{3.866901154054098*^9, 3.8669011627539377`*^9}, 
   3.8679383128036833`*^9, {3.869921773129547*^9, 3.869921787256857*^9}},
 CellID->330167799,ExpressionUUID->"9ac49878-d796-41a2-8a5a-c6e45ebb4883"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  InterpretationBox[
   TagBox[
    DynamicModuleBox[{Typeset`open = False}, 
     FrameBox[
      PaneSelectorBox[{False->GridBox[{
         {
          PaneBox[GridBox[{
             {
              StyleBox[
               StyleBox[
                AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                 BoxBaselineShift->-0.25,
                 BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                
                FontColor->RGBColor[
                 0.8745098039215686, 0.2784313725490196, 0.03137254901960784]],
               ShowStringCharacters->False,
               FontFamily->"Source Sans Pro Black",
               FontSize->0.6538461538461539 Inherited,
               FontWeight->"Heavy",
               PrivateFontOptions->{"OperatorSubstitution"->False}], 
              StyleBox[
               RowBox[{
                StyleBox["ResetDataset", "ResourceFunctionLabel"], " "}],
               ShowAutoStyles->False,
               ShowStringCharacters->False,
               FontSize->Rational[12, 13] Inherited,
               FontColor->GrayLevel[0.1]]}
            },
            GridBoxSpacings->{"Columns" -> {{0.25}}}],
           Alignment->Left,
           BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
           BaselinePosition->Baseline,
           FrameMargins->{{3, 0}, {0, 0}}], 
          ItemBox[
           PaneBox[
            TogglerBox[Dynamic[Typeset`open], {True->
             
             DynamicBox[FEPrivate`FrontEndResource[
              "FEBitmaps", "IconizeCloser"],
              ImageSizeCache->{11., {2., 9.}}], False->
             
             DynamicBox[FEPrivate`FrontEndResource[
              "FEBitmaps", "IconizeOpener"],
              ImageSizeCache->{11., {2., 9.}}]},
             Appearance->None,
             BaselinePosition->Baseline,
             ContentPadding->False,
             FrameMargins->0],
            Alignment->Left,
            BaselinePosition->Baseline,
            FrameMargins->{{1, 1}, {0, 0}}],
           Frame->{{
              RGBColor[
              0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
               0.5], False}, {False, False}}]}
        },
        BaselinePosition->{1, 1},
        GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
        GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
        GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}], True->
       GridBox[{
         {GridBox[{
            {
             PaneBox[GridBox[{
                {
                 StyleBox[
                  StyleBox[
                   AdjustmentBox["\<\"[\[FilledSmallSquare]]\"\>",
                    BoxBaselineShift->-0.25,
                    BoxMargins->{{0, 0}, {-1, -1}}], "ResourceFunctionIcon",
                   
                   FontColor->RGBColor[
                    0.8745098039215686, 0.2784313725490196, 
                    0.03137254901960784]],
                  ShowStringCharacters->False,
                  FontFamily->"Source Sans Pro Black",
                  FontSize->0.6538461538461539 Inherited,
                  FontWeight->"Heavy",
                  PrivateFontOptions->{"OperatorSubstitution"->False}], 
                 StyleBox[
                  RowBox[{
                   StyleBox["ResetDataset", "ResourceFunctionLabel"], " "}],
                  ShowAutoStyles->False,
                  ShowStringCharacters->False,
                  FontSize->Rational[12, 13] Inherited,
                  FontColor->GrayLevel[0.1]]}
               },
               GridBoxSpacings->{"Columns" -> {{0.25}}}],
              Alignment->Left,
              BaseStyle->{LineSpacing -> {0, 0}, LineBreakWithin -> False},
              BaselinePosition->Baseline,
              FrameMargins->{{3, 0}, {0, 0}}], 
             ItemBox[
              PaneBox[
               TogglerBox[Dynamic[Typeset`open], {True->
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "IconizeCloser"]], False->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "IconizeOpener"]]},
                Appearance->None,
                BaselinePosition->Baseline,
                ContentPadding->False,
                FrameMargins->0],
               Alignment->Left,
               BaselinePosition->Baseline,
               FrameMargins->{{1, 1}, {0, 0}}],
              Frame->{{
                 RGBColor[
                 0.8313725490196079, 0.8470588235294118, 0.8509803921568627, 
                  0.5], False}, {False, False}}]}
           },
           BaselinePosition->{1, 1},
           GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
           
           GridBoxItemSize->{
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
           GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}]},
         {
          StyleBox[
           PaneBox[GridBox[{
              {
               RowBox[{
                TagBox["\<\"Version (latest): \"\>",
                 "IconizedLabel"], " ", 
                TagBox["\<\"1.0.0\"\>",
                 "IconizedItem"]}]},
              {
               TagBox[
                
                TemplateBox[{
                 "\"Documentation \[RightGuillemet]\"", 
                  "https://resources.wolframcloud.com/FunctionRepository/\
resources/e6a3d91c-a503-45c9-ab5f-725f8f674b40/"},
                 "HyperlinkURL"],
                "IconizedItem"]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
            Alignment->Left,
            BaselinePosition->Baseline,
            FrameMargins->{{5, 4}, {0, 4}}], "DialogStyle",
           FontFamily->"Roboto",
           FontSize->11]}
        },
        BaselinePosition->{1, 1},
        GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
        GridBoxDividers->{"Columns" -> {{None}}, "Rows" -> {False, {
             GrayLevel[0.8]}, False}},
        GridBoxItemSize->{
         "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
       Typeset`open],
       BaselinePosition->Baseline,
       ImageSize->Automatic],
      Background->RGBColor[
       0.9686274509803922, 0.9764705882352941, 0.984313725490196],
      BaselinePosition->Baseline,
      DefaultBaseStyle->{},
      FrameMargins->{{0, 0}, {1, 0}},
      FrameStyle->RGBColor[
       0.8313725490196079, 0.8470588235294118, 0.8509803921568627],
      RoundingRadius->4]],
    {"FunctionResourceBox", 
     RGBColor[0.8745098039215686, 0.2784313725490196, 0.03137254901960784], 
     "ResetDataset"},
    TagBoxNote->"FunctionResourceBox"],
   ResourceFunction[
    ResourceObject[<|
     "Name" -> "ResetDataset", "ShortName" -> "ResetDataset", "UUID" -> 
      "e6a3d91c-a503-45c9-ab5f-725f8f674b40", "ResourceType" -> "Function", 
      "Version" -> "1.0.0", "Description" -> 
      "Force a reanalysis of the types contained in a Dataset, sometimes \
leading to a different presentation of the data", "RepositoryLocation" -> 
      URL["https://www.wolframcloud.com/obj/resourcesystem/api/1.0"], 
      "SymbolName" -> 
      "FunctionRepository`$ee05d63beeb6442b8ca303e4822fcd3b`ResetDataset", 
      "FunctionLocation" -> 
      CloudObject[
       "https://www.wolframcloud.com/obj/3e6f1900-904d-4219-a7c2-\
4af8016649ec"]|>, ResourceSystemBase -> Automatic]],
   Selectable->False], "[", "withExplicitMissing", "]"}]], "Input",
 CellChangeTimes->{{3.86568571563468*^9, 3.865685732222207*^9}},
 CellLabel->"In[632]:=",
 CellID->1692159767,ExpressionUUID->"bc263d83-2cf0-4de6-94b5-683c7566a9fd"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {<|
       "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
        False|>, <|
       "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
        True|>, <|
       "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
        False|>}, "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "InitialType" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 5], "Meta" -> <||>, 
     "RowTarget" -> 20, "ColumnTarget" -> 10, "Shape" -> 
     TypeSystem`PackageScope`HeaderShape[<|{All, "class"} -> 1, {All, "age"} -> 
        1, {All, "sex"} -> 1, {All, "survived"} -> 1|>, 
       TypeSystem`PackageScope`Limited[
        TypeSystem`PackageScope`ColumnShape[
         TypeSystem`PackageScope`Limited[
          
          TypeSystem`PackageScope`RowShape[<|
           "class" -> TypeSystem`PackageScope`AtomShape[31.5], "age" -> 
            TypeSystem`PackageScope`AtomShape[34], "sex" -> 
            TypeSystem`PackageScope`AtomShape[63.], "survived" -> 
            TypeSystem`PackageScope`AtomShape[36]|>], 
          DirectedInfinity[1], 4, {All}]], 8, 
        DirectedInfinity[1], {}]], "Type" -> TypeSystem`Vector[
       TypeSystem`Struct[{"class", "age", "sex", "survived"}, {
         TypeSystem`Atom[
          TypeSystem`Enumeration["1st", "3rd"]], 
         TypeSystem`Atom[Integer], 
         TypeSystem`Atom[
          TypeSystem`Enumeration["female", "male"]], 
         TypeSystem`Atom[TypeSystem`Boolean]}], 5], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 4, "DataRowCount" -> 
     5, "DataColumnCount" -> 4, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["class", 
                  Style[
                  "class", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "class"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "13811af5-9979-41de-b891-6b6497169838"]][{All, "class"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["age", 
                  Style[
                  "age", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "age"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "13811af5-9979-41de-b891-6b6497169838"]][{All, "age"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["sex", 
                  Style[
                  "sex", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "sex"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "13811af5-9979-41de-b891-6b6497169838"]][{All, "sex"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}], 
            Item[
             Pane[
              Annotation[
               EventHandler[
                MouseAppearance[
                 Mouseover["survived", 
                  Style[
                  "survived", FontColor -> 
                   RGBColor[
                    0.27450980392156865`, 0.5372549019607843, 
                    0.792156862745098]]], "LinkHand"], {"MouseClicked", 1} :> 
                If[
                  TypeSystem`NestedGrid`PackagePrivate`checkInteractivity[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                  TypeSystem`NestedGrid`PackagePrivate`updateState[
                  TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                   TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                   TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][{
                   All, "survived"}, 1]]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "13811af5-9979-41de-b891-6b6497169838"]][{All, "survived"}, 
                "ColumnHeader", True], "Mouse"], 
              ImageSize -> {{1, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], Background -> 
             GrayLevel[0.95], Alignment -> {Left, Baseline}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "13811af5-9979-41de-b891-6b6497169838"]][{1, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["16"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "13811af5-9979-41de-b891-6b6497169838"]][{1, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "13811af5-9979-41de-b891-6b6497169838"]][{1, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "13811af5-9979-41de-b891-6b6497169838"]][{1, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["1st", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "13811af5-9979-41de-b891-6b6497169838"]][{2, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["65"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "13811af5-9979-41de-b891-6b6497169838"]][{2, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["male", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "13811af5-9979-41de-b891-6b6497169838"]][{2, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "13811af5-9979-41de-b891-6b6497169838"]][{2, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "13811af5-9979-41de-b891-6b6497169838"]][{3, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["2"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "13811af5-9979-41de-b891-6b6497169838"]][{3, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "13811af5-9979-41de-b891-6b6497169838"]][{3, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "13811af5-9979-41de-b891-6b6497169838"]][{3, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "13811af5-9979-41de-b891-6b6497169838"]][{4, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               Style["\[LongDash]", 
                GrayLevel[0.75]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "13811af5-9979-41de-b891-6b6497169838"]][{4, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "13811af5-9979-41de-b891-6b6497169838"]][{4, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["True"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "13811af5-9979-41de-b891-6b6497169838"]][{4, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation["3rd", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "13811af5-9979-41de-b891-6b6497169838"]][{5, 
                 Key["class"]}, "Item", False], "Mouse"], 
              ImageSize -> {{31.5, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["18"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "13811af5-9979-41de-b891-6b6497169838"]][{5, 
                 Key["age"]}, "Item", False], "Mouse"], 
              ImageSize -> {{34, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation["female", 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "13811af5-9979-41de-b891-6b6497169838"]][{5, 
                 Key["sex"]}, "Item", False], "Mouse"], 
              ImageSize -> {{63., Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}], 
            Item[
             Pane[
              Annotation[
               RawBoxes["False"], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "13811af5-9979-41de-b891-6b6497169838"]][{5, 
                 Key["survived"]}, "Item", False], "Mouse"], 
              ImageSize -> {{36, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{213., {86.8837890625, 94.1162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{213., {86.8837890625, 94.1162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.865685732734166*^9, 3.866801199211814*^9, 
  3.881426403104105*^9},
 CellLabel->"Out[632]=",
 CellID->355588619,ExpressionUUID->"9e46e03d-df40-476d-a760-3fec37d5274a"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox["Exercises",
  $Line = 0; Null]], "ExerciseSection",
 CellLabel->"In[89]:=",
 CellID->814524763,ExpressionUUID->"00fc858a-9463-406b-ac00-5ee84b28d812"],

Cell[TextData[{
 "Convert a ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of the integers from 2 to 11 into a dataset. Assign your result to the \
variable ",
 Cell[BoxData[
 "r10"], "InlineCode",ExpressionUUID->
  "86acf67f-478c-4c4a-8c4f-af58874c6b33"],
 "."
}], "Exercise",
 CellChangeTimes->{{3.769875177538176*^9, 3.7698752165966673`*^9}, {
   3.769875340567994*^9, 3.769875347133593*^9}, {3.769875424557398*^9, 
   3.769875426350273*^9}, {3.7880259925542164`*^9, 3.7880259986850834`*^9}, 
   3.87257969793476*^9},
 CounterAssignments->{{$CellContext`Exercise, 0}},
 CellTags->"Exercise",
 CellID->1974738722,ExpressionUUID->"86b053e3-744e-4b2d-ba7d-04153661487a"],

Cell[TextData[{
 "See what ",
 Cell[BoxData[
 "r10"], "InlineCode",ExpressionUUID->
  "899c814d-9f39-4af4-b6c4-be493c5758ce"],
 " looks like in ",
 ButtonBox["Normal",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Normal.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Normal.html"],
 " form."
}], "Exercise",
 CellChangeTimes->{{3.76987528452997*^9, 3.769875291462525*^9}, 
   3.7880260036640716`*^9, {3.866810953292615*^9, 3.8668109738363323`*^9}},
 CellTags->"Exercise",
 CellID->73936269,ExpressionUUID->"828ce6ec-d30a-4357-b8b1-439e50da42b3"],

Cell[TextData[{
 "Find out what types the ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " uses to describe the elements of ",
 Cell[BoxData[
 "r10"], "InlineCode",ExpressionUUID->"b0cbdcb4-f1c3-4536-acb8-9efc3065ca0d"],
 ". You may wish to run ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["Needs",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/Needs.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/Needs.html"], 
   "[", "\"\<TypeSystem`\>\"", "]"}]], "InlineCode",ExpressionUUID->
  "0ec83734-4663-4320-b146-041cc4b0d2bf"],
 " first. "
}], "Exercise",
 CellChangeTimes->{{3.7698753074203863`*^9, 3.769875338263208*^9}, {
   3.769875380902989*^9, 3.7698754594682817`*^9}, {3.788026013299573*^9, 
   3.7880260266614685`*^9}, 3.7880260835376806`*^9, {3.8668111538511677`*^9, 
   3.866811223794691*^9}, 3.868012514670001*^9, {3.8680126005899067`*^9, 
   3.8680126104465714`*^9}, {3.8693235645392113`*^9, 3.869323572347777*^9}, 
   3.869924447014184*^9, {3.872341134135951*^9, 3.8723411920470505`*^9}},
 CellTags->"Exercise",
 CellID->1401325117,ExpressionUUID->"d21ce8c9-0552-4852-bc95-ec5f5dad7ed1"],

Cell[TextData[{
 "Use ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " to create a new ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " whose values are the even elements of ",
 Cell[BoxData[
 "r10"], "InlineCode",ExpressionUUID->
  "76002371-f9bf-405d-ae5e-c8ef251828b1"],
 ". (If the orientation is now different than for ",
 Cell[BoxData[
 "r10"], "InlineCode",ExpressionUUID->
  "1dfe4c32-fe16-46a5-858e-8e72e2daac34"],
 ", it is because the data has fewer elements.)"
}], "Exercise",
 CellChangeTimes->{{3.866811237653529*^9, 3.866811268556655*^9}, {
  3.866811366115179*^9, 3.8668113717865*^9}, {3.866901201529067*^9, 
  3.866901225186778*^9}, {3.8680125813370743`*^9, 3.868012586497388*^9}, {
  3.8723412163497458`*^9, 3.8723412183749447`*^9}},
 CellTags->"Exercise",
 CellID->618084770,ExpressionUUID->"bfa93c4f-7e1d-4a0a-b037-a93316e51b85"],

Cell[TextData[{
 "Use the syntactic sugar (implicit ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " method) described in this chapter to write the same \
\[OpenCurlyDoubleQuote]query\[CloseCurlyDoubleQuote] as in the prior problem \
(selecting only the even elements of ",
 Cell[BoxData[
 "r10"], "InlineCode",ExpressionUUID->
  "910c20b9-4ac6-4a31-a5cb-a609644c8fde"],
 ") but without explicitly using the ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " function."
}], "Exercise",
 CellChangeTimes->{{3.8668113250373096`*^9, 3.866811405444023*^9}, {
   3.866811488885832*^9, 3.866811495171089*^9}, {3.866901233795693*^9, 
   3.866901239603201*^9}, 3.866903755879217*^9},
 CellTags->"Exercise",
 CellID->772328851,ExpressionUUID->"378f603b-899f-44bd-943b-2da197a131b2"],

Cell[TextData[{
 "Run the code ",
 Cell[BoxData[
  RowBox[{"lifeboat", "=", 
   RowBox[{
    ButtonBox[
     StyleBox["ResourceData",
      FontColor->GrayLevel[0]],
     BaseStyle->"Hyperlink",
     ButtonData->{
       URL["https://reference.wolfram.com/language/ref/ResourceData.html"], 
       None},
     ButtonNote->
      "https://reference.wolfram.com/language/ref/ResourceData.html"], "[", 
    RowBox[{"ro", ",", " ", "\"\<Lifeboat List of Associations\>\""}], 
    "]"}]}]], "InlineCode",ExpressionUUID->
  "bde4b924-16cf-4395-9ab2-a83790588e51"],
 ". Create a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " named ",
 Cell[BoxData[
 "lifeboatW"], "InlineCode",ExpressionUUID->
  "23671244-b9eb-44e0-8cbe-05efe2f31ab9"],
 " out of the resulting ",
 ButtonBox["List",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/List.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/List.html"],
 " of Associations that uses the ",
 Cell[BoxData[
 "\"\<Web\>\""], "InlineCode",ExpressionUUID->
  "ffa8718e-ac3a-4654-9f61-16a8006e3ea4"],
 " theme."
}], "Exercise",
 CellChangeTimes->{{3.866811612807857*^9, 3.866811632710705*^9}, {
   3.866811676679797*^9, 3.866811736030096*^9}, {3.8668117963053102`*^9, 
   3.8668118108625507`*^9}, {3.866811845059935*^9, 3.866811850193688*^9}, {
   3.866811916384913*^9, 3.866811917823688*^9}, {3.866815015659156*^9, 
   3.866815045295599*^9}, {3.8669037630898867`*^9, 3.866903773959206*^9}, {
   3.868012708152367*^9, 3.868012714382773*^9}, 3.8699244502265716`*^9, {
   3.872341486024933*^9, 3.872341525680835*^9}, {3.872341588608353*^9, 
   3.8723416195124655`*^9}, {3.896333603410204*^9, 3.896333604362071*^9}, {
   3.8980875109767437`*^9, 3.898087510976899*^9}},
 CellTags->"Exercise",
 CellID->1139836289,ExpressionUUID->"3bc9958a-5942-45b0-bb0e-ede80089259d"],

Cell[TextData[{
 "Try and recreate the ",
 Cell[BoxData[
 "\"\<Web\>\""], "InlineCode",ExpressionUUID->
  "cc4955ea-d6e3-4e11-a2a3-332b81fbba56"],
 " theme shown before using various presentation options. You do not have to \
get the colors exactly correct. Also, you may need to use ",
 ButtonBox["DatasetTheme",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/DatasetTheme.html"], None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/DatasetTheme.html"],
 " in order to get the column dividers."
}], "Exercise",
 CellChangeTimes->{{3.866811928001728*^9, 3.8668119777082043`*^9}, {
   3.866812690926539*^9, 3.866812703752046*^9}, {3.866812775032243*^9, 
   3.866812776679309*^9}, 3.866903801004011*^9, 3.8680127834566927`*^9, {
   3.8701680339496264`*^9, 3.8701680356608825`*^9}},
 CellTags->"Exercise",
 CellID->1674377983,ExpressionUUID->"bd1fcf73-826b-4216-b485-c21cd29765d6"],

Cell[TextData[{
 "Write a ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " that retrieves only the survivors in ",
 Cell[BoxData[
 "lifeboatW"], "InlineCode",ExpressionUUID->
  "22fb1fd8-c609-4a2e-a085-ff9218df1f98"],
 " and then drops the ",
 Cell[BoxData[
 "\"\<survived\>\""], "InlineCode",ExpressionUUID->
  "6104dc1c-53f2-40c0-a5f6-d0edd04dab2e"],
 " column. See if you can preserve the formatting of ",
 Cell[BoxData[
 "lifeboatW"], "InlineCode",ExpressionUUID->
  "38ad66f1-56e9-49ff-bb9f-0d32f4b46330"],
 ". Hint: Using the ",
 ButtonBox["DatasetQuery",
  BaseStyle->"ResourceFunctionlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
DatasetQuery"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/\
DatasetQuery"],
 " ",
 ButtonBox["ResourceFunction",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ResourceFunction.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/ResourceFunction.html"],
 " might make this easier."
}], "Exercise",
 CellChangeTimes->{{3.866814973337532*^9, 3.866815003127269*^9}, {
   3.8668151095936823`*^9, 3.866815120731282*^9}, {3.866815172838024*^9, 
   3.866815202044818*^9}, {3.86690385998622*^9, 3.8669038857540197`*^9}, {
   3.868012809370348*^9, 3.868012826996138*^9}, 3.8699218109092207`*^9, {
   3.8723420311987953`*^9, 3.8723420326530914`*^9}, {3.896333619962411*^9, 
   3.896333646818139*^9}},
 CellTags->"Exercise",
 CellID->645049993,ExpressionUUID->"0598e314-6dcb-4c2a-9e4a-1c9d48b6947f"],

Cell[TextData[{
 "Write a ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " that retrieves passengers age 50 or older in ",
 Cell[BoxData[
 "lifeboatW"], "InlineCode",ExpressionUUID->
  "2010a628-2f56-4f06-91cd-eef28043f26d"],
 " and then drops the ",
 Cell[BoxData[
 "\"\<age\>\""], "InlineCode",ExpressionUUID->
  "9ebfacb5-57fb-494c-b171-cfad82452f67"],
 " column. Preserve the formatting of ",
 Cell[BoxData[
 "lifeboatW"], "InlineCode",ExpressionUUID->
  "9cbf227c-b297-4ef9-8cbf-0c020477591c"],
 " except change the ",
 ButtonBox["HeaderBackground",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/HeaderBackground.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/HeaderBackground.html"],
 " to ",
 ButtonBox["Yellow",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Yellow.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Yellow.html"],
 "."
}], "Exercise",
 CellChangeTimes->{{3.866814973337532*^9, 3.866815003127269*^9}, {
   3.8668151095936823`*^9, 3.866815120731282*^9}, {3.866815172838024*^9, 
   3.866815202044818*^9}, {3.866815239841421*^9, 3.866815264488813*^9}, {
   3.8668153130810947`*^9, 3.866815351565497*^9}, {3.866903902510741*^9, 
   3.866903913252293*^9}, 3.868012867775323*^9, 3.873800729455621*^9},
 CellTags->{"Exercise", "LastCellOfAPage"},
 CellID->857782295,ExpressionUUID->"f96bcafe-b770-45e3-a3bb-0f48f1f652ce"],

Cell[TextData[{
 "In the famous 1997 movie ",
 StyleBox["Titanic",
  FontSlant->"Italic"],
 ", a main character (portrayed by actress Kate Winslet) is Rose, a \
17-year-old girl who travels in first class. Take ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["ExampleData",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/ExampleData.html"], 
      None},
    ButtonNote->
     "https://reference.wolfram.com/language/ref/ExampleData.html"], "[", 
   RowBox[{"{", 
    RowBox[{"\"\<Dataset\>\"", ",", " ", "\"\<Titanic\>\""}], "}"}], "]"}]], 
  "InlineCode",ExpressionUUID->"b9ec4b1e-aa50-4ff0-9877-be5bea0e5f3d"],
 " and then use either ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " or the implicit ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " method to find the passengers on the Titanic who meet this description. \
Assign your result to the variable ",
 Cell[BoxData[
 "roses"], "InlineCode",ExpressionUUID->
  "779a601c-237b-455a-9638-e84f2011a1ba"],
 ". You should find two possible passengers."
}], "Exercise",
 CellChangeTimes->{{3.769875479929645*^9, 3.769875518242405*^9}, {
   3.769875593976574*^9, 3.769875768428452*^9}, {3.769875798772784*^9, 
   3.769875807655758*^9}, 3.787077265284659*^9, {3.7880263589756536`*^9, 
   3.7880264192980137`*^9}, {3.866810751820122*^9, 3.8668107820752783`*^9}, {
   3.866904009324288*^9, 3.8669040306239653`*^9}, {3.868012922275174*^9, 
   3.868012947912671*^9}, {3.8680130556708*^9, 3.868013165616115*^9}, {
   3.872342485349431*^9, 3.8723425195792627`*^9}, {3.873800777840156*^9, 
   3.873800826524417*^9}, {3.897742605963664*^9, 3.8977426068140917`*^9}, {
   3.898087660944457*^9, 3.898087660944613*^9}},
 CellTags->{"Exercise", "p: 191"},
 CellID->689309754,ExpressionUUID->"619b0187-5d16-465d-9b9a-5fc354f2c075"],

Cell[TextData[{
 "Get the Major League Soccer (MLS) dataset out of the ",
 ButtonBox["ResourceObject",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ResourceObject.html"], 
    None},
  ButtonNote->
   "https://reference.wolfram.com/language/ref/ResourceObject.html"],
 " for this book with the code ",
 Cell[BoxData[
  RowBox[{"mls", "=", 
   RowBox[{
    ButtonBox[
     StyleBox["ResourceData",
      FontColor->GrayLevel[0]],
     BaseStyle->"Hyperlink",
     ButtonData->{
       URL["https://reference.wolfram.com/language/ref/ResourceData.html"], 
       None},
     ButtonNote->
      "https://reference.wolfram.com/language/ref/ResourceData.html"], "[", 
    RowBox[{"ro", ",", " ", "\"\<MLS List of Associations Dataset\>\""}], 
    "]"}]}]], "InlineCode",ExpressionUUID->
  "ad9142a2-25ca-4aee-ad10-07882562d363"],
 "."
}], "Exercise",
 CellChangeTimes->{{3.769875220451687*^9, 3.7698752673084383`*^9}, {
  3.7699450228373947`*^9, 3.769945030617193*^9}, {3.7880282837240486`*^9, 
  3.7880282912520385`*^9}, {3.866904136399255*^9, 3.866904148007449*^9}, {
  3.8723432285287805`*^9, 3.872343234274275*^9}, {3.8723432695654273`*^9, 
  3.8723433262464743`*^9}, {3.872343373548346*^9, 3.8723433751892014`*^9}, {
  3.898087663616156*^9, 3.898087663616254*^9}},
 CellTags->"Exercise",
 CellID->1702243560,ExpressionUUID->"f6d55c7f-5a17-48ad-a007-f2468c5c41e9"],

Cell[TextData[{
 "Get the median guaranteed compensation for players in 2016 broken down by \
position and sorted from high to low. Hint: The date is stored as a ",
 ButtonBox["DateObject",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/DateObject.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/DateObject.html"],
 "."
}], "Exercise",
 CellChangeTimes->{{3.7699461317307653`*^9, 3.769946149483696*^9}, {
   3.7699462124693727`*^9, 3.769946247297323*^9}, {3.769946277892984*^9, 
   3.769946289028973*^9}, 3.7880283010751357`*^9, {3.7880283855848074`*^9, 
   3.7880284060604877`*^9}, 3.795359891521946*^9, {3.8668154955454884`*^9, 
   3.866815500697174*^9}, {3.880552277582038*^9, 3.880552279224338*^9}, {
   3.8806363350928907`*^9, 3.8806363744714127`*^9}, 3.8812327591969337`*^9, {
   3.881233490450492*^9, 3.8812334914857216`*^9}, 3.896333701089652*^9},
 CellTags->"Exercise",
 CellID->830367586,ExpressionUUID->"8c862c3a-7c85-47e5-8bb0-3b9732968aba"],

Cell[TextData[{
 "Display the MLS data so that any dollar figures are rounded to the nearest \
ten thousand. (You will want to use an IPD function to do so.) Put the last \
name of the player in 24 point type and the first name of the player in \
8-point type. Create alternating row backgrounds of white and very light \
blue. Instead of displaying the first 20 items and then requiring a new \
\[OpenCurlyDoubleQuote]page\[CloseCurlyDoubleQuote] to be chosen, display \
only the first eight items before a new \[OpenCurlyDoubleQuote]page\
\[CloseCurlyDoubleQuote] must be chosen. Hint: The BaseSalary and \
GuaranteedCompensation are stored as ",
 ButtonBox["Quantity",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Quantity.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Quantity.html"],
 " objects. Here\[CloseCurlyQuote]s how one could round $34,343 to the \
nearest $10,000: ",
 Cell[BoxData[
  StyleBox[
   RowBox[{
    ButtonBox[
     StyleBox["Round",
      FontColor->GrayLevel[0]],
     BaseStyle->"Hyperlink",
     ButtonData->{
       URL["https://reference.wolfram.com/language/ref/Round.html"], None},
     ButtonNote->"https://reference.wolfram.com/language/ref/Round.html"], 
    "[", 
    RowBox[{
     RowBox[{
      ButtonBox[
       StyleBox["Quantity",
        FontColor->GrayLevel[0]],
       BaseStyle->"Hyperlink",
       ButtonData->{
         URL["https://reference.wolfram.com/language/ref/Quantity.html"], 
         None},
       ButtonNote->
        "https://reference.wolfram.com/language/ref/Quantity.html"], "[", 
      RowBox[{"34343", ",", " ", "\"\<USDollars\>\""}], "]"}], ",", 
     RowBox[{
      ButtonBox[
       StyleBox[
        RowBox[{" ", "Quantity"}],
        FontColor->GrayLevel[0]],
       BaseStyle->"Hyperlink",
       ButtonData->{
         URL["https://reference.wolfram.com/language/ref/Quantity.html"], 
         None},
       ButtonNote->
        "https://reference.wolfram.com/language/ref/Quantity.html"], "[", 
      RowBox[{"10000", ",", " ", "\"\<USDollars\>\""}], "]"}]}]}], 
   "InlineCode"]], "InlineCode",ExpressionUUID->
  "71cff5d5-0974-4115-a137-d309aed485a6"],
 "."
}], "Exercise",
 CellTags->"Exercise",
 CellID->1639279696,ExpressionUUID->"840a6f78-6be7-4b4d-9aa3-b275d732aa30"],

Cell[TextData[{
 "Did you notice that the labeling of positions is inconsistent? Sometimes, \
for example, a player is listed as playing ",
 Cell[BoxData[
 "\"\<M/F\>\""], "InlineCode",ExpressionUUID->
  "4336787a-6529-4bda-974c-230a371b3d7a"],
 ", which I am confident means midfielder-forward, and other times, they are \
listed as playing ",
 Cell[BoxData[
 "\"\<M-F\>\""], "InlineCode",ExpressionUUID->
  "840018b0-f41f-4080-ad2b-4d39e7dc4077"],
 ", which I am confident means the same thing. It appears that sometimes a \
\[OpenCurlyDoubleQuote]/\[CloseCurlyDoubleQuote] is used to designate \
alternative positions and sometimes a \[OpenCurlyDoubleQuote]-\
\[CloseCurlyDoubleQuote] is used for the same purpose. Improve the dataset so \
that the encoding of the position column is consistent. Use an implicit ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " to do this. Call your result ",
 Cell[BoxData[
 "mls2"], "InlineCode",ExpressionUUID->"0e63b293-712b-4846-8f23-1755f7c5293c"],
 ". Hint 1: The ",
 Cell[BoxData[
 "\"\<Position\>\""], "InlineCode",ExpressionUUID->
  "052a7865-2edf-4266-b4d3-c6fc6e550b34"],
 " column may contain Missings or things that aren\[CloseCurlyQuote]t \
strings. How are you going to handle that? Hint 2: My code uses ",
 ButtonBox["MapAt",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/MapAt.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/MapAt.html"],
 "."
}], "Exercise",
 CellChangeTimes->{{3.769946301370448*^9, 3.769946402844323*^9}, {
  3.769946455227157*^9, 3.769946481541902*^9}, {3.769946604802535*^9, 
  3.7699466658853617`*^9}, {3.78802843939478*^9, 3.7880285080176673`*^9}, {
  3.868013397135516*^9, 3.868013443045711*^9}, {3.8723435653342185`*^9, 
  3.872343595103669*^9}, {3.872939198378248*^9, 3.872939201686631*^9}, {
  3.8738008664403386`*^9, 3.873800869333908*^9}, {3.8963337753877497`*^9, 
  3.896333790737914*^9}},
 CellTags->"Exercise",
 CellID->1306143309,ExpressionUUID->"75b6d1f4-e5d6-4e0a-906c-ad9d3d177fb0"],

Cell[TextData[{
 "Reformat your answer (",
 Cell[BoxData[
 "mls2"], "InlineCode",ExpressionUUID->"056252a9-9d31-4ff2-b51c-6dd9214a629d"],
 ") so that only six rows display at a time, the headers are red, the column \
backgrounds alternate in color between orange and pink, and the columns are \
divided by thick yellow lines. "
}], "Exercise",
 CellChangeTimes->{{3.866904354404633*^9, 3.866904404826171*^9}, {
  3.866904444380175*^9, 3.8669044825412493`*^9}, {3.866904619208193*^9, 
  3.866904623956358*^9}, {3.8680135105987453`*^9, 3.868013518150572*^9}, {
  3.8723437428746786`*^9, 3.872343755238103*^9}},
 CellTags->"Exercise",
 CellID->772754729,ExpressionUUID->"baacfe66-5a9d-4b00-a953-b861aa6edbc3"],

Cell[TextData[{
 "Now determine the median salary in 2017 by position using the improved MLS \
data (",
 Cell[BoxData[
 "mls2"], "InlineCode",ExpressionUUID->"52f987ce-d70a-46c0-887e-3b92c2e97e48"],
 "). Format your answer so that the rows alternate in color between ",
 ButtonBox["Gray",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Gray.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Gray.html"],
 " and ",
 ButtonBox["Lighter",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Lighter.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Lighter.html"],
 ButtonBox["@",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Prefix.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Prefix.html"],
 ButtonBox["Gray",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Gray.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Gray.html"],
 ". Some soccer experts might agree with me that goalkeepers are underpaid \
relative to their value in the game. Hint: Remember that dates are stored as \
DateObjects so that what may appear as 2017 is actually ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    StyleBox["DateObject",
     FontColor->GrayLevel[0]],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["https://reference.wolfram.com/language/ref/DateObject.html"], None},
    ButtonNote->"https://reference.wolfram.com/language/ref/DateObject.html"],
    "[", 
   RowBox[{"{", "2017", "}"}], "]"}]], "InlineCode",ExpressionUUID->
  "4d91d1b4-a0cd-46d6-95cf-5246490eb9ed"],
 "."
}], "Exercise",
 CellChangeTimes->{{3.769946669655375*^9, 3.7699467179769983`*^9}, {
   3.7880285148817015`*^9, 3.788028538554883*^9}, {3.866815560725232*^9, 
   3.866815573908729*^9}, {3.866904272037459*^9, 3.866904309146566*^9}, {
   3.866904634979142*^9, 3.8669046427096*^9}, {3.866904742593358*^9, 
   3.8669047452203617`*^9}, {3.8680136366201153`*^9, 
   3.8680136726910667`*^9}, {3.880636752045212*^9, 3.880636753305978*^9}, {
   3.8806367965284243`*^9, 3.880636831202216*^9}, {3.8812337702372713`*^9, 
   3.8812338013925686`*^9}, 3.89633381607371*^9},
 CellTags->"Exercise",
 CellID->1855116894,ExpressionUUID->"817fa7ca-9a45-4464-ac1d-ad28945ffe0c"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Tech Notes", "TechNoteSection",
 CellID->21466922,ExpressionUUID->"fb4f2a37-9944-4cab-b753-c6e541e526e6"],

Cell[TextData[{
 "You can generate a ",
 ButtonBox["Query",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Query.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Query.html"],
 " so complicated or meaningless that the system doesn\[CloseCurlyQuote]t \
quite know what to do with it. In these circumstances, you may end up with \
the ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " object being converted to its ",
 ButtonBox["Normal",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Normal.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Normal.html"],
 " form. Here, I apply ",
 Cell[BoxData[
 "f"], "InlineCode",ExpressionUUID->"aa36a4fc-6837-4d1a-93e9-a96b2d576ee6"],
 " to ",
 Cell[BoxData[
 "dinghyDS"], "InlineCode",ExpressionUUID->
  "a7e172fe-1615-432c-80ee-4e8b63f7bb9d"],
 ". The result is an expression with ",
 Cell[BoxData[
 "f"], "InlineCode",ExpressionUUID->"dd09fd54-fab6-4709-bf0e-a5c8248c8d9a"],
 " as its head and whose argument is the ",
 ButtonBox["Normal",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Normal.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Normal.html"],
 " form of the input ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 "."
}], "TechNote",
 CellID->1140920546,ExpressionUUID->"956dc764-6f40-4733-8298-f14bb1983f45"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"dinghyDS", "[", "f", "]"}]], "Input",
 CellChangeTimes->{{3.769891836061624*^9, 3.769891837322485*^9}, {
  3.769947163134672*^9, 3.7699471657856417`*^9}},
 CellLabel->"In[633]:=",
 CellID->719670647,ExpressionUUID->"48026140-d10f-47a5-a534-e3724fc8221b"],

Cell[BoxData[
 RowBox[{"f", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"\[LeftAssociation]", 
     RowBox[{
      RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
      RowBox[{"\<\"age\"\>", "\[Rule]", "16"}], ",", 
      RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
      RowBox[{"\<\"survived\"\>", "\[Rule]", "True"}]}], 
     "\[RightAssociation]"}], ",", 
    RowBox[{"\[LeftAssociation]", 
     RowBox[{
      RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"1st\"\>"}], ",", 
      RowBox[{"\<\"age\"\>", "\[Rule]", "65"}], ",", 
      RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"male\"\>"}], ",", 
      RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
     "\[RightAssociation]"}], ",", 
    RowBox[{"\[LeftAssociation]", 
     RowBox[{
      RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
      RowBox[{"\<\"age\"\>", "\[Rule]", "2"}], ",", 
      RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
      RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
     "\[RightAssociation]"}], ",", 
    RowBox[{"\[LeftAssociation]", 
     RowBox[{
      RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
      RowBox[{"\<\"age\"\>", "\[Rule]", 
       RowBox[{"Missing", "[", "]"}]}], ",", 
      RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
      RowBox[{"\<\"survived\"\>", "\[Rule]", "True"}]}], 
     "\[RightAssociation]"}], ",", 
    RowBox[{"\[LeftAssociation]", 
     RowBox[{
      RowBox[{"\<\"class\"\>", "\[Rule]", "\<\"3rd\"\>"}], ",", 
      RowBox[{"\<\"age\"\>", "\[Rule]", "18"}], ",", 
      RowBox[{"\<\"sex\"\>", "\[Rule]", "\<\"female\"\>"}], ",", 
      RowBox[{"\<\"survived\"\>", "\[Rule]", "False"}]}], 
     "\[RightAssociation]"}]}], "}"}], "]"}]], "Output",
 CellChangeTimes->{3.7698918376254272`*^9, 3.769946848748239*^9, 
  3.76994716899197*^9, 3.771930548807724*^9, 3.866801208529388*^9, 
  3.881426413475766*^9},
 CellTags->"LastCellOfAPage",
 CellLabel->"Out[633]=",
 CellID->60949696,ExpressionUUID->"48f29066-695c-422a-b98d-ec5eb09031e7"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"dinghyDS", "[", "Length", "]"}]], "Input",
 CellChangeTimes->{{3.795360152885046*^9, 3.795360160426991*^9}},
 CellTags->"p: 192",
 CellLabel->"In[634]:=",
 CellID->1721667633,ExpressionUUID->"cd849a05-5bd8-455e-98b1-faa16f56b7fa"],

Cell[BoxData["5"], "Output",
 CellChangeTimes->{3.795360161405745*^9, 3.866801208557313*^9, 
  3.881426416278516*^9},
 CellLabel->"Out[634]=",
 CellID->1468383450,ExpressionUUID->"bc2673ed-cc7f-4474-ade9-39443ea829b8"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", "dinghyDS", "]"}]], "Input",
 CellChangeTimes->{{3.795360163510165*^9, 3.7953601683233547`*^9}},
 CellLabel->"In[635]:=",
 CellID->211924527,ExpressionUUID->"6f476054-90f8-4d20-b03a-bda552734c4c"],

Cell[BoxData["5"], "Output",
 CellChangeTimes->{3.795360168752294*^9, 3.866801208579578*^9, 
  3.8814264187604237`*^9},
 CellLabel->"Out[635]=",
 CellID->1810553047,ExpressionUUID->"67134e4e-9fa2-4d2d-9a60-8eed1139fbcd"]
}, Open  ]],

Cell[TextData[{
 "In the real world, however, where I am not seeking to break ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ", I find that this sort of thing seldom occurs. So long as you keep your \
blunders to lower levels of the expression, it\[CloseCurlyQuote]s tough to \
\[OpenCurlyDoubleQuote]escape\[CloseCurlyDoubleQuote] the ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ". "
}], "TechNote",
 CellChangeTimes->{{3.769891886572034*^9, 3.769891905979938*^9}, {
   3.769893690575508*^9, 3.769893725775875*^9}, {3.7880257540655403`*^9, 
   3.7880257741524286`*^9}, {3.866822069738639*^9, 3.866822081119886*^9}, 
   3.8680137688062487`*^9},
 CellID->7293653,ExpressionUUID->"0fa59ae5-6d41-47d0-8e99-d4a1b6b5fe39"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"dinghyDS", "[", 
  RowBox[{"All", ",", "f"}], "]"}]], "Input",
 CellChangeTimes->{{3.769893715509646*^9, 3.769893718211976*^9}, {
  3.769947136634912*^9, 3.7699471590840597`*^9}},
 CellLabel->"In[636]:=",
 CellID->626632226,ExpressionUUID->"c5041e43-5820-4e48-9428-b28c776560a2"],

Cell[BoxData[
 TagBox[
  TagBox[
   DynamicModuleBox[{TypeSystem`NestedGrid`PackagePrivate`$state$$ = <|
    "InitialData" -> {
       $CellContext`f[<|
        "class" -> "3rd", "age" -> 16, "sex" -> "female", "survived" -> 
         True|>], 
       $CellContext`f[<|
        "class" -> "1st", "age" -> 65, "sex" -> "male", "survived" -> 
         False|>], 
       $CellContext`f[<|
        "class" -> "3rd", "age" -> 2, "sex" -> "female", "survived" -> 
         False|>], 
       $CellContext`f[<|
        "class" -> "3rd", "age" -> Missing[], "sex" -> "female", "survived" -> 
         True|>], 
       $CellContext`f[<|
        "class" -> "3rd", "age" -> 18, "sex" -> "female", "survived" -> 
         False|>]}, "AllowEmbedding" -> True, "InitialShape" -> 
     TypeSystem`PackageScope`Limited[
       TypeSystem`PackageScope`ColumnShape[
        TypeSystem`PackageScope`UnknownShape[False]], 8, 
       DirectedInfinity[1], {}], "InitialType" -> 
     TypeSystem`Vector[TypeSystem`AnyType, 5], "Meta" -> <||>, "RowTarget" -> 
     20, "ColumnTarget" -> 10, "Shape" -> TypeSystem`PackageScope`Limited[
       TypeSystem`PackageScope`ColumnShape[
        TypeSystem`PackageScope`UnknownShape[False]], 8, 
       DirectedInfinity[1], {}], "Type" -> 
     TypeSystem`Vector[TypeSystem`AnyType, 5], "Path" -> {}, 
     "DisplayedRowCount" -> 8, "DisplayedColumnCount" -> 1, "DataRowCount" -> 
     5, "DataColumnCount" -> 1, "SortPaths" -> {}, "SortDirections" -> {}, 
     "HiddenItemsMap" -> Null, "UpdateType" -> 1|>, 
    TypeSystem`NestedGrid`PackagePrivate`$outputID$$, 
    TypeSystem`NestedGrid`PackagePrivate`$path$$ = {}, 
    TypeSystem`NestedGrid`PackagePrivate`$vPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$hPos$$ = 1, 
    TypeSystem`NestedGrid`PackagePrivate`$grid$$ = 
    DynamicModule[{TypeSystem`NestedGrid`PackagePrivate`renderedGrid = Deploy[
        Style[
         Grid[{{
            Item[
             Pane[
              Annotation[
               RawBoxes[
                StyleBox[
                 RowBox[{"f", "[", 
                   RowBox[{"\[LeftAssociation]", 
                    RowBox[{
                    RowBox[{"\"class\"", "\[Rule]", "\"3rd\""}], ",", 
                    RowBox[{"\"age\"", "\[Rule]", "16"}], ",", 
                    RowBox[{"\"sex\"", "\[Rule]", "\"female\""}], ",", 
                    RowBox[{"\"survived\"", "\[Rule]", "True"}]}], 
                    "\[RightAssociation]"}], "]"}], FontFamily -> Dynamic[
                   CurrentValue[{"StyleHints", "CodeFont"}]], 
                 ShowStringCharacters -> True]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "e5a0554d-e0e1-4f86-9dd6-d3f580e44f20"]][{1}, "Item", False], 
               "Mouse"], ImageSize -> {{60, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               RawBoxes[
                StyleBox[
                 RowBox[{"f", "[", 
                   RowBox[{"\[LeftAssociation]", 
                    RowBox[{
                    RowBox[{"\"class\"", "\[Rule]", "\"1st\""}], ",", 
                    RowBox[{"\"age\"", "\[Rule]", "65"}], ",", 
                    RowBox[{"\"sex\"", "\[Rule]", "\"male\""}], ",", 
                    RowBox[{"\"survived\"", "\[Rule]", "False"}]}], 
                    "\[RightAssociation]"}], "]"}], FontFamily -> Dynamic[
                   CurrentValue[{"StyleHints", "CodeFont"}]], 
                 ShowStringCharacters -> True]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "e5a0554d-e0e1-4f86-9dd6-d3f580e44f20"]][{2}, "Item", False], 
               "Mouse"], ImageSize -> {{60, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               RawBoxes[
                StyleBox[
                 RowBox[{"f", "[", 
                   RowBox[{"\[LeftAssociation]", 
                    RowBox[{
                    RowBox[{"\"class\"", "\[Rule]", "\"3rd\""}], ",", 
                    RowBox[{"\"age\"", "\[Rule]", "2"}], ",", 
                    RowBox[{"\"sex\"", "\[Rule]", "\"female\""}], ",", 
                    RowBox[{"\"survived\"", "\[Rule]", "False"}]}], 
                    "\[RightAssociation]"}], "]"}], FontFamily -> Dynamic[
                   CurrentValue[{"StyleHints", "CodeFont"}]], 
                 ShowStringCharacters -> True]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "e5a0554d-e0e1-4f86-9dd6-d3f580e44f20"]][{3}, "Item", False], 
               "Mouse"], ImageSize -> {{60, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               RawBoxes[
                StyleBox[
                 RowBox[{"f", "[", 
                   RowBox[{"\[LeftAssociation]", 
                    RowBox[{
                    RowBox[{"\"class\"", "\[Rule]", "\"3rd\""}], ",", 
                    RowBox[{"\"age\"", "\[Rule]", 
                    RowBox[{"Missing", "[", "]"}]}], ",", 
                    RowBox[{"\"sex\"", "\[Rule]", "\"female\""}], ",", 
                    RowBox[{"\"survived\"", "\[Rule]", "True"}]}], 
                    "\[RightAssociation]"}], "]"}], FontFamily -> Dynamic[
                   CurrentValue[{"StyleHints", "CodeFont"}]], 
                 ShowStringCharacters -> True]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "e5a0554d-e0e1-4f86-9dd6-d3f580e44f20"]][{4}, "Item", False], 
               "Mouse"], ImageSize -> {{60, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}, {
            Item[
             Pane[
              Annotation[
               RawBoxes[
                StyleBox[
                 RowBox[{"f", "[", 
                   RowBox[{"\[LeftAssociation]", 
                    RowBox[{
                    RowBox[{"\"class\"", "\[Rule]", "\"3rd\""}], ",", 
                    RowBox[{"\"age\"", "\[Rule]", "18"}], ",", 
                    RowBox[{"\"sex\"", "\[Rule]", "\"female\""}], ",", 
                    RowBox[{"\"survived\"", "\[Rule]", "False"}]}], 
                    "\[RightAssociation]"}], "]"}], FontFamily -> Dynamic[
                   CurrentValue[{"StyleHints", "CodeFont"}]], 
                 ShowStringCharacters -> True]], 
               TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                "e5a0554d-e0e1-4f86-9dd6-d3f580e44f20"]][{5}, "Item", False], 
               "Mouse"], ImageSize -> {{60, Full}, Automatic}, 
              ImageMargins -> {{5, 3}, {4, 5}}], 
             ItemSize -> {Full, Automatic}]}}, 
          BaseStyle -> {
           ContextMenu -> 
            Dynamic[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
              Which[TypeSystem`NestedGrid`PackagePrivate`$lastOutputID =!= 
                TypeSystem`NestedGrid`PackagePrivate`localHold[
                 TypeSystem`NestedGrid`PackagePrivate`$outputID$$], {}, 
                TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger === 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu, True, 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenuTrigger = 
                 TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger; 
                TypeSystem`NestedGrid`PackagePrivate`$lastContextMenu = 
                 Block[{TypeSystem`NestedGrid`PackagePrivate`$globalScrollPos = \
{TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$}}, 
                   
                   With[{TypeSystem`NestedGrid`PackagePrivate`lastPath$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ = 
                    TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$ = 
                    
                    TypeSystem`NestedGrid`PackagePrivate`$\
lastPathIsLeafHeader, TypeSystem`NestedGrid`PackagePrivate`headerHidden$ = And[
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`$lastPathType, 
                    Alternatives["RowHeader", "ColumnHeader"]], 
                    TypeSystem`NestedGrid`PackagePrivate`headerHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]], 
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`allHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`anyHidden$ = 
                    TypeSystem`NestedGrid`PackagePrivate`anyHiddenQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ = 
                    TypeSystem`NestedGrid`PackagePrivate`columnSortDirection[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortPaths"], 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$[
                    "SortDirections"]], 
                    TypeSystem`NestedGrid`PackagePrivate`haveData$ = Not[
                    FailureQ[
                    TypeSystem`NestedGrid`PackagePrivate`datasetInitialData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$]]], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$ = Not[
                    FreeQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, Keys]]}, 
                    Join[{
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    Not[TypeSystem`NestedGrid`PackagePrivate`anyHidden$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$], 
                    Nothing, 
                    MenuItem[
                    "Show " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "remove"]], MenuEvaluator -> Automatic]], 
                    If[
                    Or[
                    Not[TypeSystem`NestedGrid`PackagePrivate`haveData$], 
                    TypeSystem`NestedGrid`PackagePrivate`pathEmptyQ[
                    TypeSystem`NestedGrid`PackagePrivate`$lastPath, 
                    TypeSystem`NestedGrid`PackagePrivate`$state$$], 
                    TypeSystem`NestedGrid`PackagePrivate`isKeyDummy$, 
                    And[
                    TypeSystem`NestedGrid`PackagePrivate`allHidden$, 
                    TypeSystem`NestedGrid`PackagePrivate`headerHidden$]], 
                    Nothing, 
                    MenuItem[
                    "Hide " <> 
                    Which[TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "Item", "", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "RowHeader", "Row", 
                    TypeSystem`NestedGrid`PackagePrivate`lastPathType$ == 
                    "ColumnHeader", "Column", True, ""], 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateHiddenItems[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, "add"]], 
                    MenuEvaluator -> Automatic]], Delimiter}, 
                    If[
                    And[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MatchQ[TypeSystem`NestedGrid`PackagePrivate`lastPathType$, 
                    Alternatives["ColumnHeader", "KeyDummy"]], 
                    TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
                    Not[TypeSystem`NestedGrid`PackagePrivate`allHidden$]], {
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Ascending", 
                    MenuItem["Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Ascending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    "Descending", 
                    MenuItem["Reverse Sort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, 
                    "Descending"]], MenuEvaluator -> Automatic], Nothing], 
                    If[
                    TypeSystem`NestedGrid`PackagePrivate`sortDirection$ =!= 
                    None, 
                    MenuItem["Unsort", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`updateSort[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$path$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
                    TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
                    TypeSystem`NestedGrid`PackagePrivate`localHold[
                    TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
                    TypeSystem`NestedGrid`PackagePrivate`lastPath$, None]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter}, {}], {
                    MenuItem["Copy Position to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Copy Data to Clipboard", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`copyClip]], 
                    MenuEvaluator -> Automatic], Nothing], Delimiter, 
                    MenuItem["Paste Position in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentPosition[
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], 
                    If[TypeSystem`NestedGrid`PackagePrivate`haveData$, 
                    MenuItem["Paste Data in New Cell", 
                    KernelExecute[
                    TypeSystem`NestedGrid`PackagePrivate`toCurrentData[
                    TypeSystem`NestedGrid`PackagePrivate`$state$$, 
                    TypeSystem`NestedGrid`PackagePrivate`cellPaste]], 
                    MenuEvaluator -> Automatic], Nothing]}]]]]], FontFamily -> 
            "Source Sans Pro", FontSize -> 14, FontWeight -> Plain}, Dividers -> 
          All, FrameStyle -> GrayLevel[0.7490196078431373], 
          Spacings -> {0, 0}, Alignment -> Left, 
          BaseStyle -> {
           FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
            Plain}], LineBreakWithin -> False, ContextMenu -> {}, NumberMarks -> 
         False, ShowAutoStyles -> False]], 
      TypeSystem`NestedGrid`PackagePrivate`initialQ = True}, 
     Dynamic[
      TypeSystem`NestedGrid`PackagePrivate`setupViewPath[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, If[
         Not[TypeSystem`NestedGrid`PackagePrivate`initialQ], 
         Module[{
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = $Failed, 
           TypeSystem`NestedGrid`PackagePrivate`tmpData$ = 
           TypeSystem`NestedGrid`PackagePrivate`datasetData[
            TypeSystem`NestedGrid`PackagePrivate`$state$$]}, 
          TypeSystem`NestedGrid`PackagePrivate`tmpGrid$ = If[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpData$], 
             TypeSystem`NestedGrid`PackagePrivate`renderedGrid, 
             TypeSystem`NestedGrid`PackagePrivate`renderGrid[
             TypeSystem`NestedGrid`PackagePrivate`$state$$, 
              TypeSystem`NestedGrid`PackagePrivate`$path$$, 
              TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
              TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
              TypeSystem`NestedGrid`PackagePrivate`localHold[
              TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
             TypeSystem`NestedGrid`PackagePrivate`tmpData$]]; If[
            Not[
             FailureQ[TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]], 
            TypeSystem`NestedGrid`PackagePrivate`renderedGrid = 
            TypeSystem`NestedGrid`PackagePrivate`tmpGrid$]; Null]]; 
       TypeSystem`NestedGrid`PackagePrivate`initialQ = False; 
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$; 
       TypeSystem`NestedGrid`PackagePrivate`$hPos$$; If[
         FailureQ[TypeSystem`NestedGrid`PackagePrivate`renderedGrid], 
         TypeSystem`SparseGrid[
          TypeSystem`H["(data no longer present)"]], 
         TypeSystem`NestedGrid`PackagePrivate`renderedGrid]], 
      TrackedSymbols :> {
       TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$}], 
     DynamicModuleValues :> {}], 
    TypeSystem`NestedGrid`PackagePrivate`$topBar$$ = Dynamic[
     TypeSystem`NestedGrid`PackagePrivate`makeFramedBar[
      TypeSystem`PackageScope`SubViewPathbar[
      TypeSystem`NestedGrid`PackagePrivate`$path$$, 
       TypeSystem`NestedGrid`PackagePrivate`updateState[
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$path$$, 
        TypeSystem`NestedGrid`PackagePrivate`$vPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$hPos$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$, 
        TypeSystem`NestedGrid`PackagePrivate`localHold[
        TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]]], 
     TrackedSymbols :> {TypeSystem`NestedGrid`PackagePrivate`$path$$}], 
    TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$ = Style[
     Framed[
      Dynamic[
       Replace[
       TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$, {
        TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][Null, 
           Blank[]] -> "", TypeSystem`NestedGrid`PackagePrivate`$SliceMarker[
           TypeSystem`NestedGrid`PackagePrivate`localHold[
           TypeSystem`NestedGrid`PackagePrivate`$outputID$$]][
           Pattern[TypeSystem`NestedGrid`PackagePrivate`path$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`pathType$, 
            Blank[]], 
           Pattern[TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$, 
            Blank[]]] :> (
          Increment[TypeSystem`NestedGrid`PackagePrivate`$contextMenuTrigger]; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPath = 
           TypeSystem`NestedGrid`PackagePrivate`path$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathType = 
           TypeSystem`NestedGrid`PackagePrivate`pathType$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastPathIsLeafHeader = 
           TypeSystem`NestedGrid`PackagePrivate`isLeafHeader$; 
          TypeSystem`NestedGrid`PackagePrivate`$lastOutputID = 
           TypeSystem`NestedGrid`PackagePrivate`localHold[
            TypeSystem`NestedGrid`PackagePrivate`$outputID$$]; 
          TypeSystem`NestedGrid`PackagePrivate`makePathTrail[
           TypeSystem`NestedGrid`PackagePrivate`path$, 
            TypeSystem`NestedGrid`PackagePrivate`makePathElements]), Null :> 
         Spacer[10], Blank[] :> Spacer[10]}], 
       TrackedSymbols :> {
        TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$}], FrameStyle -> 
      None, ImageMargins -> 0, FrameMargins -> 0, Alignment -> Top, 
      ImageSize -> {Automatic, 15}], FontSize -> 1], 
    TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = Null}, 
    DynamicWrapperBox[
     DynamicBox[ToBoxes[
       Dataset`DatasetContent[
       2, "Path" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$path$$], 
        "Grid" -> Hold[TypeSystem`NestedGrid`PackagePrivate`$grid$$], "State" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$state$$], "VPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$vPos$$], "HPos" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$hPos$$], "TopBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$topBar$$], "BottomBar" -> 
        Hold[TypeSystem`NestedGrid`PackagePrivate`$bottomBar$$], "OutputID" -> 
        Hold[
          TypeSystem`NestedGrid`PackagePrivate`localHold[
          TypeSystem`NestedGrid`PackagePrivate`$outputID$$]]], StandardForm],
      ImageSizeCache->{587., {73.3837890625, 80.6162109375}},
      TrackedSymbols:>{
       TypeSystem`NestedGrid`PackagePrivate`$state$$, 
        TypeSystem`NestedGrid`PackagePrivate`$grid$$}], 
     TypeSystem`NestedGrid`PackagePrivate`mouseAnnotation$$ = 
     MouseAnnotation[],
     ImageSizeCache->{587., {73.3837890625, 80.6162109375}}],
    BaseStyle->{LineBreakWithin -> False},
    DynamicModuleValues:>{},
    Initialization:>(TypeSystem`NestedGrid`PackagePrivate`$outputID$$ = 
     CreateUUID[]),
    UnsavedVariables:>{TypeSystem`NestedGrid`PackagePrivate`$outputID$$}],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Dataset`InterpretDataset[1],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.866801208610779*^9, 3.881426422244494*^9},
 CellLabel->"Out[636]=",
 CellID->922632285,ExpressionUUID->"0d8ba865-45bb-4672-9b18-2822152c3d69"]
}, Open  ]],

Cell[TextData[{
 "As of Version 13, the type representations used inside ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " differ from those used by the Wolfram Language compiler. Do not \
interchange them."
}], "TechNote",
 CellChangeTimes->{{3.769948089924708*^9, 3.769948131381473*^9}, 
   3.788025928974383*^9, {3.865687875308385*^9, 3.865687875349081*^9}},
 CellID->1067766514,ExpressionUUID->"3fe754be-c0ef-41b5-b907-df9af002f518"],

Cell[TextData[{
 "To see the incredibly complex choices made by the Wolfram Language front \
end in deciding how to render a ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 ", wrap the function ",
 ButtonBox["ToBoxes",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/ToBoxes.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/ToBoxes.html"],
 " around it. When executed, you will see a ghastly yet impressive expression \
full of detailed information showing how the Wolfram Language front end \
constructs the dynamic visualization most users take for granted. "
}], "TechNote",
 CellChangeTimes->{{3.770026375397418*^9, 3.770026461048211*^9}, {
  3.868013788423337*^9, 3.8680137932286577`*^9}, {3.896333870403784*^9, 
  3.8963338797156878`*^9}},
 CellID->1263080078,ExpressionUUID->"a67437fb-3684-47e0-80c2-871d5dbb82a0"]
}, Open  ]],

Cell[CellGroupData[{

Cell["More to Explore", "MoreExploreSection",
 CellID->14539167,ExpressionUUID->"ff3e422a-64d5-455d-b8ac-098d37bebe67"],

Cell[TextData[{
 "How to Make Use of Associations ",
 StyleBox["(", "MoreExploreShortURL"],
 StyleBox[ButtonBox["wolfr.am/UsingAssociations",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://wolfr.am/UsingAssociations"], None},
  ButtonNote->"https://wolfr.am/UsingAssociations"], "MoreExploreShortURL"],
 StyleBox[")", "MoreExploreShortURL"]
}], "MoreExplore",
 CellChangeTimes->{
  3.746269404508712*^9, {3.7462857234063983`*^9, 3.746285751218179*^9}, {
   3.7462858072927856`*^9, 3.746285809571014*^9}, {3.757099714283596*^9, 
   3.757099720243217*^9}, {3.8680138815416803`*^9, 3.8680138888768053`*^9}, {
   3.86801392955472*^9, 3.868013954261671*^9}, {3.8723446957056336`*^9, 
   3.8723446992310824`*^9}},
 CellID->1952744555,ExpressionUUID->"67f72169-3e3c-49fd-a518-d8cc50702c64"],

Cell[TextData[{
 "Airline Performance in 2015; ",
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " readers may wish to use for practice ",
 StyleBox["(", "MoreExploreShortURL"],
 StyleBox[ButtonBox["wolfr.am/AirlinePerformance",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://wolfr.am/AirlinePerformance"], None},
  ButtonNote->"https://wolfr.am/AirlinePerformance"], "MoreExploreShortURL"],
 StyleBox[")", "MoreExploreShortURL"]
}], "MoreExplore",
 CellChangeTimes->{
  3.746269404508712*^9, {3.7462857234063983`*^9, 3.746285751218179*^9}, {
   3.7462858072927856`*^9, 3.746285809571014*^9}, {3.757099714283596*^9, 
   3.757099720243217*^9}, {3.8680138815416803`*^9, 3.8680138888768053`*^9}, {
   3.86801392955472*^9, 3.868013984913931*^9}, {3.8680140288375196`*^9, 
   3.868014041170168*^9}, {3.869137431780285*^9, 3.86913745714386*^9}, {
   3.869921904389207*^9, 3.869921945545368*^9}, {3.872344707975918*^9, 
   3.8723447085995054`*^9}},
 CellID->123045880,ExpressionUUID->"b2479187-380a-4ecd-af35-66e125f2b850"],

Cell[TextData[{
 ButtonBox["Dataset",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Dataset.html"], None},
  ButtonNote->"https://reference.wolfram.com/language/ref/Dataset.html"],
 " vs. an ",
 ButtonBox["Association",
  BaseStyle->"FunctionHyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/ref/Association.html"], None},
  
  ButtonNote->"https://reference.wolfram.com/language/ref/Association.html"],
 " of Associations ",
 StyleBox["(", "MoreExploreShortURL"],
 StyleBox[ButtonBox["wolfr.am/DatasetVAssociationOfAssociations",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://wolfr.am/DatasetVAssociationOfAssociations"], None},
  ButtonNote->"https://wolfr.am/DatasetVAssociationOfAssociations"], 
  "MoreExploreShortURL"],
 StyleBox[ButtonBox[")",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://wolfr.am/AirlinePerformance"], None},
  ButtonNote->"https://wolfr.am/AirlinePerformance"], "MoreExploreShortURL"]
}], "MoreExplore",
 CellChangeTimes->{
  3.746269404508712*^9, {3.7462857234063983`*^9, 3.746285751218179*^9}, {
   3.7462858072927856`*^9, 3.746285809571014*^9}, {3.757099714283596*^9, 
   3.757099720243217*^9}, {3.8680138815416803`*^9, 3.8680138888768053`*^9}, {
   3.86801392955472*^9, 3.868013984913931*^9}, {3.8680140288375196`*^9, 
   3.868014041170168*^9}, {3.868014095059249*^9, 3.868014110860965*^9}, {
   3.868014175518566*^9, 3.868014228347424*^9}},
 CellTags->"LastCellOfAPage",
 CellID->1957339924,ExpressionUUID->"c58936c4-0c44-427a-9ed1-afe873d37011"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
Saveable->False,
WindowToolbars->{},
WindowSize->{808, 911},
WindowMargins->{{4, Automatic}, {Automatic, 4}},
WindowPersistentStyles->{
 WindowFrame, WindowMargins, WindowSize, Magnification},
WindowTitle->"5 | The Dataset",
DockedCells->{
  Cell[
   TagBox[
    GridBox[{{
       PaneBox[
        TagBox[
         GridBox[{{
            TemplateBox[{
              StyleBox[
               GraphicsBox[
                TagBox[
                 RasterBox[CompressedData["
1:eJztnU2O5MqSnS9aGvQwlxDaQQ01pIaaFVrQnN3Q64YmT4lXAgTNuISaacol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                  "], {{0, 36.24}, {302.88, 0}}, {0, 255}, ColorFunction -> 
                  RGBColor, ImageResolution -> {300, 300}], 
                 BoxForm`ImageTag[
                 "Byte", ColorSpace -> "RGB", Interleaving -> True], 
                 Selectable -> False], DefaultBaseStyle -> "ImageGraphics", 
                ImageSizeRaw -> {302.88, 36.24}, 
                PlotRange -> {{0, 302.88}, {0, 36.24}}, 
                ImagePadding -> {{0, 10}, {1, -10}}, ImageSize -> 
                Magnification[0.7]]], 
              TemplateBox[{
                GraphicsBox[
                 TagBox[
                  RasterBox[CompressedData["
1:eJztnUuu7Dhyhhu2Bx6eJcg7uEMP5aFniTY8VzfcbnhSPqgyYHimJZwlaAln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                   "], {{0, 26.88}, {230.4, 0}}, {0, 255}, ColorFunction -> 
                   RGBColor, ImageResolution -> {300, 300}], 
                  BoxForm`ImageTag[
                  "Byte", ColorSpace -> "RGB", Interleaving -> True], 
                  Selectable -> False], DefaultBaseStyle -> "ImageGraphics", 
                 ImageSizeRaw -> {230.4, 26.88}, 
                 PlotRange -> {{0, 230.4}, {0, 26.88}}, 
                 ImagePadding -> {{2, 0}, {1, -10}}, ImageSize -> 
                 Magnification[0.7]], 
                "https://www.youtube.com/sethjchandler"}, "HyperlinkURL"]}, 
             "RowDefault"], "\[SpanFromLeft]"}, {
            GraphicsBox[
             TagBox[
              RasterBox[CompressedData["
1:eJztXQe4LEWVZkUBCYKSFIQ3BCXDImKGeQRRgoBECXKJkhQkSJYBERAQxEAU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               "], {{0, 22.08}, {236.88, 0}}, {0, 255}, ColorFunction -> 
               RGBColor, ImageResolution -> {300, 300}], 
              BoxForm`ImageTag[
              "Byte", ColorSpace -> ColorProfileData[CompressedData["
1:eJydlndUVNcWh8+9d3qhzTDSGXqvUgYQ6R2kV1EZZgYYygDDDIhdRFQwoohI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                 "], "RGB", "XYZ"], Interleaving -> True], Selectable -> 
              False], DefaultBaseStyle -> "ImageGraphics", 
             ImageSize -> {365, Automatic}, ImageSizeRaw -> {236.88, 22.08}, 
             PlotRange -> {{0, 236.88}, {0, 22.08}}, 
             ImagePadding -> {{1, 1}, {3, -10}}, ImageSize -> 
             Magnification[1]], "\[SpanFromLeft]"}, {
            TemplateBox[{
              FrameBox[
               StyleBox[
               "\"Buy on Amazon\"", 16, FontWeight -> "Bold", FontColor -> 
                RGBColor[0.768627, 0.949019, 1.], FontFamily -> 
                "Source Sans"], RoundingRadius -> 3, FrameStyle -> Directive[
                 RGBColor[0.768627, 0.949019, 1.], 
                 Thickness[Large]], FrameMargins -> {{10, 10}, {6, 6}}, 
               StripOnInput -> False], 
              "https://www.amazon.com/Query-Getting-Information-Wolfram-\
Language/dp/1579550851"}, "HyperlinkURL"], "\[SpanFromLeft]"}}, 
          GridBoxAlignment -> {"Columns" -> {{Left}}}, AutoDelete -> False, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
          GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {1, 1, 1}}], 
         "Grid"], ImageSize -> Full, FrameMargins -> {{20, 20}, {23, 10}}], 
       PaneBox[
        PaneBox[
         TemplateBox[{"\[ThinSpace]", "\" \"", 
           TagBox[
            TooltipBox[
             PaneSelectorBox[{False -> ButtonBox[
                 PaneBox[
                  GraphicsBox[
                   TagBox[
                    RasterBox[CompressedData["
1:eJxTTMoPSmNiYGAo5gASQYnljkVFiZXBAkBOaF5xZnpeaopnXklqemqRRRIz
UJAPiDmBmIUBO/j//z8jEDcA8W8g3oBFnhmIZ/9HgE9o8mxAvBZJ/hsQuyPJ
8wPxfiT5N0BsjiQvCsTnkOSfALEWkrwSEN9Bkr8OxDJobniAJP8ZZCYWfxCj
RpGQXcS4mVi/ExuGxMYFmlp4nAIAG14fWQ==
                    "], {{0, 14}, {9, 0}}, {0, 255}, ColorFunction -> 
                    RGBColor], 
                    BoxForm`ImageTag[
                    "Byte", ColorSpace -> "RGB", Interleaving -> True], 
                    Selectable -> False], DefaultBaseStyle -> "ImageGraphics",
                    ImageSizeRaw -> {9, 14}, PlotRange -> {{0, 9}, {0, 14}}, 
                   ImageSize -> Magnification[1]], ImageSize -> {35, 30}, 
                  Alignment -> Center], 
                 ButtonFunction :> (
                  NotebookLocate[{"Query-04-query.nb", ""}, 
                   FrontEnd`HistoryData :> {
                    EvaluationNotebook[]}]& ), Enabled -> True, Appearance -> 
                 None, Evaluator -> Automatic, Method -> "Preemptive"], True -> 
               ButtonBox[
                 PaneBox[
                  GraphicsBox[
                   TagBox[
                    RasterBox[CompressedData["
1:eJxTTMoPSmNiYGAo5gASQYnljkVFiZXBAkBOaF5xZnpeaopnXklqemqRRRIz
UJAPiDmBmIUBO/j//z8jEDcA8W8g3oBFnhmIZ/9HgE9o8mxAvBZJ/hsQuyPJ
8wPxfiT5N0BsjiQvCsTnkOSfALEWkrwSEN9Bkr8OxDJobniAJP8ZZCYWfxCj
RpGQXcS4mVi/ExuGxMYFmlp4nAIAG14fWQ==
                    "], {{0, 14}, {9, 0}}, {0, 255}, ColorFunction -> 
                    RGBColor], 
                    BoxForm`ImageTag[
                    "Byte", ColorSpace -> "RGB", Interleaving -> True], 
                    Selectable -> False], DefaultBaseStyle -> "ImageGraphics",
                    ImageSizeRaw -> {9, 14}, PlotRange -> {{0, 9}, {0, 14}}, 
                   ImageSize -> Magnification[1]], ImageSize -> {35, 30}, 
                  Alignment -> Center], 
                 ButtonFunction :> (
                  NotebookLocate[{"Query-04-query.nb", ""}, 
                   FrontEnd`HistoryData :> {
                    EvaluationNotebook[]}]& ), Enabled -> True, Appearance -> 
                 None, Background -> GrayLevel[0.2], Evaluator -> Automatic, 
                 Method -> "Preemptive"]}, 
              Dynamic[
               CurrentValue["MouseOver"]], ImageSize -> Automatic, 
              FrameMargins -> 0], "\"4: Query\"", TooltipDelay -> 0.15, 
             LabelStyle -> "TextStyling"], 
            Annotation[#, "4: Query", "Tooltip"]& ], 
           InterpretationBox[
            StyleBox[
             
             GraphicsBox[{}, ImageSize -> {5, 0}, BaselinePosition -> 
              Baseline], "CacheGraphics" -> False], 
            Spacer[5], Selectable -> False], 
           TagBox[
            TooltipBox[
             PaneSelectorBox[{False -> ButtonBox[
                 PaneBox[
                  GraphicsBox[
                   TagBox[
                    RasterBox[CompressedData["
1:eJxTTMoPSmNiYGAo5gASQYnljkVFiZXBAkBOaF5xZnpeaopnXklqemqRRRIz
UJAfiDmBmAWI////vwKIfwFxMQMOAJT7+R8B6nGoSf+PCjpwqMskUl0SEP9F
UtcHxIxY1EWjqZuOQ10Mmr2TcNj7BEnNP1LNIeQeIDsZn78IhQ8x4fwfNb4a
cPgTFu8l2ORBAAC+1hnm
                    "], {{0, 15}, {9, 0}}, {0, 255}, ColorFunction -> 
                    RGBColor], 
                    BoxForm`ImageTag[
                    "Byte", ColorSpace -> "RGB", Interleaving -> True], 
                    Selectable -> False], DefaultBaseStyle -> "ImageGraphics",
                    ImageSizeRaw -> {9, 15}, PlotRange -> {{0, 9}, {0, 15}}, 
                   ImageSize -> Magnification[1]], ImageSize -> {35, 30}, 
                  Alignment -> Center], 
                 ButtonFunction :> (
                  NotebookLocate[{"Query-06-basic-recipes.nb", ""}, 
                   FrontEnd`HistoryData :> {
                    EvaluationNotebook[]}]& ), Appearance -> None, Evaluator -> 
                 Automatic, Method -> "Preemptive"], True -> ButtonBox[
                 PaneBox[
                  GraphicsBox[
                   TagBox[
                    RasterBox[CompressedData["
1:eJxTTMoPSmNiYGAo5gASQYnljkVFiZXBAkBOaF5xZnpeaopnXklqemqRRRIz
UJAfiDmBmAWI////vwKIfwFxMQMOAJT7+R8B6nGoSf+PCjpwqMskUl0SEP9F
UtcHxIxY1EWjqZuOQ10Mmr2TcNj7BEnNP1LNIeQeIDsZn78IhQ8x4fwfNb4a
cPgTFu8l2ORBAAC+1hnm
                    "], {{0, 15}, {9, 0}}, {0, 255}, ColorFunction -> 
                    RGBColor], 
                    BoxForm`ImageTag[
                    "Byte", ColorSpace -> "RGB", Interleaving -> True], 
                    Selectable -> False], DefaultBaseStyle -> "ImageGraphics",
                    ImageSizeRaw -> {9, 15}, PlotRange -> {{0, 9}, {0, 15}}, 
                   ImageSize -> Magnification[1]], ImageSize -> {35, 30}, 
                  Alignment -> Center], 
                 ButtonFunction :> (
                  NotebookLocate[{"Query-06-basic-recipes.nb", ""}, 
                   FrontEnd`HistoryData :> {
                    EvaluationNotebook[]}]& ), Appearance -> None, Background -> 
                 GrayLevel[0.2], Evaluator -> Automatic, Method -> 
                 "Preemptive"]}, 
              Dynamic[
               CurrentValue["MouseOver"]], ImageSize -> Automatic, 
              FrameMargins -> 0], "\"6: Basic Recipes\"", TooltipDelay -> 
             0.15, LabelStyle -> "TextStyling"], 
            Annotation[#, "6: Basic Recipes", "Tooltip"]& ]}, 
          "RowWithSeparators"], Alignment -> Right], ImageSize -> {100, 30}, 
        FrameMargins -> {{0, 6}, {0, 0}}, Alignment -> Right], 
       TagBox[
        ActionMenuBox[
         PaneSelectorBox[{True -> PanelBox[
             GraphicsBox[
              TagBox[
               RasterBox[CompressedData["
1:eJxTTMoPSmNiYGAo5gASQYnljkVFiZXBAkBOaF5xZnpeaopnXklqemqRRRIz
UBAkIQ3ELED8////Jf/pA0D2/KWTXSB7ZtPBPrA9DKOAYgAMR1Eg9gPiABpi
P6g912mcLmAAZM9XOtkFsicKiNcD8QYaYpD5UQOdXoYD+E/HMooO9iDbR7c6
BQDxtyEt
                "], {{0, 16}, {27, 0}}, {0, 255}, ColorFunction -> RGBColor], 
               BoxForm`ImageTag[
               "Byte", ColorSpace -> "RGB", Interleaving -> True, 
                Magnification -> 1], Selectable -> False], DefaultBaseStyle -> 
              "ImageGraphics", ImageSize -> Magnification[1], 
              ImageSizeRaw -> {27, 16}, PlotRange -> {{0, 27}, {0, 16}}], 
             Appearance -> None, Background -> GrayLevel[0.2], 
             ImageSize -> {35, 30}, Alignment -> Center], False -> PanelBox[
             GraphicsBox[
              TagBox[
               RasterBox[CompressedData["
1:eJxTTMoPSmNiYGAo5gASQYnljkVFiZXBAkBOaF5xZnpeaopnXklqemqRRRIz
UBAkIQ3ELED8////Jf/pA0D2/KWTXSB7ZtPBPrA9DKOAYgAMR1Eg9gPiABpi
P6g912mcLmAAZM9XOtkFsicKiNcD8QYaYpD5UQOdXoYD+E/HMooO9iDbR7c6
BQDxtyEt
                "], {{0, 16}, {27, 0}}, {0, 255}, ColorFunction -> RGBColor], 
               BoxForm`ImageTag[
               "Byte", ColorSpace -> "RGB", Interleaving -> True, 
                Magnification -> 1], Selectable -> False], DefaultBaseStyle -> 
              "ImageGraphics", ImageSize -> Magnification[1], 
              ImageSizeRaw -> {27, 16}, PlotRange -> {{0, 27}, {0, 16}}], 
             Appearance -> None, Background -> 
             RGBColor[0.0941176, 0.101961, 0.258824], ImageSize -> {35, 30}, 
             Alignment -> Center]}, 
          Dynamic[
           CurrentValue["MouseOver"]]], {
         "1: Introduction" :> 
          NotebookLocate[{"Query-01-introduction.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "2: Data Structures and Functions" :> 
          NotebookLocate[{"Query-02-data-structures-and-functions.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "3: Association" :> 
          NotebookLocate[{"Query-03-association.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "4: Query" :> 
          NotebookLocate[{"Query-04-query.nb", ""}, FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "5: The Dataset" :> 
          NotebookLocate[{"Query-05-the-dataset.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "6: Basic Recipes" :> 
          NotebookLocate[{"Query-06-basic-recipes.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "7: Advanced Recipes" :> 
          NotebookLocate[{"Query-07-advanced-recipes.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "8: Import and Export" :> 
          NotebookLocate[{"Query-08-import-and-export.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "Answers to Exercises" :> 
          NotebookLocate[{"Query-09-answers-to-exercises.nb", ""}, 
            FrontEnd`HistoryData :> {
              EvaluationNotebook[]}], "Index" :> 
          NotebookLocate[{"Query-10-index.nb", ""}, FrontEnd`HistoryData :> {
              EvaluationNotebook[]}]}, Appearance -> None], 
        MouseAppearanceTag["LinkHand"]]}}, AutoDelete -> False, 
     GridBoxItemSize -> {
      "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], 
   Background -> RGBColor[0.07450980392156863, 0.1450980392156863, 0.2], 
   CellMargins -> {{0, 0}, {0, 0}}, CellFrameColor -> 
   RGBColor[0.863264, 0.898009, 0.999619], CellFrame -> {{0, 1}, {0, 0}}, 
   CellFrameMargins -> {{18, 20}, {1, 1}}, ShowStringCharacters -> False, 
   ShowCellBracket -> False, CellGroupingRules -> {"SectionGrouping", 0}, 
   CellContext -> CellGroup], 
  Cell[
   BoxData[
    DynamicModuleBox[{$CellContext`open$$ = False}, 
     PaneSelectorBox[{True -> ButtonBox[
         TemplateBox[{
           StyleBox[
           "\"ATTRIBUTION FOR USAGE \"", 12, FontFamily -> "Source Sans Pro", 
            FontWeight -> "Bold", FontColor -> 
            RGBColor[
             0.2784313725490196, 0.403921568627451, 0.5137254901960784]], 
           GraphicsBox[
            TagBox[
             RasterBox[CompressedData["
1:eJxTTMoPSmNiYGAo5gASQYnljkVFiZXBAkBOaF5xZnpeaopnXklqemqRRRIz
UFAMiNWAmAWIN23atACIDxCBJ/z//5+BEgw0Q4FIuzYAsQMQ/ycSO1DorgNE
2lMAVT+BSPUPKHBTAJF2HEDSIwCyk0h9DWS4iVjzP4DiGk0vsfGJoZcIdzWQ
En9Y9BMbnwdIcJMBpWaSGJ8BVEzrBOOAhPgEuV+AgFkJlMQfBfGJMw9Aw/4D
EWZcoEH+AWEDCv2GVT8V4hMjvZKgl+Qyh0Q/J6Dpu0DN+KMgPj/A8gAoDdMi
/iiIkwkkpHWy4o+C+CSmrCI7/ijMnzSNPwrik+bxR0F8YsME6wcK3UZMGYAN
O9DKTVB3Eds+QMmrtHQTktuIbU/RPP4oiE+y4g8ANP3HuQ==
              "], {{0, 5.28}, {9.12, 0}}, {0, 255}, ColorFunction -> RGBColor,
               ImageResolution -> {300, 300}], 
             BoxForm`ImageTag[
             "Byte", ColorSpace -> "RGB", Interleaving -> True], Selectable -> 
             False], DefaultBaseStyle -> "ImageGraphics", 
            ImageSizeRaw -> {9.12, 5.28}, PlotRange -> {{0, 9.12}, {0, 5.28}},
             ImageSize -> Magnification[1]]}, "RowDefault"], ButtonFunction :> 
         If[$CellGroupContext`open$$, $CellGroupContext`open$$ = 
           False, $CellGroupContext`open$$ = True], Appearance -> None, 
         Evaluator -> Automatic, Method -> "Preemptive"], False -> ButtonBox[
         TemplateBox[{
           StyleBox[
           "\"ATTRIBUTION FOR USAGE \"", 12, FontFamily -> "Source Sans PRo", 
            FontWeight -> "Bold", FontColor -> 
            RGBColor[
             0.2784313725490196, 0.403921568627451, 0.5137254901960784]], 
           GraphicsBox[
            TagBox[
             RasterBox[CompressedData["
1:eJy1ljEOgkAQRYlaWFJZa2VLaamlndHYCxGNDRIwMXYcwSN4BMIJPIJH8Ajc
YJ1N1oQsgrOzQ/FJgPDymJ3dzCQ4rw89x3HSIVzW/nWRJP5t48LNNkpPxyjc
L6NLeAyTWdCHh1PICDKAFEWRQcZCCIczwHxCSkjcAVeoPLncNa7gcv/Brbp7
HXC/yTriyrxM3ZFcY3dDLtqdwEW5w/ud6i0K+w2Zt7BdyIPIlrlLRgt/rhzY
3RU/s6jNP/cxJKe6I/plRakNssddVRtWrlYbVL8Tz5TVv3UlcmNOrurvF/O6
3TnXrSCeHy08D7v2P1Jy/LMWuUddjUnaW19H+T213w0cYwtezbHCpXrWHC25
jY4WXPT8huQaz2wILmnGbOFazZUNXOs5WOOyze0VLtusrrg5l6PGbdwzNvkA
H9MJ6g==
              "], {{0, 9.36}, {5.28, 0}}, {0, 255}, ColorFunction -> RGBColor,
               ImageResolution -> {300, 300}], 
             BoxForm`ImageTag[
             "Byte", ColorSpace -> "RGB", Interleaving -> True], Selectable -> 
             False], DefaultBaseStyle -> "ImageGraphics", 
            ImageSizeRaw -> {5.28, 9.36}, PlotRange -> {{0, 5.28}, {0, 9.36}},
             ImageSize -> Magnification[1]]}, "RowDefault"], ButtonFunction :> 
         If[$CellGroupContext`open$$, $CellGroupContext`open$$ = 
           False, $CellGroupContext`open$$ = True], Appearance -> None, 
         Evaluator -> Automatic, Method -> "Preemptive"]}, 
      Dynamic[$CellGroupContext`open$$]], 
     Initialization :> ($CellGroupContext`open$$ = False), 
     DynamicModuleValues :> {}]], "Text", CellMargins -> {{0, 0}, {0, 0}}, 
   CellFrame -> {{0, 0}, {0, 0}}, CellFrameColor -> 
   RGBColor[0.8588235294117647, 0.9333333333333333, 1.], 
   CellFrameMargins -> {{18, 0}, {1, 3}}, ShowStringCharacters -> False, 
   ShowCellBracket -> False, Background -> 
   RGBColor[0.8588235294117647, 0.9333333333333333, 1.], CellContext -> 
   CellGroup], 
  Cell[
   BoxData[
    TemplateBox[{
      StyleBox[
      "\"Content present in this notebook can be reused with the following \
attribution:\[LineSeparator]\"", FontSize -> 12, FontWeight -> "Regular", 
       FontFamily -> "Source Sans Pro", FontColor -> 
       RGBColor[0.2784313725490196, 0.403921568627451, 0.5137254901960784]], 
      TemplateBox[{
        TemplateBox[{
          StyleBox[
          "\"S. Chandler (2023),  \"", FontWeight -> Bold, FontSize -> 11, 
           FontFamily -> "Source Sans Pro", FontColor -> 
           RGBColor[
            0.2784313725490196, 0.403921568627451, 0.5137254901960784]], 
          StyleBox[
          "\"Query: Getting Information from Data with the Wolfram \
Language\"", Selectable -> True, Copyable -> True, FontSlant -> Italic, 
           FontWeight -> Bold, FontSize -> 11, FontFamily -> 
           "Source Sans Pro", FontColor -> 
           RGBColor[
            0.2784313725490196, 0.403921568627451, 0.5137254901960784]], 
          StyleBox[
          "\", Wolfram \
Media.\[LineSeparator]https://www.wolfram.com/language/query-getting-\
information-from-data-with-the-wolfram-language\"", FontWeight -> Bold, 
           FontSize -> 12, FontFamily -> "Source Sans Pro", FontColor -> 
           RGBColor[
            0.2784313725490196, 0.403921568627451, 0.5137254901960784]]}, 
         "RowDefault"], 
        "\"S. Chandler (2023), Query: Getting Information from Data with the \
Wolfram Language, Wolfram Media. \
www.wolfram.com/language/query-getting-information-from-data-with-the-wolfram-\
language\""}, "ClickToCopy2"]}, "RowDefault"]], "Text", 
   CellElementSpacings -> {"CellMinHeight" -> 4, "ClosedCellHeight" -> 1}, 
   Background -> RGBColor[0.8588235294117647, 0.9333333333333333, 1.], 
   CellMargins -> {{0, 0}, {0, 0}}, CellFrame -> {{0, 0}, {0, 0}}, 
   CellFrameColor -> RGBColor[0.8588235294117647, 0.9333333333333333, 1.], 
   CellFrameMargins -> {{18, 0}, {5, 5}}, ShowCellBracket -> False, 
   ShowStringCharacters -> False, CellOpen -> 
   Dynamic[$CellGroupContext`open$$], CellContext -> CellGroup, Copyable -> 
   True, Selectable -> True, LineSpacing -> {1, -3}]},
PageHeaders->{{
   Cell[
    TextData[{
      StyleBox[
       CounterBox["Page"], "PageNumber"], 
      StyleBox[
      "    Query: Getting Information from Data with the Wolfram Language", 
       "Header"]}], "Header", 
    CellMargins -> {{37, Inherited}, {Inherited, Inherited}}], None, None}, {
  None, None, 
   Cell[
    TextData[{
      StyleBox[
       CounterBox["Section"], "Header"], 
      StyleBox["  |  The Dataset", "Header"], 
      StyleBox["    ", "Header"], 
      StyleBox[
       CounterBox["Page"], "PageNumber"]}], "Header", 
    CellMargins -> {{Inherited, 34}, {Inherited, Inherited}}]}},
TaggingRules->{
 "IndexEntries" -> {{"i:1", "Dataset?{formatting using SetOptions?}"}, {
    "i:1", "MaxItems?"}, {
    "i:2", "SetOptions?{to change default display of Dataset?}"}, {
    "i:2", "MaxItems?{to change default number of Dataset? rows displayed}"}, \
{"i:3", "Dataset?"}, {"i:4", "ResourceData?"}, {
    "i:4", "Titanic data{lifeboat}"}, {"i:4", "Terse"}, {
    "i:4", "ResourceFunction?{Terse}"}, {
    "i:5", "Dataset?{dynamic interface in Mathematica FrontEnd}"}, {
    "i:5", "Jupyter"}, {"i:6", "Dataset?{conversion of data structures}"}, {
    "i:7", "Dataset?{use of mouse in FrontEnd}"}, {
    "i:8", "Dataset?{clicking mouse in FrontEnd}"}, {
    "i:9", "Dataset?{dynamic interface}"}, {
    "i:9", "Dataset?{context menu}"}, {
    "i:10", "Dataset?{syntactic sugar to make use of explicit Query? \
unnecessary}"}, {"i:10", "Query?{alternative to use with Dataset?}"}, {
    "i:10", "Dataset?{syntactic resemblance to a function}"}, {
    "i:11", "Titanic data"}, {"i:12", "Titanic data"}, {
    "i:13", "Dataset?{syntactic resemblance to a function}"}, {
    "i:14", "Dataset?{query optimization}"}, {
    "i:15", "Dataset?{internal structure}"}, {"i:15", "Jupyter"}, {
    "i:15", "InputForm?{of Dataset?}"}, {
    "i:15", "AtomQ?{applied to Dataset?}"}, {
    "i:16", "Dataset?{use of Normal?}"}, {"i:16", "Dataset`GetData"}, {
    "i:17", "Dataset`GetType"}, {"i:18", "Dataset?{presentation}"}, {
    "i:19", "DatasetTheme?"}, {"i:19", "Dataset?{DatasetTheme? option}"}, {
    "i:20", "DatasetTheme?{subthemes}"}, {
    "i:20", "DatasetTheme?{special strings}"}, {
    "i:21", "DatasetTheme?{special strings}"}, {
    "i:21", "DatasetTheme?{parameterized}"}, {"i:22", "Background?"}, {
    "i:22", "HeaderStyle?"}, {"i:22", "Dataset?{Background? option}"}, {
    "i:22", "Dataset?{HeaderStyle? option}"}, {
    "i:22", "Dataset?{custom presentation}"}, {
    "i:22", "Presentation options"}, {"i:23", "MaxItems?"}, {
    "i:23", "HiddenItems?"}, {"i:23", "Dataset?{MaxItems? option}"}, {
    "i:23", "Dataset?{HiddenItems? option}"}, {
    "i:23", "Presentation options"}, {
    "i:24", "Version 12{altering number of rows in Dataset?}"}, {
    "i:24", "Dataset`$DatasetTargetRowCount"}, {
    "i:25", "DatasetTheme?{interaction with custom options}"}, {
    "i:26", "Presentation options"}, {
    "i:26", "Dataset?{presentation options}"}, {
    "i:27", "Dataset?{specification list for presentation options}"}, {
    "i:27", "None?{in Dataset? presentation option specification list}"}, {
    "i:27", "All?{in Dataset? presentation option specification list}"}, {
    "i:27", "Presentation options{specification list}"}, {
    "i:28", "Dataset?{specification list for presentation options}"}, {
    "i:28", "None?{omission of in specification list for presentation \
options}"}, {"i:29", "Dataset?{cycling in presentation options}"}, {
    "i:29", "Cycling{in presentation options}"}, {
    "i:29", "Presentation options"}, {
    "i:30", "Presentation options{position overrides}"}, {
    "i:30", "Specification list{position overrides}"}, {
    "i:30", "Dataset?{presentation option position overrides}"}, {
    "i:31", "Grid?{use of formatting options}"}, {
    "i:32", "Presentation options{use of functions}"}, {
    "i:32", "IPD functions"}, {"i:32", "Dataset?{IPD functions}"}, {
    "i:33", "Hash?"}, {"i:34", "Hash?"}, {"i:35", "Alignment?"}, {
    "i:35", "HeaderAlignment?"}, {"i:35", "HeaderBackground?"}, {
    "i:35", "HeaderDisplayFunction?"}, {"i:35", "HeaderSize?"}, {
    "i:35", "HeaderStyle?"}, {"i:35", "ItemDisplayFunction?"}, {
    "i:35", "ItemSize?"}, {"i:35", "ItemStyle?"}, {
    "i:36", "Presentation options{use of functions}"}, {
    "i:36", "IPD functions"}, {"i:36", "Dataset?{IPD functions}"}, {
    "i:36", "Hash?"}, {"i:37", "Specification list{level conflict}"}, {
    "i:38", "Specification list{level conflict with Background?}"}, {
    "i:38", "Background?{level conflict and blending}"}, {
    "i:39", "HeaderBackground?{multilevel specification}"}, {
    "i:40", "ItemDisplayFunction?"}, {
    "i:40", "ItemDisplayFunction?{when needed instead of ItemStyle?}"}, {
    "i:40", "HeaderDisplayFunction?"}, {
    "i:40", "HeaderDisplayFunction?{when needed instead of HeaderStyle?}"}, {
    "i:40", "HeaderStyle?"}, {"i:40", "ItemStyle?"}, {"i:40", "Style?"}, {
    "i:40", "IPD functions"}, {
    "i:41", "IPD functions{use in ItemDisplayFunction? and \
HeaderDisplayFunction?}"}, {
    "i:42", "None?{omission of in specification list for presentation \
options}"}, {"i:43", "ItemStyle?{interaction with ItemDisplayFunction?}"}, {
    "i:43", "ItemDisplayFunction?{interaction with ItemStyle?}"}, {
    "i:43", "HeaderStyle?{interaction with HeaderDisplayFunction?}"}, {
    "i:43", "HeaderDisplayFunction?{interaction with HeaderStyle?}"}, {
    "i:44", "Normal?"}, {"i:44", "Dataset`GetData"}, {
    "i:44", "Dataset?{reformatting}"}, {"i:45", "FormatDataset"}, {
    "i:45", "ResourceFunction?{FormatDataset}"}, {
    "i:45", "Dataset?{reformatting}"}, {
    "i:46", "Dataset?{option inheritance}"}, {"i:47", "Options?"}, {
    "i:48", "Dataset?{option inheritance}"}, {"i:48", "Dataset?{partial}"}, {
    "i:49", "DatasetQuery"}, {"i:49", "ResourceFunction?{DatasetQuery}"}, {
    "i:49", "Dataset?{option inheritance}"}, {
    "i:50", "Dataset?{header ordering}"}, {
    "i:51", "Dataset?{level orientation}"}, {"i:52", "KeyTake?"}, {
    "i:52", "KeySortLike"}, {"i:52", "ResourceFunction?{KeySortLike}"}, {
    "i:53", "Dataset?{internals}"}, {"i:53", "Dataset?{level orientation}"}, {
    "i:54", "Enumeration"}, {"i:54", "TypeSystem`"}, {
    "i:55", "Enumeration"}, {"i:55", "Struct"}, {
    "i:55", "Dataset?{level orientation}"}, {"i:56", "Dataset?{elision}"}, {
    "i:57", "OutputForm?"}, {"i:57", "Dataset?{elision}"}, {
    "i:57", "Dataset?{use of OutputForm to control}"}, {
    "i:58", "Dataset?{Graphics? as items}"}, {
    "i:58", "Graphics?{as a Dataset? item}"}, {
    "i:59", "IPD functions{applied at particular levels or positions}"}, {
    "i:60", "ResetDataset{ResourceFunction?}"}, {
    "i:60", "ResourceFunction?{ResetDataset}"}}, 
  "PaginationCache" -> {{
    2023, 8, 31, 16, 24, 14.5849469`8.916479803281861}, CompressedData["
1:eJxdxGsWQlAUBtBrKKbUEEzAeCRJ0oOISu/X0LKsc777sX9s1/MnnmOMaboC
NlUhmZGIzVU8siCJWKpUrUSm1mQjtrCzclLAvldCNXAgNTTkKE7sbLXioq5w
g/vQgzzhBW/4jH2tH/sD/FMmnQ==
    "], Automatic}, 
  "IndexItemsAndPageNumbers" -> {{"i:1", 153}, {"i:2", 153}, {"i:3", 153}, {
    "i:4", 153}, {"i:5", 154}, {"i:6", 154}, {"i:7", 154}, {"i:8", 155}, {
    "i:9", 155}, {"i:10", 155}, {"i:11", 156}, {"i:12", 156}, {"i:13", 157}, {
    "i:14", 157}, {"i:15", 157}, {"i:16", 158}, {"i:17", 159}, {
    "i:18", 159}, {"i:19", 160}, {"i:20", 161}, {"i:21", 162}, {
    "i:22", 162}, {"i:23", 163}, {"i:24", 163}, {"i:25", 163}, {
    "i:26", 164}, {"i:27", 164}, {"i:28", 164}, {"i:29", 165}, {
    "i:30", 168}, {"i:31", 169}, {"i:32", 169}, {"i:33", 170}, {
    "i:34", 171}, {"i:35", 171}, {"i:36", 172}, {"i:37", 173}, {
    "i:38", 173}, {"i:39", 173}, {"i:40", 174}, {"i:41", 174}, {
    "i:42", 175}, {"i:43", 175}, {"i:44", 177}, {"i:45", 177}, {
    "i:46", 178}, {"i:47", 179}, {"i:48", 179}, {"i:49", 180}, {
    "i:50", 180}, {"i:51", 181}, {"i:52", 182}, {"i:53", 183}, {
    "i:54", 183}, {"i:55", 184}, {"i:56", 184}, {"i:57", 184}, {
    "i:58", 185}, {"i:59", 187}, {"i:60", 189}}},
ShowCellLabel->Automatic,
CellLabelAutoDelete->Automatic,
ShowAutoSpellCheck->False,
FrontEndVersion->"13.3 for Mac OS X x86 (64-bit) (June 3, 2023)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[StyleDefinitions -> "Default.nb"]], 
   Cell[
    CellGroupData[{
      Cell[
      "Style Environments", "Section", 
       CellChangeTimes -> {{3.64661165091824*^9, 3.646611654013329*^9}, 
         3.6485723794335403`*^9, 3.651347081728628*^9, 3.651347179462186*^9, 
         3.651347384135805*^9, 3.651348171662589*^9}], 
      Cell[
       StyleData[All, "Working"], CreateCellID -> True, 
       ShowPredictiveInterface -> False, 
       AutoStyleOptions -> {
        "UndefinedSymbolStyle" -> None}, $CellContext`CellInsertionPointCell -> 
       FEPrivate`FrontEndResource[
        "FEExpressions", 
         "CellInsertionMenu"], $CellContext`GhostCellInEmptyNotebook -> 
       False], 
      Cell[
       StyleData[All, "Printout"], 
       PrintingOptions -> {"PageSize" -> {504, 720}}, 
       AutoStyleOptions -> {"UndefinedSymbolStyle" -> None}, Magnification -> 
       0.6], 
      Cell[
       StyleData[All, "Invisibles"], DockedCells -> {
         Cell[
          BoxData[
           GridBox[{{
              InterpretationBox[
               StyleBox[
                
                GraphicsBox[{}, BaselinePosition -> Baseline, 
                 ImageSize -> {4, 0}], CacheGraphics -> False], 
               Spacer[4]], 
              ActionMenuBox[
              "\"Insert\"", {
               "\"Subsection\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTConvertToSubsectionStyle[]), 
                "\"Subsubsection\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTConvertToSubsubsectionStyle[]), 
                "\"Subsubsubsection\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTConvertToSubsubsubsectionStyle[]), 
                Delimiter, 
                "\"Text\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTConvertToTextStyle[]), "\"CodeText\"" :> 
                Module[{$CellContext`bn = ButtonNotebook[]}, 
                  If[Developer`CellInformation[$CellContext`bn] =!= $Failed, 
                    While[
                    FreeQ[
                    Developer`CellInformation[$CellContext`bn], 
                    "CellBracket"], 
                    FrontEndExecute[
                    
                    FrontEnd`SelectionMove[$CellContext`bn, All, Cell, 
                    AutoScroll -> False]]]; 
                    SelectionMove[$CellContext`bn, After, Cell]]; 
                  NotebookWrite[$CellContext`bn, 
                    Cell["XXXX", "CodeText"], All]; 
                  SelectionMove[$CellContext`bn, All, CellContents]], 
                "\"Hyperlink\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTGenerateHyperlinkDialog[]), Delimiter, 
                "\"Vocabulary 2Col\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTInsertVocabularySectionAnd2ColTable[]), 
                "\"Vocabulary 3Col\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTInsertVocabularySectionAnd3ColTable[]), 
                "\"Add Row\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTVocabTableAddRow[]), 
                "\"Remove Row\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTVocabTableAddRow["RemoveRow" -> True]), 
                "\"Apply Divider\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTVocabTableAddRow["AddDivider" -> True]), 
                "\"Remove Divider\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTVocabTableAddRow[
                  "RemoveDivider" -> True]), Delimiter, 
                "\"Exercises\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTInsertExerciseSection[]), 
                "\"Exercise\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTInsertExerciseSection[]), 
                "\"Q&A | Tech Notes | More\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTInsertQAndATechNotesMore[]), 
                "\"Question\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTInsertQuestion[]), 
                "\"Answer\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTInsertAnswer[]), 
                "\"Tech Note\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTInsertTechNote[]), 
                "\"More to Explore\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTInsertMoreExplore[]), 
                "\"References Section\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTInsertReferencesSection[]), Delimiter, 
                "\"Comment\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTApplyComment[])}, Appearance -> 
               "PopupMenu", FrameMargins -> 2.4], 
              ItemBox["", ItemSize -> Fit], 
              ActionMenuBox[
              "\"Function Name\"", {
               "\"Link\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTMakeSymbolLink[]), 
                "\"Format\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTFormatSymbol[])}, Appearance -> 
               "PopupMenu", Method -> "Queued", FrameMargins -> 2.4], 
              ButtonBox[
              "\"Resource Function Link\"", 
               ButtonFunction :> (Needs["WolframBookTools`"]; 
                WolframBookTools`WBTResourceFunctionLink[]), Evaluator -> 
               Automatic, Appearance -> "DialogBox", Method -> "Queued"], 
              ButtonBox[
              "\"Inline Code\"", 
               ButtonFunction :> (Needs["WolframBookTools`"]; 
                WolframBookTools`WBTConvertToInlineCode[]), Evaluator -> 
               Automatic, Appearance -> "DialogBox", Method -> "Queued"], 
              ActionMenuBox[
              "\"Mark Cells\"", {
               "\"Tentative\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTApplyTentative[]), Delimiter, 
                "\"Print Only\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTApplyPrintOnly[]), 
                "\"Web Only\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTApplyWebOnly[]), Delimiter, 
                "\"Locked\"" :> (Needs["WolframBookTools`"]; 
                 WolframBookTools`WBTApplyLock[])}, Method -> "Queued", 
               FrameMargins -> 2.4], 
              ItemBox["", ItemSize -> Fit], 
              GridBox[{{
                 TooltipBox[
                  ButtonBox[
                  "\"Index Field\"", Appearance -> {"AbuttingRight"}, 
                   ButtonFunction :> (Needs["WolframBookTools`"]; 
                    WolframBookTools`WBTInsertIndexField[]), Evaluator -> 
                   Automatic, Method -> "Queued"], 
                  "First put the cursor in a cell to insert a corresponding \
field above to insert index entries.\nList main index entries corresponding \
to the cell separated by commas. Any associated sub-entries\nshould be put \
immediately after in braces.\nExample: programming{functional, rule based}, \
function, relation, lists{flat, nested}\n If $Language is \"ChineseSimplified\
\", \"ChineseTraditional\", \"Japanese\", \"Korean\" or \"Russian\"\ntwo \
index fields get inserted above a selected cell, the top one for inserting \
entries\nintended for the Englsh index and the bottom for the index in the \
language given by $Language.", TooltipDelay -> 0.3], 
                 TooltipBox[
                  ButtonBox[
                  "\"Toggle\"", Appearance -> {"AbuttingLeft"}, 
                   ButtonFunction :> (CurrentValue[
                    ButtonNotebook[], ScreenStyleEnvironment] = 
                    If[CurrentValue[
                    ButtonNotebook[], ScreenStyleEnvironment] === 
                    "Invisibles", "Working", "Invisibles"]), Evaluator -> 
                   Automatic, Method -> "Queued"], 
                  "Toggles index entry fields.", TooltipDelay -> 0.3]}}, 
               GridBoxItemSize -> {
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
               GridBoxSpacings -> {
                "ColumnsIndexed" -> {2 -> 0}, "Rows" -> {{Automatic}}}], 
              InterpretationBox[
               StyleBox[
                
                GraphicsBox[{}, BaselinePosition -> Baseline, 
                 ImageSize -> {4, 0}], CacheGraphics -> False], 
               Spacer[4]]}}]], "DockedCell", 
          CellFrameMargins -> {{0, 0}, {8, 8}}]}, CreateCellID -> True, 
       ShowPredictiveInterface -> False, 
       AutoStyleOptions -> {
        "UndefinedSymbolStyle" -> None}, $CellContext`CellInsertionPointCell -> 
       FEPrivate`FrontEndResource[
        "FEExpressions", 
         "CellInsertionMenu"], $CellContext`GhostCellInEmptyNotebook -> 
       False]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell["Styles for Headers and Footers", "Section"], 
      Cell[
       StyleData["Header"], 
       PrintingOptions -> {"PageHeaderMargins" -> {28, 28}}, StyleMenuListing -> 
       None, FontFamily -> "Source Sans Pro", FontSize -> 8, FontWeight -> 
       "Regular", FontSlant -> "Plain", 
       PrivateFontOptions -> {"FontPostScriptName" -> "Automatic"}, FontColor -> 
       GrayLevel[0.45]], 
      Cell[
       StyleData["PageNumber"], CellMargins -> {{0, 0}, {4, 1}}, 
       StyleMenuListing -> None, FontFamily -> "Source Sans Pro", FontSize -> 
       8, FontWeight -> "Bold", FontSlant -> "Plain", 
       PrivateFontOptions -> {"FontPostScriptName" -> "Automatic"}, FontColor -> 
       GrayLevel[0]]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
      "Custom Styles", "Section", 
       CellChangeTimes -> {{3.646611660445352*^9, 3.646611669493331*^9}}], 
      Cell[
       StyleData["Notebook"], PageWidth :> 700, 
       PrintingOptions -> {
        "FirstPageHeader" -> True, "InnerOuterMargins" -> {30, 30}, 
         "PaperOrientation" -> "Portrait", "PaperSize" -> {504, 720}, 
         "PrintingMargins" -> {{20, 20}, {54, 54}}}, CellLabelAutoDelete -> 
       False, ShowSyntaxStyles -> True, MenuSortingValue -> None, 
       GraphicsBoxOptions -> {ImageSize -> 240}, 
       Graphics3DBoxOptions -> {ImageSize -> 240}], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Title"], CellMargins -> {{64, Inherited}, {50, 72}}, 
          MenuCommandKey :> None, FontFamily -> "Verdana", FontSize -> 42, 
          FontWeight -> "Bold", FontColor -> GrayLevel[0.4]], 
         Cell[
          StyleData["Title", "Printout"], 
          CellMargins -> {{64, Inherited}, {50, 72}}]}, Closed]], 
      Cell[
       StyleData["Chapter"], MenuCommandKey :> None], 
      Cell[
       StyleData["Subchapter"], MenuCommandKey :> None], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Section"], CellFrame -> {{0, 0}, {0, 0}}, 
          CellMargins -> {{64, Inherited}, {12, 64}}, 
          CellGroupingRules -> {"SectionGrouping", 30}, PageBreakAbove -> 
          True, ShowCellLabel -> False, 
          CellFrameLabelMargins -> {{2, Inherited}, {Inherited, Inherited}}, 
          CellChangeTimes -> {3.652728456208679*^9, 3.652728527108994*^9}, 
          CounterIncrements -> "Section", 
          CounterAssignments -> {{"Subsection", 0}, {"Subsubsection", 0}, {
            "Exercise", 0}}, FontFamily -> "Source Sans Pro Semibold", 
          FontSize -> 26, FontSlant -> "Plain", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`], 
          InterpretationBoxOptions -> {Editable -> True}], 
         Cell[
          StyleData["Section", "Printout"], 
          CellMargins -> {{62, 4}, {52, 182}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SectionDoubleDigit"], CellFrame -> {{0, 0}, {0, 0}}, 
          CellDingbat -> Cell[
            TextData[
             CounterBox["Section"], 
             StyleBox[
             "|\[NegativeThinSpace]\[VeryThinSpace]", FontColor -> 
              RGBColor[
               0.9019607843137255, 0.4117647058823529, 0.027450980392156862`],
               FontFamily -> "Courier", FontSize -> 36, FontWeight -> Plain]],
             "SectionNumber"], CellMargins -> {{112, Inherited}, {12, 64}}, 
          Evaluatable -> True, CellGroupingRules -> {"SectionGrouping", 60}, 
          PageBreakAbove -> True, ShowCellLabel -> False, 
          CellFrameLabelMargins -> {{2, Inherited}, {Inherited, Inherited}}, 
          CellChangeTimes -> {3.652728456208679*^9, 3.652728527108994*^9}, 
          CounterIncrements -> "Section", 
          CounterAssignments -> {{"Subsection", 0}, {"Subsubsection", 0}, {
            "Exercise", 0}}, FontFamily -> "Source Sans Pro Semibold", 
          FontSize -> 26, FontSlant -> "Plain", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`], 
          InterpretationBoxOptions -> {Editable -> True}], 
         Cell[
          StyleData["SectionDoubleDigit", "Printout"], 
          CellMargins -> {{112, Inherited}, {12, 2}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SectionNumber"], CellBaseline -> Baseline, FontFamily -> 
          "Source Sans Pro Semibold", FontSize -> 26, FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
         Cell[
          StyleData["SectionNumber", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SectionBar"], FontFamily -> "Source Sans Pro", 
          FontWeight -> "Plain", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
         Cell[
          StyleData["SectionBar", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SectionInline"], FontFamily -> 
          "Source Sans Pro Semibold", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
         Cell[
          StyleData["SectionInline", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SectionNoDingbat"], 
          CellMargins -> {{64, Inherited}, {12, 64}}, Evaluatable -> True, 
          CellGroupingRules -> {"SectionGrouping", 60}, PageBreakAbove -> 
          True, ShowCellLabel -> False, 
          CellFrameLabelMargins -> {{2, Inherited}, {Inherited, Inherited}}, 
          CellChangeTimes -> {3.652728456208679*^9, 3.652728527108994*^9}, 
          CounterIncrements -> "Section", 
          CounterAssignments -> {{"Subsection", 0}, {"Subsubsection", 0}, {
            "Exercise", 0}}, FontFamily -> "Source Sans Pro Semibold", 
          FontSize -> 26, FontSlant -> "Plain", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`], 
          InterpretationBoxOptions -> {Editable -> True}], 
         Cell[
          StyleData["SectionNoDingbat", "Printout"], 
          CellMargins -> {{64, Inherited}, {12, 2}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SubsectionNumbered"], CellDingbat -> Cell[
            TextData[{"  ", 
              CounterBox["Section"], ".", 
              CounterBox["Subsection"]}], "SubsectionNumber", FontColor -> 
            RGBColor[
             0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
          CellMargins -> {{98, Inherited}, {Inherited, 32}}, 
          CounterIncrements -> "Subsection", FontFamily -> 
          "Source Sans Pro Semibold", FontSize -> 18, FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
         Cell[
          StyleData["SubsectionNumbered", "Printout"], 
          CellMargins -> {{102, Inherited}, {12, 32}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SubsectionNumber"], FontFamily -> 
          "Source Sans Pro Semibold", FontSize -> 18, FontColor -> 
          GrayLevel[0.25]], 
         Cell[
          StyleData["SubsectionNumber", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SubsectionFirst"], 
          CellMargins -> {{64, Inherited}, {2, 72}}, FontFamily -> 
          "Source Sans Pro Semibold", FontSize -> 18, FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
         Cell[
          StyleData["Subsection", "Printout"], 
          CellMargins -> {{64, Inherited}, {12, 32}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Subsection"], CellMargins -> {{64, Inherited}, {2, 32}}, 
          FontFamily -> "Source Sans Pro Semibold", FontSize -> 18, FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
         Cell[
          StyleData["Subsection", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Subsubsection"], 
          CellMargins -> {{64, Inherited}, {2, 32}}, FontFamily -> 
          "Source Sans Pro Semibold", FontSize -> 16, FontSlant -> "Italic", 
          FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
         Cell[
          StyleData["Subsubsection", "Printout"], 
          CellMargins -> {{64, Inherited}, {6, 14}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SubsubsectionTopMargin"], 
          CellMargins -> {{64, Inherited}, {2, 14}}, FontFamily -> 
          "Source Sans Pro Semibold", FontSize -> 16, FontSlant -> "Italic", 
          FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
         Cell[
          StyleData["SubsubsectionTopMargin", "Printout"], 
          CellMargins -> {{64, Inherited}, {6, 14}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Subsubsubsection"], 
          CellMargins -> {{64, Inherited}, {2, 32}}, FontFamily -> 
          "Source Sans Pro Semibold", FontSize -> 15, FontSlant -> "Plain", 
          FontColor -> GrayLevel[0.45]], 
         Cell[
          StyleData["Subsubsubsection", "Printout"], 
          CellMargins -> {{64, Inherited}, {6, 14}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ResourcesSubsection"], 
          CellMargins -> {{64, Inherited}, {4, 16}}, FontFamily -> 
          "Source Sans Pro Semibold", FontSize -> 15, FontSlant -> "Plain", 
          FontColor -> GrayLevel[0]], 
         Cell[
          StyleData["ResourcesSubsection", "Printout"], 
          CellMargins -> {{64, Inherited}, {4, 16}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["VocabularySection"], PageWidth :> 700, 
          CellFrame -> {{0, 0}, {0, 3}}, 
          CellMargins -> {{64, Inherited}, {8, 30}}, 
          CellGroupingRules -> {"SectionGrouping", 60}, PageBreakBelow -> 
          False, CellFrameMargins -> {{8, 8}, {4, 6}}, CellFrameColor -> 
          RGBColor[0.901961, 0.411765, 0.027451], FontFamily -> 
          "Source Sans Pro", FontSize -> 18, FontSlant -> "Italic", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`], 
          GridBoxOptions -> {GridBoxAlignment -> {}}], 
         Cell[
          StyleData["VocabularySection", "Printout"], 
          CellMargins -> {{64, Inherited}, {8, 24}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["VocabularySubsection"], 
          CellMargins -> {{64, Inherited}, {2, 10}}, FontFamily -> 
          "Source Sans Pro", FontSize -> 16, FontSlant -> "Italic", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
         Cell[
          StyleData["VocabularySubsubsection", "Printout"], 
          CellMargins -> {{64, Inherited}, {6, 14}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["VocabularySubsectionSM"], 
          CellFrame -> {{0, 0}, {0.75, 0}}, 
          CellMargins -> {{64, Inherited}, {5, 15}}, 
          CellFrameMargins -> {{8, 8}, {5, 6}}, CellFrameColor -> 
          RGBColor[0.901961, 0.411765, 0.027451], FontFamily -> 
          "Source Sans Pro", FontSize -> 14, FontWeight -> "Bold", FontSlant -> 
          "Regular", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
         Cell[
          StyleData["VocabularySubsubsectionSM", "Printout"], 
          CellMargins -> {{64, Inherited}, {6, 15}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["VocabularyTable", StyleDefinitions -> StyleData["Text"]],
           SpanMaxSize -> 1, FontFamily -> "Source Sans Pro Light", FontColor -> 
          GrayLevel[0.8], 
          GridBoxOptions -> {
           GridBoxAlignment -> {"Columns" -> {{Left}}}, 
            GridBoxDividers -> {"Columns" -> {{False}}, "Rows" -> {False, {
                 Directive[
                  Thickness[0.5], "VocabDivColor"]}, False}}, 
            GridBoxItemStyle -> {
             "Columns" -> {"VocabularyCode", Inherited, Inherited}, 
              "Rows" -> {{Automatic}}}, 
            GridBoxSpacings -> {
             "Columns" -> {{0, 1, 2, 1, 2}}, "Rows" -> {{1}}}}], 
         Cell[
          StyleData["VocabularyTable", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData[
          "VocabularyTable3Column", StyleDefinitions -> StyleData["Text"]], 
          SpanMaxSize -> 1, FontFamily -> "Source Sans Pro Light", FontColor -> 
          GrayLevel[0.8], 
          GridBoxOptions -> {
           GridBoxAlignment -> {"Columns" -> {{Left}}}, 
            GridBoxDividers -> {"Columns" -> {{False}}, "Rows" -> {False, {
                 Directive[
                  Thickness[0.5], "VocabDivColor"]}, False}}, 
            GridBoxItemStyle -> {
             "Columns" -> {
               "VocabularyCode", Inherited, "VocabularyCode", Inherited, 
                Inherited}, "Rows" -> {{Automatic}}}, 
            GridBoxSpacings -> {
             "Columns" -> {{0, 1, 2, 1, 2}}, "Rows" -> {{1}}}}], 
         Cell[
          StyleData["VocabularyTable3Column", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["VocabularyText"], FontFamily -> "Source Sans Pro", 
          FontSize -> 14, FontWeight -> "Plain", FontSlant -> "Plain", 
          FontColor -> GrayLevel[0.25]], 
         Cell[
          StyleData["VocabularyText", "Printout"], 
          CellMargins -> {{66, 10}, {7, 7}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["VocabularyCode", StyleDefinitions -> StyleData["Text"]], 
          Deletable -> False, FontFamily -> "Source Sans Pro", FontSize -> 14,
           FontWeight -> "Bold", FontColor -> GrayLevel[0.25], 
          GridBoxOptions -> {
           GridBoxAlignment -> {"Columns" -> {{Left}}}, 
            GridBoxDividers -> {
             "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
              "Rows" -> {True, {True}, True}, "RowsIndexed" -> {}}}], 
         Cell[
          StyleData["VocabularyCode", "Printout"], FontColor -> 
          GrayLevel[0.25]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["GrayPointSix"], FontColor -> GrayLevel[0.6]], 
         Cell[
          StyleData["GrayPointSix", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["VocabDivColor"], FontColor -> GrayLevel[0.8]], 
         Cell[
          StyleData["VocabDivColor", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ExerciseSection"], PageWidth :> 700, 
          CellFrame -> {{0, 0}, {0, 3}}, 
          CellMargins -> {{64, Inherited}, {8, 30}}, Evaluatable -> True, 
          CellGroupingRules -> {"SectionGrouping", 60}, PageBreakBelow -> 
          False, ShowCellLabel -> False, CellFrameMargins -> {{8, 8}, {4, 6}},
           CellFrameColor -> RGBColor[0.901961, 0.411765, 0.027451], 
          CounterAssignments -> {{"Subsection", 0}, {"Subsubsection", 0}, {
            "Exercise", 0}}, FontFamily -> "Source Sans Pro", FontSize -> 18, 
          FontSlant -> "Italic", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`], 
          GridBoxOptions -> {GridBoxAlignment -> {}}], 
         Cell[
          StyleData["ExerciseSection", "Printout"], 
          CellMargins -> {{64, Inherited}, {8, 30}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ExerciseSubsection"], PageWidth :> 500, 
          CellFrame -> {{False, False}, {1, False}}, 
          CellMargins -> {{64, Inherited}, {8, 18}}, 
          CellGroupingRules -> {"SectionGrouping", 61}, CellFrameColor -> 
          RGBColor[0.65, 0.6, 0.6], FontFamily -> "Source Sans Pro", FontSize -> 
          18, FontSlant -> "Italic", FontColor -> RGBColor[0.65, 0.6, 0.6]], 
         Cell[
          StyleData["ExerciseSubsection", "Printout"], 
          CellFrame -> {{False, False}, {1, False}}, CellFrameColor -> 
          RGBColor[0.65, 0.6, 0.6]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ExerciseSubsectionSM"], 
          CellMargins -> {{64, Inherited}, {4, 12}}, 
          CellGroupingRules -> {"SectionGrouping", 61}, FontFamily -> 
          "Source Sans Pro Semibold", FontSize -> 15, FontSlant -> "Plain", 
          FontColor -> GrayLevel[0]], 
         Cell[
          StyleData["ExerciseSubsectionSM", "Printout"], 
          CellMargins -> {{64, Inherited}, {4, 12}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Exercise"], PageWidth :> 700, CellDingbat -> Cell[
            TextData[{"  ", 
              CounterBox["Section"], ".", 
              CounterBox["Exercise"]}], "ExerciseNumber", FontColor -> 
            RGBColor[
             0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
          ShowGroupOpener -> True, CellMargins -> {{106, Inherited}, {4, 8}}, 
          CellGroupingRules -> {"SectionGrouping", 62}, DefaultNewCellStyle -> 
          "ExerciseInput", CounterIncrements -> "Exercise", MenuSortingValue -> 
          10020, MenuCommandKey :> "2", FontFamily -> "Source Sans Pro", 
          FontSize -> 14, FontWeight -> "Plain", FontSlant -> "Plain", 
          FontColor -> GrayLevel[0.25]], 
         Cell[
          StyleData["Exercise", "Printout"], ShowGroupOpener -> False, 
          CellMargins -> {{108, Inherited}, {4, 8}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ExerciseNumber"], FontFamily -> "Source Sans Pro", 
          FontSize -> 14, FontWeight -> "Bold", FontColor -> GrayLevel[0.25]], 
         Cell[
          StyleData["ExerciseNumber", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ExerciseNote"], PageWidth :> 700, 
          CellMargins -> {{64, Inherited}, {4, 8}}, 
          CellGroupingRules -> {"SectionGrouping", 62.}, PageBreakBelow -> 
          False, LineSpacing -> {1., 1., 2.}, MenuSortingValue -> 10050, 
          FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
          "Plain", FontSlant -> "Plain", FontColor -> 
          GrayLevel[0.25], $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["ExerciseNote", "Printout"], 
          CellMargins -> {{64, Inherited}, {4, 8}}, 
          LineSpacing -> {0.8, 1., 2.}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["QASection"], PageWidth :> 700, 
          CellFrame -> {{0, 0}, {0, 3}}, 
          CellMargins -> {{64, Inherited}, {8, 30}}, 
          CellGroupingRules -> {"SectionGrouping", 60}, PageBreakBelow -> 
          False, CellFrameMargins -> {{8, 8}, {4, 6}}, CellFrameColor -> 
          RGBColor[0.901961, 0.411765, 0.027451], 
          CounterAssignments -> {{"Subsection", 0}, {"Subsubsection", 0}, {
            "Question", 0}}, FontFamily -> "Source Sans Pro", FontSize -> 18, 
          FontSlant -> "Italic", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`], 
          GridBoxOptions -> {GridBoxAlignment -> {}}], 
         Cell[
          StyleData["QASection", "Printout"], 
          CellMargins -> {{64, Inherited}, {8, 30}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Question"], PageWidth :> 700, 
          CellMargins -> {{64, Inherited}, {2, 12}}, PageBreakBelow -> False, 
          CounterIncrements -> "Question", MenuSortingValue -> 10030, 
          MenuCommandKey :> "3", FontFamily -> "Source Sans Pro", FontSize -> 
          14, FontWeight -> "Bold", FontSlant -> 
          "Plain", $CellContext`ReturnCreatesNewCell -> 
          True, $CellContext`DefaultReturnCreatedCellStyle -> "Answer"], 
         Cell[
          StyleData["Question", "Printout"], 
          CellMargins -> {{65, Inherited}, {2, 12}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Answer"], PageWidth :> 700, 
          CellMargins -> {{66, 10}, {4, 1}}, LineSpacing -> {1.125, 1., 2.}, 
          MenuSortingValue -> 10032, FontFamily -> "Source Sans Pro", 
          FontSize -> 14, FontWeight -> "Plain", FontSlant -> "Plain", 
          FontColor -> GrayLevel[0.25], $CellContext`ReturnCreatesNewCell -> 
          True, $CellContext`DefaultReturnCreatedCellStyle -> "Question"], 
         Cell[
          StyleData["Answer", "Printout"], 
          CellMargins -> {{66, 10}, {4, 1}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["QuestionNumber"], FontFamily -> "Source Sans Pro", 
          FontSize -> 14, FontWeight -> "Bold", FontColor -> GrayLevel[0.25]], 
         Cell[
          StyleData["QuestionNumber", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["TechNoteSection"], PageWidth :> 700, 
          CellFrame -> {{0, 0}, {0, 3}}, 
          CellMargins -> {{64, Inherited}, {8, 30}}, 
          CellGroupingRules -> {"SectionGrouping", 60}, PageBreakBelow -> 
          False, CellFrameMargins -> {{8, 8}, {4, 6}}, CellFrameColor -> 
          RGBColor[0.901961, 0.411765, 0.027451], FontFamily -> 
          "Source Sans Pro", FontSize -> 18, FontSlant -> "Italic", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`], 
          GridBoxOptions -> {GridBoxAlignment -> {}}], 
         Cell[
          StyleData["TechNoteSection", "Printout"], 
          CellMargins -> {{64, Inherited}, {8, 30}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["TechNoteSubsection"], 
          CellMargins -> {{64, Inherited}, {2, 10}}, FontFamily -> 
          "Source Sans Pro", FontSize -> 16, FontSlant -> "Italic", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
         Cell[
          StyleData["TechNoteSubsubsection", "Printout"], 
          CellMargins -> {{64, Inherited}, {6, 14}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["TechNoteItem"], PageWidth :> 700, CellDingbat -> Cell[
            TextData[{
              CounterBox["ItemNumbered"], "."}], FontSize -> 12, FontWeight -> 
            Bold, FontColor -> GrayLevel[0.25]], 
          CellMargins -> {{93, Inherited}, {4, 8}}, CellFrameLabelMargins -> 
          4, CellChangeTimes -> {{3.651515120816633*^9, 3.651515125814807*^9},
             3.6515155174947033`*^9}, LineSpacing -> {1.25, 1., 2.}, 
          CounterIncrements -> "ItemNumbered", MenuSortingValue -> 10040, 
          FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
          "Plain", FontSlant -> "Plain", FontColor -> 
          GrayLevel[0.25], $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["TechNoteItem", "Printout"], 
          CellMargins -> {{93, Inherited}, {4, 8}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["TechNoteNoDingbat"], PageWidth :> 700, 
          CellMargins -> {{82, Inherited}, {4, 8}}, CellFrameLabelMargins -> 
          4, LineSpacing -> {1.25, 1., 2.}, MenuSortingValue -> 10040, 
          FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
          "Plain", FontSlant -> "Plain", FontColor -> 
          GrayLevel[0.25], $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["TechNote", "Printout"], 
          CellMargins -> {{82, Inherited}, {4, 8}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["TechNote"], PageWidth :> 700, CellDingbat -> Cell[
            TextData[{"\[FilledSquare]"}], FontSize -> 12, FontColor -> 
            GrayLevel[0.5]], CellMargins -> {{78, Inherited}, {4, 8}}, 
          CellFrameLabelMargins -> 4, LineSpacing -> {1.25, 1., 2.}, 
          MenuSortingValue -> 10040, FontFamily -> "Source Sans Pro", 
          FontSize -> 14, FontWeight -> "Plain", FontSlant -> "Plain", 
          FontColor -> GrayLevel[0.25], $CellContext`ReturnCreatesNewCell -> 
          True], 
         Cell[
          StyleData["TechNote", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["TechNoteInput", StyleDefinitions -> StyleData["Input"]], 
          CellMargins -> {{99, 10}, {3, 7}}, SpanMaxSize -> 1, FontSize -> 
          14], 
         Cell[
          StyleData["TechNoteInput", "Printout"], 
          CellMargins -> {{99, 10}, {3, 7}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData[
          "TechNoteOutput", StyleDefinitions -> StyleData["Output"]], 
          CellMargins -> {{99, 10}, {14, 7}}, FontSize -> 14], 
         Cell[
          StyleData["TechNoteOutput", "Printout"], 
          CellMargins -> {{99, 10}, {14, 7}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["MoreExploreSection"], PageWidth :> 700, 
          CellFrame -> {{0, 0}, {0, 3}}, 
          CellMargins -> {{64, Inherited}, {8, 30}}, 
          CellGroupingRules -> {"SectionGrouping", 60}, PageBreakBelow -> 
          False, CellFrameMargins -> {{8, 8}, {4, 6}}, CellFrameColor -> 
          RGBColor[0.901961, 0.411765, 0.027451], FontFamily -> 
          "Source Sans Pro", FontSize -> 18, FontSlant -> "Italic", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`], 
          GridBoxOptions -> {GridBoxAlignment -> {}}], 
         Cell[
          StyleData["MoreExploreSection", "Printout"], 
          CellMargins -> {{64, Inherited}, {8, 30}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["MoreExplore"], PageWidth :> 700, 
          CellMargins -> {{64, Inherited}, {4, 8}}, PageBreakBelow -> False, 
          MenuSortingValue -> 10050, FontFamily -> "Source Sans Pro", 
          FontSize -> 14, FontWeight -> "Plain", FontSlant -> "Plain", 
          FontColor -> GrayLevel[0], $CellContext`ReturnCreatesNewCell -> 
          True], 
         Cell[
          StyleData["MoreExplore", "Printout"], 
          CellMargins -> {{64, Inherited}, {4, 8}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["MoreExploreShortURL"], 
          CellMargins -> {{64, Inherited}, {4, 8}}, PageBreakBelow -> False, 
          FontFamily -> "Source Sans Pro Light", FontSize -> 14, FontSlant -> 
          "Plain", FontColor -> GrayLevel[0]], 
         Cell[
          StyleData["MoreExploreShortURL", "Printout"], 
          CellMargins -> {{64, Inherited}, {4, 8}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["TakeawaysSection"], PageWidth :> 700, 
          CellFrame -> {{1, 1}, {1, 1}}, CellMargins -> {{52, -12}, {-1, 30}},
           CellGroupingRules -> {"SectionGrouping", 60}, PageBreakBelow -> 
          False, CellFrameMargins -> {{16, 8}, {6, 6}}, CellFrameColor -> 
          RGBColor[0.901961, 0.411765, 0.027451], FontFamily -> 
          "Source Sans Pro", FontSize -> 15, FontWeight -> "Bold", FontSlant -> 
          "Plain", 
          PrivateFontOptions -> {"FontPostScriptName" -> "Automatic"}, 
          FontColor -> GrayLevel[1], Background -> 
          RGBColor[0.901961, 0.411765, 0.027451]], 
         Cell[
          StyleData["TakeawaysSection", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["TakeawaysHeader"], 
          CellMargins -> {{64, Inherited}, {5, 15}}, 
          CellFrameMargins -> {{8, 8}, {5, 6}}, CellFrameColor -> 
          RGBColor[0.901961, 0.411765, 0.027451], FontFamily -> 
          "Source Sans Pro", FontSize -> 15, FontWeight -> "SemiBold", 
          FontSlant -> "Regular", FontColor -> GrayLevel[0]], 
         Cell[
          StyleData["TakeawaysHeader", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["TakeawaysTable"], PageWidth :> 700, 
          CellFrame -> {{0, 0}, {0, 0}}, CellMargins -> {{52, -12}, {12, -1}},
           CellFrameMargins -> {{18, 12}, {20, 12}}, CellFrameLabelMargins -> 
          6, LineSpacing -> {1.25, 1., 2.}, SpanMaxSize -> 1, FontFamily -> 
          "Source Sans Pro Light", FontColor -> GrayLevel[0.25], Background -> 
          RGBColor[1., 0.9490196078431372, 0.8509803921568627], 
          GridBoxOptions -> {
           GridBoxAlignment -> {"Columns" -> {{Left}}}, 
            GridBoxDividers -> {"Columns" -> {{False}}, "Rows" -> {False}}, 
            GridBoxItemStyle -> {
             "Columns" -> {"TakeawaysDingbat", Inherited}, 
              "Rows" -> {{SpanFromLeft, Automatic}}}, 
            GridBoxSpacings -> {
             "Columns" -> {{0.5}}, 
              "Rows" -> {{0.75}}}}, $CellContext`ReturnCreatesNewCell -> 
          True], 
         Cell[
          StyleData["TakeawaysTable", "Printout"], 
          CellMargins -> {{51.5, -12.5}, {12, 0}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["TakeawaysText"], FontFamily -> "Source Sans Pro", 
          FontSize -> 14, FontWeight -> "Plain", FontSlant -> "Plain", 
          FontColor -> GrayLevel[0]], 
         Cell[
          StyleData["TakeawaysText", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData[
          "TakeawaysDingbat", StyleDefinitions -> StyleData["Text"]], 
          FontFamily -> "Source Sans Pro", FontSize -> 10, FontWeight -> 
          "SemiBold", FontColor -> RGBColor[0.901961, 0.411765, 0.027451], 
          GridBoxOptions -> {
           GridBoxAlignment -> {"Columns" -> {{Left}}}, 
            GridBoxDividers -> {
             "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
              "Rows" -> {True, {True}, True}, "RowsIndexed" -> {}}}], 
         Cell[
          StyleData["TakeawaysDingbat", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["CodeText", StyleDefinitions -> StyleData["Text"]], 
          CellMargins -> {{66, 10}, {3, 15}}, LineSpacing -> {1, 1, 1}, 
          MenuSortingValue -> 1540, 
          MenuCommandKey :> $CellContext`MenuKey[
           "7", $CellContext`Modifiers -> {"Shift"}], FontFamily -> 
          "Source Sans Pro", FontSize -> 16, FontColor -> GrayLevel[0.25]], 
         Cell[
          StyleData["CodeText", "Printout"], 
          CellMargins -> {{66, 10}, {4, 12}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["CodeCaption"], CellFrame -> {{0, 0}, {0, 0}}, 
          CellMargins -> {{66, 10}, {4, 12}}, PageBreakBelow -> False, 
          CellFrameColor -> GrayLevel[0.4], LineSpacing -> {1, 1, 1}, 
          MenuSortingValue -> 10010, MenuCommandKey :> "1", FontFamily -> 
          "Source Sans Pro", FontSize -> 16, FontColor -> GrayLevel[0.25]], 
         Cell[
          StyleData["CodeCaption", "Printout"], 
          CellMargins -> {{66, 10}, {4, 12}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["DisplayFormula"], 
          CellMargins -> {{99, Inherited}, {2, 12}}, DefaultFormatType -> 
          DefaultInputFormatType, 
          HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"},
           LanguageCategory -> "Formula", ScriptLevel -> 0, 
          SingleLetterItalics -> True, MenuSortingValue -> 1700, FontFamily -> 
          "Baskerville", FontSize -> 16, FontWeight -> "Regular", FontSlant -> 
          "Plain", 
          PrivateFontOptions -> {"FontPostScriptName" -> "Automatic"}, 
          FontColor -> GrayLevel[0.2], 
          UnderoverscriptBoxOptions -> {
           LimitsPositioning -> True}, $CellContext`StripStyleOnPaste -> 
          True], 
         Cell[
          StyleData["DisplayFormula", "Printout"], 
          CellMargins -> {{99, Inherited}, {Inherited, Inherited}}]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData[
          "DisplayFormulaNumbered", StyleDefinitions -> 
           StyleData["DisplayFormula"]], CellFrameLabels -> {{None, 
             Cell[
              TextData[{"(", 
                CounterBox["DisplayFormulaNumbered"], ")"}], 
              "DisplayFormulaEquationNumber"]}, {None, None}}, 
          CounterIncrements -> "DisplayFormulaNumbered", MenuSortingValue -> 
          1710, FontFamily -> "Baskerville", FontSize -> 16, FontWeight -> 
          "Regular", FontSlant -> "Plain", 
          PrivateFontOptions -> {"FontPostScriptName" -> "Automatic"}], 
         Cell[
          StyleData["DisplayFormulaNumbered", "Printout"], 
          CellMargins -> {{99, Inherited}, {Inherited, Inherited}}]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Print"], CellMargins -> {{99, 10}, {4, 4}}, FontSize -> 
          15], 
         Cell[
          StyleData["Print", "Presentation"], 
          CellMargins -> {{100, Inherited}, {1.5 Inherited, 1.5 Inherited}}], 
         Cell[
          StyleData["Print", "SlideShow"], 
          CellMargins -> {{
            0.135 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.01 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {8, 15}}, 
          FontSize -> 18], 
         Cell[
          StyleData["Print", "Condensed"], 
          CellMargins -> {{18, Inherited}, {Inherited, Inherited}}], 
         Cell[
          StyleData["Print", "Printout"], 
          CellMargins -> {{49, Inherited}, {Inherited, Inherited}}], 
         Cell[
          StyleData["Print", "PrintoutGray"], 
          CellMargins -> {{49, Inherited}, {Inherited, Inherited}}]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Item"], CellDingbat -> 
          StyleBox[
           "\:203a", Alignment -> Baseline, FontFamily -> Automatic, FontSize -> 
            18, FontWeight -> GrayLevel[0], 
            RGBColor[
            0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
          CellMargins -> {{81, 10}, {4, 8}}, 
          StyleKeyMapping -> {"Tab" -> "Subitem", "*" -> "Subitem"}, 
          CellGroupingRules -> {"GroupTogetherNestedGrouping", 15000}, 
          CellFrameLabelMargins -> 4, CounterIncrements -> "Item", 
          CounterAssignments -> {{"Subitem", 0}, {"Subsubitem", 0}}, 
          MenuSortingValue -> 1600, FontFamily -> "Source Sans Pro", FontSize -> 
          15, $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["Item", "Printout"], CellDingbat -> 
          StyleBox[
           "\:203a", Alignment -> Baseline, FontSize -> 17, FontFamily -> 
            "Automatic", FontWeight -> "Black", 
            RGBColor[
            0.9019607843137255, 0.4117647058823529, 0.027450980392156862`]], 
          CellMargins -> {{80, Inherited}, {Inherited, Inherited}}, 
          CellGroupingRules -> {
           "GroupTogetherNestedGrouping", 1.073741821*^9}, 
          CellChangeTimes -> {{3.8855684925344048`*^9, 
           3.885568495926271*^9}, {3.885643888233819*^9, 
           3.8856439007210073`*^9}}, $CellContext`CellDingbatMargin -> 2]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ItemParagraph"], CellMargins -> {{81, 10}, {4, 1}}, 
          StyleKeyMapping -> {"Tab" -> "SubitemParagraph"}, 
          CellGroupingRules -> {"GroupTogetherNestedGrouping", 15000}, 
          MenuSortingValue -> 1600, FontFamily -> "Source Sans Pro", FontSize -> 
          15, FontColor -> GrayLevel[0.2], $CellContext`ReturnCreatesNewCell -> 
          True], 
         Cell[
          StyleData["ItemParagraph", "Printout"], 
          CellMargins -> {{80, Inherited}, {Inherited, 0.5 Inherited}}]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ItemNumbered"], CellDingbat -> Cell[
            TextData[{
              CounterBox["ItemNumbered"], "."}], FontWeight -> "Bold"], 
          CellMargins -> {{85, 10}, {4, 8}}, 
          StyleKeyMapping -> {"Tab" -> "SubitemNumbered"}, 
          CellGroupingRules -> {"GroupTogetherNestedGrouping", 15000}, 
          CellFrameLabelMargins -> 4, CounterIncrements -> "ItemNumbered", 
          CounterAssignments -> {{"SubitemNumbered", 0}, {
            "SubsubitemNumbered", 0}}, MenuSortingValue -> 1630, FontFamily -> 
          "Source Sans Pro", FontSize -> 
          15, $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["ItemNumbered", "Printout"], 
          CellMargins -> {{90, Inherited}, {Inherited, Inherited}}]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Note"], CellFrame -> {{0, 0}, {0, 1}}, 
          CellMargins -> {{66, 0}, {8, 6}}, 
          StyleKeyMapping -> {"Tab" -> "SubitemParagraph"}, 
          CellGroupingRules -> {"GroupTogetherNestedGrouping", 15000}, 
          CellFrameMargins -> {{14, 14}, {12, 12}}, CellFrameColor -> 
          RGBColor[0.901961, 0.411765, 0.027451], 
          LineSpacing -> {1.2, 1., 2.}, MenuSortingValue -> 1600, FontFamily -> 
          "Source Sans Pro", FontSize -> 15, FontColor -> GrayLevel[0.2], 
          Background -> 
          RGBColor[
           1., 0.9647058823529412, 
            0.9411764705882353], $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["Note", "Printout"], CellMargins -> {{66, 0}, {10, 8}}, 
          FontSize -> 14]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Echo"], 
          CellMargins -> {{99, Inherited}, {Inherited, Inherited}}], 
         Cell[
          StyleData["Echo", "Printout"], 
          CellMargins -> {{99, Inherited}, {Inherited, Inherited}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["EchoTiming"], 
          CellMargins -> {{99, Inherited}, {Inherited, Inherited}}], 
         Cell[
          StyleData["EchoTiming", "Printout"], 
          CellMargins -> {{99, Inherited}, {Inherited, Inherited}}]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Epigraph"], CellMargins -> {{100, 78}, {6, 24}}, 
          CellFrameLabels -> {{None, None}, {None, None}}, 
          CellFrameLabelMargins -> 8, TextAlignment -> Left, Hyphenation -> 
          True, HyphenationOptions -> {"HyphenationMinLengths" -> {3, 5}}, 
          LineSpacing -> {1, 2}, TabSpacings -> {1.2, 2.5}, FontFamily -> 
          "Source Sans Pro", FontSize -> 18, FontWeight -> "Plain", FontSlant -> 
          "Plain"], 
         Cell[
          StyleData["Epigraph", "Printout", StyleDefinitions -> None]]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["EpigraphAuthor"], CellMargins -> {{125, 100}, {12, 12}}, 
          TextAlignment -> Left, LineSpacing -> {1, 2}, 
          ParagraphIndent -> -17, TabSpacings -> {1.5, 2.5}, FontFamily -> 
          "Source Sans Pro", FontSize -> 16, FontWeight -> "Plain", FontSlant -> 
          "Plain", FontTracking -> -0.05], 
         Cell[
          StyleData["EpigraphAuthor", "Printout", StyleDefinitions -> None]]},
         Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ReferenceSection"], PageWidth :> 700, 
          CellFrame -> {{0, 0}, {0, 3}}, 
          CellMargins -> {{64, Inherited}, {8, 30}}, 
          CellGroupingRules -> {"SectionGrouping", 60}, PageBreakBelow -> 
          False, CellFrameMargins -> {{8, 8}, {4, 6}}, CellFrameColor -> 
          RGBColor[0.901961, 0.411765, 0.027451], FontFamily -> 
          "Source Sans Pro", FontSize -> 18, FontSlant -> "Italic", FontColor -> 
          RGBColor[
           0.9019607843137255, 0.4117647058823529, 0.027450980392156862`], 
          GridBoxOptions -> {GridBoxAlignment -> {}}], 
         Cell[
          StyleData["ReferenceSection", "Printout"], 
          CellMargins -> {{64, Inherited}, {8, 30}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Reference"], CellDingbat -> Cell[
            TextData[{
              CounterBox["Reference"]}], "SR", FontSize -> 13, 
            CellSize -> {30, Inherited}, TextAlignment -> Right], 
          CellMargins -> {{80, 10}, {3, 4}}, 
          CellFrameLabels -> {{None, None}, {None, None}}, 
          CellFrameLabelMargins -> 8, 
          CellChangeTimes -> {{3.7385995432110577`*^9, 3.738599549834622*^9}},
           LineSpacing -> {1, 2}, ParagraphIndent -> -8, 
          TabSpacings -> {0.7, 2.5}, CounterIncrements -> "Reference", 
          MenuSortingValue -> 1870, FontFamily -> "Source Sans Pro", FontSize -> 
          14, FontWeight -> "Plain", FontSlant -> "Plain"], 
         Cell[
          StyleData["Reference", "Printout", StyleDefinitions -> None], 
          CellMargins -> {{66, 10}, {3, 4}}, TabSpacings -> {1.2, 2.5}]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["TextFirst"], CellMargins -> {{66, 10}, {4, 72}}, 
          FontFamily -> "Baskerville", FontSize -> 18, FontColor -> 
          GrayLevel[0], $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["Text", "Printout"], CellMargins -> {{66, 10}, {7, 7}}]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Text"], CellMargins -> {{66, 10}, {4, 12}}, FontFamily -> 
          "Baskerville", FontSize -> 18, FontColor -> 
          GrayLevel[0], $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["Text", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SmallText"], CellMargins -> {{66, 10}, {6, 6}}, 
          LineSpacing -> {1, 3}, TabSpacings -> {2.5}, LanguageCategory -> 
          "NaturalLanguage", CounterIncrements -> "SmallText", 
          MenuSortingValue -> 1750, StyleMenuListing -> None, FontFamily -> 
          "Source Sans Pro", FontSize -> 14, FontColor -> GrayLevel[0.2]], 
         Cell[
          StyleData["SmallText", "Printout"], 
          CellMargins -> {{66, 10}, {7, 7}}, Hyphenation -> True]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ResourcesText"], CellMargins -> {{66, 10}, {2, 0}}, 
          FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
          "Plain", FontSlant -> "Plain", FontColor -> 
          GrayLevel[0], $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["ResourcesText", "Printout"], 
          CellMargins -> {{66, 10}, {2, 0}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ResourcesLink"], CellMargins -> {{66, 10}, {2, 0}}, 
          FontFamily -> "Source Sans Pro", FontSize -> 14, FontWeight -> 
          "Plain", FontSlant -> "Italic", FontColor -> 
          GrayLevel[0], $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["ResourcesLink", "Printout"], 
          CellMargins -> {{66, 10}, {2, 0}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Input"], CellMargins -> {{99, 10}, {3, 7}}, SpanMaxSize -> 
          1, FontSize -> 15], 
         Cell[
          StyleData["Input", "Printout"], CellMargins -> {{99, 10}, {3, 7}}]},
         Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Output"], CellMargins -> {{99, 10}, {14, 7}}, FontSize -> 
          15], 
         Cell[
          StyleData["Output", "Printout"], 
          CellMargins -> {{99, 10}, {14, 7}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["InputOnly"], CellMargins -> {{99, 10}, {25, 10}}, 
          SpanMaxSize -> 1, MenuSortingValue -> 1500, FontSize -> 15], 
         Cell[
          StyleData["InputOnly", "Printout"], 
          CellMargins -> {{99, 10}, {15, 10}}]}, Closed]], 
      Cell[
       StyleData["InitializationCell"], Background -> None], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["CellLabel"], 
          CellLabelMargins -> {{18, Inherited}, {Inherited, Inherited}}, 
          LanguageCategory -> None, StyleMenuListing -> None, FontFamily -> 
          "Helvetica Neue", FontSize -> 9, FontWeight -> "Plain", FontSlant -> 
          "Plain", FontColor -> GrayLevel[0.5]], 
         Cell[
          StyleData["CellLabel", "Printout"], FontSize -> 8, FontColor -> 
          GrayLevel[0.5]]}, Closed]], 
      Cell[
       StyleData[
       "CellLabelExpired", StyleDefinitions -> StyleData["CellLabel"]], 
       CellLabelMargins -> 6, FontSlant -> Italic, FontTracking -> 0.4, 
       FontColor -> GrayLevel[0.6]], 
      Cell[
       StyleData["SummaryPanel"], GeneratedCell -> True, CellAutoOverwrite -> 
       True, CellChangeTimes -> {3.84753348107472*^9}, FontFamily :> 
       CurrentValue["PanelFontFamily"], FontSize :> 0.8 Inherited, FontWeight -> 
       "Plain", FontSlant -> "Plain", FontColor :> 
       CurrentValue[{"SystemColors", "DialogText"}], 
       TemplateBoxOptions -> {
        DisplayFunction -> (
          ButtonBox[#, Active -> False, Alignment -> Left, 
           Appearance -> {"Default" -> Image[CompressedData["
1:eJzNlk0KgkAUgKVatGzRAWohXqFty7ZFB1AyaWOgQXQozyIPZmCgxYBLQUQ6
gL2R/ElcBKWvgU+cQd/3ZhxnZmmdt8eRpmn+FC9b87r2PPO2m2Fl7/onx7UP
G/diO7a3ssbYOEcWyATJvyw/CFGECcNQRwIkQ3J4Eb4BrXqjDT55togdYFxd
OUs5ABj4fipllMdxnCdJ0gsqdoQOzC3FPIyGP1DtfXnbSCkLZ/ntGEDWZ7+7
xgGAPSo/Y4O5SxiDau5yAj/nrPZzTuDnlV9wMbhfCFH4Fep+cP9d1P2n9hOO
/z/MP+r/j3r9oV5/qfcf6v2X4vyB+XQenMo1sS/a5QlC6exw
               "], "Byte", ColorSpace -> "RGB", Interleaving -> True]}, 
           FrameMargins -> 7, BaseStyle -> {Deployed -> False}, 
           DefaultBaseStyle -> {"Pane", Background -> None}, BaselinePosition -> 
           Baseline]& ), Tooltip -> None}, 
       GraphicsBoxOptions -> {
        Axes -> False, 
         DefaultBaseStyle -> {"GraphicsNoFontOrMenu", CacheGraphics -> False},
          ImageSize -> 
         Dynamic[{
           Automatic, 
            3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
             Magnification])}]}, 
       Graphics3DBoxOptions -> {
        Axes -> False, DefaultBaseStyle -> {"Graphics3DNoFontOrMenu"}, 
         ImageSize -> 
         Dynamic[{
           Automatic, 
            3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
             Magnification])}]}], 
      Cell[
       StyleData["IconizedDefaultName"], FontSize -> 12, 
       PrivateFontOptions -> {"OperatorSubstitution" -> False}, FontColor -> 
       GrayLevel[0.15]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Message"], Editable -> False, 
          CellMargins -> {{66, Inherited}, {Inherited, Inherited}}, 
          CellGroupingRules -> "OutputGrouping", TextClipboardType -> 
          "PlainText", PageBreakWithin -> False, GroupPageBreakWithin -> 
          False, GeneratedCell -> True, CellAutoOverwrite -> True, 
          ShowCellLabel -> False, DefaultFormatType -> 
          DefaultOutputFormatType, ContextMenu -> 
          FEPrivate`FrontEndResource["ContextMenus", "Output"], 
          ShowAutoStyles -> False, ShowSyntaxStyles -> False, 
          AutoStyleOptions -> {
           "StringStyle" -> None, "SyntaxErrorStyle" -> None}, 
          HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"},
           AutoItalicWords -> {}, AutoQuoteCharacters -> {}, 
          PasteAutoQuoteCharacters -> {}, LanguageCategory -> None, 
          FormatType -> InputForm, ShowStringCharacters -> False, 
          CounterIncrements -> "Message", MenuSortingValue -> 1600, 
          StyleMenuListing -> None, FontFamily :> 
          CurrentValue["PanelFontFamily"], FontSize -> 11, FontColor -> 
          RGBColor[0.5072, 0.16933, 0.15221], $CellContext`StripStyleOnPaste -> 
          True], 
         Cell[
          StyleData["Message", "Printout"], 
          CellMargins -> {{100, Inherited}, {Inherited, Inherited}}, 
          CellFrameLabels -> {{None, None}, {None, None}}, FontColor -> 
          GrayLevel[0]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ExerciseInput", StyleDefinitions -> StyleData["Input"]], 
          CellMargins -> {{106, 10}, {4, 7}}, ShowCellLabel -> False, 
          SpanMaxSize -> 1, FontSize -> 
          14, $CellContext`GeneratedCellStyles -> {
           "Output" -> "ExerciseOutput"}], 
         Cell[
          StyleData["ExerciseInput", "Printout"], 
          CellMargins -> {{106, 10}, {4, 7}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData[
          "ExerciseOutput", StyleDefinitions -> StyleData["Output"]], 
          CellMargins -> {{106, 10}, {10, 4}}, ShowCellLabel -> False, 
          FontSize -> 14], 
         Cell[
          StyleData["ExerciseOutput", "Printout"], 
          CellMargins -> {{106, 10}, {10, 4}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Picture"], CellMargins -> {{66, 10}, {10, 10}}, 
          CellGroupingRules -> "GraphicsGrouping", StyleMenuListing -> None], 
         Cell[
          StyleData["Picture", "Printout"], 
          CellMargins -> {{66, 10}, {8, 8}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Comment"], FontFamily -> "Verdana", FontSize -> 13, 
          FontColor -> RGBColor[0.3, 0.3, 0.2], Background -> 
          RGBColor[1, 0.9, 0.8]], 
         Cell[
          StyleData["Comment", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Suggestion"], 
          CellFrameLabels -> {{Inherited, Inherited}, {Inherited, 
             Cell[
              BoxData[
               TagBox[
                GridBox[{{
                   ButtonBox[
                   "\"  Insert  \"", 
                    ButtonFunction :> (Needs["DocuTools`"]; 
                    DocuTools`DocuToolsLoader[]; 
                    DocuTools`ReplaceWithSuggestion[]), Evaluator -> 
                    Automatic, 
                    BaseStyle -> {FontSize -> 10, FontFamily -> "Verdana"}, 
                    ContentPadding -> False, Appearance -> Automatic, Method -> 
                    "Queued"], 
                   ButtonBox[
                   "\"  Stet  \"", 
                    ButtonFunction :> (Needs["DocuTools`"]; 
                    DocuTools`DocuToolsLoader[]; DocuTools`StetSuggestion[]), 
                    Evaluator -> Automatic, 
                    BaseStyle -> {FontSize -> 10, FontFamily -> "Verdana"}, 
                    Appearance -> Automatic, Method -> "Queued"], "    ", 
                   ButtonBox[
                   "\"  Next  \"", 
                    ButtonFunction :> (Needs["DocuTools`"]; 
                    DocuTools`DocuToolsLoader[]; 
                    DocuTools`FindNextSuggestion[]), Evaluator -> Automatic, 
                    BaseStyle -> {FontSize -> 10, FontFamily -> "Verdana"}, 
                    Appearance -> Automatic, Method -> "Queued"], 
                   ButtonBox[
                   "\"  Previous  \"", 
                    ButtonFunction :> (Needs["DocuTools`"]; 
                    DocuTools`DocuToolsLoader[]; 
                    DocuTools`FindPreviousSuggestion[]), Evaluator -> 
                    Automatic, 
                    BaseStyle -> {FontSize -> 10, FontFamily -> "Verdana"}, 
                    Appearance -> Automatic, Method -> "Queued"], "\"\""}}, 
                 AutoDelete -> False, 
                 GridBoxItemSize -> {
                  "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                "Grid"]], ShowStringCharacters -> False, Background -> 
              None]}}, Background -> RGBColor[1, 0.8, 0.8]], 
         Cell[
          StyleData["Suggestion", "Printout"], 
          CellElementSpacings -> {"CellMinHeight" -> 0.1}, CellOpen -> False, 
          CellFrameMargins -> 0, FontSize -> 0.1, Magnification -> 0.01]}, 
        Open]], 
      Cell[
       StyleData["Tentative"], 
       CellBracketOptions -> {
        "Color" -> RGBColor[
          0.30000000000000016`, 0.6000000000000003, 0.7000000000000003], 
         "Thickness" -> 5}, Evaluatable -> False, CellFrameMargins -> 4, 
       StyleMenuListing -> None, Background -> 
       RGBColor[0.8500000000000003, 0.9500000000000003, 1]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["PrintOnly"], 
          CellBracketOptions -> {
           "Color" -> RGBColor[0.89, 0.867, 0.99], "Thickness" -> 5}, 
          CellFrameMargins -> 4, StyleMenuListing -> None, Background -> 
          RGBColor[0.89, 0.867, 0.99]], 
         Cell[
          StyleData["PrintOnly", "Printout"], 
          CellElementSpacings -> {"CellMinHeight" -> 0.1}, CellOpen -> False, 
          CellFrameMargins -> 0, FontSize -> 0.1, Magnification -> 0.01], 
         Cell[
          StyleData["Tentative", "Printout"], 
          CellElementSpacings -> {"CellMinHeight" -> 0.1}, CellOpen -> False, 
          CellFrameMargins -> 0, FontSize -> 0.1, Magnification -> 0.01]}, 
        Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["WebOnly"], 
          CellBracketOptions -> {
           "Color" -> RGBColor[0.91, 0.92, 0.9], "Thickness" -> 5}, 
          CellFrameMargins -> 4, StyleMenuListing -> None, Background -> 
          RGBColor[0.91, 0.92, 0.86]], 
         Cell[
          StyleData["WebOnly", "Printout"], 
          CellElementSpacings -> {"CellMinHeight" -> 0.1}, CellOpen -> False, 
          CellFrameMargins -> 0, FontSize -> 0.1, Magnification -> 0.01]}, 
        Open]], 
      Cell[
       StyleData["Lockdown"], 
       CellBracketOptions -> {
        "Color" -> RGBColor[0.8, 0.5, 0.4], "Thickness" -> 3}, Evaluatable -> 
       False, StyleMenuListing -> None], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["IndexField"], CellFrame -> True, CellFrameColor -> 
          GrayLevel[0.7], FontFamily -> "Verdana", FontSize -> 12], 
         Cell[
          StyleData["IndexField", "Invisibles"], CellFrame -> False, 
          ShowCellBracket -> False, CellOpen -> False, FontSize -> 1]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ExplanationField"], CellFrame -> True, CellFrameColor -> 
          GrayLevel[0.7], FontFamily -> "Verdana", FontSize -> 12], 
         Cell[
          StyleData["ExplanationField", "Invisibles"], CellFrame -> False, 
          ShowCellBracket -> False, CellOpen -> False, FontSize -> 1]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["EnglishHighlight"], FontFamily -> "WolframCodeSans"], 
         Cell[
          StyleData["EnglishHighlight", "Printout"]]}, Closed]]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
      "Inline and special formatting", "Section", 
       CellChangeTimes -> {{3.646681732592888*^9, 3.646681749414035*^9}}], 
      Cell[
       StyleData["Graphics"], MenuSortingValue -> None], 
      Cell[
       StyleData["Graphics3D"], MenuSortingValue -> None], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["StandardForm"], LineSpacing -> {1.25, 0, 2}, FontFamily -> 
          "Source Sans Code"], 
         Cell[
          StyleData["StandardForm", "Printout"], LineSpacing -> {1.25, 0, 2}, 
          FontFamily -> "Source Sans Code"]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["OutputForm"], LineSpacing -> {0.6, 1}, FontFamily -> 
          "Source Sans Code"], 
         Cell[
          StyleData["OutputForm", "Printout"], LineSpacing -> {0.6, 1}, 
          FontFamily -> "Source Sans Code"]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["InputForm"], FontFamily -> "Source Sans Code"], 
         Cell[
          StyleData["InputForm", "Printout"], FontFamily -> 
          "Source Sans Code"]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["FormattedFunction"], FontFamily -> "Source Sans Pro", 
          FontSize :> If[CurrentValue[
              EvaluationCell[], "FontFamily"] === "Source Sans Pro", 
            Inherited, 
            If[CurrentValue[
               EvaluationCell[], "FontFamily"] === "WolframCodeSans", 
             Inherited, Inherited 0.9]]], 
         Cell[
          StyleData["FormattedFunction", "Printout"], FontFamily -> 
          "Source Sans Pro", FontSize :> If[CurrentValue[
              EvaluationCell[], "FontFamily"] === "Source Sans Pro", 
            Inherited, 
            If[CurrentValue[
               EvaluationCell[], "FontFamily"] === "WolframCodeSans", 
             Inherited, Inherited 0.88]]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Link"], FontFamily -> "Source Sans Pro", FontSize :> 
          If[CurrentValue[
              EvaluationCell[], "FontFamily"] === "Source Sans Pro", 
            Inherited, 
            If[CurrentValue[
               EvaluationCell[], "FontFamily"] === "WolframCodeSans", 
             Inherited, Inherited 0.9]], FontColor -> GrayLevel[0]], 
         Cell[
          StyleData["Link", "Printout"], FontFamily -> "Source Sans Pro", 
          FontSize :> If[CurrentValue[
              EvaluationCell[], "FontFamily"] === "Source Sans Pro", 
            Inherited, 
            If[CurrentValue[
               EvaluationCell[], "FontFamily"] === "WolframCodeSans", 
             Inherited, Inherited 0.88]], FontColor -> GrayLevel[0]]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["DetailsLink"], FontFamily -> "Source Sans Pro", FontSize :> 
          If[CurrentValue[
              EvaluationCell[], "FontFamily"] === "Source Sans Pro", 
            Inherited, 
            If[CurrentValue[
               EvaluationCell[], "FontFamily"] === "WolframCodeSans", 
             Inherited, Inherited 0.9]], FontColor -> GrayLevel[0], 
          ButtonBoxOptions -> {
           ButtonFunction :> (
             Function[$CellContext`t, 
              NotebookFind[$CellContext`t, "Notes", All, CellStyle]; 
              NotebookFind[$CellContext`t, "NotesSection", All, CellStyle, 
                AutoScroll -> Top]][
              Documentation`HelpLookup["ref/" <> #]]& ), ButtonSource -> 
            ButtonContents, Evaluator -> Automatic}], 
         Cell[
          StyleData["DetailsLink", "Printout"], FontFamily -> 
          "Source Sans Pro", FontSize :> If[CurrentValue[
              EvaluationCell[], "FontFamily"] === "Source Sans Pro", 
            Inherited, 
            If[CurrentValue[
               EvaluationCell[], "FontFamily"] === "WolframCodeSans", 
             Inherited, Inherited 0.88]], FontColor -> GrayLevel[0]]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["LinkAlt"], FontFamily -> "Source Sans Pro", FontSize :> 
          If[CurrentValue[
              EvaluationCell[], "FontFamily"] === "Source Sans Pro", 
            Inherited, 
            If[CurrentValue[
               EvaluationCell[], "FontFamily"] === "WolframCodeSans", 
             Inherited, Inherited 0.9]], FontColor -> GrayLevel[0]], 
         Cell[
          StyleData["LinkAlt", "Printout"], FontFamily -> "Source Sans Pro", 
          FontSize :> If[CurrentValue[
              EvaluationCell[], "FontFamily"] === "Source Sans Pro", 
            Inherited, 
            If[CurrentValue[
               EvaluationCell[], "FontFamily"] === "WolframCodeSans", 
             Inherited, Inherited 0.88]], FontColor -> GrayLevel[0]]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Hyperlink"], MenuSortingValue -> None, FontColor -> 
          RGBColor[0.3, 0.35, 0.5]], 
         Cell[
          StyleData["Hyperlink", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["FunctionLink", StyleDefinitions -> StyleData["Link"]], 
          FontColor -> GrayLevel[0]], 
         Cell[
          StyleData["FunctionLink", "Printout"]]}, Closed]], 
      Cell[
       StyleData["FunctionHyperlink", StyleDefinitions -> StyleData["Link"]], 
       FontColor -> GrayLevel[0], 
       ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
            
            NotebookLocate[#2, "OpenInNewWindow" -> 
             CurrentValue["HyperlinkModifierKey"]]}]& ), Evaluator -> None, 
         Method -> "Queued"}], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData[
          "ResourceFunctionlink", StyleDefinitions -> StyleData["Hyperlink"]],
           MenuSortingValue -> None, FontFamily -> "Source Sans Pro", 
          FontSize :> If[CurrentValue[
              EvaluationCell[], "FontFamily"] === "Source Sans Pro", 
            Inherited, 
            If[CurrentValue[
               EvaluationCell[], "FontFamily"] === "WolframCodeSans", 
             Inherited, Inherited 0.9]], FontColor -> GrayLevel[0]], 
         Cell[
          StyleData["ResourceFunctionlink", "Printout"], FontFamily -> 
          "Source Sans Pro", FontSize :> If[CurrentValue[
              EvaluationCell[], "FontFamily"] === "Source Sans Pro", 
            Inherited, 
            If[CurrentValue[
               EvaluationCell[], "FontFamily"] === "WolframCodeSans", 
             Inherited, Inherited 0.88]], FontColor -> GrayLevel[0]]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Crosslink"], 
          ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
               
               NotebookLocate[#2, "OpenInNewWindow" -> 
                CurrentValue["HyperlinkModifierKey"]]}]& ), Evaluator -> None,
             Method -> "Queued"}], 
         Cell[
          StyleData["Crosslink", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["CodeLink"], 
          ButtonBoxOptions -> {
           Appearance -> None, ButtonFunction :> (Documentation`HelpLookup[
              Part[#, 1]]& ), ButtonSource -> ButtonContents, Evaluator -> 
            Automatic}], 
         Cell[
          StyleData["CodeLink", "Printout"]]}, Closed]], 
      Cell[
       StyleData["VocabularyLink"], FontColor -> GrayLevel[0], 
       ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
            
            NotebookLocate[#2, "OpenInNewWindow" -> 
             CurrentValue["HyperlinkModifierKey"]]}]& ), Evaluator -> None, 
         Method -> "Queued"}], 
      Cell[
       StyleData["InlineMath"], SpanMaxSize -> 0, FontColor -> GrayLevel[0], 
       CellID -> 644119144], 
      Cell[
       StyleData["InlineCode"], SpanMaxSize -> 0, FontColor -> GrayLevel[0]], 
      Cell[
       StyleData["InlineCodeText"], SpanMaxSize -> 0, FontFamily -> 
       "Source Sans Pro", FontSize -> 0.94 Inherited], 
      Cell[
       StyleData["NoLabel"], ShowCellLabel -> 
       False, $CellContext`GeneratedCellStyles -> {
        "Output" -> "ExerciseOutput"}], 
      Cell[
       StyleData["MenuName"], FontFamily -> "Verdana", FontWeight -> "Bold", 
       FontColor -> GrayLevel[0.286275]], 
      Cell[
       StyleData["DialogElementName"], 
       CellChangeTimes -> {3.642251807158844*^9, 3.8358753610849867`*^9, 
        3.835875471581566*^9}, FontFamily -> "Source Sans Pro SemiBold", 
       FontSize -> 0.95 Inherited, FontWeight -> "Regular"], 
      Cell[
       StyleData["KeyEvent"], CellFrame -> {{0.5, 0.5}, {0.5, 0.5}}, 
       CellFrameMargins -> {{2, 2}, {2, 2}}, CellFrameColor -> GrayLevel[0.7],
        FontFamily -> "Verdana", FontColor -> GrayLevel[0.4]], 
      Cell[
       StyleData["KeyEventDelimiter"], FontColor -> GrayLevel[0.5]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["CodeVariable"], FontFamily -> "Times", FontSize -> 
          1.05 Inherited, FontWeight -> "Plain", FontSlant -> "Italic"], 
         Cell[
          StyleData["CodeVariable", "Printout"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["CodeVariableLrg"], FontFamily -> "Times", FontSize -> 
          1.1 Inherited, FontWeight -> "Plain", FontSlant -> "Italic"], 
         Cell[
          StyleData["CodeVariableLrg", "Printout"]]}, Closed]], 
      Cell["Key Styles", "Subsubsection"], 
      Cell[
       StyleData["Key0"], TemplateBoxOptions -> {DisplayFunction -> (FrameBox[
           TagBox[
            GridBox[{{
               ItemBox[
                
                TemplateBox[{"\[ThickSpace]", #, "\[ThickSpace]"}, 
                 "RowDefault"], Background -> GrayLevel[1], StripOnInput -> 
                False]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Center}}, "Rows" -> {{Baseline}}}, AutoDelete -> 
             False, GridBoxDividers -> {"Rows" -> {{None}}}, 
             GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{1.45}}}, 
             GridBoxSpacings -> {"Columns" -> {{0}}}, 
             BaselinePosition -> {{1, 1}, Baseline}], "Grid"], RoundingRadius -> 
           4, Background -> GrayLevel[0.9333333333333333], 
           FrameMargins -> {{0, 0}, {-1, -1}}, FrameStyle -> {
             GrayLevel[0.8352941176470589], 
             AbsoluteThickness[1]}, BaselinePosition -> Baseline, 
           StripOnInput -> False]& )}], 
      Cell[
       StyleData["Key1"], TemplateBoxOptions -> {DisplayFunction -> (FrameBox[
           TagBox[
            GridBox[{{
               ItemBox[
                
                TemplateBox[{"\[ThickSpace]", #, "\[ThickSpace]"}, 
                 "RowDefault"], Background -> GrayLevel[0.9333333333333333], 
                StripOnInput -> False], 
               ItemBox[
                
                TemplateBox[{"\[ThickSpace]", #2, "\[ThickSpace]"}, 
                 "RowDefault"], Background -> GrayLevel[1], StripOnInput -> 
                False]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Center}}, "Rows" -> {{Baseline}}}, AutoDelete -> 
             False, GridBoxDividers -> {
              "ColumnsIndexed" -> {2 -> GrayLevel[0.8352941176470589]}, 
               "Rows" -> {{None}}}, 
             GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{1.45}}}, 
             GridBoxSpacings -> {"Columns" -> {{0}}}, 
             BaselinePosition -> {{1, 1}, Baseline}], "Grid"], RoundingRadius -> 
           4, Background -> GrayLevel[0.9333333333333333], 
           FrameMargins -> {{0, 0}, {-1, -1}}, FrameStyle -> {
             GrayLevel[0.8352941176470589], 
             AbsoluteThickness[1]}, BaselinePosition -> Baseline, 
           StripOnInput -> False]& )}], 
      Cell[
       StyleData["Key2"], TemplateBoxOptions -> {DisplayFunction -> (FrameBox[
           TagBox[
            GridBox[{{
               ItemBox[
                
                TemplateBox[{"\[ThickSpace]", #, "\[ThickSpace]"}, 
                 "RowDefault"], Background -> GrayLevel[0.9333333333333333], 
                StripOnInput -> False], 
               ItemBox[
                
                TemplateBox[{"\[ThickSpace]", #2, "\[ThickSpace]"}, 
                 "RowDefault"], Background -> GrayLevel[0.9333333333333333], 
                StripOnInput -> False], 
               ItemBox[
                
                TemplateBox[{"\[ThickSpace]", #3, "\[ThickSpace]"}, 
                 "RowDefault"], Background -> GrayLevel[1], StripOnInput -> 
                False]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Center}}, "Rows" -> {{Baseline}}}, AutoDelete -> 
             False, GridBoxDividers -> {
              "ColumnsIndexed" -> {
                2 -> GrayLevel[0.8352941176470589], 3 -> 
                 GrayLevel[0.8352941176470589]}, "Rows" -> {{None}}}, 
             GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{1.45}}}, 
             GridBoxSpacings -> {"Columns" -> {{0}}}, 
             BaselinePosition -> {{1, 1}, Baseline}], "Grid"], RoundingRadius -> 
           4, Background -> GrayLevel[0.9333333333333333], 
           FrameMargins -> {{0, 0}, {-1, -1}}, FrameStyle -> {
             GrayLevel[0.8352941176470589], 
             AbsoluteThickness[1]}, BaselinePosition -> Baseline, 
           StripOnInput -> False]& )}], 
      Cell[
       StyleData["Key3"], TemplateBoxOptions -> {DisplayFunction -> (FrameBox[
           TagBox[
            GridBox[{{
               ItemBox[
                
                TemplateBox[{"\[ThickSpace]", #, "\[ThickSpace]"}, 
                 "RowDefault"], Background -> GrayLevel[0.9333333333333333], 
                StripOnInput -> False], 
               ItemBox[
                
                TemplateBox[{"\[ThickSpace]", #2, "\[ThickSpace]"}, 
                 "RowDefault"], Background -> GrayLevel[0.9333333333333333], 
                StripOnInput -> False], 
               ItemBox[
                
                TemplateBox[{"\[ThickSpace]", #3, "\[ThickSpace]"}, 
                 "RowDefault"], Background -> GrayLevel[0.9333333333333333], 
                StripOnInput -> False], 
               ItemBox[
                TemplateBox[{"\[ThickSpace]", #4, "\[ThickSpace]"}, 
                 "RowDefault"], Background -> GrayLevel[1], StripOnInput -> 
                False]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Center}}, "Rows" -> {{Baseline}}}, AutoDelete -> 
             False, GridBoxDividers -> {
              "ColumnsIndexed" -> {
                2 -> GrayLevel[0.8352941176470589], 3 -> 
                 GrayLevel[0.8352941176470589], 4 -> 
                 GrayLevel[0.8352941176470589]}, "Rows" -> {{None}}}, 
             GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{1.45}}}, 
             GridBoxSpacings -> {"Columns" -> {{0}}}, 
             BaselinePosition -> {{1, 1}, Baseline}], "Grid"], RoundingRadius -> 
           4, Background -> GrayLevel[0.9333333333333333], 
           FrameMargins -> {{0, 0}, {-1, -1}}, FrameStyle -> {
             GrayLevel[0.8352941176470589], 
             AbsoluteThickness[1]}, BaselinePosition -> Baseline, 
           StripOnInput -> False]& )}], 
      Cell["Entity styles", "Subsubsection"], 
      Cell[
       StyleData["Entity"], ContextMenu -> 
       FEPrivate`FrontEndResource["ContextMenus", "Entity"], 
       AutoStyleOptions -> {"HighlightSyntaxErrors" -> False}, 
       ShowStringCharacters -> False, 
       TemplateBoxOptions -> {DisplayFunction -> (TooltipBox[
           FrameBox[
            PaneSelectorBox[{True -> GridBox[{{
                  
                  StyleBox[#, FontSize -> 0.85 Inherited, FontColor -> 
                   RGBColor[0.395437, 0.20595, 0.061158]], 
                  PaneBox[
                   StyleBox[#4, "EntityTypeLabel"], BaselinePosition -> 
                   Baseline, ContentPadding -> False]}}, 
                GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}}, 
                GridBoxSpacings -> {"Columns" -> {{0.5}}, "Rows" -> {{0}}}, 
                BaselinePosition -> {1, 1}], False -> 
              PaneBox[#, 
                BaseStyle -> {
                 FontColor -> RGBColor[0.395437, 0.20595, 0.061158]}, 
                BaselinePosition -> Baseline]}, 
             Dynamic[
              CurrentValue[Evaluatable]], ImageSize -> Automatic, 
             BaselinePosition -> Baseline, 
             BaseStyle -> {FontFamily -> "Helvetica"}], FrameStyle -> 
            Directive[
              RGBColor[1., 0.504768, 0.], 
              AbsoluteThickness[1]], Background -> 
            RGBColor[1., 0.980392, 0.921569], 
            FrameMargins -> {{5, 5}, {1.5, 1.5}}, 
            ImageMargins -> {{2, 2}, {2, 2}}, BaselinePosition -> Baseline, 
            RoundingRadius -> 4, BaseStyle -> {FontFamily -> "Courier"}], #3, 
           BaseStyle -> {
            ShowStringCharacters -> False, LineIndent -> 0, 
             PrivateFontOptions -> {"OperatorSubstitution" -> False}}, 
           TooltipDelay -> 0.4]& ), Editable -> False, 
         InterpretationFunction -> (#2& )}], 
      Cell[
       StyleData["EntityFrameless"], ShowStringCharacters -> False, 
       TemplateBoxOptions -> {DisplayFunction -> (TooltipBox[
           PaneSelectorBox[{True -> GridBox[{{
                 
                 StyleBox[#, FontWeight -> "Bold", FontFamily -> 
                  "Source Sans Pro", FontColor -> 
                  RGBColor[0.395437, 0.20595, 0.061158]], 
                 StyleBox[
                  RowBox[{"(", #4, ")"}], FontFamily -> "Source Sans Pro", 
                  FontWeight -> "Plain", FontColor -> GrayLevel[0.65], 
                  Selectable -> False]}}, 
               GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}}, 
               GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}}, 
               BaselinePosition -> {1, 1}], False -> 
             PaneBox[#, 
               BaseStyle -> {
                FontColor -> RGBColor[0.395437, 0.20595, 0.061158]}, 
               BaselinePosition -> Baseline]}, 
            Dynamic[
             CurrentValue[Evaluatable]], ImageSize -> Automatic, 
            BaselinePosition -> Baseline, 
            BaseStyle -> {FontFamily -> "Helvetica"}], #3, 
           BaseStyle -> {
            ShowStringCharacters -> False, LineIndent -> 0, 
             PrivateFontOptions -> {
              FontWeight -> "Plain", "OperatorSubstitution" -> False}}]& ), 
         Editable -> False, InterpretationFunction -> (#2& )}], 
      Cell[
       StyleData["EntityFramelessHot"], ShowStringCharacters -> False, 
       TemplateBoxOptions -> {
        DisplayFunction -> (PaneSelectorBox[{True -> GridBox[{{
                
                StyleBox[#, FontWeight -> "Bold", FontFamily -> 
                 "Source Sans Pro", FontColor -> GrayLevel[0]], 
                StyleBox[
                 RowBox[{"(", #4, ")"}], FontWeight -> "Plain", FontFamily -> 
                 "Source Sans Pro", FontColor -> GrayLevel[0], Selectable -> 
                 False]}}, 
              GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}}, 
              GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}}, 
              BaselinePosition -> {1, 1}], False -> 
            PaneBox[#, BaseStyle -> {FontColor -> GrayLevel[0]}, 
              BaselinePosition -> Baseline]}, 
           Dynamic[
            CurrentValue[Evaluatable]], ImageSize -> Automatic, 
           BaselinePosition -> Baseline, 
           BaseStyle -> {
            FontWeight -> "Plain", FontFamily -> "Helvetica", 
             ShowStringCharacters -> False, LineIndent -> 0, 
             PrivateFontOptions -> {"OperatorSubstitution" -> False}}]& ), 
         Editable -> False, InterpretationFunction -> (#2& )}], 
      Cell[
       StyleData["EntityClass"], ShowStringCharacters -> False, 
       TemplateBoxOptions -> {DisplayFunction -> (TooltipBox[
           FrameBox[
            PaneSelectorBox[{True -> GridBox[{{
                  PaneBox[
                   DynamicBox[
                    FEPrivate`ImportImage[
                    
                    FrontEnd`ToFileName[{"Typeset", "Entity"}, 
                    "EntityClass.png"]], ImageSizeCache -> {8., {2., 6.}}], 
                   BaselinePosition -> Bottom], 
                  
                  StyleBox[#, FontWeight -> "Bold", FontFamily -> 
                   "Source Sans Pro", FontColor -> 
                   RGBColor[0.395437, 0.20595, 0.061158]], 
                  StyleBox[
                   RowBox[{"(", #4, ")"}], FontWeight -> "Plain", FontFamily -> 
                   "Source Sans Pro", FontColor -> GrayLevel[0.65], 
                   Selectable -> False]}}, 
                GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}}, 
                GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}}, 
                BaselinePosition -> {1, 2}], False -> GridBox[{{
                  PaneBox[
                   DynamicBox[
                    FEPrivate`ImportImage[
                    
                    FrontEnd`ToFileName[{"Typeset", "Entity"}, 
                    "EntityClass.png"]], ImageSizeCache -> {8., {2., 6.}}], 
                   BaselinePosition -> Bottom], 
                  
                  StyleBox[#, FontColor -> 
                   RGBColor[0.395437, 0.20595, 0.061158]]}}, 
                GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}}, 
                GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}}, 
                BaselinePosition -> {1, 2}]}, 
             Dynamic[
              CurrentValue[Evaluatable]], ImageSize -> Automatic, 
             BaselinePosition -> Baseline, 
             BaseStyle -> {FontFamily -> "Helvetica"}], FrameStyle -> 
            RGBColor[1., 0.504768, 0.], Background -> 
            RGBColor[1., 0.980392, 0.921569], 
            FrameMargins -> {{5, 5}, {1.5, 1.5}}, 
            ImageMargins -> {{2, 2}, {2, 2}}, BaselinePosition -> Baseline, 
            RoundingRadius -> 4], #3, 
           BaseStyle -> {
            FontWeight -> "Plain", ShowStringCharacters -> False, LineIndent -> 
             0, PrivateFontOptions -> {"OperatorSubstitution" -> False}}]& ), 
         Editable -> False, InterpretationFunction -> (#2& )}], 
      Cell[
       StyleData["EntityClassFrameless"], ShowStringCharacters -> False, 
       TemplateBoxOptions -> {DisplayFunction -> (TooltipBox[
           PaneSelectorBox[{True -> GridBox[{{
                 PaneBox[
                  DynamicBox[
                   FEPrivate`ImportImage[
                    
                    FrontEnd`ToFileName[{"Typeset", "Entity"}, 
                    "EntityClass.png"]], ImageSizeCache -> {8., {2., 6.}}], 
                  BaselinePosition -> Bottom], 
                 
                 StyleBox[#, FontWeight -> "Bold", FontFamily -> 
                  "Source Sans Pro", FontColor -> 
                  RGBColor[0.395437, 0.20595, 0.061158]], 
                 StyleBox[
                  RowBox[{"(", #4, ")"}], FontWeight -> "Plain", FontFamily -> 
                  "Source Sans Pro", FontColor -> GrayLevel[0.65], Selectable -> 
                  False]}}, 
               GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}}, 
               GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}}, 
               BaselinePosition -> {1, 2}], False -> GridBox[{{
                 PaneBox[
                  DynamicBox[
                   FEPrivate`ImportImage[
                    
                    FrontEnd`ToFileName[{"Typeset", "Entity"}, 
                    "EntityClass.png"]], ImageSizeCache -> {8., {2., 6.}}], 
                  BaselinePosition -> Bottom], 
                 
                 StyleBox[#, FontColor -> 
                  RGBColor[0.395437, 0.20595, 0.061158]]}}, 
               GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}}, 
               GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}}, 
               BaselinePosition -> {1, 2}]}, 
            Dynamic[
             CurrentValue[Evaluatable]], ImageSize -> Automatic, 
            BaselinePosition -> Baseline, 
            BaseStyle -> {FontFamily -> "Helvetica"}], #3, 
           BaseStyle -> {
            FontWeight -> "Plain", ShowStringCharacters -> False, LineIndent -> 
             0, PrivateFontOptions -> {"OperatorSubstitution" -> False}}]& ), 
         Editable -> False, InterpretationFunction -> (#2& )}], 
      Cell[
       StyleData["EntityClassFramelessHot"], ShowStringCharacters -> False, 
       TemplateBoxOptions -> {
        DisplayFunction -> (PaneSelectorBox[{True -> GridBox[{{
                PaneBox[
                 DynamicBox[
                  FEPrivate`ImportImage[
                   
                   FrontEnd`ToFileName[{"Typeset", "Entity"}, 
                    "EntityClass.png"]], ImageSizeCache -> {8., {2., 6.}}], 
                 BaselinePosition -> Bottom], 
                
                StyleBox[#, FontWeight -> "Bold", FontFamily -> 
                 "Source Sans Pro", FontColor -> GrayLevel[0]], 
                StyleBox[
                 RowBox[{"(", #4, ")"}], FontWeight -> "Plain", FontFamily -> 
                 "Source Sans Pro", FontColor -> GrayLevel[0], Selectable -> 
                 False]}}, 
              GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}}, 
              GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}}, 
              BaselinePosition -> {1, 2}], False -> GridBox[{{
                PaneBox[
                 DynamicBox[
                  FEPrivate`ImportImage[
                   
                   FrontEnd`ToFileName[{"Typeset", "Entity"}, 
                    "EntityClass.png"]], ImageSizeCache -> {8., {2., 6.}}], 
                 BaselinePosition -> Bottom], 
                StyleBox[#, FontColor -> GrayLevel[0]]}}, 
              GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}}, 
              GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}}, 
              BaselinePosition -> {1, 2}]}, 
           Dynamic[
            CurrentValue[Evaluatable]], ImageSize -> Automatic, 
           BaselinePosition -> Baseline, 
           BaseStyle -> {
            FontWeight -> "Plain", FontFamily -> "Helvetica", 
             ShowStringCharacters -> False, LineIndent -> 0, 
             PrivateFontOptions -> {"OperatorSubstitution" -> False}}]& ), 
         Editable -> False, InterpretationFunction -> (#2& )}], 
      Cell[
       StyleData["EntityProperty"], ContextMenu -> 
       FEPrivate`FrontEndResource["ContextMenus", "Entity"], 
       AutoStyleOptions -> {"HighlightSyntaxErrors" -> False}, 
       ShowStringCharacters -> False, 
       TemplateBoxOptions -> {DisplayFunction -> (TooltipBox[
           FrameBox[
            
            PaneBox[#, 
             BaseStyle -> {
              FontSlant -> Italic, FontWeight -> Plain, FontFamily -> 
               "Helvetica", FontSize -> 0.85 Inherited, FontColor -> 
               RGBColor[0.395437, 0.20595, 0.061158]}, BaselinePosition -> 
             Baseline], FrameStyle -> Directive[
              RGBColor[0.94227, 0.703639, 0.033387], 
              AbsoluteThickness[1]], Background -> 
            RGBColor[1., 0.980392, 0.921569], 
            FrameMargins -> {{5, 5}, {1.5, 1.5}}, 
            ImageMargins -> {{2, 2}, {2, 2}}, BaselinePosition -> Baseline, 
            RoundingRadius -> 4, BaseStyle -> {FontFamily -> "Courier"}], #3, 
           BaseStyle -> {
            ShowStringCharacters -> False, LineIndent -> 0, 
             PrivateFontOptions -> {"OperatorSubstitution" -> False}}, 
           TooltipDelay -> 0.4]& ), Editable -> False, 
         InterpretationFunction -> (#2& )}], 
      Cell[
       StyleData["EntityPropertyClass"], ShowStringCharacters -> False, 
       TemplateBoxOptions -> {DisplayFunction -> (TooltipBox[
           FrameBox[
            PaneBox[
             GridBox[{{
                PaneBox[
                 DynamicBox[
                  FEPrivate`ImportImage[
                   
                   FrontEnd`ToFileName[{"Typeset", "Entity"}, 
                    "EntityClass.png"]], ImageSizeCache -> {8., {2., 6.}}], 
                 BaselinePosition -> Bottom], #}}, 
              GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}}, 
              GridBoxSpacings -> {"Columns" -> {{0.2}}, "Rows" -> {{0}}}, 
              BaselinePosition -> {1, 2}], 
             BaseStyle -> {
              FontSlant -> Italic, FontWeight -> Plain, FontFamily -> 
               "Source Sans Pro", FontColor -> 
               RGBColor[0.395437, 0.20595, 0.061158]}, BaselinePosition -> 
             Baseline], FrameStyle -> RGBColor[0.94227, 0.703639, 0.033387], 
            Background -> RGBColor[1., 0.980392, 0.921569], 
            FrameMargins -> {{5, 5}, {1.5, 1.5}}, 
            ImageMargins -> {{2, 2}, {2, 2}}, BaselinePosition -> Baseline, 
            RoundingRadius -> 4], #3, 
           BaseStyle -> {
            FontWeight -> "Plain", ShowStringCharacters -> False, LineIndent -> 
             0, PrivateFontOptions -> {"OperatorSubstitution" -> False}}]& ), 
         Editable -> False, InterpretationFunction -> (#2& )}], 
      Cell[
       StyleData["EntityValue"], ShowStringCharacters -> False, 
       TemplateBoxOptions -> {DisplayFunction -> (FrameBox[
           
           GridBox[{{#, #2}}, GridBoxAlignment -> {"Rows" -> {{Baseline}}}, 
            GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}}, 
            GridBoxSpacings -> {"Columns" -> {{0}}}, 
            BaselinePosition -> {1, 1}], Background -> 
           RGBColor[{0.9921568627450981, 0.9529411764705882, 
             0.8509803921568627}], BaselinePosition -> Baseline, 
           FrameMargins -> {{1, 1}, {1, 1}}, ImageMargins -> 2, FrameStyle -> 
           RGBColor[{0.9333333333333333, 0.8470588235294118, 
             0.5529411764705883}], RoundingRadius -> 5]& )}]}, Closed]]}, 
  Visible -> False, FrontEndVersion -> 
  "13.3 for Mac OS X x86 (64-bit) (June 3, 2023)", StyleDefinitions -> 
  "PrivateStylesheetFormatting.nb"],
ExpressionUUID->"20ddc71a-40d2-4b16-a05b-a5e3470509dd"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "p: 153"->{
  Cell[609, 23, 356, 11, 110, "Section",ExpressionUUID->"68375116-98ad-4009-879b-511f03f5ae23",
   CounterAssignments->{{"Section", 4}},
   CellTags->"p: 153",
   CellID->2145722108]},
 "i:1"->{
  Cell[23012, 478, 829, 15, 113, "Text",ExpressionUUID->"8f891e6c-5f71-4931-9c1d-b764174c2e60",
   CellTags->"i:1",
   CellID->709509534]},
 "i:2"->{
  Cell[23844, 495, 854, 19, 39, "CodeText",ExpressionUUID->"8bf04bb2-fb98-486a-92e3-2fd72a690049",
   CellTags->"i:2",
   CellID->341884811]},
 "i:3"->{
  Cell[25345, 533, 2428, 45, 138, "Text",ExpressionUUID->"2f736823-8ccd-45da-9cf3-4a7f9745ab8b",
   CellTags->"i:3",
   CellID->164600829]},
 "i:4"->{
  Cell[27776, 580, 1017, 25, 59, "CodeCaption",ExpressionUUID->"7ad81c17-8147-4701-8f53-59d0e9a2df3d",
   CellTags->"i:4",
   CellID->2051942816]},
 "LastCellOfAPage"->{
  Cell[37002, 810, 1554, 33, 76, "Output",ExpressionUUID->"f0edba76-8cbc-4c39-81fc-05623cdeb46b",
   CellTags->"LastCellOfAPage",
   CellID->1280887024],
  Cell[107208, 2169, 1456, 26, 238, "Text",ExpressionUUID->"8c1c684c-18ee-4f86-b42f-ba8013d262ef",
   CellTags->{"LastCellOfAPage", "i:7", "p: 155"},
   CellID->1074887472],
  Cell[210766, 4219, 675, 15, 37, "Output",ExpressionUUID->"edbfab7f-5d9d-42e8-bf41-751f52fa420f",
   CellTags->"LastCellOfAPage",
   CellID->367273082],
  Cell[239423, 4780, 177355, 3584, 307, "Output",ExpressionUUID->"bb467e3d-6921-4d58-9b1f-2fa405fd7922",
   CellTags->"LastCellOfAPage",
   CellID->1322190758],
  Cell[485689, 9681, 3000, 65, 288, "Text",ExpressionUUID->"036fb0b9-a96b-4e96-a3d5-36586e477792",
   CellTags->{"LastCellOfAPage", "i:15", "p: 158"},
   CellID->693755944],
  Cell[495155, 9899, 2190, 42, 215, "Text",ExpressionUUID->"46409484-cecc-4232-b2b5-366358f44f99",
   CellTags->"LastCellOfAPage",
   CellID->45780607],
  Cell[508054, 10208, 2057, 45, 114, "Output",ExpressionUUID->"2b201681-ae89-4234-a406-f628aea57e46",
   CellTags->"LastCellOfAPage",
   CellID->869234781],
  Cell[602369, 12056, 42341, 782, 203, "Output",ExpressionUUID->"b7a5165c-36ec-46e3-b123-ad11c35bc308",
   CellTags->"LastCellOfAPage",
   CellID->2066548440],
  Cell[693981, 13802, 43505, 824, 225, "Output",ExpressionUUID->"f29b0a3b-bad1-4b94-8766-4700edbc1946",
   CellTags->"LastCellOfAPage",
   CellID->1997126372],
  Cell[790288, 15678, 38821, 719, 217, "Output",ExpressionUUID->"e62a43a2-c0a3-4afa-bae5-da49fc7cdf14",
   CellTags->"LastCellOfAPage",
   CellID->875080429],
  Cell[896469, 17693, 86636, 1569, 203, "Output",ExpressionUUID->"2f212b7f-1d75-48c8-9e5f-f5e4bc173097",
   CellTags->"LastCellOfAPage",
   CellID->1514998682],
  Cell[1031339, 20206, 1300, 27, 113, "Text",ExpressionUUID->"1cb52c77-60e1-4e9a-b84e-ed0a48871ab2",
   CellTags->{"LastCellOfAPage", "i:28"},
   CellID->464421785],
  Cell[1113483, 21785, 1039, 22, 63, "Text",ExpressionUUID->"57e8d1fe-2358-4113-ba73-c19c3150db5e",
   CellTags->{"LastCellOfAPage", "i:29"},
   CellID->2012992290],
  Cell[1197471, 23387, 308, 9, 26, "Input",ExpressionUUID->"7297919c-1bb4-446c-b51b-c0ebbc7d9fff",
   CellTags->"LastCellOfAPage",
   CellID->1508839142],
  Cell[1279001, 24927, 1271, 27, 88, "Text",ExpressionUUID->"13491c4f-2343-414a-8322-2d42851528de",
   CellTags->"LastCellOfAPage",
   CellID->1505931121],
  Cell[1363588, 26544, 580, 10, 88, "Text",ExpressionUUID->"21c6a590-2c2b-4ef4-a227-d19a740e3e46",
   CellTags->"LastCellOfAPage",
   CellID->313807663],
  Cell[1447927, 28154, 1563, 25, 163, "Text",ExpressionUUID->"81fe71bd-5557-4d9b-b834-7841fd6d0c55",
   CellTags->{"LastCellOfAPage", "i:32"},
   CellID->643045086],
  Cell[1533721, 29808, 408, 11, 26, "Input",ExpressionUUID->"35a6038e-3a01-4660-92dd-d499f94303a2",
   CellTags->"LastCellOfAPage",
   CellID->1446722817],
  Cell[1622483, 31527, 555, 12, 61, "CodeText",ExpressionUUID->"50786a70-ef77-4d04-91ab-54d9a38306ef",
   CellTags->"LastCellOfAPage",
   CellID->1035684124],
  Cell[1670702, 32468, 38760, 723, 415, "Output",ExpressionUUID->"17146182-b9db-4e08-a3ee-ac82bf319067",
   CellTags->"LastCellOfAPage",
   CellID->1388520907],
  Cell[1798389, 34923, 665, 15, 84, "Note",ExpressionUUID->"9f9cd728-fc64-403e-b4e9-81ab3a2e1cbb",
   CellTags->{"LastCellOfAPage", "i:39"},
   CellID->535770888],
  Cell[1842066, 35819, 586, 15, 26, "Input",ExpressionUUID->"fcb60f14-4857-4ca9-890a-3815e77c8b2f",
   CellTags->"LastCellOfAPage",
   CellID->2032992640],
  Cell[1926649, 37475, 1771, 43, 88, "Text",ExpressionUUID->"3308cda8-2d4d-43c7-b2b8-3b95ea1b1f54",
   CellTags->{"LastCellOfAPage", "i:43"},
   CellID->823106538],
  Cell[2014223, 39192, 1845, 37, 138, "Text",ExpressionUUID->"808de3bd-b16c-459c-85ca-84965d89077d",
   CellTags->"LastCellOfAPage",
   CellID->1731344047],
  Cell[2063563, 40165, 1755, 42, 88, "Text",ExpressionUUID->"3357b2a9-8f61-412c-a35e-27be9d0af374",
   CellTags->{"LastCellOfAPage", "i:45"},
   CellID->1703713912],
  Cell[2118120, 41277, 80865, 1497, 237, "Output",ExpressionUUID->"1a51dd4c-e090-449c-a206-06c47c4ae023",
   CellTags->"LastCellOfAPage",
   CellID->943812708],
  Cell[2272466, 44348, 46312, 862, 175, "Output",ExpressionUUID->"10344d2f-0c63-4b99-a752-23e362773593",
   CellTags->"LastCellOfAPage",
   CellID->599856822],
  Cell[2427213, 47412, 746, 12, 138, "Text",ExpressionUUID->"5f542eb9-68ee-4b83-9c6b-0a48f50dd8cd",
   CellTags->{"LastCellOfAPage", "i:50"},
   CellID->978007105],
  Cell[2465735, 48151, 33372, 616, 151, "Output",ExpressionUUID->"26adeb8e-d864-4b6e-811a-ba9122bfbbda",
   CellTags->"LastCellOfAPage",
   CellID->522810892],
  Cell[2613726, 51032, 1197, 29, 88, "Text",ExpressionUUID->"98e82fce-cbaf-4f6d-b98f-505728c26353",
   CellTags->"LastCellOfAPage",
   CellID->1580564136],
  Cell[2664351, 52073, 14507, 371, 293, "Output",ExpressionUUID->"fa481840-f71f-4c6f-9c2e-a2dec372278a",
   CellTags->"LastCellOfAPage",
   CellID->2025473739],
  Cell[2723884, 53405, 1935, 40, 163, "Text",ExpressionUUID->"00c23034-67bb-47a7-96eb-25a73989cc08",
   CellTags->{"LastCellOfAPage", "i:57"},
   CellID->1644078804],
  Cell[2862542, 55976, 2087, 45, 113, "Text",ExpressionUUID->"72c56a31-cdc5-4a29-b934-ea7a0bc501eb",
   CellTags->{"LastCellOfAPage", "i:58"},
   CellID->1520615706],
  Cell[2928851, 57388, 2894, 65, 163, "Text",ExpressionUUID->"1f035a41-8b57-4cae-aaff-bdcfc128f7ff",
   CellTags->"LastCellOfAPage",
   CellID->221251674],
  Cell[3041026, 59711, 1646, 41, 103, "Input",ExpressionUUID->"db673292-7811-4c69-8c87-430937af21d0",
   CellTags->"LastCellOfAPage",
   CellID->850954172],
  Cell[3116160, 61275, 66001, 1321, 357, "Output",ExpressionUUID->"e4863c0e-8ee8-4ff2-8dd5-cd00fc9b9365",
   CellTags->"LastCellOfAPage",
   CellID->332546994],
  Cell[3264445, 64182, 2300, 49, 138, "Text",ExpressionUUID->"ef7b6449-6fa7-4d8e-99f7-6a9b0cac0739",
   CellTags->"LastCellOfAPage",
   CellID->1452085743],
  Cell[3326161, 65494, 1679, 41, 45, "Exercise",ExpressionUUID->"f96bcafe-b770-45e3-a3bb-0f48f1f652ce",
   CellTags->{"Exercise", "LastCellOfAPage"},
   CellID->857782295],
  Cell[3342534, 65882, 2043, 45, 114, "Output",ExpressionUUID->"48f29066-695c-422a-b98d-ec5eb09031e7",
   CellTags->"LastCellOfAPage",
   CellID->60949696],
  Cell[3376330, 66541, 1586, 35, 30, "MoreExplore",ExpressionUUID->"c58936c4-0c44-427a-9ed1-afe873d37011",
   CellTags->"LastCellOfAPage",
   CellID->1957339924]},
 "p: 154"->{
  Cell[38571, 846, 508, 12, 38, "Text",ExpressionUUID->"53565dbd-8431-4ccf-927a-d0e9ac399a67",
   CellTags->"p: 154",
   CellID->616798707]},
 "i:5"->{
  Cell[102374, 2081, 2810, 45, 188, "Text",ExpressionUUID->"4a00c65f-0378-4f92-9ec4-2efc683bae99",
   CellTags->"i:5",
   CellID->1079426973]},
 "i:6"->{
  Cell[105187, 2128, 2018, 39, 159, "Note",ExpressionUUID->"ea0d5fbd-56fd-4880-930b-759cf0cdde7c",
   CellTags->"i:6",
   CellID->222676769]},
 "i:7"->{
  Cell[107208, 2169, 1456, 26, 238, "Text",ExpressionUUID->"8c1c684c-18ee-4f86-b42f-ba8013d262ef",
   CellTags->{"LastCellOfAPage", "i:7", "p: 155"},
   CellID->1074887472]},
 "p: 155"->{
  Cell[107208, 2169, 1456, 26, 238, "Text",ExpressionUUID->"8c1c684c-18ee-4f86-b42f-ba8013d262ef",
   CellTags->{"LastCellOfAPage", "i:7", "p: 155"},
   CellID->1074887472]},
 "i:8"->{
  Cell[108667, 2197, 2870, 46, 188, "Text",ExpressionUUID->"aab47cdf-2d92-4def-9abc-94115e7a5f8b",
   CellTags->"i:8",
   CellID->1322318855]},
 "i:9"->{
  Cell[205581, 4089, 1045, 19, 113, "Text",ExpressionUUID->"9b843e37-40d3-47ae-8d54-67f2c8bb3e63",
   CellTags->"i:9",
   CellID->435558652]},
 "i:10"->{
  Cell[206858, 4117, 2214, 59, 138, "Text",ExpressionUUID->"304c8dae-d38d-4f02-8094-3e358ddb97f1",
   CellTags->"i:10",
   CellID->487195667]},
 "p: 156"->{
  Cell[211456, 4237, 1231, 27, 63, "Text",ExpressionUUID->"4167809b-a3e9-4dd2-8efb-6bda412cb53f",
   CellTags->"p: 156",
   CellID->1991191038]},
 "i:11"->{
  Cell[237389, 4733, 919, 17, 63, "Text",ExpressionUUID->"6eb0e72e-f580-4cec-bc5e-4a9ec8d89197",
   CellTags->"i:11",
   CellID->213549650]},
 "i:12"->{
  Cell[238311, 4752, 701, 14, 37, "CodeCaption",ExpressionUUID->"8cdf9b9c-4c1a-47de-95db-e4e67ab35a64",
   CellTags->"i:12",
   CellID->2004306777]},
 "p: 157"->{
  Cell[416793, 8367, 528, 12, 38, "Text",ExpressionUUID->"88b437c9-d3ac-4b46-8a6b-ca5026fbe684",
   CellTags->"p: 157",
   CellID->1743778463]},
 "i:13"->{
  Cell[449003, 8973, 1346, 28, 88, "Text",ExpressionUUID->"9048d0dc-8b93-4ed6-88d6-6e709fc555ca",
   CellTags->"i:13",
   CellID->249621030]},
 "i:14"->{
  Cell[484055, 9646, 1348, 24, 188, "Text",ExpressionUUID->"687a439c-78bb-423b-a8e0-d1cc5712a955",
   CellTags->"i:14",
   CellID->1260077127]},
 "i:15"->{
  Cell[485689, 9681, 3000, 65, 288, "Text",ExpressionUUID->"036fb0b9-a96b-4e96-a3d5-36586e477792",
   CellTags->{"LastCellOfAPage", "i:15", "p: 158"},
   CellID->693755944]},
 "p: 158"->{
  Cell[485689, 9681, 3000, 65, 288, "Text",ExpressionUUID->"036fb0b9-a96b-4e96-a3d5-36586e477792",
   CellTags->{"LastCellOfAPage", "i:15", "p: 158"},
   CellID->693755944]},
 "i:16"->{
  Cell[491166, 9806, 1086, 22, 63, "Text",ExpressionUUID->"70b3619f-6e8c-4d42-9830-78f66a236f27",
   CellTags->"i:16",
   CellID->2000154705]},
 "i:17"->{
  Cell[497348, 9943, 734, 16, 59, "CodeCaption",ExpressionUUID->"192a288b-2c0e-4274-a961-7d04feef88a3",
   CellTags->{"i:17", "p: 159"},
   CellID->537160344]},
 "p: 159"->{
  Cell[497348, 9943, 734, 16, 59, "CodeCaption",ExpressionUUID->"192a288b-2c0e-4274-a961-7d04feef88a3",
   CellTags->{"i:17", "p: 159"},
   CellID->537160344]},
 "i:18"->{
  Cell[500215, 10019, 528, 10, 88, "Text",ExpressionUUID->"b7f6a819-76a7-482b-abe2-a1624e1c28b3",
   CellTags->"i:18",
   CellID->512631361]},
 "p: 160"->{
  Cell[510126, 10256, 1031, 25, 39, "CodeText",ExpressionUUID->"3ac486c2-e5d1-49ac-95fc-d1faf6a25858",
   CellTags->"p: 160",
   CellID->1809193694]},
 "i:19"->{
  Cell[550071, 11026, 1875, 39, 138, "Text",ExpressionUUID->"697f1e51-cba9-41ac-9380-3593fce71f78",
   CellTags->"i:19",
   CellID->1672373674]},
 "i:20"->{
  Cell[644725, 12841, 2365, 46, 213, "Text",ExpressionUUID->"80d2642e-c729-4756-8aa6-259cba950a23",
   CellTags->{"i:20", "p: 161"},
   CellID->525747377]},
 "p: 161"->{
  Cell[644725, 12841, 2365, 46, 213, "Text",ExpressionUUID->"80d2642e-c729-4756-8aa6-259cba950a23",
   CellTags->{"i:20", "p: 161"},
   CellID->525747377]},
 "i:21"->{
  Cell[737501, 14629, 2739, 60, 163, "Text",ExpressionUUID->"1d51b08a-1524-427b-a0e4-46ae6e2e5cca",
   CellTags->{"i:21", "p: 162"},
   CellID->983971666]},
 "p: 162"->{
  Cell[737501, 14629, 2739, 60, 163, "Text",ExpressionUUID->"1d51b08a-1524-427b-a0e4-46ae6e2e5cca",
   CellTags->{"i:21", "p: 162"},
   CellID->983971666]},
 "i:22"->{
  Cell[786853, 15601, 1941, 35, 113, "Text",ExpressionUUID->"0f1dbe65-db49-4590-b5b7-138ef89b196c",
   CellTags->"i:22",
   CellID->275992544]},
 "i:23"->{
  Cell[829124, 16400, 879, 19, 63, "Text",ExpressionUUID->"2b232228-5798-488e-ae53-3ab9ef6bec69",
   CellTags->{"i:23", "p: 163"},
   CellID->421181991]},
 "p: 163"->{
  Cell[829124, 16400, 879, 19, 63, "Text",ExpressionUUID->"2b232228-5798-488e-ae53-3ab9ef6bec69",
   CellTags->{"i:23", "p: 163"},
   CellID->421181991]},
 "i:24"->{
  Cell[891958, 17579, 1321, 25, 109, "Note",ExpressionUUID->"c63a8a7d-b373-41ad-9cc2-713df37a9583",
   CellTags->"i:24",
   CellID->1684394197]},
 "i:25"->{
  Cell[893282, 17606, 1552, 38, 88, "Text",ExpressionUUID->"b9aeb5ec-506b-4096-bc20-f35c173b0284",
   CellTags->"i:25",
   CellID->1711858563]},
 "p: 164"->{
  Cell[983154, 19268, 426, 11, 54, "Subsubsubsection",ExpressionUUID->"829a00c2-bccc-46c2-8c37-79360fb6438f",
   CellTags->"p: 164",
   CellID->1341611159]},
 "i:26"->{
  Cell[983583, 19281, 2239, 40, 188, "Text",ExpressionUUID->"6e0884bb-75fa-42ea-852b-cfbe6185cbf2",
   CellTags->"i:26",
   CellID->1758848585]},
 "i:27"->{
  Cell[985825, 19323, 5597, 121, 388, "Text",ExpressionUUID->"18aa2ed7-770e-4445-b46b-8227b47856c8",
   CellTags->"i:27",
   CellID->766895499]},
 "i:28"->{
  Cell[1031339, 20206, 1300, 27, 113, "Text",ExpressionUUID->"1cb52c77-60e1-4e9a-b84e-ed0a48871ab2",
   CellTags->{"LastCellOfAPage", "i:28"},
   CellID->464421785]},
 "p: 165"->{
  Cell[1032642, 20235, 275, 6, 39, "CodeText",ExpressionUUID->"33b259e0-3387-4476-923c-23ab0cc98d2f",
   CellTags->"p: 165",
   CellID->1792877426]},
 "i:29"->{
  Cell[1113483, 21785, 1039, 22, 63, "Text",ExpressionUUID->"57e8d1fe-2358-4113-ba73-c19c3150db5e",
   CellTags->{"LastCellOfAPage", "i:29"},
   CellID->2012992290]},
 "p: 166"->{
  Cell[1114525, 21809, 476, 11, 39, "CodeText",ExpressionUUID->"37425f3c-1821-4b84-8635-4c9379e80ed4",
   CellTags->"p: 166",
   CellID->1857270539]},
 "p: 167"->{
  Cell[1197782, 23398, 528, 12, 39, "CodeText",ExpressionUUID->"424e5a5f-09a3-45fa-aa13-c01d58f07f29",
   CellTags->"p: 167",
   CellID->1726154913]},
 "p: 168"->{
  Cell[1280275, 24956, 300, 7, 39, "CodeText",ExpressionUUID->"24d1a9f0-5d1c-4297-87ba-ee7252a15321",
   CellTags->"p: 168",
   CellID->729754118]},
 "i:30"->{
  Cell[1319715, 25699, 2318, 44, 188, "Text",ExpressionUUID->"63762939-803a-4c08-a97d-d4fbf7597f99",
   CellTags->"i:30",
   CellID->1479560827]},
 "p: 169"->{
  Cell[1364171, 26556, 515, 12, 39, "CodeText",ExpressionUUID->"8e516c85-50fc-444c-9b50-9e3ec0676cba",
   CellTags->"p: 169",
   CellID->1406934995]},
 "i:31"->{
  Cell[1402941, 27295, 1521, 30, 159, "Note",ExpressionUUID->"4e2b19cf-2f88-4acd-ad94-9a7b408dd981",
   CellTags->"i:31",
   CellID->388758014]},
 "i:32"->{
  Cell[1447927, 28154, 1563, 25, 163, "Text",ExpressionUUID->"81fe71bd-5557-4d9b-b834-7841fd6d0c55",
   CellTags->{"LastCellOfAPage", "i:32"},
   CellID->643045086]},
 "p: 170"->{
  Cell[1449493, 28181, 1514, 30, 88, "Text",ExpressionUUID->"9d4bd625-e69d-47fd-b597-85ffd0cc0b99",
   CellTags->"p: 170",
   CellID->612220492]},
 "i:33"->{
  Cell[1530899, 29740, 1658, 36, 113, "Text",ExpressionUUID->"9f0ee74e-e60c-44dd-88d1-15c57c3b09a5",
   CellTags->"i:33",
   CellID->1934957544]},
 "p: 171"->{
  Cell[1534154, 29823, 443, 12, 26, "Input",ExpressionUUID->"9816e714-665b-4555-b9d3-ef71ea130805",
   CellTags->"p: 171",
   CellID->1399511673]},
 "i:34"->{
  Cell[1573126, 30552, 2149, 43, 138, "Text",ExpressionUUID->"2a1ce8e7-6bc3-41df-8739-feb070a94b8d",
   CellTags->"i:34",
   CellID->273102611]},
 "i:35"->{
  Cell[1616901, 31394, 4198, 101, 163, "Text",ExpressionUUID->"233c0f26-4544-4432-a29b-55415b0b9acf",
   CellTags->"i:35",
   CellID->314720092]},
 "p: 172"->{
  Cell[1623063, 31543, 2026, 60, 160, "Input",ExpressionUUID->"6a82047e-2f9c-45ce-806a-6c53a12b2c4c",
   CellTags->"p: 172",
   CellID->203021932]},
 "i:36"->{
  Cell[1666989, 32376, 1821, 37, 113, "Text",ExpressionUUID->"6f61832f-c786-41f6-b3c4-2ae04e3b7f58",
   CellTags->"i:36",
   CellID->280436863]},
 "p: 173"->{
  Cell[1709511, 33197, 437, 11, 54, "Subsubsubsection",ExpressionUUID->"a2e73d03-5f1a-4ccc-af65-94cd646021a1",
   CellTags->"p: 173",
   CellID->1663364858]},
 "i:37"->{
  Cell[1709951, 33210, 3159, 74, 113, "Text",ExpressionUUID->"76417199-c8df-4b07-a8da-9b5c1aeae9aa",
   CellTags->"i:37",
   CellID->261394651]},
 "i:38"->{
  Cell[1755204, 34097, 3133, 74, 113, "Text",ExpressionUUID->"229841f3-c1a1-46a1-9351-98e6218e6513",
   CellTags->"i:38",
   CellID->252173895]},
 "i:39"->{
  Cell[1798389, 34923, 665, 15, 84, "Note",ExpressionUUID->"9f9cd728-fc64-403e-b4e9-81ab3a2e1cbb",
   CellTags->{"LastCellOfAPage", "i:39"},
   CellID->535770888]},
 "p: 174"->{
  Cell[1799057, 34940, 863, 22, 39, "CodeText",ExpressionUUID->"7c5b7dd5-cbf4-446a-9753-795b8f1c589f",
   CellTags->"p: 174",
   CellID->1768105338]},
 "i:40"->{
  Cell[1834977, 35649, 3963, 88, 313, "Text",ExpressionUUID->"590cd682-4103-4d35-94ec-5190912045d6",
   CellTags->"i:40",
   CellID->1057872736]},
 "i:41"->{
  Cell[1838943, 35739, 982, 22, 63, "Text",ExpressionUUID->"2d00ab29-346b-44c7-b3bb-52f1f8ddd228",
   CellTags->"i:41",
   CellID->766197555]},
 "p: 175"->{
  Cell[1842655, 35836, 436, 10, 39, "CodeText",ExpressionUUID->"295daca5-a9be-422f-8b5a-0d3c4c1a7380",
   CellTags->"p: 175",
   CellID->1325310221]},
 "i:42"->{
  Cell[1884926, 36658, 606, 13, 39, "CodeText",ExpressionUUID->"fcd946e8-feb6-473d-b984-208544c63dc5",
   CellTags->"i:42",
   CellID->830600887]},
 "i:43"->{
  Cell[1926649, 37475, 1771, 43, 88, "Text",ExpressionUUID->"3308cda8-2d4d-43c7-b2b8-3b95ea1b1f54",
   CellTags->{"LastCellOfAPage", "i:43"},
   CellID->823106538]},
 "p: 176"->{
  Cell[1928423, 37520, 1556, 38, 88, "Text",ExpressionUUID->"54500adb-871e-4776-9458-ea4409d78fe6",
   CellTags->"p: 176",
   CellID->1092129749]},
 "i:44"->{
  Cell[2016071, 39231, 1173, 26, 88, "Text",ExpressionUUID->"b7e38160-f50f-4574-a090-629d992bc95e",
   CellTags->{"i:44", "p: 177"},
   CellID->170148666]},
 "p: 177"->{
  Cell[2016071, 39231, 1173, 26, 88, "Text",ExpressionUUID->"b7e38160-f50f-4574-a090-629d992bc95e",
   CellTags->{"i:44", "p: 177"},
   CellID->170148666]},
 "i:45"->{
  Cell[2063563, 40165, 1755, 42, 88, "Text",ExpressionUUID->"3357b2a9-8f61-412c-a35e-27be9d0af374",
   CellTags->{"LastCellOfAPage", "i:45"},
   CellID->1703713912]},
 "p: 178"->{
  Cell[2065321, 40209, 887, 22, 61, "CodeText",ExpressionUUID->"e7f33c25-b074-4985-a841-c8cc1cec0af1",
   CellTags->"p: 178",
   CellID->850263257]},
 "i:46"->{
  Cell[2115541, 41212, 1269, 27, 113, "Text",ExpressionUUID->"a4ca5ef9-033e-4a70-b1c4-43d09523f231",
   CellTags->"i:46",
   CellID->1177705712]},
 "i:47"->{
  Cell[2199000, 42777, 1685, 39, 88, "Text",ExpressionUUID->"65feb1ec-c60b-44fa-88a1-3e9b409217a4",
   CellTags->{"i:47", "p: 179"},
   CellID->1664296265]},
 "p: 179"->{
  Cell[2199000, 42777, 1685, 39, 88, "Text",ExpressionUUID->"65feb1ec-c60b-44fa-88a1-3e9b409217a4",
   CellTags->{"i:47", "p: 179"},
   CellID->1664296265]},
 "i:48"->{
  Cell[2261790, 44093, 927, 16, 88, "Text",ExpressionUUID->"6696aada-d4dd-4a5a-82ca-7e4d61f7d0b8",
   CellTags->"i:48",
   CellID->215161490]},
 "i:49"->{
  Cell[2318793, 45213, 1292, 32, 88, "Text",ExpressionUUID->"b70e459f-6e79-4d68-aa18-583a60ce31a1",
   CellTags->{"i:49", "p: 180"},
   CellID->49777344]},
 "p: 180"->{
  Cell[2318793, 45213, 1292, 32, 88, "Text",ExpressionUUID->"b70e459f-6e79-4d68-aa18-583a60ce31a1",
   CellTags->{"i:49", "p: 180"},
   CellID->49777344]},
 "i:50"->{
  Cell[2427213, 47412, 746, 12, 138, "Text",ExpressionUUID->"5f542eb9-68ee-4b83-9c6b-0a48f50dd8cd",
   CellTags->{"LastCellOfAPage", "i:50"},
   CellID->978007105]},
 "p: 181"->{
  Cell[2427962, 47426, 342, 5, 39, "CodeText",ExpressionUUID->"54439e75-2fe3-4bd3-b93f-b835143c9fa6",
   CellTags->"p: 181",
   CellID->1280155607]},
 "i:51"->{
  Cell[2461039, 48047, 1520, 30, 265, "Text",ExpressionUUID->"29b62490-0bd6-4c12-bd91-954a5135f7dc",
   CellTags->"i:51",
   CellID->1752668747]},
 "p: 182"->{
  Cell[2499122, 48770, 283, 6, 38, "Text",ExpressionUUID->"d6e5621c-94cc-493d-931d-b7d9f189c81d",
   CellTags->"p: 182",
   CellID->2006199376]},
 "i:52"->{
  Cell[2576611, 50309, 2088, 54, 113, "Text",ExpressionUUID->"511a8069-85f2-4911-8e02-d7461a0d7d9d",
   CellTags->"i:52",
   CellID->2045033095]},
 "p: 183"->{
  Cell[2614926, 51063, 1436, 37, 61, "CodeText",ExpressionUUID->"99feef0f-686c-4476-b344-a449b9d12828",
   CellTags->"p: 183",
   CellID->1494701397]},
 "i:53"->{
  Cell[2658931, 51940, 1068, 19, 163, "Text",ExpressionUUID->"d4799f40-6449-4bbb-adc3-4ecad34ccc92",
   CellTags->"i:53",
   CellID->1977686794]},
 "i:54"->{
  Cell[2660002, 51961, 2415, 57, 188, "Text",ExpressionUUID->"2d161c2d-01a0-4597-a0d9-63ea29b60249",
   CellTags->"i:54",
   CellID->1727747079]},
 "i:55"->{
  Cell[2678873, 52447, 1914, 48, 188, "Text",ExpressionUUID->"3c61d8b2-1af2-4d25-b092-a7acd57c6318",
   CellTags->{"i:55", "p: 184"},
   CellID->735722509]},
 "p: 184"->{
  Cell[2678873, 52447, 1914, 48, 188, "Text",ExpressionUUID->"3c61d8b2-1af2-4d25-b092-a7acd57c6318",
   CellTags->{"i:55", "p: 184"},
   CellID->735722509]},
 "i:56"->{
  Cell[2695039, 52871, 646, 14, 63, "Text",ExpressionUUID->"ee97a48e-5db7-4450-8eb7-afe45561d5c2",
   CellTags->"i:56",
   CellID->1225106452]},
 "i:57"->{
  Cell[2723884, 53405, 1935, 40, 163, "Text",ExpressionUUID->"00c23034-67bb-47a7-96eb-25a73989cc08",
   CellTags->{"LastCellOfAPage", "i:57"},
   CellID->1644078804]},
 "p: 185"->{
  Cell[2725822, 53447, 462, 10, 39, "CodeText",ExpressionUUID->"c078027c-8057-4ee3-9fab-8d84ded96a8b",
   CellTags->"p: 185",
   CellID->1370543036]},
 "i:58"->{
  Cell[2862542, 55976, 2087, 45, 113, "Text",ExpressionUUID->"72c56a31-cdc5-4a29-b934-ea7a0bc501eb",
   CellTags->{"LastCellOfAPage", "i:58"},
   CellID->1520615706]},
 "p: 186"->{
  Cell[2864632, 56023, 923, 23, 39, "CodeText",ExpressionUUID->"14885223-ef7d-4010-a66e-5ef5f9070eb6",
   CellTags->"p: 186",
   CellID->162232566]},
 "p: 187"->{
  Cell[2931748, 57455, 624, 15, 39, "CodeText",ExpressionUUID->"93c9beaa-e930-46c4-a373-679311bb244d",
   CellTags->"p: 187",
   CellID->675213754]},
 "i:59"->{
  Cell[3036986, 59606, 3315, 85, 163, "Text",ExpressionUUID->"7e73cc29-e6a2-4b8a-bb8e-85e104ed6589",
   CellTags->"i:59",
   CellID->303712229]},
 "p: 188"->{
  Cell[3042697, 59756, 950, 21, 46, "Input",ExpressionUUID->"7c939f68-cdb9-4a51-95fa-017007f791ff",
   CellTags->"p: 188",
   CellID->367580726]},
 "p: 189"->{
  Cell[3182210, 62602, 478, 12, 55, "Subsubsection",ExpressionUUID->"23b5f428-d4ab-4a0e-826b-8bc49b7639ac",
   CellTags->"p: 189",
   CellID->814219069]},
 "i:60"->{
  Cell[3182691, 62616, 2655, 54, 213, "Text",ExpressionUUID->"8362d6ac-e35d-40d5-8909-f33ce65dbeed",
   CellTags->"i:60",
   CellID->1679200534]},
 "p: 190"->{
  Cell[3266748, 64233, 905, 23, 39, "CodeText",ExpressionUUID->"4cba01b9-0c2d-4b94-8db5-666b2a52ba91",
   CellTags->"p: 190",
   CellID->350060316]},
 "Exercise"->{
  Cell[3316168, 65244, 841, 20, 30, "Exercise",ExpressionUUID->"86b053e3-744e-4b2d-ba7d-04153661487a",
   CounterAssignments->{{$CellContext`Exercise, 0}},
   CellTags->"Exercise",
   CellID->1974738722],
  Cell[3317012, 65266, 628, 16, 26, "Exercise",ExpressionUUID->"828ce6ec-d30a-4357-b8b1-439e50da42b3",
   CellTags->"Exercise",
   CellID->73936269],
  Cell[3317643, 65284, 1399, 31, 46, "Exercise",ExpressionUUID->"d21ce8c9-0552-4852-bc95-ec5f5dad7ed1",
   CellTags->"Exercise",
   CellID->1401325117],
  Cell[3319045, 65317, 1199, 28, 45, "Exercise",ExpressionUUID->"bfa93c4f-7e1d-4a0a-b037-a93316e51b85",
   CellTags->"Exercise",
   CellID->618084770],
  Cell[3320247, 65347, 1115, 25, 64, "Exercise",ExpressionUUID->"378f603b-899f-44bd-943b-2da197a131b2",
   CellTags->"Exercise",
   CellID->772328851],
  Cell[3321365, 65374, 2054, 49, 46, "Exercise",ExpressionUUID->"3bc9958a-5942-45b0-bb0e-ede80089259d",
   CellTags->"Exercise",
   CellID->1139836289],
  Cell[3323422, 65425, 950, 20, 64, "Exercise",ExpressionUUID->"bd1fcf73-826b-4216-b485-c21cd29765d6",
   CellTags->"Exercise",
   CellID->1674377983],
  Cell[3324375, 65447, 1783, 45, 64, "Exercise",ExpressionUUID->"0598e314-6dcb-4c2a-9e4a-1c9d48b6947f",
   CellTags->"Exercise",
   CellID->645049993],
  Cell[3326161, 65494, 1679, 41, 45, "Exercise",ExpressionUUID->"f96bcafe-b770-45e3-a3bb-0f48f1f652ce",
   CellTags->{"Exercise", "LastCellOfAPage"},
   CellID->857782295],
  Cell[3327843, 65537, 2205, 49, 84, "Exercise",ExpressionUUID->"619b0187-5d16-465d-9b9a-5fc354f2c075",
   CellTags->{"Exercise", "p: 191"},
   CellID->689309754],
  Cell[3330051, 65588, 1420, 34, 46, "Exercise",ExpressionUUID->"f6d55c7f-5a17-48ad-a007-f2468c5c41e9",
   CellTags->"Exercise",
   CellID->1702243560],
  Cell[3331474, 65624, 1033, 18, 45, "Exercise",ExpressionUUID->"8c862c3a-7c85-47e5-8bb0-3b9732968aba",
   CellTags->"Exercise",
   CellID->830367586],
  Cell[3332510, 65644, 2332, 57, 141, "Exercise",ExpressionUUID->"840a6f78-6be7-4b4d-9aa3-b275d732aa30",
   CellTags->"Exercise",
   CellID->1639279696],
  Cell[3334845, 65703, 2226, 45, 140, "Exercise",ExpressionUUID->"75b6d1f4-e5d6-4e0a-906c-ad9d3d177fb0",
   CellTags->"Exercise",
   CellID->1306143309],
  Cell[3337074, 65750, 706, 13, 64, "Exercise",ExpressionUUID->"baacfe66-5a9d-4b00-a953-b861aa6edbc3",
   CellTags->"Exercise",
   CellID->772754729],
  Cell[3337783, 65765, 2440, 53, 103, "Exercise",ExpressionUUID->"817fa7ca-9a45-4464-ac1d-ad28945ffe0c",
   CellTags->"Exercise",
   CellID->1855116894]},
 "p: 191"->{
  Cell[3327843, 65537, 2205, 49, 84, "Exercise",ExpressionUUID->"619b0187-5d16-465d-9b9a-5fc354f2c075",
   CellTags->{"Exercise", "p: 191"},
   CellID->689309754]},
 "p: 192"->{
  Cell[3344614, 65932, 254, 5, 26, "Input",ExpressionUUID->"cd849a05-5bd8-455e-98b1-faa16f56b7fa",
   CellTags->"p: 192",
   CellID->1721667633]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"p: 153", 3560437, 70113},
 {"i:1", 3560632, 70118},
 {"i:2", 3560782, 70122},
 {"i:3", 3560935, 70126},
 {"i:4", 3561086, 70130},
 {"LastCellOfAPage", 3561256, 70134},
 {"p: 154", 3567705, 70255},
 {"i:5", 3567857, 70259},
 {"i:6", 3568011, 70263},
 {"i:7", 3568164, 70267},
 {"p: 155", 3568352, 70271},
 {"i:8", 3568537, 70275},
 {"i:9", 3568691, 70279},
 {"i:10", 3568845, 70283},
 {"p: 156", 3569002, 70287},
 {"i:11", 3569159, 70291},
 {"i:12", 3569312, 70295},
 {"p: 157", 3569475, 70299},
 {"i:13", 3569631, 70303},
 {"i:14", 3569785, 70307},
 {"i:15", 3569941, 70311},
 {"p: 158", 3570129, 70315},
 {"i:16", 3570315, 70319},
 {"i:17", 3570470, 70323},
 {"p: 159", 3570644, 70327},
 {"i:18", 3570816, 70331},
 {"p: 160", 3570972, 70335},
 {"i:19", 3571134, 70339},
 {"i:20", 3571291, 70343},
 {"p: 161", 3571461, 70347},
 {"i:21", 3571629, 70351},
 {"p: 162", 3571799, 70355},
 {"i:22", 3571967, 70359},
 {"i:23", 3572123, 70363},
 {"p: 163", 3572291, 70367},
 {"i:24", 3572457, 70371},
 {"i:25", 3572614, 70375},
 {"p: 164", 3572772, 70379},
 {"i:26", 3572941, 70383},
 {"i:27", 3573098, 70387},
 {"i:28", 3573255, 70391},
 {"p: 165", 3573435, 70395},
 {"i:29", 3573596, 70399},
 {"p: 166", 3573776, 70403},
 {"p: 167", 3573940, 70407},
 {"p: 168", 3574104, 70411},
 {"i:30", 3574264, 70415},
 {"p: 169", 3574424, 70419},
 {"i:31", 3574586, 70423},
 {"i:32", 3574743, 70427},
 {"p: 170", 3574923, 70431},
 {"i:33", 3575081, 70435},
 {"p: 171", 3575241, 70439},
 {"i:34", 3575400, 70443},
 {"i:35", 3575557, 70447},
 {"p: 172", 3575717, 70451},
 {"i:36", 3575877, 70455},
 {"p: 173", 3576036, 70459},
 {"i:37", 3576206, 70463},
 {"i:38", 3576363, 70467},
 {"i:39", 3576520, 70471},
 {"p: 174", 3576698, 70475},
 {"i:40", 3576860, 70479},
 {"i:41", 3577018, 70483},
 {"p: 175", 3577175, 70487},
 {"i:42", 3577337, 70491},
 {"i:43", 3577496, 70495},
 {"p: 176", 3577675, 70499},
 {"i:44", 3577834, 70503},
 {"p: 177", 3578004, 70507},
 {"i:45", 3578172, 70511},
 {"p: 178", 3578352, 70515},
 {"i:46", 3578513, 70519},
 {"i:47", 3578671, 70523},
 {"p: 179", 3578842, 70527},
 {"i:48", 3579011, 70531},
 {"i:49", 3579166, 70535},
 {"p: 180", 3579335, 70539},
 {"i:50", 3579502, 70543},
 {"p: 181", 3579681, 70547},
 {"i:51", 3579842, 70551},
 {"p: 182", 3580002, 70555},
 {"i:52", 3580159, 70559},
 {"p: 183", 3580319, 70563},
 {"i:53", 3580482, 70567},
 {"i:54", 3580640, 70571},
 {"i:55", 3580798, 70575},
 {"p: 184", 3580969, 70579},
 {"i:56", 3581138, 70583},
 {"i:57", 3581294, 70587},
 {"p: 185", 3581475, 70591},
 {"i:58", 3581637, 70595},
 {"p: 186", 3581818, 70599},
 {"p: 187", 3581981, 70603},
 {"i:59", 3582142, 70607},
 {"p: 188", 3582301, 70611},
 {"p: 189", 3582461, 70615},
 {"i:60", 3582627, 70619},
 {"p: 190", 3582787, 70623},
 {"Exercise", 3582952, 70627},
 {"p: 191", 3585490, 70677},
 {"p: 192", 3585668, 70681}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[609, 23, 356, 11, 110, "Section",ExpressionUUID->"68375116-98ad-4009-879b-511f03f5ae23",
 CounterAssignments->{{"Section", 4}},
 CellTags->"p: 153",
 CellID->2145722108],
Cell[968, 36, 1108, 23, 63, "Text",ExpressionUUID->"b0eb9264-498a-422f-b602-a404df88ac08",
 CellID->511361037],
Cell[2079, 61, 581, 14, 37, "CodeCaption",ExpressionUUID->"5f3b65f1-d6c5-432a-8c04-aaa04e8d79f5",
 CellID->336964028],
Cell[CellGroupData[{
Cell[2685, 79, 297, 7, 26, "Input",ExpressionUUID->"927918db-2d77-4291-ab3c-effdbac5f0e9",
 CellID->443800812],
Cell[2985, 88, 20012, 387, 152, "Output",ExpressionUUID->"7acb7769-2c39-4af8-866c-29c731f47643",
 CellID->1590202819]
}, Open  ]],
Cell[23012, 478, 829, 15, 113, "Text",ExpressionUUID->"8f891e6c-5f71-4931-9c1d-b764174c2e60",
 CellTags->"i:1",
 CellID->709509534],
Cell[23844, 495, 854, 19, 39, "CodeText",ExpressionUUID->"8bf04bb2-fb98-486a-92e3-2fd72a690049",
 CellTags->"i:2",
 CellID->341884811],
Cell[24701, 516, 367, 8, 26, "Input",ExpressionUUID->"05203257-7513-4f6c-8a03-315a3012d54c",
 CellID->1651936849],
Cell[CellGroupData[{
Cell[25093, 528, 249, 3, 57, "Subsection",ExpressionUUID->"952381f3-8260-4eff-8d8d-826cd2c13cd8",
 CellID->76801468],
Cell[25345, 533, 2428, 45, 138, "Text",ExpressionUUID->"2f736823-8ccd-45da-9cf3-4a7f9745ab8b",
 CellTags->"i:3",
 CellID->164600829],
Cell[27776, 580, 1017, 25, 59, "CodeCaption",ExpressionUUID->"7ad81c17-8147-4701-8f53-59d0e9a2df3d",
 CellTags->"i:4",
 CellID->2051942816],
Cell[CellGroupData[{
Cell[28818, 609, 8181, 199, 31, "Input",ExpressionUUID->"eb0d0176-b726-4fe2-a420-0a43f34ec51d",
 CellID->2130280805],
Cell[37002, 810, 1554, 33, 76, "Output",ExpressionUUID->"f0edba76-8cbc-4c39-81fc-05623cdeb46b",
 CellTags->"LastCellOfAPage",
 CellID->1280887024]
}, Open  ]],
Cell[38571, 846, 508, 12, 38, "Text",ExpressionUUID->"53565dbd-8431-4ccf-927a-d0e9ac399a67",
 CellTags->"p: 154",
 CellID->616798707],
Cell[39082, 860, 544, 12, 37, "CodeCaption",ExpressionUUID->"756ca672-8189-41fd-bc94-c2258b0336b7",
 CellID->309561714],
Cell[CellGroupData[{
Cell[39651, 876, 491, 8, 26, "Input",ExpressionUUID->"bfdc0f5a-3382-4586-a912-5cf7dfd6445c",
 CellID->59957207],
Cell[40145, 886, 60820, 1163, 307, "Output",ExpressionUUID->"9aea070d-dd8c-483a-bc95-497670fce7a9",
 CellID->1604414226]
}, Open  ]],
Cell[100980, 2052, 1187, 21, 88, "Text",ExpressionUUID->"7a20e114-f5ca-4fc7-b0b9-27443883e26a",
 CellID->1460929252],
Cell[CellGroupData[{
Cell[102192, 2077, 179, 2, 55, "Subsubsection",ExpressionUUID->"73243f68-e4d6-449a-b5cc-9064b385a16e",
 CellID->814210133],
Cell[102374, 2081, 2810, 45, 188, "Text",ExpressionUUID->"4a00c65f-0378-4f92-9ec4-2efc683bae99",
 CellTags->"i:5",
 CellID->1079426973],
Cell[105187, 2128, 2018, 39, 159, "Note",ExpressionUUID->"ea0d5fbd-56fd-4880-930b-759cf0cdde7c",
 CellTags->"i:6",
 CellID->222676769],
Cell[107208, 2169, 1456, 26, 238, "Text",ExpressionUUID->"8c1c684c-18ee-4f86-b42f-ba8013d262ef",
 CellTags->{"LastCellOfAPage", "i:7", "p: 155"},
 CellID->1074887472],
Cell[108667, 2197, 2870, 46, 188, "Text",ExpressionUUID->"aab47cdf-2d92-4def-9abc-94115e7a5f8b",
 CellTags->"i:8",
 CellID->1322318855],
Cell[111540, 2245, 36157, 695, 119, "Output",ExpressionUUID->"68fc2701-03f4-4b84-8ed4-0679a0b42c95",
 CellID->440009328],
Cell[147700, 2942, 1623, 29, 138, "Text",ExpressionUUID->"ed6da0b7-fff1-471e-adbc-aa76127a5adc",
 CellID->234967907],
Cell[149326, 2973, 56252, 1114, 119, "Output",ExpressionUUID->"66bec087-fc2c-4ef6-aa65-f0a9d67f9ed2",
 CellID->1831981583],
Cell[205581, 4089, 1045, 19, 113, "Text",ExpressionUUID->"9b843e37-40d3-47ae-8d54-67f2c8bb3e63",
 CellTags->"i:9",
 CellID->435558652]
}, Open  ]],
Cell[CellGroupData[{
Cell[206663, 4113, 192, 2, 55, "Subsubsection",ExpressionUUID->"6eeaa553-498b-4a93-a734-5153fcba8975",
 CellID->262700673],
Cell[206858, 4117, 2214, 59, 138, "Text",ExpressionUUID->"304c8dae-d38d-4f02-8094-3e358ddb97f1",
 CellTags->"i:10",
 CellID->487195667],
Cell[209075, 4178, 804, 15, 63, "Text",ExpressionUUID->"1889e61a-af94-459b-85c4-bc541ee3aee7",
 CellID->2089912905],
Cell[209882, 4195, 396, 7, 37, "CodeCaption",ExpressionUUID->"8284a144-b843-48d2-81c9-0f2f547c41ac",
 CellID->105959973],
Cell[CellGroupData[{
Cell[210303, 4206, 460, 11, 26, "Input",ExpressionUUID->"95bc8c7f-e3fd-4b96-a468-e4191b18c299",
 CellID->923664003],
Cell[210766, 4219, 675, 15, 37, "Output",ExpressionUUID->"edbfab7f-5d9d-42e8-bf41-751f52fa420f",
 CellTags->"LastCellOfAPage",
 CellID->367273082]
}, Open  ]],
Cell[211456, 4237, 1231, 27, 63, "Text",ExpressionUUID->"4167809b-a3e9-4dd2-8efb-6bda412cb53f",
 CellTags->"p: 156",
 CellID->1991191038],
Cell[212690, 4266, 767, 18, 37, "CodeCaption",ExpressionUUID->"d64c2132-2e9b-4ad1-853b-8714edbed086",
 CellID->101546105],
Cell[CellGroupData[{
Cell[213482, 4288, 921, 24, 47, "Input",ExpressionUUID->"179015cb-9c75-4dcc-9051-fc15c8425cf9",
 CellID->1810127794],
Cell[214406, 4314, 482, 12, 37, "Output",ExpressionUUID->"06f4006b-31ae-42fd-a71a-e7f6250911c5",
 CellID->983918721]
}, Open  ]],
Cell[214903, 4329, 1226, 23, 88, "Text",ExpressionUUID->"068d116b-52fb-4514-b091-4c682b085921",
 CellID->2009097905],
Cell[216132, 4354, 274, 3, 37, "CodeCaption",ExpressionUUID->"4fa62a05-13b4-4456-857c-71a08fbbd4d1",
 CellID->765305623],
Cell[CellGroupData[{
Cell[216431, 4361, 503, 12, 26, "Input",ExpressionUUID->"31f9e68f-ccf7-462f-8f00-1a8897208abe",
 CellID->2023107554],
Cell[216937, 4375, 20437, 355, 97, "Output",ExpressionUUID->"4575fc20-e5bf-4891-ab44-cb85bdd24c22",
 CellID->418608999]
}, Open  ]],
Cell[237389, 4733, 919, 17, 63, "Text",ExpressionUUID->"6eb0e72e-f580-4cec-bc5e-4a9ec8d89197",
 CellTags->"i:11",
 CellID->213549650],
Cell[238311, 4752, 701, 14, 37, "CodeCaption",ExpressionUUID->"8cdf9b9c-4c1a-47de-95db-e4e67ab35a64",
 CellTags->"i:12",
 CellID->2004306777],
Cell[CellGroupData[{
Cell[239037, 4770, 383, 8, 26, "Input",ExpressionUUID->"f2b8db1c-3f01-42df-b64c-54dd436936cc",
 CellID->1531476463],
Cell[239423, 4780, 177355, 3584, 307, "Output",ExpressionUUID->"bb467e3d-6921-4d58-9b1f-2fa405fd7922",
 CellTags->"LastCellOfAPage",
 CellID->1322190758]
}, Open  ]],
Cell[416793, 8367, 528, 12, 38, "Text",ExpressionUUID->"88b437c9-d3ac-4b46-8a6b-ca5026fbe684",
 CellTags->"p: 157",
 CellID->1743778463],
Cell[417324, 8381, 536, 11, 37, "CodeCaption",ExpressionUUID->"606cac73-fcd2-44f0-9648-893765c9b3f2",
 CellID->818337465],
Cell[CellGroupData[{
Cell[417885, 8396, 505, 13, 46, "Input",ExpressionUUID->"1db5e75b-f3b1-48a9-a1d9-50479e5617b0",
 CellID->1839131781],
Cell[418393, 8411, 30595, 559, 123, "Output",ExpressionUUID->"0037197e-bb50-453a-85d0-7f4b4b80aa42",
 CellID->1507287003]
}, Open  ]],
Cell[449003, 8973, 1346, 28, 88, "Text",ExpressionUUID->"9048d0dc-8b93-4ed6-88d6-6e709fc555ca",
 CellTags->"i:13",
 CellID->249621030],
Cell[450352, 9003, 538, 11, 37, "CodeCaption",ExpressionUUID->"f3d029c6-d593-4d03-99ca-bfa690bac9f3",
 CellID->692399393],
Cell[CellGroupData[{
Cell[450915, 9018, 464, 12, 26, "Input",ExpressionUUID->"04b47ab0-908b-4f67-b0ab-1b790d9ff648",
 CellID->891814036],
Cell[451382, 9032, 30597, 559, 123, "Output",ExpressionUUID->"561ecafe-02cf-43d2-a685-c4018c22d696",
 CellID->1164367812]
}, Open  ]],
Cell[481994, 9594, 1781, 42, 138, "Text",ExpressionUUID->"e64ae168-a193-4cd2-94db-f8c12267c8ea",
 CellID->1324350317]
}, Open  ]],
Cell[CellGroupData[{
Cell[483812, 9641, 240, 3, 55, "Subsubsection",ExpressionUUID->"2e9f674a-840f-47ef-bd67-cf755e44ffca",
 CellID->1293722603],
Cell[484055, 9646, 1348, 24, 188, "Text",ExpressionUUID->"687a439c-78bb-423b-a8e0-d1cc5712a955",
 CellTags->"i:14",
 CellID->1260077127]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[485452, 9676, 234, 3, 57, "Subsection",ExpressionUUID->"3985f38d-c082-4a04-a05e-b464fa2f9114",
 CellID->2013865925],
Cell[485689, 9681, 3000, 65, 288, "Text",ExpressionUUID->"036fb0b9-a96b-4e96-a3d5-36586e477792",
 CellTags->{"LastCellOfAPage", "i:15", "p: 158"},
 CellID->693755944],
Cell[488692, 9748, 515, 11, 37, "CodeCaption",ExpressionUUID->"b4798a99-d875-40c5-b9cc-b0bcf9a10dc1",
 CellID->1008109640],
Cell[CellGroupData[{
Cell[489232, 9763, 589, 12, 26, "Input",ExpressionUUID->"8f5eca52-ee1d-4feb-aaa8-356855800779",
 CellID->556681197],
Cell[489824, 9777, 1327, 26, 309, "Output",ExpressionUUID->"84e39c55-d418-431a-a3af-d7d58ef3b956",
 CellID->1588678071]
}, Open  ]],
Cell[491166, 9806, 1086, 22, 63, "Text",ExpressionUUID->"70b3619f-6e8c-4d42-9830-78f66a236f27",
 CellTags->"i:16",
 CellID->2000154705],
Cell[492255, 9830, 414, 9, 37, "CodeCaption",ExpressionUUID->"0c211796-26f5-4a95-b210-46fa69248b59",
 CellID->1891941555],
Cell[CellGroupData[{
Cell[492694, 9843, 344, 6, 26, "Input",ExpressionUUID->"7a319b10-5bfa-4e80-93d5-51fb835839c3",
 CellID->1472524966],
Cell[493041, 9851, 2099, 45, 114, "Output",ExpressionUUID->"2c9da664-fd97-48bf-85b0-2c2fe430ae88",
 CellID->1507831748]
}, Open  ]],
Cell[495155, 9899, 2190, 42, 215, "Text",ExpressionUUID->"46409484-cecc-4232-b2b5-366358f44f99",
 CellTags->"LastCellOfAPage",
 CellID->45780607],
Cell[497348, 9943, 734, 16, 59, "CodeCaption",ExpressionUUID->"192a288b-2c0e-4274-a961-7d04feef88a3",
 CellTags->{"i:17", "p: 159"},
 CellID->537160344],
Cell[498085, 9961, 242, 4, 26, "Input",ExpressionUUID->"10b61bd8-ff9e-4e43-8b59-9096ac480aa0",
 CellID->935777157],
Cell[CellGroupData[{
Cell[498352, 9969, 268, 5, 26, "Input",ExpressionUUID->"3ca1d7b7-d83f-4071-abbb-5a5773cb0bfa",
 CellID->1802044093],
Cell[498623, 9976, 1102, 25, 57, "Output",ExpressionUUID->"57504af2-d014-4c02-8115-82aa1c4f590b",
 CellID->1856117602]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[499774, 10007, 438, 10, 57, "Subsection",ExpressionUUID->"d50efca0-c0d7-4252-b398-818b1f0f8d98",
 CellID->876942806],
Cell[500215, 10019, 528, 10, 88, "Text",ExpressionUUID->"b7f6a819-76a7-482b-abe2-a1624e1c28b3",
 CellTags->"i:18",
 CellID->512631361],
Cell[CellGroupData[{
Cell[500768, 10033, 729, 14, 30, "Item",ExpressionUUID->"e845d807-87fe-4c9b-9c36-402518935832",
 CellID->1513334906],
Cell[501500, 10049, 358, 5, 32, "Item",ExpressionUUID->"e32b42c8-44c3-4bc6-8f0c-9f334668babd",
 CellID->1542864606],
Cell[501861, 10056, 1753, 44, 74, "Item",ExpressionUUID->"95221449-4269-46c8-b01b-11e4f9982dc6",
 CellID->815781776],
Cell[503617, 10102, 1151, 22, 74, "Item",ExpressionUUID->"fa891c02-7e84-4239-8341-f92ae52182f9",
 CellID->930557664],
Cell[504771, 10126, 606, 10, 53, "Item",ExpressionUUID->"db9f5084-5bd3-4cda-9a5a-086c9c32c05e",
 CellID->346357323]
}, Open  ]],
Cell[CellGroupData[{
Cell[505414, 10141, 436, 10, 55, "Subsubsection",ExpressionUUID->"c2c03511-f1ec-4cda-9a9d-440f4556af6f",
 CellID->900599029],
Cell[505853, 10153, 1182, 27, 63, "Text",ExpressionUUID->"9011fe06-b4e3-43f4-a276-f43907af8b04",
 CellID->216065157],
Cell[507038, 10182, 604, 12, 39, "CodeText",ExpressionUUID->"112b8d0b-744c-428a-8e6e-75ddfded8b45",
 CellID->1669102640],
Cell[CellGroupData[{
Cell[507667, 10198, 384, 8, 26, "Input",ExpressionUUID->"9647eb17-055d-4bba-a515-dceae796cf98",
 CellID->470517456],
Cell[508054, 10208, 2057, 45, 114, "Output",ExpressionUUID->"2b201681-ae89-4234-a406-f628aea57e46",
 CellTags->"LastCellOfAPage",
 CellID->869234781]
}, Open  ]],
Cell[510126, 10256, 1031, 25, 39, "CodeText",ExpressionUUID->"3ac486c2-e5d1-49ac-95fc-d1faf6a25858",
 CellTags->"p: 160",
 CellID->1809193694],
Cell[CellGroupData[{
Cell[511182, 10285, 326, 6, 26, "Input",ExpressionUUID->"b46af885-a0d0-48a6-bb0b-fd15756f1001",
 CellID->2017061317],
Cell[511511, 10293, 37931, 714, 205, "Output",ExpressionUUID->"a86895c8-dcaf-451e-9331-8fc5cbba278b",
 CellID->1853635391]
}, Open  ]],
Cell[CellGroupData[{
Cell[549479, 11012, 589, 12, 38, "Subsubsubsection",ExpressionUUID->"10ec1d7e-e650-4a70-9817-d891c40fc523",
 CellID->974398323],
Cell[550071, 11026, 1875, 39, 138, "Text",ExpressionUUID->"697f1e51-cba9-41ac-9380-3593fce71f78",
 CellTags->"i:19",
 CellID->1672373674],
Cell[551949, 11067, 603, 16, 39, "CodeText",ExpressionUUID->"4c7b6024-35cd-49d7-8510-c28184d5a01e",
 CellID->1102547377],
Cell[CellGroupData[{
Cell[552577, 11087, 416, 9, 26, "Input",ExpressionUUID->"22d4cbec-bfcb-4572-a618-df1afb66864a",
 CellID->41608662],
Cell[552996, 11098, 47970, 915, 205, "Output",ExpressionUUID->"8b7f5b58-739e-43de-b5c9-5b4f5cf9f1ac",
 CellID->1822507941]
}, Open  ]],
Cell[600981, 12016, 411, 9, 38, "Text",ExpressionUUID->"5176a2e2-9e32-4c3d-8f6a-328d1f8b7c4b",
 CellID->1532878872],
Cell[601395, 12027, 595, 16, 39, "CodeText",ExpressionUUID->"456b8439-6c7d-4d47-8983-02ccebfb82b5",
 CellID->410676686],
Cell[CellGroupData[{
Cell[602015, 12047, 351, 7, 26, "Input",ExpressionUUID->"34303f65-9e90-4b83-90c7-8cb5228f9192",
 CellID->1893557562],
Cell[602369, 12056, 42341, 782, 203, "Output",ExpressionUUID->"b7a5165c-36ec-46e3-b123-ad11c35bc308",
 CellTags->"LastCellOfAPage",
 CellID->2066548440]
}, Open  ]],
Cell[644725, 12841, 2365, 46, 213, "Text",ExpressionUUID->"80d2642e-c729-4756-8aa6-259cba950a23",
 CellTags->{"i:20", "p: 161"},
 CellID->525747377],
Cell[647093, 12889, 1155, 25, 61, "CodeText",ExpressionUUID->"78671725-cdd6-4122-b4d1-5331879b388d",
 CellID->417664627],
Cell[CellGroupData[{
Cell[648273, 12918, 735, 15, 46, "Input",ExpressionUUID->"cc8d113a-5ae3-4739-bc1a-b8e0c32c6b74",
 CellID->564291443],
Cell[649011, 12935, 43120, 821, 237, "Output",ExpressionUUID->"83095c86-11ea-4ae4-968f-11537b5ed423",
 CellID->1799254767]
}, Open  ]],
Cell[692146, 13759, 1003, 20, 88, "Text",ExpressionUUID->"6674d9c7-3963-4e90-811d-a766b76edade",
 CellID->1140280692],
Cell[693152, 13781, 266, 3, 39, "CodeText",ExpressionUUID->"3f6e74c8-0a2d-4c25-90f6-4d0786c23c3a",
 CellID->80596264],
Cell[CellGroupData[{
Cell[693443, 13788, 535, 12, 65, "Input",ExpressionUUID->"3c635eb4-62ca-4a96-9e09-3012bc618779",
 CellID->221039888],
Cell[693981, 13802, 43505, 824, 225, "Output",ExpressionUUID->"f29b0a3b-bad1-4b94-8766-4700edbc1946",
 CellTags->"LastCellOfAPage",
 CellID->1997126372]
}, Open  ]],
Cell[737501, 14629, 2739, 60, 163, "Text",ExpressionUUID->"1d51b08a-1524-427b-a0e4-46ae6e2e5cca",
 CellTags->{"i:21", "p: 162"},
 CellID->983971666],
Cell[740243, 14691, 548, 12, 61, "CodeText",ExpressionUUID->"13b9cd6f-c5c4-4b4a-9197-a0343954bc9a",
 CellID->1721192878],
Cell[CellGroupData[{
Cell[740816, 14707, 962, 23, 84, "Input",ExpressionUUID->"3b17194a-617d-4dcb-9da5-f31c38575851",
 CellID->1029485980],
Cell[741781, 14732, 44618, 851, 237, "Output",ExpressionUUID->"2fa20c67-ced5-43c7-9e52-34633370ece9",
 CellID->1673443351]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[786448, 15589, 402, 10, 54, "Subsubsubsection",ExpressionUUID->"a9a49101-e976-48e0-8d59-8ca1d582970a",
 CellID->62715594],
Cell[786853, 15601, 1941, 35, 113, "Text",ExpressionUUID->"0f1dbe65-db49-4590-b5b7-138ef89b196c",
 CellTags->"i:22",
 CellID->275992544],
Cell[788797, 15638, 983, 24, 39, "CodeText",ExpressionUUID->"415e070b-9cd9-46f5-96e6-a172fce79fc5",
 CellID->1708840735],
Cell[CellGroupData[{
Cell[789805, 15666, 480, 10, 26, "Input",ExpressionUUID->"f4085940-ed9e-4c7e-b6a9-5d90a1cab28f",
 CellID->60649444],
Cell[790288, 15678, 38821, 719, 217, "Output",ExpressionUUID->"e62a43a2-c0a3-4afa-bae5-da49fc7cdf14",
 CellTags->"LastCellOfAPage",
 CellID->875080429]
}, Open  ]],
Cell[829124, 16400, 879, 19, 63, "Text",ExpressionUUID->"2b232228-5798-488e-ae53-3ab9ef6bec69",
 CellTags->{"i:23", "p: 163"},
 CellID->421181991],
Cell[830006, 16421, 944, 20, 61, "CodeText",ExpressionUUID->"a85851e5-c58e-4bc9-af4e-31db15a81512",
 CellID->1486060697],
Cell[CellGroupData[{
Cell[830975, 16445, 530, 12, 26, "Input",ExpressionUUID->"c422e933-55be-48a1-9023-2d1a64df1167",
 CellID->1569350333],
Cell[831508, 16459, 60435, 1117, 171, "Output",ExpressionUUID->"6ed7ec07-c7ab-4b6c-8a22-031b41a0925c",
 CellID->1076131754]
}, Open  ]],
Cell[891958, 17579, 1321, 25, 109, "Note",ExpressionUUID->"c63a8a7d-b373-41ad-9cc2-713df37a9583",
 CellTags->"i:24",
 CellID->1684394197],
Cell[893282, 17606, 1552, 38, 88, "Text",ExpressionUUID->"b9aeb5ec-506b-4096-bc20-f35c173b0284",
 CellTags->"i:25",
 CellID->1711858563],
Cell[894837, 17646, 992, 27, 61, "CodeText",ExpressionUUID->"3aa8013c-398b-4caa-8abe-86a86c8b887d",
 CellID->1688652251],
Cell[CellGroupData[{
Cell[895854, 17677, 612, 14, 46, "Input",ExpressionUUID->"3a16e6a7-ce20-4851-b1d9-3b86ca41e4df",
 CellID->1324746404],
Cell[896469, 17693, 86636, 1569, 203, "Output",ExpressionUUID->"2f212b7f-1d75-48c8-9e5f-f5e4bc173097",
 CellTags->"LastCellOfAPage",
 CellID->1514998682]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[983154, 19268, 426, 11, 54, "Subsubsubsection",ExpressionUUID->"829a00c2-bccc-46c2-8c37-79360fb6438f",
 CellTags->"p: 164",
 CellID->1341611159],
Cell[983583, 19281, 2239, 40, 188, "Text",ExpressionUUID->"6e0884bb-75fa-42ea-852b-cfbe6185cbf2",
 CellTags->"i:26",
 CellID->1758848585],
Cell[985825, 19323, 5597, 121, 388, "Text",ExpressionUUID->"18aa2ed7-770e-4445-b46b-8227b47856c8",
 CellTags->"i:27",
 CellID->766895499],
Cell[991425, 19446, 780, 17, 61, "CodeText",ExpressionUUID->"60edb794-556e-43ef-bb62-29a90855858d",
 CellID->1608866090],
Cell[992208, 19465, 348, 10, 26, "Input",ExpressionUUID->"3fe0a2fc-dad6-40b6-a16b-9a5ed638f008",
 CellID->1514767518],
Cell[CellGroupData[{
Cell[992581, 19479, 457, 8, 26, "Input",ExpressionUUID->"e3d899e5-f3c8-44b8-9461-282e2e5a366a",
 CellID->15802399],
Cell[993041, 19489, 38283, 714, 205, "Output",ExpressionUUID->"49874e5b-e482-46d5-844e-4a4f1ce4156e",
 CellID->230478275]
}, Open  ]],
Cell[1031339, 20206, 1300, 27, 113, "Text",ExpressionUUID->"1cb52c77-60e1-4e9a-b84e-ed0a48871ab2",
 CellTags->{"LastCellOfAPage", "i:28"},
 CellID->464421785],
Cell[1032642, 20235, 275, 6, 39, "CodeText",ExpressionUUID->"33b259e0-3387-4476-923c-23ab0cc98d2f",
 CellTags->"p: 165",
 CellID->1792877426],
Cell[CellGroupData[{
Cell[1032942, 20245, 365, 10, 26, "Input",ExpressionUUID->"06a55cda-a17e-447a-ae49-1e0c3eef9976",
 CellID->1884942157],
Cell[1033310, 20257, 38099, 713, 205, "Output",ExpressionUUID->"5cac274c-e436-4846-b7a3-9b8552c2ceed",
 CellID->516105758]
}, Open  ]],
Cell[1071424, 20973, 655, 13, 84, "Note",ExpressionUUID->"cbd59eb3-86c4-4ea2-b60f-93928c20b93a",
 CellID->2085683450],
Cell[1072082, 20988, 2657, 60, 166, "Text",ExpressionUUID->"d7291a50-f038-4628-9252-2c0b569ea631",
 CellID->778614548],
Cell[1074742, 21050, 279, 5, 39, "CodeText",ExpressionUUID->"63684b8d-cda8-453d-bf0c-fc7fc77f7a37",
 CellID->661199921],
Cell[CellGroupData[{
Cell[1075046, 21059, 332, 9, 26, "Input",ExpressionUUID->"364a2a18-7230-4e14-8797-8f1555ae8ef8",
 CellID->241507472],
Cell[1075381, 21070, 38087, 712, 205, "Output",ExpressionUUID->"bfcf05e0-d1d2-4340-a39d-e12adbd676ce",
 CellID->598673641]
}, Open  ]],
Cell[1113483, 21785, 1039, 22, 63, "Text",ExpressionUUID->"57e8d1fe-2358-4113-ba73-c19c3150db5e",
 CellTags->{"LastCellOfAPage", "i:29"},
 CellID->2012992290],
Cell[1114525, 21809, 476, 11, 39, "CodeText",ExpressionUUID->"37425f3c-1821-4b84-8635-4c9379e80ed4",
 CellTags->"p: 166",
 CellID->1857270539],
Cell[CellGroupData[{
Cell[1115026, 21824, 396, 10, 46, "Input",ExpressionUUID->"dc789823-e7d4-4426-b24f-accdc9573b32",
 CellID->266911355],
Cell[1115425, 21836, 38640, 716, 205, "Output",ExpressionUUID->"ce6be0bb-a7a9-49cf-879d-b74decaacc18",
 CellID->1705081881]
}, Open  ]],
Cell[1154080, 22555, 1739, 34, 163, "Text",ExpressionUUID->"3f2a4799-c5f8-4759-bc93-1aae25999f63",
 CellID->582728396],
Cell[1155822, 22591, 519, 11, 39, "CodeText",ExpressionUUID->"61ce0461-f3d9-4b03-a84c-076680c716a4",
 CellID->292581226],
Cell[1156344, 22604, 261, 7, 26, "Input",ExpressionUUID->"2d9fdde1-a0a6-4e2e-846d-fa20f9d3d4d1",
 CellID->1385461466],
Cell[1156608, 22613, 529, 11, 39, "CodeText",ExpressionUUID->"d594b40f-b3d5-4601-9e31-3bda0ab75d9b",
 CellID->921230867],
Cell[CellGroupData[{
Cell[1157162, 22628, 406, 8, 26, "Input",ExpressionUUID->"92dea5a3-c5e3-4f6f-b8b8-b5b05ebfc3a2",
 CellID->184059023],
Cell[1157571, 22638, 38536, 712, 205, "Output",ExpressionUUID->"8dd524c5-8050-4e66-9957-6fc48dc527cb",
 CellID->1877462541]
}, Open  ]],
Cell[1196122, 23353, 1089, 25, 63, "Text",ExpressionUUID->"adc56d6d-d2b3-417d-970e-d264bcdb4dcd",
 CellID->730160833],
Cell[1197214, 23380, 254, 5, 39, "CodeText",ExpressionUUID->"1dbb0ac7-f13c-4da3-a554-66549ceac608",
 CellID->1833194221],
Cell[1197471, 23387, 308, 9, 26, "Input",ExpressionUUID->"7297919c-1bb4-446c-b51b-c0ebbc7d9fff",
 CellTags->"LastCellOfAPage",
 CellID->1508839142],
Cell[1197782, 23398, 528, 12, 39, "CodeText",ExpressionUUID->"424e5a5f-09a3-45fa-aa13-c01d58f07f29",
 CellTags->"p: 167",
 CellID->1726154913],
Cell[CellGroupData[{
Cell[1198335, 23414, 384, 8, 26, "Input",ExpressionUUID->"e3cb6d58-11b9-4d72-9c8d-7e92e19f9f17",
 CellID->699302822],
Cell[1198722, 23424, 38543, 713, 205, "Output",ExpressionUUID->"0b2c46c5-c7d4-4b67-ab2e-b46fe76134cf",
 CellID->1535701216]
}, Open  ]],
Cell[1237280, 24140, 2004, 40, 188, "Text",ExpressionUUID->"8c468baf-cd1d-4f55-b7b4-a7e7bde37572",
 CellID->670729933],
Cell[1239287, 24182, 530, 12, 61, "CodeText",ExpressionUUID->"88d097dc-8858-419a-8f21-2586f874c8da",
 CellID->486868011],
Cell[CellGroupData[{
Cell[1239842, 24198, 611, 12, 26, "Input",ExpressionUUID->"f3ccf636-efab-4039-963e-392003b2ba87",
 CellID->87695309],
Cell[1240456, 24212, 38530, 712, 205, "Output",ExpressionUUID->"cbbec5e8-870b-4db7-a687-957395c68b18",
 CellID->2071867666]
}, Open  ]],
Cell[1279001, 24927, 1271, 27, 88, "Text",ExpressionUUID->"13491c4f-2343-414a-8322-2d42851528de",
 CellTags->"LastCellOfAPage",
 CellID->1505931121],
Cell[1280275, 24956, 300, 7, 39, "CodeText",ExpressionUUID->"24d1a9f0-5d1c-4297-87ba-ee7252a15321",
 CellTags->"p: 168",
 CellID->729754118],
Cell[CellGroupData[{
Cell[1280600, 24967, 511, 13, 26, "Input",ExpressionUUID->"2f53f996-6a38-4274-abdf-34f4ee11c5bc",
 CellID->51835411],
Cell[1281114, 24982, 38586, 714, 205, "Output",ExpressionUUID->"f58bc657-c0d6-4706-a4e2-b2a36269e6f4",
 CellID->1633449391]
}, Open  ]],
Cell[1319715, 25699, 2318, 44, 188, "Text",ExpressionUUID->"63762939-803a-4c08-a97d-d4fbf7597f99",
 CellTags->"i:30",
 CellID->1479560827],
Cell[1322036, 25745, 1246, 30, 61, "CodeText",ExpressionUUID->"2d3ee160-6b82-4b6c-b627-6908502efcc2",
 CellID->1082886227],
Cell[1323285, 25777, 437, 13, 26, "Input",ExpressionUUID->"5fc3a729-41ed-4e7a-b301-08da4c80d9cd",
 CellID->11603746],
Cell[1323725, 25792, 754, 17, 39, "CodeText",ExpressionUUID->"746703ba-c2d7-4d67-b969-e633496be005",
 CellID->708842306],
Cell[CellGroupData[{
Cell[1324504, 25813, 418, 11, 46, "Input",ExpressionUUID->"64454cca-4e9b-4701-8b37-e87b46291bfa",
 CellID->1155372060],
Cell[1324925, 25826, 38648, 715, 205, "Output",ExpressionUUID->"b94f301e-b29e-4e5d-9a12-2e07ddda57e6",
 CellID->1471537082]
}, Open  ]],
Cell[1363588, 26544, 580, 10, 88, "Text",ExpressionUUID->"21c6a590-2c2b-4ef4-a227-d19a740e3e46",
 CellTags->"LastCellOfAPage",
 CellID->313807663],
Cell[1364171, 26556, 515, 12, 39, "CodeText",ExpressionUUID->"8e516c85-50fc-444c-9b50-9e3ec0676cba",
 CellTags->"p: 169",
 CellID->1406934995],
Cell[CellGroupData[{
Cell[1364711, 26572, 315, 6, 26, "Input",ExpressionUUID->"aae43465-8d1f-44e5-a319-c7eaa25eda66",
 CellID->685576346],
Cell[1365029, 26580, 37897, 712, 205, "Output",ExpressionUUID->"0badabc9-d08a-4c70-84fa-c73f06688a1d",
 CellID->287066092]
}, Open  ]],
Cell[1402941, 27295, 1521, 30, 159, "Note",ExpressionUUID->"4e2b19cf-2f88-4acd-ad94-9a7b408dd981",
 CellTags->"i:31",
 CellID->388758014],
Cell[1404465, 27327, 204, 2, 39, "CodeText",ExpressionUUID->"30336e04-cb57-4681-88fd-e5b9fd0b751a",
 CellID->562142886],
Cell[1404672, 27331, 332, 10, 26, "Input",ExpressionUUID->"cdd49e57-e392-40e6-80e3-86fa7f0d3f09",
 CellID->99432838],
Cell[1405007, 27343, 893, 18, 83, "CodeText",ExpressionUUID->"ffd84a47-28a9-4696-8f53-0dc3836b6502",
 CellID->1121306380],
Cell[CellGroupData[{
Cell[1405925, 27365, 1296, 35, 84, "Input",ExpressionUUID->"1b2be05d-4d09-4708-a6fb-e46bca467c1f",
 CellID->1652702227],
Cell[1407224, 27402, 40235, 734, 205, "Output",ExpressionUUID->"46bdecb3-26ee-4077-b568-26e9dab66dd7",
 CellID->1414966506]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[1447508, 28142, 416, 10, 54, "Subsubsubsection",ExpressionUUID->"15eef6bd-717a-411f-8389-59a86c77e496",
 CellID->274820295],
Cell[1447927, 28154, 1563, 25, 163, "Text",ExpressionUUID->"81fe71bd-5557-4d9b-b834-7841fd6d0c55",
 CellTags->{"LastCellOfAPage", "i:32"},
 CellID->643045086],
Cell[1449493, 28181, 1514, 30, 88, "Text",ExpressionUUID->"9d4bd625-e69d-47fd-b597-85ffd0cc0b99",
 CellTags->"p: 170",
 CellID->612220492],
Cell[1451010, 28213, 826, 18, 61, "CodeText",ExpressionUUID->"c985aecc-b84d-43a5-9945-4c682f7f5da9",
 CellID->1507779991],
Cell[1451839, 28233, 541, 15, 47, "Input",ExpressionUUID->"94601c8c-3ebc-40dd-8f64-9318e0a524b5",
 CellID->1405105318],
Cell[1452383, 28250, 631, 15, 39, "CodeText",ExpressionUUID->"307edbfd-cf55-4eae-b02b-42434429e906",
 CellID->297227017],
Cell[CellGroupData[{
Cell[1453039, 28269, 494, 12, 26, "Input",ExpressionUUID->"547af850-b54a-41df-b2de-0834d1f80bc8",
 CellID->974049752],
Cell[1453536, 28283, 38522, 712, 205, "Output",ExpressionUUID->"e2b7c08f-7eaf-40ce-a829-ab616a36cb22",
 CellID->327307527]
}, Open  ]],
Cell[1492073, 28998, 497, 11, 61, "CodeText",ExpressionUUID->"7623a072-a57d-4306-bd08-34ce4d0586c0",
 CellID->1327789331],
Cell[CellGroupData[{
Cell[1492595, 29013, 425, 9, 26, "Input",ExpressionUUID->"526fc0ee-3a40-4e58-8d8f-148433cb0071",
 CellID->446113088],
Cell[1493023, 29024, 37861, 713, 205, "Output",ExpressionUUID->"a69882d9-1f1f-48ed-aaec-98cf58c3d981",
 CellID->1214253249]
}, Open  ]],
Cell[1530899, 29740, 1658, 36, 113, "Text",ExpressionUUID->"9f0ee74e-e60c-44dd-88d1-15c57c3b09a5",
 CellTags->"i:33",
 CellID->1934957544],
Cell[1532560, 29778, 1158, 28, 61, "CodeText",ExpressionUUID->"1f1a377f-90f0-4632-8521-7854477971ef",
 CellID->755024593],
Cell[1533721, 29808, 408, 11, 26, "Input",ExpressionUUID->"35a6038e-3a01-4660-92dd-d499f94303a2",
 CellTags->"LastCellOfAPage",
 CellID->1446722817],
Cell[CellGroupData[{
Cell[1534154, 29823, 443, 12, 26, "Input",ExpressionUUID->"9816e714-665b-4555-b9d3-ef71ea130805",
 CellTags->"p: 171",
 CellID->1399511673],
Cell[1534600, 29837, 38511, 712, 205, "Output",ExpressionUUID->"58c9139d-91d9-4928-8260-92586cdf0088",
 CellID->991450964]
}, Open  ]],
Cell[1573126, 30552, 2149, 43, 138, "Text",ExpressionUUID->"2a1ce8e7-6bc3-41df-8739-feb070a94b8d",
 CellTags->"i:34",
 CellID->273102611],
Cell[1575278, 30597, 1285, 29, 83, "CodeText",ExpressionUUID->"8f45ce78-aa4e-44b1-bed6-3a15a3a10f36",
 CellID->1083723639],
Cell[1576566, 30628, 959, 29, 66, "Input",ExpressionUUID->"be22c6fd-9b67-4cc1-b4a4-e6773072f830",
 CellID->1771434204],
Cell[CellGroupData[{
Cell[1577550, 30661, 445, 11, 26, "Input",ExpressionUUID->"00c20abf-1fc4-4fd7-8614-86a334c2564d",
 CellID->127806184],
Cell[1577998, 30674, 38888, 717, 205, "Output",ExpressionUUID->"8c68d7b1-40a4-4270-9d6b-029eeae84e90",
 CellID->694387471]
}, Open  ]],
Cell[1616901, 31394, 4198, 101, 163, "Text",ExpressionUUID->"233c0f26-4544-4432-a29b-55415b0b9acf",
 CellTags->"i:35",
 CellID->314720092],
Cell[1621102, 31497, 1378, 28, 84, "Note",ExpressionUUID->"072e51a4-d244-47c7-8afc-5813ce11b734",
 CellID->1473344118],
Cell[1622483, 31527, 555, 12, 61, "CodeText",ExpressionUUID->"50786a70-ef77-4d04-91ab-54d9a38306ef",
 CellTags->"LastCellOfAPage",
 CellID->1035684124],
Cell[CellGroupData[{
Cell[1623063, 31543, 2026, 60, 160, "Input",ExpressionUUID->"6a82047e-2f9c-45ce-806a-6c53a12b2c4c",
 CellTags->"p: 172",
 CellID->203021932],
Cell[1625092, 31605, 41882, 768, 227, "Output",ExpressionUUID->"c82bdf10-309c-4969-8d01-1a671c670b79",
 CellID->1610129064]
}, Open  ]],
Cell[1666989, 32376, 1821, 37, 113, "Text",ExpressionUUID->"6f61832f-c786-41f6-b3c4-2ae04e3b7f58",
 CellTags->"i:36",
 CellID->280436863],
Cell[1668813, 32415, 687, 17, 39, "CodeText",ExpressionUUID->"ffb329ad-7094-4d62-94a4-dc8e4b3cef78",
 CellID->1801713312],
Cell[CellGroupData[{
Cell[1669525, 32436, 1174, 30, 65, "Input",ExpressionUUID->"0d08f4bd-fdb3-4f2a-a0d9-5898c22dca45",
 CellID->840085652],
Cell[1670702, 32468, 38760, 723, 415, "Output",ExpressionUUID->"17146182-b9db-4e08-a3ee-ac82bf319067",
 CellTags->"LastCellOfAPage",
 CellID->1388520907]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[1709511, 33197, 437, 11, 54, "Subsubsubsection",ExpressionUUID->"a2e73d03-5f1a-4ccc-af65-94cd646021a1",
 CellTags->"p: 173",
 CellID->1663364858],
Cell[1709951, 33210, 3159, 74, 113, "Text",ExpressionUUID->"76417199-c8df-4b07-a8da-9b5c1aeae9aa",
 CellTags->"i:37",
 CellID->261394651],
Cell[1713113, 33286, 505, 10, 39, "CodeText",ExpressionUUID->"549dc63f-2774-40f6-b5f9-3ac6822466fb",
 CellID->1145537559],
Cell[CellGroupData[{
Cell[1713643, 33300, 605, 16, 46, "Input",ExpressionUUID->"ae9eff67-cad9-46bd-8e7a-333d1a442ac9",
 CellID->139297035],
Cell[1714251, 33318, 40938, 776, 229, "Output",ExpressionUUID->"4b2671c9-29e7-478a-b896-f25136924028",
 CellID->662015022]
}, Open  ]],
Cell[1755204, 34097, 3133, 74, 113, "Text",ExpressionUUID->"229841f3-c1a1-46a1-9351-98e6218e6513",
 CellTags->"i:38",
 CellID->252173895],
Cell[1758340, 34173, 1004, 23, 61, "CodeText",ExpressionUUID->"41fb938b-f614-4ff8-80b3-aded0f9a6809",
 CellID->837616799],
Cell[CellGroupData[{
Cell[1759369, 34200, 306, 7, 26, "Input",ExpressionUUID->"01b53963-b07b-4213-93ce-689097a24440",
 CellID->2060386936],
Cell[1759678, 34209, 38696, 711, 205, "Output",ExpressionUUID->"ef6ff96f-44e6-4d76-8b40-9785e75d881d",
 CellID->1870989549]
}, Open  ]],
Cell[1798389, 34923, 665, 15, 84, "Note",ExpressionUUID->"9f9cd728-fc64-403e-b4e9-81ab3a2e1cbb",
 CellTags->{"LastCellOfAPage", "i:39"},
 CellID->535770888],
Cell[1799057, 34940, 863, 22, 39, "CodeText",ExpressionUUID->"7c5b7dd5-cbf4-446a-9753-795b8f1c589f",
 CellTags->"p: 174",
 CellID->1768105338],
Cell[CellGroupData[{
Cell[1799945, 34966, 601, 16, 65, "Input",ExpressionUUID->"25a4944a-bfb2-4aea-b97f-b0c5c447ac7e",
 CellID->422615321],
Cell[1800549, 34984, 820, 19, 37, "Output",ExpressionUUID->"83f2936b-0d20-49ca-bb9a-aef4fa7c8704",
 CellID->1189905294]
}, Open  ]],
Cell[1801384, 35006, 1060, 25, 61, "CodeText",ExpressionUUID->"aa4c245d-2ff2-46d5-8637-3336a00cec6b",
 CellID->208730138],
Cell[CellGroupData[{
Cell[1802469, 35035, 303, 7, 26, "Input",ExpressionUUID->"c49842b2-5b2e-4609-852f-c381e117c249",
 CellID->1952828637],
Cell[1802775, 35044, 30814, 564, 123, "Output",ExpressionUUID->"b27f1c2b-56a3-4656-b2c6-248073c63dd0",
 CellID->956636892]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[1833650, 35615, 1070, 25, 55, "Subsubsection",ExpressionUUID->"fcbabe34-f947-427b-aa2f-90cf95217e82",
 CellID->764063548],
Cell[CellGroupData[{
Cell[1834745, 35644, 229, 3, 54, "Subsubsubsection",ExpressionUUID->"45a9a42c-eb1c-4477-9d28-cbd9990e1837",
 CellID->847193992],
Cell[1834977, 35649, 3963, 88, 313, "Text",ExpressionUUID->"590cd682-4103-4d35-94ec-5190912045d6",
 CellTags->"i:40",
 CellID->1057872736],
Cell[1838943, 35739, 982, 22, 63, "Text",ExpressionUUID->"2d00ab29-346b-44c7-b3bb-52f1f8ddd228",
 CellTags->"i:41",
 CellID->766197555],
Cell[1839928, 35763, 388, 9, 61, "CodeText",ExpressionUUID->"3cb7d230-59c4-4876-91ce-fbab7a373d93",
 CellID->635452105],
Cell[1840319, 35774, 629, 16, 28, "Input",ExpressionUUID->"1beb3276-015d-4f81-b879-53b9997e9ac2",
 CellID->1591224183],
Cell[1840951, 35792, 1112, 25, 61, "CodeText",ExpressionUUID->"67e3aa18-cb6e-4951-a08e-9d104d181e3a",
 CellID->540297518],
Cell[1842066, 35819, 586, 15, 26, "Input",ExpressionUUID->"fcb60f14-4857-4ca9-890a-3815e77c8b2f",
 CellTags->"LastCellOfAPage",
 CellID->2032992640],
Cell[1842655, 35836, 436, 10, 39, "CodeText",ExpressionUUID->"295daca5-a9be-422f-8b5a-0d3c4c1a7380",
 CellTags->"p: 175",
 CellID->1325310221],
Cell[1843094, 35848, 806, 16, 26, "Input",ExpressionUUID->"5662c1e4-0e44-4e96-8709-c7da0b9652c7",
 CellID->1864043672],
Cell[1843903, 35866, 1049, 27, 88, "Text",ExpressionUUID->"8ee125ff-e6b0-47fa-95cc-e603175fe144",
 CellID->896616877],
Cell[1844955, 35895, 759, 18, 61, "CodeText",ExpressionUUID->"e67198b5-2e2a-4dd9-8dad-61f377c06155",
 CellID->1189203453],
Cell[CellGroupData[{
Cell[1845739, 35917, 1040, 21, 65, "Input",ExpressionUUID->"1720a422-02b7-4a60-9d35-75fef0696dd9",
 CellID->1152487061],
Cell[1846782, 35940, 38129, 715, 205, "Output",ExpressionUUID->"ea1742b6-9847-4a7e-9d5a-f7cf73207b4e",
 CellID->1962655880]
}, Open  ]],
Cell[1884926, 36658, 606, 13, 39, "CodeText",ExpressionUUID->"fcd946e8-feb6-473d-b984-208544c63dc5",
 CellTags->"i:42",
 CellID->830600887],
Cell[CellGroupData[{
Cell[1885557, 36675, 684, 14, 65, "Input",ExpressionUUID->"def6f638-7d1d-43a1-aba5-dba7c820af0c",
 CellID->133563033],
Cell[1886244, 36691, 38174, 719, 205, "Output",ExpressionUUID->"d885b4ec-1398-490c-97e8-ad3487f96034",
 CellID->2116543183]
}, Open  ]],
Cell[1924433, 37413, 942, 23, 84, "Note",ExpressionUUID->"7d91716f-a5a2-43f5-b60b-71170352912c",
 CellID->578825923]
}, Open  ]],
Cell[CellGroupData[{
Cell[1925412, 37441, 1234, 32, 52, "Subsubsubsection",ExpressionUUID->"4821c632-efc5-4806-8030-e7abf2029e96",
 CellID->1182005822],
Cell[1926649, 37475, 1771, 43, 88, "Text",ExpressionUUID->"3308cda8-2d4d-43c7-b2b8-3b95ea1b1f54",
 CellTags->{"LastCellOfAPage", "i:43"},
 CellID->823106538],
Cell[1928423, 37520, 1556, 38, 88, "Text",ExpressionUUID->"54500adb-871e-4776-9458-ea4409d78fe6",
 CellTags->"p: 176",
 CellID->1092129749],
Cell[1929982, 37560, 1309, 34, 61, "CodeText",ExpressionUUID->"eedad2b9-9be9-4a81-830c-b858195e907a",
 CellID->807561574],
Cell[CellGroupData[{
Cell[1931316, 37598, 706, 17, 65, "Input",ExpressionUUID->"90d816a8-2fef-4521-9692-d5ae242012cb",
 CellID->578882981],
Cell[1932025, 37617, 40269, 762, 205, "Output",ExpressionUUID->"ad2aa4fb-253c-4786-8fe1-6f40bfe80d0c",
 CellID->927027256]
}, Open  ]],
Cell[1972309, 38382, 334, 6, 63, "Text",ExpressionUUID->"979955f0-3f81-4d73-b5d1-f711df1c4fff",
 CellID->1289196384],
Cell[1972646, 38390, 1263, 33, 61, "CodeText",ExpressionUUID->"556d0c94-0955-4157-8544-b9841ed78c60",
 CellID->219557038],
Cell[CellGroupData[{
Cell[1973934, 38427, 703, 17, 65, "Input",ExpressionUUID->"35e7e144-011b-4496-a636-e2d445ae80d1",
 CellID->1256401034],
Cell[1974640, 38446, 39268, 734, 283, "Output",ExpressionUUID->"07c25169-e921-4094-a807-106d5d0d0977",
 CellID->973792672]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[2013969, 39187, 251, 3, 55, "Subsubsection",ExpressionUUID->"2bf9f222-6f10-4cfc-b83c-94a5124bef82",
 CellID->1111438629],
Cell[2014223, 39192, 1845, 37, 138, "Text",ExpressionUUID->"808de3bd-b16c-459c-85ca-84965d89077d",
 CellTags->"LastCellOfAPage",
 CellID->1731344047],
Cell[2016071, 39231, 1173, 26, 88, "Text",ExpressionUUID->"b7e38160-f50f-4574-a090-629d992bc95e",
 CellTags->{"i:44", "p: 177"},
 CellID->170148666],
Cell[2017247, 39259, 677, 16, 39, "CodeText",ExpressionUUID->"b1e561c7-b0ef-4c37-bfc6-b10eeeab66bb",
 CellID->1768503636],
Cell[CellGroupData[{
Cell[2017949, 39279, 235, 4, 26, "Input",ExpressionUUID->"5b1ba73b-37ec-4d8a-9a9c-e35e10cec4c0",
 CellID->626731669],
Cell[2018187, 39285, 1880, 42, 114, "Output",ExpressionUUID->"aabb6dcb-a550-4900-8f94-3532e952c9dd",
 CellID->1455397581]
}, Open  ]],
Cell[2020082, 39330, 683, 16, 39, "CodeText",ExpressionUUID->"a6bd95fd-0429-4c76-9052-51d777b2cd84",
 CellID->964244612],
Cell[CellGroupData[{
Cell[2020790, 39350, 245, 4, 26, "Input",ExpressionUUID->"fb5c0f34-10d2-4a64-9ce1-94a1dd821cf2",
 CellID->1194071100],
Cell[2021038, 39356, 1883, 42, 114, "Output",ExpressionUUID->"b4717c0c-159c-489f-a689-943ca65c9ef8",
 CellID->243475187]
}, Open  ]],
Cell[2022936, 39401, 337, 5, 38, "Text",ExpressionUUID->"3662d426-5cd7-4c36-ad33-204c78969179",
 CellID->2057365555],
Cell[2023276, 39408, 770, 17, 61, "CodeText",ExpressionUUID->"e779ad32-8891-4418-87c3-ad51ed20651d",
 CellID->1083966371],
Cell[CellGroupData[{
Cell[2024071, 39429, 502, 11, 46, "Input",ExpressionUUID->"27a37396-2af6-4bf8-a739-43606eb87e11",
 CellID->852036893],
Cell[2024576, 39442, 38972, 720, 205, "Output",ExpressionUUID->"a39e4561-e8df-4df4-a911-1f1c81787c4d",
 CellID->256905542]
}, Open  ]],
Cell[2063563, 40165, 1755, 42, 88, "Text",ExpressionUUID->"3357b2a9-8f61-412c-a35e-27be9d0af374",
 CellTags->{"LastCellOfAPage", "i:45"},
 CellID->1703713912],
Cell[2065321, 40209, 887, 22, 61, "CodeText",ExpressionUUID->"e7f33c25-b074-4985-a841-c8cc1cec0af1",
 CellTags->"p: 178",
 CellID->850263257],
Cell[CellGroupData[{
Cell[2066233, 40235, 8404, 203, 51, "Input",ExpressionUUID->"7e2c55a9-183f-41d1-ac39-1ce6a0421152",
 CellID->1915504402],
Cell[2074640, 40440, 40615, 761, 205, "Output",ExpressionUUID->"d46dfc2c-7ff4-47b7-bc32-757e10911a88",
 CellID->1796584048]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[2115304, 41207, 234, 3, 55, "Subsubsection",ExpressionUUID->"b0855fc0-ff65-4016-83d3-fddedf213162",
 CellID->603159051],
Cell[2115541, 41212, 1269, 27, 113, "Text",ExpressionUUID->"a4ca5ef9-033e-4a70-b1c4-43d09523f231",
 CellTags->"i:46",
 CellID->1177705712],
Cell[2116813, 41241, 737, 17, 61, "CodeText",ExpressionUUID->"98927e9b-bc21-4d04-8fda-ae4243cd2dcf",
 CellID->313828974],
Cell[CellGroupData[{
Cell[2117575, 41262, 542, 13, 26, "Input",ExpressionUUID->"9c60063d-7a48-4afd-a858-29c42aafb293",
 CellID->2108429712],
Cell[2118120, 41277, 80865, 1497, 237, "Output",ExpressionUUID->"1a51dd4c-e090-449c-a206-06c47c4ae023",
 CellTags->"LastCellOfAPage",
 CellID->943812708]
}, Open  ]],
Cell[2199000, 42777, 1685, 39, 88, "Text",ExpressionUUID->"65feb1ec-c60b-44fa-88a1-3e9b409217a4",
 CellTags->{"i:47", "p: 179"},
 CellID->1664296265],
Cell[2200688, 42818, 791, 20, 39, "CodeText",ExpressionUUID->"54491948-a71c-4bfb-85d5-0fac1a0ce5f5",
 CellID->508175520],
Cell[CellGroupData[{
Cell[2201504, 42842, 317, 6, 26, "Input",ExpressionUUID->"b755714c-e3e3-492c-ba5a-6eb866c1a3c1",
 CellID->658533178],
Cell[2201824, 42850, 429, 9, 37, "Output",ExpressionUUID->"1e51c68e-6deb-42f2-b9a4-aa1ace84501d",
 CellID->687424149]
}, Open  ]],
Cell[2202268, 42862, 1481, 37, 61, "CodeText",ExpressionUUID->"7a6d696d-5827-4f41-a750-ad889f2adc7f",
 CellID->618135577],
Cell[CellGroupData[{
Cell[2203774, 42903, 8347, 201, 50, "Input",ExpressionUUID->"b3ab07a4-9f5b-41cc-a213-23185b69a0b5",
 CellID->799451658],
Cell[2212124, 43106, 40508, 767, 211, "Output",ExpressionUUID->"ffe9aefa-d3ef-424e-b73e-a61421820dec",
 CellID->1266567662]
}, Open  ]],
Cell[2252647, 43876, 668, 10, 61, "CodeText",ExpressionUUID->"47b7df70-28d7-49bc-af26-ea8717a46b77",
 CellID->1666289397],
Cell[2253318, 43888, 8469, 203, 50, "Input",ExpressionUUID->"8d55af63-074d-42cd-9902-4b6d3fa02d69",
 CellID->378712482],
Cell[2261790, 44093, 927, 16, 88, "Text",ExpressionUUID->"6696aada-d4dd-4a5a-82ca-7e4d61f7d0b8",
 CellTags->"i:48",
 CellID->215161490],
Cell[2262720, 44111, 575, 14, 39, "CodeText",ExpressionUUID->"d05d1c44-0cc6-426b-9de0-cc929dc4ef38",
 CellID->1655826381],
Cell[CellGroupData[{
Cell[2263320, 44129, 9143, 217, 127, "Input",ExpressionUUID->"7e2535e4-897b-4f43-a1b1-b1a99fbb6fbd",
 CellID->356764666],
Cell[2272466, 44348, 46312, 862, 175, "Output",ExpressionUUID->"10344d2f-0c63-4b99-a752-23e362773593",
 CellTags->"LastCellOfAPage",
 CellID->599856822]
}, Open  ]],
Cell[2318793, 45213, 1292, 32, 88, "Text",ExpressionUUID->"b70e459f-6e79-4d68-aa18-583a60ce31a1",
 CellTags->{"i:49", "p: 180"},
 CellID->49777344],
Cell[2320088, 45247, 752, 19, 39, "CodeText",ExpressionUUID->"8ba313ba-cdc4-4207-8c0c-47e785203f8c",
 CellID->1744852838],
Cell[CellGroupData[{
Cell[2320865, 45270, 8350, 201, 31, "Input",ExpressionUUID->"e29b47df-0a2d-4ea6-8b7f-13114e5940d3",
 CellID->361329826],
Cell[2329218, 45473, 40436, 766, 211, "Output",ExpressionUUID->"d7f86fc7-0d58-4448-b670-1a3447e88ab7",
 CellID->554477477]
}, Open  ]],
Cell[2369669, 46242, 1012, 25, 63, "Text",ExpressionUUID->"f5598726-f986-487a-ab1b-62f43e81fd6f",
 CellID->269983518],
Cell[2370684, 46269, 1368, 36, 61, "CodeText",ExpressionUUID->"32202fca-bfa4-438d-962e-5661c0b04762",
 CellID->910561855],
Cell[CellGroupData[{
Cell[2372077, 46309, 8966, 217, 89, "Input",ExpressionUUID->"9d027d2e-0675-45d4-a968-274f6de03501",
 CellID->1880976493],
Cell[2381046, 46528, 44917, 848, 177, "Output",ExpressionUUID->"acd13abf-e5ba-464d-8a6b-6d2ad8a5d9c3",
 CellID->1414062417]
}, Open  ]],
Cell[2425978, 47379, 886, 22, 84, "Note",ExpressionUUID->"371e3bdb-41d5-4975-a3de-8e2ea49a6d72",
 CellID->146040958]
}, Open  ]],
Cell[CellGroupData[{
Cell[2426901, 47406, 309, 4, 55, "Subsubsection",ExpressionUUID->"ace5a616-b3d5-4422-b96b-317994fce8eb",
 CellID->1992174143],
Cell[2427213, 47412, 746, 12, 138, "Text",ExpressionUUID->"5f542eb9-68ee-4b83-9c6b-0a48f50dd8cd",
 CellTags->{"LastCellOfAPage", "i:50"},
 CellID->978007105],
Cell[2427962, 47426, 342, 5, 39, "CodeText",ExpressionUUID->"54439e75-2fe3-4bd3-b93f-b835143c9fa6",
 CellTags->"p: 181",
 CellID->1280155607],
Cell[CellGroupData[{
Cell[2428329, 47435, 759, 19, 65, "Input",ExpressionUUID->"9fea4308-98eb-4d69-832b-e6269fc726fb",
 CellID->1832106143],
Cell[2429091, 47456, 31933, 588, 205, "Output",ExpressionUUID->"6e1a32ae-db69-44f6-9db8-23ed88272526",
 CellID->432014505]
}, Open  ]],
Cell[2461039, 48047, 1520, 30, 265, "Text",ExpressionUUID->"29b62490-0bd6-4c12-bd91-954a5135f7dc",
 CellTags->"i:51",
 CellID->1752668747],
Cell[2462562, 48079, 1689, 31, 213, "Text",ExpressionUUID->"dcfbb90f-0444-4636-8a05-068e5b048a03",
 CellID->429248975],
Cell[2464254, 48112, 865, 18, 61, "CodeText",ExpressionUUID->"df7fc168-9466-4215-ae8b-c559cf477c86",
 CellID->107198153],
Cell[CellGroupData[{
Cell[2465144, 48134, 588, 15, 65, "Input",ExpressionUUID->"86afe727-48dd-4d3c-9b27-32890f0cdbcb",
 CellID->376064896],
Cell[2465735, 48151, 33372, 616, 151, "Output",ExpressionUUID->"26adeb8e-d864-4b6e-811a-ba9122bfbbda",
 CellTags->"LastCellOfAPage",
 CellID->522810892]
}, Open  ]],
Cell[2499122, 48770, 283, 6, 38, "Text",ExpressionUUID->"d6e5621c-94cc-493d-931d-b7d9f189c81d",
 CellTags->"p: 182",
 CellID->2006199376],
Cell[2499408, 48778, 953, 19, 61, "CodeText",ExpressionUUID->"b27b70c3-1265-4b37-85d5-9df382d966c0",
 CellID->1472811632],
Cell[CellGroupData[{
Cell[2500386, 48801, 845, 23, 84, "Input",ExpressionUUID->"964fc9d6-dd89-4478-b2d9-cc48e659e3a7",
 CellID->1867696522],
Cell[2501234, 48826, 75362, 1480, 313, "Output",ExpressionUUID->"0826d74d-f4c3-4bad-946f-464e4947f5c0",
 CellID->1066725392]
}, Open  ]],
Cell[2576611, 50309, 2088, 54, 113, "Text",ExpressionUUID->"511a8069-85f2-4911-8e02-d7461a0d7d9d",
 CellTags->"i:52",
 CellID->2045033095],
Cell[2578702, 50365, 948, 23, 39, "CodeText",ExpressionUUID->"860dc98a-4149-4c7c-9da9-86567dd6e484",
 CellID->1253438253],
Cell[CellGroupData[{
Cell[2579675, 50392, 738, 20, 46, "Input",ExpressionUUID->"f6ee6964-4bb4-4fd0-9aeb-3eb4969d5e80",
 CellID->347836506],
Cell[2580416, 50414, 33295, 615, 151, "Output",ExpressionUUID->"80e15989-c394-4fdf-a33c-2ec526a988c6",
 CellID->1107635815]
}, Open  ]],
Cell[2613726, 51032, 1197, 29, 88, "Text",ExpressionUUID->"98e82fce-cbaf-4f6d-b98f-505728c26353",
 CellTags->"LastCellOfAPage",
 CellID->1580564136],
Cell[2614926, 51063, 1436, 37, 61, "CodeText",ExpressionUUID->"99feef0f-686c-4476-b344-a449b9d12828",
 CellTags->"p: 183",
 CellID->1494701397],
Cell[CellGroupData[{
Cell[2616387, 51104, 9182, 216, 51, "Input",ExpressionUUID->"2d062a48-020f-4159-9997-61055170d6df",
 CellID->853976879],
Cell[2625572, 51322, 33344, 615, 151, "Output",ExpressionUUID->"eeda2be0-7ea1-441d-8a19-76c021e2fa8a",
 CellID->1863657643]
}, Open  ]],
Cell[2658931, 51940, 1068, 19, 163, "Text",ExpressionUUID->"d4799f40-6449-4bbb-adc3-4ecad34ccc92",
 CellTags->"i:53",
 CellID->1977686794],
Cell[2660002, 51961, 2415, 57, 188, "Text",ExpressionUUID->"2d161c2d-01a0-4597-a0d9-63ea29b60249",
 CellTags->"i:54",
 CellID->1727747079],
Cell[2662420, 52020, 366, 9, 39, "CodeText",ExpressionUUID->"88c7da72-ce55-4a65-822c-fda8a2038363",
 CellID->1252106939],
Cell[2662789, 52031, 247, 4, 26, "Input",ExpressionUUID->"bb35026f-07ab-4f3b-8136-4fd72cba352f",
 CellID->1681929238],
Cell[2663039, 52037, 788, 21, 61, "CodeText",ExpressionUUID->"4eff4d89-d6fe-49d5-92ca-839e11c3b5d1",
 CellID->2082237751],
Cell[CellGroupData[{
Cell[2663852, 52062, 496, 9, 26, "Input",ExpressionUUID->"7093d027-1d6f-48e4-9c28-2235cd016691",
 CellID->963936545],
Cell[2664351, 52073, 14507, 371, 293, "Output",ExpressionUUID->"fa481840-f71f-4c6f-9c2e-a2dec372278a",
 CellTags->"LastCellOfAPage",
 CellID->2025473739]
}, Open  ]],
Cell[2678873, 52447, 1914, 48, 188, "Text",ExpressionUUID->"3c61d8b2-1af2-4d25-b092-a7acd57c6318",
 CellTags->{"i:55", "p: 184"},
 CellID->735722509],
Cell[2680790, 52497, 1104, 27, 61, "CodeText",ExpressionUUID->"c1123292-226b-4cba-9bfe-e75aad1dde6f",
 CellID->1551503331],
Cell[CellGroupData[{
Cell[2681919, 52528, 397, 8, 26, "Input",ExpressionUUID->"8a432d53-9edc-46da-8350-14802f5b7b9a",
 CellID->180732309],
Cell[2682319, 52538, 12483, 323, 396, "Output",ExpressionUUID->"aa97b178-c891-4e34-94c1-cd17e6d163e4",
 CellID->332159108]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[2694851, 52867, 185, 2, 55, "Subsubsection",ExpressionUUID->"d0993e86-54ff-4bff-a1c6-2d4df7f2d4c6",
 CellID->132826886],
Cell[2695039, 52871, 646, 14, 63, "Text",ExpressionUUID->"ee97a48e-5db7-4450-8eb7-afe45561d5c2",
 CellTags->"i:56",
 CellID->1225106452],
Cell[2695688, 52887, 707, 17, 39, "CodeText",ExpressionUUID->"67ef5f32-fb18-4a67-a539-f38314355747",
 CellID->1104301452],
Cell[CellGroupData[{
Cell[2696420, 52908, 573, 13, 26, "Input",ExpressionUUID->"1c4e3bde-eaad-44fc-a581-e7fab65ced0f",
 CellID->752283327],
Cell[2696996, 52923, 26873, 479, 97, "Output",ExpressionUUID->"89ee17fa-13f9-4914-a05b-44717c536d81",
 CellID->1761698601]
}, Open  ]],
Cell[2723884, 53405, 1935, 40, 163, "Text",ExpressionUUID->"00c23034-67bb-47a7-96eb-25a73989cc08",
 CellTags->{"LastCellOfAPage", "i:57"},
 CellID->1644078804],
Cell[2725822, 53447, 462, 10, 39, "CodeText",ExpressionUUID->"c078027c-8057-4ee3-9fab-8d84ded96a8b",
 CellTags->"p: 185",
 CellID->1370543036],
Cell[CellGroupData[{
Cell[2726309, 53461, 855, 19, 46, "Input",ExpressionUUID->"1b5a9638-c546-4b39-9247-7d8c52ff43a8",
 CellID->854357581],
Cell[2727167, 53482, 25024, 446, 97, "Output",ExpressionUUID->"4794cb53-8f66-4b3d-bfc6-50c1dece3219",
 CellID->41112040]
}, Open  ]],
Cell[2752206, 53931, 759, 14, 88, "Text",ExpressionUUID->"c5723a18-e7f2-4f23-b178-d3dc600e1403",
 CellID->1107941231],
Cell[2752968, 53947, 731, 16, 61, "CodeText",ExpressionUUID->"6640bfab-d3d8-4a6d-8699-091857b90408",
 CellID->1130852199],
Cell[CellGroupData[{
Cell[2753724, 53967, 469, 13, 26, "Input",ExpressionUUID->"cfd72430-c8b1-40c6-ba03-b7a569b32e60",
 CellID->1728900963],
Cell[2754196, 53982, 50089, 882, 101, "Output",ExpressionUUID->"6d4f52c4-0127-4703-9f92-2d1210fb29bc",
 CellID->494554948]
}, Open  ]],
Cell[2804300, 54867, 548, 11, 39, "CodeText",ExpressionUUID->"6e49f787-8bf2-44e9-8a3e-60e1974d33b3",
 CellID->2133629992],
Cell[CellGroupData[{
Cell[2804873, 54882, 8698, 208, 51, "Input",ExpressionUUID->"6d91e048-f86e-4ce9-b62b-b4988d2aed9b",
 CellID->627025373],
Cell[2813574, 55092, 23481, 414, 97, "Output",ExpressionUUID->"c74f0fe9-4074-4045-9404-7ce2189e5e53",
 CellID->1775298754]
}, Open  ]],
Cell[2837070, 55509, 263, 5, 63, "Text",ExpressionUUID->"f0f13e36-5c55-4878-8e1c-2c0ac08d673f",
 CellID->314641133],
Cell[2837336, 55516, 764, 18, 39, "CodeText",ExpressionUUID->"05b952dd-47a1-4dac-b30a-d156e83d66b2",
 CellID->670129088],
Cell[CellGroupData[{
Cell[2838125, 55538, 289, 6, 26, "Input",ExpressionUUID->"6eb6a01e-2484-4f30-a16b-29a342e58411",
 CellID->912211873],
Cell[2838417, 55546, 24110, 427, 97, "Output",ExpressionUUID->"47789903-f209-4518-bf09-fe53859181cf",
 CellID->18492053]
}, Open  ]],
Cell[2862542, 55976, 2087, 45, 113, "Text",ExpressionUUID->"72c56a31-cdc5-4a29-b934-ea7a0bc501eb",
 CellTags->{"LastCellOfAPage", "i:58"},
 CellID->1520615706],
Cell[2864632, 56023, 923, 23, 39, "CodeText",ExpressionUUID->"14885223-ef7d-4010-a66e-5ef5f9070eb6",
 CellTags->"p: 186",
 CellID->162232566],
Cell[CellGroupData[{
Cell[2865580, 56050, 588, 14, 26, "Input",ExpressionUUID->"a37eb8a6-fc99-4d91-b60d-b9b072cc08f2",
 CellID->542962092],
Cell[2866171, 56066, 7142, 172, 146, "Output",ExpressionUUID->"63f3d8f3-3dd5-40dd-927b-fbe9ae1b481d",
 CellID->1428318498]
}, Open  ]],
Cell[2873328, 56241, 1683, 38, 113, "Text",ExpressionUUID->"46b81c40-2359-46f5-9cc4-03bf86dceb79",
 CellID->1890594996],
Cell[2875014, 56281, 984, 24, 61, "CodeText",ExpressionUUID->"2ab561f5-ff02-4d71-b55f-d81c38f6c4c1",
 CellID->473855162],
Cell[CellGroupData[{
Cell[2876023, 56309, 630, 13, 26, "Input",ExpressionUUID->"4d75aa25-e7c2-46d2-8025-7a6b98524c86",
 CellID->970084524],
Cell[2876656, 56324, 43919, 852, 115, "Output",ExpressionUUID->"abca723d-86f4-4af6-adbc-e0ee0cb3ab90",
 CellID->1886383828]
}, Open  ]],
Cell[2920590, 57179, 358, 7, 38, "Text",ExpressionUUID->"1edf8bce-dce2-488b-8d6f-2e50073c16b1",
 CellID->641629274],
Cell[2920951, 57188, 586, 16, 39, "CodeText",ExpressionUUID->"e3afcbfb-c3e0-402d-b52a-4110f1c986e0",
 CellID->852008649],
Cell[CellGroupData[{
Cell[2921562, 57208, 233, 4, 26, "Input",ExpressionUUID->"56781b48-a6e3-4233-b85d-10106cb1a809",
 CellID->736730204],
Cell[2921798, 57214, 7038, 171, 146, "Output",ExpressionUUID->"c5a02b8d-c80c-488f-880a-a9fead0a3658",
 CellID->1594619540]
}, Open  ]],
Cell[2928851, 57388, 2894, 65, 163, "Text",ExpressionUUID->"1f035a41-8b57-4cae-aaff-bdcfc128f7ff",
 CellTags->"LastCellOfAPage",
 CellID->221251674],
Cell[2931748, 57455, 624, 15, 39, "CodeText",ExpressionUUID->"93c9beaa-e930-46c4-a373-679311bb244d",
 CellTags->"p: 187",
 CellID->675213754],
Cell[CellGroupData[{
Cell[2932397, 57474, 8403, 200, 31, "Input",ExpressionUUID->"d584d6b4-bb4b-48b5-b113-41a5607d5347",
 CellID->1336965700],
Cell[2940803, 57676, 42774, 831, 203, "Output",ExpressionUUID->"ac438bd5-8326-4d84-988f-e73abd62c92d",
 CellID->644665303]
}, Open  ]],
Cell[2983592, 58510, 622, 13, 63, "Text",ExpressionUUID->"cf8e66e5-7799-46d6-8998-9f0557d2bd9c",
 CellID->1564050170],
Cell[2984217, 58525, 1250, 31, 61, "CodeText",ExpressionUUID->"64e25629-9e60-4bfc-ad09-f13c53ec4d82",
 CellID->2007358490],
Cell[CellGroupData[{
Cell[2985492, 58560, 8500, 206, 89, "Input",ExpressionUUID->"3a68e0d9-3a90-4d58-acb8-28004601891b",
 CellID->772420524],
Cell[2993995, 58768, 42976, 835, 203, "Output",ExpressionUUID->"b4ba74fa-08f2-4ee3-b639-50bcd01b73b5",
 CellID->2107269268]
}, Open  ]],
Cell[3036986, 59606, 3315, 85, 163, "Text",ExpressionUUID->"7e73cc29-e6a2-4b8a-bb8e-85e104ed6589",
 CellTags->"i:59",
 CellID->303712229],
Cell[3040304, 59693, 719, 16, 83, "CodeText",ExpressionUUID->"3a1ddafd-e7b4-46c4-badc-c6848e9b3e9e",
 CellID->1227043139],
Cell[3041026, 59711, 1646, 41, 103, "Input",ExpressionUUID->"db673292-7811-4c69-8c87-430937af21d0",
 CellTags->"LastCellOfAPage",
 CellID->850954172],
Cell[CellGroupData[{
Cell[3042697, 59756, 950, 21, 46, "Input",ExpressionUUID->"7c939f68-cdb9-4a51-95fa-017007f791ff",
 CellTags->"p: 188",
 CellID->367580726],
Cell[3043650, 59779, 66401, 1327, 357, "Output",ExpressionUUID->"648b5553-3ceb-4292-b1dd-87035866b3ae",
 CellID->850240418]
}, Open  ]],
Cell[3110066, 61109, 351, 7, 38, "Text",ExpressionUUID->"8660e721-4bec-4df0-9e38-a62eae2c610c",
 CellID->1848457513],
Cell[3110420, 61118, 599, 14, 39, "CodeText",ExpressionUUID->"68e3a78a-7af7-4b30-86a8-3fce9828d246",
 CellID->415277667],
Cell[3111022, 61134, 516, 13, 26, "Input",ExpressionUUID->"c0cd13d0-6a19-4038-a7e2-40e9b2f24375",
 CellID->1068807219],
Cell[3111541, 61149, 1622, 39, 83, "CodeText",ExpressionUUID->"bc3f3559-1d57-4511-bcef-b51e0269ec8d",
 CellID->372496814],
Cell[3113166, 61190, 1219, 32, 103, "Input",ExpressionUUID->"ccb3cc70-adba-4ed4-8194-f19dfa40aadd",
 CellID->633296066],
Cell[3114388, 61224, 808, 21, 39, "CodeText",ExpressionUUID->"c950ae92-d7cc-4488-bcbd-d4f91641af67",
 CellID->1974807972],
Cell[CellGroupData[{
Cell[3115221, 61249, 936, 24, 65, "Input",ExpressionUUID->"e148820c-ba6b-4145-a5d3-080f52a7002b",
 CellID->1472638305],
Cell[3116160, 61275, 66001, 1321, 357, "Output",ExpressionUUID->"e4863c0e-8ee8-4ff2-8dd5-cd00fc9b9365",
 CellTags->"LastCellOfAPage",
 CellID->332546994]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[3182210, 62602, 478, 12, 55, "Subsubsection",ExpressionUUID->"23b5f428-d4ab-4a0e-826b-8bc49b7639ac",
 CellTags->"p: 189",
 CellID->814219069],
Cell[3182691, 62616, 2655, 54, 213, "Text",ExpressionUUID->"8362d6ac-e35d-40d5-8909-f33ce65dbeed",
 CellTags->"i:60",
 CellID->1679200534],
Cell[3185349, 62672, 649, 11, 88, "Text",ExpressionUUID->"0cadd67e-9a8e-413f-9149-daf5bba33f9e",
 CellID->278663918],
Cell[3186001, 62685, 536, 14, 39, "CodeText",ExpressionUUID->"cb08028b-ae44-43fb-a1c5-ba3772d54540",
 CellID->151256689],
Cell[CellGroupData[{
Cell[3186562, 62703, 244, 4, 26, "Input",ExpressionUUID->"c53a46a8-ed6d-4019-903c-c7b4fd11c5f0",
 CellID->1182553211],
Cell[3186809, 62709, 37854, 712, 205, "Output",ExpressionUUID->"eb71cb6a-eba3-408e-a524-101c2d8259f7",
 CellID->1173298696]
}, Open  ]],
Cell[3224678, 63424, 935, 18, 61, "CodeText",ExpressionUUID->"d5c89c34-ae92-4bb5-b458-a770f1db35e7",
 CellID->1360213833],
Cell[CellGroupData[{
Cell[3225638, 63446, 963, 21, 65, "Input",ExpressionUUID->"69bc1fe7-0bc4-450a-a13a-bdf1bfab2771",
 CellID->948071701],
Cell[3226604, 63469, 37826, 710, 205, "Output",ExpressionUUID->"5a04f470-5a77-426c-b96a-c58f3069015f",
 CellID->476939675]
}, Open  ]],
Cell[3264445, 64182, 2300, 49, 138, "Text",ExpressionUUID->"ef7b6449-6fa7-4d8e-99f7-6a9b0cac0739",
 CellTags->"LastCellOfAPage",
 CellID->1452085743],
Cell[3266748, 64233, 905, 23, 39, "CodeText",ExpressionUUID->"4cba01b9-0c2d-4b94-8db5-666b2a52ba91",
 CellTags->"p: 190",
 CellID->350060316],
Cell[CellGroupData[{
Cell[3267678, 64260, 688, 15, 84, "Input",ExpressionUUID->"77cf1600-470b-448b-b20e-922e29b95f40",
 CellID->382165745],
Cell[3268369, 64277, 315, 6, 37, "Output",ExpressionUUID->"1482c9ba-6867-45ef-9672-0f4721cc39cd",
 CellID->1709331343]
}, Open  ]],
Cell[3268699, 64286, 986, 24, 38, "Text",ExpressionUUID->"fffd966c-3152-4183-8c4e-939cb49e523e",
 CellID->181814600],
Cell[3269688, 64312, 570, 14, 39, "CodeText",ExpressionUUID->"9ac49878-d796-41a2-8a5a-c6e45ebb4883",
 CellID->330167799],
Cell[CellGroupData[{
Cell[3270283, 64330, 7852, 189, 31, "Input",ExpressionUUID->"bc263d83-2cf0-4de6-94b5-683c7566a9fd",
 CellID->1692159767],
Cell[3278138, 64521, 37806, 712, 205, "Output",ExpressionUUID->"9e46e03d-df40-476d-a760-3fec37d5274a",
 CellID->355588619]
}, Open  ]],
Cell[CellGroupData[{
Cell[3315981, 65238, 184, 4, 65, "ExerciseSection",ExpressionUUID->"00fc858a-9463-406b-ac00-5ee84b28d812",
 CellID->814524763],
Cell[3316168, 65244, 841, 20, 30, "Exercise",ExpressionUUID->"86b053e3-744e-4b2d-ba7d-04153661487a",
 CounterAssignments->{{$CellContext`Exercise, 0}},
 CellTags->"Exercise",
 CellID->1974738722],
Cell[3317012, 65266, 628, 16, 26, "Exercise",ExpressionUUID->"828ce6ec-d30a-4357-b8b1-439e50da42b3",
 CellTags->"Exercise",
 CellID->73936269],
Cell[3317643, 65284, 1399, 31, 46, "Exercise",ExpressionUUID->"d21ce8c9-0552-4852-bc95-ec5f5dad7ed1",
 CellTags->"Exercise",
 CellID->1401325117],
Cell[3319045, 65317, 1199, 28, 45, "Exercise",ExpressionUUID->"bfa93c4f-7e1d-4a0a-b037-a93316e51b85",
 CellTags->"Exercise",
 CellID->618084770],
Cell[3320247, 65347, 1115, 25, 64, "Exercise",ExpressionUUID->"378f603b-899f-44bd-943b-2da197a131b2",
 CellTags->"Exercise",
 CellID->772328851],
Cell[3321365, 65374, 2054, 49, 46, "Exercise",ExpressionUUID->"3bc9958a-5942-45b0-bb0e-ede80089259d",
 CellTags->"Exercise",
 CellID->1139836289],
Cell[3323422, 65425, 950, 20, 64, "Exercise",ExpressionUUID->"bd1fcf73-826b-4216-b485-c21cd29765d6",
 CellTags->"Exercise",
 CellID->1674377983],
Cell[3324375, 65447, 1783, 45, 64, "Exercise",ExpressionUUID->"0598e314-6dcb-4c2a-9e4a-1c9d48b6947f",
 CellTags->"Exercise",
 CellID->645049993],
Cell[3326161, 65494, 1679, 41, 45, "Exercise",ExpressionUUID->"f96bcafe-b770-45e3-a3bb-0f48f1f652ce",
 CellTags->{"Exercise", "LastCellOfAPage"},
 CellID->857782295],
Cell[3327843, 65537, 2205, 49, 84, "Exercise",ExpressionUUID->"619b0187-5d16-465d-9b9a-5fc354f2c075",
 CellTags->{"Exercise", "p: 191"},
 CellID->689309754],
Cell[3330051, 65588, 1420, 34, 46, "Exercise",ExpressionUUID->"f6d55c7f-5a17-48ad-a007-f2468c5c41e9",
 CellTags->"Exercise",
 CellID->1702243560],
Cell[3331474, 65624, 1033, 18, 45, "Exercise",ExpressionUUID->"8c862c3a-7c85-47e5-8bb0-3b9732968aba",
 CellTags->"Exercise",
 CellID->830367586],
Cell[3332510, 65644, 2332, 57, 141, "Exercise",ExpressionUUID->"840a6f78-6be7-4b4d-9aa3-b275d732aa30",
 CellTags->"Exercise",
 CellID->1639279696],
Cell[3334845, 65703, 2226, 45, 140, "Exercise",ExpressionUUID->"75b6d1f4-e5d6-4e0a-906c-ad9d3d177fb0",
 CellTags->"Exercise",
 CellID->1306143309],
Cell[3337074, 65750, 706, 13, 64, "Exercise",ExpressionUUID->"baacfe66-5a9d-4b00-a953-b861aa6edbc3",
 CellTags->"Exercise",
 CellID->772754729],
Cell[3337783, 65765, 2440, 53, 103, "Exercise",ExpressionUUID->"817fa7ca-9a45-4464-ac1d-ad28945ffe0c",
 CellTags->"Exercise",
 CellID->1855116894]
}, Open  ]],
Cell[CellGroupData[{
Cell[3340260, 65823, 111, 1, 70, "TechNoteSection",ExpressionUUID->"fb4f2a37-9944-4cab-b753-c6e541e526e6",
 CellID->21466922],
Cell[3340374, 65826, 1854, 45, 101, "TechNote",ExpressionUUID->"956dc764-6f40-4733-8298-f14bb1983f45",
 CellID->1140920546],
Cell[CellGroupData[{
Cell[3342253, 65875, 278, 5, 26, "Input",ExpressionUUID->"48026140-d10f-47a5-a534-e3724fc8221b",
 CellID->719670647],
Cell[3342534, 65882, 2043, 45, 114, "Output",ExpressionUUID->"48f29066-695c-422a-b98d-ec5eb09031e7",
 CellTags->"LastCellOfAPage",
 CellID->60949696]
}, Open  ]],
Cell[CellGroupData[{
Cell[3344614, 65932, 254, 5, 26, "Input",ExpressionUUID->"cd849a05-5bd8-455e-98b1-faa16f56b7fa",
 CellTags->"p: 192",
 CellID->1721667633],
Cell[3344871, 65939, 218, 4, 37, "Output",ExpressionUUID->"bc2673ed-cc7f-4474-ade9-39443ea829b8",
 CellID->1468383450]
}, Open  ]],
Cell[CellGroupData[{
Cell[3345126, 65948, 234, 4, 26, "Input",ExpressionUUID->"6f476054-90f8-4d20-b03a-bda552734c4c",
 CellID->211924527],
Cell[3345363, 65954, 220, 4, 37, "Output",ExpressionUUID->"67134e4e-9fa2-4d2d-9a60-8eed1139fbcd",
 CellID->1810553047]
}, Open  ]],
Cell[3345598, 65961, 1076, 21, 77, "TechNote",ExpressionUUID->"0fa59ae5-6d41-47d0-8e99-d4a1b6b5fe39",
 CellID->7293653],
Cell[CellGroupData[{
Cell[3346699, 65986, 303, 6, 26, "Input",ExpressionUUID->"c5041e43-5820-4e48-9428-b28c776560a2",
 CellID->626632226],
Cell[3347005, 65994, 25454, 457, 177, "Output",ExpressionUUID->"0d8ba865-45bb-4672-9b18-2822152c3d69",
 CellID->922632285]
}, Open  ]],
Cell[3372474, 66454, 614, 12, 54, "TechNote",ExpressionUUID->"3fe754be-c0ef-41b5-b907-df9af002f518",
 CellID->1067766514],
Cell[3373091, 66468, 1076, 21, 101, "TechNote",ExpressionUUID->"a67437fb-3684-47e0-80c2-871d5dbb82a0",
 CellID->1263080078]
}, Open  ]],
Cell[CellGroupData[{
Cell[3374204, 66494, 119, 1, 70, "MoreExploreSection",ExpressionUUID->"ff3e422a-64d5-455d-b8ac-098d37bebe67",
 CellID->14539167],
Cell[3374326, 66497, 795, 16, 30, "MoreExplore",ExpressionUUID->"67f72169-3e3c-49fd-a518-d8cc50702c64",
 CellID->1952744555],
Cell[3375124, 66515, 1203, 24, 30, "MoreExplore",ExpressionUUID->"b2479187-380a-4ecd-af35-66e125f2b850",
 CellID->123045880],
Cell[3376330, 66541, 1586, 35, 30, "MoreExplore",ExpressionUUID->"c58936c4-0c44-427a-9ed1-afe873d37011",
 CellTags->"LastCellOfAPage",
 CellID->1957339924]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)

(* NotebookSignature ALNwK8ABA72nLLOjgnZpcEvk *)
